=== modified file 'Makefile.in'
--- Makefile.in	2005-04-09 00:06:43 +0000
+++ Makefile.in	2005-12-08 16:00:22 +0000
@@ -41,6 +41,8 @@
 distdepend::
 	@$(MAKE) update_spec_version
 	@$(MAKE_SUBDIR)
+	@cd po ; $(MAKE) generate_potfiles_in
+
 TAGS:: tags
 tags::
 	@$(MAKE_SUBDIR)
@@ -60,7 +62,7 @@
   $(MAKE) configure ;							    \
   $(MAKE) distdepend ;							    \
   NAME=`sed -n								    \
-  's/[^0-9]*\([0-9]\.[0-9][0-9]*b\?[0-9]*\).*/xscreensaver-\1/p' 	    \
+  's/[^0-9]*\([0-9]\.[0-9][0-9]*[0-9]*\).*/xscreensaver-\1/p'		    \
 	utils/version.h` ;						    \
   rm -rf $$NAME ; ln -s . $$NAME ;					    \
   FILES= ;								    \
@@ -88,6 +90,7 @@
 #
 configure::
 	autoconf
+	autoheader
 	@TMP=configure.$$$$ ;						     \
 	echo "munging configure's --help message..." ;			     \
 	( perl -e '							     \
@@ -112,6 +115,8 @@
  --x-includes=DIR        X include files are in DIR\n \
  --x-libraries=DIR       X library files are in DIR/m; \
 									     \
+		s@mandir=.\$${prefix}/man.@mandir=\\\$${datadir}/man@;       \
+									     \
 		print;'							     \
 	< configure							     \
 	> $$TMP &&							     \

=== modified file 'README'
--- README	2005-04-09 00:06:43 +0000
+++ README	2006-06-30 16:27:21 +0000
@@ -65,7 +65,7 @@
 Along with the xscreensaver daemon itself, this package also includes
 numerous graphics hacks for use as screensavers.  There is nothing
 magic about these: they are just programs that draw on the root window.
-More than 190 such programs are included.  For details, see the
+More than 200 such programs are included.  For details, see the
 xscreensaver web page, or the enclosed manual pages.
 
 The latest version of xscreensaver is always available on the web at
@@ -76,6 +76,44 @@
 
                               ============
 
+Changes since 4.23:   * New versions of `cube21', `glsnake', `celtic'.
+                      * Backed out a DPMS-related patch that cause desktop
+                        flickering with some X servers.
+                      * Fixed startup crash in getgroups() when running setuid.
+                      * Default to not displaying stderr on the saver window.
+                      * Fixed bad free() in "Documentation" button.
+                      * Don't try to run hacks that aren't installed.
+                      * Minor fixes to various XML config files and man pages.
+Changes since 4.22:   * New hacks, `glhanoi', `cube21', `timetunnel',
+                        `juggler3d', and `celtic'.
+                      * New versions of `tangram', `webcollage', `hypertorus',
+                        `polytopes', and `ripples'.
+                      * `sonar' is now quiet about unresolvable hosts.
+                      * Minor corrections to BASIC code in `apple2'.
+                      * xscreensaver-demo now provides an RPM clue when none
+                        of the hacks seem to be installed.
+                      * Don't install `ant' by default, since there is some
+                        Java tool of that name, which was causing confusion.
+                        And also it's boring.
+                      * Made screen grabbing work again on MacOS 10.4.2.
+                      * No longer prints bogus warnings about ClientMessages
+                        intended for the window manager.
+                      * Ignore unprintable characters in passwd entry field.
+                      * Fixed yet another cross-host-display image-loading
+                        endian problem.
+                      * `xscreensaver-command -watch' and `-time' now work
+                        on 64-bit machines.
+Changes since 4.21:   * Fixed a bug in the new mouse-motion code that caused
+                        the screen to never blank on multi-head non-Xinerama
+                        systems.  Oops.
+                      * New hacks, `interaggregate', `antmaze', `tangram',
+                        and `crackberg'.
+                      * Minor tweaks to `fiberlamp', `ifs', `slidescreen',
+                        `zoom', `sonar', `fireworkx', `whirlwindwarp',
+                        `bubble3d', and `rd-bomb'.
+                      * Added motion blur to `blinkbox'.
+                      * `bsod' now includes Longhorn's "RSOD", and OS/2.
+                      * Fixed `-wireframe' usage in most hacks and man pages.
 Changes since 4.20:   * New hack: `fliptext'.
                       * Changed default configure installation directories:
                         /usr/bin/ for xscreensaver, etc.;

=== modified file 'config.guess'
--- config.guess	2005-04-09 00:06:43 +0000
+++ config.guess	2006-07-29 23:00:43 +0000
@@ -1,9 +1,9 @@
 #! /bin/sh
 # Attempt to guess a canonical system name.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
+#   2000, 2001, 2002 Free Software Foundation, Inc.
 
-timestamp='2005-03-24'
+timestamp='2002-09-03'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -53,7 +53,7 @@
 GNU config.guess ($timestamp)
 
 Originally written by Per Bothner.
-Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
+Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
 Free Software Foundation, Inc.
 
 This is free software; see the source for copying conditions.  There is NO
@@ -98,32 +98,30 @@
 # Historically, `CC_FOR_BUILD' used to be named `HOST_CC'. We still
 # use `HOST_CC' if defined, but it is deprecated.
 
-# Portable tmp directory creation inspired by the Autoconf team.
+# This shell variable is my proudest work .. or something. --bje
 
-set_cc_for_build='
-trap "exitcode=\$?; (rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null) && exit \$exitcode" 0 ;
-trap "rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null; exit 1" 1 2 13 15 ;
-: ${TMPDIR=/tmp} ;
- { tmp=`(umask 077 && mktemp -d -q "$TMPDIR/cgXXXXXX") 2>/dev/null` && test -n "$tmp" && test -d "$tmp" ; } ||
- { test -n "$RANDOM" && tmp=$TMPDIR/cg$$-$RANDOM && (umask 077 && mkdir $tmp) ; } ||
- { tmp=$TMPDIR/cg-$$ && (umask 077 && mkdir $tmp) && echo "Warning: creating insecure temp directory" >&2 ; } ||
- { echo "$me: cannot create a temporary directory in $TMPDIR" >&2 ; exit 1 ; } ;
-dummy=$tmp/dummy ;
-tmpfiles="$dummy.c $dummy.o $dummy.rel $dummy" ;
+set_cc_for_build='tmpdir=${TMPDIR-/tmp}/config-guess-$$ ;
+(old=`umask` && umask 077 && mkdir $tmpdir && umask $old && unset old)
+   || (echo "$me: cannot create $tmpdir" >&2 && exit 1) ;
+dummy=$tmpdir/dummy ;
+files="$dummy.c $dummy.o $dummy.rel $dummy" ;
+trap '"'"'rm -f $files; rmdir $tmpdir; exit 1'"'"' 1 2 15 ;
 case $CC_FOR_BUILD,$HOST_CC,$CC in
  ,,)    echo "int x;" > $dummy.c ;
 	for c in cc gcc c89 c99 ; do
-	  if ($c -c -o $dummy.o $dummy.c) >/dev/null 2>&1 ; then
+	  if ($c $dummy.c -c -o $dummy.o) >/dev/null 2>&1 ; then
 	     CC_FOR_BUILD="$c"; break ;
 	  fi ;
 	done ;
+	rm -f $files ;
 	if test x"$CC_FOR_BUILD" = x ; then
 	  CC_FOR_BUILD=no_compiler_found ;
 	fi
 	;;
  ,,*)   CC_FOR_BUILD=$CC ;;
  ,*,*)  CC_FOR_BUILD=$HOST_CC ;;
-esac ;'
+esac ;
+unset files'
 
 # This is needed to find uname on a Pyramid OSx when run in the BSD universe.
 # (ghazi@noc.rutgers.edu 1994-08-24)
@@ -180,38 +178,21 @@
 		;;
 	esac
 	# The OS release
-	# Debian GNU/NetBSD machines have a different userland, and
-	# thus, need a distinct triplet. However, they do not need
-	# kernel version information, so it can be replaced with a
-	# suitable tag, in the style of linux-gnu.
-	case "${UNAME_VERSION}" in
-	    Debian*)
-		release='-gnu'
-		;;
-	    *)
-		release=`echo ${UNAME_RELEASE}|sed -e 's/[-_].*/\./'`
-		;;
-	esac
+	release=`echo ${UNAME_RELEASE}|sed -e 's/[-_].*/\./'`
 	# Since CPU_TYPE-MANUFACTURER-KERNEL-OPERATING_SYSTEM:
 	# contains redundant information, the shorter form:
 	# CPU_TYPE-MANUFACTURER-OPERATING_SYSTEM is used.
 	echo "${machine}-${os}${release}"
 	exit 0 ;;
-    amd64:OpenBSD:*:*)
-	echo x86_64-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
     amiga:OpenBSD:*:*)
 	echo m68k-unknown-openbsd${UNAME_RELEASE}
 	exit 0 ;;
-    cats:OpenBSD:*:*)
-	echo arm-unknown-openbsd${UNAME_RELEASE}
+    arc:OpenBSD:*:*)
+	echo mipsel-unknown-openbsd${UNAME_RELEASE}
 	exit 0 ;;
     hp300:OpenBSD:*:*)
 	echo m68k-unknown-openbsd${UNAME_RELEASE}
 	exit 0 ;;
-    luna88k:OpenBSD:*:*)
-    	echo m88k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
     mac68k:OpenBSD:*:*)
 	echo m68k-unknown-openbsd${UNAME_RELEASE}
 	exit 0 ;;
@@ -227,76 +208,86 @@
     mvmeppc:OpenBSD:*:*)
 	echo powerpc-unknown-openbsd${UNAME_RELEASE}
 	exit 0 ;;
+    pmax:OpenBSD:*:*)
+	echo mipsel-unknown-openbsd${UNAME_RELEASE}
+	exit 0 ;;
     sgi:OpenBSD:*:*)
-	echo mips64-unknown-openbsd${UNAME_RELEASE}
+	echo mipseb-unknown-openbsd${UNAME_RELEASE}
 	exit 0 ;;
     sun3:OpenBSD:*:*)
 	echo m68k-unknown-openbsd${UNAME_RELEASE}
 	exit 0 ;;
+    wgrisc:OpenBSD:*:*)
+	echo mipsel-unknown-openbsd${UNAME_RELEASE}
+	exit 0 ;;
     *:OpenBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-openbsd${UNAME_RELEASE}
 	exit 0 ;;
-    *:ekkoBSD:*:*)
-	echo ${UNAME_MACHINE}-unknown-ekkobsd${UNAME_RELEASE}
-	exit 0 ;;
-    macppc:MirBSD:*:*)
-	echo powerppc-unknown-mirbsd${UNAME_RELEASE}
-	exit 0 ;;
-    *:MirBSD:*:*)
-	echo ${UNAME_MACHINE}-unknown-mirbsd${UNAME_RELEASE}
-	exit 0 ;;
     alpha:OSF1:*:*)
-	case $UNAME_RELEASE in
-	*4.0)
+	if test $UNAME_RELEASE = "V4.0"; then
 		UNAME_RELEASE=`/usr/sbin/sizer -v | awk '{print $3}'`
-		;;
-	*5.*)
-	        UNAME_RELEASE=`/usr/sbin/sizer -v | awk '{print $4}'`
-		;;
-	esac
-	# According to Compaq, /usr/sbin/psrinfo has been available on
-	# OSF/1 and Tru64 systems produced since 1995.  I hope that
-	# covers most systems running today.  This code pipes the CPU
-	# types through head -n 1, so we only detect the type of CPU 0.
-	ALPHA_CPU_TYPE=`/usr/sbin/psrinfo -v | sed -n -e 's/^  The alpha \(.*\) processor.*$/\1/p' | head -n 1`
-	case "$ALPHA_CPU_TYPE" in
-	    "EV4 (21064)")
-		UNAME_MACHINE="alpha" ;;
-	    "EV4.5 (21064)")
-		UNAME_MACHINE="alpha" ;;
-	    "LCA4 (21066/21068)")
-		UNAME_MACHINE="alpha" ;;
-	    "EV5 (21164)")
-		UNAME_MACHINE="alphaev5" ;;
-	    "EV5.6 (21164A)")
-		UNAME_MACHINE="alphaev56" ;;
-	    "EV5.6 (21164PC)")
-		UNAME_MACHINE="alphapca56" ;;
-	    "EV5.7 (21164PC)")
-		UNAME_MACHINE="alphapca57" ;;
-	    "EV6 (21264)")
-		UNAME_MACHINE="alphaev6" ;;
-	    "EV6.7 (21264A)")
-		UNAME_MACHINE="alphaev67" ;;
-	    "EV6.8CB (21264C)")
-		UNAME_MACHINE="alphaev68" ;;
-	    "EV6.8AL (21264B)")
-		UNAME_MACHINE="alphaev68" ;;
-	    "EV6.8CX (21264D)")
-		UNAME_MACHINE="alphaev68" ;;
-	    "EV6.9A (21264/EV69A)")
-		UNAME_MACHINE="alphaev69" ;;
-	    "EV7 (21364)")
-		UNAME_MACHINE="alphaev7" ;;
-	    "EV7.9 (21364A)")
-		UNAME_MACHINE="alphaev79" ;;
-	esac
-	# A Pn.n version is a patched version.
+	fi
 	# A Vn.n version is a released version.
 	# A Tn.n version is a released field test version.
 	# A Xn.n version is an unreleased experimental baselevel.
 	# 1.2 uses "1.2" for uname -r.
-	echo ${UNAME_MACHINE}-dec-osf`echo ${UNAME_RELEASE} | sed -e 's/^[PVTX]//' | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
+	eval $set_cc_for_build
+	cat <<EOF >$dummy.s
+	.data
+\$Lformat:
+	.byte 37,100,45,37,120,10,0	# "%d-%x\n"
+
+	.text
+	.globl main
+	.align 4
+	.ent main
+main:
+	.frame \$30,16,\$26,0
+	ldgp \$29,0(\$27)
+	.prologue 1
+	.long 0x47e03d80 # implver \$0
+	lda \$2,-1
+	.long 0x47e20c21 # amask \$2,\$1
+	lda \$16,\$Lformat
+	mov \$0,\$17
+	not \$1,\$18
+	jsr \$26,printf
+	ldgp \$29,0(\$26)
+	mov 0,\$16
+	jsr \$26,exit
+	.end main
+EOF
+	$CC_FOR_BUILD $dummy.s -o $dummy 2>/dev/null
+	if test "$?" = 0 ; then
+		case `$dummy` in
+			0-0)
+				UNAME_MACHINE="alpha"
+				;;
+			1-0)
+				UNAME_MACHINE="alphaev5"
+				;;
+			1-1)
+				UNAME_MACHINE="alphaev56"
+				;;
+			1-101)
+				UNAME_MACHINE="alphapca56"
+				;;
+			2-303)
+				UNAME_MACHINE="alphaev6"
+				;;
+			2-307)
+				UNAME_MACHINE="alphaev67"
+				;;
+			2-1307)
+				UNAME_MACHINE="alphaev68"
+				;;
+			3-1307)
+				UNAME_MACHINE="alphaev7"
+				;;
+		esac
+	fi
+	rm -f $dummy.s $dummy && rmdir $tmpdir
+	echo ${UNAME_MACHINE}-dec-osf`echo ${UNAME_RELEASE} | sed -e 's/^[VTX]//' | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
 	exit 0 ;;
     Alpha\ *:Windows_NT*:*)
 	# How do we know it's Interix rather than the generic POSIX subsystem?
@@ -319,12 +310,6 @@
     *:OS/390:*:*)
 	echo i370-ibm-openedition
 	exit 0 ;;
-    *:z/VM:*:*)
-	echo s390-ibm-zvmoe
-	exit 0 ;;
-    *:OS400:*:*)
-        echo powerpc-ibm-os400
-	exit 0 ;;
     arm:RISC*:1.[012]*:*|arm:riscix:1.[012]*:*)
 	echo arm-acorn-riscix${UNAME_RELEASE}
 	exit 0;;
@@ -342,10 +327,7 @@
     NILE*:*:*:dcosx)
 	echo pyramid-pyramid-svr4
 	exit 0 ;;
-    DRS?6000:unix:4.0:6*)
-	echo sparc-icl-nx6
-	exit 0 ;;
-    DRS?6000:UNIX_SV:4.2*:7* | DRS?6000:isis:4.2*:7*)
+    DRS?6000:UNIX_SV:4.2*:7*)
 	case `/usr/bin/uname -p` in
 	    sparc) echo sparc-icl-nx7 && exit 0 ;;
 	esac ;;
@@ -417,9 +399,6 @@
     *:*MiNT:*:* | *:*mint:*:* | *:*TOS:*:*)
         echo m68k-unknown-mint${UNAME_RELEASE}
         exit 0 ;;
-    m68k:machten:*:*)
-	echo m68k-apple-machten${UNAME_RELEASE}
-	exit 0 ;;
     powerpc:machten:*:*)
 	echo powerpc-apple-machten${UNAME_RELEASE}
 	exit 0 ;;
@@ -458,9 +437,10 @@
 	  exit (-1);
 	}
 EOF
-	$CC_FOR_BUILD -o $dummy $dummy.c \
+	$CC_FOR_BUILD $dummy.c -o $dummy \
 	  && $dummy `echo "${UNAME_RELEASE}" | sed -n 's/\([0-9]*\).*/\1/p'` \
-	  && exit 0
+	  && rm -f $dummy.c $dummy && rmdir $tmpdir && exit 0
+	rm -f $dummy.c $dummy && rmdir $tmpdir
 	echo mips-mips-riscos${UNAME_RELEASE}
 	exit 0 ;;
     Motorola:PowerMAX_OS:*:*)
@@ -469,7 +449,7 @@
     Motorola:*:4.3:PL8-*)
 	echo powerpc-harris-powermax
 	exit 0 ;;
-    Night_Hawk:*:*:PowerMAX_OS | Synergy:PowerMAX_OS:*:*)
+    Night_Hawk:*:*:PowerMAX_OS)
 	echo powerpc-harris-powermax
 	exit 0 ;;
     Night_Hawk:Power_UNIX:*:*)
@@ -544,7 +524,8 @@
 			exit(0);
 			}
 EOF
-		$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && exit 0
+		$CC_FOR_BUILD $dummy.c -o $dummy && $dummy && rm -f $dummy.c $dummy && rmdir $tmpdir && exit 0
+		rm -f $dummy.c $dummy && rmdir $tmpdir
 		echo rs6000-ibm-aix3.2.5
 	elif grep bos324 /usr/include/stdio.h >/dev/null 2>&1; then
 		echo rs6000-ibm-aix3.2.4
@@ -642,21 +623,11 @@
                   exit (0);
               }
 EOF
-		    (CCOPTS= $CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null) && HP_ARCH=`$dummy`
-		    test -z "$HP_ARCH" && HP_ARCH=hppa
+		    (CCOPTS= $CC_FOR_BUILD $dummy.c -o $dummy 2>/dev/null) && HP_ARCH=`$dummy`
+		    if test -z "$HP_ARCH"; then HP_ARCH=hppa; fi
+		    rm -f $dummy.c $dummy && rmdir $tmpdir
 		fi ;;
 	esac
-	if [ ${HP_ARCH} = "hppa2.0w" ]
-	then
-	    # avoid double evaluation of $set_cc_for_build
-	    test -n "$CC_FOR_BUILD" || eval $set_cc_for_build
-	    if echo __LP64__ | (CCOPTS= $CC_FOR_BUILD -E -) | grep __LP64__ >/dev/null
-	    then
-		HP_ARCH="hppa2.0w"
-	    else
-		HP_ARCH="hppa64"
-	    fi
-	fi
 	echo ${HP_ARCH}-hp-hpux${HPUX_REV}
 	exit 0 ;;
     ia64:HP-UX:*:*)
@@ -690,7 +661,8 @@
 	  exit (0);
 	}
 EOF
-	$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && exit 0
+	$CC_FOR_BUILD $dummy.c -o $dummy && $dummy && rm -f $dummy.c $dummy && rmdir $tmpdir && exit 0
+	rm -f $dummy.c $dummy && rmdir $tmpdir
 	echo unknown-hitachi-hiuxwe2
 	exit 0 ;;
     9000/7??:4.3bsd:*:* | 9000/8?[79]:4.3bsd:*:* )
@@ -748,26 +720,21 @@
     CRAY*TS:*:*:*)
 	echo t90-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
 	exit 0 ;;
+    CRAY*T3D:*:*:*)
+	echo alpha-cray-unicosmk${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
+	exit 0 ;;
     CRAY*T3E:*:*:*)
 	echo alphaev5-cray-unicosmk${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
 	exit 0 ;;
     CRAY*SV1:*:*:*)
 	echo sv1-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
 	exit 0 ;;
-    *:UNICOS/mp:*:*)
-	echo craynv-cray-unicosmp${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
-	exit 0 ;;
     F30[01]:UNIX_System_V:*:* | F700:UNIX_System_V:*:*)
 	FUJITSU_PROC=`uname -m | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
         FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
         FUJITSU_REL=`echo ${UNAME_RELEASE} | sed -e 's/ /_/'`
         echo "${FUJITSU_PROC}-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
         exit 0 ;;
-    5000:UNIX_System_V:4.*:*)
-        FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
-        FUJITSU_REL=`echo ${UNAME_RELEASE} | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/ /_/'`
-        echo "sparc-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
-	exit 0 ;;
     i*86:BSD/386:*:* | i*86:BSD/OS:*:* | *:Ascend\ Embedded/OS:*:*)
 	echo ${UNAME_MACHINE}-pc-bsdi${UNAME_RELEASE}
 	exit 0 ;;
@@ -778,7 +745,19 @@
 	echo ${UNAME_MACHINE}-unknown-bsdi${UNAME_RELEASE}
 	exit 0 ;;
     *:FreeBSD:*:*)
-	echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
+	# Determine whether the default compiler uses glibc.
+	eval $set_cc_for_build
+	sed 's/^	//' << EOF >$dummy.c
+	#include <features.h>
+	#if __GLIBC__ >= 2
+	LIBC=gnu
+	#else
+	LIBC=
+	#endif
+EOF
+	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
+	rm -f $dummy.c && rmdir $tmpdir
+	echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`${LIBC:+-$LIBC}
 	exit 0 ;;
     i*:CYGWIN*:*)
 	echo ${UNAME_MACHINE}-pc-cygwin
@@ -789,24 +768,18 @@
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
 	exit 0 ;;
-    x86:Interix*:[34]*)
-	echo i586-pc-interix${UNAME_RELEASE}|sed -e 's/\..*//'
-	exit 0 ;;
-    [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
-	echo i${UNAME_MACHINE}-pc-mks
+    x86:Interix*:3*)
+	echo i386-pc-interix3
 	exit 0 ;;
     i*:Windows_NT*:* | Pentium*:Windows_NT*:*)
 	# How do we know it's Interix rather than the generic POSIX subsystem?
 	# It also conflicts with pre-2.0 versions of AT&T UWIN. Should we
 	# UNAME_MACHINE based on the output of uname instead of i386?
-	echo i586-pc-interix
+	echo i386-pc-interix
 	exit 0 ;;
     i*:UWIN*:*)
 	echo ${UNAME_MACHINE}-pc-uwin
 	exit 0 ;;
-    amd64:CYGWIN*:*:*)
-	echo x86_64-unknown-cygwin
-	exit 0 ;;
     p*:CYGWIN*:*)
 	echo powerpcle-unknown-cygwin
 	exit 0 ;;
@@ -814,34 +787,17 @@
 	echo powerpcle-unknown-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
 	exit 0 ;;
     *:GNU:*:*)
-	# the GNU system
 	echo `echo ${UNAME_MACHINE}|sed -e 's,[-/].*$,,'`-unknown-gnu`echo ${UNAME_RELEASE}|sed -e 's,/.*$,,'`
 	exit 0 ;;
-    *:GNU/*:*:*)
-	# other systems with GNU libc and userland
-	echo ${UNAME_MACHINE}-unknown-`echo ${UNAME_SYSTEM} | sed 's,^[^/]*/,,' | tr '[A-Z]' '[a-z]'``echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`-gnu
-	exit 0 ;;
     i*86:Minix:*:*)
 	echo ${UNAME_MACHINE}-pc-minix
 	exit 0 ;;
     arm*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit 0 ;;
-    cris:Linux:*:*)
-	echo cris-axis-linux-gnu
-	exit 0 ;;
-    crisv32:Linux:*:*)
-	echo crisv32-axis-linux-gnu
-	exit 0 ;;
-    frv:Linux:*:*)
-    	echo frv-unknown-linux-gnu
-	exit 0 ;;
     ia64:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit 0 ;;
-    m32r*:Linux:*:*)
-	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
     m68*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit 0 ;;
@@ -862,26 +818,8 @@
 	#endif
 EOF
 	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
-	test x"${CPU}" != x && echo "${CPU}-unknown-linux-gnu" && exit 0
-	;;
-    mips64:Linux:*:*)
-	eval $set_cc_for_build
-	sed 's/^	//' << EOF >$dummy.c
-	#undef CPU
-	#undef mips64
-	#undef mips64el
-	#if defined(__MIPSEL__) || defined(__MIPSEL) || defined(_MIPSEL) || defined(MIPSEL)
-	CPU=mips64el
-	#else
-	#if defined(__MIPSEB__) || defined(__MIPSEB) || defined(_MIPSEB) || defined(MIPSEB)
-	CPU=mips64
-	#else
-	CPU=
-	#endif
-	#endif
-EOF
-	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
-	test x"${CPU}" != x && echo "${CPU}-unknown-linux-gnu" && exit 0
+	rm -f $dummy.c && rmdir $tmpdir
+	test x"${CPU}" != x && echo "${CPU}-pc-linux-gnu" && exit 0
 	;;
     ppc:Linux:*:*)
 	echo powerpc-unknown-linux-gnu
@@ -917,9 +855,6 @@
     s390:Linux:*:* | s390x:Linux:*:*)
 	echo ${UNAME_MACHINE}-ibm-linux
 	exit 0 ;;
-    sh64*:Linux:*:*)
-    	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
     sh*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit 0 ;;
@@ -977,11 +912,9 @@
 	LIBC=gnuaout
 	#endif
 	#endif
-	#ifdef __dietlibc__
-	LIBC=dietlibc
-	#endif
 EOF
 	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
+	rm -f $dummy.c && rmdir $tmpdir
 	test x"${LIBC}" != x && echo "${UNAME_MACHINE}-pc-linux-${LIBC}" && exit 0
 	test x"${TENTATIVE}" != x && echo "${TENTATIVE}" && exit 0
 	;;
@@ -999,26 +932,6 @@
         # Use sysv4.2uw... so that sysv4* matches it.
 	echo ${UNAME_MACHINE}-pc-sysv4.2uw${UNAME_VERSION}
 	exit 0 ;;
-    i*86:OS/2:*:*)
-	# If we were able to find `uname', then EMX Unix compatibility
-	# is probably installed.
-	echo ${UNAME_MACHINE}-pc-os2-emx
-	exit 0 ;;
-    i*86:XTS-300:*:STOP)
-	echo ${UNAME_MACHINE}-unknown-stop
-	exit 0 ;;
-    i*86:atheos:*:*)
-	echo ${UNAME_MACHINE}-unknown-atheos
-	exit 0 ;;
-	i*86:syllable:*:*)
-	echo ${UNAME_MACHINE}-pc-syllable
-	exit 0 ;;
-    i*86:LynxOS:2.*:* | i*86:LynxOS:3.[01]*:* | i*86:LynxOS:4.0*:*)
-	echo i386-unknown-lynxos${UNAME_RELEASE}
-	exit 0 ;;
-    i*86:*DOS:*:*)
-	echo ${UNAME_MACHINE}-pc-msdosdjgpp
-	exit 0 ;;
     i*86:*:4.*:* | i*86:SYSTEM_V:4.*:*)
 	UNAME_REL=`echo ${UNAME_RELEASE} | sed 's/\/MP$//'`
 	if grep Novell /usr/include/link.h >/dev/null 2>/dev/null; then
@@ -1053,6 +966,9 @@
 		echo ${UNAME_MACHINE}-pc-sysv32
 	fi
 	exit 0 ;;
+    i*86:*DOS:*:*)
+	echo ${UNAME_MACHINE}-pc-msdosdjgpp
+	exit 0 ;;
     pc:*:*:*)
 	# Left here for compatibility:
         # uname -m prints for DJGPP always 'pc', but it prints nothing about
@@ -1079,12 +995,9 @@
     mc68k:UNIX:SYSTEM5:3.51m)
 	echo m68k-convergent-sysv
 	exit 0 ;;
-    M680?0:D-NIX:5.3:*)
-	echo m68k-diab-dnix
-	exit 0 ;;
-    M68*:*:R3V[5678]*:*)
+    M68*:*:R3V[567]*:*)
 	test -r /sysV68 && echo 'm68k-motorola-sysv' && exit 0 ;;
-    3[345]??:*:4.0:3.0 | 3[34]??A:*:4.0:3.0 | 3[34]??,*:*:4.0:3.0 | 3[34]??/*:*:4.0:3.0 | 4400:*:4.0:3.0 | 4850:*:4.0:3.0 | SKA40:*:4.0:3.0 | SDS2:*:4.0:3.0 | SHG2:*:4.0:3.0 | S7501*:*:4.0:3.0)
+    3[34]??:*:4.0:3.0 | 3[34]??A:*:4.0:3.0 | 3[34]??,*:*:4.0:3.0 | 3[34]??/*:*:4.0:3.0 | 4400:*:4.0:3.0 | 4850:*:4.0:3.0 | SKA40:*:4.0:3.0)
 	OS_REL=''
 	test -r /etc/.relid \
 	&& OS_REL=.`sed -n 's/[^ ]* [^ ]* \([0-9][0-9]\).*/\1/p' < /etc/.relid`
@@ -1101,6 +1014,9 @@
     mc68030:UNIX_System_V:4.*:*)
 	echo m68k-atari-sysv4
 	exit 0 ;;
+    i*86:LynxOS:2.*:* | i*86:LynxOS:3.[01]*:* | i*86:LynxOS:4.0*:*)
+	echo i386-unknown-lynxos${UNAME_RELEASE}
+	exit 0 ;;
     TSUNAMI:LynxOS:2.*:*)
 	echo sparc-unknown-lynxos${UNAME_RELEASE}
 	exit 0 ;;
@@ -1182,12 +1098,7 @@
 	echo ${UNAME_MACHINE}-apple-rhapsody${UNAME_RELEASE}
 	exit 0 ;;
     *:Darwin:*:*)
-	UNAME_PROCESSOR=`uname -p` || UNAME_PROCESSOR=unknown
-	case $UNAME_PROCESSOR in
-	    *86) UNAME_PROCESSOR=i686 ;;
-	    unknown) UNAME_PROCESSOR=powerpc ;;
-	esac
-	echo ${UNAME_PROCESSOR}-apple-darwin${UNAME_RELEASE}
+	echo `uname -p`-apple-darwin${UNAME_RELEASE}
 	exit 0 ;;
     *:procnto*:*:* | *:QNX:[0123456789]*:*)
 	UNAME_PROCESSOR=`uname -p`
@@ -1200,10 +1111,7 @@
     *:QNX:*:4*)
 	echo i386-pc-qnx
 	exit 0 ;;
-    NSE-?:NONSTOP_KERNEL:*:*)
-	echo nse-tandem-nsk${UNAME_RELEASE}
-	exit 0 ;;
-    NSR-?:NONSTOP_KERNEL:*:*)
+    NSR-[DGKLNPTVW]:NONSTOP_KERNEL:*:*)
 	echo nsr-tandem-nsk${UNAME_RELEASE}
 	exit 0 ;;
     *:NonStop-UX:*:*)
@@ -1226,6 +1134,11 @@
 	fi
 	echo ${UNAME_MACHINE}-unknown-plan9
 	exit 0 ;;
+    i*86:OS/2:*:*)
+	# If we were able to find `uname', then EMX Unix compatibility
+	# is probably installed.
+	echo ${UNAME_MACHINE}-pc-os2-emx
+	exit 0 ;;
     *:TOPS-10:*:*)
 	echo pdp10-unknown-tops10
 	exit 0 ;;
@@ -1244,21 +1157,11 @@
     *:ITS:*:*)
 	echo pdp10-unknown-its
 	exit 0 ;;
-    SEI:*:*:SEIUX)
-        echo mips-sei-seiux${UNAME_RELEASE}
-	exit 0 ;;
-    *:DragonFly:*:*)
-	echo ${UNAME_MACHINE}-unknown-dragonfly`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
-	exit 0 ;;
-    *:*VMS:*:*)
-    	UNAME_MACHINE=`(uname -p) 2>/dev/null`
-	case "${UNAME_MACHINE}" in
-	    A*) echo alpha-dec-vms && exit 0 ;;
-	    I*) echo ia64-dec-vms && exit 0 ;;
-	    V*) echo vax-dec-vms && exit 0 ;;
-	esac ;;
-    *:XENIX:*:SysV)
-	echo i386-pc-xenix
+    i*86:XTS-300:*:STOP)
+	echo ${UNAME_MACHINE}-unknown-stop
+	exit 0 ;;
+    i*86:atheos:*:*)
+	echo ${UNAME_MACHINE}-unknown-atheos
 	exit 0 ;;
 esac
 
@@ -1380,7 +1283,8 @@
 }
 EOF
 
-$CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null && $dummy && exit 0
+$CC_FOR_BUILD $dummy.c -o $dummy 2>/dev/null && $dummy && rm -f $dummy.c $dummy && rmdir $tmpdir && exit 0
+rm -f $dummy.c $dummy && rmdir $tmpdir
 
 # Apollos put the system type in the environment.
 
@@ -1419,9 +1323,7 @@
 the operating system you are using. It is advised that you
 download the most up to date version of the config scripts from
 
-  http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/config/config/config.guess
-and
-  http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/config/config/config.sub
+    ftp://ftp.gnu.org/pub/gnu/config/
 
 If the version you run ($0) is already up to date, please
 send the following data and any information you think might be

=== modified file 'config.h.in'
--- config.h.in	2005-04-09 00:06:43 +0000
+++ config.h.in	2005-12-08 16:00:22 +0000
@@ -1,3 +1,6 @@
+/* config.h.in.  Generated from configure.in by autoheader.  */
+
+
 /* config.h.in --- xscreensaver, Copyright (c) 1998-2000 Jamie Zawinski.
  *
  *  The best way to set these parameters is by running the included `configure'
@@ -9,430 +12,472 @@
  */
 
 
-/* *************************************************************************
-                          CONFIGURING SERVER EXTENSIONS
-   ************************************************************************* */
+/* Define to one of `_getb67', `GETB67', `getb67' for Cray-2 and Cray-YMP
+   systems. This function is required for `alloca.c' support on those systems.
+   */
+#undef CRAY_STACKSEG_END
+
+/* Define to 1 if using `alloca.c'. */
+#undef C_ALLOCA
+
+/* always defined to indicate that i18n is enabled */
+#undef ENABLE_NLS
+
+/* Some screenhacks like to run an external program to generate random pieces
+   of text; set this to the one you like. Note that this is just the default;
+   X resources can be used to override it. */
+#undef FORTUNE_PROGRAM
+
+/* This is the name of the gettext package to use. */
+#undef GETTEXT_PACKAGE
+
+/* Define this if gettimeofday() takes two arguments. */
+#undef GETTIMEOFDAY_TWO_ARGS
+
+/* Define this if your system is Solaris with ``adjunct'' passwords (this is
+   the version where one gets at the passwords with getpwanam() instead of
+   getpwnam().) I haven't tested this one, let me know if it works. */
+#undef HAVE_ADJUNCT_PASSWD
+
+/* Define to 1 if you have `alloca', as a function or macro. */
+#undef HAVE_ALLOCA
+
+/* Define to 1 if you have <alloca.h> and it should be used (not on Ultrix).
+   */
+#undef HAVE_ALLOCA_H
+
+/* Define to 1 if you have the <argz.h> header file. */
+#undef HAVE_ARGZ_H
+
+/* Define this if you have Gnome and want to build support for the
+   xscreensaver control panel in the Gnome Control Center (gnomecc). (This is
+   needed only with Gtk 1.x.) */
+#undef HAVE_CRAPPLET
+
+/* Define this if HAVE_CRAPPLET is defined, and the function
+   capplet_widget_changes_are_immediate() is available. */
+#undef HAVE_CRAPPLET_IMMEDIATE
+
+/* Define to 1 if you have the <crypt.h> header file. */
+#undef HAVE_CRYPT_H
+
+/* Define to 1 if you have the `dcgettext' function. */
+#undef HAVE_DCGETTEXT
+
+/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'.
+   */
+#undef HAVE_DIRENT_H
+
+/* Define this if you have the X Double Buffer Extension. */
+#undef HAVE_DOUBLE_BUFFER_EXTENSION
+
+/* Define this if you have the XDPMS extension. This is standard on
+   sufficiently-recent XFree86 systems, and possibly elsewhere. (It's
+   available if the file /usr/include/X11/extensions/dpms.h exists.) */
+#undef HAVE_DPMS_EXTENSION
+
+/* Define this if your system is Digital or SCO Unix with so-called ``Enhanced
+   Security'', that is, the passwords live in /tcb/files/auth/<x>/<xyz>
+   instead of in /etc/passwd, and one reads them with getprpwnam() instead of
+   getpwnam(). */
+#undef HAVE_ENHANCED_PASSWD
+
+/* Define to 1 if you have the `fcntl' function. */
+#undef HAVE_FCNTL
+
+/* Define this if you have the 'forkpty' function: This allows 'phosphor' and
+   'apple2' to run curses-based programs, or be used as terminal windows. */
+#undef HAVE_FORKPTY
+
+/* Define this if you have the GDK_Pixbuf library installed. Some of the demos
+   can make use of this if it is available. */
+#undef HAVE_GDK_PIXBUF
+
+/* Define to 1 if you have the `getcwd' function. */
+#undef HAVE_GETCWD
+
+/* Define to 1 if you have the `getpagesize' function. */
+#undef HAVE_GETPAGESIZE
+
+/* Define if the GNU gettext() function is already present or preinstalled. */
+#undef HAVE_GETTEXT
+
+/* Define this if you have the gettimeofday function. */
+#undef HAVE_GETTIMEOFDAY
+
+/* Define to 1 if you have the `getwd' function. */
+#undef HAVE_GETWD
+
+/* Define this if you have OpenGL. Some of the demos require it, so if you
+   don't have it, then those particular demos won't be built. (This won't
+   affect the screen saver as a whole.) */
+#undef HAVE_GL
+
+/* Define this if your version of OpenGL has the glBindTexture() routine. This
+   is the case for OpenGL 1.1, but not for OpenGL 1.0. */
+#undef HAVE_GLBINDTEXTURE
+
+/* Define this if you have the -lgle and -lmatrix libraries (GL extrusion.) */
+#undef HAVE_GLE
+
+/* Define this if you have the -lgle from GLE version 3 */
+#undef HAVE_GLE3
+
+/* Define this if you have Gtk (any version.) */
+#undef HAVE_GTK
+
+/* Define this if you have Gtk 2.x. */
+#undef HAVE_GTK2
+
+/* Define this if you are running HPUX with so-called ``Secure Passwords'' (if
+   you have /usr/include/hpsecurity.h, you probably have this.) I haven't
+   tested this one, let me know if it works. */
+#undef HAVE_HPUX_PASSWD
+
+/* Define this if you do pings with a `struct icmp' and an `icmp_id' slot. */
+#undef HAVE_ICMP
+
+/* Define this if you do pings with a `struct icmphdr' and an `un.echo.id'
+   slot. */
+#undef HAVE_ICMPHDR
+
+/* Define to 1 if you have the <inttypes.h> header file. */
+#undef HAVE_INTTYPES_H
+
+/* Define this if you have the Independent JPEG Group's JPEG library
+   installed. Some of the demos can make use of this if it is available. */
+#undef HAVE_JPEGLIB
+
+/* Define this if you want to use Kerberos authentication to lock/unlock the
+   screen instead of your local password. This currently uses Kerberos V4, but
+   a V5 server with V4 compatibility will work. WARNING: DO NOT USE AFS
+   string-to-key passwords with this option. This option currently *only*
+   works with standard Kerberos des_string_to_key. If your password is an AFS
+   password and not a kerberos password, it will not authenticate properly.
+   See the comments in driver/kpasswd.c for more information if you need it.
+   */
+#undef HAVE_KERBEROS
+
+/* Define this if you have Kerberos 5, meaning we need to use the Kerberos 4
+   compatibility layer. */
+#undef HAVE_KERBEROS5
+
+/* Define if your <locale.h> file defines LC_MESSAGES. */
+#undef HAVE_LC_MESSAGES
+
+/* Define to 1 if you have the <limits.h> header file. */
+#undef HAVE_LIMITS_H
+
+/* Define to 1 if you have the <locale.h> header file. */
+#undef HAVE_LOCALE_H
+
+/* Define to 1 if you have the <malloc.h> header file. */
+#undef HAVE_MALLOC_H
+
+/* Define to 1 if you have the <memory.h> header file. */
+#undef HAVE_MEMORY_H
+
+/* Define this if you have OpenGL, but it's the MesaGL variant. (The libraries
+   have different names.) (HAVE_GL should be defined too.) */
+#undef HAVE_MESA_GL
+
+/* Define this if you have the MIT-SCREEN-SAVER extension installed. See the
+   caveats about this extension, above. (It's available if
+   /usr/include/X11/extensions/scrnsaver.h exists.) */
+#undef HAVE_MIT_SAVER_EXTENSION
+
+/* Define to 1 if you have a working `mmap' system call. */
+#undef HAVE_MMAP
+
+/* Define this if you have Motif. */
+#undef HAVE_MOTIF
+
+/* Define to 1 if you have the `munmap' function. */
+#undef HAVE_MUNMAP
+
+/* Define to 1 if you have the <ndir.h> header file, and it defines `DIR'. */
+#undef HAVE_NDIR_H
+
+/* Define to 1 if you have the `nice' function. */
+#undef HAVE_NICE
+
+/* Define to 1 if you have the <nl_types.h> header file. */
+#undef HAVE_NL_TYPES_H
+
+/* Define this if you have the XML library headers in their old,
+   non-namespaced location (you lack the gnome-xml/libxml symlink) */
+#undef HAVE_OLD_XML_HEADERS
+
+/* Define this if you want to use PAM (Pluggable Authentication Modules) to
+   lock/unlock the screen, instead of standard /etc/passwd authentication. */
+#undef HAVE_PAM
+
+/* Define this if you have a Linux-like /proc/interrupts file which can be
+   examined to determine when keyboard activity has occurred. */
+#undef HAVE_PROC_INTERRUPTS
+
+/* Define to 1 if you have the <pty.h> header file. */
+#undef HAVE_PTY_H
+
+/* Define to 1 if you have the `putenv' function. */
+#undef HAVE_PUTENV
+
+/* Define this if you have the Resize and Rotate extension. This is standard
+   on sufficiently-recent XFree86 systems, and possibly elsewhere. (It's
+   available if the file /usr/include/X11/extensions/Xrandr.h exists.) */
+#undef HAVE_RANDR
 
 /* Define this if you have the XReadDisplay extension (I think this is an
-   SGI-only thing; it's in <X11/extensions/readdisplay.h>.)  A few of the
-   screenhacks will take advantage of this if it's available.
- */
+   SGI-only thing; it's in <X11/extensions/readdisplay.h>.) A few of the
+   screenhacks will take advantage of this if it's available. */
 #undef HAVE_READ_DISPLAY_EXTENSION
 
-/* Define this if you have the XHPDisableReset function (an HP only thing
-   which allows the Ctrl-Sh-Reset key sequence to be temporarily disabled.)
- */
-#undef HAVE_XHPDISABLERESET
-
-/*  First, some background: there are three distinct server extensions which
- *  are useful to a screen saver program: they are XIDLE, MIT-SCREEN-SAVER, 
- *  and SCREEN_SAVER.
- *
- *  The XIDLE extension resides in .../contrib/extensions/xidle/ on the X11R5
- *  contrib tape.  This extension lets the client get accurate idle-time 
- *  information from the X server in a potentially more reliable way than by
- *  simply watching for keyboard and mouse activity.  However, the XIDLE 
- *  extension has apparently not been ported to X11R6.
- *
- *  The SCREEN_SAVER extension is found (as far as I know) only in the SGI
- *  X server, and it exists in all releases since (at least) Irix 5.  The
- *  relevant header file is /usr/include/X11/extensions/XScreenSaver.h.
- *
- *  The similarly-named MIT-SCREEN-SAVER extension came into existence long
- *  after the SGI SCREEN_SAVER extension was already in use, and resides in
- *  .../contrib/extensions/screensaver/ on the X11R6 contrib tape.  It is
- *  also found in certain recent X servers built in to NCD X terminals.
- *
- *     The MIT extension does basically the same thing that the XIDLE extension
- *     does, but there are two things wrong with it: first, because of the way
- *     the extension was designed, the `fade' option to XScreenSaver will be
- *     uglier: just before the screen fades out, there will be an unattractive
- *     flicker to black, because this extension blanks the screen *before*
- *     telling us that it is time to do so.  Second, this extension is known to
- *     be buggy; on the systems I use, it works, but some people have reported
- *     X server crashes as a result of using it.  XScreenSaver uses this
- *     extension rather conservatively, because when I tried to use any of its
- *     more complicated features, I could get it to crash the server at the
- *     drop of a hat.
- *
- *     In short, the MIT-SCREEN-SAVER extension is a piece of junk.  The older
- *     SGI SCREEN_SAVER extension works great, as does XIDLE.  It would be nice
- *     If those two existed on more systems, that is, would be adopted by the
- *     X Consortium in favor of their inferior "not-invented-here" entry.
- */
-
-/*  Define this if you have the XIDLE extension installed. If you have the
- *  XIDLE extension, this is recommended.  (You have this extension if the
- *  file /usr/include/X11/extensions/xidle.h exists.)  Turning on this flag
- *  lets XScreenSaver work better with servers which support this extension; 
- *  but it will still work with servers which do not suport it, so it's a good
- *  idea to compile in support for it if you can.
- */
-#undef HAVE_XIDLE_EXTENSION
-
-/*  Define this if you have the SGI SCREEN_SAVER extension.  This is standard
- *  on Irix systems, and not available elsewhere.
- */
+/* Define to 1 if you have the `realpath' function. */
+#undef HAVE_REALPATH
+
+/* Define to 1 if you have the `sbrk' function. */
+#undef HAVE_SBRK
+
+/* Define to 1 if you have the `select' function. */
+#undef HAVE_SELECT
+
+/* Define to 1 if you have the `setenv' function. */
+#undef HAVE_SETENV
+
+/* Define to 1 if you have the `setlocale' function. */
+#undef HAVE_SETLOCALE
+
+/* Define to 1 if you have the `setpriority' function. */
+#undef HAVE_SETPRIORITY
+
+/* Define to 1 if you have the `setrlimit' function. */
+#undef HAVE_SETRLIMIT
+
+/* Define this if you have the SGI SCREEN_SAVER extension. This is standard on
+   Irix systems, and not available elsewhere. */
 #undef HAVE_SGI_SAVER_EXTENSION
 
-/*  Define this if you have the SGI-VIDEO-CONTROL extension.  This is standard
- *  on Irix systems, and not available elsewhere.
- */
+/* Define this if you have the SGI-VIDEO-CONTROL extension. This is standard
+   on Irix systems, and not available elsewhere. */
 #undef HAVE_SGI_VC_EXTENSION
 
-/*  Define this if you have the XDPMS extension.  This is standard on
- *  sufficiently-recent XFree86 systems, and possibly elsewhere.  (It's
- *  available if the file /usr/include/X11/extensions/dpms.h exists.)
- */
-#undef HAVE_DPMS_EXTENSION
-
-/*  Define this if you have the functions XF86VidModeGetModeLine() and
- *  XF86VidModeGetViewPort(), in support of virtual desktops where the
- *  X server's root window is bigger than the actual screen.  This is
- *  an XFree86 thing, and probably doesn't exist elsewhere.  (It's
- *  available if the file /usr/include/X11/extensions/xf86vmode.h exists.)
- */
+/* Define this if your system uses 'shadow' passwords, that is, the passwords
+   live in /etc/shadow instead of /etc/passwd, and one reads them with
+   getspnam() instead of getpwnam(). (Note that SCO systems do some random
+   other thing; others might as well. See the ifdefs in driver/passwd-pwent.c
+   if you're having trouble related to reading passwords.) */
+#undef HAVE_SHADOW_PASSWD
+
+/* Define to 1 if you have the `sigaction' function. */
+#undef HAVE_SIGACTION
+
+/* Define to 1 if you have the <stdint.h> header file. */
+#undef HAVE_STDINT_H
+
+/* Define to 1 if you have the <stdlib.h> header file. */
+#undef HAVE_STDLIB_H
+
+/* Define to 1 if you have the `strcasecmp' function. */
+#undef HAVE_STRCASECMP
+
+/* Define to 1 if you have the `strchr' function. */
+#undef HAVE_STRCHR
+
+/* Define to 1 if you have the `strdup' function. */
+#undef HAVE_STRDUP
+
+/* Define to 1 if you have the <strings.h> header file. */
+#undef HAVE_STRINGS_H
+
+/* Define to 1 if you have the <string.h> header file. */
+#undef HAVE_STRING_H
+
+/* Define to 1 if you have the `syslog' function. */
+#undef HAVE_SYSLOG
+
+/* Define to 1 if you have the <sys/dir.h> header file, and it defines `DIR'.
+   */
+#undef HAVE_SYS_DIR_H
+
+/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR'.
+   */
+#undef HAVE_SYS_NDIR_H
+
+/* Define to 1 if you have the <sys/param.h> header file. */
+#undef HAVE_SYS_PARAM_H
+
+/* Define to 1 if you have the <sys/select.h> header file. */
+#undef HAVE_SYS_SELECT_H
+
+/* Define to 1 if you have the <sys/stat.h> header file. */
+#undef HAVE_SYS_STAT_H
+
+/* Define to 1 if you have the <sys/types.h> header file. */
+#undef HAVE_SYS_TYPES_H
+
+/* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
+#undef HAVE_SYS_WAIT_H
+
+/* Define to 1 if you have the `uname' function. */
+#undef HAVE_UNAME
+
+/* Define to 1 if you have the <unistd.h> header file. */
+#undef HAVE_UNISTD_H
+
+/* Define to 1 if you have the <util.h> header file. */
+#undef HAVE_UTIL_H
+
+/* Define this if you are on a system that supports the VT_LOCKSWITCH and
+   VT_UNLOCKSWITCH ioctls. If this is defined, then when the screen is locked,
+   switching to another virtual terminal will also be prevented. That is, the
+   whole console will be locked, rather than just the VT on which X is
+   running. (Well, that's the theory anyway -- in practice, I haven't yet
+   figured out how to make that work.) */
+#undef HAVE_VT_LOCKSWITCH
+
+/* Define this if you have the XF86MiscSetGrabKeysState function (which allows
+   the Ctrl-Alt-KP_star and Ctrl-Alt-KP_slash key sequences to be temporarily
+   disabled. Sadly, it doesn't affect Ctrl-Alt-BS or Ctrl-Alt-F1.) */
+#undef HAVE_XF86MISCSETGRABKEYSSTATE
+
+/* Define this if you have the functions XF86VidModeGetModeLine() and
+   XF86VidModeGetViewPort(), in support of virtual desktops where the X
+   server's root window is bigger than the actual screen. This is an XFree86
+   thing, and probably doesn't exist elsewhere. (It's available if the file
+   /usr/include/X11/extensions/xf86vmode.h exists.) */
 #undef HAVE_XF86VMODE
 
-/*  Define this if you have the functions XF86VidModeGetGamma() and
- *  XF86VidModeSetGamma(), which allow clients to change the gamma
- *  response of the monitor.  This is an XFree86 4.0.x thing, and
- *  probably doesn't exist elsewhere.  (It's available if the file
- *  /usr/include/X11/extensions/xf86vmode.h exists and has stuff about
- *  gamma in it.)
- */
+/* Define this if you have the functions XF86VidModeGetGamma() and
+   XF86VidModeSetGamma(), which allow clients to change the gamma response of
+   the monitor. This is an XFree86 4.0.x thing, and probably doesn't exist
+   elsewhere. (It's available if the file
+   /usr/include/X11/extensions/xf86vmode.h exists and has stuff about gamma in
+   it.) */
 #undef HAVE_XF86VMODE_GAMMA
 
-/*  Define this if you have the functions XF86VidModeGetGammaRamp() and
- *  XF86VidModeSetGammaRamp(), which provide finer-grained control than
- *  XF86VidMode[GS]etGamma().  These appeared in XFree86 4.1.0.
- */
+/* Define this if you have the functions XF86VidModeGetGammaRamp() and
+   XF86VidModeSetGammaRamp(), which provide finer-grained control than
+   XF86VidMode[GS]etGamma(). These appeared in XFree86 4.1.0. */
 #undef HAVE_XF86VMODE_GAMMA_RAMP
 
-/*  Define this if you have the Xinerama extension.  This is standard on
- *  sufficiently-recent XFree86 systems, and possibly elsewhere.  (It's
- *  available if the file /usr/include/X11/extensions/Xinerama.h exists.)
- */
+/* Define this if you have the XHPDisableReset function (an HP only thing
+   which allows the Ctrl-Sh-Reset key sequence to be temporarily disabled.) */
+#undef HAVE_XHPDISABLERESET
+
+/* Define this if you have the XIDLE extension installed. If you have the
+   XIDLE extension, this is recommended. (You have this extension if the file
+   /usr/include/X11/extensions/xidle.h exists.) Turning on this flag lets
+   XScreenSaver work better with servers which support this extension; but it
+   will still work with servers which do not suport it, so it's a good idea to
+   compile in support for it if you can. */
+#undef HAVE_XIDLE_EXTENSION
+
+/* Define this if you have the Xinerama extension. This is standard on
+   sufficiently-recent XFree86 systems, and possibly elsewhere. (It's
+   available if the file /usr/include/X11/extensions/Xinerama.h exists.) */
 #undef HAVE_XINERAMA
 
-/*  Define this if you have the Resize and Rotate extension.  This is standard
- *  on sufficiently-recent XFree86 systems, and possibly elsewhere.  (It's
- *  available if the file /usr/include/X11/extensions/Xrandr.h exists.)
- */
-#undef HAVE_RANDR
-
-/* Define this if you have the XF86MiscSetGrabKeysState function (which allows
-   the Ctrl-Alt-KP_star and Ctrl-Alt-KP_slash key sequences to be temporarily
-   disabled.  Sadly, it doesn't affect Ctrl-Alt-BS or Ctrl-Alt-F1.)
- */
-#undef HAVE_XF86MISCSETGRABKEYSSTATE
-
-/*  Define this if you have a Linux-like /proc/interrupts file which can be
- *  examined to determine when keyboard activity has occurred.
- */
-#undef HAVE_PROC_INTERRUPTS
-
-
-
-/* *************************************************************************
-                          CONFIGURING GRAPHICS TOOLKITS
-   ************************************************************************* */
-
-/*  Define this if you have Motif.
- */
-#undef HAVE_MOTIF
-
-/*  Define this if you have the XmComboBox Motif widget (Motif 2.0.)
- */
+/* Define this if you have the XmComboBox Motif widget (Motif 2.0.) */
 #undef HAVE_XMCOMBOBOX
 
-/*  Define this if you have Gtk (any version.)
- */
-#undef HAVE_GTK
-
-/* Define this if you have Gtk 2.x.
- */
-#undef HAVE_GTK2
-
-/*  Define this if you have Gnome and want to build support for the 
-    xscreensaver control panel in the Gnome Control Center (gnomecc).
-    (This is needed only with Gtk 1.x.)
- */
-#undef HAVE_CRAPPLET
-
-/*  Define this if HAVE_CRAPPLET is defined, and the function
-    capplet_widget_changes_are_immediate() is available.
- */
-#undef HAVE_CRAPPLET_IMMEDIATE
-
-/*  Define this if you have the XML library.
- */
+/* Define this if you have the XML library. */
 #undef HAVE_XML
 
-/* Define this if you have the XML library headers in their old,
- * non-namespaced location (you lack the gnome-xml/libxml symlink)
- */
-#undef HAVE_OLD_XML_HEADERS
+/* Define this if you have the Xmu library. This is standard part of X, and if
+   your vendor doesn't ship it, you should report that as a bug. */
+#undef HAVE_XMU
 
-/*  Define this if you have the XPM library installed.  Some of the demos can
- *  make use of this if it is available.
- */
+/* Define this if you have the XPM library installed. Some of the demos can
+   make use of this if it is available. */
 #undef HAVE_XPM
 
-/*  Define this if you have the GDK_Pixbuf library installed.  Some of the
- *  demos can make use of this if it is available.
- */
-#undef HAVE_GDK_PIXBUF
-
-/*  Define this if you have the Independent JPEG Group's JPEG library
- *  installed.  Some of the demos can make use of this if it is available.
- */
-#undef HAVE_JPEGLIB
-
-/*  Define this if you have the Xmu library.  This is standard part of X, and
- *  if your vendor doesn't ship it, you should report that as a bug.
- */
-#undef HAVE_XMU
-
-/*  Define this if you have OpenGL.  Some of the demos require it, so if you
- *  don't have it, then those particular demos won't be built.  (This won't
- *  affect the screen saver as a whole.)
- */
-#undef HAVE_GL
-
-/*  Define this if you have OpenGL, but it's the MesaGL variant.  (The 
-    libraries have different names.)  (HAVE_GL should be defined too.)
- */
-#undef HAVE_MESA_GL
-
-/*  Define this if your version of OpenGL has the glBindTexture() routine.
-    This is the case for OpenGL 1.1, but not for OpenGL 1.0.
- */
-#undef HAVE_GLBINDTEXTURE
-
-/*  Define this if you have the -lgle and -lmatrix libraries (GL extrusion.)
- */
-#undef HAVE_GLE
-
-/*  Define this if you have the -lgle from GLE version 3
- */
-#undef HAVE_GLE3
-
-/*  Define this if you have the X Shared Memory Extension.
- */
+/* Define this if you have the X Shared Memory Extension. */
 #undef HAVE_XSHM_EXTENSION
 
-/*  Define this if you have the X Double Buffer Extension.
- */
-#undef HAVE_DOUBLE_BUFFER_EXTENSION
-
-/*  Set the name of the password helper program, if any
- */
-#undef PASSWD_HELPER_PROGRAM
-
-
-
-/* *************************************************************************
-                       CONFIGURING PASSWORD AUTHENTICATION
-   ************************************************************************* */
-
-/* Define this to remove the option of locking the screen at all.
- */
+/* Define to 1 if you have the `__argz_count' function. */
+#undef HAVE___ARGZ_COUNT
+
+/* Define to 1 if you have the `__argz_next' function. */
+#undef HAVE___ARGZ_NEXT
+
+/* Define to 1 if you have the `__argz_stringify' function. */
+#undef HAVE___ARGZ_STRINGIFY
+
+/* Define this to remove the option of locking the screen at all. */
 #undef NO_LOCKING
 
-/*  Define this if you want to use Kerberos authentication to lock/unlock the
- *  screen instead of your local password.  This currently uses Kerberos V4, 
- *  but a V5 server with V4 compatibility will work.  WARNING: DO NOT USE AFS
- *  string-to-key passwords with this option. This option currently *only* 
- *  works with standard Kerberos des_string_to_key.  If your password is an
- *  AFS password and not a kerberos password, it will not authenticate 
- *  properly. See the comments in driver/kpasswd.c for more information if you
- *  need it. 
- */
-#undef HAVE_KERBEROS
-
-/* Define this if you have Kerberos 5, meaning we need to use the Kerberos 4
- * compatibility layer.
- */
-#undef HAVE_KERBEROS5
-
-/*  Define this if you want to use PAM (Pluggable Authentication Modules)
- *  to lock/unlock the screen, instead of standard /etc/passwd authentication.
- */
-#undef HAVE_PAM
-
-/*  If PAM is being used, this is the name of the PAM service that xscreensaver
- *  will authenticate as.  The default is "xscreensaver", which means that the
- *  PAM library will look for an "xscreensaver" line in /etc/pam.conf, or (on
- *  recent Linux systems) will look for a file called /etc/pam.d/xscreensaver.
- *  Some systems might already have a PAM installation that is configured for
- *  xlock, so setting this to "xlock" would also work in that case.
- */
-#define PAM_SERVICE_NAME "xscreensaver"
-
-/* Define if you have PAM and pam_strerror() requires two arguments.  */
+/* This is the same as GETTEXT_PACKAGE, but for the glade generated code. */
+#undef PACKAGE
+
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
+
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
+
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
+
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
+
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
+
+/* If PAM is being used, this is the name of the PAM service that xscreensaver
+   will authenticate as. The default is "xscreensaver", which means that the
+   PAM library will look for an "xscreensaver" line in /etc/pam.conf, or (on
+   recent Linux systems) will look for a file called /etc/pam.d/xscreensaver.
+   Some systems might already have a PAM installation that is configured for
+   xlock, so setting this to "xlock" would also work in that case. */
+#undef PAM_SERVICE_NAME
+
+/* Define if you have PAM and pam_strerror() requires two arguments. */
 #undef PAM_STRERROR_TWO_ARGS
 
-/*  Define this if your system uses `shadow' passwords, that is, the passwords
- *  live in /etc/shadow instead of /etc/passwd, and one reads them with
- *  getspnam() instead of getpwnam().  (Note that SCO systems do some random
- *  other thing; others might as well.  See the ifdefs in driver/passwd-pwent.c
- *  if you're having trouble related to reading passwords.)
- */
-#undef HAVE_SHADOW_PASSWD
-
-/*  Define this if your system is Digital or SCO Unix with so-called ``Enhanced
-    Security'', that is, the passwords live in /tcb/files/auth/<x>/<xyz> 
-    instead of in /etc/passwd, and one reads them with getprpwnam() instead 
-    of getpwnam().
- */
-#undef HAVE_ENHANCED_PASSWD
-
-/*  Define this if your system is Solaris with ``adjunct'' passwords (this is
-    the version where one gets at the passwords with getpwanam() instead of
-    getpwnam().)  I haven't tested this one, let me know if it works.
- */
-#undef HAVE_ADJUNCT_PASSWD
-
-/*  Define this if you are running HPUX with so-called ``Secure Passwords'' 
-    (if you have /usr/include/hpsecurity.h, you probably have this.)  I
-    haven't tested this one, let me know if it works.
- */
-#undef HAVE_HPUX_PASSWD
-
-/*  Define this if you are on a system that supports the VT_LOCKSWITCH and
-    VT_UNLOCKSWITCH ioctls.  If this is defined, then when the screen is
-    locked, switching to another virtual terminal will also be prevented.
-    That is, the whole console will be locked, rather than just the VT on
-    which X is running.  (Well, that's the theory anyway -- in practice,
-    I haven't yet figured out how to make that work.)
- */
-#undef HAVE_VT_LOCKSWITCH
-
-
-/* Define this if you the openlog(), syslog(), and closelog() functions.
-   This is used for logging failed login attempts.
- */
-#undef HAVE_SYSLOG
-
-
-/* *************************************************************************
-                            OTHER C ENVIRONMENT JUNK
-   ************************************************************************* */
-
-/* Define this to void* if you're using X11R4 or earlier.  */
+/* Set the name of the password helper program, if any */
+#undef PASSWD_HELPER_PROGRAM
+
+/* Define as the return type of signal handlers (`int' or `void'). */
+#undef RETSIGTYPE
+
+/* If using the C implementation of alloca, define if you know the
+   direction of stack growth for your system; otherwise it will be
+   automatically deduced at run-time.
+	STACK_DIRECTION > 0 => grows toward higher addresses
+	STACK_DIRECTION < 0 => grows toward lower addresses
+	STACK_DIRECTION = 0 => direction of growth unknown */
+#undef STACK_DIRECTION
+
+/* Define to 1 if you have the ANSI C header files. */
+#undef STDC_HEADERS
+
+/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
+#undef TIME_WITH_SYS_TIME
+
+/* Define this to void* if you're using X11R4 or earlier. */
 #undef XPointer
 
-/* Define if you have the nice function.  */
-#undef HAVE_NICE
-
-/* Define if you have the setpriority function.  */
-#undef HAVE_SETPRIORITY
-
-/* Define to empty if the keyword does not work.  */
+/* Define to 1 if the X Window System is missing or not being used. */
+#undef X_DISPLAY_MISSING
+
+/* Define to empty if `const' does not conform to ANSI C. */
 #undef const
 
-/* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
-#undef HAVE_SYS_WAIT_H
-
-/* Define as __inline if that's what the C compiler calls it.  */
+/* Define to `__inline__' or `__inline' if that's what the C compiler
+   calls it, or to nothing if 'inline' is not supported under any name.  */
+#ifndef __cplusplus
 #undef inline
+#endif
 
-/* Define to `int' if <sys/types.h> doesn't define.  */
+/* Define to `int' if <sys/types.h> does not define. */
 #undef mode_t
 
-/* Define to `int' if <sys/types.h> doesn't define.  */
+/* Define to `long' if <sys/types.h> does not define. */
+#undef off_t
+
+/* Define to `int' if <sys/types.h> does not define. */
 #undef pid_t
 
-/* Define as the return type of signal handlers (int or void).  */
-#undef RETSIGTYPE
-
-/* Define to `unsigned' if <sys/types.h> doesn't define.  */
+/* Define to `unsigned' if <sys/types.h> does not define. */
 #undef size_t
-
-/* Define if you have the ANSI C header files.  */
-#undef STDC_HEADERS
-
-/* Define if you can safely include both <sys/time.h> and <time.h>.  */
-#undef TIME_WITH_SYS_TIME
-
-/* Define if you have the gettimeofday function.  */
-#undef HAVE_GETTIMEOFDAY
-
-/* Define if gettimeofday requires two arguments.  */
-#undef GETTIMEOFDAY_TWO_ARGS
-
-/* Define if you have the putenv function.  */
-#undef HAVE_PUTENV
-
-/* Define if you have the select function.  */
-#undef HAVE_SELECT
-
-/* Define if you have the getcwd function.  */
-#undef HAVE_GETCWD
-
-/* Define if you have the getcwd function.  */
-#undef HAVE_GETWD
-
-/* Define if you have the realpath function.  */
-#undef HAVE_REALPATH
-
-/* Define if you have the uname function.  */
-#undef HAVE_UNAME
-
-/* Define if you have the fcntl function.  */
-#undef HAVE_FCNTL
-
-/* Define if you have the sigaction function.  */
-#undef HAVE_SIGACTION
-
-/* Define this if you have the setrlimit function. */
-#undef HAVE_SETRLIMIT
-
-/* Define if you have the sbrk function.  */
-#undef HAVE_SBRK
-
-/* Define if you have the forkpty function.  */
-#undef HAVE_FORKPTY
-
-/* Define if you have the <pty.h> header file.  */
-#undef HAVE_PTY_H
-
-/* Define if you have the <util.h> header file.  */
-#undef HAVE_UTIL_H
-
-/* Define if you have the <unistd.h> header file.  */
-#undef HAVE_UNISTD_H
-
-/* Define if you have the <locale.h> header file.  */
-#undef HAVE_LOCALE_H
-
-/* Define if you have the setlocale function.  */
-#undef HAVE_SETLOCALE
-
-/* Define if you have the <crypt.h> header file.  */
-#undef HAVE_CRYPT_H
-
-/* Define if you have <sys/select.h> that defines fd_set and FD_SET.  */
-#undef HAVE_SYS_SELECT_H
-
-/* Define this if you do pings with a `struct icmp' and  a `icmp_id' slot.
- */
-#undef HAVE_ICMP
-
-/* Define this if you do pings with a `struct icmphdr' and a `un.echo.id' slot.
- */
-#undef HAVE_ICMPHDR
-
-/* This is the name of the gettext package to use.
- */
-#undef GETTEXT_PACKAGE
-
-/* This is the same as GETTEXT_PACKAGE, but for the glade generated
- * code.
- */
-#undef PACKAGE
-
-/* Define this if you want to build with NLS support
- */
-#undef ENABLE_NLS

=== modified file 'config.sub'
--- config.sub	2005-04-09 00:06:43 +0000
+++ config.sub	2006-07-29 23:00:43 +0000
@@ -1,9 +1,9 @@
 #! /bin/sh
 # Configuration validation subroutine script.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
+#   2000, 2001, 2002 Free Software Foundation, Inc.
 
-timestamp='2005-02-10'
+timestamp='2002-09-05'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -70,7 +70,7 @@
 version="\
 GNU config.sub ($timestamp)
 
-Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
+Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
 Free Software Foundation, Inc.
 
 This is free software; see the source for copying conditions.  There is NO
@@ -118,8 +118,7 @@
 # Here we must recognize all the valid KERNEL-OS combinations.
 maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\2/'`
 case $maybe_os in
-  nto-qnx* | linux-gnu* | linux-dietlibc | linux-uclibc* | uclinux-uclibc* | uclinux-gnu* | \
-  kfreebsd*-gnu* | knetbsd*-gnu* | netbsd*-gnu* | storm-chaos* | os2-emx* | rtmk-nova*)
+  nto-qnx* | linux-gnu* | freebsd*-gnu* | storm-chaos* | os2-emx* | windows32-* | rtmk-nova*)
     os=-$maybe_os
     basic_machine=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\1/'`
     ;;
@@ -145,7 +144,7 @@
 	-convergent* | -ncr* | -news | -32* | -3600* | -3100* | -hitachi* |\
 	-c[123]* | -convex* | -sun | -crds | -omron* | -dg | -ultra | -tti* | \
 	-harris | -dolphin | -highlevel | -gould | -cbm | -ns | -masscomp | \
-	-apple | -axis | -knuth | -cray)
+	-apple | -axis)
 		os=
 		basic_machine=$1
 		;;
@@ -229,15 +228,14 @@
 	| a29k \
 	| alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \
 	| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64pca5[67] \
-	| am33_2.0 \
 	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr \
-	| c4x | clipper \
+	| clipper \
 	| d10v | d30v | dlx | dsp16xx \
 	| fr30 | frv \
 	| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
 	| i370 | i860 | i960 | ia64 \
-	| ip2k | iq2000 \
-	| m32r | m32rle | m68000 | m68k | m88k | maxq | mcore \
+	| ip2k \
+	| m32r | m68000 | m68k | m88k | mcore \
 	| mips | mipsbe | mipseb | mipsel | mipsle \
 	| mips16 \
 	| mips64 | mips64el \
@@ -247,27 +245,24 @@
 	| mips64vr4300 | mips64vr4300el \
 	| mips64vr5000 | mips64vr5000el \
 	| mipsisa32 | mipsisa32el \
-	| mipsisa32r2 | mipsisa32r2el \
 	| mipsisa64 | mipsisa64el \
-	| mipsisa64r2 | mipsisa64r2el \
 	| mipsisa64sb1 | mipsisa64sb1el \
 	| mipsisa64sr71k | mipsisa64sr71kel \
 	| mipstx39 | mipstx39el \
 	| mn10200 | mn10300 \
-	| msp430 \
 	| ns16k | ns32k \
 	| openrisc | or32 \
 	| pdp10 | pdp11 | pj | pjl \
 	| powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \
 	| pyramid \
-	| sh | sh[1234] | sh[23]e | sh[34]eb | shbe | shle | sh[1234]le | sh3ele \
+	| sh | sh[1234] | sh3e | sh[34]eb | shbe | shle | sh[1234]le | sh3ele \
 	| sh64 | sh64le \
-	| sparc | sparc64 | sparc86x | sparclet | sparclite | sparcv8 | sparcv9 | sparcv9b \
+	| sparc | sparc64 | sparc86x | sparclet | sparclite | sparcv9 | sparcv9b \
 	| strongarm \
-	| tahoe | thumb | tic4x | tic80 | tron \
+	| tahoe | thumb | tic80 | tron \
 	| v850 | v850e \
 	| we32k \
-	| x86 | xscale | xscalee[bl] | xstormy16 | xtensa \
+	| x86 | xscale | xstormy16 | xtensa \
 	| z8k)
 		basic_machine=$basic_machine-unknown
 		;;
@@ -299,18 +294,18 @@
 	| arm-*  | armbe-* | armle-* | armeb-* | armv*-* \
 	| avr-* \
 	| bs2000-* \
-	| c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* | c55x-* | c6x-* \
-	| clipper-* | craynv-* | cydra-* \
+	| c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* \
+	| clipper-* | cydra-* \
 	| d10v-* | d30v-* | dlx-* \
 	| elxsi-* \
 	| f30[01]-* | f700-* | fr30-* | frv-* | fx80-* \
 	| h8300-* | h8500-* \
 	| hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
 	| i*86-* | i860-* | i960-* | ia64-* \
-	| ip2k-* | iq2000-* \
-	| m32r-* | m32rle-* \
+	| ip2k-* \
+	| m32r-* \
 	| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \
-	| m88110-* | m88k-* | maxq-* | mcore-* \
+	| m88110-* | m88k-* | mcore-* \
 	| mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \
 	| mips16-* \
 	| mips64-* | mips64el-* \
@@ -320,31 +315,25 @@
 	| mips64vr4300-* | mips64vr4300el-* \
 	| mips64vr5000-* | mips64vr5000el-* \
 	| mipsisa32-* | mipsisa32el-* \
-	| mipsisa32r2-* | mipsisa32r2el-* \
 	| mipsisa64-* | mipsisa64el-* \
-	| mipsisa64r2-* | mipsisa64r2el-* \
 	| mipsisa64sb1-* | mipsisa64sb1el-* \
 	| mipsisa64sr71k-* | mipsisa64sr71kel-* \
-	| mipstx39-* | mipstx39el-* \
-	| mmix-* \
-	| msp430-* \
+	| mipstx39 | mipstx39el \
 	| none-* | np1-* | ns16k-* | ns32k-* \
 	| orion-* \
 	| pdp10-* | pdp11-* | pj-* | pjl-* | pn-* | power-* \
 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \
 	| pyramid-* \
 	| romp-* | rs6000-* \
-	| sh-* | sh[1234]-* | sh[23]e-* | sh[34]eb-* | shbe-* \
+	| sh-* | sh[1234]-* | sh3e-* | sh[34]eb-* | shbe-* \
 	| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \
 	| sparc-* | sparc64-* | sparc86x-* | sparclet-* | sparclite-* \
-	| sparcv8-* | sparcv9-* | sparcv9b-* | strongarm-* | sv1-* | sx?-* \
-	| tahoe-* | thumb-* \
-	| tic30-* | tic4x-* | tic54x-* | tic55x-* | tic6x-* | tic80-* \
-	| tron-* \
+	| sparcv9-* | sparcv9b-* | strongarm-* | sv1-* | sx?-* \
+	| tahoe-* | thumb-* | tic30-* | tic4x-* | tic54x-* | tic80-* | tron-* \
 	| v850-* | v850e-* | vax-* \
 	| we32k-* \
-	| x86-* | x86_64-* | xps100-* | xscale-* | xscalee[bl]-* \
-	| xstormy16-* | xtensa-* \
+	| x86-* | x86_64-* | xps100-* | xscale-* | xstormy16-* \
+	| xtensa-* \
 	| ymp-* \
 	| z8k-*)
 		;;
@@ -364,9 +353,6 @@
 		basic_machine=a29k-amd
 		os=-udi
 		;;
-    	abacus)
-		basic_machine=abacus-unknown
-		;;
 	adobe68k)
 		basic_machine=m68010-adobe
 		os=-scout
@@ -381,12 +367,6 @@
 		basic_machine=a29k-none
 		os=-bsd
 		;;
-	amd64)
-		basic_machine=x86_64-pc
-		;;
-	amd64-*)
-		basic_machine=x86_64-`echo $basic_machine | sed 's/^[^-]*-//'`
-		;;
 	amdahl)
 		basic_machine=580-amdahl
 		os=-sysv
@@ -446,27 +426,12 @@
 		basic_machine=j90-cray
 		os=-unicos
 		;;
-	craynv)
-		basic_machine=craynv-cray
-		os=-unicosmp
-		;;
-	cr16c)
-		basic_machine=cr16c-unknown
-		os=-elf
-		;;
 	crds | unos)
 		basic_machine=m68k-crds
 		;;
-	crisv32 | crisv32-* | etraxfs*)
-		basic_machine=crisv32-axis
-		;;
 	cris | cris-* | etrax*)
 		basic_machine=cris-axis
 		;;
-	crx)
-		basic_machine=crx-unknown
-		os=-elf
-		;;
 	da30 | da30-*)
 		basic_machine=m68k-da30
 		;;
@@ -489,10 +454,6 @@
 		basic_machine=m88k-motorola
 		os=-sysv3
 		;;
-	djgpp)
-		basic_machine=i586-pc
-		os=-msdosdjgpp
-		;;
 	dpx20 | dpx20-*)
 		basic_machine=rs6000-bull
 		os=-bosx
@@ -671,6 +632,10 @@
 	mips3*)
 		basic_machine=`echo $basic_machine | sed -e 's/mips3/mips64/'`-unknown
 		;;
+	mmix*)
+		basic_machine=mmix-knuth
+		os=-mmixware
+		;;
 	monitor)
 		basic_machine=m68k-rom68k
 		os=-coff
@@ -762,10 +727,6 @@
 		basic_machine=or32-unknown
 		os=-coff
 		;;
-	os400)
-		basic_machine=powerpc-ibm
-		os=-os400
-		;;
 	OSE68000 | ose68000)
 		basic_machine=m68000-ericsson
 		os=-ose
@@ -797,24 +758,18 @@
 	pentiumpro | p6 | 6x86 | athlon | athlon_*)
 		basic_machine=i686-pc
 		;;
-	pentiumii | pentium2 | pentiumiii | pentium3)
+	pentiumii | pentium2)
 		basic_machine=i686-pc
 		;;
-	pentium4)
-		basic_machine=i786-pc
-		;;
 	pentium-* | p5-* | k5-* | k6-* | nexgen-* | viac3-*)
 		basic_machine=i586-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
 	pentiumpro-* | p6-* | 6x86-* | athlon-*)
 		basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
-	pentiumii-* | pentium2-* | pentiumiii-* | pentium3-*)
+	pentiumii-* | pentium2-*)
 		basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
-	pentium4-*)
-		basic_machine=i786-`echo $basic_machine | sed 's/^[^-]*-//'`
-		;;
 	pn)
 		basic_machine=pn-gould
 		;;
@@ -873,10 +828,6 @@
 	sb1el)
 		basic_machine=mipsisa64sb1el-unknown
 		;;
-	sei)
-		basic_machine=mips-sei
-		os=-seiux
-		;;
 	sequent)
 		basic_machine=i386-sequent
 		;;
@@ -884,9 +835,6 @@
 		basic_machine=sh-hitachi
 		os=-hms
 		;;
-	sh64)
-		basic_machine=sh64-unknown
-		;;
 	sparclite-wrs | simso-wrs)
 		basic_machine=sparclite-wrs
 		os=-vxworks
@@ -953,6 +901,10 @@
 		basic_machine=i386-sequent
 		os=-dynix
 		;;
+	t3d)
+		basic_machine=alpha-cray
+		os=-unicos
+		;;
 	t3e)
 		basic_machine=alphaev5-cray
 		os=-unicos
@@ -961,18 +913,14 @@
 		basic_machine=t90-cray
 		os=-unicos
 		;;
+        tic4x | c4x*)
+		basic_machine=tic4x-unknown
+		os=-coff
+		;;
 	tic54x | c54x*)
 		basic_machine=tic54x-unknown
 		os=-coff
 		;;
-	tic55x | c55x*)
-		basic_machine=tic55x-unknown
-		os=-coff
-		;;
-	tic6x | c6x*)
-		basic_machine=tic6x-unknown
-		os=-coff
-		;;
 	tx39)
 		basic_machine=mipstx39-unknown
 		;;
@@ -986,10 +934,6 @@
 	tower | tower-32)
 		basic_machine=m68k-ncr
 		;;
-	tpf)
-		basic_machine=s390x-ibm
-		os=-tpf
-		;;
 	udi29k)
 		basic_machine=a29k-amd
 		os=-udi
@@ -1033,9 +977,9 @@
 		basic_machine=hppa1.1-winbond
 		os=-proelf
 		;;
-	xbox)
-		basic_machine=i686-pc
-		os=-mingw32
+	windows32)
+		basic_machine=i386-pc
+		os=-windows32-msvcrt
 		;;
 	xps | xps100)
 		basic_machine=xps100-honeywell
@@ -1067,9 +1011,6 @@
 	romp)
 		basic_machine=romp-ibm
 		;;
-	mmix)
-		basic_machine=mmix-knuth
-		;;
 	rs6000)
 		basic_machine=rs6000-ibm
 		;;
@@ -1086,13 +1027,13 @@
 	we32k)
 		basic_machine=we32k-att
 		;;
-	sh3 | sh4 | sh[34]eb | sh[1234]le | sh[23]ele)
+	sh3 | sh4 | sh3eb | sh4eb | sh[1234]le | sh3ele)
 		basic_machine=sh-unknown
 		;;
 	sh64)
 		basic_machine=sh64-unknown
 		;;
-	sparc | sparcv8 | sparcv9 | sparcv9b)
+	sparc | sparcv9 | sparcv9b)
 		basic_machine=sparc-sun
 		;;
 	cydra)
@@ -1165,20 +1106,18 @@
 	      | -aos* \
 	      | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \
 	      | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \
-	      | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* | -openbsd* \
-	      | -ekkobsd* | -kfreebsd* | -freebsd* | -riscix* | -lynxos* \
-	      | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | -oabi* \
+	      | -hiux* | -386bsd* | -netbsd* | -openbsd* | -freebsd* | -riscix* \
+	      | -lynxos* | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | -oabi* \
 	      | -ptx* | -coff* | -ecoff* | -winnt* | -domain* | -vsta* \
 	      | -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \
 	      | -chorusos* | -chorusrdb* \
 	      | -cygwin* | -pe* | -psos* | -moss* | -proelf* | -rtems* \
-	      | -mingw32* | -linux-gnu* | -linux-uclibc* | -uxpv* | -beos* | -mpeix* | -udk* \
-	      | -interix* | -uwin* | -mks* | -rhapsody* | -darwin* | -opened* \
+	      | -mingw32* | -linux-gnu* | -uxpv* | -beos* | -mpeix* | -udk* \
+	      | -interix* | -uwin* | -rhapsody* | -darwin* | -opened* \
 	      | -openstep* | -oskit* | -conix* | -pw32* | -nonstopux* \
 	      | -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* \
 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
-	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
-	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly*)
+	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* | -powermax*)
 	# Remember, each alternative MUST END IN *, to match a version number.
 		;;
 	-qnx*)
@@ -1190,10 +1129,8 @@
 			;;
 		esac
 		;;
-	-nto-qnx*)
-		;;
 	-nto*)
-		os=`echo $os | sed -e 's|nto|nto-qnx|'`
+		os=-nto-qnx
 		;;
 	-sim | -es1800* | -hms* | -xray | -os68k* | -none* | -v88r* \
 	      | -windows* | -osx | -abug | -netware* | -os9* | -beos* \
@@ -1202,9 +1139,6 @@
 	-mac*)
 		os=`echo $os | sed -e 's|mac|macos|'`
 		;;
-	-linux-dietlibc)
-		os=-linux-dietlibc
-		;;
 	-linux*)
 		os=`echo $os | sed -e 's|linux|linux-gnu|'`
 		;;
@@ -1217,9 +1151,6 @@
 	-opened*)
 		os=-openedition
 		;;
-        -os400*)
-		os=-os400
-		;;
 	-wince*)
 		os=-wince
 		;;
@@ -1241,9 +1172,6 @@
 	-atheos*)
 		os=-atheos
 		;;
-	-syllable*)
-		os=-syllable
-		;;
 	-386bsd)
 		os=-bsd
 		;;
@@ -1266,9 +1194,6 @@
 	-sinix*)
 		os=-sysv4
 		;;
-        -tpf*)
-		os=-tpf
-		;;
 	-triton*)
 		os=-sysv3
 		;;
@@ -1299,15 +1224,6 @@
 	-*mint | -mint[0-9]* | -*MiNT | -MiNT[0-9]*)
 		os=-mint
 		;;
-	-aros*)
-		os=-aros
-		;;
-	-kaos*)
-		os=-kaos
-		;;
-	-zvmoe)
-		os=-zvmoe
-		;;
 	-none)
 		;;
 	*)
@@ -1339,9 +1255,6 @@
 	arm*-semi)
 		os=-aout
 		;;
-    c4x-* | tic4x-*)
-        os=-coff
-        ;;
 	# This must come before the *-dec entry.
 	pdp10-*)
 		os=-tops20
@@ -1388,9 +1301,6 @@
 	*-ibm)
 		os=-aix
 		;;
-    	*-knuth)
-		os=-mmixware
-		;;
 	*-wec)
 		os=-proelf
 		;;
@@ -1523,15 +1433,9 @@
 			-mvs* | -opened*)
 				vendor=ibm
 				;;
-			-os400*)
-				vendor=ibm
-				;;
 			-ptx*)
 				vendor=sequent
 				;;
-			-tpf*)
-				vendor=ibm
-				;;
 			-vxsim* | -vxworks* | -windiss*)
 				vendor=wrs
 				;;

=== modified file 'configure'
--- configure	2005-04-09 00:06:43 +0000
+++ configure	2006-07-29 23:00:43 +0000
@@ -309,7 +309,7 @@
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE EGREP PERL X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS INTLTOOL_DESKTOP_RULE INTLTOOL_DIRECTORY_RULE INTLTOOL_KEYS_RULE INTLTOOL_OAF_RULE INTLTOOL_PONG_RULE INTLTOOL_SERVER_RULE INTLTOOL_SHEET_RULE INTLTOOL_SOUNDLIST_RULE INTLTOOL_UI_RULE INTLTOOL_XML_RULE INTLTOOL_CAVES_RULE INTLTOOL_EXTRACT INTLTOOL_MERGE INTLTOOL_UPDATE INTLTOOL_PERL GETTEXT_PACKAGE RANLIB ac_ct_RANLIB ALLOCA USE_NLS MSGFMT GMSGFMT XGETTEXT CATALOGS CATOBJEXT DATADIRNAME GMOFILES INSTOBJEXT INTLDEPS INTLLIBS INTLOBJS POFILES POSUB MKINSTALLDIRS pkg_config gnome_open_program gnome_url_show_program INCLUDES PREFERRED_DEMO_PROGRAM ALL_DEMO_PROGRAMS SAVER_LIBS MOTIF_LIBS GTK_LIBS XML_LIBS JPEG_LIBS HACK_LIBS XPM_LIBS PTY_LIBS GL_LIBS GLE_LIBS XDPMS_LIBS XINERAMA_LIBS PASSWD_LIBS INSTALL_SETUID SETUID_HACKS INSTALL_DIRS NEED_SETUID INSTALL_PAM NEW_LOGIN_COMMAND NEW_LOGIN_COMMAND_P DEFAULT_IMAGES_P DEFAULT_IMAGE_DIRECTORY OBJCC EXES_OSX SCRIPTS_OSX MEN_OSX PASSWD_SRCS PASSWD_OBJS XMU_SRCS XMU_OBJS XMU_LIBS SAVER_GL_SRCS SAVER_GL_OBJS SAVER_GL_LIBS LOCK_SRCS LOCK_OBJS JPEG_EXES GL_EXES GL_UTIL_EXES GL_MEN GL_KLUDGE GLE_EXES GLE_KLUDGE GNOME24 GNOME22 NOGNOME HACKDIR GTK_DATADIR PO_DATADIR HACK_CONF_DIR GTK_EXTRA_OBJS APPDEFAULTS DEPEND DEPEND_FLAGS DEPEND_DEFINES LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE EGREP PERL X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS INTLTOOL_DESKTOP_RULE INTLTOOL_DIRECTORY_RULE INTLTOOL_KEYS_RULE INTLTOOL_OAF_RULE INTLTOOL_PONG_RULE INTLTOOL_SERVER_RULE INTLTOOL_SHEET_RULE INTLTOOL_SOUNDLIST_RULE INTLTOOL_UI_RULE INTLTOOL_XML_RULE INTLTOOL_CAVES_RULE INTLTOOL_EXTRACT INTLTOOL_MERGE INTLTOOL_UPDATE INTLTOOL_PERL GETTEXT_PACKAGE RANLIB ac_ct_RANLIB ALLOCA USE_NLS MSGFMT GMSGFMT XGETTEXT CATALOGS CATOBJEXT DATADIRNAME GMOFILES INSTOBJEXT INTLDEPS INTLLIBS INTLOBJS POFILES POSUB MKINSTALLDIRS login_manager_tmp pkg_config gnome_open_program gnome_url_show_program INCLUDES PREFERRED_DEMO_PROGRAM ALL_DEMO_PROGRAMS SAVER_LIBS MOTIF_LIBS GTK_LIBS XML_LIBS JPEG_LIBS HACK_LIBS XPM_LIBS PTY_LIBS GL_LIBS GLE_LIBS XDPMS_LIBS XINERAMA_LIBS PASSWD_LIBS INSTALL_SETUID SETUID_HACKS INSTALL_DIRS NEED_SETUID INSTALL_PAM NEW_LOGIN_COMMAND NEW_LOGIN_COMMAND_P DEFAULT_IMAGES_P DEFAULT_IMAGE_DIRECTORY DEFAULT_TEXT_FILE OBJCC EXES_OSX SCRIPTS_OSX MEN_OSX PASSWD_SRCS PASSWD_OBJS XMU_SRCS XMU_OBJS XMU_LIBS SAVER_GL_SRCS SAVER_GL_OBJS SAVER_GL_LIBS LOCK_SRCS LOCK_OBJS JPEG_EXES GL_EXES GL_UTIL_EXES GL_MEN GL_KLUDGE GLE_EXES GLE_KLUDGE GNOME24 GNOME22 NOGNOME HACKDIR GTK_DATADIR PO_DATADIR HACK_CONF_DIR GTK_EXTRA_OBJS APPDEFAULTS DEPEND DEPEND_FLAGS DEPEND_DEFINES LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -348,7 +348,7 @@
 includedir='${prefix}/include'
 oldincludedir='/usr/include'
 infodir='${prefix}/info'
-mandir='${prefix}/man'
+mandir=\${datadir}/man
 
 ac_prev=
 for ac_option
@@ -787,7 +787,9 @@
 
 Defaults for the options are specified in brackets.
 
+
 Configuration:
+
   -h, --help              display this help and exit
       --help=short        display options specific to this package
       --help=recursive    display the short help of all the included packages
@@ -816,16 +818,12 @@
 
 Fine tuning of the installation directories:
   --bindir=DIR           user executables [EPREFIX/bin]
-  --sbindir=DIR          system admin executables [EPREFIX/sbin]
   --libexecdir=DIR       program executables [EPREFIX/libexec]
   --datadir=DIR          read-only architecture-independent data [PREFIX/share]
-  --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
-  --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
-  --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
   --libdir=DIR           object code libraries [EPREFIX/lib]
   --includedir=DIR       C header files [PREFIX/include]
-  --oldincludedir=DIR    C header files for non-gcc [/usr/include]
-  --infodir=DIR          info documentation [PREFIX/info]
+  --x-includes=DIR        X include files are in DIR
+  --x-libraries=DIR       X library files are in DIR
   --mandir=DIR           man documentation [PREFIX/man]
 _ACEOF
 
@@ -856,12 +854,10 @@
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
-  --with-x                use the X Window System
-
 
 Installation options:
   --with-hackdir=DIR      Where to install the hundreds of demo executables.
-                          Default: `EPREFIX/lib/xscreensaver/'
+                          Default: `PREFIX/libexec/xscreensaver/'
   --with-configdir=DIR    Where to install the data files that describe each
                           of the display modes to the GUI.
                           Default: `PREFIX/share/xscreensaver/config/'
@@ -890,6 +886,9 @@
   --with-proc-interrupts  Include support for consulting the /proc/interrupts
                           file to notice keyboard activity.
   --with-pam              Include support for PAM (Pluggable Auth Modules.)
+  --with-pam-service-name=NAME
+                          NAME is the name of the PAM service that
+                          xscreensaver will authenticate as.
   --with-kerberos         Include support for Kerberos authentication.
   --with-shadow           Include support for shadow password authentication.
   --with-passwd-helper    Include support for an external password
@@ -917,8 +916,9 @@
   --with-xshm-ext         Include support for the Shared Memory extension.
   --with-xdbe-ext         Include support for the DOUBLE-BUFFER extension.
   --with-readdisplay      Include support for the XReadDisplay extension.
-  --with-image-directory=DIR  By default, some screen savers may load
-                          random images out of this directory.
+  --with-image-directory=DIR  By default, some demos may display random images
+                          from this directory.
+  --with-text-file=FILE   By default, some demos may display this file.
   --with-setuid-hacks     Allow some demos to be installed `setuid root'
                           (which is needed in order to ping other hosts.)
 
@@ -1023,7 +1023,7 @@
     else
       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
     fi
-    cd "$ac_popdir"
+    cd $ac_popdir
   done
 fi
 
@@ -1376,6 +1376,172 @@
 echo "current directory: `pwd`"
 echo "command line was: $0 $@"
 
+###############################################################################
+#
+#       Autoheader stuff
+#
+###############################################################################
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
 
 # After checking to see that --srcdir is correct (which AC_INIT does)
 # check for some random other files that come later in the tar file,
@@ -2223,7 +2389,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2281,7 +2448,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2397,7 +2565,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2451,7 +2620,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2496,7 +2666,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2540,7 +2711,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3066,7 +3238,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3126,7 +3299,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3408,7 +3582,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3578,7 +3753,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3645,7 +3821,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3792,7 +3969,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3857,7 +4035,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3922,7 +4101,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3994,7 +4174,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4056,7 +4237,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4126,7 +4308,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4197,7 +4380,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4269,7 +4453,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4323,7 +4508,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4394,7 +4580,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4448,7 +4635,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4513,7 +4701,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4555,7 +4744,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4681,7 +4871,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4785,7 +4976,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4879,7 +5071,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4965,7 +5158,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5029,7 +5223,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5209,12 +5404,9 @@
   PERL=/usr/bin/perl
 fi
 
-
-if test "x$ac_path_x_has_been_run" != xyes; then
-  echo "$as_me:$LINENO: checking for X" >&5
+echo "$as_me:$LINENO: checking for X" >&5
 echo $ECHO_N "checking for X... $ECHO_C" >&6
 
-ac_path_x_has_been_run=yes
 
 # Check whether --with-x or --without-x was given.
 if test "${with_x+set}" = set; then
@@ -5307,7 +5499,7 @@
 /usr/openwin/share/include'
 
 if test "$ac_x_includes" = no; then
-  # Guess where to find include files, by looking for a specified header file.
+  # Guess where to find include files, by looking for Intrinsic.h.
   # First, try using that file with no special directory specified.
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -5381,7 +5573,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5441,15 +5634,10 @@
   # Update the cache value to reflect the command line values.
   ac_cv_have_x="have_x=yes \
 		ac_x_includes=$x_includes ac_x_libraries=$x_libraries"
-  # It might be that x_includes is empty (headers are found in the
-  # standard search path. Then output the corresponding message
-  ac_out_x_includes=$x_includes
-  test "x$x_includes" = x && ac_out_x_includes="in standard search path"
-  echo "$as_me:$LINENO: result: libraries $x_libraries, headers $ac_out_x_includes" >&5
-echo "${ECHO_T}libraries $x_libraries, headers $ac_out_x_includes" >&6
+  echo "$as_me:$LINENO: result: libraries $x_libraries, headers $x_includes" >&5
+echo "${ECHO_T}libraries $x_libraries, headers $x_includes" >&6
 fi
 
-fi
 if test "$no_x" = yes; then
   # Not all programs may use this symbol, but it does not hurt to define it.
 
@@ -5497,7 +5685,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5548,7 +5737,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5624,7 +5814,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5679,7 +5870,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5747,7 +5939,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5855,7 +6048,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5919,7 +6113,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5987,7 +6182,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6091,7 +6287,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6155,7 +6352,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6252,7 +6450,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6316,7 +6515,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6413,7 +6613,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6477,7 +6678,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6556,7 +6758,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6842,7 +7045,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6919,7 +7123,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6962,6 +7167,15 @@
 echo "${ECHO_T}$ac_macosx" >&6
 
 
+if test "$ac_macosx" = yes; then
+  if test -n "$GCC"; then
+    # Without these, every link against libGL gets a bunch of useless warnings.
+    osx_crud="-bind_at_load -multiply_defined suppress"
+    echo "$as_me:$LINENO: result: adding \"$osx_crud\" to LDFLAGS" >&5
+echo "${ECHO_T}adding \"$osx_crud\" to LDFLAGS" >&6
+     LDFLAGS="$LDFLAGS $osx_crud"
+  fi
+fi
 
 ###############################################################################
 #
@@ -7090,17 +7304,19 @@
 
 
 GETTEXT_PACKAGE=xscreensaver
+
 cat >>confdefs.h <<_ACEOF
 #define GETTEXT_PACKAGE "$GETTEXT_PACKAGE"
 _ACEOF
 
+
 cat >>confdefs.h <<_ACEOF
 #define PACKAGE "$GETTEXT_PACKAGE"
 _ACEOF
 
 
 
-ALL_LINGUAS="ca da de es et fi fr hu it ja ko nl no pl pt pt_BR ru sk sv vi wa zh_CN zh_TW"
+ALL_LINGUAS="ca da de es et fi fr hu it ja ko nb nl no pl pt pt_BR ru sk sv vi wa zh_CN zh_TW"
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
@@ -7213,7 +7429,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7277,7 +7494,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7358,7 +7576,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7499,7 +7718,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7637,7 +7857,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7821,7 +8042,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8071,7 +8293,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8266,7 +8489,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8329,7 +8553,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8402,7 +8627,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8538,7 +8764,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8602,7 +8829,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8671,7 +8899,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8825,7 +9054,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8958,7 +9188,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -9098,7 +9329,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -9290,7 +9522,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -9382,7 +9615,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -9439,7 +9673,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -9649,7 +9884,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -9782,7 +10018,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -9916,7 +10153,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10004,7 +10242,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10151,7 +10390,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10241,7 +10481,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10334,7 +10575,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10482,7 +10724,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10572,7 +10815,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10665,7 +10909,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10814,7 +11059,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10902,7 +11148,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11054,7 +11301,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11143,7 +11391,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11238,7 +11487,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11400,7 +11650,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11490,7 +11741,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11583,7 +11835,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11676,7 +11929,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11792,7 +12046,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12036,6 +12291,15 @@
 fi;
 
 
+# Check whether --with-pam_service_name or --without-pam_service_name was given.
+if test "${with_pam_service_name+set}" = set; then
+  withval="$with_pam_service_name"
+  pam_service_name="$withval"
+else
+  pam_service_name="xscreensaver"
+fi;
+
+
    case "$with_pam" in
     yes) ;;
     no)  ;;
@@ -12116,7 +12380,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12146,6 +12411,11 @@
 #define HAVE_PAM 1
 _ACEOF
 
+    cat >>confdefs.h <<_ACEOF
+#define PAM_SERVICE_NAME "$pam_service_name"
+_ACEOF
+
+
     PASSWD_LIBS="${PASSWD_LIBS} -lpam"
 
     # libpam typically requires dlopen and dlsym.  On FreeBSD,
@@ -12188,7 +12458,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12258,7 +12529,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12326,7 +12598,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12389,7 +12662,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12433,7 +12707,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12577,7 +12852,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12636,7 +12912,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12736,7 +13013,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12851,7 +13129,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -12956,7 +13235,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13021,7 +13301,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13179,7 +13460,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13263,7 +13545,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13334,7 +13617,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13400,7 +13684,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13482,7 +13767,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13550,7 +13836,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13662,7 +13949,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13730,7 +14018,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13798,7 +14087,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13880,7 +14170,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -13948,7 +14239,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -14092,35 +14384,75 @@
   ac_cv_login_manager_program=""
 
  if test "$with_login_manager_req" = "yes" ; then
-   with_login_manager=$default_login_manager
+   with_login_manager_req=$default_login_manager
  fi
 
-#  case "$with_login_manager_req" in
-#    /*)
-#      # absolute path
-#      set dummy $with_login_manager_req ; login_manager_tmp=$2
-#      AC_MSG_CHECKING([for $login_manager_tmp])
-#      if test -x "$login_manager_tmp" ; then
-#        AC_MSG_RESULT(yes)
-#        with_login_manager="$login_manager_tmp"
-#      else
-#        AC_MSG_RESULT(no)
-#        with_login_manager=""
-#      fi
-#    ;;
-#    *)
-#      # relative path
-#      set dummy $with_login_manager_req ; login_manager_tmp=$2
-#      # don't cache
-#      unset ac_cv_path_login_manager_tmp
-#      AC_PATH_PROG(login_manager_tmp, $login_manager_tmp, [])
-#      if test -z "$login_manager_tmp" ; then
-#        with_login_manager=""
-#      else
-#        with_login_manager="$login_manager_tmp"
-#      fi
-#    ;;
-#  esac
+  case "$with_login_manager_req" in
+    /*)
+      # absolute path
+      set dummy $with_login_manager_req ; login_manager_tmp=$2
+      echo "$as_me:$LINENO: checking for $login_manager_tmp" >&5
+echo $ECHO_N "checking for $login_manager_tmp... $ECHO_C" >&6
+      if test -x "$login_manager_tmp" ; then
+        echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+      else
+        echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+        with_login_manager=""
+      fi
+    ;;
+    *)
+      # relative path
+      set dummy $with_login_manager_req ; login_manager_tmp=$2
+      # don't cache
+      unset ac_cv_path_login_manager_tmp
+      # Extract the first word of "$login_manager_tmp", so it can be a program name with args.
+set dummy $login_manager_tmp; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_login_manager_tmp+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $login_manager_tmp in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_login_manager_tmp="$login_manager_tmp" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_login_manager_tmp="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+login_manager_tmp=$ac_cv_path_login_manager_tmp
+
+if test -n "$login_manager_tmp"; then
+  echo "$as_me:$LINENO: result: $login_manager_tmp" >&5
+echo "${ECHO_T}$login_manager_tmp" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+      if test -z "$login_manager_tmp" ; then
+        with_login_manager=""
+      else
+        with_login_manager="$login_manager_tmp"
+      fi
+    ;;
+  esac
   ac_cv_login_manager_program="$with_login_manager"
 
 elif test -n "$ac_cv_login_manager_program"; then
@@ -14371,6 +14703,7 @@
 echo "$as_me:$LINENO: result: $ac_cv_gtk_config_libs" >&5
 echo "${ECHO_T}$ac_cv_gtk_config_libs" >&6
   fi
+
   ac_gtk_config_cflags=$ac_cv_gtk_config_cflags
   ac_gtk_config_libs=$ac_cv_gtk_config_libs
 
@@ -14588,7 +14921,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -14658,7 +14992,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -14736,7 +15071,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -15008,7 +15344,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -15109,7 +15446,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -15254,7 +15592,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -15399,7 +15738,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -15521,7 +15861,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -15614,7 +15955,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -15706,7 +16048,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -15778,7 +16121,7 @@
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 15781 "configure"
+#line 16128 "configure"
 #include "confdefs.h"
 #include <GL/gl.h>
 #ifndef MESA_MAJOR_VERSION
@@ -15913,7 +16256,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16058,7 +16402,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16122,7 +16467,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16184,7 +16530,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16276,7 +16623,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16382,7 +16730,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16473,7 +16822,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16642,6 +16992,7 @@
 echo "$as_me:$LINENO: result: $ac_cv_gdk_pixbuf_config_libs" >&5
 echo "${ECHO_T}$ac_cv_gdk_pixbuf_config_libs" >&6
   fi
+
   ac_gdk_pixbuf_config_cflags=$ac_cv_gdk_pixbuf_config_cflags
   ac_gdk_pixbuf_config_libs=$ac_cv_gdk_pixbuf_config_libs
 
@@ -16692,7 +17043,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16845,7 +17197,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -16999,7 +17352,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -17181,7 +17535,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -17272,7 +17627,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -17416,7 +17772,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -17572,7 +17929,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -17744,7 +18102,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -17789,7 +18148,8 @@
 
 ###############################################################################
 #
-#       Check for pty support for 'phosphor'
+#       Check for pty support: this allows 'phosphor' and 'apple2'
+#	to run curses-based programs, or be used as terminal windows.
 #
 ###############################################################################
 
@@ -17829,7 +18189,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -17999,7 +18360,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -18026,6 +18388,7 @@
 echo "${ECHO_T}$ac_cv_lib_util_forkpty" >&6
 if test $ac_cv_lib_util_forkpty = yes; then
   PTY_LIBS="-lutil"
+                ac_have_forkpty=yes
                 cat >>confdefs.h <<\_ACEOF
 #define HAVE_FORKPTY 1
 _ACEOF
@@ -18037,6 +18400,102 @@
 #  LIBS="$ac_save_LIBS"
 
 
+if test "$ac_have_forkpty" != yes ; then
+  # we don't need (or have) -lutil on MacOS 10.4.2...
+
+  ac_save_CPPFLAGS="$CPPFLAGS"
+  ac_save_LDFLAGS="$LDFLAGS"
+#  ac_save_LIBS="$LIBS"
+
+  if test \! -z "$includedir" ; then
+    CPPFLAGS="$CPPFLAGS -I$includedir"
+  fi
+  # note: $X_CFLAGS includes $x_includes
+  CPPFLAGS="$CPPFLAGS $X_CFLAGS"
+
+  if test \! -z "$libdir" ; then
+    LDFLAGS="$LDFLAGS -L$libdir"
+  fi
+  # note: $X_LIBS includes $x_libraries
+  LDFLAGS="$LDFLAGS $X_LIBS $X_EXTRA_LIBS"
+
+  echo "$as_me:$LINENO: checking for forkpty in -lc" >&5
+echo $ECHO_N "checking for forkpty in -lc... $ECHO_C" >&6
+if test "${ac_cv_lib_c_forkpty+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lc  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char forkpty ();
+int
+main ()
+{
+forkpty ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_c_forkpty=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_c_forkpty=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_c_forkpty" >&5
+echo "${ECHO_T}$ac_cv_lib_c_forkpty" >&6
+if test $ac_cv_lib_c_forkpty = yes; then
+  PTY_LIBS=""
+                  cat >>confdefs.h <<\_ACEOF
+#define HAVE_FORKPTY 1
+_ACEOF
+
+fi
+
+  CPPFLAGS="$ac_save_CPPFLAGS"
+  LDFLAGS="$ac_save_LDFLAGS"
+#  LIBS="$ac_save_LIBS"
+
+fi
 
 ###############################################################################
 #
@@ -18133,7 +18592,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -18202,7 +18662,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -18355,7 +18816,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -18534,7 +18996,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -18681,7 +19144,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -18820,7 +19284,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -18937,6 +19402,79 @@
 
 ###############################################################################
 #
+#       Pick a text file to use as the default of the "textFile" preference.
+#	Any old file will do, but preferably one that will make interesting
+#	shapes when displayed by "starwars" and "fontglide".
+#
+###############################################################################
+
+have_textfile=no
+with_textfile_req=unspecified
+
+
+# Check whether --with-text-file or --without-text-file was given.
+if test "${with_text_file+set}" = set; then
+  withval="$with_text_file"
+  with_textfile="$withval"; with_textfile_req="$withval"
+else
+  with_textfile=yes
+fi;
+# no HANDLE_X_PATH_ARG for this one
+
+case "$with_textfile" in
+  /*)
+    # absolute path
+    echo "$as_me:$LINENO: checking for image directory $with_textfile" >&5
+echo $ECHO_N "checking for image directory $with_textfile... $ECHO_C" >&6
+    if test -d "$with_textfile" ; then
+      echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+    else
+      echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+      with_textfile=""
+    fi
+  ;;
+  yes)
+    with_textfile=""
+
+    #### Could use some more defaults here...
+    for f in \
+      "/usr/X11R6/lib/X11/doc/README"		\
+      "/usr/share/doc/xserver-common/copyright"	\
+      "/usr/X11R6/README"			\
+    ; do
+      if test -z "$with_textfile"; then
+        echo "$as_me:$LINENO: checking for text file $f" >&5
+echo $ECHO_N "checking for text file $f... $ECHO_C" >&6
+        if test -f "$f" ; then
+          echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+          with_textfile="$f"
+        else
+          echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+        fi
+      fi
+    done
+
+  ;;
+  no)
+    with_textfile=""
+  ;;
+
+  *)
+    echo "error: must be an absolute path: --with-image-directory=$with_textfile_req"
+    exit 1
+  ;;
+esac
+ac_cv_textfile="$with_textfile"
+
+DEFAULT_TEXT_FILE="$ac_cv_textfile"
+
+
+###############################################################################
+#
 #       Check whether it's ok to install some hacks as setuid (e.g., "sonar")
 #       This should be safe, but let's give people the option.
 #
@@ -19236,6 +19774,7 @@
 
 
 
+
 APPDEFAULTS=$ac_x_app_defaults
 
 
@@ -19943,6 +20482,7 @@
 s,@POFILES@,$POFILES,;t t
 s,@POSUB@,$POSUB,;t t
 s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
+s,@login_manager_tmp@,$login_manager_tmp,;t t
 s,@pkg_config@,$pkg_config,;t t
 s,@gnome_open_program@,$gnome_open_program,;t t
 s,@gnome_url_show_program@,$gnome_url_show_program,;t t
@@ -19971,6 +20511,7 @@
 s,@NEW_LOGIN_COMMAND_P@,$NEW_LOGIN_COMMAND_P,;t t
 s,@DEFAULT_IMAGES_P@,$DEFAULT_IMAGES_P,;t t
 s,@DEFAULT_IMAGE_DIRECTORY@,$DEFAULT_IMAGE_DIRECTORY,;t t
+s,@DEFAULT_TEXT_FILE@,$DEFAULT_TEXT_FILE,;t t
 s,@OBJCC@,$OBJCC,;t t
 s,@EXES_OSX@,$EXES_OSX,;t t
 s,@SCRIPTS_OSX@,$SCRIPTS_OSX,;t t
@@ -20172,6 +20713,11 @@
   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
   esac
 
+  if test x"$ac_file" != x-; then
+    { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+    rm -f "$ac_file"
+  fi
   # Let's still pretend it is `configure' which instantiates (i.e., don't
   # use $as_me), people would be surprised to read:
   #    /* config.h.  Generated by config.status.  */
@@ -20210,12 +20756,6 @@
 	 fi;;
       esac
     done` || { (exit 1); exit 1; }
-
-  if test x"$ac_file" != x-; then
-    { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
-    rm -f "$ac_file"
-  fi
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
   sed "$ac_vpsub

=== modified file 'configure.in'
--- configure.in	2005-04-09 00:06:43 +0000
+++ configure.in	2006-07-29 23:00:43 +0000
@@ -8,6 +8,282 @@
 echo "current directory: `pwd`"
 echo "command line was: $0 $@"
 
+###############################################################################
+#
+#       Autoheader stuff
+#
+###############################################################################
+
+AH_TOP([
+/* config.h.in --- xscreensaver, Copyright (c) 1998-2000 Jamie Zawinski.
+ *
+ *  The best way to set these parameters is by running the included `configure'
+ *  script.  That examines your system, and generates `config.h' from 
+ *  `config.h.in'.
+ *
+ *  If something goes very wrong, you can edit `config.h' directly, but beware
+ *  that your changes will be lost if you ever run `configure' again.
+ */
+])
+
+AH_TEMPLATE([HAVE_READ_DISPLAY_EXTENSION],
+	    [Define this if you have the XReadDisplay extension (I think
+             this is an SGI-only thing; it's in
+             <X11/extensions/readdisplay.h>.) A few of the screenhacks will
+             take advantage of this if it's available.])
+
+AH_TEMPLATE([HAVE_XHPDISABLERESET],
+	    [Define this if you have the XHPDisableReset function (an HP only
+	    thing which allows the Ctrl-Sh-Reset key sequence to be
+	    temporarily disabled.)])
+
+AH_TEMPLATE([HAVE_XIDLE_EXTENSION],
+	    [Define this if you have the XIDLE extension installed. If you
+	    have the XIDLE extension, this is recommended.  (You have this
+	    extension if the file /usr/include/X11/extensions/xidle.h
+	    exists.) Turning on this flag lets XScreenSaver work better with
+	    servers which support this extension; but it will still work
+	    with servers which do not suport it, so it's a good idea to
+	    compile in support for it if you can.])
+
+AH_TEMPLATE([HAVE_MIT_SAVER_EXTENSION],
+	    [Define this if you have the MIT-SCREEN-SAVER extension
+            installed.  See the caveats about this extension, above.
+            (It's available if /usr/include/X11/extensions/scrnsaver.h
+            exists.)])
+
+AH_TEMPLATE([HAVE_SGI_SAVER_EXTENSION],
+	    [Define this if you have the SGI SCREEN_SAVER extension.  This is
+	    standard on Irix systems, and not available elsewhere.])
+
+AH_TEMPLATE([HAVE_SGI_VC_EXTENSION],
+	    [Define this if you have the SGI-VIDEO-CONTROL extension.  This
+	    is standard on Irix systems, and not available elsewhere.])
+
+AH_TEMPLATE([HAVE_DPMS_EXTENSION],
+	    [Define this if you have the XDPMS extension.  This is standard
+	    on sufficiently-recent XFree86 systems, and possibly elsewhere. 
+	    (It's available if the file /usr/include/X11/extensions/dpms.h
+	    exists.)])
+
+AH_TEMPLATE([HAVE_XF86VMODE],
+	    [Define this if you have the functions XF86VidModeGetModeLine()
+	    and XF86VidModeGetViewPort(), in support of virtual desktops
+	    where the X server's root window is bigger than the actual
+	    screen.  This is an XFree86 thing, and probably doesn't exist
+	    elsewhere.  (It's available if the file
+	    /usr/include/X11/extensions/xf86vmode.h exists.)])
+
+AH_TEMPLATE([HAVE_XF86VMODE_GAMMA],
+	    [Define this if you have the functions XF86VidModeGetGamma() and
+	    XF86VidModeSetGamma(), which allow clients to change the gamma
+	    response of the monitor.  This is an XFree86 4.0.x thing, and
+	    probably doesn't exist elsewhere.  (It's available if the file
+	    /usr/include/X11/extensions/xf86vmode.h exists and has stuff about
+	    gamma in it.)])
+
+AH_TEMPLATE([HAVE_XF86VMODE_GAMMA_RAMP],
+	    [Define this if you have the functions XF86VidModeGetGammaRamp()
+	    and XF86VidModeSetGammaRamp(), which provide finer-grained
+	    control than XF86VidMode[GS]etGamma().  These appeared in
+	    XFree86 4.1.0.])
+
+AH_TEMPLATE([HAVE_XINERAMA],
+	    [Define this if you have the Xinerama extension.  This is
+	    standard on sufficiently-recent XFree86 systems, and possibly
+	    elsewhere.  (It's available if the file
+	    /usr/include/X11/extensions/Xinerama.h exists.)])
+
+AH_TEMPLATE([HAVE_XF86MISCSETGRABKEYSSTATE],
+	    [Define this if you have the XF86MiscSetGrabKeysState function
+	    (which allows the Ctrl-Alt-KP_star and Ctrl-Alt-KP_slash key
+	    sequences to be temporarily disabled.  Sadly, it doesn't affect
+	    Ctrl-Alt-BS or Ctrl-Alt-F1.)])
+
+AH_TEMPLATE([HAVE_RANDR],
+	    [Define this if you have the Resize and Rotate extension.
+	    This is standard on sufficiently-recent XFree86 systems, and
+	    possibly elsewhere.  (It's available if the file
+	    /usr/include/X11/extensions/Xrandr.h exists.)])
+
+AH_TEMPLATE([HAVE_PROC_INTERRUPTS],
+	    [Define this if you have a Linux-like /proc/interrupts file which
+	    can be examined to determine when keyboard activity has
+	    occurred.])
+
+AH_TEMPLATE([HAVE_MOTIF],[Define this if you have Motif.])
+
+AH_TEMPLATE([HAVE_XMCOMBOBOX],
+	    [Define this if you have the XmComboBox Motif widget (Motif 2.0.)])
+
+AH_TEMPLATE([HAVE_GTK],[Define this if you have Gtk (any version.)])
+AH_TEMPLATE([HAVE_GTK2],[Define this if you have Gtk 2.x.])
+
+AH_TEMPLATE([HAVE_CRAPPLET],
+	    [Define this if you have Gnome and want to build support for the
+	    xscreensaver control panel in the Gnome Control Center
+	    (gnomecc).  (This is needed only with Gtk 1.x.)])
+
+AH_TEMPLATE([HAVE_CRAPPLET_IMMEDIATE],
+	    [Define this if HAVE_CRAPPLET is defined, and the function
+	    capplet_widget_changes_are_immediate() is available.])
+
+AH_TEMPLATE([HAVE_XML],[Define this if you have the XML library.])
+
+AH_TEMPLATE([HAVE_OLD_XML_HEADERS],
+	    [Define this if you have the XML library headers in their old,
+	    non-namespaced location (you lack the gnome-xml/libxml symlink)])
+
+AH_TEMPLATE([HAVE_XPM],
+	    [Define this if you have the XPM library installed.  Some of the
+	    demos can make use of this if it is available.])
+
+AH_TEMPLATE([HAVE_GDK_PIXBUF],
+	    [Define this if you have the GDK_Pixbuf library installed.  Some
+	    of the demos can make use of this if it is available.])
+
+AH_TEMPLATE([HAVE_JPEGLIB],
+	    [Define this if you have the Independent JPEG Group's JPEG
+	    library installed.  Some of the demos can make use of this if it
+	    is available.])
+
+AH_TEMPLATE([HAVE_XMU],
+	    [Define this if you have the Xmu library.  This is standard part
+	    of X, and if your vendor doesn't ship it, you should report that
+	    as a bug.])
+
+AH_TEMPLATE([HAVE_GL],
+	    [Define this if you have OpenGL.  Some of the demos require it,
+	    so if you don't have it, then those particular demos won't be
+	    built.  (This won't affect the screen saver as a whole.)])
+
+AH_TEMPLATE([HAVE_MESA_GL],
+	    [Define this if you have OpenGL, but it's the MesaGL variant. 
+	    (The libraries have different names.) (HAVE_GL should be defined
+	    too.)])
+
+AH_TEMPLATE([HAVE_GLBINDTEXTURE],
+	    [Define this if your version of OpenGL has the glBindTexture()
+	    routine.  This is the case for OpenGL 1.1, but not for OpenGL
+	    1.0.])
+
+AH_TEMPLATE([HAVE_GLE],
+	    [Define this if you have the -lgle and -lmatrix libraries (GL 
+	    extrusion.)])
+
+AH_TEMPLATE([HAVE_GLE3],[Define this if you have the -lgle from GLE version 3])
+
+AH_TEMPLATE([HAVE_XSHM_EXTENSION],
+	    [Define this if you have the X Shared Memory Extension.])
+
+AH_TEMPLATE([HAVE_DOUBLE_BUFFER_EXTENSION],
+	    [Define this if you have the X Double Buffer Extension.])
+
+AH_TEMPLATE([FORTUNE_PROGRAM],
+	    [Some screenhacks like to run an external program to generate
+	    random pieces of text; set this to the one you like.  Note that
+	    this is just the default; X resources can be used to override
+	    it.])
+
+AH_TEMPLATE([PASSWD_HELPER_PROGRAM],
+	    [Set the name of the password helper program, if any])
+
+AH_TEMPLATE([NO_LOCKING],
+	    [Define this to remove the option of locking the screen at all.])
+
+AH_TEMPLATE([HAVE_KERBEROS],
+	    [Define this if you want to use Kerberos authentication to
+	    lock/unlock the screen instead of your local password.  This
+	    currently uses Kerberos V4, but a V5 server with V4
+	    compatibility will work.  WARNING: DO NOT USE AFS string-to-key
+	    passwords with this option. This option currently *only* works
+	    with standard Kerberos des_string_to_key.  If your password is
+	    an AFS password and not a kerberos password, it will not
+	    authenticate properly. See the comments in driver/kpasswd.c for
+	    more information if you need it.])
+
+AH_TEMPLATE([HAVE_KERBEROS5],
+	    [Define this if you have Kerberos 5, meaning we need to use the
+	    Kerberos 4 compatibility layer.])
+
+AH_TEMPLATE([HAVE_PAM],
+	    [Define this if you want to use PAM (Pluggable Authentication
+	    Modules) to lock/unlock the screen, instead of standard
+	    /etc/passwd authentication.])
+
+AH_TEMPLATE([PAM_SERVICE_NAME],
+	    [If PAM is being used, this is the name of the PAM service that
+	    xscreensaver will authenticate as.  The default is
+	    "xscreensaver", which means that the PAM library will look for
+	    an "xscreensaver" line in /etc/pam.conf, or (on recent Linux
+	    systems) will look for a file called /etc/pam.d/xscreensaver. 
+	    Some systems might already have a PAM installation that is
+	    configured for xlock, so setting this to "xlock" would also work
+	    in that case.])
+
+AH_TEMPLATE([PAM_STRERROR_TWO_ARGS],
+	    [Define if you have PAM and pam_strerror() requires two
+	    arguments.])
+
+AH_TEMPLATE([HAVE_SHADOW_PASSWD],
+	    [Define this if your system uses 'shadow' passwords, that is, the
+	    passwords live in /etc/shadow instead of /etc/passwd, and one
+	    reads them with getspnam() instead of getpwnam().  (Note that
+	    SCO systems do some random other thing; others might as well. 
+	    See the ifdefs in driver/passwd-pwent.c if you're having trouble
+	    related to reading passwords.)])
+
+AH_TEMPLATE([HAVE_ENHANCED_PASSWD],
+	    [Define this if your system is Digital or SCO Unix with so-called
+	    ``Enhanced Security'', that is, the passwords live in
+	    /tcb/files/auth/<x>/<xyz> instead of in /etc/passwd, and one
+	    reads them with getprpwnam() instead of getpwnam().])
+
+AH_TEMPLATE([HAVE_ADJUNCT_PASSWD],
+	    [Define this if your system is Solaris with ``adjunct'' passwords
+	    (this is the version where one gets at the passwords with
+	    getpwanam() instead of getpwnam().) I haven't tested this one,
+	    let me know if it works.])
+
+AH_TEMPLATE([HAVE_HPUX_PASSWD],
+	    [Define this if you are running HPUX with so-called ``Secure
+	    Passwords'' (if you have /usr/include/hpsecurity.h, you probably
+	    have this.) I haven't tested this one, let me know if it works.])
+
+AH_TEMPLATE([HAVE_VT_LOCKSWITCH],
+	    [Define this if you are on a system that supports the
+	    VT_LOCKSWITCH and VT_UNLOCKSWITCH ioctls.  If this is defined,
+	    then when the screen is locked, switching to another virtual
+	    terminal will also be prevented.  That is, the whole console
+	    will be locked, rather than just the VT on which X is running. 
+	    (Well, that's the theory anyway -- in practice, I haven't yet
+	    figured out how to make that work.)])
+
+AH_TEMPLATE([HAVE_SYSLOG],
+	    [Define this if you the openlog(), syslog(), and closelog()
+	    functions.  This is used for logging failed login attempts.])
+
+AH_TEMPLATE([HAVE_ICMP],
+	    [Define this if you do pings with a `struct icmp' and an
+	     `icmp_id' slot.])
+
+AH_TEMPLATE([HAVE_ICMPHDR],
+	    [Define this if you do pings with a `struct icmphdr' and an
+	     `un.echo.id' slot.])
+
+AH_TEMPLATE([HAVE_FORKPTY],
+	    [Define this if you have the 'forkpty' function:
+	     This allows 'phosphor' and 'apple2' to run curses-based
+	     programs, or be used as terminal windows.])
+
+AH_TEMPLATE([HAVE_GETTIMEOFDAY],
+	    [Define this if you have the gettimeofday function.])
+
+AH_TEMPLATE([GETTIMEOFDAY_TWO_ARGS],
+	    [Define this if gettimeofday() takes two arguments.])
+
+AH_TEMPLATE([XPointer],
+	    [Define this to void* if you're using X11R4 or earlier.])
 
 # After checking to see that --srcdir is correct (which AC_INIT does)
 # check for some random other files that come later in the tar file,
@@ -868,6 +1144,14 @@
 AC_MSG_RESULT($ac_macosx)
 
 
+if test "$ac_macosx" = yes; then
+  if test -n "$GCC"; then
+    # Without these, every link against libGL gets a bunch of useless warnings.
+    osx_crud="-bind_at_load -multiply_defined suppress"
+    AC_MSG_RESULT(adding "$osx_crud" to LDFLAGS)
+     LDFLAGS="$LDFLAGS $osx_crud"
+  fi
+fi
 
 ###############################################################################
 #
@@ -877,11 +1161,14 @@
 
 AC_PROG_INTLTOOL
 GETTEXT_PACKAGE=xscreensaver
-AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE")
-AC_DEFINE_UNQUOTED(PACKAGE, "$GETTEXT_PACKAGE")
+AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE",
+		   [This is the name of the gettext package to use.])
+AC_DEFINE_UNQUOTED(PACKAGE, "$GETTEXT_PACKAGE",
+		   [This is the same as GETTEXT_PACKAGE, but for the glade
+		   generated code.])
 AC_SUBST(GETTEXT_PACKAGE)
 
-ALL_LINGUAS="ca da de es et fi fr hu it ja ko nl no pl pt pt_BR ru sk sv vi wa zh_CN zh_TW"
+ALL_LINGUAS="ca da de es et fi fr hu it ja ko nb nl no pl pt pt_BR ru sk sv vi wa zh_CN zh_TW"
 AM_GLIB_GNU_GETTEXT
 MKINSTALLDIRS="$INSTALL_DIRS"
 
@@ -964,7 +1251,7 @@
 
 Installation options:
   --with-hackdir=DIR      Where to install the hundreds of demo executables.
-                          Default: `EPREFIX/lib/xscreensaver/'],
+                          Default: `PREFIX/libexec/xscreensaver/'],
   [with_hackdir="$withval"; with_hackdir_req="$withval"],[with_hackdir=yes])
 
 if test x"$with_hackdir" = xyes; then
@@ -1436,6 +1723,14 @@
 
 if test "$with_proc_interrupts" = yes; then
 
+   # Note that we may be building in an environment (e.g. Debian buildd chroot)
+   # without a proper /proc filesystem. If /proc/interrupts exists, then we'll
+   # check that it has the bits we need, but otherwise we'll just go on faith.
+   #
+   have_proc_interrupts=yes
+
+   if test -f /proc/interrupts; then
+
    AC_CACHE_CHECK([whether /proc/interrupts contains keyboard data],
     ac_cv_have_proc_interrupts,
     [ac_cv_have_proc_interrupts=no
@@ -1550,6 +1845,12 @@
 [  --with-pam              Include support for PAM (Pluggable Auth Modules.)],
   [with_pam="$withval"; with_pam_req="$withval"],[with_pam=$with_pam_default])
 
+AC_ARG_WITH([pam_service_name],
+	    AC_HELP_STRING([--with-pam-service-name=NAME],
+	    		   [NAME is the name of the PAM service that
+	    		   xscreensaver will authenticate as.]),
+	    [pam_service_name="$withval"],[pam_service_name="xscreensaver"])
+
 HANDLE_X_PATH_ARG(with_pam, --with-pam, PAM)
 
 if test "$enable_locking" = yes -a "$with_pam" = yes; then
@@ -1560,6 +1861,8 @@
   if test "$ac_cv_pam" = yes ; then
     have_pam=yes
     AC_DEFINE(HAVE_PAM)
+    AC_DEFINE_UNQUOTED(PAM_SERVICE_NAME,"$pam_service_name")
+    
     PASSWD_LIBS="${PASSWD_LIBS} -lpam"
 
     # libpam typically requires dlopen and dlsym.  On FreeBSD,
@@ -1963,35 +2266,34 @@
   ac_cv_login_manager_program=""
 
  if test "$with_login_manager_req" = "yes" ; then
-   with_login_manager=$default_login_manager
+   with_login_manager_req=$default_login_manager
  fi
 
-#  case "$with_login_manager_req" in
-#    /*)
-#      # absolute path
-#      set dummy $with_login_manager_req ; login_manager_tmp=$2
-#      AC_MSG_CHECKING([for $login_manager_tmp])
-#      if test -x "$login_manager_tmp" ; then
-#        AC_MSG_RESULT(yes)
-#        with_login_manager="$login_manager_tmp"
-#      else
-#        AC_MSG_RESULT(no)
-#        with_login_manager=""
-#      fi
-#    ;;
-#    *)
-#      # relative path
-#      set dummy $with_login_manager_req ; login_manager_tmp=$2
-#      # don't cache
-#      unset ac_cv_path_login_manager_tmp
-#      AC_PATH_PROG(login_manager_tmp, $login_manager_tmp, [])
-#      if test -z "$login_manager_tmp" ; then
-#        with_login_manager=""
-#      else
-#        with_login_manager="$login_manager_tmp"
-#      fi
-#    ;;
-#  esac
+  case "$with_login_manager_req" in
+    /*)
+      # absolute path
+      set dummy $with_login_manager_req ; login_manager_tmp=$2
+      AC_MSG_CHECKING([for $login_manager_tmp])
+      if test -x "$login_manager_tmp" ; then
+        AC_MSG_RESULT(yes)
+      else
+        AC_MSG_RESULT(no)
+        with_login_manager=""
+      fi
+    ;;
+    *)
+      # relative path
+      set dummy $with_login_manager_req ; login_manager_tmp=$2
+      # don't cache
+      unset ac_cv_path_login_manager_tmp
+      AC_PATH_PROG(login_manager_tmp, $login_manager_tmp, [])
+      if test -z "$login_manager_tmp" ; then
+        with_login_manager=""
+      else
+        with_login_manager="$login_manager_tmp"
+      fi
+    ;;
+  esac
   ac_cv_login_manager_program="$with_login_manager"
 
 elif test -n "$ac_cv_login_manager_program"; then
@@ -2133,6 +2435,7 @@
     AC_CACHE_CHECK([for Gtk libs], ac_cv_gtk_config_libs,
                    [ac_cv_gtk_config_libs=`$pkg_config --libs $pkgs`])
   fi
+
   ac_gtk_config_cflags=$ac_cv_gtk_config_cflags
   ac_gtk_config_libs=$ac_cv_gtk_config_libs
 
@@ -2668,6 +2971,7 @@
     AC_CACHE_CHECK([for gdk-pixbuf libs], ac_cv_gdk_pixbuf_config_libs,
                [ac_cv_gdk_pixbuf_config_libs=`$pkg_config --libs $pkgs`])
   fi
+
   ac_gdk_pixbuf_config_cflags=$ac_cv_gdk_pixbuf_config_cflags
   ac_gdk_pixbuf_config_libs=$ac_cv_gdk_pixbuf_config_libs
 
@@ -2811,7 +3115,8 @@
 
 ###############################################################################
 #
-#       Check for pty support for 'phosphor'
+#       Check for pty support: this allows 'phosphor' and 'apple2'
+#	to run curses-based programs, or be used as terminal windows.
 #
 ###############################################################################
 
@@ -2819,8 +3124,15 @@
 AC_CHECK_HEADERS(pty.h util.h)
 AC_CHECK_X_LIB(util, forkpty,
                [PTY_LIBS="-lutil"
+                ac_have_forkpty=yes
                 AC_DEFINE(HAVE_FORKPTY)])
 
+if test "$ac_have_forkpty" != yes ; then
+  # we don't need (or have) -lutil on MacOS 10.4.2...
+  AC_CHECK_X_LIB(c, forkpty,
+                 [PTY_LIBS=""
+                  AC_DEFINE(HAVE_FORKPTY)])
+fi
 
 ###############################################################################
 #
@@ -2950,8 +3262,8 @@
 with_imagedir_req=unspecified
 
 AC_ARG_WITH(image-directory,
-[  --with-image-directory=DIR  By default, some screen savers may load
-                          random images out of this directory.],
+[  --with-image-directory=DIR  By default, some demos may display random images
+                          from this directory.],
   [with_imagedir="$withval"; with_imagedir_req="$withval"],
   [with_imagedir=yes])
 # no HANDLE_X_PATH_ARG for this one
@@ -3009,6 +3321,69 @@
 
 ###############################################################################
 #
+#       Pick a text file to use as the default of the "textFile" preference.
+#	Any old file will do, but preferably one that will make interesting
+#	shapes when displayed by "starwars" and "fontglide".
+#
+###############################################################################
+
+have_textfile=no
+with_textfile_req=unspecified
+
+AC_ARG_WITH(text-file,
+[  --with-text-file=FILE   By default, some demos may display this file.],
+  [with_textfile="$withval"; with_textfile_req="$withval"],
+  [with_textfile=yes])
+# no HANDLE_X_PATH_ARG for this one
+
+case "$with_textfile" in
+  /*)
+    # absolute path
+    AC_MSG_CHECKING([for image directory $with_textfile])
+    if test -d "$with_textfile" ; then
+      AC_MSG_RESULT(yes)
+    else
+      AC_MSG_RESULT(no)
+      with_textfile=""
+    fi
+  ;;
+  yes)
+    with_textfile=""
+
+    #### Could use some more defaults here...
+    for f in \
+      "/usr/X11R6/lib/X11/doc/README"		\
+      "/usr/share/doc/xserver-common/copyright"	\
+      "/usr/X11R6/README"			\
+    ; do
+      if test -z "$with_textfile"; then
+        AC_MSG_CHECKING([for text file $f])
+        if test -f "$f" ; then
+          AC_MSG_RESULT(yes)
+          with_textfile="$f"
+        else
+          AC_MSG_RESULT(no)
+        fi
+      fi
+    done
+
+  ;;
+  no)
+    with_textfile=""
+  ;;
+
+  *)
+    echo "error: must be an absolute path: --with-image-directory=$with_textfile_req"
+    exit 1
+  ;;
+esac
+ac_cv_textfile="$with_textfile"
+
+DEFAULT_TEXT_FILE="$ac_cv_textfile"
+
+
+###############################################################################
+#
 #       Check whether it's ok to install some hacks as setuid (e.g., "sonar")
 #       This should be safe, but let's give people the option.
 #
@@ -3228,6 +3603,7 @@
 AC_SUBST(NEW_LOGIN_COMMAND_P)
 AC_SUBST(DEFAULT_IMAGES_P)
 AC_SUBST(DEFAULT_IMAGE_DIRECTORY)
+AC_SUBST(DEFAULT_TEXT_FILE)
 
 AC_SUBST(OBJCC)
 AC_SUBST(EXES_OSX)

=== modified file 'debian/changelog'
--- debian/changelog	2005-04-09 00:06:43 +0000
+++ debian/changelog	2006-07-29 23:00:43 +0000
@@ -1,3 +1,146 @@
+xscreensaver (4.24-5) unstable; urgency=low
+
+  * remove /usr/doc/xscreensaver link to finish /usr/doc ->
+    /usr/share/doc transition (closes: #380394)
+
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Sat, 29 Jul 2006 23:00:43 +0100
+
+xscreensaver (4.24-4) unstable; urgency=low
+
+  * we may be building in an environment (e.g. Debian buildd chroot)
+    without a proper /proc filesystem. If /proc/interrupts exists,
+    then we'll check that it has the bits we need, but otherwise we'll
+    just go on faith. Thanks to <skunk@iSKUNK.ORG> (closes: #356821)
+
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Thu, 04 May 2006 11:00:43 +0100
+
+xscreensaver (4.24-3) unstable; urgency=high
+
+  * fix build-deps (closes: #364254)
+
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Sun, 23 Apr 2006 11:00:43 +0100
+
+xscreensaver (4.24-2) unstable; urgency=low
+
+  * apply patch "xscreensaver-getimage-video: the first video frame should not always be grabbed" (closes: #357907)
+  * fix pong manpage typos (closes: #361686)
+  * apply patch "xscreensaver-4.16-sanitize-hacks.patch" (closes: #313492)
+
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Tue, 11 Apr 2006 11:00:43 +0100
+
+xscreensaver (4.24-1) unstable; urgency=low
+
+  * new upstream release:
+  * New versions of cube21, glsnake, celtic. 
+  * Fixed startup crash in getgroups() when running setuid. (closes: #302791)
+  * Default to not displaying stderr on the saver window. 
+  * Fixed bad free() in `Documentation'' button. 
+  * Don't try to run hacks that aren't installed (closes: #350029, #309443)
+  * Minor fixes to various XML config files and man pages.
+  * fix typo in German PO file (closes: #359067)
+
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Sun, 26 Mar 2006 11:00:43 +0100
+
+xscreensaver (4.23-4) unstable; urgency=high
+
+  * replace xlibs-dev build-depend with the individual libraries that
+    the package actually build-depends on (closes: #346855).
+
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Mon, 09 Jan 2006 11:00:43 +0100
+
+xscreensaver (4.23-3) unstable; urgency=low
+
+  * driver/timers.c: back out a change from 4.23 leading to screen
+    blanking even though the keyboard is in use (closes: #336368).
+  * Build-depend on autotools-dev.
+  * driver/XScreenSaver.ad.in:
+    + Restore RSS modifications that disappeared unexpectedly in a
+      previous upload.
+    + Now use planet.debian.org instead of .net.
+    + Set the newLoginCommand here, not trusting the result of the
+      configure test, making the configure.in patch unnecessary
+      (closes: #336590).
+    + Force gdmflexiserver to start a new flexible X server
+      (closes: #337760).
+  * utils/images/logo-50-bad.xpm: this is a stripped down (64 colors) 
+    version of the logo.
+  * hacks/xanalogtv.c: use this version instead (closes: #304344).
+
+ -- Josselin Mouette <joss@debian.org>  Fri,  9 Dec 2005 00:53:01 +0100
+
+xscreensaver (4.23-2) unstable; urgency=low
+
+  * Apply NMU patch (why was there an NMU? Hello? Talk to me before doing an NMU!) (Closes: #334193)
+  * Fix typo in tangram man page (Closes: #336432)
+  * Found out that the upstream already applied the "grayscale option patch" to bubbles (Closes: #331248)
+  * Suggest xfishtank (Closes: #335589)
+
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Sun, 30 Oct 2005 14:43:43 +0100
+
+xscreensaver (4.23-1.1) unstable; urgency=high
+
+  * NMU.
+  * should not kill running xscreensavers (Close: #334193)
+
+ -- Emfox Zhou <EmfoxZhou@gmail.com>  Sun, 30 Oct 2005 01:54:04 +0800
+
+xscreensaver (4.23-1) unstable; urgency=low
+
+  * new upstream (closes: #308668, #195727, #322752, #305528)
+    
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Wed, 26 Sep 2005 15:23:43 +0200
+
+xscreensaver (4.21-7) unstable; urgency=low
+
+  * fixed fubared patch in lines 1596 to 1603 of file "driver/prefs.c" (closes: #323841)
+    thanks to Arnaud Giersch
+    
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Thu, 22 Sep 2005 23:23:43 +0200
+    
+xscreensaver (4.21-6) unstable; urgency=low
+
+  * patch against stop_the_insanity() (closes: #323841)
+  * patch typo in the whirlygig.6x man page (closes: #326534)
+  * patch against run_hack() in driver/demo-Gtk.c (closes: #302777)
+  * fix dependencies (closes: #318512)
+  * closing old stuff that's already fixed (closes: #118089, #118881, #137073, #145814, #129124)
+  * closing old stuff that's WONTFIX (closes: #127276)
+  * relax dependency on netpbm (closes: #320446)
+  * fix build dependencies for gl and glu
+  * fix lintian bugs about debian-control-with-duplicate-fields conflicts: 12, 15
+  * fix lintian bug (man pages for flow and intermomentary)
+  * fix lintian bug syntax-error-in-debian-changelog line 313 "unrecognised line"
+
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Mon, 19 Sep 2005 11:20:43 +0200
+
+xscreensaver (4.21-5) unstable; urgency=low
+
+  * debian/control, debian/rules: remove legacy xscreensaver-gnome and
+    xscreensaver-nognome packages.
+  * Patch from Martin Pitt <martin.pitt@ubuntu.com> to generate a POT file
+    during the package build (closes: #313530):
+    + debian/control: build-depend on intltool.
+    + debian/rules: run intltool-update in the clean target.
+    + po/POTFILES.in: remove driver/xscreensaver-demo.glade which does not
+      exist any more.
+  * debian/xscreensaver.links: removed, unneeded with GNOME 2.10
+    (closes: #312044).
+  * po/de.po: patch from Jens Seidel <jensseidel@users.sf.net>
+    (closes: #313870).
+
+ -- Josselin Mouette <joss@debian.org>  Wed, 15 Jun 2005 00:34:23 +0200
+
+xscreensaver (4.21-4) unstable; urgency=low
+
+  * Fix typos (closes: #301317).
+  * Fix typos (closes: #301355)
+  * Fix metric assload of typos (closes: #312772, #312769, #312768, #312775, #312773, #312774 ,#312782, #312780)
+  * Fix metric assload of typos (closes: #312776, #312777, #312785, #312783, #312784, #312786, #312791, #312789)
+  * Fix metric assload of typos (closes: #312797, #312796, #312793, #312795, #312798, #312800, #312802, #312803)
+  * Apply jwz's patch to phosphor (closes: #308720)
+  
+ -- Ralf Hildebrandt <ralf.hildebrandt@charite.de>  Sat, 11 Jun 2005 11:20:43 +0200
+
 xscreensaver (4.21-3) unstable; urgency=low
 
   * Patch by Joachim Breitner to check more frequently if DPMS kicked in (closes: #303374, #286664).
@@ -269,8 +412,7 @@
   * Remove driver/xscreensaver.kss on clean, so it isn't included in diff
   * Allow null passwords through PAM. This doesn't work exactly as it
     should, but now if you have a blank password, typing anything in
-    the password box will get you out of a locked screen. (Closes:
- #43670)
+    the password box will get you out of a locked screen. (Closes: #43670)
   * Start xscreensaver with X if ~/.xscreensaver exists 
     - reference bug #127276
 

=== modified file 'debian/control'
--- debian/control	2005-04-09 00:06:43 +0000
+++ debian/control	2006-07-29 23:00:43 +0000
@@ -3,18 +3,15 @@
 Priority: optional
 Maintainer: Ralf Hildebrandt <ralf.hildebrandt@charite.de>
 Uploaders: Josselin Mouette <joss@debian.org>
-Build-Depends: bc, debhelper (>= 4.0), fortune-mod, libgtk2.0-dev, libpam0g-dev (>= 0.72-1), xlibmesa-dev | libgl-dev, xutils, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgle-dev, xlibs-dev
-Standards-Version: 3.6.1
+Build-Depends: bc, debhelper (>= 4.0), fortune-mod, libgtk2.0-dev, libpam0g-dev (>= 0.72-1), xlibmesa-gl-dev | libgl-dev, libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev, xutils, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgle-dev, intltool, autotools-dev, libx11-dev, libxext-dev, libxinerama-dev, libxmu-dev, libxpm-dev, libxrandr-dev, libxss-dev, libxt-dev, libxtst-dev, libxxf86misc-dev, libxxf86vm-dev, x-dev, xlibs-data
+Standards-Version: 3.6.2
 
 Package: xscreensaver
 Architecture: any
 Depends: ${shlibs:Depends}
-Conflicts: funny-manpages (<< 1.3-1), suidmanager (<< 0.50)
-Recommends: xli | xloadimage, netpbm, libjpeg-progs, perl5, miscfiles | wordlist
-Suggests: xdaliclock, xscreensaver-gl, fortune, www-browser, qcam | streamer
-Conflicts: xscreensaver-gnome (<< 4.09-2), xscreensaver-nognome (<< 4.09-2), gnome-control-center (<< 1:2)
-Replaces: xscreensaver-gnome (<< 4.09-2), xscreensaver-nognome (<< 4.09-2)
-Provides: xscreensaver-gnome, xscreensaver-nognome
+Conflicts: funny-manpages (<< 1.3-1), suidmanager (<< 0.50), xscreensaver-gnome (<< 4.09-2), xscreensaver-nognome (<< 4.09-2), gnome-control-center (<< 1:2)
+Recommends: xli | xloadimage, libjpeg-progs, perl5, miscfiles | wordlist
+Suggests: netpbm, xfishtank, xdaliclock, xscreensaver-gl, fortune, www-browser, qcam | streamer
 Description: Automatic screensaver for X
  The purpose of xscreensaver is to display pretty pictures on your screen
  when it is not in use, in keeping with the philosophy that unattended
@@ -41,25 +38,3 @@
  the base package doesn't require Mesa. In addition, these hacks function
  nicely as GL demos for people who want to try out hardware accelerated 3D
  with XFree86 4.x
-
-Package: xscreensaver-gnome
-Architecture: all
-Depends: xscreensaver (>> 4.09-3)
-Description: transition package for xscreensaver
- This is an empty package to pull in xscreensaver.
- .
- The purpose of xscreensaver is to display pretty pictures on your screen
- when it is not in use, in keeping with the philosophy that unattended
- monitors should always be doing something interesting, just like they do
- in the movies.
-
-Package: xscreensaver-nognome
-Architecture: all
-Depends: xscreensaver (>> 4.09-3)
-Description: transition package for xscreensaver
- This is an empty package to pull in xscreensaver.
- .
- The purpose of xscreensaver is to display pretty pictures on your screen
- when it is not in use, in keeping with the philosophy that unattended
- monitors should always be doing something interesting, just like they do
- in the movies.

=== modified file 'debian/rules'
--- debian/rules	2005-04-09 00:06:43 +0000
+++ debian/rules	2006-07-29 23:00:43 +0000
@@ -19,6 +19,10 @@
 
 build:
 	dh_testdir
+	-test -r /usr/share/misc/config.sub && \
+	  cp -f /usr/share/misc/config.sub config.sub
+	-test -r /usr/share/misc/config.guess && \
+	  cp -f /usr/share/misc/config.guess config.guess
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
 		--without-gl --with-pam --with-gtk --without-kerberos \
@@ -39,6 +43,10 @@
 	dh_testdir
 	dh_testroot
 	-$(MAKE) distclean
+	
+	# generate POT file for translators
+	cd po; intltool-update --verbose -p
+	
 	rm -f build
 	rm -rf config.log config.h
 	rm -rf driver/XScreenSaver.ad-nogl
@@ -46,23 +54,13 @@
 	rm -rf debian/*~ debian/files*
 	rm -f po/.intltool-merge-cache
 	-test -r /usr/share/misc/config.sub && \
-	  cp -f /usr/share/misc/config.sub config.sub
+	  rm -f config.sub
 	-test -r /usr/share/misc/config.guess && \
-	  cp -f /usr/share/misc/config.guess config.guess
+	  rm -f config.guess
 	dh_clean
 
 binary-indep:	build
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	dh_installdocs -i
-	dh_installchangelogs -i
-	dh_compress -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
+# Nothing to do here
 
 binary-arch:	build
 	dh_testdir
@@ -90,7 +88,7 @@
 	# Hopefully prevent nVidia brain damage
 	# This is supposed to prevent accidentially linking against the
 	# binary nvidia drivers. Deinstall or divert them before building!
-	test ! `eval ldd debian/xscreensaver-gl/usr/lib/xscreensaver/* |grep -q libGLcore && echo $$?`
+	#test ! `eval ldd debian/xscreensaver-gl/usr/lib/xscreensaver/* |grep -q libGLcore && echo $$?`
 	dh_link -a
 	dh_strip -a
 	dh_compress -a

=== modified file 'debian/xscreensaver-gl.files'
--- debian/xscreensaver-gl.files	2005-04-09 00:06:43 +0000
+++ debian/xscreensaver-gl.files	2006-07-29 23:00:43 +0000
@@ -1,5 +1,6 @@
 usr/bin/xscreensaver-gl-helper
 usr/lib/xscreensaver/antinspect
+usr/lib/xscreensaver/antmaze
 usr/lib/xscreensaver/antspotlight
 usr/lib/xscreensaver/atlantis
 usr/lib/xscreensaver/atunnel
@@ -12,6 +13,8 @@
 usr/lib/xscreensaver/cage
 usr/lib/xscreensaver/carousel
 usr/lib/xscreensaver/circuit
+usr/lib/xscreensaver/crackberg
+usr/lib/xscreensaver/cube21
 usr/lib/xscreensaver/cubenetic
 usr/lib/xscreensaver/cubestorm
 usr/lib/xscreensaver/dangerball
@@ -28,6 +31,7 @@
 usr/lib/xscreensaver/glblur
 usr/lib/xscreensaver/gleidescope
 usr/lib/xscreensaver/glforestfire
+usr/lib/xscreensaver/glhanoi
 usr/lib/xscreensaver/glknots
 usr/lib/xscreensaver/glmatrix
 usr/lib/xscreensaver/glplanet
@@ -36,6 +40,7 @@
 usr/lib/xscreensaver/gltext
 usr/lib/xscreensaver/hypertorus
 usr/lib/xscreensaver/jigglypuff
+usr/lib/xscreensaver/juggler3d
 usr/lib/xscreensaver/klein
 usr/lib/xscreensaver/lament
 usr/lib/xscreensaver/lavalite
@@ -61,7 +66,10 @@
 usr/lib/xscreensaver/starwars
 usr/lib/xscreensaver/stonerview
 usr/lib/xscreensaver/superquadrics
+usr/lib/xscreensaver/tangram
+usr/lib/xscreensaver/timetunnel
 usr/share/man/man6/antinspect.6x
+usr/share/man/man6/antmaze.6x
 usr/share/man/man6/antspotlight.6x
 usr/share/man/man6/atlantis.6x
 usr/share/man/man6/atunnel.6x
@@ -74,6 +82,8 @@
 usr/share/man/man6/cage.6x
 usr/share/man/man6/carousel.6x
 usr/share/man/man6/circuit.6x
+usr/share/man/man6/crackberg.6x
+usr/share/man/man6/cube21.6x
 usr/share/man/man6/cubenetic.6x
 usr/share/man/man6/cubestorm.6x
 usr/share/man/man6/dangerball.6x
@@ -90,6 +100,7 @@
 usr/share/man/man6/glblur.6x
 usr/share/man/man6/gleidescope.6x
 usr/share/man/man6/glforestfire.6x
+usr/share/man/man6/glhanoi.6x
 usr/share/man/man6/glknots.6x
 usr/share/man/man6/glmatrix.6x
 usr/share/man/man6/glplanet.6x
@@ -98,6 +109,7 @@
 usr/share/man/man6/gltext.6x
 usr/share/man/man6/hypertorus.6x
 usr/share/man/man6/jigglypuff.6x
+usr/share/man/man6/juggler3d.6x
 usr/share/man/man6/klein.6x
 usr/share/man/man6/lament.6x
 usr/share/man/man6/lavalite.6x
@@ -123,8 +135,11 @@
 usr/share/man/man6/starwars.6x
 usr/share/man/man6/stonerview.6x
 usr/share/man/man6/superquadrics.6x
+usr/share/man/man6/tangram.6x
+usr/share/man/man6/timetunnel.6x
 usr/share/man/man6/xscreensaver-gl-helper.6x
 usr/share/xscreensaver/config/antinspect.xml
+usr/share/xscreensaver/config/antmaze.xml
 usr/share/xscreensaver/config/antspotlight.xml
 usr/share/xscreensaver/config/atlantis.xml
 usr/share/xscreensaver/config/atunnel.xml
@@ -137,6 +152,8 @@
 usr/share/xscreensaver/config/cage.xml
 usr/share/xscreensaver/config/carousel.xml
 usr/share/xscreensaver/config/circuit.xml
+usr/share/xscreensaver/config/crackberg.xml
+usr/share/xscreensaver/config/cube21.xml
 usr/share/xscreensaver/config/cubenetic.xml
 usr/share/xscreensaver/config/cubestorm.xml
 usr/share/xscreensaver/config/dangerball.xml
@@ -153,6 +170,7 @@
 usr/share/xscreensaver/config/glblur.xml
 usr/share/xscreensaver/config/gleidescope.xml
 usr/share/xscreensaver/config/glforestfire.xml
+usr/share/xscreensaver/config/glhanoi.xml
 usr/share/xscreensaver/config/glknots.xml
 usr/share/xscreensaver/config/glmatrix.xml
 usr/share/xscreensaver/config/glplanet.xml
@@ -161,6 +179,7 @@
 usr/share/xscreensaver/config/gltext.xml
 usr/share/xscreensaver/config/hypertorus.xml
 usr/share/xscreensaver/config/jigglypuff.xml
+usr/share/xscreensaver/config/juggler3d.xml
 usr/share/xscreensaver/config/klein.xml
 usr/share/xscreensaver/config/lament.xml
 usr/share/xscreensaver/config/lavalite.xml
@@ -186,3 +205,5 @@
 usr/share/xscreensaver/config/starwars.xml
 usr/share/xscreensaver/config/stonerview.xml
 usr/share/xscreensaver/config/superquadrics.xml
+usr/share/xscreensaver/config/tangram.xml
+usr/share/xscreensaver/config/timetunnel.xml

=== modified file 'debian/xscreensaver-gl.postinst'
--- debian/xscreensaver-gl.postinst	2005-04-09 00:06:43 +0000
+++ debian/xscreensaver-gl.postinst	2006-07-29 23:00:43 +0000
@@ -14,4 +14,9 @@
 	ln -sf XScreenSaver-nogl XScreenSaver
 fi
 
+# Remove /usr/doc symlink
+if [ -d /usr/doc -a -h /usr/doc/xscreensaver-gl -a -d /usr/share/doc/xscreensaver-gl ]; then
+        rm -f /usr/doc/xscreensaver-gl
+fi
+
 #DEBHELPER#

=== modified file 'debian/xscreensaver.files'
--- debian/xscreensaver.files	2005-04-09 00:06:43 +0000
+++ debian/xscreensaver.files	2006-07-29 23:00:43 +0000
@@ -8,7 +8,6 @@
 usr/bin/xscreensaver-text
 usr/lib/xscreensaver/anemone
 usr/lib/xscreensaver/anemotaxis
-usr/lib/xscreensaver/ant
 usr/lib/xscreensaver/apollonian
 usr/lib/xscreensaver/apple2
 usr/lib/xscreensaver/attraction
@@ -22,6 +21,7 @@
 usr/lib/xscreensaver/bubbles
 usr/lib/xscreensaver/bumps
 usr/lib/xscreensaver/ccurve
+usr/lib/xscreensaver/celtic
 usr/lib/xscreensaver/cloudlife
 usr/lib/xscreensaver/compass
 usr/lib/xscreensaver/coral
@@ -60,6 +60,7 @@
 usr/lib/xscreensaver/hypercube
 usr/lib/xscreensaver/ifs
 usr/lib/xscreensaver/imsmap
+usr/lib/xscreensaver/interaggregate
 usr/lib/xscreensaver/interference
 usr/lib/xscreensaver/intermomentary
 usr/lib/xscreensaver/jigsaw
@@ -174,7 +175,6 @@
 usr/share/man/man1/xscreensaver.1
 usr/share/man/man6/anemone.6x
 usr/share/man/man6/anemotaxis.6x
-usr/share/man/man6/ant.6x
 usr/share/man/man6/apollonian.6x
 usr/share/man/man6/apple2.6x
 usr/share/man/man6/attraction.6x
@@ -188,6 +188,7 @@
 usr/share/man/man6/bubbles.6x
 usr/share/man/man6/bumps.6x
 usr/share/man/man6/ccurve.6x
+usr/share/man/man6/celtic.6x
 usr/share/man/man6/cloudlife.6x
 usr/share/man/man6/compass.6x
 usr/share/man/man6/coral.6x
@@ -226,6 +227,7 @@
 usr/share/man/man6/hypercube.6x
 usr/share/man/man6/ifs.6x
 usr/share/man/man6/imsmap.6x
+usr/share/man/man6/interaggregate.6x
 usr/share/man/man6/interference.6x
 usr/share/man/man6/intermomentary.6x
 usr/share/man/man6/jigsaw.6x
@@ -309,7 +311,6 @@
 usr/share/xscreensaver/config/README
 usr/share/xscreensaver/config/anemone.xml
 usr/share/xscreensaver/config/anemotaxis.xml
-usr/share/xscreensaver/config/ant.xml
 usr/share/xscreensaver/config/apollonian.xml
 usr/share/xscreensaver/config/apple2.xml
 usr/share/xscreensaver/config/attraction.xml
@@ -323,6 +324,7 @@
 usr/share/xscreensaver/config/bubbles.xml
 usr/share/xscreensaver/config/bumps.xml
 usr/share/xscreensaver/config/ccurve.xml
+usr/share/xscreensaver/config/celtic.xml
 usr/share/xscreensaver/config/cloudlife.xml
 usr/share/xscreensaver/config/compass.xml
 usr/share/xscreensaver/config/coral.xml
@@ -361,6 +363,7 @@
 usr/share/xscreensaver/config/hypercube.xml
 usr/share/xscreensaver/config/ifs.xml
 usr/share/xscreensaver/config/imsmap.xml
+usr/share/xscreensaver/config/interaggregate.xml
 usr/share/xscreensaver/config/interference.xml
 usr/share/xscreensaver/config/intermomentary.xml
 usr/share/xscreensaver/config/jigsaw.xml

=== removed file 'debian/xscreensaver.links'
--- debian/xscreensaver.links	2005-04-09 00:06:43 +0000
+++ debian/xscreensaver.links	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-/usr/share/applications/gnome-screensaver-properties.desktop /usr/share/control-center-2.0/capplets/screensaver-properties.desktop

=== modified file 'debian/xscreensaver.postinst'
--- debian/xscreensaver.postinst	2005-04-09 00:06:43 +0000
+++ debian/xscreensaver.postinst	2006-07-29 23:00:43 +0000
@@ -27,9 +27,9 @@
 	ln -sf XScreenSaver-nogl XScreenSaver
 fi
 
+# Remove /usr/doc symlink
+if [ -d /usr/doc -a -h /usr/doc/xscreensaver -a -d /usr/share/doc/xscreensaver ]; then
+        rm -f /usr/doc/xscreensaver
+fi
+
 #DEBHELPER#
-
-# Reload all running xscreensaver processes
-if [ "$1" = "configure" ]; then
-        kill -s HUP `pidof xscreensaver` >/dev/null 2>&1 || true
-fi

=== modified file 'driver/Makefile.in'
--- driver/Makefile.in	2005-04-09 00:06:43 +0000
+++ driver/Makefile.in	2006-07-29 23:00:43 +0000
@@ -350,7 +350,7 @@
 	  if cmp -s $(srcdir)/$$program $$tmp ; then			\
 	    true ;							\
 	  else								\
-	    echo "$$program: setting interpreter to $$perl" ;		\
+	    echo "$$program: setting interpreter to $$perl" >&2 ;	\
 	    cat $$tmp > ./$$program ;					\
 	  fi ;								\
 	done ;								\
@@ -359,7 +359,7 @@
 # When installing man pages, we install "foo.man" as "foo.N" and update
 # the .TH line in the installed file with one like
 #
-#     .TH XScreenSaver N "DD-MMM-YYYY (V.VV)" "X Version 11"
+#     .TH XScreenSaver N "V.VV (DD-MMM-YYYY)" "X Version 11"
 #
 # where N is the manual section suffix.
 #
@@ -377,7 +377,10 @@
 									\
 	for man in $$men; do						\
 	  instname=`echo $$man | sed 's/\.man$$/\.$(mansuffix)/'` ;	\
-	  sed "s/^\.TH.*/$$TH/" < $(srcdir)/$$man > $$T ;		\
+	  sed -e "s/^\.TH.*/$$TH/"					\
+	      -e 's/^\(\.BR xscr.*(\)[^()]\(.*\)/\1$(mansuffix)\2/'	\
+	      -e 's@(MANSUFFIX)@($(mansuffix))@g'			\
+	    < $(srcdir)/$$man > $$T ;					\
 	  echo $(INSTALL_DATA) $(srcdir)/$$man				\
 	   $(install_prefix)$(manNdir)/$$instname ;			\
 	  $(INSTALL_DATA) $$T						\
@@ -559,7 +562,7 @@
 # into /usr/share/applications/
 uninstall-gnome::
 	@if [ "$(GTK_DATADIR)" != "" ]; then				      \
-          f=screensaver-properties.desktop                                   ;\
+          f=gnome-screensaver-properties.desktop                             ;\
           echo rm -f $(install_prefix)$(GTK_APPDIR)/$$f                      ;\
                rm -f $(install_prefix)$(GTK_APPDIR)/$$f                      ;\
         fi
@@ -781,6 +784,9 @@
 	$(GTK_LIBS) $(XPM_LIBS) $(XML_LIBS) $(INTL_LIBS) $(X_PRE_LIBS) \
 	-lXt -lX11 $(XDPMS_LIBS) $(XINERAMA_LIBS) -lXext $(X_EXTRA_LIBS)
 
+demo-Gtk.o: XScreenSaver_ad.h
+demo-Xm.o:  XScreenSaver_ad_Xm.h
+
 xscreensaver-getimage: $(GETIMG_OBJS)
 	$(CC) $(LDFLAGS) -o $@ $(GETIMG_OBJS) $(GETIMG_LIBS) -lm
 
@@ -842,13 +848,13 @@
 
 demo-Gtk-conf.o: ../config.h
 demo-Gtk-conf.o: $(srcdir)/demo-Gtk-conf.h
+demo-Gtk.o: XScreenSaver_ad.h
 demo-Gtk.o: ../config.h
 demo-Gtk.o: $(srcdir)/demo-Gtk-conf.h
 demo-Gtk.o: $(srcdir)/demo-Gtk-support.h
 demo-Gtk.o: $(srcdir)/demo-Gtk-widgets.h
 demo-Gtk.o: $(srcdir)/prefs.h
 demo-Gtk.o: $(srcdir)/remote.h
-demo-Gtk.o: XScreenSaver_ad.h
 demo-Gtk-support.o: ../config.h
 demo-Gtk-support.o: $(srcdir)/demo-Gtk-support.h
 demo-Gtk-widgets.o: ../config.h
@@ -887,9 +893,9 @@
 test-fade.o: $(srcdir)/prefs.h
 test-fade.o: $(srcdir)/xscreensaver.h
 test-grab.o: ../config.h
+test-passwd.o: XScreenSaver_ad.h
 test-passwd.o: ../config.h
 test-passwd.o: $(srcdir)/prefs.h
-test-passwd.o: XScreenSaver_ad.h
 test-passwd.o: $(srcdir)/xscreensaver.h
 test-randr.o: ../config.h
 test-uid.o: ../config.h
@@ -907,9 +913,9 @@
 xscreensaver-getimage.o: ../config.h
 xscreensaver-getimage.o: XScreenSaver_ad.h
 xscreensaver-getimage.o: $(srcdir)/prefs.h
+xscreensaver.o: XScreenSaver_ad.h
 xscreensaver.o: ../config.h
 xscreensaver.o: $(srcdir)/prefs.h
-xscreensaver.o: XScreenSaver_ad.h
 xscreensaver.o: $(srcdir)/xscreensaver.h
 xset.o: ../config.h
 xset.o: $(srcdir)/prefs.h

=== modified file 'driver/XScreenSaver.ad.in'
--- driver/XScreenSaver.ad.in	2005-04-09 00:06:43 +0000
+++ driver/XScreenSaver.ad.in	2006-07-29 23:00:43 +0000
@@ -4,8 +4,8 @@
 !            a screen saver and locker for the X window system
 !                            by Jamie Zawinski
 !
-!                              version 4.21
-!                              20-Mar-2005
+!                              version 4.24
+!                              08-Feb-2006
 !
 ! See "man xscreensaver" for more info.  The latest version is always
 ! available at http://www.jwz.org/xscreensaver/
@@ -54,14 +54,14 @@
 *splash:		True
 *splashDuration:	0:00:05
 *visualID:		default
-*captureStderr: 	True
+*captureStderr: 	False
 *ignoreUninstalledPrograms: False
 
 *textMode:		url
 *textLiteral:		XScreenSaver
 *textFile:		/usr/share/doc/xserver-common/copyright
 *textProgram:		fortune
-*textURL:		http://planet.debian.net/rss20.xml
+*textURL:		http://planet.debian.org/rss20.xml
 
 *overlayTextForeground:	#FFFF00
 *overlayTextBackground:	#000000
@@ -135,7 +135,7 @@
 ! This command is executed by the "New Login" button on the lock dialog.
 ! (That button does not appear if this program does not exist.)
 !
-@NEW_LOGIN_COMMAND_P@*newLoginCommand:	@NEW_LOGIN_COMMAND@
+*newLoginCommand:	gdmflexiserver -l -a -c FLEXI_XSERVER
 
 
 ! Turning on "installColormap" on 8-bit systems interacts erratically with
@@ -233,7 +233,6 @@
 				triangle -root -delay 1			    \n\
 -				worm -root				    \n\
 -				rotor -root				    \n\
--				ant -root				    \n\
 -				demon -root				    \n\
 -				loop -root				    \n\
 -				vines -root				    \n\
@@ -321,9 +320,11 @@
 				substrate -root				    \n\
 	 "Substrate (circles)"  substrate -root -circle-percent 33          \n\
 				intermomentary -root			    \n\
+				interaggregate -root			    \n\
 				fireworkx -root				    \n\
 				fiberlamp -root				    \n\
 				boxfit -root				    \n\
+				celtic -root				    \n\
 - default-n:			webcollage -root			    \n\
 - default-n:  "WebCollage (whacked)"					      \
 				webcollage -root -filter		      \
@@ -403,6 +404,14 @@
 @GL_KLUDGE@ GL:			boing -root -lighting -smooth		    \n\
 -	   GL:                  carousel -root                              \n\
 @GL_KLUDGE@ GL:			fliptext -root				    \n\
+-	   GL:                  antmaze -root                               \n\
+@GL_KLUDGE@ GL:			tangram -root				    \n\
+@GL_KLUDGE@ GL:			crackberg -root -flat -lit -crack	      \
+				 -color random				    \n\
+@GL_KLUDGE@ GL:			glhanoi -root				    \n\
+@GL_KLUDGE@ GL:			cube21 -root -colormode six		    \n\
+@GL_KLUDGE@ GL:			timetunnel -root			    \n\
+@GL_KLUDGE@ GL:			juggler3d -root				    \n\
 									      \
 -				xdaliclock -root -builtin3 -cycle	    \n\
 - default-n:			xearth -nofork -nostars -ncolors 50	      \
@@ -475,6 +484,7 @@
 *passwd.user.label:		Username:
 *passwd.passwd.label:		Password:
 *passwd.thermometer.width:	8
+*passwd.asterisks:              True
 
 *splash.heading.label:		XScreenSaver %s
 *splash.body.label:		Copyright  1991-2005 by
@@ -544,6 +554,7 @@
 *hacks.memscroller.name:    MemScroller
 *hacks.boxfit.name:         BoxFit
 *hacks.fliptext.name:       FlipText
+*hacks.glhanoi.name:        GLHanoi
 
 ! obsolete, but still used by xscreensaver-demo-Xm.
 *hacks.documentation.isInstalled: True

=== modified file 'driver/XScreenSaver_ad.h'
--- driver/XScreenSaver_ad.h	2005-04-09 00:06:43 +0000
+++ driver/XScreenSaver_ad.h	2006-06-30 16:27:21 +0000
@@ -13,7 +13,7 @@
 "*grabDesktopImages:	True",
 "*grabVideoFrames:	False",
 "*chooseRandomImages:	True",
-"*imageDirectory:	/usr/share/backgrounds/images/",
+"*imageDirectory:	/Library/Desktop Pictures/",
 "*nice:			10",
 "*memoryLimit:		0",
 "*lock:			False",
@@ -27,11 +27,11 @@
 "*splash:		True",
 "*splashDuration:	0:00:05",
 "*visualID:		default",
-"*captureStderr: 	True",
+"*captureStderr: 	False",
 "*ignoreUninstalledPrograms: False",
 "*textMode:		file",
 "*textLiteral:		XScreenSaver",
-"*textFile:		/usr/X11R6/lib/X11/doc/README",
+"*textFile:		/usr/X11R6/README",
 "*textProgram:		fortune",
 "*textURL:		http://www.livejournal.com/stats/latest-rss.bml",
 "*overlayTextForeground:	#FFFF00",
@@ -45,11 +45,10 @@
 "*demoCommand: xscreensaver-demo",
 "*prefsCommand: xscreensaver-demo -prefs",
 "*helpURL: http://www.jwz.org/xscreensaver/man.html",
-"*loadURL: gnome-open '%s'",
-"*manualCommand: gnome-terminal --title '%s manual' \
-		--command '/bin/sh -c \"man %s; read foo\"'",
+"*loadURL: firefox '%s' || mozilla '%s' || netscape '%s'",
+"*manualCommand: xterm -sb -fg black -bg gray75 -T '%s manual' \
+		    -e /bin/sh -c 'man \"%s\" ; read foo'",
 "*dateFormat:		%d-%b-%y (%a); %I:%M %p",
-"*newLoginCommand:	/bin/false",
 "*installColormap:	True",
 "*programs:								      \
 		 \"Qix (solid)\" 	qix -root -solid -segments 100		    \\n\
@@ -128,7 +127,6 @@
 				triangle -root -delay 1			    \\n\
 -				worm -root				    \\n\
 -				rotor -root				    \\n\
--				ant -root				    \\n\
 -				demon -root				    \\n\
 -				loop -root				    \\n\
 -				vines -root				    \\n\
@@ -216,9 +214,11 @@
 				substrate -root				    \\n\
 	 \"Substrate (circles)\"  substrate -root -circle-percent 33          \\n\
 				intermomentary -root			    \\n\
+				interaggregate -root			    \\n\
 				fireworkx -root				    \\n\
 				fiberlamp -root				    \\n\
 				boxfit -root				    \\n\
+				celtic -root				    \\n\
 - default-n:			webcollage -root			    \\n\
 - default-n:  \"WebCollage (whacked)\"					      \
 				webcollage -root -filter		      \
@@ -298,6 +298,14 @@
 	   GL:			boing -root -lighting -smooth		    \\n\
 -	   GL:                  carousel -root                              \\n\
 	   GL:			fliptext -root				    \\n\
+-	   GL:                  antmaze -root                               \\n\
+	   GL:			tangram -root				    \\n\
+	   GL:			crackberg -root -flat -lit -crack	      \
+				 -color random				    \\n\
+	   GL:			glhanoi -root				    \\n\
+	   GL:			cube21 -root -colormode six		    \\n\
+	   GL:			timetunnel -root			    \\n\
+	   GL:			juggler3d -root				    \\n\
 									      \
 -				xdaliclock -root -builtin3 -cycle	    \\n\
 - default-n:			xearth -nofork -nostars -ncolors 50	      \
@@ -349,6 +357,7 @@
 "*passwd.user.label:		Username:",
 "*passwd.passwd.label:		Password:",
 "*passwd.thermometer.width:	8",
+"*passwd.asterisks:              True",
 "*splash.heading.label:		XScreenSaver %s",
 "*splash.body.label:		Copyright  1991-2005 by",
 "*splash.body2.label:		Jamie Zawinski <jwz@jwz.org>",
@@ -409,4 +418,5 @@
 "*hacks.memscroller.name:    MemScroller",
 "*hacks.boxfit.name:         BoxFit",
 "*hacks.fliptext.name:       FlipText",
+"*hacks.glhanoi.name:        GLHanoi",
 "*hacks.documentation.isInstalled: True",

=== modified file 'driver/demo-Gtk.c'
--- driver/demo-Gtk.c	2005-04-09 00:06:43 +0000
+++ driver/demo-Gtk.c	2006-06-30 16:27:21 +0000
@@ -1,5 +1,5 @@
 /* demo-Gtk.c --- implements the interactive demo-mode and options dialogs.
- * xscreensaver, Copyright (c) 1993-2005 Jamie Zawinski <jwz@jwz.org>
+ * xscreensaver, Copyright (c) 1993-2006 Jamie Zawinski <jwz@jwz.org>
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
  * documentation for any purpose is hereby granted without fee, provided that
@@ -144,6 +144,7 @@
 
 /* from exec.c */
 extern void exec_command (const char *shell, const char *command, int nice);
+extern int on_path_p (const char *program);
 
 static void hack_subproc_environment (Window preview_window_id, Bool debug_p);
 
@@ -190,6 +191,7 @@
   int *list_elt_to_hack_number;	/* table for sorting the hack list */
   int *hack_number_to_list_elt;	/* the inverse table */
   Bool *hacks_available_p;	/* whether hacks are on $PATH */
+  int total_available;		/* how many are on $PATH */
   int list_count;		/* how many items are in the list: this may be
                                    less than p->screenhacks_count, if some are
                                    suppressed. */
@@ -645,7 +647,6 @@
                 strcpy (buf, "Unknown error!");
               warning_dialog (s->toplevel_widget, buf, False, 100);
             }
-          if (err) free (err);
         }
       else
         {
@@ -845,7 +846,8 @@
            p->load_url_command,
            p->help_url, p->help_url, p->help_url, p->help_url);
   strcat (help_command, " ) &");
-  system (help_command);
+  if (system (help_command) < 0)
+    fprintf (stderr, "%s: fork error\n", blurb());
   free (help_command);
 }
 
@@ -889,7 +891,8 @@
   flush_dialog_changes_and_save (s);
   xscreensaver_command (GDK_DISPLAY(), XA_EXIT, 0, False, NULL);
   sleep (1);
-  system ("xscreensaver -nosplash &");
+  if (system ("xscreensaver -nosplash &") < 0)
+    fprintf (stderr, "%s: fork error\n", blurb());
 
   await_xscreensaver (s);
 }
@@ -1027,6 +1030,7 @@
   int list_elt = selected_list_element (s);
   int hack_number;
   char *name, *name2, *cmd, *str;
+  char *oname = 0;
   if (list_elt < 0) return;
   hack_number = s->list_elt_to_hack_number[list_elt];
 
@@ -1035,6 +1039,7 @@
 
   name = strdup (p->screenhacks[hack_number]->command);
   name2 = name;
+  oname = name;
   while (isspace (*name2)) name2++;
   str = name2;
   while (*str && !isspace (*str)) str++;
@@ -1051,7 +1056,8 @@
                cmd,
                name2, name2, name2, name2);
       strcat (cmd2, " ) &");
-      system (cmd2);
+      if (system (cmd2) < 0)
+        fprintf (stderr, "%s: fork error\n", blurb());
       free (cmd2);
     }
   else
@@ -1061,7 +1067,7 @@
                       False, 100);
     }
 
-  free (name);
+  free (oname);
 }
 
 
@@ -1080,9 +1086,11 @@
 #ifdef HAVE_GTK2
   model = gtk_tree_view_get_model (GTK_TREE_VIEW (list));
   STFU g_assert (model);
-  gtk_tree_model_iter_nth_child (model, &iter, NULL, list_elt);
-  selection = gtk_tree_view_get_selection (GTK_TREE_VIEW (list));
-  gtk_tree_selection_select_iter (selection, &iter);
+  if (gtk_tree_model_iter_nth_child (model, &iter, NULL, list_elt))
+    {
+      selection = gtk_tree_view_get_selection (GTK_TREE_VIEW (list));
+      gtk_tree_selection_select_iter (selection, &iter);
+    }
 #else  /* !HAVE_GTK2 */
   gtk_list_select_item (GTK_LIST (list), list_elt);
 #endif /* !HAVE_GTK2 */
@@ -2349,52 +2357,6 @@
 }
 
 
-static Bool
-on_path_p (const char *program)
-{
-  int result = False;
-  struct stat st;
-  char *cmd = strdup (program);
-  char *token = strchr (cmd, ' ');
-  char *path = 0;
-  int L;
-
-  if (token) *token = 0;
-  token = 0;
-
-  if (strchr (cmd, '/'))
-    {
-      result = (0 == stat (cmd, &st));
-      goto DONE;
-    }
-
-  path = getenv("PATH");
-  if (!path || !*path)
-    goto DONE;
-
-  L = strlen (cmd);
-  path = strdup (path);
-  token = strtok (path, ":");
-
-  while (token)
-    {
-      char *p2 = (char *) malloc (strlen (token) + L + 3);
-      strcpy (p2, token);
-      strcat (p2, "/");
-      strcat (p2, cmd);
-      result = (0 == stat (p2, &st));
-      if (result)
-        goto DONE;
-      token = strtok (0, ":");
-    }
-
- DONE:
-  free (cmd);
-  if (path) free (path);
-  return result;
-}
-
-
 static void
 populate_hack_list (state *s)
 {
@@ -3315,13 +3277,16 @@
     calloc (sizeof(int), p->screenhacks_count + 1);
   s->hacks_available_p = (Bool *)
     calloc (sizeof(Bool), p->screenhacks_count + 1);
+  s->total_available = 0;
 
   /* Check which hacks actually exist on $PATH
    */
   for (i = 0; i < p->screenhacks_count; i++)
     {
       screenhack *hack = p->screenhacks[i];
-      s->hacks_available_p[i] = on_path_p (hack->command);
+      int on = on_path_p (hack->command) ? 1 : 0;
+      s->hacks_available_p[i] = on;
+      s->total_available += on;
     }
 
   /* Initialize list->hack table to unsorted mapping, omitting nonexistent
@@ -3473,11 +3438,14 @@
     Bool available_p = (hack_number >= 0
                         ? s->hacks_available_p [hack_number]
                         : True);
+    Bool nothing_p = (s->total_available < 5);
+
 #ifdef HAVE_GTK2
     GtkWidget *notebook = name_to_widget (s, "preview_notebook");
     gtk_notebook_set_page (GTK_NOTEBOOK (notebook),
 			   (s->running_preview_error_p
-                            ? (available_p ? 1 : 2)
+                            ? (available_p ? 1 :
+                               nothing_p ? 3 : 2)
                             : 0));
 #else /* !HAVE_GTK2 */
     if (s->running_preview_error_p)
@@ -3718,7 +3686,8 @@
         close (out);  /* don't need this one */
 
         *buf = 0;
-        fgets (buf, sizeof(buf)-1, f);
+        if (!fgets (buf, sizeof(buf)-1, f))
+          *buf = 0;
         fclose (f);
 
         /* Wait for the child to die. */

=== modified file 'driver/dpms.c'
--- driver/dpms.c	2002-04-07 12:17:37 +0000
+++ driver/dpms.c	2005-12-08 16:00:22 +0000
@@ -1,5 +1,5 @@
 /* dpms.c --- syncing the X Display Power Management values
- * xscreensaver, Copyright (c) 2001 Jamie Zawinski <jwz@jwz.org>
+ * xscreensaver, Copyright (c) 2001, 2005 Jamie Zawinski <jwz@jwz.org>
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
  * documentation for any purpose is hereby granted without fee, provided that
@@ -10,6 +10,40 @@
  * implied warranty.
  */
 
+/* Display Power Management System (DPMS.)
+
+   On XFree86 systems, "man xset" reports:
+
+       -dpms    The -dpms option disables DPMS (Energy Star) features.
+       +dpms    The +dpms option enables DPMS (Energy Star) features.
+
+       dpms flags...
+                The dpms option allows the DPMS (Energy Star)
+                parameters to be set.  The option can take up to three
+                numerical values, or the `force' flag followed by a
+                DPMS state.  The `force' flags forces the server to
+                immediately switch to the DPMS state specified.  The
+                DPMS state can be one of `standby', `suspend', or
+                `off'.  When numerical values are given, they set the
+                inactivity period before the three modes are activated.
+                The first value given is for the `standby' mode, the
+                second is for the `suspend' mode, and the third is for
+                the `off' mode.  Setting these values implicitly
+                enables the DPMS features.  A value of zero disables a
+                particular mode.
+
+   However, note that the implementation is more than a little bogus,
+   in that there is code in /usr/X11R6/lib/libXdpms.a to implement all
+   the usual server-extension-querying utilities -- but there are no
+   prototypes in any header file!  Thus, the prototypes here.  (The
+   stuff in X11/extensions/dpms.h and X11/extensions/dpmsstr.h define
+   the raw X protcol, they don't define the API to libXdpms.a.)
+
+   Some documentation:
+   Library:  ftp://ftp.x.org/pub/R6.4/xc/doc/specs/Xext/DPMSLib.ms
+   Protocol: ftp://ftp.x.org/pub/R6.4/xc/doc/specs/Xext/DPMS.ms
+ */
+
 #ifdef HAVE_CONFIG_H
 # include "config.h"
 #endif
@@ -17,7 +51,7 @@
 #include <stdio.h>
 #include <X11/Xlib.h>
 
-#ifdef HAVE_DPMS_EXTENSION
+#ifdef HAVE_DPMS_EXTENSION   /* almost the whole file */
 
 # include <X11/Xproto.h>
 # include <X11/extensions/dpms.h>
@@ -25,15 +59,17 @@
 
   /* Why this crap is not in a header file somewhere, I have no idea.  Losers!
    */
-  extern Bool DPMSQueryExtension (Display *dpy, int *event_ret, int *err_ret);
-  extern Bool DPMSCapable (Display *dpy);
-  extern Status DPMSInfo (Display *dpy, CARD16 *power_level, BOOL *state);
-  extern Status DPMSSetTimeouts (Display *dpy,
-                                 CARD16 standby, CARD16 suspend, CARD16 off);
-  extern Bool DPMSGetTimeouts (Display *dpy,
-                               CARD16 *standby, CARD16 *suspend, CARD16 *off);
+  extern Bool   DPMSQueryExtension (Display *, int *event_ret, int *err_ret);
+  extern Status DPMSGetVersion (Display *, int *major_ret, int *minor_ret);
+  extern Bool   DPMSCapable (Display *);
+  extern Status DPMSInfo (Display *, CARD16 *power_level, BOOL *state);
   extern Status DPMSEnable (Display *dpy);
   extern Status DPMSDisable (Display *dpy);
+  extern Status DPMSForceLevel (Display *, CARD16 level);
+  extern Status DPMSSetTimeouts (Display *, CARD16 standby, CARD16 suspend,
+                                 CARD16 off);
+  extern Bool   DPMSGetTimeouts (Display *, CARD16 *standby,
+                                 CARD16 *suspend, CARD16 *off);
 
 #endif /* HAVE_DPMS_EXTENSION */
 
@@ -48,13 +84,13 @@
 
 #include "xscreensaver.h"
 
+#ifdef HAVE_DPMS_EXTENSION
+
 void
 sync_server_dpms_settings (Display *dpy, Bool enabled_p,
                            int standby_secs, int suspend_secs, int off_secs,
                            Bool verbose_p)
 {
-# ifdef HAVE_DPMS_EXTENSION
-
   int event = 0, error = 0;
   BOOL o_enabled = False;
   CARD16 o_power = 0;
@@ -73,6 +109,13 @@
 
   if (bogus_p) enabled_p = False;
 
+  /* X protocol sends these values in a CARD16, so truncate them to 16 bits.
+     This means that the maximum timeout is 18:12:15.
+   */
+  if (standby_secs > 0xFFFF) standby_secs = 0xFFFF;
+  if (suspend_secs > 0xFFFF) suspend_secs = 0xFFFF;
+  if (off_secs     > 0xFFFF) off_secs     = 0xFFFF;
+
   if (! DPMSQueryExtension (dpy, &event, &error))
     {
       if (verbose_p)
@@ -136,11 +179,78 @@
         fprintf (stderr, "%s: set DPMS timeouts: %d %d %d.\n", blurb(),
                  standby_secs, suspend_secs, off_secs);
     }
-
-# else  /* !HAVE_DPMS_EXTENSION */
-
+}
+
+Bool
+monitor_powered_on_p (saver_info *si)
+{
+  Bool result;
+  int event_number, error_number;
+  BOOL onoff = False;
+  CARD16 state;
+
+  if (!DPMSQueryExtension(si->dpy, &event_number, &error_number))
+    /* Server doesn't know -- assume the monitor is on. */
+    result = True;
+
+  else if (!DPMSCapable(si->dpy))
+    /* Server says the monitor doesn't do power management -- so it's on. */
+    result = True;
+
+  else
+    {
+      DPMSInfo(si->dpy, &state, &onoff);
+      if (!onoff)
+	/* Server says DPMS is disabled -- so the monitor is on. */
+	result = True;
+      else
+	switch (state) {
+	case DPMSModeOn:      result = True;  break;  /* really on */
+	case DPMSModeStandby: result = False; break;  /* kinda off */
+	case DPMSModeSuspend: result = False; break;  /* pretty off */
+	case DPMSModeOff:     result = False; break;  /* really off */
+	default:	      result = True;  break;  /* protocol error? */
+	}
+    }
+
+  return result;
+}
+
+void
+monitor_power_on (saver_info *si)
+{
+  if (!monitor_powered_on_p (si))
+    {
+      DPMSForceLevel(si->dpy, DPMSModeOn);
+      XSync(si->dpy, False);
+      if (!monitor_powered_on_p (si))
+	fprintf (stderr,
+       "%s: DPMSForceLevel(dpy, DPMSModeOn) did not power the monitor on?\n",
+		 blurb());
+    }
+}
+
+#else  /* !HAVE_DPMS_EXTENSION */
+
+void
+sync_server_dpms_settings (Display *dpy, Bool enabled_p,
+                           int standby_secs, int suspend_secs, int off_secs,
+                           Bool verbose_p)
+{
   if (verbose_p)
     fprintf (stderr, "%s: DPMS support not compiled in.\n", blurb());
-
-# endif /* HAVE_DPMS_EXTENSION */
-}
+}
+
+Bool
+monitor_powered_on_p (saver_info *si) 
+{
+  return True; 
+}
+
+void
+monitor_power_on (saver_info *si)
+{
+  return; 
+}
+
+#endif /* !HAVE_DPMS_EXTENSION */

=== modified file 'driver/exec.c'
--- driver/exec.c	2005-04-09 00:06:43 +0000
+++ driver/exec.c	2006-06-30 16:27:21 +0000
@@ -1,5 +1,5 @@
 /* exec.c --- executes a program in *this* pid, without an intervening process.
- * xscreensaver, Copyright (c) 1991-2002 Jamie Zawinski <jwz@jwz.org>
+ * xscreensaver, Copyright (c) 1991-2005 Jamie Zawinski <jwz@jwz.org>
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
  * documentation for any purpose is hereby granted without fee, provided that
@@ -58,6 +58,7 @@
 #include <string.h>
 #include <stdio.h>
 #include <ctype.h>
+#include <sys/stat.h>
 
 #ifndef ESRCH
 # include <errno.h>
@@ -246,3 +247,53 @@
 
 #endif
 }
+
+
+/* Whether the given command exists on $PATH.
+   (Anything before the first space is considered to be the program name.)
+ */
+int
+on_path_p (const char *program)
+{
+  int result = 0;
+  struct stat st;
+  char *cmd = strdup (program);
+  char *token = strchr (cmd, ' ');
+  char *path = 0;
+  int L;
+
+  if (token) *token = 0;
+  token = 0;
+
+  if (strchr (cmd, '/'))
+    {
+      result = (0 == stat (cmd, &st));
+      goto DONE;
+    }
+
+  path = getenv("PATH");
+  if (!path || !*path)
+    goto DONE;
+
+  L = strlen (cmd);
+  path = strdup (path);
+  token = strtok (path, ":");
+
+  while (token)
+    {
+      char *p2 = (char *) malloc (strlen (token) + L + 3);
+      strcpy (p2, token);
+      strcat (p2, "/");
+      strcat (p2, cmd);
+      result = (0 == stat (p2, &st));
+      if (result)
+        goto DONE;
+      token = strtok (0, ":");
+    }
+
+ DONE:
+  free (cmd);
+  if (path) free (path);
+  return result;
+}
+

=== modified file 'driver/lock.c'
--- driver/lock.c	2005-04-09 00:06:43 +0000
+++ driver/lock.c	2006-07-29 23:00:43 +0000
@@ -17,6 +17,7 @@
 # include "config.h"
 #endif
 
+#include <ctype.h>
 #include <X11/Intrinsic.h>
 #include <X11/cursorfont.h>
 #include <X11/Xos.h>		/* for time() */
@@ -97,6 +98,9 @@
   Dimension height;
   Dimension border_width;
 
+  Bool show_stars_p; /* "I regret that I have but one asterisk for my country."
+                        -- Nathan Hale, 1776. */
+
   char *heading_label;
   char *body_label;
   char *user_label;
@@ -192,6 +196,8 @@
 
   pw->ratio = 1.0;
 
+  pw->show_stars_p = get_boolean_resource("passwd.asterisks", "Boolean");
+  
   pw->heading_label = get_string_resource ("passwd.heading.label",
 					   "Dialog.Label.Label");
   pw->body_label = get_string_resource ("passwd.body.label",
@@ -1389,6 +1395,10 @@
 
   s[1] = 0;
 
+  /* Add 10% to the time remaining every time a key is pressed. */
+  pw->ratio += 0.1;
+  if (pw->ratio > 1) pw->ratio = 1;
+
   switch (*s)
     {
     case '\010': case '\177':				/* Backspace */
@@ -1420,23 +1430,41 @@
       break;
 
     default:
-      i = strlen (typed_passwd);
-      if (i >= pw_size-1)
-	XBell (si->dpy, 0);
+      /* Though technically the only illegal characters in Unix passwords
+         are LF and NUL, most GUI programs (e.g., GDM) use regular text-entry
+         fields that only let you type printable characters.  So, people
+         who use funky characters in their passwords are already broken.
+         We follow that precedent.
+       */
+      if (isprint ((unsigned char) *s))
+        {
+          i = strlen (typed_passwd);
+          if (i >= pw_size-1)
+            XBell (si->dpy, 0);
+          else
+            {
+              typed_passwd [i] = *s;
+              typed_passwd [i+1] = 0;
+            }
+        }
       else
-	{
-	  typed_passwd [i] = *s;
-	  typed_passwd [i+1] = 0;
-	}
+        XBell (si->dpy, 0);
       break;
     }
 
-  i = strlen(typed_passwd);
-  stars = (char *) malloc(i+1);
-  memset (stars, '*', i);
-  stars[i] = 0;
-  update_passwd_window (si, stars, pw->ratio);
-  free (stars);
+  if (pw->show_stars_p)
+    {
+      i = strlen(typed_passwd);
+      stars = (char *) malloc(i+1);
+      memset (stars, '*', i);
+      stars[i] = 0;
+      update_passwd_window (si, stars, pw->ratio);
+      free (stars);
+    }
+  else
+    {
+      update_passwd_window (si, "", pw->ratio);
+    }
 }
 
 

=== modified file 'driver/passwd-helper.c'
--- driver/passwd-helper.c	2005-04-09 00:06:43 +0000
+++ driver/passwd-helper.c	2005-12-08 16:00:22 +0000
@@ -1,6 +1,6 @@
 /* passwd-helper.c --- verifying typed passwords with external helper program
  * written by Olaf Kirch <okir@suse.de>
- * xscreensaver, Copyright (c) 1993-2004 Jamie Zawinski <jwz@jwz.org>
+ * xscreensaver, Copyright (c) 1993-2005 Jamie Zawinski <jwz@jwz.org>
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
  * documentation for any purpose is hereby granted without fee, provided that
@@ -35,14 +35,23 @@
 
 #ifndef NO_LOCKING  /* whole file */
 
+#include <X11/Xlib.h>		/* not used for much... */
+
+/* This file doesn't need the Xt headers, so stub these types out... */
+#undef XtPointer
+#define XtAppContext void*
+#define XrmDatabase  void*
+#define XtIntervalId void*
+#define XtPointer    void*
+#define Widget       void*
+
+#include "xscreensaver.h"
+
 #include <stdlib.h>
 #ifdef HAVE_UNISTD_H
 # include <unistd.h>
 #endif
 
-extern char *blurb(void);
-
-
 #include <stdio.h>
 #include <string.h>
 #include <sys/types.h>
@@ -51,9 +60,6 @@
 
 #include <sys/wait.h>
 
-extern void block_sigchld (void);
-extern void unblock_sigchld (void);
-
 static int
 ext_run (const char *user, const char *typed_passwd, int verbose_p)
 {

=== modified file 'driver/passwd-kerberos.c'
--- driver/passwd-kerberos.c	2005-04-09 00:06:43 +0000
+++ driver/passwd-kerberos.c	2005-12-08 16:00:22 +0000
@@ -75,7 +75,7 @@
  static char realm[REALM_SZ];
  static char  name[ANAME_SZ];
  static char  inst[INST_SZ];
- static char *tk_file;
+ static const char *tk_file;
 #endif /* !HAVE_DARWIN */
 
 
@@ -222,7 +222,7 @@
     des_string_to_key(typed_passwd, mitkey);
 
     if (krb_get_in_tkt(name, inst, realm, "krbtgt", realm, DEFAULT_TKT_LIFE,
-		       key_to_key, NULL, mitkey) != 0) {
+		       key_to_key, NULL, (char *) mitkey) != 0) {
 	success = False;
     } else {
 	success = True;

=== modified file 'driver/passwd-pam.c'
--- driver/passwd-pam.c	2005-04-09 00:06:43 +0000
+++ driver/passwd-pam.c	2006-06-30 16:27:21 +0000
@@ -339,7 +339,11 @@
   const char file2[] = "/etc/pam.conf";
   struct stat st;
 
-  if (stat (dir, &st) == 0 && st.st_mode & S_IFDIR)
+# ifndef S_ISDIR
+#  define S_ISDIR(mode) (((mode) & S_IFMT) == S_IFDIR)
+# endif
+
+  if (stat (dir, &st) == 0 && S_ISDIR(st.st_mode))
     {
       if (stat (file, &st) != 0)
         fprintf (stderr,

=== modified file 'driver/prefs.c'
--- driver/prefs.c	2005-04-09 00:06:43 +0000
+++ driver/prefs.c	2006-07-29 23:00:43 +0000
@@ -86,7 +86,14 @@
 # ifdef HAVE_REALPATH
   if (file)
     {
-      char buf [2048];
+# ifndef PATH_MAX
+#  ifdef MAXPATHLEN
+#   define PATH_MAX MAXPATHLEN
+#  else
+#   define PATH_MAX 2048
+#  endif
+# endif
+      char buf[PATH_MAX];
       if (realpath (file, buf))
         return strdup (buf);
 
@@ -1576,11 +1583,15 @@
       p->dpms_off < 10 * 1000)
     p->dpms_off      = 4 * 60 * 60 * 1000;			 /* 4 hours */
 
-  /* standby may not be greater than suspend.
-     suspend may not be greater than off.
+  /* suspend may not be greater than off, unless off is 0.
+     standby may not be greater than suspend, unless suspend is 0.
    */
-  if (p->dpms_standby > p->dpms_suspend) p->dpms_standby = p->dpms_suspend;
-  if (p->dpms_suspend > p->dpms_off)     p->dpms_suspend = p->dpms_off;
+  if (p->dpms_off != 0 &&
+      p->dpms_suspend > p->dpms_off)
+    p->dpms_suspend = p->dpms_off;
+  if (p->dpms_suspend != 0 &&
+      p->dpms_standby > p->dpms_suspend)
+    p->dpms_standby = p->dpms_suspend;
 
 
   if (p->dpms_standby == 0 &&	   /* if *all* are 0, then DPMS is disabled */
@@ -1589,17 +1600,12 @@
     p->dpms_enabled_p = False;
 
 
-  /* Watchdog timer set to 30s, anything else is too slow to react 
-   * appropriately on DPMS on battery running laptops (CPU intensive hack
-   * keeps running for too long
-   * /
-   * 
-  p->watchdog_timeout = 30000;
-  /* p->watchdog_timeout = p->cycle * 0.6;
-   * /
-   
-  if (p->watchdog_timeout < 30000) p->watchdog_timeout = 30000;	  /* 30 secs */
-  if (p->watchdog_timeout > 3600000) p->watchdog_timeout = 3600000; /*  1 hr */
+  /* Set watchdog timeout to about half of the cycle timeout, but
+     don't let it be faster than 1/2 minute or slower than 1 minute.
+   */
+  p->watchdog_timeout = p->cycle * 0.6;
+  if (p->watchdog_timeout < 27000) p->watchdog_timeout = 27000;	  /* 27 secs */
+  if (p->watchdog_timeout > 57000) p->watchdog_timeout = 57000;   /* 57 secs */
 
   if (p->pointer_hysteresis < 0)   p->pointer_hysteresis = 0;
   if (p->pointer_hysteresis > 100) p->pointer_hysteresis = 100;

=== modified file 'driver/remote.c'
--- driver/remote.c	2005-04-09 00:06:43 +0000
+++ driver/remote.c	2005-12-08 16:00:22 +0000
@@ -1,5 +1,4 @@
-/* xscreensaver-command, Copyright (c) 1991-1998
- *  by Jamie Zawinski <jwz@jwz.org>
+/* xscreensaver-command, Copyright (c) 1991-2005 Jamie Zawinski <jwz@jwz.org>
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
  * documentation for any purpose is hereby granted without fee, provided that
@@ -201,7 +200,6 @@
           else
             fprintf (stderr, "%s: %s\n", progname, err);
 
-          if (v) free (v);
           status = -1;
           goto DONE;
 	}

=== modified file 'driver/setuid.c'
--- driver/setuid.c	2005-04-09 00:06:43 +0000
+++ driver/setuid.c	2006-06-30 16:27:21 +0000
@@ -74,6 +74,44 @@
 }
 
 
+/* Returns true if we need to call setgroups().
+
+   Without calling setgroups(), the process will retain any supplementary
+   gids associated with the uid, e.g.:
+
+       % groups root
+       root : root bin daemon sys adm disk wheel
+
+   However, setgroups() can only be called by root, and returns EPERM
+   for other users even if the call would be a no-op (e.g., setting the
+   group list to the current list.)  So, to avoid that spurious error,
+   before calling setgroups() we first check whether the current list
+   of groups contains only one element, our target group.  If so, we
+   don't need to call setgroups().
+ */
+static int
+setgroups_needed_p (uid_t target_group)
+{
+  gid_t groups[1024];
+  int n, size;
+  size = sizeof(groups) / sizeof(gid_t);
+  n = getgroups (size - 1, groups);
+  if (n < 0)
+    {
+      char buf [1024];
+      sprintf (buf, "%s: getgroups(%ld, ...)", blurb(), (long int)(size - 1));
+      perror (buf);
+      return 1;
+    }
+  else if (n == 0)            /* an empty list means only egid is in effect. */
+    return 0;
+  else if (n == 1 && groups[0] == target_group)   /* one element, the target */
+    return 0;
+  else                        /* more than one, or the wrong one. */
+    return 1;
+}
+
+
 static int
 set_ids_by_number (uid_t uid, gid_t gid, char **message_ret)
 {
@@ -98,7 +136,8 @@
   if (uid == (uid_t) -1) uid = (uid_t) -2;
 
   errno = 0;
-  if (setgroups (1, &gid) < 0)
+  if (setgroups_needed_p (gid) &&
+      setgroups (1, &gid) < 0)
     sgs_errno = errno ? errno : -1;
 
   errno = 0;
@@ -123,6 +162,9 @@
   else
     {
       char buf [1024];
+      gid_t groups[1024];
+      int n, size;
+
       if (sgs_errno)
 	{
 	  sprintf (buf, "%s: couldn't setgroups to %.100s (%ld)",
@@ -136,7 +178,26 @@
               errno = sgs_errno;
               perror(buf);
             }
-	}
+
+	  fprintf (stderr, "%s: effective group list: ", blurb());
+	  size = sizeof(groups) / sizeof(gid_t);
+          n = getgroups (size - 1, groups);
+          if (n < 0)
+            fprintf (stderr, "unknown!\n");
+          else
+            {
+              int i;
+              fprintf (stderr, "[");
+              for (i = 0; i < n; i++)
+                {
+                  g = getgrgid (groups[i]);
+                  if (i > 0) fprintf (stderr, ", ");
+                  if (g && g->gr_name) fprintf (stderr, "%s", g->gr_name);
+                  else fprintf (stderr, "%ld", (long) groups[i]);
+                }
+              fprintf (stderr, "]\n");
+            }
+        }
 
       if (gid_errno)
 	{

=== modified file 'driver/subprocs.c'
--- driver/subprocs.c	2005-04-09 00:06:43 +0000
+++ driver/subprocs.c	2006-06-30 16:27:21 +0000
@@ -71,6 +71,59 @@
 extern saver_info *global_si_kludge;	/* I hate C so much... */
 
 
+/* Used when printing error/debugging messages from signal handlers.
+ */
+static const char *
+no_malloc_number_to_string (long num)
+{
+  static char string[128] = "";
+  int num_digits;
+  Bool negative_p = False;
+
+  num_digits = 0;
+
+  if (num == 0)
+    return "0";
+
+  if (num < 0)
+    {
+      negative_p = True;
+      num = -num;
+    }
+
+  while ((num > 0) && (num_digits < sizeof(string - 1)))
+    {
+      int digit;
+      digit = (int) num % 10;
+      num_digits++;
+      string[sizeof(string) - 1 - num_digits] = digit + '0';
+      num /= 10;
+    }
+
+  if (negative_p)
+    {
+      num_digits++;
+      string[sizeof(string) - 1 - num_digits] = '-';
+    }
+
+  return string + sizeof(string) - 1 - num_digits;
+}
+
+/* Like write(), but runs strlen() on the arg to get the length. */
+static int
+write_string (int fd, const char *str)
+{
+  return write (fd, str, strlen (str));
+}
+
+static int
+write_long (int fd, long n)
+{
+  const char *str = no_malloc_number_to_string (n);
+  return write_string (fd, str);
+}
+
+
 /* RLIMIT_AS (called RLIMIT_VMEM on some systems) controls the maximum size
    of a process's address space, i.e., the maximal brk(2) and mmap(2) values.
    Setting this lets you put a cap on how much memory a process can allocate.
@@ -412,8 +465,19 @@
   saver_info *si = global_si_kludge;	/* I hate C so much... */
 
   if (si->prefs.debug_p)
-    fprintf(stderr, "%s: got SIGCHLD%s\n", blurb(),
+    {
+      /* Don't call fprintf() from signal handlers, as it might malloc.
+      fprintf(stderr, "%s: got SIGCHLD%s\n", blurb(),
 	    (block_sigchld_handler ? " (blocked)" : ""));
+      */
+      write_string (STDERR_FILENO, blurb());
+      write_string (STDERR_FILENO, ": got SIGCHLD");
+
+      if (block_sigchld_handler)
+        write_string (STDERR_FILENO, " (blocked)\n");
+      else
+        write_string (STDERR_FILENO, "\n");
+    }
 
   if (block_sigchld_handler < 0)
     abort();
@@ -430,6 +494,7 @@
 
 
 #ifndef VMS
+
 static void
 await_dying_children (saver_info *si)
 {
@@ -444,11 +509,29 @@
       if (si->prefs.debug_p)
 	{
 	  if (kid < 0 && errno)
-	    fprintf (stderr, "%s: waitpid(-1) ==> %ld (%d)\n", blurb(),
-		     (long) kid, errno);
-	  else
-	    fprintf (stderr, "%s: waitpid(-1) ==> %ld\n", blurb(),
-		     (long) kid);
+            {
+              /* Don't call fprintf() from signal handlers, as it might malloc.
+	      fprintf (stderr, "%s: waitpid(-1) ==> %ld (%d)\n", blurb(),
+		       (long) kid, errno);
+               */
+              write_string (STDERR_FILENO, blurb());
+              write_string (STDERR_FILENO, ": waitpid(-1) ==> ");
+              write_long   (STDERR_FILENO, (long) kid);
+              write_string (STDERR_FILENO, " (");
+              write_long   (STDERR_FILENO, (long) errno);
+              write_string (STDERR_FILENO, ")\n");
+            }
+          else
+            {
+              /* Don't call fprintf() from signal handlers, as it might malloc.
+              fprintf (stderr, "%s: waitpid(-1) ==> %ld\n", blurb(),
+                       (long) kid);
+               */
+              write_string (STDERR_FILENO, blurb());
+              write_string (STDERR_FILENO, ": waitpid(-1) ==> ");
+              write_long   (STDERR_FILENO, (long) kid);
+              write_string (STDERR_FILENO, "\n");
+            }
 	}
 
       /* 0 means no more children to reap.
@@ -488,12 +571,38 @@
       if (!job ||
 	  (exit_status != 0 &&
 	   (p->verbose_p || job->status != job_killed)))
-	fprintf (stderr,
-		 "%s: %d: child pid %lu (%s) exited abnormally (code %d).\n",
-		 blurb(), screen_no, (unsigned long) kid, name, exit_status);
+        {
+          /* Don't call fprintf() from signal handlers, as it might malloc.
+	  fprintf (stderr,
+		   "%s: %d: child pid %lu (%s) exited abnormally (code %d).\n",
+		   blurb(), screen_no, (unsigned long) kid, name, exit_status);
+           */
+          write_string (STDERR_FILENO, blurb());
+          write_string (STDERR_FILENO, ": ");
+          write_long   (STDERR_FILENO, (long) screen_no);
+          write_string (STDERR_FILENO, ": child pid ");
+          write_long   (STDERR_FILENO, (long) kid);
+          write_string (STDERR_FILENO, " (");
+          write_string (STDERR_FILENO, name);
+          write_string (STDERR_FILENO, ") exited abnormally (code ");
+          write_long   (STDERR_FILENO, (long) exit_status);
+          write_string (STDERR_FILENO, ").\n"); 
+        }
       else if (p->verbose_p)
-	fprintf (stderr, "%s: %d: child pid %lu (%s) exited normally.\n",
-		 blurb(), screen_no, (unsigned long) kid, name);
+        {
+          /* Don't call fprintf() from signal handlers, as it might malloc.
+	  fprintf (stderr, "%s: %d: child pid %lu (%s) exited normally.\n",
+		   blurb(), screen_no, (unsigned long) kid, name);
+           */
+          write_string (STDERR_FILENO, blurb());
+          write_string (STDERR_FILENO, ": ");
+          write_long   (STDERR_FILENO, (long) screen_no);
+          write_string (STDERR_FILENO, ": child pid ");
+          write_long   (STDERR_FILENO, (long) kid);
+          write_string (STDERR_FILENO, " (");
+          write_string (STDERR_FILENO, name);
+          write_string (STDERR_FILENO, ") exited normally.\n");
+        }
 
       if (job)
 	job->status = job_dead;
@@ -504,9 +613,23 @@
 	  !job ||
 	  job->status != job_killed ||
 	  WTERMSIG (wait_status) != SIGTERM)
-	fprintf (stderr, "%s: %d: child pid %lu (%s) terminated with %s.\n",
-		 blurb(), screen_no, (unsigned long) kid, name,
-		 signal_name (WTERMSIG(wait_status)));
+        {
+          /* Don't call fprintf() from signal handlers, as it might malloc.
+	  fprintf (stderr, "%s: %d: child pid %lu (%s) terminated with %s.\n",
+		   blurb(), screen_no, (unsigned long) kid, name,
+		   signal_name (WTERMSIG(wait_status)));
+           */
+          write_string (STDERR_FILENO, blurb());
+          write_string (STDERR_FILENO, ": ");
+          write_long   (STDERR_FILENO, (long) screen_no);
+          write_string (STDERR_FILENO, ": child pid ");
+          write_long   (STDERR_FILENO, (long) kid);
+          write_string (STDERR_FILENO, " (");
+          write_string (STDERR_FILENO, name);
+          write_string (STDERR_FILENO, ") terminated with signal ");
+          write_long   (STDERR_FILENO, WTERMSIG(wait_status));
+          write_string (STDERR_FILENO, ".\n");
+        }
 
       if (job)
 	job->status = job_dead;
@@ -514,17 +637,41 @@
   else if (WIFSTOPPED (wait_status))
     {
       if (p->verbose_p)
-	fprintf (stderr, "%s: child pid %lu (%s) stopped with %s.\n",
-		 blurb(), (unsigned long) kid, name,
-		 signal_name (WSTOPSIG (wait_status)));
+        {
+          /* Don't call fprintf() from signal handlers, as it might malloc.
+	  fprintf (stderr, "%s: child pid %lu (%s) stopped with %s.\n",
+		   blurb(), (unsigned long) kid, name,
+		   signal_name (WSTOPSIG (wait_status)));
+           */
+          write_string (STDERR_FILENO, blurb());
+          write_string (STDERR_FILENO, ": ");
+          write_long   (STDERR_FILENO, (long) screen_no);
+          write_string (STDERR_FILENO, ": child pid ");
+          write_long   (STDERR_FILENO, (long) kid);
+          write_string (STDERR_FILENO, " (");
+          write_string (STDERR_FILENO, name);
+          write_string (STDERR_FILENO, ") stopped with signal ");
+          write_long   (STDERR_FILENO, WSTOPSIG(wait_status));
+          write_string (STDERR_FILENO, ".\n");
+        }
 
       if (job)
 	job->status = job_stopped;
     }
   else
     {
+      /* Don't call fprintf() from signal handlers, as it might malloc.
       fprintf (stderr, "%s: child pid %lu (%s) died in a mysterious way!",
 	       blurb(), (unsigned long) kid, name);
+       */
+      write_string (STDERR_FILENO, blurb());
+      write_string (STDERR_FILENO, ": ");
+      write_long   (STDERR_FILENO, (long) screen_no);
+      write_string (STDERR_FILENO, ": child pid ");
+      write_long   (STDERR_FILENO, (long) kid);
+      write_string (STDERR_FILENO, " (");
+      write_string (STDERR_FILENO, name);
+      write_string (STDERR_FILENO, ") died in a mysterious way!");
       if (job)
 	job->status = job_dead;
     }
@@ -637,7 +784,8 @@
       fprintf (stderr, "\n");
       *path = 0;
 # if defined(HAVE_GETCWD)
-      getcwd (path, sizeof(path));
+      if (! getcwd (path, sizeof(path)))
+        *path = 0;
 # elif defined(HAVE_GETWD)
       getwd (path);
 # endif
@@ -775,7 +923,7 @@
 	  /* Use the same hack that's running on screen 0.
              (Assumes this function was called on screen 0 first.)
            */
-          ssi->current_hack = si->screens[0].current_hack;
+          new_hack = si->screens[0].current_hack;
 	}
       else  /* (p->mode == RANDOM_HACKS) */
 	{
@@ -806,6 +954,7 @@
         
       if (!force &&
 	  (!hack->enabled_p ||
+	   !on_path_p (hack->command) ||
 	   !select_visual_of_hack (ssi, hack)))
 	{
 	  if (++retry_count > (p->screenhacks_count*4))
@@ -1090,7 +1239,8 @@
         close (out);  /* don't need this one */
 
         *buf = 0;
-        fgets (buf, sizeof(buf)-1, f);
+        if (! fgets (buf, sizeof(buf)-1, f))
+          *buf = 0;
         fclose (f);
 
         /* Wait for the child to die. */

=== modified file 'driver/test-uid.c'
--- driver/test-uid.c	2002-04-07 12:17:37 +0000
+++ driver/test-uid.c	2006-06-30 16:27:21 +0000
@@ -1,5 +1,5 @@
 /* test-uid.c --- playing with setuid.
- * xscreensaver, Copyright (c) 1998 Jamie Zawinski <jwz@jwz.org>
+ * xscreensaver, Copyright (c) 1998, 2005 Jamie Zawinski <jwz@jwz.org>
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
  * documentation for any purpose is hereby granted without fee, provided that
@@ -36,6 +36,8 @@
   int egid = getegid();
   struct passwd *p = 0;
   struct group *g = 0;
+  gid_t groups[1024];
+  int n, size;
 
   p = getpwuid (uid);
   g = getgrgid (gid);
@@ -48,6 +50,24 @@
   fprintf(stderr, "eff. user/group: %ld/%ld (%s/%s)\n", (long)euid, (long)egid,
 	  (p && p->pw_name ? p->pw_name : "???"),
 	  (g && g->gr_name ? g->gr_name : "???"));
+
+  size = sizeof(groups) / sizeof(gid_t)
+  n = getgroups(size - 1, groups);
+  if (n < 0)
+    perror("getgroups failed");
+  else
+    {
+      int i;
+      fprintf (stderr, "eff. group list: [");
+      for (i = 0; i < n; i++)
+        {
+          g = getgrgid (groups[i]);
+          fprintf(stderr, "%s%s=%ld", (i == 0 ? "" : ", "),
+                  (g->gr_name ? g->gr_name : "???"),
+                  (long) groups[i]);
+        }
+      fprintf (stderr, "]\n");
+    }
 }
 
 int
@@ -114,6 +134,15 @@
 		}
 	    }
 
+	  fprintf(stderr, "setgroups(1, [%ld]) \"%s\"", gid, group);
+          {
+            gid_t g2 = gid;
+            if (setgroups(1, &g2) == 0)
+              fprintf(stderr, " succeeded.\n");
+            else
+              perror(" failed");
+          }
+
 	  fprintf(stderr, "setgid(%ld) \"%s\"", gid, group);
 	  if (setgid(gid) == 0)
 	    fprintf(stderr, " succeeded.\n");

=== modified file 'driver/timers.c'
--- driver/timers.c	2005-04-09 00:06:43 +0000
+++ driver/timers.c	2006-06-30 16:27:21 +0000
@@ -331,6 +331,23 @@
   if (si->cycle_id) abort ();	/* no cycle timer when inactive */
 
   si->last_activity_time = time ((time_t *) 0);
+
+  /* This will (hopefully, supposedly) tell the server to re-set its
+     DPMS timer.  Without this, the -deactivate clientmessage would
+     prevent xscreensaver from blanking, but would not prevent the
+     monitor from powering down. */
+#if 0
+  /* #### With some servers, this causes the screen to flicker every
+     time a key is pressed!  Ok, I surrender.  I give up on ever
+     having DPMS work properly.
+   */
+  XForceScreenSaver (si->dpy, ScreenSaverReset);
+
+  /* And if the monitor is already powered off, turn it on.
+     You'd think the above would do that, but apparently not? */
+  monitor_power_on (si);
+#endif
+
 }
 
 
@@ -386,11 +403,17 @@
       distance > 0)
     moved_p = True;
 
-  if (ssi->poll_mouse_last_root_x == -1 ||
-      ssi->poll_mouse_last_root_y == -1 ||
-      root_x == -1 ||
-      root_y == -1)
-    moved_p = True;
+  /* If the mouse is not on this screen but used to be, that's motion.
+     If the mouse was not on this screen, but is now, that's motion.
+   */
+  {
+    Bool on_screen_p  = (root_x != -1 && root_y != -1);
+    Bool was_on_screen_p = (ssi->poll_mouse_last_root_x != -1 &&
+                            ssi->poll_mouse_last_root_y != -1);
+
+    if (on_screen_p != was_on_screen_p)
+      moved_p = True;
+  }
 
   if (p->debug_p && (distance != 0 || moved_p))
     {
@@ -404,7 +427,7 @@
                  ssi->poll_mouse_last_root_y);
       fprintf (stderr, " -> ");
       if (root_x == -1)
-        fprintf (stderr, "off screen.");
+        fprintf (stderr, "off screen");
       else
         fprintf (stderr, "%d,%d", root_x, root_y);
       if (ssi->poll_mouse_last_root_x != -1 && root_x != -1)

=== modified file 'driver/windows.c'
--- driver/windows.c	2005-04-09 00:06:43 +0000
+++ driver/windows.c	2005-12-08 16:00:22 +0000
@@ -30,7 +30,7 @@
 #endif /* HAVE_UNAME */
 
 #include <stdio.h>
-#include <X11/Xproto.h>		/* for CARD32 */
+/* #include <X11/Xproto.h>	/ * for CARD32 */
 #include <X11/Xlib.h>
 #include <X11/Xutil.h>		/* for XSetClassHint() */
 #include <X11/Xatom.h>
@@ -39,6 +39,13 @@
 #include <time.h>
 #include <sys/time.h>
 
+/* You might think that to store an array of 32-bit quantities onto a
+   server-side property, you would pass an array of 32-bit data quantities
+   into XChangeProperty().  You would be wrong.  You have to use an array
+   of longs, even if long is 64 bits (using 32 of each 64.)
+ */
+typedef long PROP32;
+
 #ifdef HAVE_MIT_SAVER_EXTENSION
 # include <X11/extensions/scrnsaver.h>
 #endif /* HAVE_MIT_SAVER_EXTENSION */
@@ -966,16 +973,16 @@
 void
 store_saver_status (saver_info *si)
 {
-  CARD32 *status;
+  PROP32 *status;
   int size = si->nscreens + 2;
   int i;
 
-  status = (CARD32 *) calloc (size, sizeof(CARD32));
+  status = (PROP32 *) calloc (size, sizeof(PROP32));
 
-  status[0] = (CARD32) (si->screen_blanked_p
+  status[0] = (PROP32) (si->screen_blanked_p
                         ? (si->locked_p ? XA_LOCK : XA_BLANK)
                         : 0);
-  status[1] = (CARD32) si->blank_time;
+  status[1] = (PROP32) si->blank_time;
 
   for (i = 0; i < si->nscreens; i++)
     {
@@ -1978,7 +1985,7 @@
 
   /* If the focus window does has a non-default colormap, then install
      that colormap as well.  (On SGIs, this will cause both the root map
-     and the focus map to be installed simultaniously.  It'd be nice to
+     and the focus map to be installed simultaneously.  It'd be nice to
      pick up the other colormaps that had been installed, too; perhaps
      XListInstalledColormaps could be used for that?)
    */

=== modified file 'driver/xscreensaver-command.c'
--- driver/xscreensaver-command.c	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-command.c	2005-12-08 16:00:22 +0000
@@ -23,7 +23,7 @@
 # include <unistd.h>
 #endif
 
-#include <X11/Xproto.h>		/* for CARD32 */
+/* #include <X11/Xproto.h>	/ * for CARD32 */
 #include <X11/Xlib.h>
 #include <X11/Xatom.h>
 #include <X11/Xutil.h>		/* for XGetClassHint() */
@@ -31,6 +31,14 @@
 
 #include <X11/Intrinsic.h>	/* only needed to get through xscreensaver.h */
 
+
+/* You might think that to read an array of 32-bit quantities out of a
+   server-side property, you would pass an array of 32-bit data quantities
+   into XGetWindowProperty().  You would be wrong.  You have to use an array
+   of longs, even if long is 64 bits (using 32 of each 64.)
+ */
+typedef long PROP32;
+
 #include "remote.h"
 #include "version.h"
 
@@ -95,9 +103,8 @@
                 with a particular graphics demo.  (The first element in the\n\
                 list is numbered 1, not 0.)\n\
 \n\
-  -exit         Causes the xscreensaver process to exit gracefully.  This is\n\
-                roughly the same as killing the process with `kill', but it\n\
-                is easier, since you don't need to first figure out the pid.\n\
+  -exit         Causes the xscreensaver process to exit gracefully.\n\
+                This does nothing if the display is currently locked.\n\
                 (Note that one must *never* kill xscreensaver with -9!)\n\
 \n\
   -restart      Causes the screensaver process to exit and then restart with\n\
@@ -326,7 +333,7 @@
   Window window = RootWindow (dpy, 0);
   XWindowAttributes xgwa;
   XEvent event;
-  CARD32 *last = 0;
+  PROP32 *last = 0;
 
   if (v) free (v);
   XGetWindowAttributes (dpy, window, &xgwa);
@@ -358,7 +365,7 @@
               char *s;
               Bool changed = False;
               Bool running = False;
-              CARD32 *data = (CARD32 *) dataP;
+              PROP32 *data = (PROP32 *) dataP;
 
               if (type != XA_INTEGER || nitems < 3)
                 {

=== modified file 'driver/xscreensaver-command.man'
--- driver/xscreensaver-command.man	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-command.man	2005-12-08 16:00:22 +0000
@@ -117,10 +117,8 @@
 element in the list is numbered 1, not 0.)
 .TP 8
 .B \-exit
-Causes the xscreensaver process to exit gracefully.  This is roughly the same
-as killing the process with
-.BR kill (1),
-but it is easier, since you don't need to first figure out the pid.  
+Causes the xscreensaver process to exit gracefully.  
+This does nothing if the display is currently locked.
 
 .B Warning:
 never use \fIkill -9\fP with \fIxscreensaver\fP while the screensaver is
@@ -210,7 +208,7 @@
     }
 }
 .EE
-Note that LOCK might come either with or without a preceeding BLANK
+Note that LOCK might come either with or without a preceding BLANK
 (depending on whether the lock-timeout is non-zero), so the above program
 keeps track of both of them.
 .SH STOPPING GRAPHICS

=== modified file 'driver/xscreensaver-demo.glade2'
--- driver/xscreensaver-demo.glade2	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-demo.glade2	2005-12-08 16:00:22 +0000
@@ -287,7 +287,7 @@
 			  <property name="update_policy">GTK_UPDATE_ALWAYS</property>
 			  <property name="snap_to_ticks">True</property>
 			  <property name="wrap">False</property>
-			  <property name="adjustment">1 1 720 1 15 15</property>
+			  <property name="adjustment">0 0 720 1 15 15</property>
 			  <signal name="activate" handler="pref_changed_cb"/>
 			  <signal name="focus_out_event" handler="pref_changed_event_cb"/>
 			  <signal name="value_changed" handler="pref_changed_cb"/>
@@ -814,6 +814,48 @@
 			      <property name="type">tab</property>
 			    </packing>
 			  </child>
+
+			  <child>
+			    <widget class="GtkLabel" id="nothing_label">
+			      <property name="visible">True</property>
+			      <property name="label" translatable="yes">Very few (or no) screen savers appear to be available.
+
+This probably means that the &quot;xscreensaver-extras&quot; and
+&quot;xscreensaver-gl-extras&quot; packages are not installed.</property>
+			      <property name="use_underline">False</property>
+			      <property name="use_markup">False</property>
+			      <property name="justify">GTK_JUSTIFY_CENTER</property>
+			      <property name="wrap">False</property>
+			      <property name="selectable">False</property>
+			      <property name="xalign">0.5</property>
+			      <property name="yalign">0.5</property>
+			      <property name="xpad">0</property>
+			      <property name="ypad">0</property>
+			    </widget>
+			    <packing>
+			      <property name="tab_expand">False</property>
+			      <property name="tab_fill">True</property>
+			    </packing>
+			  </child>
+
+			  <child>
+			    <widget class="GtkLabel" id="nothing_tab">
+			      <property name="visible">True</property>
+			      <property name="label" translatable="yes">nothing</property>
+			      <property name="use_underline">False</property>
+			      <property name="use_markup">False</property>
+			      <property name="justify">GTK_JUSTIFY_LEFT</property>
+			      <property name="wrap">False</property>
+			      <property name="selectable">False</property>
+			      <property name="xalign">0.5</property>
+			      <property name="yalign">0.5</property>
+			      <property name="xpad">0</property>
+			      <property name="ypad">0</property>
+			    </widget>
+			    <packing>
+			      <property name="type">tab</property>
+			    </packing>
+			  </child>
 			</widget>
 		      </child>
 

=== modified file 'driver/xscreensaver-demo.man'
--- driver/xscreensaver-demo.man	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-demo.man	2005-12-08 16:00:22 +0000
@@ -133,7 +133,7 @@
 will blank the screen.
 .TP 4
 .B Cycle After
-jAfter the screensaver has been running for this long, the currently
+After the screensaver has been running for this long, the currently
 running graphics demo will be killed, and a new one started.  
 If this is 0, then the graphics demo will never be changed:
 only one demo will run until the screensaver is deactivated by user 

=== modified file 'driver/xscreensaver-getimage-desktop'
--- driver/xscreensaver-getimage-desktop	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-getimage-desktop	2005-12-08 16:00:22 +0000
@@ -1,5 +1,5 @@
 #!/usr/bin/perl -w
-# Copyright  2003 Jamie Zawinski <jwz@jwz.org>.
+# Copyright  2003, 2005 Jamie Zawinski <jwz@jwz.org>.
 #
 # Permission to use, copy, modify, distribute, and sell this software and its
 # documentation for any purpose is hereby granted without fee, provided that
@@ -34,7 +34,7 @@
 use strict;
 
 my $progname = $0; $progname =~ s@.*/@@g;
-my $version = q{ $Revision: 1.2 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
+my $version = q{ $Revision: 1.3 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
 
 my @grabber   = ("screencapture", "-x");
 my @converter = ("pdf2jpeg");
@@ -101,22 +101,45 @@
     }
   }
 
-  # Convert the PDF to a JPEG
+  # On MacOS 10.3, "screencapture -x" always wrote a PDF.
+  # On 10.4.2, it writes a PNG by default, and the output format can be
+  # changed with the new "-t" argument.
+  #
+  # So, for maximal compatibility, we run it without "-t", but look at
+  # the first few bytes to see if it's a PDF, and if it is, convert it
+  # to a JPEG first.  Otherwise, we assume that whatever screencapture
+  # wrote is a file format that xscreensaver-getimage-file can already
+  # cope with (though it will have the extension ".pdf", regardless of
+  # what is actually in the file).
+  #
+  my $pdf_p = 0;
   {
-    my $jpgfile = $tmpfile;
-    $jpgfile =~ s/\.[^.]+$//;
-    $jpgfile .= ".jpg";
-
-    @cmd = (@converter, $tmpfile, $jpgfile);
-    push @cmd, "--verbose" if ($verbose);
-
-    print STDERR "$progname: executing \"" . join(' ', @cmd) . "\"\n"
-      if ($verbose);
-    system (@cmd);
-    unlink $tmpfile;
-    $tmpfile = $jpgfile;
+    local *IN;
+    open (IN, "<$tmpfile") || error ("$tmpfile: $!");
+    my $buf = '';
+    read (IN, $buf, 10);
+    close IN;
+    $pdf_p = ($buf =~ m/^%PDF-/s);
   }
 
+  # If it's a PDF, convert it to a JPEG.
+  #
+  if ($pdf_p)
+    {
+      my $jpgfile = $tmpfile;
+      $jpgfile =~ s/\.[^.]+$//;
+      $jpgfile .= ".jpg";
+
+      @cmd = (@converter, $tmpfile, $jpgfile);
+      push @cmd, "--verbose" if ($verbose);
+
+      print STDERR "$progname: executing \"" . join(' ', @cmd) . "\"\n"
+        if ($verbose);
+      system (@cmd);
+      unlink $tmpfile;
+      $tmpfile = $jpgfile;
+    }
+
   @st = stat($tmpfile);
   $size = (@st ? $st[7] : 0);
   if ($size <= 2048) {

=== modified file 'driver/xscreensaver-getimage-video'
--- driver/xscreensaver-getimage-video	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-getimage-video	2006-07-29 23:00:43 +0000
@@ -29,11 +29,13 @@
 use strict;
 
 my $progname = $0; $progname =~ s@.*/@@g;
-my $version = q{ $Revision: 1.14 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
+my $version = q{ $Revision: 1.16 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
 
 my $verbose = 0;
 
 my $tmpdir  = $ENV{TMPDIR} || "/tmp";
+my $tmpfile1 = sprintf ("%s/xssgv01.ppm", $tmpdir, rand(0xFFFFFFFF));
+my $tmpfile3 = sprintf ("%s/xssgv03.ppm", $tmpdir, rand(0xFFFFFFFF));
 my $tmpfile = sprintf ("%s/xssgv.%08x.ppm", $tmpdir, rand(0xFFFFFFFF));
 
 
@@ -45,11 +47,14 @@
 # If you add other programs to this list, please let me know!
 #
 my @programs = (
+  "streamer -a -t3 -r1 -o $tmpfile1; mv $tmpfile3 $tmpfile",		# XawTV after 2 sec
 
   "bttvgrab -d q -Q -l 1 -o ppm -f $tmpfile",	# BTTV
   "qcam > $tmpfile",				# Connectix Qcam
   "gqcam -t PPM -d $tmpfile",			# GTK+ Qcam clone
 
+  "v4lctl snap ppm full $tmpfile",		# XawTV 3.94.
+
   "streamer -a -s 768x576 -o $tmpfile",		# XawTV
   #   the "-a" option ("mute audio") arrived with XawTV 3.76.
 

=== modified file 'driver/xscreensaver-getimage.c'
--- driver/xscreensaver-getimage.c	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-getimage.c	2005-12-08 16:00:22 +0000
@@ -136,6 +136,7 @@
   return 0;
 }
 
+#ifndef USE_EXTERNAL_SCREEN_GRABBER
 static int
 ignore_badmatch_ehandler (Display *dpy, XErrorEvent *error)
 {
@@ -144,6 +145,7 @@
   else
     return x_ehandler (dpy, error);
 }
+#endif /* ! USE_EXTERNAL_SCREEN_GRABBER */
 
 
 /* Returns True if the given Drawable is a Window; False if it's a Pixmap.
@@ -295,6 +297,7 @@
    If out of memory, returns False, and the XImage will have been
    destroyed and freed.
  */
+#ifndef USE_EXTERNAL_SCREEN_GRABBER
 static Bool
 scale_ximage (Screen *screen, Visual *visual,
               XImage *ximage, int new_width, int new_height)
@@ -342,6 +345,7 @@
 
   return True;
 }
+#endif /* ! USE_EXTERNAL_SCREEN_GRABBER */
 
 
 #ifdef HAVE_GDK_PIXBUF
@@ -1197,7 +1201,8 @@
 
         close (out);  /* don't need this one */
         *buf = 0;
-        fgets (buf, sizeof(buf)-1, f);
+        if (! fgets (buf, sizeof(buf)-1, f))
+          *buf = 0;
         fclose (f);
 
         /* Wait for the child to die. */

=== modified file 'driver/xscreensaver-text'
--- driver/xscreensaver-text	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-text	2006-07-29 23:00:43 +0000
@@ -24,7 +24,7 @@
 use bytes;
 
 my $progname = $0; $progname =~ s@.*/@@g;
-my $version = q{ $Revision: 1.3 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
+my $version = q{ $Revision: 1.7 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
 
 my $verbose = 0;
 my $http_proxy = undef;
@@ -108,7 +108,7 @@
 
 # Convert any HTML entities to Latin1 characters.
 #
-sub de_entify {
+sub de_entify($) {
   my ($text) = @_;
   $text =~ s/(&(\#)?([[:alpha:]\d]+);?)/
     {
@@ -130,7 +130,7 @@
 # Convert any Unicode characters to Latin1 if possible.
 # Unconvertable bytes are left alone.
 #
-sub de_unicoddle {
+sub de_unicoddle($) {
   my ($text) = @_;
   foreach my $key (keys (%unicode_latin1_table)) {
     my $val = $unicode_latin1_table{$key};
@@ -142,7 +142,7 @@
 
 # Reads the prefs we use from ~/.xscreensaver
 #
-sub get_prefs {
+sub get_prefs() {
 
   my $got_any_p = 0;
   local *IN;
@@ -181,7 +181,7 @@
 }
 
 
-sub get_prefs_1 {
+sub get_prefs_1($) {
   my ($body) = @_;
 
   my $got_any_p = 0;
@@ -210,7 +210,7 @@
 
 # like system() but checks errors.
 #
-sub safe_system {
+sub safe_system(@) {
   my (@cmd) = @_;
 
   print STDERR "$progname: executing " . join(' ', @cmd) . "\n"
@@ -226,7 +226,7 @@
 }
 
 
-sub which {
+sub which($) {
   my ($cmd) = @_;
 
   if ($cmd =~ m@^\./|^/@) {
@@ -243,7 +243,7 @@
 }
 
 
-sub output {
+sub output() {
 
   # Do some basic sanity checking (null text, null file names, etc.)
   #
@@ -282,7 +282,8 @@
 
   } elsif ($text_mode eq 'program') {
 
-    $text_program = which ($text_program);
+    my ($prog, $args) = ($text_program =~ m/^([^\s]+)(.*)$/);
+    $text_program = which ($prog) . $args;
     print STDERR "$progname: running $text_program\n" if ($verbose);
 
     if ($wrap_columns && $wrap_columns > 0) {
@@ -307,7 +308,7 @@
     safe_system ("date", "+%c");
     print "\n";
     my $ut = `uptime`;
-    $ut =~ s/^[ \d:]*//;
+    $ut =~ s/^[ \d:]*(am|pm)?//i;
     $ut =~ s/,\s*(load)/\n$1/;
     print "$ut\n";
   }
@@ -317,7 +318,7 @@
 
 # Loads the given URL, returns: $http, $head, $body.
 #
-sub get_url_1 {
+sub get_url_1($;$) {
   my ($url, $referer) = @_;
   
   if (! ($url =~ m@^http://@i)) {
@@ -418,7 +419,7 @@
 
 # Loads the given URL, processes redirects, returns (content-type, body).
 #
-sub get_url {
+sub get_url($;$) {
   my ($url, $referer) = @_;
 
   print STDERR "$progname: loading $url\n" if ($verbose > 2);
@@ -483,7 +484,7 @@
 # We don't necessarily take the Content-Type header at face value.
 # Returns 'html', 'rss', or 'text';
 #
-sub guess_content_type {
+sub guess_content_type($$) {
   my ($ct, $body) = @_;
 
   $body =~ s/^(.{512}).*/$1/s;  # only look in first half K of file
@@ -506,7 +507,7 @@
   return 'text';
 }
 
-sub reformat_html {
+sub reformat_html($$) {
   my ($body, $rss_p) = @_;
   $_ = $body;
 
@@ -548,11 +549,15 @@
 }
 
 
-sub reformat_rss {
+sub reformat_rss($) {
   my ($body) = @_;
 
   $body =~ s/(<(ITEM|ENTRY)\b)/\001\001$1/gsi;
   my @items = split (/\001\001/, $body);
+
+  print STDERR "$progname: converting RSS ($#items items)...\n"
+    if ($verbose > 2);
+
   shift @items;
 
   # Let's skip forward in the stream by a random amount, so that if
@@ -560,32 +565,48 @@
   # multi-headed machine), they get different text.  (Put the items
   # that we take off the front back on the back.)
   #
-  if ($#items > 10) {
+  if ($#items > 7) {
     my $n = int (rand ($#items - 5));
+    print STDERR "$progname: rotating by $n items...\n" if ($verbose > 2);
     while ($n-- > 0) {
       push @items, (shift @items);
     }
   }
 
-  my $i = 0;
+  my $i = -1;
   foreach (@items) {
+    $i++;
 
-    my ($title, $body1, $body2);
+    my ($title, $body1, $body2, $body3);
     
-    $title = $2 if (m@<(TITLE            [^<>\s]*)[^<>]*>\s*(.*?)\s*</\1>@xsi);
-    $body1 = $3 if (m@<((DESCRIPTION)    [^<>\s]*)[^<>]*>\s*(.*?)\s*</\1>@xsi);
-    $body2 = $3 if (m@<((CONTENT)        [^<>\s]*)[^<>]*>\s*(.*?)\s*</\1>@xsi);
+    $title = $3 if (m@<((TITLE)       [^<>\s]*)[^<>]*>\s*(.*?)\s*</\1>@xsi);
+    $body1 = $3 if (m@<((DESCRIPTION) [^<>\s]*)[^<>]*>\s*(.*?)\s*</\1>@xsi);
+    $body2 = $3 if (m@<((CONTENT)     [^<>\s]*)[^<>]*>\s*(.*?)\s*</\1>@xsi);
+    $body3 = $3 if (m@<((SUMMARY)     [^<>\s]*)[^<>]*>\s*(.*?)\s*</\1>@xsi);
 
     # If there are both <description> and <content> or <content:encoded>,
     # use whichever one contains more text.
     #
-    if ($body1 && $body2 && length($body2) >= length($body1)) {
+    if ($body3 && length($body3) >= length($body2 || '')) {
+      $body2 = $body3;
+    }
+    if ($body2 && length($body2) >= length($body1 || '')) {
       $body1 = $body2;
     }
 
-    next unless defined ($body1);
-    $title = rss_field_to_html ($title);
-    $body1 = rss_field_to_html ($body1);
+    if (! $body1) {
+      if ($title) {
+        print STDERR "$progname: no body in item $i (\"$title\")\n"
+          if ($verbose > 2);
+      } else {
+        print STDERR "$progname: no body or title in item $i\n"
+          if ($verbose > 2);
+        next;
+      }
+    }
+
+    $title = rss_field_to_html ($title || '');
+    $body1 = rss_field_to_html ($body1 || '');
 
     reformat_html ("$title<P>$body1", 1);
     print "\n";
@@ -593,7 +614,7 @@
 }
 
 
-sub rss_field_to_html {
+sub rss_field_to_html($) {
   my ($body) = @_;
 
   # Assume that if <![CDATA[...]]> is present, everything inside that.
@@ -609,7 +630,7 @@
 }
 
 
-sub reformat_text {
+sub reformat_text($) {
   my ($body) = @_;
 
   # only re-wrap if --cols was specified.  Otherwise, dump it as is.
@@ -625,7 +646,7 @@
 }
 
 
-sub get_url_text {
+sub get_url_text($) {
   my ($url) = @_;
 
   # historical suckage: the environment variable name is lower case.
@@ -648,7 +669,6 @@
     print STDERR "$progname: converting HTML...\n" if ($verbose > 2);
     reformat_html ($body, 0);
   } elsif ($ct eq 'rss')  {
-    print STDERR "$progname: converting RSS...\n" if ($verbose > 2);
     reformat_rss ($body);
   } else {
     print STDERR "$progname: plain text...\n" if ($verbose > 2);
@@ -658,13 +678,13 @@
 
 
 
-sub error {
+sub error($) {
   my ($err) = @_;
   print STDERR "$progname: $err\n";
   exit 1;
 }
 
-sub usage {
+sub usage() {
   print STDERR "usage: $progname [ --options ... ]\n" .
    ("\n" .
     "       Prints out some text for use by various screensavers,\n" .
@@ -695,7 +715,7 @@
   exit 1;
 }
 
-sub main {
+sub main() {
 
   my $load_p = 1;
 
@@ -726,5 +746,5 @@
   output();
 }
 
-main;
+main();
 exit 0;

=== modified file 'driver/xscreensaver-text.man'
--- driver/xscreensaver-text.man	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver-text.man	2006-06-30 16:27:21 +0000
@@ -60,12 +60,12 @@
 .BR xscreensaver-demo (1),
 .BR xscreensaver (1),
 .BR fortune (1),
-.BR phosphor (1),
-.BR apple2 (1),
-.BR starwars (1),
-.BR fontglide (1),
+.BR phosphor (MANSUFFIX),
+.BR apple2 (MANSUFFIX),
+.BR starwars (MANSUFFIX),
+.BR fontglide (MANSUFFIX),
 .BR dadadodo (1),
-.BR webcollage (1),
+.BR webcollage (MANSUFFIX),
 .I http://www.livejournal.com/stats/latest-rss.bml,
 .BR driftnet (1),
 .BR EtherPEG ,

=== modified file 'driver/xscreensaver.c'
--- driver/xscreensaver.c	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver.c	2006-07-29 23:00:43 +0000
@@ -1598,10 +1598,12 @@
 static void
 bogus_clientmessage_warning (saver_info *si, XEvent *event)
 {
+  saver_preferences *p = &si->prefs;
   char *str = XGetAtomName_safe (si->dpy, event->xclient.message_type);
   Window w = event->xclient.window;
   char wdesc[255];
   int screen = 0;
+  Bool root_p = False;
 
   *wdesc = 0;
   for (screen = 0; screen < si->nscreens; screen++)
@@ -1613,9 +1615,19 @@
     else if (w == RootWindow (si->dpy, screen))
       {
         strcpy (wdesc, "root");
+        root_p = True;
         break;
       }
 
+  /* If this ClientMessage was sent to the real root window instead of to the
+     xscreensaver window, then it might be intended for someone else who is
+     listening on the root window (e.g., the window manager).  So only print
+     the warning if: we are in debug mode; or if the bogus message was
+     actually sent to one of the xscreensaver-created windows.
+   */
+  if (root_p && !p->debug_p)
+    return;
+
   if (!*wdesc)
     {
       XErrorHandler old_handler;

=== modified file 'driver/xscreensaver.h'
--- driver/xscreensaver.h	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver.h	2006-06-30 16:27:21 +0000
@@ -427,6 +427,8 @@
 extern const char *signal_name (int signal);
 extern void exec_command (const char *shell, const char *command,
                           int nice_level);
+extern int on_path_p (const char *program);
+
 
 /* =======================================================================
    subprocs diagnostics

=== modified file 'driver/xscreensaver.man'
--- driver/xscreensaver.man	2005-04-09 00:06:43 +0000
+++ driver/xscreensaver.man	2005-12-08 16:00:22 +0000
@@ -377,7 +377,7 @@
 user \fIdisables\fP it, then their setting takes precedence.
 
 If the display has multiple screens, then a different program will be run
-for each screen.  (All screens are blanked and unblanked simultaniously.)
+for each screen.  (All screens are blanked and unblanked simultaneously.)
 
 Note that you must escape the newlines; here is an example of how you
 might set this in your \fI~/.xscreensaver\fP file:
@@ -796,6 +796,14 @@
 Type=Application
 X-KDE-StartupNotify=false
 .EE
+.TP 3
+\fB4: Make the various "lock session" buttons call xscreensaver.\fP
+Replace the file \fI/usr/bin/kdesktop_lock\fP with these two lines:
+.EX
+#!/bin/sh
+xscreensaver-command -lock
+.EE
+Make sure the file is executable (chmod a+x).
 .RE
 .PP
 Now use xscreensaver normally, controlling it via the usual
@@ -1033,7 +1041,7 @@
 window to have its own colormap, short of grabbing the server (which is 
 neither a good idea, nor really possible with the current design.)  What 
 happens is that, as soon as xscreensaver installs its colormap, \fBtwm\fP 
-responds to the resultant \fBColormapNotify\fP event by re-instaling the 
+responds to the resultant \fBColormapNotify\fP event by re-installing the 
 default colormap.  Apparently, \fBtwm\fP doesn't \fIalways\fP do this; it 
 seems to do it regularly if the screensaver is activated from a menu item, 
 but seems to not do it if the screensaver comes on of its own volition, or 
@@ -1114,7 +1122,7 @@
 
 It sure would be nice if someone would implement the \fBSGI SCREEN_SAVER\fP
 extension in XFree86; it's dead simple, and works far better than the
-overengineered and broken \fBMIT-SCREEN-SAVER\fP extension.
+over-engineered and broken \fBMIT-SCREEN-SAVER\fP extension.
 .TP 8
 .B Keyboard LEDs
 If \fIprocInterrupts\fP is on (which is the default on Linux systems) and
@@ -1163,177 +1171,14 @@
 .BR X (1),
 .BR Xsecurity (1),
 .BR xauth (1),
+.BR xdm (1),
+.BR gdm (1),
+.BR xhost (1),
 .BR xscreensaver\-demo (1),
 .BR xscreensaver\-command (1),
 .BR xscreensaver\-gl\-helper (1),
 .BR xscreensaver\-getimage (1),
-.BR xdm (1),
-.BR gdm (1),
-.BR xset (1),
-.BR xhost (1).
-.BR anemone (1),
-.BR ant (1),
-.BR apollonian (1),
-.BR atlantis (1),
-.BR attraction (1),
-.BR barcode (1),
-.BR blaster (1),
-.BR blitspin (1),
-.BR bouboule (1),
-.BR boxed (1),
-.BR braid (1),
-.BR bsod (1),
-.BR bubble3d (1),
-.BR bubbles (1),
-.BR bumps (1),
-.BR cage (1),
-.BR ccurve (1),
-.BR circuit (1),
-.BR compass (1),
-.BR coral (1),
-.BR cosmos (1),
-.BR critical (1),
-.BR crystal (1),
-.BR cubenetic (1),
-.BR cynosure (1),
-.BR dangerball (1),
-.BR decayscreen (1),
-.BR deco (1),
-.BR deluxe (1),
-.BR demon (1),
-.BR discrete (1),
-.BR distort (1),
-.BR drift (1),
-.BR electricsheep (1),
-.BR endgame (1),
-.BR engine (1),
-.BR epicycle (1),
-.BR eruption (1),*
-.BR euler2d (1),
-.BR extrusion (1),
-.BR fadeplot (1),
-.BR flag (1),
-.BR flame (1),
-.BR flipscreen3d (1),
-.BR flow (1),
-.BR fluidballs (1),
-.BR flurry (1),
-.BR forest (1),
-.BR galaxy (1),
-.BR gears (1),
-.BR gflux (1),
-.BR glblur (1),
-.BR glforestfire (1),
-.BR glplanet (1),
-.BR glsnake (1),
-.BR gltext (1),
-.BR goban (1),
-.BR goop (1),
-.BR grav (1),
-.BR greynetic (1),
-.BR halftone (1),
-.BR halo (1),
-.BR helix (1),
-.BR hopalong (1),
-.BR hyperball (1),
-.BR hypercube (1),
-.BR ifs (1),
-.BR imsmap (1),
-.BR interference (1),
-.BR jigsaw (1),
-.BR juggle (1),
-.BR julia (1),
-.BR kaleidescope (1),
-.BR kumppa (1),
-.BR lament (1),
-.BR laser (1),
-.BR lavalite (1),
-.BR lightning (1),
-.BR lisa (1),
-.BR lissie (1),
-.BR lmorph (1),
-.BR loop (1),
-.BR maze (1),
-.BR menger (1),
-.BR metaballs (1),
-.BR moebius (1),
-.BR moire (1),
-.BR moire2 (1),
-.BR molecule (1),
-.BR morph3d (1),
-.BR mountain (1),
-.BR munch (1),
-.BR nerverot (1),
-.BR noseguy (1),
-.BR pedal (1),
-.BR penetrate (1),
-.BR penrose (1),
-.BR petri (1),
-.BR phosphor (1),
-.BR pipes (1),
-.BR polyominoes (1),
-.BR popsquares (1),
-.BR pulsar (1),
-.BR pyro (1),
-.BR qix (1),
-.BR queens (1),
-.BR rd-bomb (1),
-.BR ripples (1),
-.BR rocks (1),
-.BR rorschach (1),
-.BR rotor (1),
-.BR rotzoomer (1),
-.BR rubik (1),
-.BR sballs (1),
-.BR shadebobs (1),
-.BR sierpinski (1),
-.BR sierpinski3d (1),
-.BR slidescreen (1),
-.BR slip (1),
-.BR sonar (1),
-.BR speedmine (1),
-.BR sphere (1),
-.BR sphereEversion (1),
-.BR spheremonics (1),
-.BR spiral (1),
-.BR spotlight (1),
-.BR sproingies (1),
-.BR squiral (1),
-.BR ssystem (1),
-.BR stairs (1),
-.BR starfish (1),
-.BR starwars (1),
-.BR stonerview (1),
-.BR strange (1),
-.BR superquadrics (1),
-.BR swirl (1),
-.BR t3d (1),
-.BR thornbird (1),
-.BR triangle (1),
-.BR truchet (1),
-.BR twang (1),
-.BR vermiculate (1),
-.BR vidwhacker (1),
-.BR vines (1),
-.BR wander (1),
-.BR webcollage (1),
-.BR whirlwindwarp (1),
-.BR whirlygig (1),
-.BR worm (1),
-.BR xaos (1),
-.BR xdaliclock (1),
-.BR xearth (1),
-.BR xfishtank (1),
-.BR xflame (1),
-.BR xjack (1),
-.BR xlyap (1),
-.BR xmatrix (1),
-.BR xmountains (1),
-.BR xrayswarm (1),
-.BR xsnow (1),
-.BR xspirograph (1),
-.BR xteevee (1),
-.BR zoom (1)
+.BR xscreensaver\-text (1).
 .SH COPYRIGHT
 Copyright \(co 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
 2000, 2001, 2002, 2003, 2004, 2005 by Jamie Zawinski.  Permission to use,

=== modified file 'driver/xset.c'
--- driver/xset.c	2005-04-09 00:06:43 +0000
+++ driver/xset.c	2005-12-08 16:00:22 +0000
@@ -1,5 +1,5 @@
 /* xset.c --- interacting with server extensions and the builtin screensaver.
- * xscreensaver, Copyright (c) 1991-2004 Jamie Zawinski <jwz@jwz.org>
+ * xscreensaver, Copyright (c) 1991-2005 Jamie Zawinski <jwz@jwz.org>
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
  * documentation for any purpose is hereby granted without fee, provided that
@@ -303,125 +303,3 @@
     /* Turn off the server builtin saver if it is now running. */
     XForceScreenSaver (si->dpy, ScreenSaverReset);
 }
-
-
-/* Display Power Management System (DPMS.)
-
-   On XFree86 systems, "man xset" reports:
-
-       -dpms    The -dpms option disables DPMS (Energy Star) features.
-       +dpms    The +dpms option enables DPMS (Energy Star) features.
-
-       dpms flags...
-                The dpms option allows the DPMS (Energy Star)
-                parameters to be set.  The option can take up to three
-                numerical values, or the `force' flag followed by a
-                DPMS state.  The `force' flags forces the server to
-                immediately switch to the DPMS state specified.  The
-                DPMS state can be one of `standby', `suspend', or
-                `off'.  When numerical values are given, they set the
-                inactivity period before the three modes are activated.
-                The first value given is for the `standby' mode, the
-                second is for the `suspend' mode, and the third is for
-                the `off' mode.  Setting these values implicitly
-                enables the DPMS features.  A value of zero disables a
-                particular mode.
-
-   However, note that the implementation is more than a little bogus,
-   in that there is code in /usr/X11R6/lib/libXdpms.a to implement all
-   the usual server-extension-querying utilities -- but there are no
-   prototypes in any header file!  Thus, the prototypes here.  (The
-   stuff in X11/extensions/dpms.h and X11/extensions/dpmsstr.h define
-   the raw X protcol, they don't define the API to libXdpms.a.)
-
-   Some documentation:
-   Library:  ftp://ftp.x.org/pub/R6.4/xc/doc/specs/Xext/DPMSLib.ms
-   Protocol: ftp://ftp.x.org/pub/R6.4/xc/doc/specs/Xext/DPMS.ms
- */
-
-#ifdef HAVE_DPMS_EXTENSION
-
-#include <X11/Xproto.h>			/* for CARD16 */
-#include <X11/extensions/dpms.h>
-#include <X11/extensions/dpmsstr.h>
-
-extern Bool DPMSQueryExtension (Display *dpy, int *event_ret, int *error_ret);
-extern Bool DPMSCapable (Display *dpy);
-extern Status DPMSForceLevel (Display *dpy, CARD16 level);
-extern Status DPMSInfo (Display *dpy, CARD16 *power_level, BOOL *state);
-
-#if 0 /* others we don't use */
-extern Status DPMSGetVersion (Display *dpy, int *major_ret, int *minor_ret);
-extern Status DPMSSetTimeouts (Display *dpy,
-			       CARD16 standby, CARD16 suspend, CARD16 off);
-extern Bool DPMSGetTimeouts (Display *dpy,
-			     CARD16 *standby, CARD16 *suspend, CARD16 *off);
-extern Status DPMSEnable (Display *dpy);
-extern Status DPMSDisable (Display *dpy);
-#endif /* 0 */
-
-
-Bool
-monitor_powered_on_p (saver_info *si)
-{
-  Bool result;
-  int event_number, error_number;
-  BOOL onoff = False;
-  CARD16 state;
-
-  if (!DPMSQueryExtension(si->dpy, &event_number, &error_number))
-    /* Server doesn't know -- assume the monitor is on. */
-    result = True;
-
-  else if (!DPMSCapable(si->dpy))
-    /* Server says the monitor doesn't do power management -- so it's on. */
-    result = True;
-
-  else
-    {
-      DPMSInfo(si->dpy, &state, &onoff);
-      if (!onoff)
-	/* Server says DPMS is disabled -- so the monitor is on. */
-	result = True;
-      else
-	switch (state) {
-	case DPMSModeOn:      result = True;  break;  /* really on */
-	case DPMSModeStandby: result = False; break;  /* kinda off */
-	case DPMSModeSuspend: result = False; break;  /* pretty off */
-	case DPMSModeOff:     result = False; break;  /* really off */
-	default:	      result = True;  break;  /* protocol error? */
-	}
-    }
-
-  return result;
-}
-
-void
-monitor_power_on (saver_info *si)
-{
-  if (!monitor_powered_on_p (si))
-    {
-      DPMSForceLevel(si->dpy, DPMSModeOn);
-      XSync(si->dpy, False);
-      if (!monitor_powered_on_p (si))
-	fprintf (stderr,
-       "%s: DPMSForceLevel(dpy, DPMSModeOn) did not power the monitor on?\n",
-		 blurb());
-    }
-}
-
-#else  /* !HAVE_DPMS_EXTENSION */
-
-Bool
-monitor_powered_on_p (saver_info *si) 
-{
-  return True; 
-}
-
-void
-monitor_power_on (saver_info *si)
-{
-  return; 
-}
-
-#endif /* !HAVE_DPMS_EXTENSION */

=== modified file 'hacks/Makefile.in'
--- hacks/Makefile.in	2005-04-09 00:06:43 +0000
+++ hacks/Makefile.in	2006-07-29 23:00:43 +0000
@@ -107,7 +107,8 @@
 		  apple2-main.c analogtv.c xanalogtv.c pong.c wormhole.c \
 		  mismunch.c pacman.c pacman_ai.c pacman_level.c \
 		  fuzzyflakes.c anemotaxis.c memscroller.c substrate.c \
-		  intermomentary.c fireworkx.c fiberlamp.c boxfit.c
+		  intermomentary.c fireworkx.c fireworkx_mmx.S fiberlamp.c \
+		  boxfit.c interaggregate.c celtic.c
 SCRIPTS		= vidwhacker webcollage ljlatest
 
 OBJS		= attraction.o blitspin.o bouboule.o braid.o bubbles.o \
@@ -136,7 +137,8 @@
 		  apple2-main.o analogtv.o xanalogtv.o pong.o wormhole.o \
 		  mismunch.o pacman.o pacman_ai.o pacman_level.o \
 		  fuzzyflakes.o anemotaxis.o memscroller.o substrate.o \
-		  intermomentary.o fireworkx.o fiberlamp.o boxfit.o
+		  intermomentary.o fireworkx.o fiberlamp.o boxfit.o \
+		  interaggregate.o celtic.o
 
 NEXES		= attraction blitspin bouboule braid bubbles decayscreen deco \
 		  drift flag flame forest vines galaxy grav greynetic halo \
@@ -145,7 +147,7 @@
 		  penrose pyro qix rocks rorschach sierpinski slidescreen \
 		  slip sphere spiral strange swirl goop starfish munch \
 		  fadeplot rd-bomb coral mountain triangle lissie worm rotor \
-		  ant xjack xlyap jigsaw cynosure moire2 flow epicycle \
+		  xjack xlyap jigsaw cynosure moire2 flow epicycle \
 		  interference truchet bsod crystal discrete distort kumppa \
 		  demon loop t3d penetrate deluxe compass squiral xflame \
 		  wander spotlight critical phosphor xmatrix petri shadebobs \
@@ -156,7 +158,8 @@
 		  metaballs eruption popsquares barcode piecewise cloudlife \
 		  fontglide apple2 xanalogtv pong  wormhole mismunch \
 		  pacman fuzzyflakes anemotaxis memscroller substrate \
-		  intermomentary fireworkx fiberlamp boxfit \
+		  intermomentary fireworkx fiberlamp boxfit interaggregate \
+		  celtic \
 		  @JPEG_EXES@
 SEXES		= sonar
 JPEG_EXES	= webcollage-helper
@@ -174,7 +177,7 @@
 HDRS		= bubbles.h screenhack.h xlockmore.h xlockmoreI.h automata.h \
 		  bumps.h xpm-pixmap.h apple2.h analogtv.h \
 		  pacman.h pacman_ai.h pacman_level.h
-MEN		= anemone.man ant.man apollonian.man attraction.man \
+MEN		= anemone.man apollonian.man attraction.man \
 	          blaster.man blitspin.man bouboule.man braid.man bsod.man \
 	          bubbles.man bumps.man ccurve.man compass.man coral.man \
 	          critical.man crystal.man cynosure.man decayscreen.man \
@@ -203,12 +206,15 @@
 		  fontglide.man apple2.man xanalogtv.man pong.man \
 		  wormhole.man mismunch.man pacman.man fuzzyflakes.man \
 		  anemotaxis.man memscroller.man substrate.man \
-		  intermomentary.man fireworkx.man fiberlamp.man boxfit.man
+		  intermomentary.man fireworkx.man fiberlamp.man boxfit.man \
+		  interaggregate.man celtic.man
 STAR		= *
 EXTRAS		= README Makefile.in xlock_23.h xml2man.pl .gdbinit \
 		  euler2d.tex \
 		  config/README \
 		  config/$(STAR).xml \
+		  config/$(STAR).dtd \
+		  config/$(STAR).xsd \
 		  images/$(STAR).xbm \
 		  images/$(STAR).xpm \
 		  images/bubbles/$(STAR).pov \
@@ -292,7 +298,7 @@
 	  sed "s@^\(#!\)\(/[^ ]*/perl[^ ]*\)\(.*\)\$$@\1$$perl\3@"	\
 	      < $(srcdir)/$$program > $$tmp ;				\
 	  if ! cmp -s $(srcdir)/$$program $$tmp ; then			\
-	    echo "$$program: setting interpreter to $$perl" ;		\
+	    echo "$$program: setting interpreter to $$perl" >&2 ;	\
 	    cat $$tmp > ./$$program ;					\
 	  fi ;								\
 	done ;								\
@@ -301,7 +307,7 @@
 # When installing man pages, we install "foo.man" as "foo.N" and update
 # the .TH line in the installed file with one like
 #
-#     .TH XScreenSaver N "DD-MMM-YYYY (V.VV)" "X Version 11"
+#     .TH XScreenSaver N "V.VV (DD-MMM-YYYY)" "X Version 11"
 #
 # where N is the manual section suffix.
 #
@@ -319,7 +325,9 @@
 									\
 	for man in $$men; do						\
 	  instname=`echo $$man | sed 's/\.man$$/\.$(mansuffix)/'` ;	\
-	  sed "s/^\.TH.*/$$TH/" < $(srcdir)/$$man > $$T ;		\
+	  sed -e "s/^\.TH.*/$$TH/"					\
+	      -e 's@(MANSUFFIX)@($(mansuffix))@g'			\
+	    < $(srcdir)/$$man > $$T ;					\
 	  echo $(INSTALL_DATA) $(srcdir)/$$man				\
 	   $(install_prefix)$(manNdir)/$$instname ;			\
 	  $(INSTALL_DATA) $$T						\
@@ -827,6 +835,9 @@
 intermomentary:	intermomentary.o $(HACK_OBJS) $(COL)
 	$(CC_HACK) -o $@ $@.o	 $(HACK_OBJS) $(COL) $(HACK_LIBS)
 
+interaggregate:	interaggregate.o $(HACK_OBJS) $(COL)
+	$(CC_HACK) -o $@ $@.o	 $(HACK_OBJS) $(COL) $(HACK_LIBS)
+
 fireworkx:	fireworkx.o	$(HACK_OBJS) $(COL)
 	$(CC_HACK) -o $@ $@.o	$(HACK_OBJS) $(COL) $(HACK_LIBS)
 
@@ -836,6 +847,9 @@
 ifs:		ifs.o		$(HACK_OBJS) $(COL)
 	$(CC_HACK) -o $@ $@.o	$(HACK_OBJS) $(COL) $(HACK_LIBS)
 
+celtic:		celtic.o	$(HACK_OBJS) $(COL) $(ERASE)
+	$(CC_HACK) -o $@ $@.o	$(HACK_OBJS) $(COL) $(ERASE) $(HACK_LIBS)
+
 
 # The rules for those hacks which follow the `xlockmore' API.
 #
@@ -980,12 +994,12 @@
 ant.o: $(srcdir)/automata.h
 ant.o: ../config.h
 ant.o: $(srcdir)/screenhack.h
+ant.o: $(srcdir)/xlockmoreI.h
 ant.o: $(srcdir)/xlockmore.h
-ant.o: $(srcdir)/xlockmoreI.h
 apollonian.o: ../config.h
 apollonian.o: $(srcdir)/screenhack.h
+apollonian.o: $(srcdir)/xlockmoreI.h
 apollonian.o: $(srcdir)/xlockmore.h
-apollonian.o: $(srcdir)/xlockmoreI.h
 apple2-main.o: $(srcdir)/analogtv.h
 apple2-main.o: $(srcdir)/apple2.h
 apple2-main.o: ../config.h
@@ -1006,15 +1020,15 @@
 blitspin.o: $(srcdir)/xpm-pixmap.h
 bouboule.o: ../config.h
 bouboule.o: $(srcdir)/screenhack.h
+bouboule.o: $(srcdir)/xlockmoreI.h
 bouboule.o: $(srcdir)/xlockmore.h
-bouboule.o: $(srcdir)/xlockmoreI.h
 boxfit.o: ../config.h
 boxfit.o: $(srcdir)/screenhack.h
 boxfit.o: $(srcdir)/xpm-pixmap.h
 braid.o: ../config.h
 braid.o: $(srcdir)/screenhack.h
+braid.o: $(srcdir)/xlockmoreI.h
 braid.o: $(srcdir)/xlockmore.h
-braid.o: $(srcdir)/xlockmoreI.h
 bsod.o: $(srcdir)/analogtv.h
 bsod.o: $(srcdir)/apple2.h
 bsod.o: ../config.h
@@ -1080,6 +1094,8 @@
 bumps.o: $(srcdir)/screenhack.h
 ccurve.o: ../config.h
 ccurve.o: $(srcdir)/screenhack.h
+celtic.o: ../config.h
+celtic.o: $(srcdir)/screenhack.h
 cloudlife.o: ../config.h
 cloudlife.o: $(srcdir)/screenhack.h
 compass.o: ../config.h
@@ -1090,8 +1106,8 @@
 critical.o: $(srcdir)/screenhack.h
 crystal.o: ../config.h
 crystal.o: $(srcdir)/screenhack.h
+crystal.o: $(srcdir)/xlockmoreI.h
 crystal.o: $(srcdir)/xlockmore.h
-crystal.o: $(srcdir)/xlockmoreI.h
 cynosure.o: ../config.h
 cynosure.o: $(srcdir)/screenhack.h
 decayscreen.o: ../config.h
@@ -1103,68 +1119,68 @@
 demon.o: $(srcdir)/automata.h
 demon.o: ../config.h
 demon.o: $(srcdir)/screenhack.h
+demon.o: $(srcdir)/xlockmoreI.h
 demon.o: $(srcdir)/xlockmore.h
-demon.o: $(srcdir)/xlockmoreI.h
 discrete.o: ../config.h
 discrete.o: $(srcdir)/screenhack.h
+discrete.o: $(srcdir)/xlockmoreI.h
 discrete.o: $(srcdir)/xlockmore.h
-discrete.o: $(srcdir)/xlockmoreI.h
 distort.o: ../config.h
 distort.o: $(srcdir)/screenhack.h
 drift.o: ../config.h
 drift.o: $(srcdir)/screenhack.h
+drift.o: $(srcdir)/xlockmoreI.h
 drift.o: $(srcdir)/xlockmore.h
-drift.o: $(srcdir)/xlockmoreI.h
 epicycle.o: ../config.h
 epicycle.o: $(srcdir)/screenhack.h
 eruption.o: ../config.h
 eruption.o: $(srcdir)/screenhack.h
 euler2d.o: ../config.h
 euler2d.o: $(srcdir)/screenhack.h
+euler2d.o: $(srcdir)/xlockmoreI.h
 euler2d.o: $(srcdir)/xlockmore.h
-euler2d.o: $(srcdir)/xlockmoreI.h
 fadeplot.o: ../config.h
 fadeplot.o: $(srcdir)/screenhack.h
+fadeplot.o: $(srcdir)/xlockmoreI.h
 fadeplot.o: $(srcdir)/xlockmore.h
-fadeplot.o: $(srcdir)/xlockmoreI.h
 fiberlamp.o: ../config.h
 fiberlamp.o: $(srcdir)/screenhack.h
+fiberlamp.o: $(srcdir)/xlockmoreI.h
 fiberlamp.o: $(srcdir)/xlockmore.h
-fiberlamp.o: $(srcdir)/xlockmoreI.h
 fireworkx.o: ../config.h
 fireworkx.o: $(srcdir)/screenhack.h
 flag.o: ../config.h
 flag.o: $(srcdir)/images/bob.xbm
 flag.o: $(srcdir)/screenhack.h
+flag.o: $(srcdir)/xlockmoreI.h
 flag.o: $(srcdir)/xlockmore.h
-flag.o: $(srcdir)/xlockmoreI.h
 flag.o: $(srcdir)/xpm-pixmap.h
 flame.o: ../config.h
 flame.o: $(srcdir)/screenhack.h
 flow.o: ../config.h
 flow.o: $(srcdir)/screenhack.h
+flow.o: $(srcdir)/xlockmoreI.h
 flow.o: $(srcdir)/xlockmore.h
-flow.o: $(srcdir)/xlockmoreI.h
 fluidballs.o: ../config.h
 fluidballs.o: $(srcdir)/screenhack.h
 fontglide.o: ../config.h
 fontglide.o: $(srcdir)/screenhack.h
 forest.o: ../config.h
 forest.o: $(srcdir)/screenhack.h
+forest.o: $(srcdir)/xlockmoreI.h
 forest.o: $(srcdir)/xlockmore.h
-forest.o: $(srcdir)/xlockmoreI.h
 fuzzyflakes.o: ../config.h
 fuzzyflakes.o: $(srcdir)/screenhack.h
 galaxy.o: ../config.h
 galaxy.o: $(srcdir)/screenhack.h
+galaxy.o: $(srcdir)/xlockmoreI.h
 galaxy.o: $(srcdir)/xlockmore.h
-galaxy.o: $(srcdir)/xlockmoreI.h
 goop.o: ../config.h
 goop.o: $(srcdir)/screenhack.h
 grav.o: ../config.h
 grav.o: $(srcdir)/screenhack.h
+grav.o: $(srcdir)/xlockmoreI.h
 grav.o: $(srcdir)/xlockmore.h
-grav.o: $(srcdir)/xlockmoreI.h
 greynetic.o: ../config.h
 greynetic.o: $(srcdir)/screenhack.h
 halftone.o: ../config.h
@@ -1175,8 +1191,8 @@
 helix.o: $(srcdir)/screenhack.h
 hopalong.o: ../config.h
 hopalong.o: $(srcdir)/screenhack.h
+hopalong.o: $(srcdir)/xlockmoreI.h
 hopalong.o: $(srcdir)/xlockmore.h
-hopalong.o: $(srcdir)/xlockmoreI.h
 hyperball.o: ../config.h
 hyperball.o: $(srcdir)/screenhack.h
 hypercube.o: ../config.h
@@ -1185,6 +1201,8 @@
 ifs.o: $(srcdir)/screenhack.h
 imsmap.o: ../config.h
 imsmap.o: $(srcdir)/screenhack.h
+interaggregate.o: ../config.h
+interaggregate.o: $(srcdir)/screenhack.h
 interference.o: ../config.h
 interference.o: $(srcdir)/screenhack.h
 intermomentary.o: ../config.h
@@ -1229,39 +1247,39 @@
 jigsaw.o: $(srcdir)/screenhack.h
 juggle.o: ../config.h
 juggle.o: $(srcdir)/screenhack.h
+juggle.o: $(srcdir)/xlockmoreI.h
 juggle.o: $(srcdir)/xlockmore.h
-juggle.o: $(srcdir)/xlockmoreI.h
 julia.o: ../config.h
 julia.o: $(srcdir)/screenhack.h
+julia.o: $(srcdir)/xlockmoreI.h
 julia.o: $(srcdir)/xlockmore.h
-julia.o: $(srcdir)/xlockmoreI.h
 kaleidescope.o: ../config.h
 kaleidescope.o: $(srcdir)/screenhack.h
 kumppa.o: ../config.h
 kumppa.o: $(srcdir)/screenhack.h
 laser.o: ../config.h
 laser.o: $(srcdir)/screenhack.h
+laser.o: $(srcdir)/xlockmoreI.h
 laser.o: $(srcdir)/xlockmore.h
-laser.o: $(srcdir)/xlockmoreI.h
 lightning.o: ../config.h
 lightning.o: $(srcdir)/screenhack.h
+lightning.o: $(srcdir)/xlockmoreI.h
 lightning.o: $(srcdir)/xlockmore.h
-lightning.o: $(srcdir)/xlockmoreI.h
 lisa.o: ../config.h
 lisa.o: $(srcdir)/screenhack.h
+lisa.o: $(srcdir)/xlockmoreI.h
 lisa.o: $(srcdir)/xlockmore.h
-lisa.o: $(srcdir)/xlockmoreI.h
 lissie.o: ../config.h
 lissie.o: $(srcdir)/screenhack.h
+lissie.o: $(srcdir)/xlockmoreI.h
 lissie.o: $(srcdir)/xlockmore.h
-lissie.o: $(srcdir)/xlockmoreI.h
 lmorph.o: ../config.h
 lmorph.o: $(srcdir)/screenhack.h
 loop.o: $(srcdir)/automata.h
 loop.o: ../config.h
 loop.o: $(srcdir)/screenhack.h
+loop.o: $(srcdir)/xlockmoreI.h
 loop.o: $(srcdir)/xlockmore.h
-loop.o: $(srcdir)/xlockmoreI.h
 maze.o: ../config.h
 maze.o: $(srcdir)/screenhack.h
 memscroller.o: ../config.h
@@ -1276,8 +1294,8 @@
 moire.o: $(srcdir)/screenhack.h
 mountain.o: ../config.h
 mountain.o: $(srcdir)/screenhack.h
+mountain.o: $(srcdir)/xlockmoreI.h
 mountain.o: $(srcdir)/xlockmore.h
-mountain.o: $(srcdir)/xlockmoreI.h
 munch.o: ../config.h
 munch.o: $(srcdir)/screenhack.h
 nerverot.o: ../config.h
@@ -1345,8 +1363,8 @@
 pacman.o: $(srcdir)/pacman.h
 pacman.o: $(srcdir)/pacman_level.h
 pacman.o: $(srcdir)/screenhack.h
+pacman.o: $(srcdir)/xlockmoreI.h
 pacman.o: $(srcdir)/xlockmore.h
-pacman.o: $(srcdir)/xlockmoreI.h
 pacman.o: $(srcdir)/xpm-pixmap.h
 pedal.o: ../config.h
 pedal.o: $(srcdir)/screenhack.h
@@ -1354,8 +1372,8 @@
 penetrate.o: $(srcdir)/screenhack.h
 penrose.o: ../config.h
 penrose.o: $(srcdir)/screenhack.h
+penrose.o: $(srcdir)/xlockmoreI.h
 penrose.o: $(srcdir)/xlockmore.h
-penrose.o: $(srcdir)/xlockmoreI.h
 petri.o: ../config.h
 petri.o: $(srcdir)/screenhack.h
 phosphor.o: ../config.h
@@ -1364,8 +1382,8 @@
 piecewise.o: $(srcdir)/screenhack.h
 polyominoes.o: ../config.h
 polyominoes.o: $(srcdir)/screenhack.h
+polyominoes.o: $(srcdir)/xlockmoreI.h
 polyominoes.o: $(srcdir)/xlockmore.h
-polyominoes.o: $(srcdir)/xlockmoreI.h
 pong.o: $(srcdir)/analogtv.h
 pong.o: ../config.h
 pong.o: $(srcdir)/screenhack.h
@@ -1385,8 +1403,8 @@
 rorschach.o: $(srcdir)/screenhack.h
 rotor.o: ../config.h
 rotor.o: $(srcdir)/screenhack.h
+rotor.o: $(srcdir)/xlockmoreI.h
 rotor.o: $(srcdir)/xlockmore.h
-rotor.o: $(srcdir)/xlockmoreI.h
 rotzoomer.o: ../config.h
 rotzoomer.o: $(srcdir)/screenhack.h
 screenhack.o: ../config.h
@@ -1395,26 +1413,26 @@
 shadebobs.o: $(srcdir)/screenhack.h
 sierpinski.o: ../config.h
 sierpinski.o: $(srcdir)/screenhack.h
+sierpinski.o: $(srcdir)/xlockmoreI.h
 sierpinski.o: $(srcdir)/xlockmore.h
-sierpinski.o: $(srcdir)/xlockmoreI.h
 slidescreen.o: ../config.h
 slidescreen.o: $(srcdir)/screenhack.h
 slip.o: ../config.h
 slip.o: $(srcdir)/screenhack.h
+slip.o: $(srcdir)/xlockmoreI.h
 slip.o: $(srcdir)/xlockmore.h
-slip.o: $(srcdir)/xlockmoreI.h
 sonar.o: ../config.h
 sonar.o: $(srcdir)/screenhack.h
 speedmine.o: ../config.h
 speedmine.o: $(srcdir)/screenhack.h
 sphere.o: ../config.h
 sphere.o: $(srcdir)/screenhack.h
+sphere.o: $(srcdir)/xlockmoreI.h
 sphere.o: $(srcdir)/xlockmore.h
-sphere.o: $(srcdir)/xlockmoreI.h
 spiral.o: ../config.h
 spiral.o: $(srcdir)/screenhack.h
+spiral.o: $(srcdir)/xlockmoreI.h
 spiral.o: $(srcdir)/xlockmore.h
-spiral.o: $(srcdir)/xlockmoreI.h
 spotlight.o: ../config.h
 spotlight.o: $(srcdir)/screenhack.h
 squiral.o: ../config.h
@@ -1423,24 +1441,24 @@
 starfish.o: $(srcdir)/screenhack.h
 strange.o: ../config.h
 strange.o: $(srcdir)/screenhack.h
+strange.o: $(srcdir)/xlockmoreI.h
 strange.o: $(srcdir)/xlockmore.h
-strange.o: $(srcdir)/xlockmoreI.h
 substrate.o: ../config.h
 substrate.o: $(srcdir)/screenhack.h
 swirl.o: ../config.h
 swirl.o: $(srcdir)/screenhack.h
+swirl.o: $(srcdir)/xlockmoreI.h
 swirl.o: $(srcdir)/xlockmore.h
-swirl.o: $(srcdir)/xlockmoreI.h
 t3d.o: ../config.h
 t3d.o: $(srcdir)/screenhack.h
 thornbird.o: ../config.h
 thornbird.o: $(srcdir)/screenhack.h
+thornbird.o: $(srcdir)/xlockmoreI.h
 thornbird.o: $(srcdir)/xlockmore.h
-thornbird.o: $(srcdir)/xlockmoreI.h
 triangle.o: ../config.h
 triangle.o: $(srcdir)/screenhack.h
+triangle.o: $(srcdir)/xlockmoreI.h
 triangle.o: $(srcdir)/xlockmore.h
-triangle.o: $(srcdir)/xlockmoreI.h
 truchet.o: ../config.h
 truchet.o: $(srcdir)/screenhack.h
 twang.o: ../config.h
@@ -1449,8 +1467,8 @@
 vermiculate.o: $(srcdir)/screenhack.h
 vines.o: ../config.h
 vines.o: $(srcdir)/screenhack.h
+vines.o: $(srcdir)/xlockmoreI.h
 vines.o: $(srcdir)/xlockmore.h
-vines.o: $(srcdir)/xlockmoreI.h
 wander.o: ../config.h
 wander.o: $(srcdir)/screenhack.h
 webcollage-helper.o: ../config.h
@@ -1462,8 +1480,8 @@
 wormhole.o: $(srcdir)/screenhack.h
 worm.o: ../config.h
 worm.o: $(srcdir)/screenhack.h
+worm.o: $(srcdir)/xlockmoreI.h
 worm.o: $(srcdir)/xlockmore.h
-worm.o: $(srcdir)/xlockmoreI.h
 xanalogtv.o: $(srcdir)/analogtv.h
 xanalogtv.o: ../config.h
 xanalogtv.o: $(srcdir)/screenhack.h

=== modified file 'hacks/analogtv.c'
--- hacks/analogtv.c	2005-04-09 00:06:43 +0000
+++ hacks/analogtv.c	2005-12-08 16:00:22 +0000
@@ -887,7 +887,7 @@
 {
   int cur_hsync=it->cur_hsync;
   int cur_vsync=it->cur_vsync;
-  int lineno;
+  int lineno = 0;
   int i,j;
   double osc,filt;
   double *sp;

=== modified file 'hacks/anemotaxis.man'
--- hacks/anemotaxis.man	2005-04-09 00:06:43 +0000
+++ hacks/anemotaxis.man	2005-12-08 16:00:22 +0000
@@ -25,7 +25,7 @@
 direction and walk randomly in the other direction. The searcher knows
 if it hit a particle, and if so, particle's position one time step
 earlier (local wind direction). The program paints sources and
-particles released by them as well as trajectories of serchers who are
+particles released by them as well as trajectories of searchers who are
 trying to capture the sources.
 .SH OPTIONS
 .TP 8

=== removed file 'hacks/ant.man'
--- hacks/ant.man	2005-04-09 00:06:43 +0000
+++ hacks/ant.man	1970-01-01 00:00:00 +0000
@@ -1,92 +0,0 @@
-.TH XScreenSaver 1 "" "X Version 11"
-.SH NAME
-ant - cellular automaton.
-.SH SYNOPSIS
-.B ant
-[\-display \fIhost:display.screen\fP]
-[\-visual \fIvisual\fP]
-[\-window]
-[\-install]
-[\-noinstall]
-[\-root]
-[\-eyes]
-[\-no-eyes]
-[\-truchet]
-[\-no-truchet]
-[\-sharpturn]
-[\-no-sharpturn]
-[\-delay \fInumber\fP]
-[\-cycles \fInumber\fP]
-[\-count \fInumber\fP]
-[\-size \fInumber\fP]
-[\-neighbors 3]
-[\-neighbors 4]
-[\-neighbors 6]
-[\-neighbors 9]
-[\-neighbors 12]
-[\-ncolors \fInumber\fP]
-.SH DESCRIPTION
-A cellular automaton that is really a two-dimensional Turing machine: as
-the heads ("ants") walk along the screen, they change pixel values in
-their path. Then, as they pass over changed pixels, their behavior is
-influenced.
-.SH OPTIONS
-.TP 8
-.B \-visual \fIvisual\fP
-Specify which visual to use.  Legal values are the name of a visual class,
-or the id number (decimal or hex) of a specific visual.
-.TP 8
-.B \-window
-Draw on a newly-created window.  This is the default.
-.TP 8
-.B \-root
-Draw on the root window.
-.TP 8
-.B \-sharpturns | \-no-sharpturns
-Whether to do sharp turns.
-.TP 8
-.B \-truchet | \-no-truchet
-Whether to use truchet lines.
-.TP 8
-.B \-eyes | \-no-eyes
-Whether to draw eyes on the ants.
-.TP 8
-.B \-delay \fInumber\fP
-Per-frame delay, in microseconds.  Default: 1000 (0.0001 seconds.).
-.TP 8
-.B \-cycles \fInumber\fP
-How long to wait until resetting.  0 - 800000.  Default: 40000.
-.TP 8
-.B \-count \fInumber\fP
-Ants Count.  -20 - 20.	Default: -3.
-.TP 8
-.B \-size \fInumber\fP
-Ant Size.  -18 - 18.  Default: -12.
-.TP 8
-.B \-neighbors \fIN\fP
-How many neighbors each cell has.  Legal values are 3, 4, 6, 9, and 12.
-.TP 8
-.B \-ncolors \fInumber\fP
-Number of colors.  Default: 64.
-.SH ENVIRONMENT
-.PP
-.TP 8
-.B DISPLAY
-to get the default host and display number.
-.TP 8
-.B XENVIRONMENT
-to get the name of a resource file that overrides the global resources
-stored in the RESOURCE_MANAGER property.
-.SH SEE ALSO
-.BR X (1),
-.BR xscreensaver (1)
-.SH COPYRIGHT
-Copyright \(co 2002 by David Bagley.  Permission to use, copy, modify, 
-distribute, and sell this software and its documentation for any purpose is 
-hereby granted without fee, provided that the above copyright notice appear 
-in all copies and that both that copyright notice and this permission notice
-appear in supporting documentation.  No representations are made about the 
-suitability of this software for any purpose.  It is provided "as is" without
-express or implied warranty.
-.SH AUTHOR
-David Bagley.

=== modified file 'hacks/apple2-main.c'
--- hacks/apple2-main.c	2005-04-09 00:06:43 +0000
+++ hacks/apple2-main.c	2005-12-08 16:00:22 +0000
@@ -1507,17 +1507,17 @@
  */
 static char *moire_program[]={
   "10 HGR2\n",
-  "20 FOR Y = 0 TO 191 STEP 2\n",
+  "20 FOR Y = 0 TO 190 STEP 2\n",
   "30 HCOLOR=4 : REM BLACK\n",
-  "40 HLINE 0,191-Y TO 279,Y\n",
+  "40 HPLOT 0,191-Y TO 279,Y\n",
   "60 HCOLOR=7 : REM WHITE\n",
-  "80 HLINE 0,190-Y TO 279,Y+1\n",
+  "80 HPLOT 0,190-Y TO 279,Y+1\n",
   "90 NEXT Y\n",
-  "100 FOR X = 0 TO 279 STEP 3\n",
+  "100 FOR X = 0 TO 278 STEP 3\n",
   "110 HCOLOR=4\n",
-  "120 HLINE 279-X,0 TO X,192\n",
+  "120 HPLOT 279-X,0 TO X,191\n",
   "140 HCOLOR=7\n",
-  "150 HLINE 278-X,0 TO X+1,192\n",
+  "150 HPLOT 278-X,0 TO X+1,191\n",
   "160 NEXT X\n",
   NULL
 };
@@ -1527,9 +1527,9 @@
   "25 K=0\n",
   "30 FOR X = 0 TO 279\n",
   "32 HCOLOR= 0\n",
-  "35 HLINE X,0 TO X,159\n",
+  "35 HPLOT X,0 TO X,159\n",
   "38 HCOLOR= 3\n",
-  "40 Y = 80 + SIN(15*(X-K)/279)\n",
+  "40 Y = 80 + SIN(15*(X-K)/279) * 40\n",
   "50 HPLOT X,Y\n",
   "60 NEXT X\n",
   "70 K=K+4\n",
@@ -1551,13 +1551,13 @@
   "100 COLOR= RND(1)*16\n",
 
   "110 X=RND(1)*40\n",
-  "120 Y1=RND(1)*48\n",
-  "130 Y2=RND(1)*48\n",
+  "120 Y1=RND(1)*40\n",
+  "130 Y2=RND(1)*40\n",
   "140 FOR Y = Y1 TO Y2\n",
   "150 PLOT X,Y\n",
   "160 NEXT Y\n",
 
-  "210 Y=RND(1)*48\n",
+  "210 Y=RND(1)*40\n",
   "220 X1=RND(1)*40\n",
   "230 X2=RND(1)*40\n",
   "240 FOR X = X1 TO X2\n",

=== modified file 'hacks/apple2.man'
--- hacks/apple2.man	2005-04-09 00:06:43 +0000
+++ hacks/apple2.man	2006-06-30 16:27:21 +0000
@@ -175,14 +175,14 @@
 
 .SH SEE ALSO
 .BR xscreensaver (1),
-.BR bsod (1),
+.BR bsod (MANSUFFIX),
 .BR xscreensaver-text (1),
 .BR fortune (1),
-.BR phosphor (1),
-.BR starwars (1),
-.BR ljlatest (1),
+.BR phosphor (MANSUFFIX),
+.BR starwars (MANSUFFIX),
+.BR ljlatest (MANSUFFIX),
 .BR dadadodo (1),
-.BR webcollage (1),
+.BR webcollage (MANSUFFIX),
 .BR driftnet (1)
 .BR EtherPEG ,
 .BR EtherPeek ,

=== modified file 'hacks/attraction.man'
--- hacks/attraction.man	2002-04-07 12:17:37 +0000
+++ hacks/attraction.man	2006-06-30 16:27:21 +0000
@@ -88,7 +88,7 @@
 .TP 8
 .B \-segments integer
 If in \fIlines\fP or \fIpolygons\fP mode, how many sets of line segments
-or polygons should be drawn. Default 100.  This has no effect in \fIballs\fP
+or polygons should be drawn. Default 500.  This has no effect in \fIballs\fP
 mode.  If \fIsegments\fP is 0, then no segments will ever be erased (this
 is only useful in color.)
 .TP 8
@@ -159,7 +159,7 @@
 Turns off \fB\-mouse\fP.
 .TP 8
 .B \-mouse-size integer
-In \fB\-mouse\fP mode, this sets the mass of the mouse (analagously to the
+In \fB\-mouse\fP mode, this sets the mass of the mouse (analogously to the
 \fB\-size\fP parameter.)
 .TP 8
 .B \-nowalls
@@ -174,7 +174,7 @@
 Imposes a maximum speed (default).  If a ball ends up going faster than
 this, it will be treated as though there were .9  viscosity until it is
 under the limit. This stops the balls from continually accelerating (which
-they have a tendancy to do), but also causes balls moving very fast to
+they have a tendency to do), but also causes balls moving very fast to
 tend to clump in the lower right corner.
 .TP 8
 .B \-nomaxspeed

=== modified file 'hacks/barcode.c'
--- hacks/barcode.c	2005-04-09 00:06:43 +0000
+++ hacks/barcode.c	2006-07-29 23:00:43 +0000
@@ -122,8 +122,6 @@
   "belly",
   "bliss",
   "bogosity",
-  "boobies",
-  "boobs",
   "booty",
   "bread",
   "bubba",
@@ -136,7 +134,6 @@
   "children",
   "chocolate",
   "CLONE",
-  "cock",
   "constriction",
   "contrition",
   "cop",
@@ -176,7 +173,6 @@
   "fear",
   "fever",
   "filth",
-  "flatulence",
   "fluff",
   "fnord",
   "freedom",
@@ -193,9 +189,7 @@
   "happiness",
   "hate",
   "helplessness",
-  "hemorrhoid",
   "hermaphrodite",
-  "heroin",
   "heroine",
   "hope",
   "hysteria",
@@ -270,7 +264,6 @@
   "punishment",
   "punk rock",
   "punk",
-  "pussy",
   "quagmire",
   "quarantine",
   "quartz",
@@ -279,7 +272,6 @@
   "rage",
   "readout",
   "reality",
-  "rectum",
   "reject",
   "rejection",
   "respect",
@@ -338,8 +330,6 @@
   "vegetarian",
   "venom",
   "verifiability",
-  "viagra",
-  "vibrator",
   "victim",
   "vignette",
   "villainy",

=== modified file 'hacks/bsod.c'
--- hacks/bsod.c	2005-04-09 00:06:43 +0000
+++ hacks/bsod.c	2005-12-08 16:00:22 +0000
@@ -336,12 +336,42 @@
      "assitance.\n"
      );
 
+  /* The "RSOD" that appeared with "Windows Longhorn 5048.050401-0536_x86fre"
+     As reported by http://joi.ito.com/RedScreen.jpg
+   */
+  const char *wlha =
+    ("_Windows Boot Error\n");
+  const char *wlhb =
+    ("\n"
+     "Windows Boot Manager has experienced a problem.\n"
+     "\n"
+     "\n"
+     "    Status: 0xc000000f\n"
+     "\n"
+     "\n"
+     "\n"
+     "    Info: An error occurred transferring exectuion."  /* (sic) */
+     "\n"
+     "\n"
+     "\n"
+     "You can try to recover the system with the Microsoft Windows "
+     "System Recovery\n"
+     "Tools. (You might need to restart the system manually.)\n"
+     "\n"
+     "If the problem continues, please contact your system administrator "
+     "or computer\n"
+     "manufacturer.\n"
+     );
+  const char *wlhc =
+    (" SPACE=Continue\n"
+     );
+
   if (which < 0 || which > 2) abort();
 
   /* kludge to lump Win2K, WinME, and WinXP together; seems silly to add
      another preference/command line option just for these little ones. */
   if (which == 2 && (random() % 2))
-    which = 3 + (random() % 2);
+    which = 3 + (random() % 3);
 
   XGetWindowAttributes (dpy, window, &xgwa);
 
@@ -366,12 +396,14 @@
   gcv.foreground = get_pixel_resource((which == 0 ? "windows95.foreground" :
 				       which == 1 ? "windowsNT.foreground" :
 				       which == 2 ? "windows2K.foreground" :
+				       which == 5 ? "windowsLH.foreground" :
                                                     "windowsME.foreground"),
 				      "Windows.Foreground",
 				      dpy, xgwa.colormap);
   gcv.background = get_pixel_resource((which == 0 ? "windows95.background" :
 				       which == 1 ? "windowsNT.background" :
 				       which == 2 ? "windows2K.background" :
+                                       which == 5 ? "windowsLH.background" :
                                                     "windowsME.background"),
 				      "Windows.Background",
 				      dpy, xgwa.colormap);
@@ -429,6 +461,33 @@
             delay--;
         }
     }
+  else if (which == 5)
+    {
+      int line_height = font->ascent + font->descent;
+      int x = 0;
+      int y = 0;
+      unsigned long p0 = gcv.background;
+      unsigned long p1 = gcv.foreground;
+      unsigned long p2 = get_pixel_resource("windowsLH.background2",
+                                            "Windows.Background",
+                                            dpy, xgwa.colormap);
+      XSetBackground (dpy, gc, p2);
+      XSetForeground (dpy, gc, p2);
+      XFillRectangle (dpy, window, gc, 0, 0, xgwa.width, line_height+2);
+      XSetForeground (dpy, gc, p0);
+      draw_string (dpy, window, gc, &gcv, font, x, y, xgwa.width, 10, wlha, 0);
+      y += line_height;
+      XSetForeground (dpy, gc, p1);
+      XSetBackground (dpy, gc, p0);
+      draw_string (dpy, window, gc, &gcv, font, x, y, 10, 10, wlhb, 0);
+
+      y = xgwa.height - (line_height+2);
+      XSetBackground (dpy, gc, p2);
+      XSetForeground (dpy, gc, p2);
+      XFillRectangle (dpy, window, gc, 0, y, xgwa.width, line_height+2);
+      XSetForeground (dpy, gc, p0);
+      draw_string (dpy, window, gc, &gcv, font, x, y, 10, 10, wlhc, 0);
+    }
   else
     abort();
 
@@ -2455,7 +2514,7 @@
      { -1, "Soft power switch enabled, polling @ 0xf0400804.\n" },
      { -1, "pty: 256 Unix98 ptys configured\n" },
      { -1, "Generic RTC Driver v1.07\n" },
-     { -1, "Serial: 8250/16550 driver $Revision: 1.64 $ 13 ports, "
+     { -1, "Serial: 8250/16550 driver $Revision: 1.66 $ 13 ports, "
            "IRQ sharing disabled\n" },
      { -1, "ttyS0 at I/O 0x3f8 (irq = 0) is a 16550A\n" },
      { -1, "ttyS1 at I/O 0x2f8 (irq = 0) is a 16550A\n" },
@@ -3496,6 +3555,224 @@
 }
 
 
+/*
+ * OS/2 panics, by Knut St. Osmundsen <bird-xscreensaver@anduin.net>
+ *
+ * All but one messages are real ones, some are from my test machines
+ * and system dumps, others are reconstructed from google results.
+ * Please, don't be to hard if the formatting of the earlier systems
+ * aren't 100% correct.
+ */
+static void
+os2 (Display *dpy, Window window, int delay)
+{
+  XGCValues gcv;
+  XWindowAttributes xgwa;
+  XFontStruct *font;
+  GC gc;
+  char *fontname;
+  const char *def_font = "fixed";
+  const char *str;
+  const char *panic_msg;
+  time_t start;
+  int line_height;
+  int i;
+  int y;
+
+# ifdef __GNUC__
+  __extension__   /* don't warn about "string length is greater than the
+                     length ISO C89 compilers are required to support"
+                     in the following string constant... */
+# endif
+
+  static const char *os2_panics[] =
+    { /* OS/2 2.0 trap - details are bogus (CR0++). */
+      "TRAP 0002       ERRCD=0000  ERACC=****  ERLIM=********\n"
+      "EAX=7d240a58  EBX=ff202fdc  ECX=00064423  EDX=00003624\n"
+      "ESI=fff3272c  EDI=7d240004  EBP=00004a44  FLG=00003202\n"
+      "CS:EIP=0160:fff702a6  CSACC=c09d  CSLIM=ffffffff\n"
+      "SS:ESP=0030:00004a38  SSACC=1097  SSLIM=00003fff\n"
+      "DS=0158  DSACC=c0f3  DSLIM=ffffffff  CR0=fffffffb\n"
+      "ES=0158  ESACC=c0f3  ESLIM=ffffffff  CR2=1a060014\n"
+      "FS=0000  FSACC=****  FSLIM=********\n"
+      "GS=0000  GSACC=****  GSLIM=********\n"
+      "\n"
+      "The system detected an internal processing error\n"
+      "at location ##0160:fff6453f - 000d:a53f\n"
+      "60000, 9084\n"
+      "\n"
+      "038600d1\n"
+      "Internal revision 6.307, 92/03/01\n"
+      "\n",
+
+      /* warp 3 (early) */
+      "TRAP 000e       ERRCD=0000  ERACC=****  ERLIM=********\n"
+      "EAX=ff050c20  EBX=000000bb  ECX=ffff00c1  EDx=fff379b8\n"
+      "ESI=ffe55a3c  EDI=00000000  EBP=00004eb8  FLG=00013282\n"
+      "CS:EIP=0160:fff8dbb8  CSACC=c09b  CSLIM=ffffffff\n"
+      "SS:EIP=0030:00004eb4  SSACC=1097  SSLIM=00003fff\n"
+      "DS=0158  DSACC=c0f3  DSLIM=ffffffff  CR0=8001001b\n"
+      "ES=0158  DSACC=c0f3  DSLIM=ffffffff  CR2=000000c7\n"
+      "FS=0000  FSACC=****  FSLIM=********\n"
+      "GS=0000  GSACC=****  GSLIM=********\n"
+      "\n"
+      "The system detected an internal processing error\n"
+      "at location ##0160:fff66bf0 - 000d:9bf0.\n"
+      "60000, 9084\n"
+      "\n"
+      "048600b4\n"
+      "Internal revision 8.125, 94/02/16\n"
+      "\n"
+      "The system is stopped.  Record the location number of the error\n"
+      "and contact your service representative.\n",
+
+      /* warp 3 */
+      "TRAP 000e       ERRCD=0002  ERACC=****  ERLIM=********\n"
+      "EAX=00000000  EBX=fdef1e0c  ECX=00003824  EDX=0000edf9\n"
+      "ESI=fdf30e80  EDI=fc8b0000  EBP=00005658  FLG=00012246\n"
+      "CS:EIP=0160:fff8ada3  CSACC=c09b  CSLIM=ffffffff\n"
+      "SS:ESP=0030:000055d4  SSACC=1097  SSLIM=0000480f\n"
+      "DS=0158  DSACC=c093  DSLIM=ffffffff  CR0=8001001b\n"
+      "ES=0158  ESACC=c093  ESLIM=ffffffff  CR2=fc8b0000\n"
+      "FS=03b8  FSACC=0093  FSLIM=00000023\n"
+      "GS=0000  GSACC=****  GSLIM=********\n"
+      "\n"
+      "The system detected an internal processing error\n"
+      "at location ##0160:fff5c364 - 000d:a364.\n"
+      "60000, 9084\n"
+      "\n"
+      "05860526\n"
+      "Internal revision 8200,94/11/07\n"
+      "\n"
+      "The system is stopped. Record all of the above information and\n"
+      "contact your service representative.\n",
+
+      /* warp 3 (late) */
+      "TRAP 000d       ERRCD=2200  ERACC=1092  ERLIM=00010fff\n"
+      "EAX=0000802e  EBX=fff001c8  ECX=9bd80000  EDX=00000000\n"
+      "ESI=fff09bd8  EDI=fdeb001b  EBP=00000000  FLG=00012012\n"
+      "CS:EIP=0168:fff480a2  CSACC=c09b  CSLIM=ffffffff\n"
+      "SS:ESP=00e8:00001f32  SSACC=0093  SSLIM=00001fff\n"
+      "DS=0940  DSACC=0093  DSLIM=00000397  CR0=8001001b\n"
+      "ES=00e8  ESACC=0093  ESLIM=00001fff  CR2=15760008\n"
+      "FS=0000  FSACC=****  FSLIM=****\n"
+      "GS=0000  GSACC=****  GSLIM=****\n"
+      "\n"
+      "The system detected an internal processing error\n"
+      "at location ##0168:fff4b06e - 000e:c06e\n"
+      "60000, 9084\n"
+      "\n"
+      "06860652\n"
+      "Internal revision 8.259_uni,98/01/07\n"
+      "\n"
+      "The system is stopped. Record all of the above information and\n"
+      "contact your service representative.\n",
+
+      /* Warp 4.52+ - the official r0trap.exe from the debugging classes */
+      "Exception in module: OS2KRNL\n"
+      "TRAP 000e       ERRCD=0002  ERACC=****  ERLIM=********\n"
+      "EAX=00000001  EBX=80010002  ECX=ffed4638  EDX=0003f17b\n"
+      "ESI=00000001  EDI=00000002  EBP=00005408  FLG=00012202\n"
+      "CS:EIP=0168:fff3cd2e  CSACC=c09b  CSLIM=ffffffff\n"
+      "SS:ESP=0030:000053ec  SSACC=1097  SSLIM=000044ff\n"
+      "DS=0160  DSACC=c093  DSLIM=ffffffff  CR0=8001001b\n"
+      "ES=0160  ESACC=c093  ESLIM=ffffffff  CR2=00000001\n"
+      "FS=0000  FSACC=****  FSLIM=********\n"
+      "GS=0000  GSACC=****  GSLIM=********\n"
+      "\n"
+      "The system detected an internal processing error at\n"
+      "location ##0168:fff1e3f3 - 000e:c3f3.\n"
+      "60000, 9084\n"
+      "\n"
+      "068606a0\n"
+      "Internal revision 14.097_UNI\n"
+      "\n"
+      "The system is stopped. Record all of the above information and\n"
+      "contact your service representative.\n",
+
+      /* Warp 4.52+, typical JFS problem. */
+      "Exeption in module: JFS\n"
+      "TRAP 0003       ERRCD=0000  ERACC=****  ERLIM=********\n"
+      "EAX=00000000  EBX=ffffff05  ECX=00000001  EDX=f5cd8010\n"
+      "ESI=000000e6  EDI=000000e7  EBP=f9c7378e  FLG=00002296\n"
+      "CS:EIP=0168:f8df3250  CSACC=c09b  CSLIM=ffffffff\n"
+      "SS:ESP=1550:fdc73778  SSACC=c093  SSLIM=ffffffff\n"
+      "DS=0160  DSACC=c093  DSLIM=ffffffff  CR0=80010016\n"
+      "ES=0160  ESACC=c093  DSLIM=ffffffff  CR2=05318000\n"
+      "FS=03c0  FSACC=0093  DSLIM=00000023\n"
+      "GS=0160  GSACC=c093  DSLIM=ffffffff\n"
+      "\n"
+      "The system detected an internal processing error\n"
+      "at location ##0168:fff1e2ab - 000e:c2ab.\n"
+      "60000, 9084\n"
+      "\n"
+      "07860695\n"
+      "\n"
+      "Internal revision 14.100c_UNI\n"
+      "\n"
+      "The system is stopped. Record all of the above information and\n"
+      "contact your service representative.\n"
+    };
+
+  i = random() % countof(os2_panics);
+  panic_msg = os2_panics[i];
+
+  XGetWindowAttributes(dpy, window, &xgwa);
+  fontname = get_string_resource((xgwa.height > 1000 
+                                  ? "OS2.font3" : xgwa.height > 600
+                                  ? "OS2.font2" : "OS2.font"),
+                                 "OS2.Font");
+  if (!fontname || !*fontname) 
+    fontname = (char *)def_font;
+  font = XLoadQueryFont(dpy, fontname);
+  if (!font) 
+    font = XLoadQueryFont(dpy, def_font);
+  if (!font) 
+    exit(-1);
+  if (fontname && fontname != def_font)
+    free(fontname);
+
+  gcv.font = font->fid;
+  gcv.foreground = get_pixel_resource("OS2.foreground",
+                                      "OS2.Foreground",
+                                      dpy, xgwa.colormap);
+  gcv.background = get_pixel_resource("OS2.background",
+                                      "OS2.Background",
+                                      dpy, xgwa.colormap);
+  XSetWindowBackground(dpy, window, gcv.background);
+  XClearWindow(dpy, window);
+
+  gc = XCreateGC(dpy, window, GCFont|GCForeground|GCBackground, &gcv);
+
+  /* draw the text, calc the cursor location and make it blink. */
+  line_height = font->ascent + font->descent;
+  draw_string(dpy, window, gc, &gcv, font, 0, 0, 10, 10, panic_msg, 0);
+
+  y = line_height * 2;
+  str = panic_msg - 1;
+  while ((str = strchr(str + 1, '\n')) != NULL)
+    y += line_height;
+
+  start = time((time_t *) 0);
+  while (start + delay > time((time_t *) 0))
+    {
+      XDrawImageString(dpy, window, gc, 0, y, "_", 1);
+      XSync(dpy, False);
+      usleep(200000L);
+      XDrawImageString(dpy, window, gc, 0, y, "  ", 2);
+      XSync(dpy, False);
+      usleep(200000L);
+      if (bsod_sleep(dpy, 0))
+        break;
+    }
+
+  XFreeGC(dpy, gc);
+  XSync(dpy, False);
+  XClearWindow(dpy, window);
+  XFreeFont(dpy, font);
+}
+
+
 
 
 char *progclass = "BSOD";
@@ -3527,11 +3804,14 @@
   "*doVMS:		   True",
   "*doHVX:		   True",
   "*doMSDOS:		   True",
+  "*doOS2:		   True",
 
   ".Windows.font:	   -*-courier-bold-r-*-*-*-120-*-*-m-*-*-*",
   ".Windows.font2:	   -*-courier-bold-r-*-*-*-180-*-*-m-*-*-*",
   ".Windows.foreground:	   White",
   ".Windows.background:	   #0000AA",    /* EGA color 0x01. */
+  ".windowsLH.background:  #AA0000",    /* EGA color 0x04. */
+  ".windowsLH.background2: #AAAAAA",    /* EGA color 0x07. */
 
   ".Amiga.font:		   -*-courier-bold-r-*-*-*-120-*-*-m-*-*-*",
   ".Amiga.font2:	   -*-courier-bold-r-*-*-*-180-*-*-m-*-*-*",
@@ -3631,6 +3911,12 @@
   ".MSDOS.foreground:	   White",
   ".MSDOS.background:	   Black",
 
+  ".OS2.font:		   -*-courier-bold-r-*-*-*-120-*-*-m-*-*-*",
+  ".OS2.font2:		   -*-courier-bold-r-*-*-*-180-*-*-m-*-*-*",
+  ".OS2.font3:		   -*-courier-bold-r-*-*-*-240-*-*-m-*-*-*",
+  ".OS2.foreground:	   White",
+  ".OS2.background:	   Black",
+
   ANALOGTV_DEFAULTS
 
 #ifdef HAVE_XSHM_EXTENSION
@@ -3690,6 +3976,8 @@
   { "-no-vms",		".doVMS",		XrmoptionNoArg,  "False" },
   { "-msdos",		".doMSDOS",		XrmoptionNoArg,  "True"  },
   { "-no-msdos",	".doMSDOS",		XrmoptionNoArg,  "False" },
+  { "-os2",		".doOS2",		XrmoptionNoArg,  "True"  },
+  { "-no-os2",		".doOS2",		XrmoptionNoArg,  "False" },
   ANALOGTV_OPTIONS
   { 0, 0, 0, 0 }
 };
@@ -3722,6 +4010,7 @@
   { "Tru64",		tru64 },
   { "Apple2",		apple2crash },
   { "VMS",		vms },
+  { "OS2",		os2 },
   { "MSDOS",		msdos },
 };
 
@@ -3768,7 +4057,7 @@
       int count = countof(all_modes);
       char name[100], class[100];
 
-      if (only > 0)
+      if (only >= 0)
         i = only;
       else
         do {  i = (random() & 0xFF) % count; } while (i == j);

=== modified file 'hacks/bsod.man'
--- hacks/bsod.man	2005-04-09 00:06:43 +0000
+++ hacks/bsod.man	2005-12-08 16:00:22 +0000
@@ -28,7 +28,7 @@
 steps through a set of screens, each one a recreation of a different failure
 mode of an operating system.  Systems depicted include
 Windows 3.1, Windows 95, Windows NT, MS-DOS, AmigaDOS 1.3, Linux,
-SCO UNIX, BSD UNIX, HPUX, Solaris, Tru64, VMS, HVX/GCOS6, IBM OS/390, 
+SCO UNIX, BSD UNIX, HPUX, Solaris, Tru64, VMS, HVX/GCOS6, IBM OS/390, OS/2,
 MacOS (MacsBug, Bomb, Sad Mac, and OSX), Atari ST, Apple ][+, and
 NCD X Terminals.
 .PP
@@ -91,6 +91,7 @@
 .BR doTru64 ,
 .BR doVMS ,
 .BR doMSDOS ,
+.BR doOS2 ,
 and
 .BR doHVX .
 Each of these is a Boolean resource, they all default to true, except
@@ -118,7 +119,8 @@
 registered trademark of Apple Computer.  Amiga is a registered trademark of
 Amiga International, Inc.  Atari ST is probably a trademark, too, but it's
 hard to tell who owns it.  Linux is a registered trademark of Linus Torvalds,
-but it isn't his fault.
+but it isn't his fault. OS/2 is a registered trademark of International 
+Business Machines Corporation.
 .SH COPYRIGHT
 Copyright \(co 1998-2003 by Jamie Zawinski.  Permission to use, copy, modify, 
 distribute, and sell this software and its documentation for any purpose is 

=== modified file 'hacks/bubbles.man'
--- hacks/bubbles.man	2005-04-09 00:06:43 +0000
+++ hacks/bubbles.man	2006-06-30 16:27:21 +0000
@@ -16,7 +16,7 @@
 bubbles - frying pan / soft drink simulation
 .SH SYNOPSIS
 .B bubbles
-[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-simple] [\-broken] [\-3D]
+[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-simple] [\-broken] [\-3D] [\-rise|\-drop] [-trails]
 .SH DESCRIPTION
 \fIBubbles\fP sprays lots of little random bubbles all over the window which
 then grow until they reach their maximum size and go pop.  The inspiration
@@ -53,7 +53,7 @@
 .TP 8
 .B \-delay microseconds
 How much of a delay should be introduced between steps of the animation.
-Default 1, or about 1 microsecond.  Actually, this is the delay between each
+Default 800, or about 800 microsecond.  Actually, this is the delay between each
 group of 15 new bubbles since such a delay between each step results in a
 very slow animation rate.
 .TP 8
@@ -81,6 +81,10 @@
 .B \-quiet
 Don't print messages explaining why one or several command line options
 were ignored.  This is disabled by default.
+.TP 8
+.B \-rise | \-drop 
+.TP 8
+.B \-trails
 .SH NOTES
 If you find the pace of things too slow, remember that there is a delay
 even though you specify no \fI\-delay\fP option.  Try using \fI\-nodelay\fP

=== modified file 'hacks/bumps.man'
--- hacks/bumps.man	2002-04-07 12:17:37 +0000
+++ hacks/bumps.man	2005-12-08 16:00:22 +0000
@@ -3,9 +3,15 @@
 bumps - move distorting spotlight around desktop
 .SH SYNOPSIS
 .B bumps
-[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP]
-[\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install]
-[\-visual \fIvisual\fP] [\-delay \fIusecs\fP] [\-radius \fIpixels\fP]
+[\-display \fIhost:display.screen\fP]
+[\-foreground \fIcolor\fP]
+[\-background \fIcolor\fP]
+[\-window]
+[\-root]
+[\-mono]
+[\-install]
+[\-visual \fIvisual\fP]
+[\-delay \fIusecs\fP]
 .SH DESCRIPTION
 The \fIbumps\fP program takes an image and exposes small, distorted
 sections of it as if through an odd wandering spotlight beam.
@@ -40,9 +46,6 @@
 .TP 8
 .B \-delay \fImicroseconds\fP
 Slow it down.
-.TP 8
-.B \-radius \fIpixels\fP
-Radius of the spotlight in pixels.
 .SH ENVIRONMENT
 .PP
 .TP 8

=== added file 'hacks/celtic.c'
--- hacks/celtic.c	1970-01-01 00:00:00 +0000
+++ hacks/celtic.c	2006-06-30 16:27:21 +0000
@@ -0,0 +1,1060 @@
+/* celtic, Copyright (c) 2006 Max Froumentin <max@lapin-bleu.net>
+ *
+ * Permission to use, copy, modify, distribute, and sell this software and its
+ * documentation for any purpose is hereby granted without fee, provided that
+ * the above copyright notice appear in all copies and that both that
+ * copyright notice and this permission notice appear in supporting
+ * documentation.  No representations are made about the suitability of this
+ * software for any purpose.  It is provided "as is" without express or 
+ * implied warranty.
+ *
+ * A celtic pattern programme inspired by "Les Entrelacs Celtes", by
+ * Christian Mercat, Dossier Pour La Science, no. 47, april/june 2005.
+ * See <http://www.entrelacs.net/>
+ */
+
+#include <math.h>
+#include <assert.h>
+#include "screenhack.h"
+#include "erase.h"
+
+#define SQRT_3 1.73205080756887729352
+
+/*-----------------------------------------*/
+Display *dpy;
+Window window;
+int ncolors;
+XColor *colors;
+GC gc,shadow_gc,gc_graph;
+
+struct params {
+  unsigned long curve_width, shadow_width;
+  double shape1, shape2;
+  unsigned long margin;
+
+  enum graph_type { polar, grid, kennicott, triangle } type;
+  unsigned long edge_size;
+  unsigned long cluster_size; /* only used if type is kennicott */
+  unsigned long delay;        /* controls curve drawing speed (step delay 
+			       * in microsecs) */
+  unsigned long nsteps; /* only if triangle: number of subdivisions along the side */
+  unsigned long nb_orbits;          /* only used if type is polar */
+  unsigned long nb_nodes_per_orbit; /* only used if type is polar */
+
+  double angle; /* angle of rotation of the graph around the centre */
+} params;
+
+
+/*-----------------------------------------*/
+typedef enum direction {
+  CLOCKWISE=0, ANTICLOCKWISE=1
+} Direction;
+
+
+/*-----------------------------------------*/
+typedef struct array {
+  int nb_elements;
+  int nb_allocated_elements;
+  int increment;
+  void **elements;
+} *Array;
+
+static Array array_new(int increment)
+{
+  Array new;
+  assert(new=(Array)calloc(1,sizeof(struct array)));
+  new->nb_elements=0;
+  new->nb_allocated_elements=0;
+  new->increment=increment;
+  return new;
+}
+
+static void array_del(Array a, void (*free_element)(void*))
+{
+  int i;
+  if (free_element) 
+    for (i=0;i<a->nb_elements;i++) 
+      free_element(a->elements[i]);
+  free(a->elements);
+  free(a);
+}
+
+static void array_add_element(Array a, void *element)
+{
+  if (a->nb_elements == a->nb_allocated_elements) {
+    /* we must allocate more */
+    a->nb_allocated_elements+=a->increment;
+    a->elements=realloc(a->elements,a->nb_allocated_elements*sizeof(void *));
+  }
+  a->elements[a->nb_elements++]=element;
+}
+/*-----------------------------------------*/
+
+typedef struct node {
+  double x,y;
+  Array edges;
+} *Node;
+
+typedef struct edge {
+  Node node1, node2;
+  double angle1, angle2;
+} *Edge;
+
+/*-----------------------------------------*/
+/* Node functions */
+
+static Node node_new(double x, double y)
+{
+  Node new;
+  assert(new = (Node)calloc(1,sizeof(struct node)));
+  new->x=x;
+  new->y=y;
+  new->edges = array_new(10);
+  return new;
+}
+
+static void node_del(void *n) 
+{ /* not Node * because the function is passed to array_del */
+  array_del(((Node)n)->edges,NULL);
+  free(n);
+}
+
+#if 0
+static void node_to_s(Node n, FILE *f) 
+{
+  fprintf(f,"Node: %g %g\n",n->x,n->y);
+}
+#endif
+
+static void node_draw(Node n)
+{
+  XDrawArc(dpy,window,gc_graph,(int)rint(n->x)-5,(int)rint(n->y)-5,10,10,0,360*64);
+}
+  
+static void node_add_edge(Node n, Edge e)
+{
+  array_add_element(n->edges,e);
+}
+
+
+/*-----------------------------------------*/
+/* Edge functions */
+
+static Edge edge_new(Node n1, Node n2)
+{
+  Edge new; 
+  assert(new = (Edge)calloc(1,sizeof(struct edge)));
+  new->node1=n1;
+  new->node2=n2;
+  new->angle1=atan2(new->node2->y - new->node1->y, new->node2->x - new->node1->x);
+  if (new->angle1 < 0) new->angle1+=6.28;
+
+  new->angle2=atan2(new->node1->y - new->node2->y, new->node1->x - new->node2->x);
+  if (new->angle2 < 0) new->angle2+=6.28;
+  return new;
+}
+
+static void edge_del(void *e) /* not Edge * because the function is passed to array_del */
+{
+  free(e);
+}
+
+#if 0
+static void edge_to_s(Edge e, FILE *f)
+{
+  fprintf(f,"Edge: (%g, %g), (%g, %g) angles: %g, %g\n",
+	  e->node1->x, e->node1->y, e->node2->x, e->node2->y,
+	  e->angle1, e->angle2);
+}
+#endif
+
+static void edge_draw(Edge e)
+{
+  XDrawLine(dpy,window,gc_graph, e->node1->x, e->node1->y, e->node2->x, e->node2->y);
+}
+
+static double edge_angle(Edge e, Node n)
+{
+  /* returns the angle of the edge at Node n */
+  assert(n==e->node1 || n==e->node2);
+  if (n==e->node1) return e->angle1; else return e->angle2;
+}
+
+static Node edge_other_node(Edge e, Node n)
+{
+  assert(n==e->node1 || n==e->node2);
+  if (n==e->node1) return e->node2; else return e->node1;
+}
+
+static double edge_angle_to(Edge e, Edge e2, Node node, Direction direction)
+{
+  /* returns the absolute angle from this edge to "edge2" around
+     "node" following "direction" */
+  double a;
+
+  if (direction==CLOCKWISE)
+    a=edge_angle(e,node) - edge_angle(e2,node);
+  else
+    a=edge_angle(e2,node) - edge_angle(e,node);
+
+  if (a<0) return a+2*M_PI; else return a;
+}
+
+/*-----------------------------------------*/
+
+typedef struct graph {
+  Array nodes;
+  Array edges;
+} *Graph;
+
+static Graph graph_new(void)
+{
+  Graph new;
+  assert(new = (Graph)calloc(1,sizeof(struct graph)));
+  new->nodes = array_new(100);
+  new->edges = array_new(100);
+  return new;
+}
+
+static void graph_del(Graph g)
+{
+  array_del(g->nodes, &node_del);
+  array_del(g->edges, &edge_del);
+  free(g);
+}
+
+
+static void graph_add_node(Graph g, Node n)
+{
+  array_add_element(g->nodes, n);
+}
+
+static void graph_add_edge(Graph g, Edge e)
+{
+  array_add_element(g->edges, e);
+  
+  /* for each node n of e, add n to pointer e */
+  node_add_edge(e->node1, e);
+  node_add_edge(e->node2, e);
+}
+
+static Edge graph_next_edge_around(Graph g, Node n, Edge e, Direction direction)
+{
+  /* return the next edge after e around node n clockwise */
+  double angle, minangle=20;
+  Edge next_edge = e, edge;
+  int i;
+
+  for (i=0;i<n->edges->nb_elements;i++) {
+    edge=n->edges->elements[i];
+    if (edge != e) {
+      angle = edge_angle_to(e,edge,n,direction);
+      if (angle < minangle) {
+	next_edge=edge;
+	minangle=angle;
+      }
+    }
+  }
+  return next_edge;
+}
+  
+#if 0
+static void graph_to_s(Graph g, FILE *f)
+{
+  int i;
+  for (i=0;i<g->nodes->nb_elements;i++) 
+    node_to_s(g->nodes->elements[i],f);
+  for (i=0;i<g->edges->nb_elements;i++)
+    edge_to_s(g->edges->elements[i],f);
+}
+#endif
+
+static void graph_draw(Graph g)
+{
+  int i;
+  
+  for (i=0;i<g->nodes->nb_elements;i++) 
+    node_draw(g->nodes->elements[i]);
+  for (i=0;i<g->edges->nb_elements;i++)
+    edge_draw(g->edges->elements[i]);
+  XSync(dpy,False);
+}
+
+static void graph_rotate(Graph g, double angle, int cx, int cy)
+{
+  /* rotate all the nodes of the graph around the centre */
+  int i; 
+  float c=cos(angle),s=sin(angle),x,y;
+  Node n;
+  for (i=0;i<g->nodes->nb_elements;i++) {
+    n=g->nodes->elements[i];
+    x=n->x; y=n->y;
+    n->x = (x-cx)*c-(y-cy)*s + cx;
+    n->y = (x-cx)*s+(y-cy)*c + cy;
+  }
+}
+
+
+/*---------------------------*/
+
+static Graph make_polar_graph(int xmin, int ymin, int width, int height, 
+		       int nbp, /* number of points on each orbit */
+		       int nbo /* number of orbits */)
+     /* make a simple grid graph, with edges present or absent randomly */
+{
+  int cx = width/2+xmin, cy=height/2+ymin; /* centre */
+  int os = (width<height?width:height)/(2*nbo); /* orbit height */
+  Graph g;
+  Node *grid;
+  int o,p;
+
+  /* generate nodes */
+  assert(grid=(Node*)calloc(1+nbp*nbo,sizeof(Node)));
+  assert(g=graph_new());
+  
+  graph_add_node(g, grid[0]=node_new((double)cx,(double)cy));
+
+  for (o=0;o<nbo;o++)
+    for (p=0;p<nbp;p++)
+      graph_add_node(g,
+		     grid[1+o*nbp+p]=node_new(cx+(o+1)*os*sin(p*2*M_PI/nbp), 
+					      cy+(o+1)*os*cos(p*2*M_PI/nbp)));
+
+
+  /* generate edges */
+  for (o=0;o<nbo;o++)
+    for (p=0;p<nbp;p++) {
+      if (o==0) /* link first orbit nodes with centre */
+	graph_add_edge(g,edge_new(grid[1+o*nbp+p],grid[0]));
+      else /* liink orbit nodes with lower orbit */
+      	graph_add_edge(g,edge_new(grid[1+o*nbp+p],grid[1+(o-1)*nbp+p]));
+      /* link along orbit */
+      graph_add_edge(g,edge_new(grid[1+o*nbp+p],
+				grid[1+o*nbp+(p+1)%nbp]));
+    }
+
+  free(grid);
+  return g;
+}
+
+
+static Graph make_grid_graph(int xmin, int ymin, int width, int height, int step)
+     /* make a simple grid graph */
+{
+  Graph g;
+  int row,col,x,y;
+  int size=(width<height?height:width);
+
+  /* empirically, it seems there are 2 curves only if both
+     nbcol and nbrow are even, so we round them to even */
+  int nbcol=(2+size/step)/2*2, nbrow=(2+size/step)/2*2;
+
+  Node *grid;
+  assert(grid=(Node*)calloc(nbrow*nbcol,sizeof(Node)));
+  assert(g=graph_new());
+
+
+  /* adjust xmin and xmax so that the grid is centered */
+  xmin+=(width-(nbcol-1)*step)/2; 
+  ymin+=(height-(nbrow-1)*step)/2;
+
+  /* create node grid */
+  for (row=0;row<nbrow;row++)
+    for (col=0;col<nbcol;col++) {
+      x=col*step+xmin;
+      y=row*step+ymin;
+      grid[row+col*nbrow]=node_new((double)x, (double)y);
+      graph_add_node(g, grid[row+col*nbrow]);
+    }
+
+  /* create edges */
+  for (row=0;row<nbrow;row++)
+    for (col=0;col<nbcol;col++) {
+      if (col!=nbcol-1)
+	graph_add_edge(g,edge_new(grid[row+col*nbrow],
+				  grid[row+(col+1)*nbrow]));
+      if (row!=nbrow-1)
+	graph_add_edge(g,edge_new(grid[row+col*nbrow],grid[row+1+col*nbrow]));
+      if (col!=nbcol-1 && row!=nbrow-1) {
+	  graph_add_edge(g,edge_new(grid[row+col*nbrow],
+				    grid[row+1+(col+1)*nbrow]));
+	  graph_add_edge(g,edge_new(grid[row+1+col*nbrow],
+				    grid[row+(col+1)*nbrow]));
+      }
+    }
+
+  free(grid);
+  
+  return g;
+}
+
+
+static Graph make_triangle_graph(int xmin, int ymin, int width, int height, int edge_size)
+{
+  Graph g;
+  Node *grid;
+  int row,col;
+  double L=(width<height?width:height)/2.0; /* circumradius of the triangle */
+  double cx=xmin+width/2.0, cy=ymin+height/2.0; /* centre of the triangle */
+  double p2x=cx-L*SQRT_3/2.0, p2y=cy+L/2.0; /* p2 is the bottom left vertex */
+  double x,y;
+  int nsteps=3*L/(SQRT_3*edge_size);
+
+  assert(grid=(Node*)calloc((nsteps+1)*(nsteps+1),sizeof(Node)));
+  assert(g=graph_new());
+
+  /* create node grid */
+  for (row=0;row<=nsteps;row++)
+    for (col=0;col<=nsteps;col++) 
+      if (row+col<=nsteps) {
+        x=p2x+col*L*SQRT_3/nsteps + row*L*SQRT_3/(2*nsteps);
+        y=p2y-row*3*L/(2*nsteps);
+        grid[col+row*(nsteps+1)]=node_new((double)x, (double)y);
+        graph_add_node(g, grid[col+row*(nsteps+1)]);
+      }
+
+  /* create edges */
+  for (row=0;row<nsteps;row++)
+    for (col=0;col<nsteps;col++)
+      if (row+col<nsteps) { 
+          /* horizontal edges */
+          graph_add_edge(g,edge_new(grid[row+col*(nsteps+1)],grid[row+(col+1)*(nsteps+1)]));
+          /* vertical edges */
+          graph_add_edge(g,edge_new(grid[row+col*(nsteps+1)],grid[row+1+col*(nsteps+1)]));
+          /* diagonal edges */
+          graph_add_edge(g,edge_new(grid[row+1+col*(nsteps+1)],grid[row+(col+1)*(nsteps+1)]));
+      }
+
+  free(grid);
+  return g;
+  
+}
+
+
+static Graph make_kennicott_graph(int xmin, int ymin, int width, int height, int step,
+                           int cluster_size)
+     /* make a graph inspired by one of the motifs from the Kennicott bible */
+     /* square grid of clusters of the shape  /|\
+      *                                       ---
+      *                                       \|/
+      * cluster_size is the length of an edge of a cluster
+      */
+{
+  Graph g;
+  int row,col,x,y;
+  int size=width<height?height:width;
+  int nbcol=(1+size/step)/2*2, nbrow=(1+size/step)/2*2;
+  Node *grid;
+
+  /* there are 5 nodes by for each cluster */
+  assert(grid=(Node*)calloc(5*nbrow*nbcol,sizeof(Node)));
+  assert(g=graph_new());
+
+  /* adjust xmin and xmax so that the grid is centered */
+  xmin+=(width-(nbcol-1)*step)/2; 
+  ymin+=(height-(nbrow-1)*step)/2;
+
+  /* create node grid */
+  for (row=0;row<nbrow;row++)
+    for (col=0;col<nbcol;col++) {
+      int ci=5*(row+col*nbrow);
+      x=col*step+xmin;
+      y=row*step+ymin;
+
+      /* create a cluster centred on x,y */
+      grid[ci  ]=node_new((double)x, (double)y);
+      grid[ci+1]=node_new((double)(x+cluster_size), (double)y);
+      grid[ci+2]=node_new((double)x, (double)(y-cluster_size));
+      grid[ci+3]=node_new((double)(x-cluster_size), (double)y);
+      grid[ci+4]=node_new((double)x, (double)(y+cluster_size));
+
+      graph_add_node(g, grid[ci]);
+      graph_add_node(g, grid[ci+1]);
+      graph_add_node(g, grid[ci+2]);
+      graph_add_node(g, grid[ci+3]);
+      graph_add_node(g, grid[ci+4]);
+
+      /* internal edges */
+      graph_add_edge(g,edge_new(grid[ci], grid[ci+1]));      
+      graph_add_edge(g,edge_new(grid[ci], grid[ci+2]));
+      graph_add_edge(g,edge_new(grid[ci], grid[ci+3]));
+      graph_add_edge(g,edge_new(grid[ci], grid[ci+4]));
+      graph_add_edge(g,edge_new(grid[ci+1], grid[ci+2]));      
+      graph_add_edge(g,edge_new(grid[ci+2], grid[ci+3]));
+      graph_add_edge(g,edge_new(grid[ci+3], grid[ci+4]));
+      graph_add_edge(g,edge_new(grid[ci+4], grid[ci+1]));
+
+    }
+
+  /* create inter-cluster edges */
+  for (row=0;row<nbrow;row++)
+    for (col=0;col<nbcol;col++) {
+      if (col!=nbcol-1)
+        /* horizontal edge from edge 1 of cluster (row, col) to edge 3
+         * of cluster (row,col+1) */
+        graph_add_edge(g,edge_new(grid[5*(row+col*nbrow)+1],grid[5*(row+(col+1)*nbrow)+3]));
+      if (row!=nbrow-1)
+        /* vertical edge from edge 4 of cluster (row, col) to edge 2
+         * of cluster (row+1,col) */
+        graph_add_edge(g,edge_new(grid[5*(row+col*nbrow)+4],
+                                  grid[5*(row+1+col*nbrow)+2]));
+    }
+  free(grid);
+  return g;
+}
+
+/*---------------------------*/
+typedef struct spline_segment {
+  double x1,y1,x2,y2,x3,y3,x4,y4;
+} *SplineSegment;
+
+typedef struct spline {
+  Array segments; /* array of SplineSegment */
+  int color;
+} *Spline;
+
+static Spline spline_new(int color)
+{
+  Spline new=(Spline)calloc(1,sizeof(struct spline));
+  new->segments=array_new(30);
+  new->color=color;
+  return new;
+}
+
+static void spline_del(void *s)
+{
+  array_del(((Spline)s)->segments,&free);
+  free(s);
+}
+
+static void spline_add_segment(Spline s,
+                        double x1, double y1, double x2, double y2, 
+                        double x3, double y3, double x4, double y4)
+{
+  SplineSegment ss=(SplineSegment)calloc(1,sizeof(struct spline_segment));
+  ss->x1=x1;  ss->x2=x2;  ss->x3=x3;  ss->x4=x4;
+  ss->y1=y1;  ss->y2=y2;  ss->y3=y3;  ss->y4=y4;
+  array_add_element(s->segments,ss);
+}
+
+#if 0
+static void spline_to_s(Spline s, FILE *f)
+{
+  int i;
+  SplineSegment ss;
+  fprintf(f,"Spline: \n");
+  for (i=0;i<s->segments->nb_elements;i++) {
+    ss=s->segments->elements[i];
+    fprintf(f," - segment %d: (%g, %g),(%g, %g),(%g, %g),(%g, %g)\n",
+            i,ss->x1,ss->y1,ss->x2,ss->y2,ss->x3,ss->y3,ss->x4,ss->y4);
+  }
+}
+#endif
+
+static void spline_value_at(Spline s, double *x, double *y, double t, int *segment)
+{
+  int si;
+  double tt;
+  SplineSegment ss;
+  si = floor(t*s->segments->nb_elements);
+  tt = t*s->segments->nb_elements - si;
+  assert(tt>=0 && tt<1);
+  ss=s->segments->elements[si];
+
+  *x = ss->x1*(1-tt)*(1-tt)*(1-tt)+3*ss->x2*tt*(1-tt)*(1-tt)+3*ss->x3*tt*tt*(1-tt)+ss->x4*tt*tt*tt;
+  *y = ss->y1*(1-tt)*(1-tt)*(1-tt)+3*ss->y2*tt*(1-tt)*(1-tt)+3*ss->y3*tt*tt*(1-tt)+ss->y4*tt*tt*tt;
+
+  *segment=si;
+}
+
+/*---------------------------*/
+typedef struct edge_couple {
+  int **array;
+  int size;
+} *EdgeCouple;
+
+static EdgeCouple edge_couple_new(int nb_edges) {
+  int i;
+  EdgeCouple new = (EdgeCouple)calloc(1,sizeof(struct edge_couple));
+  new->array = (int **)calloc(nb_edges, sizeof(int*));
+  new->size = nb_edges;
+
+  for (i=0;i<nb_edges;i++) {
+    new->array[i]=(int *)calloc(2,sizeof(int));
+    new->array[i][CLOCKWISE]=0;
+    new->array[i][ANTICLOCKWISE]=0;
+  }
+  return new;
+}
+
+static void edge_couple_del(EdgeCouple e)
+{
+  int i;
+  for (i=0;i<e->size;i++) free(e->array[i]);
+  free(e->array);
+  free(e);
+}
+    
+/*---------------------------*/
+
+typedef struct pattern {
+  double shape1, shape2;
+  EdgeCouple ec;
+  Graph graph;
+  Array splines;
+  int ncolors;
+} *Pattern;
+
+static Pattern pattern_new(Graph g, int ncolors, double shape1, double shape2)
+{
+  Pattern new;
+  assert(new=(Pattern)calloc(1,sizeof(struct pattern)));
+  new->shape1=shape1;
+  new->shape2=shape2;
+  new->graph=g;
+  new->ec=edge_couple_new(g->edges->nb_elements);
+  new->splines=array_new(10);
+  new->ncolors=ncolors;
+  return new;
+}
+
+static void pattern_del(Pattern p)
+{
+  edge_couple_del(p->ec);
+  array_del(p->splines,&spline_del);
+  free(p);
+}
+
+static void pattern_edge_couple_set(Pattern p, Edge e, Direction d, int value) 
+{
+  int i;
+  for (i=0;i<p->graph->edges->nb_elements;i++)
+    if (p->graph->edges->elements[i]==e) {
+      p->ec->array[i][d]=value;
+      return;
+    }
+}
+
+static void pattern_draw_spline_direction(Pattern p, Spline s,
+                                   Node node, Edge edge1, Edge edge2, 
+                                   Direction direction)
+{
+  double x1=(edge1->node1->x+edge1->node2->x)/2.0;
+  double y1=(edge1->node1->y+edge1->node2->y)/2.0;
+
+  /* P2 (x2,y2) is the middle point of edge1 */
+  double x4=(edge2->node1->x+edge2->node2->x)/2.0;
+  double y4=(edge2->node1->y+edge2->node2->y)/2.0;
+  
+  double alpha=edge_angle_to(edge1,edge2,node,direction)*p->shape1;
+  double beta=p->shape2;
+  
+  double i1x,i1y,i2x,i2y,x2,y2,x3,y3;
+  
+  if (direction == ANTICLOCKWISE) {
+    /* I1 must stick out to the left of NP1 and I2 to the right of NP4 */
+    i1x =  alpha*(node->y-y1)+x1;
+    i1y = -alpha*(node->x-x1)+y1;
+    i2x = -alpha*(node->y-y4)+x4;
+    i2y =  alpha*(node->x-x4)+y4;
+    x2 =  beta*(y1-i1y) + i1x;
+    y2 = -beta*(x1-i1x) + i1y;
+    x3 = -beta*(y4-i2y) + i2x;
+    y3 =  beta*(x4-i2x) + i2y;
+  }
+  else {
+    /* I1 must stick out to the left of NP1 and I2 to the right of NP4 */
+    i1x = -alpha*(node->y-y1)+x1;
+    i1y =  alpha*(node->x-x1)+y1;
+    i2x =  alpha*(node->y-y4)+x4;
+    i2y = -alpha*(node->x-x4)+y4;
+    x2 = -beta*(y1-i1y) + i1x;
+    y2 =  beta*(x1-i1x) + i1y;
+    x3 =  beta*(y4-i2y) + i2x;
+    y3 = -beta*(x4-i2x) + i2y;
+  }
+
+  spline_add_segment(s,x1,y1,x2,y2,x3,y3,x4,y4);
+}
+
+static int pattern_next_unfilled_couple(Pattern p, Edge *e, Direction *d)
+{
+  int i;
+  for (i=0;i<p->ec->size;i++) {
+    if (p->ec->array[i][CLOCKWISE]==0) {
+      *e=p->graph->edges->elements[i];
+      *d=CLOCKWISE;
+      return 1;
+    }
+    else if (p->ec->array[i][ANTICLOCKWISE]==0) {
+      *e=p->graph->edges->elements[i];
+      *d=ANTICLOCKWISE;
+      return 1;
+    }
+  }
+  return 0;
+}
+
+static void pattern_make_curves(Pattern p)
+{
+  int i;
+  Edge current_edge, first_edge, next_edge;
+  Node current_node, first_node;
+  Direction current_direction, first_direction;
+  Spline s;
+
+  i=0;
+  while (pattern_next_unfilled_couple(p, &first_edge, &first_direction)) {
+    /* start a new loop */
+    s=spline_new(random()%(p->ncolors-2)+2);
+    array_add_element(p->splines, s);
+
+    current_edge=first_edge;
+    current_node=first_node=current_edge->node1;
+    current_direction=first_direction;
+
+    do {
+      pattern_edge_couple_set(p, current_edge, current_direction, 1);
+      next_edge = graph_next_edge_around(p->graph,current_node,current_edge,current_direction);
+
+      /* add the spline segment to the spline */
+      pattern_draw_spline_direction(p,s,current_node,
+                                    current_edge,next_edge,current_direction);
+      
+      /* cross the edge */
+      current_edge = next_edge;
+      current_node = edge_other_node(next_edge, current_node);
+      current_direction=1-current_direction;
+
+    } while (current_node!=first_node || current_edge!=first_edge || current_direction!=first_direction);
+
+    if (s->segments->nb_elements==2) /* spline is just one point: remove it */
+      p->splines->elements[p->splines->nb_elements-1]=NULL;
+      
+  }
+}
+
+static void pattern_animate(Pattern p, unsigned long delay)
+{
+  double t,t2;
+  double x,y,x2,y2,x3,y3,x4,y4;
+  int i,segment,unused;
+  int ticks = 0;
+  double step=0.0001; /* TODO: set the step (or the delay) as a
+                        * function of the spline length, so that
+                        * drawing speed is constant
+                        */
+  Spline s;
+
+  XSetLineAttributes(dpy,gc,params.curve_width,LineSolid,CapRound,JoinRound);
+  XSetLineAttributes(dpy,shadow_gc,params.shadow_width,LineSolid,CapRound,JoinRound);
+
+  for (t=0.0;t<1;t+=step) {
+    for (i=0;i<p->splines->nb_elements;i++) 
+      if ((s=p->splines->elements[i])) { /* skip if one-point spline */
+        spline_value_at(s, &x, &y, fmod(t,1.0),&segment);
+        spline_value_at(s, &x2, &y2, fmod(t+step,1.0),&unused);
+        
+        /* look ahead for the shadow segment */
+        t2=t+step;
+        if (t2<=1.0) {
+          spline_value_at(s, &x3, &y3, fmod(t2,1.0),&unused);
+          while (t2+step<1.0 && (x3-x2)*(x3-x2)+(y3-y2)*(y3-y2) < params.shadow_width*params.shadow_width) {
+            t2+=step;
+            spline_value_at(s, &x3, &y3, fmod(t2,1.0),&unused);
+          }
+          
+          spline_value_at(s, &x4, &y4, fmod(t2+step,1.0),&unused);
+          
+          /* draw shadow line */
+          XDrawLine(dpy,window,shadow_gc, 
+                    (int)rint(x3),(int)rint(y3), 
+                    (int)rint(x4),(int)rint(y4));
+        } 
+        /* draw line segment */
+        if (p->splines->nb_elements==1)
+          XSetForeground(dpy, gc, colors[segment%(p->ncolors-3)+2].pixel);
+        else
+          XSetForeground(dpy, gc, colors[s->color].pixel);
+        XDrawLine(dpy,window,gc,
+                  (int)rint(x),(int)rint(y),
+                  (int)rint(x2),(int)rint(y2));
+      }
+
+    if (++ticks > 100) {
+      XSync(dpy,False);
+      usleep(delay);
+      screenhack_handle_events (dpy);
+      ticks = 0;
+    }
+  }
+
+  /* at the end we redraw back to remove shadow spillage */
+  for (i=0;i<p->splines->nb_elements;i++) {
+    if ((s=p->splines->elements[i])) {
+      double offset=step;
+      XSetForeground(dpy, gc, colors[s->color].pixel);
+      spline_value_at(s, &x, &y, fmod(t,1.0),&unused);
+      
+      spline_value_at(s, &x2, &y2, fmod(t-offset,1.0),&unused);
+      
+      while ((x2-x)*(x2-x)+(y2-y)*(y2-y) < params.shadow_width*params.shadow_width) {
+        offset+=step;
+        spline_value_at(s, &x2, &y2, fmod(t-offset,1.0),&unused);
+      }
+      
+      XDrawLine(dpy,window,gc, (int)rint(x),(int)rint(y), (int)rint(x2),(int)rint(y2));
+    }
+  }
+  XSync(dpy,False);
+}
+
+/*======================================================================*/
+
+char *progclass = "Celtic";
+
+char *defaults[] = {
+    ".background: black",
+    ".foreground: grey20",
+    "*ncolors: 20",
+    "*delay: 10000",
+    "*delay2: 5",
+    "*showGraph: False",
+    0
+};
+
+XrmOptionDescRec options[] = {
+    {"-background", ".background", XrmoptionSepArg, 0},
+    {"-foreground", ".foreground", XrmoptionSepArg, 0},
+    {"-ncolors", ".ncolors", XrmoptionSepArg, 0},
+    {"-delay", ".delay", XrmoptionSepArg, 0},
+    {"-delay2", ".delay2", XrmoptionSepArg, 0},
+    {"-graph", ".showGraph", XrmoptionNoArg, "True"},
+    {0, 0, 0, 0}
+};
+
+#if 0
+static void params_to_s(FILE *f)
+{
+  switch (params.type) {
+  case polar: fprintf(f,"type: polar\n"); 
+    fprintf(f,"nb_orbits: %ld\n",params.nb_orbits);
+    fprintf(f,"nb_nodes_per_orbit: %ld\n",params.nb_nodes_per_orbit);
+    break;
+  case grid: fprintf(f,"type: grid\n"); 
+    fprintf(f,"edge_size: %ld\n",params.edge_size);
+    break;
+  case triangle: fprintf(f,"type: triangle\n"); 
+    fprintf(f,"edge_size: %ld\n",params.edge_size);
+    break;
+  case kennicott: 
+    fprintf(f,"type: kennicott\n"); 
+    fprintf(f,"edge_size: %ld\n",params.edge_size);
+    fprintf(f,"cluster_size: %ld\n",params.cluster_size);
+    break;
+  }
+
+  fprintf(f,"curve width: %ld\n",params.curve_width);
+  fprintf(f,"shadow width: %ld\n",params.shadow_width);
+  fprintf(f,"shape1: %g\n",params.shape1);
+  fprintf(f,"shape2: %g\n",params.shape2);
+  fprintf(f,"margin: %ld\n",params.margin);
+  fprintf(f,"angle: %g\n",params.angle);
+  fprintf(f,"delay: %ld\n",params.delay);
+}
+#endif
+
+#if 0
+static void colormap_to_s(int ncolors, XColor *colors)
+{
+  int i;
+  printf("-- colormap (%d colors):\n",ncolors);
+  for (i=0;i<ncolors;i++)
+    printf("%d: %d %d %d\n", i, colors[i].red, colors[i].green, colors[i].blue);
+  printf("----\n");
+}
+#endif
+
+
+
+void screenhack(Display * d, Window w)
+{
+  XGCValues gcv;
+  XWindowAttributes xgwa;
+  Bool showGraph=get_boolean_resource ("showGraph", "Boolean");
+  Pattern p;
+  Graph g;
+
+  dpy=d; window=w;
+  ncolors = get_integer_resource ("ncolors", "Integer");
+
+
+  XGetWindowAttributes (dpy, window, &xgwa);
+  assert(colors = (XColor *) calloc (ncolors,sizeof(XColor)));
+
+  if (get_boolean_resource("mono", "Boolean"))
+    {
+    MONO:
+      ncolors = 1;
+      colors[0].pixel = get_pixel_resource("foreground", "Foreground",
+                                           dpy, xgwa.colormap);
+    }
+  else
+    {
+#if 0
+      make_random_colormap (dpy, xgwa.visual, xgwa.colormap,
+                            colors, &ncolors, True, True, 0, True);
+#else
+      make_smooth_colormap (dpy, xgwa.visual, xgwa.colormap,
+                            colors, &ncolors, True, 0, True);
+#endif
+      if (ncolors < 2)
+        goto MONO;
+      else {
+        colors[0].pixel = get_pixel_resource("foreground", "Foreground",
+                                             dpy, xgwa.colormap);
+        colors[1].pixel = get_pixel_resource("background", "Background",
+                                             dpy, xgwa.colormap);
+      }
+    }
+
+  /* graphic context for curves */
+  gcv.foreground = colors[0].pixel;
+  gcv.background = colors[1].pixel;
+  gcv.line_width = params.curve_width;
+  gcv.cap_style=CapRound;
+  gc = XCreateGC (dpy, window, GCForeground|GCBackground|GCLineWidth|GCCapStyle, &gcv);
+  
+  /* graphic context for graphs */
+  gcv.foreground = colors[0].pixel;
+  gcv.background = colors[1].pixel;
+  gc_graph = XCreateGC (dpy, window, GCForeground|GCBackground, &gcv);
+  
+  /* graphic context for shadows */
+  gcv.foreground = colors[1].pixel;
+  gcv.line_width = params.shadow_width;
+  gcv.cap_style=CapRound;
+  shadow_gc = XCreateGC(dpy, window, GCForeground|GCLineWidth|GCCapStyle, &gcv);
+  
+  /*=======================================================*/
+
+  for (;;) {
+    params.curve_width=random()%5+4;
+    params.shadow_width=params.curve_width+4;
+    params.shape1=(15+random()%15)/10.0 -1.0;
+    params.shape2=(15+random()%15)/10.0 -1.0;
+    params.edge_size=10*(random()%5)+20;
+    params.delay=get_integer_resource("delay", "Delay");
+    params.angle=random()%360*2*M_PI/360;
+    params.margin=(random()%8)*100-600;
+    
+    switch (random()%4) {
+    case 0:
+      params.type=grid;
+      params.shape1=(random()%1*2-1.0)*(random()%10+3)/10.0;
+      params.shape2=(random()%1*2-1.0)*(random()%10+3)/10.0;
+      params.edge_size=10*(random()%5)+50;
+      break;
+    case 1:
+      params.type=kennicott;
+      params.shape1=(random()%20)/10.0 -1.0;
+      params.shape2=(random()%20)/10.0 -1.0;
+      params.edge_size=10*(random()%3)+70;
+      params.cluster_size=params.edge_size/(3.0+random()%10)-1;
+      break;
+    case 2:
+      params.type=triangle;
+      params.edge_size=10*(random()%5)+60;
+      params.margin=(random()%10)*100-900;
+      break;
+    case 3:
+      params.type=polar;
+      params.nb_orbits=2+random()%10;
+      params.nb_nodes_per_orbit=4+random()%10;
+      break;
+    }
+
+
+/*     params.type= polar; */
+/*   params.nb_orbits= 5; */
+/*   params.nb_nodes_per_orbit= 19; */
+/*   params.curve_width= 4; */
+/*   params.shadow_width= 8; */
+/*   params.shape1= 0.5; */
+/*   params.shape2= 1.3; */
+/*   params.margin= 30; */
+/*   params.angle= 5.21853; */
+/*   params.delay= 10000; */
+
+    
+/*     params_to_s(stdout); */
+    
+    /*=======================================================*/
+    
+    
+    switch (params.type) {
+    case grid:
+      g=make_grid_graph(params.margin,params.margin,
+                        xgwa.width-2*params.margin, 
+                        xgwa.height-2*params.margin, 
+                        params.edge_size);
+      break;
+    case kennicott:
+      g=make_kennicott_graph(params.margin,params.margin,
+                             xgwa.width-2*params.margin, 
+                             xgwa.height-2*params.margin, 
+                             params.edge_size,
+                             params.cluster_size);
+      break;
+    case triangle:
+      g=make_triangle_graph(params.margin,params.margin,
+                            xgwa.width-2*params.margin, 
+                            xgwa.height-2*params.margin, 
+                            params.edge_size);
+      break;
+    case polar:
+      g=make_polar_graph(params.margin,params.margin,
+                         xgwa.width-2*params.margin, 
+                         xgwa.height-2*params.margin, 
+                         params.nb_nodes_per_orbit, 
+                         params.nb_orbits);
+      break;
+    default:
+      g=make_grid_graph(params.margin,params.margin,
+                        xgwa.width-2*params.margin, 
+                        xgwa.height-2*params.margin, 
+                        params.edge_size);
+      break;
+    }
+
+    graph_rotate(g,params.angle,xgwa.width/2,xgwa.height/2);
+    
+    if (showGraph)
+      graph_draw(g);
+    
+    p=pattern_new(g,ncolors, params.shape1, params.shape2);
+    pattern_make_curves(p);
+    pattern_animate(p,params.delay);
+    
+    {
+      int d2 = get_integer_resource("delay2", "Delay2");
+      int i;
+      for (i = 0; i < d2; i++) {
+        XSync (dpy, False);
+        screenhack_handle_events (dpy);
+        sleep(1);
+      }
+    }
+
+    pattern_del(p);
+    graph_del(g);
+
+   erase_full_window(dpy,window);
+
+   /* recolor each time */
+   ncolors = get_integer_resource ("ncolors", "Integer");
+   if (ncolors > 2)
+     make_smooth_colormap (dpy, xgwa.visual, xgwa.colormap,
+                           colors, &ncolors, True, 0, True);
+  }
+}

=== added file 'hacks/celtic.man'
--- hacks/celtic.man	1970-01-01 00:00:00 +0000
+++ hacks/celtic.man	2006-06-30 16:27:21 +0000
@@ -0,0 +1,60 @@
+.TH XScreenSaver 1 "" "X Version 11"
+.SH NAME
+celtic - draws celtic cross-stich patterns
+.SH SYNOPSIS
+.B celtic
+[\-display \fIhost:display.screen\fP]
+[\-visual \fIvisual\fP]
+[\-window]
+[\-root]
+[\-delay \fInumber\fP]
+[\-delay2 \fInumber\fP]
+[\-ncolors \fInumber\fP]
+[\-graph \fImode\fP]
+.SH DESCRIPTION
+The \fIceltic\fP program repeatedly draws random cross-stitch patterns.
+.SH OPTIONS
+.TP 8
+.B \-visual \fIvisual\fP
+Specify which visual to use.  Legal values are the name of a visual class,
+or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-window
+Draw on a newly-created window.  This is the default.
+.TP 8
+.B \-root
+Draw on the root window.
+.TP 8
+.B \-delay \fInumber\fP
+Per-frame delay, in microseconds.  Default: 10000.
+.TP 8
+.B \-delay2 \fInumber\fP
+Delay between patterns, in seconds.  Default: 5.
+.TP 8
+.B \-ncolors \fInumber\fP
+Number of colours to use. Default: 20.
+.TP 8
+.B \-graph
+Whether to render the underlying graph.  Default: no.
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global resources
+stored in the RESOURCE_MANAGER property.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.SH COPYRIGHT
+Copyright \(co 2005 by Max Froumentin.  Permission to use, copy, modify, 
+distribute, and sell this software and its documentation for any purpose is 
+hereby granted without fee, provided that the above copyright notice appear 
+in all copies and that both that copyright notice and this permission notice
+appear in supporting documentation.  No representations are made about the 
+suitability of this software for any purpose.  It is provided "as is" without
+express or implied warranty.
+.SH AUTHOR
+Max Froumentin <max@lapin-bleu.net>

=== modified file 'hacks/cloudlife.c'
--- hacks/cloudlife.c	2005-04-09 00:06:43 +0000
+++ hacks/cloudlife.c	2005-12-08 16:00:22 +0000
@@ -73,6 +73,13 @@
     f->width = 0;
     f->cell_size = get_integer_resource("cellSize", "Integer");
     f->max_age = get_integer_resource("maxAge", "Integer");
+
+    if (f->max_age > 255) {
+      fprintf (stderr, "%s: max-age must be < 256 (not %d)\n", progname,
+               f->max_age);
+      exit (1);
+    }
+
     f->cells = NULL;
     f->new_cells = NULL;
     return f;
@@ -81,15 +88,14 @@
 void 
 resize_field(struct field * f, unsigned int w, unsigned int h)
 {
+    int s = w * h * sizeof(unsigned char);
     f->width = w;
     f->height = h;
 
-    f->cells = xrealloc(f->cells,
-			w * sizeof(unsigned char) * 
-                        h * sizeof(unsigned char));
-    f->new_cells =
-	xrealloc(f->new_cells,
-		 w * sizeof(unsigned char) * h * sizeof(unsigned char));
+    f->cells = xrealloc(f->cells, s);
+    f->new_cells = xrealloc(f->new_cells, s);
+    memset(f->cells, 0, s);
+    memset(f->new_cells, 0, s);
 }
 
 inline unsigned char 
@@ -202,8 +208,8 @@
 	    count += *new_cell_at(f, x, y) = is_alive(f, x, y);
 	}
     }
-    memcpy(f->cells, f->new_cells, f->width * sizeof(unsigned char) *
-	   f->height * sizeof(unsigned char));
+    memcpy(f->cells, f->new_cells, f->width * f->height *
+           sizeof(unsigned char));
     return count;
 }
 

=== modified file 'hacks/cloudlife.man'
--- hacks/cloudlife.man	2005-04-09 00:06:43 +0000
+++ hacks/cloudlife.man	2006-06-30 16:27:21 +0000
@@ -37,12 +37,8 @@
 How many ticks should elapse between cycling colors.  0 to disable
 color cycling.  Default 2.
 .TP 8
-.B \-cycle-colors \fIinteger\fP
-How many ticks should elapse between cycling colors.  0 to use
-just one color. Default 1.
-.TP 8
 .B \-ncolors \fIinteger\fP
-How many colors should be used (if possible).  Default 32.
+How many colors should be used (if possible).  Default 64.
 The colors are chosen randomly.
 .TP 8
 .B \-cell-size \fIinteger\fP

=== modified file 'hacks/compile_axp.com'
--- hacks/compile_axp.com	2005-04-09 00:06:43 +0000
+++ hacks/compile_axp.com	2005-12-08 16:00:22 +0000
@@ -17,6 +17,7 @@
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) BUBBLES-DEFAULT.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) BUMPS.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) CCURVE.C
+$ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) CELTIC.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) CLOUDLIFE.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) COMPASS.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) CORAL.C
@@ -36,6 +37,7 @@
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FADEPLOT.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FIBERLAMP.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FIREWORKX.C
+$ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FIREWORKX_MMX.S
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FLAG.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FLAME.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FLOW.C
@@ -55,6 +57,7 @@
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) HYPERCUBE.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) IFS.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) IMSMAP.C
+$ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) INTERAGGREGATE.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) INTERFERENCE.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) INTERMOMENTARY.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) JIGSAW.C

=== modified file 'hacks/compile_decc.com'
--- hacks/compile_decc.com	2005-04-09 00:06:43 +0000
+++ hacks/compile_decc.com	2005-12-08 16:00:22 +0000
@@ -17,6 +17,7 @@
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) BUBBLES-DEFAULT.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) BUMPS.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) CCURVE.C
+$ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) CELTIC.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) CLOUDLIFE.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) COMPASS.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) CORAL.C
@@ -36,6 +37,7 @@
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FADEPLOT.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FIBERLAMP.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FIREWORKX.C
+$ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FIREWORKX_MMX.S
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FLAG.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FLAME.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) FLOW.C
@@ -55,6 +57,7 @@
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) HYPERCUBE.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) IFS.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) IMSMAP.C
+$ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) INTERAGGREGATE.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) INTERFERENCE.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) INTERMOMENTARY.C
 $ CC/DECC/PREFIX=ALL/DEFINE=(VMS,HAVE_CONFIG_H,STANDALONE)/INCL=([],[-],[-.UTILS]) JIGSAW.C

=== modified file 'hacks/config/README'
--- hacks/config/README	2005-04-09 00:06:43 +0000
+++ hacks/config/README	2006-06-30 16:27:21 +0000
@@ -4,8 +4,8 @@
             a screen saver and locker for the X window system
                             by Jamie Zawinski
 
-                              version 4.21
-                               20-Mar-2005
+                              version 4.24
+                               08-Feb-2006
 
                      http://www.jwz.org/xscreensaver/
 
@@ -60,11 +60,11 @@
         into the command line (that's what makes it the default.)
         For example:
 
-           <boolean "foo" arg_set="-foo">
+           <boolean _label="foo" arg-set="-foo" />
 
         or if "foo" is the default, and must be explicity turned off,
 
-           <boolean "foo" arg_unset="-no-foo">
+           <boolean _label="foo" arg-unset="-no-foo" />
 
 -----------------------------------------------------------------------
 
@@ -131,9 +131,9 @@
 
         This creates a selection popup menu.
 
-        Options should have _arg-set (_arg-unset is not used here.)
+        Options should have arg-set (arg-unset is not used here.)
 
-        One of the menu items (the default) should have no _arg-set.
+        One of the menu items (the default) should have no arg-set.
 
 -----------------------------------------------------------------------
 
@@ -156,6 +156,37 @@
 
 -----------------------------------------------------------------------
 
+  <hgroup>
+    [ ... <boolean>s ... ]
+    [ ... <number>s ... ]
+    [ ... <select>s ... ]
+    [ ... <string>s ... ]
+    [ ... <file>s ... ]
+    [ ... <vgroup>s ... ]
+  </hgroup>
+
+        A horizontal group of widgets/groups.  No more than 4 widgets 
+        or groups should be used in a row.
+
+-----------------------------------------------------------------------
+
+  <vgroup>
+    [ ... <boolean>s ... ]
+    [ ... <number>s ... ]
+    [ ... <select>s ... ]
+    [ ... <string>s ... ]
+    [ ... <file>s ... ]
+    [ ... <hgroup>s ... ]
+  </vgroup>
+
+        A vertical group of widgets/groups.  No more than 10 widgets 
+        or groups should be used in a column.
+        
+        Since the default alignment of widgets is a column, the 
+        <vgroup> element is only of use inside an <hgroup> element.
+
+-----------------------------------------------------------------------
+
   <_description>
         FREE TEXT
   </_description>
@@ -169,3 +200,8 @@
         entities are allowed; HTML (and other markup) is not.
 
 -----------------------------------------------------------------------
+
+If you are DTD-minded, you may also find the included files "xss.dtd"
+and "xss.xsd" useful.
+
+-----------------------------------------------------------------------

=== modified file 'hacks/config/anemotaxis.xml'
--- hacks/config/anemotaxis.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/anemotaxis.xml	2006-06-30 16:27:21 +0000
@@ -11,7 +11,7 @@
 
   <number id="distance" type="slider" arg="-distance %"
            _label="Distance" _low-label="Near" _high-label="Far"
-          low="0" high="400" default="40"/>
+          low="10" high="250" default="40"/>
 
   <number id="sources" type="slider" arg="-sources %"
            _label="Sources" _low-label="Few" _high-label="Many"

=== modified file 'hacks/config/ant.xml'
--- hacks/config/ant.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/ant.xml	2005-12-08 16:00:22 +0000
@@ -27,15 +27,15 @@
 
   <select id="neighbors">
     <option id="rand" _label="Random Cell Shape"/>
-    <option id="three" _label="Three Sided Cells" 
+    <option id="three" _label="Three Sided Cells"
             arg-set="-neighbors 3"/>
     <option id="four" _label="Four Sided Cells"
             arg-set="-neighbors 4"/>
-    <option id="six" _label="Six Sided Cells" enable="sharpturn"
+    <option id="six" _label="Six Sided Cells"
             arg-set="-neighbors 6"/>
     <option id="nine" _label="Nine Sided Cells"
             arg-set="-neighbors 9"/>
-    <option id="twelve" _label="Twelve Sided Cells" enable="sharpturn"
+    <option id="twelve" _label="Twelve Sided Cells"
             arg-set="-neighbors 12"/>
   </select>
 

=== added file 'hacks/config/antmaze.xml'
--- hacks/config/antmaze.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/antmaze.xml	2005-12-08 16:00:22 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<screensaver name="antmaze" _label="AntMaze">
+
+  <command arg="-root"/>
+
+  <number id="delay" type="slider" arg="-delay %"
+          _label="Speed" _low-label="Slow" _high-label="Fast"
+          low="0" high="50000" default="20000"
+          convert="invert"/>
+
+  <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+
+  <_description>
+Antmaze draws a few views of a few ants walking around in a simple
+maze. Written by Blair Tennessy.
+  </_description>
+</screensaver>

=== modified file 'hacks/config/atlantis.xml'
--- hacks/config/atlantis.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/atlantis.xml	2006-06-30 16:27:21 +0000
@@ -8,10 +8,9 @@
            _label="Whale Speed" _low-label="Slow" _high-label="Fast"
           low="0" high="1000" default="250"/>
 
-  <number id="sharkspeed" type="slider" arg="-delay %"
+  <number id="sharkspeed" type="slider" arg="-cycles %"
           _label="Shark Speed" _low-label="Slow" _high-label="Fast"
-          low="0" high="500000" default="25000"
-          convert="invert"/>
+          low="0" high="1000" default="100"/>
 
   <number id="sharkproximity" type="slider" arg="-size %"
           _label="Shark Proximity" _low-label="Shy" _high-label="Agressive"

=== modified file 'hacks/config/blinkbox.xml'
--- hacks/config/blinkbox.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/blinkbox.xml	2006-06-30 16:27:21 +0000
@@ -9,12 +9,15 @@
           low="0" high="50000" default="30000"/>
 
   <number id="boxsize" type="spinbutton" arg="-boxsize %"
-          _label="Box Size" low="1" high="8" default="1"/>
+          _label="Box Size" low="1" high="8" default="2"/>
 
   <hgroup>
-   <boolean id="fade"      _label="Fade"       arg-unset="-no-fade"/>
-   <boolean id="dissolve"  _label="Dissolve"   arg-set="-dissolve"/>
-   <boolean id="wire"      _label="Wireframe"  arg-set="-wireframe"/>
+   <boolean id="fade"      _label="Fade"        arg-unset="-no-fade"/>
+   <boolean id="blur"      _label="Motion Blur" arg-unset="-no-blur"/>
+  </hgroup>
+  <hgroup>
+   <boolean id="dissolve"  _label="Dissolve"    arg-set="-dissolve"/>
+   <boolean id="wire"      _label="Wireframe"   arg-set="-wireframe"/>
   </hgroup>
 
   <_description>

=== modified file 'hacks/config/boing.xml'
--- hacks/config/boing.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/boing.xml	2006-06-30 16:27:21 +0000
@@ -15,9 +15,9 @@
   <vgroup>
    <hgroup>
     <number id="meridians" type="spinbutton" arg="-meridians %"
-            _label="Meridians" low="1" high="90" default="8"/>
+            _label="Meridians" low="1" high="90" default="16"/>
     <number id="parallels" type="spinbutton" arg="-parallels %"
-            _label="Parallels" low="1" high="90" default="16"/>
+            _label="Parallels" low="1" high="90" default="8"/>
    </hgroup>
    <hgroup>
     <boolean id="smoothing" _label="Smoothing" arg-set="-smooth"/>

=== modified file 'hacks/config/bouncingcow.xml'
--- hacks/config/bouncingcow.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/bouncingcow.xml	2006-06-30 16:27:21 +0000
@@ -10,7 +10,7 @@
 
   <number id="delay" type="slider" arg="-delay %"
           _label="Animation Speed" _low-label="Slow" _high-label="Fast"
-          low="0" high="50000" default="10000"
+          low="0" high="50000" default="30000"
           convert="invert"/>
 
   <number id="count" type="slider" arg="-count %"

=== modified file 'hacks/config/boxed.xml'
--- hacks/config/boxed.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/boxed.xml	2005-12-08 16:00:22 +0000
@@ -13,7 +13,22 @@
           _label="Motion Speed" _low-label="Slow" _high-label="Fast"
           low="0.001" high="4.0" default="0.5"/>
 
-  <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+  <number id="balls" type="slider" arg="-balls %"
+          _label="Number of Balls" _low-label="Few" _high-label="Lots"
+          low="3" high="40" default="10"/>
+
+  <number id="ballsize" type="slider" arg="-ballsize %"
+          _label="Ball Size" _low-label="Tiny" _high-label="Huge"
+          low="1.0" high="5.0" default="3.0"/>
+
+  <number id="explosion" type="slider" arg="-explosion %"
+          _label="Explosion Force" _low-label="Popcorn" _high-label="Nuke"
+          low="1.0" high="50.0" default="25.0"/>
+
+  <hgroup>
+   <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+   <boolean id="wire"    _label="Wireframe" arg-set="-wireframe"/>
+  </hgroup>
 
   <_description>
 Draws a box full of 3D bouncing balls that explode.

=== modified file 'hacks/config/bsod.xml'
--- hacks/config/bsod.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/bsod.xml	2005-12-08 16:00:22 +0000
@@ -18,6 +18,7 @@
      <boolean id="atari"      _label="Atari"        arg-set="-atari"/>
      <boolean id="apple2"     _label="Apple II"     arg-unset="-no-apple2"/>
      <boolean id="nvidia"     _label="Nvidia"       arg-unset="-no-nvidia"/>
+     <boolean id="os2"      _label="OS/2"        arg-unset="-no-os2"/>
    </vgroup>
    <vgroup>
      <boolean id="mac"        _label="Sad Mac"      arg-unset="-no-mac"/>

=== modified file 'hacks/config/bubble3d.xml'
--- hacks/config/bubble3d.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/bubble3d.xml	2005-12-08 16:00:22 +0000
@@ -9,8 +9,9 @@
           low="0" high="20000" default="15000"
           convert="invert"/>
 
+  <boolean id="transp" _label="Transparent Bubbles" arg-set="-transparent"/>
+  <string id="color"    _label="Bubble Color"      arg="-color %"/>
   <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
-
   <_description>
 Draws a stream of rising, undulating 3D bubbles, rising toward the
 top of the screen, with nice specular reflections. Written by Richard

=== modified file 'hacks/config/cage.xml'
--- hacks/config/cage.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/cage.xml	2005-12-08 16:00:22 +0000
@@ -9,12 +9,11 @@
           low="0" high="30000" default="25000"
           convert="invert"/>
 
-<!--
   <select id="render">
+    <option id="tex"   _label="Textured"/>
+    <option id="solid" _label="Solid"     arg-set="-mono"/>
     <option id="wire"  _label="Wireframe" arg-set="-wireframe"/>
-    <option id="solid" _label="Solid"/>
   </select>
--->
 
   <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
 

=== added file 'hacks/config/celtic.xml'
--- hacks/config/celtic.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/celtic.xml	2005-12-08 16:00:22 +0000
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<screensaver name="celtic" _label="Celtic">
+
+  <command arg="-root"/>
+
+  <number id="delay" type="slider" arg="-delay %"
+          _label="Speed" _low-label="Slow" _high-label="Fast"
+          low="0" high="50000" default="10000"
+          convert="invert"/>
+
+  <number id="delay" type="slider" arg="-delay2 %"
+          _label="Pause" _low-label="Short" _high-label="Long"
+          low="0" high="10" default="5"/>
+
+  <boolean id="graph" _label="Draw Graph" arg-set="-graph"/>
+
+  <_description>
+Repeatedly draws random Celtic cross-stitch patterns.
+By Max Froumentin.
+  </_description>
+</screensaver>

=== modified file 'hacks/config/cloudlife.xml'
--- hacks/config/cloudlife.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/cloudlife.xml	2006-06-30 16:27:21 +0000
@@ -11,11 +11,11 @@
 
   <number id="maxage" type="slider" arg="-max-age %"
           _label="Max Age" _low-label="Young" _high-label="Old"
-          low="2" high="200" default="64"/>
+          low="2" high="255" default="64"/>
 
   <number id="density" type="slider" arg="-initial-density %"
           _label="Initial Density" _low-label="Low" _high-label="High"
-          low="1" high="300" default="160"/>
+          low="1" high="99" default="30"/>
 
   <number id="cellsize" type="slider" arg="-cell-size %"
           _label="Cell Size" _low-label="Small" _high-label="Large"

=== modified file 'hacks/config/coral.xml'
--- hacks/config/coral.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/coral.xml	2006-06-30 16:27:21 +0000
@@ -20,7 +20,7 @@
 
   <number id="seeds" type="slider" arg="-seeds %"
           _label="Seeds" _low-label="Few" _high-label="Many"
-          low="1" high="100" default="25"/>
+          low="1" high="100" default="20"/>
 
   <_description>
 Simulates coral growth, albeit somewhat slowly.  Written by Frederick Roeber.

=== modified file 'hacks/config/cosmos.xml'
--- hacks/config/cosmos.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/cosmos.xml	2005-12-08 16:00:22 +0000
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 <screensaver name="cosmos" _label="Cosmos">
 
-  <fullcommand arg="-root"/>
+  <command arg="-root"/>
 
   <_description>
 Draws fireworks and zooming, fading flares.  By Tom Campbell. 

=== added file 'hacks/config/crackberg.xml'
--- hacks/config/crackberg.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/crackberg.xml	2005-12-08 16:00:22 +0000
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<screensaver name="crackberg" _label="Crackberg">
+
+  <command arg="-root"/>
+
+  <number id="delay" type="slider" arg="-delay %"
+          _label="Frame Delay" _low-label="Short" _high-label="Long"
+          low="0" high="50000" default="20000" />
+
+  <number id="visibility" type="slider" arg="-visibility %"
+          _label="Visibility" _low-label="Mouse Hole" _high-label="Eagle Nest"
+          low="0.2" high="1.0" default="0.6" />
+  <number id="nsubdivs" type="spinbutton" arg="-nsubdivs %"
+          _label="Subdivisions"
+          low="2" high="9" default="4" />
+
+  <boolean id="flat" _label="Flat Shading" arg-set="-flat"/>
+  <boolean id="lit" _label="Lighting" arg-set="-lit"/>
+  <boolean id="water" _label="Water" arg-unset="-nowater"/>
+  <boolean id="letter" _label="Letterbox" arg-set="-letterbox"/>
+  <boolean id="wire" _label="Wireframe" arg-set="-wire"/>
+  <boolean id="fps" _label="Display FPS" arg-set="-fps"/>
+
+  <hgroup>
+      <select id="init">
+        <option id="crack" _label="Confused" arg-set="-crack"/>
+        <option id="growing" _label="Growing"/>
+        <option id="boring" _label="Immediate" arg-set="-boring"/>
+      </select>  
+
+      <select id="color">
+        <option id="random" _label="Random" arg-set="-color random"/>
+        <option id="plain" _label="Plain"/>
+        <option id="ice" _label="Ice" arg-set="-color ice"/>
+        <option id="magma" _label="Swampy" arg-set="-color magma"/>
+        <option id="vomit" _label="Vomit" arg-set="-color vomit"/>
+      </select>  
+  </hgroup>    
+    
+
+  <_description>
+Flies through height maps, optionally animating the creation and
+destruction of generated tiles; tiles `grow' into place.
+  </_description>
+</screensaver>

=== modified file 'hacks/config/crystal.xml'
--- hacks/config/crystal.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/crystal.xml	2006-06-30 16:27:21 +0000
@@ -17,7 +17,7 @@
           _label="Horizontal Symmetries" low="-10" high="10" default="-3"/>
 
   <number id="ny" type="spinbutton" arg="-ny %"
-          _label="Vertical Symmetries" low="-10" high="10" default="-2"/>
+          _label="Vertical Symmetries" low="-10" high="10" default="-3"/>
 
   <number id="count" type="spinbutton" arg="-count %"
           _label="Count" low="-5000" high="5000" default="-500"/>

=== added file 'hacks/config/cube21.xml'
--- hacks/config/cube21.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/cube21.xml	2005-12-08 16:00:22 +0000
@@ -0,0 +1,63 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<screensaver name="cube21" _label="Cube 21">
+
+  <command arg="-root"/>
+
+  <number id="cubesize" type="slider" arg="-cubesize %"
+    _label="Cube size" _low-label="Small" _high-label="Large"
+    low="0.4" high="1.0" default="0.7"/>  
+
+  <number id="speed" type="slider" arg="-delay %"
+    _label="Global speed" _low-label="Slow" _high-label="Fast"
+    low="0" high="30000" default="20000" convert="invert"/>
+
+  <number id="rotspeed" type="slider" arg="-rotspeed %"
+    _label="Rotation" _low-label="Slow" _high-label="Fast"
+    low="1.0" high="10.0" default="3.0"/>
+
+  <number id="wanderspeed" type="slider" arg="-wanderspeed %"
+    _label="Wandering" _low-label="Slow" _high-label="Fast"
+    low="0.3" high="3.0" default="1.0"/>  
+
+  <number id="spinspeed" type="slider" arg="-spinspeed %"
+    _label="Spinning" _low-label="Slow" _high-label="Fast"
+    low="0.5" high="4.0" default="1.0"/>  
+
+  <number id="wait" type="slider" arg="-wait %"
+    _label="Delay in ending position" _low-label="Short" _high-label="Long"
+    low="10.0" high="100.0" default="40.0"/>
+
+  <select id="render">
+    <option id="solid" _label="Textured"/>
+    <option id="notex" _label="Untextured" arg-set="-no-texture"/>
+    <option id="wire"  _label="Wireframe" arg-set="-wireframe"/>
+  </select>
+
+  <select id="start">
+    <option id="cube"    _label="Start as cube" arg-set="-no-randomize"/>
+    <option id="shuffle" _label="Start as random shape"/>
+  </select>
+
+  <select id="colors">
+    <option id="white" _label="White"/>
+    <option id="one"   _label="Random color" arg-set="-colormode rnd"/>
+    <option id="se"    _label="Silver Edition" arg-set="-colormode se"/>
+    <option id="two"   _label="Two random colors" arg-set="-colormode two"/>
+    <option id="ce"    _label="Classic Edition" arg-set="-colormode ce"/>
+    <option id="six"   _label="Six random colors" arg-set="-colormode six"/>
+  </select>
+  
+  <boolean id="spin" _label="Spin" arg-unset="-no-spin"/>
+
+  <boolean id="wander" _label="Wander on screen" arg-unset="-no-wander"/>
+
+  <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+
+  <_description>
+Animates a Rubik-like puzzle known as Cube 21 or Square-1.
+The rotations are chosen randomly.  Requires OpenGL.
+
+Written by Vasek Potocek.
+  </_description>
+</screensaver>

=== modified file 'hacks/config/fireworkx.xml'
--- hacks/config/fireworkx.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/fireworkx.xml	2005-12-08 16:00:22 +0000
@@ -6,18 +6,22 @@
 
   <number id="Delay" type="slider" arg="-delay %"
           _label="Speed" _low-label="Slow" _high-label="Fast"
-          low="0" high="50000" default="10000"
+          low="0" high="50000" default="1000"
           convert="invert"/>
 
   <number id="maxlife" type="slider" arg="-maxlife %"
           _label="Activity" _low-label="Dense" _high-label="Sparse"
-          low="250" high="5000" default="1200"/>
+          low="250" high="5000" default="2000"/>
 
-  <boolean id="light" _label="Light effect" arg-unset="-nolight"/>
-  <boolean id="fade"  _label="Fast Fade (more realistic)" arg-set="-fade"/>
-  <boolean id="shoot" _label="Shoot" arg-set="-shoot"/>
+  <boolean id="flash" _label="Light Flash" arg-unset="-noflash"/>
+  <boolean id="glow"  _label="Self Glowing Smoke!" arg-unset="-noglow"/>
+  <boolean id="shoot" _label="Shoot The Shells up" arg-set="-shoot"/>
 
   <_description>
-Pyrotechnics simulation eye-candy. Written by Rony B. Chandran.
+Pyrotechnics simulation eye-candy, MMX optimized. 
+Turn off Light for speed. Clicks on the preview window Explodes..!
+
+Written by Rony B Chandran. 
+http://www.ronybc.8k.com
   </_description>
 </screensaver>

=== modified file 'hacks/config/flipflop.xml'
--- hacks/config/flipflop.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/flipflop.xml	2005-12-08 16:00:22 +0000
@@ -10,7 +10,7 @@
           convert="invert"/>
 
   <select id="render">
-    <option id="solid"    _label="Solid Tiles" arg-set="-no-texture"/>
+    <option id="solid"    _label="Solid Tiles"/>
     <option id="wire"     _label="Wireframe" arg-set="-wireframe"/>
   </select>
 

=== modified file 'hacks/config/flyingtoasters.xml'
--- hacks/config/flyingtoasters.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/flyingtoasters.xml	2006-06-30 16:27:21 +0000
@@ -10,7 +10,7 @@
 
   <number id="delay" type="slider" arg="-delay %"
           _label="Animation Speed" _low-label="Slow" _high-label="Fast"
-          low="0" high="50000" default="10000"
+          low="0" high="50000" default="30000"
           convert="invert"/>
 
   <number id="ntoasters" type="slider" arg="-ntoasters %"

=== modified file 'hacks/config/glblur.xml'
--- hacks/config/glblur.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/glblur.xml	2005-12-08 16:00:22 +0000
@@ -26,11 +26,6 @@
     <option id="xyz" _label="Rotate around all three axes"/>
   </select>
 
-  <select id="render">
-    <option id="wire"  _label="Wireframe" arg-set="-wireframe"/>
-    <option id="solid" _label="Solid"/>
-  </select>
-
   <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
 
   <_description>

=== modified file 'hacks/config/glforestfire.xml'
--- hacks/config/glforestfire.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/glforestfire.xml	2006-06-30 16:27:21 +0000
@@ -15,7 +15,7 @@
 
   <number id="trees" type="slider" arg="-trees %"
           _label="Number of trees" _low-label="Desert" _high-label="Forest"
-          low="0" high="15" default="5"/>
+          low="0" high="20" default="5"/>
 
   <select id="render">
     <option id="normal" _label="Normal"/>

=== added file 'hacks/config/glhanoi.xml'
--- hacks/config/glhanoi.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/glhanoi.xml	2006-06-30 16:27:21 +0000
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+                                                                                
+<screensaver name="glhanoi" _label="GLHanoi">
+
+	<command arg="-root"/>
+	
+	<number id="count" type="spinbutton" arg="-count %"
+	  _label="Number of Disks" default="7" low="2" high="200"/>
+	
+	<boolean id="fog" _label="Enable fog" arg-set="-fog"/>
+
+	<boolean id="wire" _label="Wireframe" arg-set="-wire"/>
+
+	<boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+
+	<boolean id="lighting" _label="Enable lighting" arg-unset="-no-light"/>
+
+	<number id="delay" type="slider" arg="-delay %"
+	  _label="Frame Delay (us)" _low-label="Slow" _high-label="Fast"
+          low="0" high="80000" default="15000" convert="invert"/>
+	
+	<_description>
+Solves the Towers of Hanoi puzzle. Move N disks from one pole to another, one disk at a time, with no disk ever resting on a disk smaller than itself.
+Written by Dave Atkinson.
+	</_description>
+</screensaver>

=== modified file 'hacks/config/glsnake.xml'
--- hacks/config/glsnake.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/glsnake.xml	2006-06-30 16:27:21 +0000
@@ -18,7 +18,7 @@
 
   <number id="zangvel" type="slider" arg="-zangvel %"
           _label="Z Angular Velocity" _low-label="Slow" _high-label="Fast"
-          low="0.0" high="1.0" default="0.10"/>
+          low="0.0" high="1.0" default="0.14"/>
 
   <number id="packing" type="slider" arg="-explode %"
           _label="Packing" _low-label="Tight" _high-label="Loose"

=== modified file 'hacks/config/hyperball.xml'
--- hacks/config/hyperball.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/hyperball.xml	2005-12-08 16:00:22 +0000
@@ -9,39 +9,41 @@
           low="0" high="20000" default="20000"
           convert="invert"/>
 
+<!--
   <number id="z" type="slider" arg="-observer-z %"
           _label="Zoom" _low-label="Near" _high-label="Far"
           low="1.125" high="10.0" default="3.0"/>
+-->
 
   <hgroup>
     <vgroup>
       <number id="xw" type="slider" arg="-xw %"
               _label="XW Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="0"/>
+              low="0" high="20" default="0"/>
       <number id="xy" type="slider" arg="-xy %"
               _label="XY Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="3"/>
+              low="0" high="20" default="3"/>
       <number id="xz" type="slider" arg="-xz %"
               _label="XZ Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="5"/>
+              low="0" high="20" default="5"/>
     </vgroup>
     <vgroup>
       <number id="yw" type="slider" arg="-yw %"
               _label="YW Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="10"/>
+              low="0" high="20" default="10"/>
       <number id="yz" type="slider" arg="-yz %"
               _label="YZ Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="0"/>
+              low="0" high="20" default="0"/>
       <number id="zw" type="slider" arg="-zw %"
               _label="ZW Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="0"/>
+              low="0" high="20" default="0"/>
     </vgroup>
   </hgroup>
 
   <_description>
 Hyperball is to hypercube as dodecahedron is to cube: this displays
 a 2D projection of the sequence of 3D objects which are the projections
-of the 4D analog to the dodecahedron.  Technically, it is a "120 cell 
+of the 4D analog to the dodecahedron.  Technically, it is a "120 cell
 polytope."  Written by Joe Keane.
 
 See also the "polytopes" hack for a more general version of this

=== modified file 'hacks/config/hypercube.xml'
--- hacks/config/hypercube.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/hypercube.xml	2005-12-08 16:00:22 +0000
@@ -17,24 +17,24 @@
     <vgroup>
       <number id="xw" type="slider" arg="-xw %"
               _label="XW Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="0"/>
+              low="0" high="20" default="0"/>
       <number id="xy" type="slider" arg="-xy %"
               _label="XY Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="3"/>
+              low="0" high="20" default="3"/>
       <number id="xz" type="slider" arg="-xz %"
               _label="XZ Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="5"/>
+              low="0" high="20" default="5"/>
     </vgroup>
     <vgroup>
       <number id="yw" type="slider" arg="-yw %"
               _label="YW Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="10"/>
+              low="0" high="20" default="10"/>
       <number id="yz" type="slider" arg="-yz %"
               _label="YZ Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="0"/>
+              low="0" high="20" default="0"/>
       <number id="zw" type="slider" arg="-zw %"
               _label="ZW Rotation" _low-label="Low" _high-label="High"
-              low="0" high="20" value="0"/>
+              low="0" high="20" default="0"/>
     </vgroup>
   </hgroup>
 

=== modified file 'hacks/config/hypertorus.xml'
--- hacks/config/hypertorus.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/hypertorus.xml	2005-12-08 16:00:22 +0000
@@ -5,8 +5,8 @@
   <command arg="-root"/>
 
   <select id="display-mode">
-    <option id="mesh" _label="Wireframe Mesh"
-            arg-set="-mesh"/>
+    <option id="wire" _label="Wireframe Mesh"
+            arg-set="-wireframe"/>
     <option id="surface" _label="Solid Surface"
             arg-set="-surface"/>
     <option id="transparent" _label="Transparent Surface"
@@ -18,6 +18,16 @@
             arg-set="-solid"/>
     <option id="bands" _label="See-Through Bands"
             arg-set="-bands"/>
+    <option id="bands" _label="See-Through Spirals (1 Spiral)"
+            arg-set="-spirals-1"/>
+    <option id="bands" _label="See-Through Spirals (2 Spirals)"
+            arg-set="-spirals-2"/>
+    <option id="bands" _label="See-Through Spirals (4 Spirals)"
+            arg-set="-spirals-4"/>
+    <option id="bands" _label="See-Through Spirals (8 Spirals)"
+            arg-set="-spirals-8"/>
+    <option id="bands" _label="See-Through Spirals (16 Spirals)"
+            arg-set="-spirals-16"/>
   </select>
 
   <select id="colors">

=== added file 'hacks/config/interaggregate.xml'
--- hacks/config/interaggregate.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/interaggregate.xml	2005-12-08 16:00:22 +0000
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<screensaver name="interaggregate" _label="Interaggregate">
+
+  <command arg="-root"/>
+
+  <number id="init" type="spinbutton" arg="-num-discs %"
+          _label="Number of Discs" low="50" high="400" default="85"/>
+
+  <number id="speed" type="slider" arg="-growth-delay %"
+          _label="Speed" _low-label="Slow" _high-label="Fast"
+          low="0" high="60000" default="30000" convert="invert"/>
+
+  <_description>
+The Intersection Aggregate is a fun visualization defining the relationships 
+between objects with Casey Reas, William Ngan, and Robert Hodgin. Commissioned 
+for display at the Whitney Museum of American Art.
+
+A surface filled with 100 medium to small sized circles. Each circle has a 
+different size and direction, but moves at the same slow rate. Display:
+    A. The instantaneous intersections of the circles.
+    B. The aggregate intersections of the circles.
+
+Ported to XScreensaver from the art project "InterAggregate" at
+http://www.complexification.net
+  </_description>
+</screensaver>

=== modified file 'hacks/config/jigglypuff.xml'
--- hacks/config/jigglypuff.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/jigglypuff.xml	2006-06-30 16:27:21 +0000
@@ -19,11 +19,11 @@
 
   <number id="speed" type="slider" arg="-speed %"
           _label="Rotation speed" _low-label="Slow" _high-label="Fast"
-	  low="50" high="1000" default="250"/>
+	  low="50" high="1000" default="500"/>
 
   <number id="spherism" type="slider" arg="-spherism %"
            _label="Sphere strength" _low-label="none" _high-label="strong"
-	   low="0" high="1000" default="200"/>
+	   low="0" high="1000" default="75"/>
 
   <number id="hold" type="slider" arg="-hold %"
            _label="Vertex-vertex force" _low-label="none" _high-label="strong"
@@ -44,14 +44,14 @@
   <boolean id="wireframe" _label="Wireframe" arg-set="-wireframe"/>
 
   <select id="color">
-   <option id="cycle"     _label="Cycle" arg-set=""/>
+   <option id="cycle"     _label="Cycle" />
    <option id="flowerbox" _label="Flower box" arg-set="-color flowerbox"/>
    <option id="clownbarf" _label="Clown barf" arg-set="-color clownbarf"/>
    <option id="chrome" _label="Chrome" arg-set="-color chrome"/>
   </select>
 
   <select id="start">
-   <option id="sphere" _label="Sphere" arg-set=""/>
+   <option id="sphere" _label="Sphere" />
    <option id="tetrahedron" _label="Tetrahedron" arg-set="-tetra"/>
   </select>
 

=== modified file 'hacks/config/juggle.xml'
--- hacks/config/juggle.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/juggle.xml	2006-06-30 16:27:21 +0000
@@ -15,7 +15,7 @@
 
   <number id="tail" type="slider" arg="-tail %"
           _label="Trail Length" _low-label="None" _high-label="Long"
-          low="0" high="100" default="0"/>
+          low="0" high="100" default="1"/>
 
   <boolean id="describe" _label="turn on/off pattern descriptions." arg-unset="-no-describe"/>
 

=== added file 'hacks/config/juggler3d.xml'
--- hacks/config/juggler3d.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/juggler3d.xml	2006-06-30 16:27:21 +0000
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<screensaver name="juggler3d" _label="Juggler3D">
+  <command arg="-root"/>
+
+	<number id="speed" type="slider" arg="-speed %" _label="Juggling Speed"
+		_low-label="Slow" _high-label="Fast" low="0.5" high="5.0" default="2.2"/>
+		  
+	<number id="trans" type="slider" arg="-trans %" _label="Juggler Horizontal Speed"
+		_low-label="Slow" _high-label="Fast" low="0.05" high="2.0" default="0.1"/>
+
+	<number id="spin" type="slider" arg="-spin %" _label="Juggler Spin Speed"
+		_low-label="Slow" _high-label="Fast" low="3.0" high="50.0" default="20.0"/>
+
+	<number id="minobjs" type="spinbutton" arg="-minobjs %" _label="Min Objects"
+          low="3" high="35" default="3"/>
+
+	<number id="maxobjs" type="spinbutton" arg="-maxobjs %" _label="Max Objects"
+          low="3" high="35" default="8"/>		  
+
+	<number id="minhinc" type="spinbutton" arg="-minhinc %" _label="Min Height"
+          low="1" high="31" default="2"/>
+		  
+	<number id="maxhinc" type="spinbutton" arg="-maxhinc %" _label="Max Height"
+          low="1" high="31" default="6"/>		  
+
+	<boolean id="wire"   _label="Wireframe" arg-set="-wireframe"/>
+	<boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+
+	<_description>
+3D simulation of a juggler performing with balls, clubs and rings.  Written
+by Brian Apps and partially based on his Win32 Juggle Saver program.
+	</_description>
+</screensaver>

=== modified file 'hacks/config/lightning.xml'
--- hacks/config/lightning.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/lightning.xml	2006-06-30 16:27:21 +0000
@@ -11,7 +11,7 @@
 
   <number id="ncolors" type="slider" arg="-ncolors %"
             _label="Number of Colors" _low-label="Two" _high-label="Many"
-            low="1" high="255" default="200"/>
+            low="1" high="255" default="64"/>
 
   <_description>
 This one draws crackling fractal lightning bolts.  It's simple,

=== modified file 'hacks/config/lissie.xml'
--- hacks/config/lissie.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/lissie.xml	2006-06-30 16:27:21 +0000
@@ -9,7 +9,7 @@
 
   <number id="cycles" type="slider" arg="-cycles %"
            _label="Timeout" _low-label="Small" _high-label="Large"
-          low="0" high="800000" default="2000"/>
+          low="0" high="80000" default="20000"/>
 
   <number id="delay" type="slider" arg="-delay %"
           _label="Speed" _low-label="Slow" _high-label="Fast"
@@ -18,7 +18,7 @@
 
   <number id="ncolors" type="slider" arg="-ncolors %"
             _label="Number of Colors" _low-label="Two" _high-label="Many"
-            low="1" high="255" default="64"/>
+            low="1" high="255" default="200"/>
 
   <number id="size" type="spinbutton" arg="-size %"
            _label="Size" low="-500" high="500" default="-200"/>

=== modified file 'hacks/config/lmorph.xml'
--- hacks/config/lmorph.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/lmorph.xml	2006-06-30 16:27:21 +0000
@@ -17,7 +17,7 @@
           _label="Interpolation Steps" _low-label="Less" _high-label="More"
           low="100" high="500" default="150"/>
 
-  <number id="thickness" type="slider" arg="-thickness %"
+  <number id="thickness" type="slider" arg="-linewidth %"
           _label="Lines" _low-label="Thin" _high-label="Thick"
           low="1" high="50" default="5"/>
 
@@ -29,6 +29,6 @@
 
   <_description>
 This generates random spline-ish line drawings and morphs between
-them.  Written by Sverre H.  Huseby and Glenn T.  Lines.
+them.  Written by Sverre H. Huseby and Glenn T. Lines.
   </_description>
 </screensaver>

=== modified file 'hacks/config/mirrorblob.xml'
--- hacks/config/mirrorblob.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/mirrorblob.xml	2006-06-30 16:27:21 +0000
@@ -14,7 +14,7 @@
           _low-label="10 Seconds" _high-label="5 Minutes"
           low="10" high="300" default="30"/>
 
-  <number id="fade_speed" type="slider" arg="-fade_speed %"
+  <number id="fade_speed" type="slider" arg="-fade_time %"
           _label="Crossfade Duration:"
           _low-label="None" _high-label="30 Seconds"
           low="0" high="30" default="5"/>
@@ -47,7 +47,6 @@
   <boolean id="walls" _label="Enable Walls"/>
   <boolean id="colour" _label="Enable Colouring" arg-set="-colour"/>
   <boolean id="texture" _label="Enable Reflected Image" arg-unset="-no-texture"/>
-  <boolean id="background" _label="Enable Background Image" arg-unset="-no-bgimage"/>
   <boolean id="offset_texture" _label="Offset Texture Coordinates" arg-set="-offset_texture"/>
   <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
 

=== modified file 'hacks/config/mountain.xml'
--- hacks/config/mountain.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/mountain.xml	2006-06-30 16:27:21 +0000
@@ -9,7 +9,7 @@
 
   <number id="delay" type="slider" arg="-delay %"
           _label="Speed" _low-label="Slow" _high-label="Fast"
-          low="0" high="20000" default="0"
+          low="0" high="20000" default="1000"
           convert="invert"/>
 
   <number id="ncolors" type="slider" arg="-ncolors %"

=== modified file 'hacks/config/penrose.xml'
--- hacks/config/penrose.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/penrose.xml	2005-12-08 16:00:22 +0000
@@ -9,10 +9,6 @@
           low="0" high="20000" default="10000"
           convert="invert"/>
 
-  <number id="speed" type="slider" arg="-redoDelay %"
-          _label="Duration" _low-label="1 Second" _high-label="30 Seconds"
-          low="1" high="30" default="3"/>
-
   <number id="ncolors" type="slider" arg="-ncolors %"
             _label="Number of Colors" _low-label="Two" _high-label="Many"
             low="1" high="255" default="64"/>

=== modified file 'hacks/config/pinion.xml'
--- hacks/config/pinion.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/pinion.xml	2006-06-30 16:27:21 +0000
@@ -18,7 +18,7 @@
 
   <number id="delay" type="slider" arg="-delay %"
           _label="Animation Speed" _low-label="Slow" _high-label="Fast"
-          low="0" high="50000" default="30000"
+          low="0" high="50000" default="15000"
           convert="invert"/>
 
   <number id="max-rpm" type="slider" arg="-max-rpm %"

=== modified file 'hacks/config/polyhedra.xml'
--- hacks/config/polyhedra.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/polyhedra.xml	2006-06-30 16:27:21 +0000
@@ -17,182 +17,172 @@
           _label="Duration" _low-label="1 second" _high-label="30 seconds"
           low="1" high="30" default="12"/>
 
-  <select id="rotation">
-    <option id="no"  _label="Don't Rotate" arg-set="-no-spin"/>
-    <option id="x"   _label="Rotate around X axis" arg-set="-spin X"/>
-    <option id="y"   _label="Rotate around Y axis" arg-set="-spin Y"/>
-    <option id="z"   _label="Rotate around Z axis" arg-set="-spin Z"/>
-    <option id="xy"  _label="Rotate around X and Y axes" arg-set="-spin XY"/>
-    <option id="xz"  _label="Rotate around X and Z axes" arg-set="-spin XZ"/>
-    <option id="yz"  _label="Rotate around Y and Z axes" arg-set="-spin YZ"/>
-    <option id="xyz" _label="Rotate around all three axes"/>
-  </select>
-
   <select id="object">
 <option id="random" _label="Display Random Polyhedron"/>
-<option id="" _label="Pentagonal Prism" arg-set="-which pentagonal_prism"/>
-<option id="" _label="Pentagonal Dipyramid" arg-set="-which pentagonal_dipyramid"/>
-<option id="" _label="Pentagonal Antiprism" arg-set="-which pentagonal_antiprism"/>
-<option id="" _label="Pentagonal Deltohedron" arg-set="-which pentagonal_deltohedron"/>
-<option id="" _label="Pentagrammic Prism" arg-set="-which pentagrammic_prism"/>
-<option id="" _label="Pentagrammic Dipyramid" arg-set="-which pentagrammic_dipyramid"/>
-<option id="" _label="Pentagrammic Antiprism" arg-set="-which pentagrammic_antiprism"/>
-<option id="" _label="Pentagrammic Deltohedron" arg-set="-which pentagrammic_deltohedron"/>
-<option id="" _label="Pentagrammic Crossed Antiprism" arg-set="-which pentagrammic_crossed_antiprism"/>
-<option id="" _label="Pentagrammic Concave Deltohedron" arg-set="-which pentagrammic_concave_deltohedron"/>
-<option id="" _label="Tetrahedron" arg-set="-which tetrahedron"/>
-<option id="" _label="Truncated Tetrahedron" arg-set="-which truncated_tetrahedron"/>
-<option id="" _label="Triakistetrahedron" arg-set="-which triakistetrahedron"/>
-<option id="" _label="Octahemioctahedron" arg-set="-which octahemioctahedron"/>
-<option id="" _label="Octahemioctacron" arg-set="-which octahemioctacron"/>
-<option id="" _label="Tetrahemihexahedron" arg-set="-which tetrahemihexahedron"/>
-<option id="" _label="Tetrahemihexacron" arg-set="-which tetrahemihexacron"/>
-<option id="" _label="Octahedron" arg-set="-which octahedron"/>
-<option id="" _label="Cube" arg-set="-which cube"/>
-<option id="" _label="Cuboctahedron" arg-set="-which cuboctahedron"/>
-<option id="" _label="Rhombic Dodecahedron" arg-set="-which rhombic_dodecahedron"/>
-<option id="" _label="Truncated Octahedron" arg-set="-which truncated_octahedron"/>
-<option id="" _label="Tetrakishexahedron" arg-set="-which tetrakishexahedron"/>
-<option id="" _label="Truncated Cube" arg-set="-which truncated_cube"/>
-<option id="" _label="Triakisoctahedron" arg-set="-which triakisoctahedron"/>
-<option id="" _label="Rhombicuboctahedron" arg-set="-which rhombicuboctahedron"/>
-<option id="" _label="Deltoidal Icositetrahedron" arg-set="-which deltoidal_icositetrahedron"/>
-<option id="" _label="Truncated Cuboctahedron" arg-set="-which truncated_cuboctahedron"/>
-<option id="" _label="Disdyakisdodecahedron" arg-set="-which disdyakisdodecahedron"/>
-<option id="" _label="Snub Cube" arg-set="-which snub_cube"/>
-<option id="" _label="Pentagonal Icositetrahedron" arg-set="-which pentagonal_icositetrahedron"/>
-<option id="" _label="Small Cubicuboctahedron" arg-set="-which small_cubicuboctahedron"/>
-<option id="" _label="Small Hexacronic Icositetrahedron" arg-set="-which small_hexacronic_icositetrahedron"/>
-<option id="" _label="Great Cubicuboctahedron" arg-set="-which great_cubicuboctahedron"/>
-<option id="" _label="Great Hexacronic Icositetrahedron" arg-set="-which great_hexacronic_icositetrahedron"/>
-<option id="" _label="Cubohemioctahedron" arg-set="-which cubohemioctahedron"/>
-<option id="" _label="Hexahemioctacron" arg-set="-which hexahemioctacron"/>
-<option id="" _label="Cubitruncated Cuboctahedron" arg-set="-which cubitruncated_cuboctahedron"/>
-<option id="" _label="Tetradyakishexahedron" arg-set="-which tetradyakishexahedron"/>
-<option id="" _label="Great Rhombicuboctahedron" arg-set="-which great_rhombicuboctahedron"/>
-<option id="" _label="Great Deltoidal Icositetrahedron" arg-set="-which great_deltoidal_icositetrahedron"/>
-<option id="" _label="Small Rhombihexahedron" arg-set="-which small_rhombihexahedron"/>
-<option id="" _label="Small Rhombihexacron" arg-set="-which small_rhombihexacron"/>
-<option id="" _label="Stellated Truncated Hexahedron" arg-set="-which stellated_truncated_hexahedron"/>
-<option id="" _label="Great Triakisoctahedron" arg-set="-which great_triakisoctahedron"/>
-<option id="" _label="Great Truncated Cuboctahedron" arg-set="-which great_truncated_cuboctahedron"/>
-<option id="" _label="Great Disdyakisdodecahedron" arg-set="-which great_disdyakisdodecahedron"/>
-<option id="" _label="Great Rhombihexahedron" arg-set="-which great_rhombihexahedron"/>
-<option id="" _label="Great Rhombihexacron" arg-set="-which great_rhombihexacron"/>
-<option id="" _label="Icosahedron" arg-set="-which icosahedron"/>
-<option id="" _label="Dodecahedron" arg-set="-which dodecahedron"/>
-<option id="" _label="Icosidodecahedron" arg-set="-which icosidodecahedron"/>
-<option id="" _label="Rhombic Triacontahedron" arg-set="-which rhombic_triacontahedron"/>
-<option id="" _label="Truncated Icosahedron" arg-set="-which truncated_icosahedron"/>
-<option id="" _label="Pentakisdodecahedron" arg-set="-which pentakisdodecahedron"/>
-<option id="" _label="Truncated Dodecahedron" arg-set="-which truncated_dodecahedron"/>
-<option id="" _label="Triakisicosahedron" arg-set="-which triakisicosahedron"/>
-<option id="" _label="Rhombicosidodecahedron" arg-set="-which rhombicosidodecahedron"/>
-<option id="" _label="Deltoidal Hexecontahedron" arg-set="-which deltoidal_hexecontahedron"/>
-<option id="" _label="Truncated Icosidodechedon" arg-set="-which truncated_icosidodechedon"/>
-<option id="" _label="Disdyakistriacontahedron" arg-set="-which disdyakistriacontahedron"/>
-<option id="" _label="Snub Dodecahedron" arg-set="-which snub_dodecahedron"/>
-<option id="" _label="Pentagonal Hexecontahedron" arg-set="-which pentagonal_hexecontahedron"/>
-<option id="" _label="Small Ditrigonal Icosidodecahedron" arg-set="-which small_ditrigonal_icosidodecahedron"/>
-<option id="" _label="Small Triambic Icosahedron" arg-set="-which small_triambic_icosahedron"/>
-<option id="" _label="Small Icosicosidodecahedron" arg-set="-which small_icosicosidodecahedron"/>
-<option id="" _label="Small Icosacronic Hexecontahedron" arg-set="-which small_icosacronic_hexecontahedron"/>
-<option id="" _label="Small Snub Icosicosidodecahedron" arg-set="-which small_snub_icosicosidodecahedron"/>
-<option id="" _label="Small Hexagonal Hexecontahedron" arg-set="-which small_hexagonal_hexecontahedron"/>
-<option id="" _label="Small Dodecicosidodecahedron" arg-set="-which small_dodecicosidodecahedron"/>
-<option id="" _label="Small Dodecacronic Hexecontahedron" arg-set="-which small_dodecacronic_hexecontahedron"/>
-<option id="" _label="Small Stellated Dodecahedron" arg-set="-which small_stellated_dodecahedron"/>
-<option id="" _label="Great Dodecahedron" arg-set="-which great_dodecahedron"/>
-<option id="" _label="Great Dodecadodecahedron" arg-set="-which great_dodecadodecahedron"/>
-<option id="" _label="Medial Rhombic Triacontahedron" arg-set="-which medial_rhombic_triacontahedron"/>
-<option id="" _label="Truncated Great Dodecahedron" arg-set="-which truncated_great_dodecahedron"/>
-<option id="" _label="Small Stellapentakisdodecahedron" arg-set="-which small_stellapentakisdodecahedron"/>
-<option id="" _label="Rhombidodecadodecahedron" arg-set="-which rhombidodecadodecahedron"/>
-<option id="" _label="Medial Deltoidal Hexecontahedron" arg-set="-which medial_deltoidal_hexecontahedron"/>
-<option id="" _label="Small Rhombidodecahedron" arg-set="-which small_rhombidodecahedron"/>
-<option id="" _label="Small Rhombidodecacron" arg-set="-which small_rhombidodecacron"/>
-<option id="" _label="Snub Dodecadodecahedron" arg-set="-which snub_dodecadodecahedron"/>
-<option id="" _label="Medial Pentagonal Hexecontahedron" arg-set="-which medial_pentagonal_hexecontahedron"/>
-<option id="" _label="Ditrigonal Dodecadodecahedron" arg-set="-which ditrigonal_dodecadodecahedron"/>
-<option id="" _label="Medial Triambic Icosahedron" arg-set="-which medial_triambic_icosahedron"/>
-<option id="" _label="Great Ditrigonal Dodecicosidodecahedron" arg-set="-which great_ditrigonal_dodecicosidodecahedron"/>
-<option id="" _label="Great Ditrigonal Dodecacronic Hexecontahedron" arg-set="-which great_ditrigonal_dodecacronic_hexecontahedron"/>
-<option id="" _label="Small Ditrigonal Dodecicosidodecahedron" arg-set="-which small_ditrigonal_dodecicosidodecahedron"/>
-<option id="" _label="Small Ditrigonal Dodecacronic Hexecontahedron" arg-set="-which small_ditrigonal_dodecacronic_hexecontahedron"/>
-<option id="" _label="Icosidodecadodecahedron" arg-set="-which icosidodecadodecahedron"/>
-<option id="" _label="Medial Icosacronic Hexecontahedron" arg-set="-which medial_icosacronic_hexecontahedron"/>
-<option id="" _label="Icositruncated Dodecadodecahedron" arg-set="-which icositruncated_dodecadodecahedron"/>
-<option id="" _label="Tridyakisicosahedron" arg-set="-which tridyakisicosahedron"/>
-<option id="" _label="Snub Icosidodecadodecahedron" arg-set="-which snub_icosidodecadodecahedron"/>
-<option id="" _label="Medial Hexagonal Hexecontahedron" arg-set="-which medial_hexagonal_hexecontahedron"/>
-<option id="" _label="Great Ditrigonal Icosidodecahedron" arg-set="-which great_ditrigonal_icosidodecahedron"/>
-<option id="" _label="Great Triambic Icosahedron" arg-set="-which great_triambic_icosahedron"/>
-<option id="" _label="Great Icosicosidodecahedron" arg-set="-which great_icosicosidodecahedron"/>
-<option id="" _label="Great Icosacronic Hexecontahedron" arg-set="-which great_icosacronic_hexecontahedron"/>
-<option id="" _label="Small Icosihemidodecahedron" arg-set="-which small_icosihemidodecahedron"/>
-<option id="" _label="Small Icosihemidodecacron" arg-set="-which small_icosihemidodecacron"/>
-<option id="" _label="Small Dodecicosahedron" arg-set="-which small_dodecicosahedron"/>
-<option id="" _label="Small Dodecicosacron" arg-set="-which small_dodecicosacron"/>
-<option id="" _label="Small Dodecahemidodecahedron" arg-set="-which small_dodecahemidodecahedron"/>
-<option id="" _label="Small Dodecahemidodecacron" arg-set="-which small_dodecahemidodecacron"/>
-<option id="" _label="Great Stellated Dodecahedron" arg-set="-which great_stellated_dodecahedron"/>
-<option id="" _label="Great Icosahedron" arg-set="-which great_icosahedron"/>
-<option id="" _label="Great Icosidodecahedron" arg-set="-which great_icosidodecahedron"/>
-<option id="" _label="Great Rhombic Triacontahedron" arg-set="-which great_rhombic_triacontahedron"/>
-<option id="" _label="Great Truncated Icosahedron" arg-set="-which great_truncated_icosahedron"/>
-<option id="" _label="Great Stellapentakisdodecahedron" arg-set="-which great_stellapentakisdodecahedron"/>
-<option id="" _label="Rhombicosahedron" arg-set="-which rhombicosahedron"/>
-<option id="" _label="Rhombicosacron" arg-set="-which rhombicosacron"/>
-<option id="" _label="Great Snub Icosidodecahedron" arg-set="-which great_snub_icosidodecahedron"/>
-<option id="" _label="Great Pentagonal Hexecontahedron" arg-set="-which great_pentagonal_hexecontahedron"/>
-<option id="" _label="Small Stellated Truncated Dodecahedron" arg-set="-which small_stellated_truncated_dodecahedron"/>
-<option id="" _label="Great Pentakisdodekahedron" arg-set="-which great_pentakisdodekahedron"/>
-<option id="" _label="Truncated Dodecadodecahedron" arg-set="-which truncated_dodecadodecahedron"/>
-<option id="" _label="Medial Disdyakistriacontahedron" arg-set="-which medial_disdyakistriacontahedron"/>
-<option id="" _label="Inverted Snub Dodecadodecahedron" arg-set="-which inverted_snub_dodecadodecahedron"/>
-<option id="" _label="Medial Inverted Pentagonal Hexecontahedron" arg-set="-which medial_inverted_pentagonal_hexecontahedron"/>
-<option id="" _label="Great Dodecicosidodecahedron" arg-set="-which great_dodecicosidodecahedron"/>
-<option id="" _label="Great Dodecacronic Hexecontahedron" arg-set="-which great_dodecacronic_hexecontahedron"/>
-<option id="" _label="Small Dodecahemicosahedron" arg-set="-which small_dodecahemicosahedron"/>
-<option id="" _label="Small Dodecahemicosacron" arg-set="-which small_dodecahemicosacron"/>
-<option id="" _label="Great Dodecicosahedron" arg-set="-which great_dodecicosahedron"/>
-<option id="" _label="Great Dodecicosacron" arg-set="-which great_dodecicosacron"/>
-<option id="" _label="Great Snub Dodecicosidodecahedron" arg-set="-which great_snub_dodecicosidodecahedron"/>
-<option id="" _label="Great Hexagonal Hexecontahedron" arg-set="-which great_hexagonal_hexecontahedron"/>
-<option id="" _label="Great Dodecahemicosahedron" arg-set="-which great_dodecahemicosahedron"/>
-<option id="" _label="Great Dodecahemicosacron" arg-set="-which great_dodecahemicosacron"/>
-<option id="" _label="Great Stellated Truncated Dodecahedron" arg-set="-which great_stellated_truncated_dodecahedron"/>
-<option id="" _label="Great Triakisicosahedron" arg-set="-which great_triakisicosahedron"/>
-<option id="" _label="Great Rhombicosidodecahedron" arg-set="-which great_rhombicosidodecahedron"/>
-<option id="" _label="Great Deltoidal Hexecontahedron" arg-set="-which great_deltoidal_hexecontahedron"/>
-<option id="" _label="Great Truncated Icosidodecahedron" arg-set="-which great_truncated_icosidodecahedron"/>
-<option id="" _label="Great Disdyakistriacontahedron" arg-set="-which great_disdyakistriacontahedron"/>
-<option id="" _label="Great Inverted Snub Icosidodecahedron" arg-set="-which great_inverted_snub_icosidodecahedron"/>
-<option id="" _label="Great Inverted Pentagonal Hexecontahedron" arg-set="-which great_inverted_pentagonal_hexecontahedron"/>
-<option id="" _label="Great Dodecahemidodecahedron" arg-set="-which great_dodecahemidodecahedron"/>
-<option id="" _label="Great Dodecahemidodecacron" arg-set="-which great_dodecahemidodecacron"/>
-<option id="" _label="Great Icosihemidodecahedron" arg-set="-which great_icosihemidodecahedron"/>
-<option id="" _label="Great Icosihemidodecacron" arg-set="-which great_icosihemidodecacron"/>
-<option id="" _label="Small Retrosnub Icosicosidodecahedron" arg-set="-which small_retrosnub_icosicosidodecahedron"/>
-<option id="" _label="Small Hexagrammic Hexecontahedron" arg-set="-which small_hexagrammic_hexecontahedron"/>
-<option id="" _label="Great Rhombidodecahedron" arg-set="-which great_rhombidodecahedron"/>
-<option id="" _label="Great Rhombidodecacron" arg-set="-which great_rhombidodecacron"/>
-<option id="" _label="Great Retrosnub Icosidodecahedron" arg-set="-which great_retrosnub_icosidodecahedron"/>
-<option id="" _label="Great Pentagrammic Hexecontahedron" arg-set="-which great_pentagrammic_hexecontahedron"/>
-<option id="" _label="Great Dirhombicosidodecahedron" arg-set="-which great_dirhombicosidodecahedron"/>
-<option id="" _label="Great Dirhombicosidodecacron" arg-set="-which great_dirhombicosidodecacron"/>
+<option _label="Pentagonal Prism" arg-set="-which pentagonal_prism"/>
+<option _label="Pentagonal Dipyramid" arg-set="-which pentagonal_dipyramid"/>
+<option _label="Pentagonal Antiprism" arg-set="-which pentagonal_antiprism"/>
+<option _label="Pentagonal Deltohedron" arg-set="-which pentagonal_deltohedron"/>
+<option _label="Pentagrammic Prism" arg-set="-which pentagrammic_prism"/>
+<option _label="Pentagrammic Dipyramid" arg-set="-which pentagrammic_dipyramid"/>
+<option _label="Pentagrammic Antiprism" arg-set="-which pentagrammic_antiprism"/>
+<option _label="Pentagrammic Deltohedron" arg-set="-which pentagrammic_deltohedron"/>
+<option _label="Pentagrammic Crossed Antiprism" arg-set="-which pentagrammic_crossed_antiprism"/>
+<option _label="Pentagrammic Concave Deltohedron" arg-set="-which pentagrammic_concave_deltohedron"/>
+<option _label="Tetrahedron" arg-set="-which tetrahedron"/>
+<option _label="Truncated Tetrahedron" arg-set="-which truncated_tetrahedron"/>
+<option _label="Triakistetrahedron" arg-set="-which triakistetrahedron"/>
+<option _label="Octahemioctahedron" arg-set="-which octahemioctahedron"/>
+<option _label="Octahemioctacron" arg-set="-which octahemioctacron"/>
+<option _label="Tetrahemihexahedron" arg-set="-which tetrahemihexahedron"/>
+<option _label="Tetrahemihexacron" arg-set="-which tetrahemihexacron"/>
+<option _label="Octahedron" arg-set="-which octahedron"/>
+<option _label="Cube" arg-set="-which cube"/>
+<option _label="Cuboctahedron" arg-set="-which cuboctahedron"/>
+<option _label="Rhombic Dodecahedron" arg-set="-which rhombic_dodecahedron"/>
+<option _label="Truncated Octahedron" arg-set="-which truncated_octahedron"/>
+<option _label="Tetrakishexahedron" arg-set="-which tetrakishexahedron"/>
+<option _label="Truncated Cube" arg-set="-which truncated_cube"/>
+<option _label="Triakisoctahedron" arg-set="-which triakisoctahedron"/>
+<option _label="Rhombicuboctahedron" arg-set="-which rhombicuboctahedron"/>
+<option _label="Deltoidal Icositetrahedron" arg-set="-which deltoidal_icositetrahedron"/>
+<option _label="Truncated Cuboctahedron" arg-set="-which truncated_cuboctahedron"/>
+<option _label="Disdyakisdodecahedron" arg-set="-which disdyakisdodecahedron"/>
+<option _label="Snub Cube" arg-set="-which snub_cube"/>
+<option _label="Pentagonal Icositetrahedron" arg-set="-which pentagonal_icositetrahedron"/>
+<option _label="Small Cubicuboctahedron" arg-set="-which small_cubicuboctahedron"/>
+<option _label="Small Hexacronic Icositetrahedron" arg-set="-which small_hexacronic_icositetrahedron"/>
+<option _label="Great Cubicuboctahedron" arg-set="-which great_cubicuboctahedron"/>
+<option _label="Great Hexacronic Icositetrahedron" arg-set="-which great_hexacronic_icositetrahedron"/>
+<option _label="Cubohemioctahedron" arg-set="-which cubohemioctahedron"/>
+<option _label="Hexahemioctacron" arg-set="-which hexahemioctacron"/>
+<option _label="Cubitruncated Cuboctahedron" arg-set="-which cubitruncated_cuboctahedron"/>
+<option _label="Tetradyakishexahedron" arg-set="-which tetradyakishexahedron"/>
+<option _label="Great Rhombicuboctahedron" arg-set="-which great_rhombicuboctahedron"/>
+<option _label="Great Deltoidal Icositetrahedron" arg-set="-which great_deltoidal_icositetrahedron"/>
+<option _label="Small Rhombihexahedron" arg-set="-which small_rhombihexahedron"/>
+<option _label="Small Rhombihexacron" arg-set="-which small_rhombihexacron"/>
+<option _label="Stellated Truncated Hexahedron" arg-set="-which stellated_truncated_hexahedron"/>
+<option _label="Great Triakisoctahedron" arg-set="-which great_triakisoctahedron"/>
+<option _label="Great Truncated Cuboctahedron" arg-set="-which great_truncated_cuboctahedron"/>
+<option _label="Great Disdyakisdodecahedron" arg-set="-which great_disdyakisdodecahedron"/>
+<option _label="Great Rhombihexahedron" arg-set="-which great_rhombihexahedron"/>
+<option _label="Great Rhombihexacron" arg-set="-which great_rhombihexacron"/>
+<option _label="Icosahedron" arg-set="-which icosahedron"/>
+<option _label="Dodecahedron" arg-set="-which dodecahedron"/>
+<option _label="Icosidodecahedron" arg-set="-which icosidodecahedron"/>
+<option _label="Rhombic Triacontahedron" arg-set="-which rhombic_triacontahedron"/>
+<option _label="Truncated Icosahedron" arg-set="-which truncated_icosahedron"/>
+<option _label="Pentakisdodecahedron" arg-set="-which pentakisdodecahedron"/>
+<option _label="Truncated Dodecahedron" arg-set="-which truncated_dodecahedron"/>
+<option _label="Triakisicosahedron" arg-set="-which triakisicosahedron"/>
+<option _label="Rhombicosidodecahedron" arg-set="-which rhombicosidodecahedron"/>
+<option _label="Deltoidal Hexecontahedron" arg-set="-which deltoidal_hexecontahedron"/>
+<option _label="Truncated Icosidodechedon" arg-set="-which truncated_icosidodechedon"/>
+<option _label="Disdyakistriacontahedron" arg-set="-which disdyakistriacontahedron"/>
+<option _label="Snub Dodecahedron" arg-set="-which snub_dodecahedron"/>
+<option _label="Pentagonal Hexecontahedron" arg-set="-which pentagonal_hexecontahedron"/>
+<option _label="Small Ditrigonal Icosidodecahedron" arg-set="-which small_ditrigonal_icosidodecahedron"/>
+<option _label="Small Triambic Icosahedron" arg-set="-which small_triambic_icosahedron"/>
+<option _label="Small Icosicosidodecahedron" arg-set="-which small_icosicosidodecahedron"/>
+<option _label="Small Icosacronic Hexecontahedron" arg-set="-which small_icosacronic_hexecontahedron"/>
+<option _label="Small Snub Icosicosidodecahedron" arg-set="-which small_snub_icosicosidodecahedron"/>
+<option _label="Small Hexagonal Hexecontahedron" arg-set="-which small_hexagonal_hexecontahedron"/>
+<option _label="Small Dodecicosidodecahedron" arg-set="-which small_dodecicosidodecahedron"/>
+<option _label="Small Dodecacronic Hexecontahedron" arg-set="-which small_dodecacronic_hexecontahedron"/>
+<option _label="Small Stellated Dodecahedron" arg-set="-which small_stellated_dodecahedron"/>
+<option _label="Great Dodecahedron" arg-set="-which great_dodecahedron"/>
+<option _label="Great Dodecadodecahedron" arg-set="-which great_dodecadodecahedron"/>
+<option _label="Medial Rhombic Triacontahedron" arg-set="-which medial_rhombic_triacontahedron"/>
+<option _label="Truncated Great Dodecahedron" arg-set="-which truncated_great_dodecahedron"/>
+<option _label="Small Stellapentakisdodecahedron" arg-set="-which small_stellapentakisdodecahedron"/>
+<option _label="Rhombidodecadodecahedron" arg-set="-which rhombidodecadodecahedron"/>
+<option _label="Medial Deltoidal Hexecontahedron" arg-set="-which medial_deltoidal_hexecontahedron"/>
+<option _label="Small Rhombidodecahedron" arg-set="-which small_rhombidodecahedron"/>
+<option _label="Small Rhombidodecacron" arg-set="-which small_rhombidodecacron"/>
+<option _label="Snub Dodecadodecahedron" arg-set="-which snub_dodecadodecahedron"/>
+<option _label="Medial Pentagonal Hexecontahedron" arg-set="-which medial_pentagonal_hexecontahedron"/>
+<option _label="Ditrigonal Dodecadodecahedron" arg-set="-which ditrigonal_dodecadodecahedron"/>
+<option _label="Medial Triambic Icosahedron" arg-set="-which medial_triambic_icosahedron"/>
+<option _label="Great Ditrigonal Dodecicosidodecahedron" arg-set="-which great_ditrigonal_dodecicosidodecahedron"/>
+<option _label="Great Ditrigonal Dodecacronic Hexecontahedron" arg-set="-which great_ditrigonal_dodecacronic_hexecontahedron"/>
+<option _label="Small Ditrigonal Dodecicosidodecahedron" arg-set="-which small_ditrigonal_dodecicosidodecahedron"/>
+<option _label="Small Ditrigonal Dodecacronic Hexecontahedron" arg-set="-which small_ditrigonal_dodecacronic_hexecontahedron"/>
+<option _label="Icosidodecadodecahedron" arg-set="-which icosidodecadodecahedron"/>
+<option _label="Medial Icosacronic Hexecontahedron" arg-set="-which medial_icosacronic_hexecontahedron"/>
+<option _label="Icositruncated Dodecadodecahedron" arg-set="-which icositruncated_dodecadodecahedron"/>
+<option _label="Tridyakisicosahedron" arg-set="-which tridyakisicosahedron"/>
+<option _label="Snub Icosidodecadodecahedron" arg-set="-which snub_icosidodecadodecahedron"/>
+<option _label="Medial Hexagonal Hexecontahedron" arg-set="-which medial_hexagonal_hexecontahedron"/>
+<option _label="Great Ditrigonal Icosidodecahedron" arg-set="-which great_ditrigonal_icosidodecahedron"/>
+<option _label="Great Triambic Icosahedron" arg-set="-which great_triambic_icosahedron"/>
+<option _label="Great Icosicosidodecahedron" arg-set="-which great_icosicosidodecahedron"/>
+<option _label="Great Icosacronic Hexecontahedron" arg-set="-which great_icosacronic_hexecontahedron"/>
+<option _label="Small Icosihemidodecahedron" arg-set="-which small_icosihemidodecahedron"/>
+<option _label="Small Icosihemidodecacron" arg-set="-which small_icosihemidodecacron"/>
+<option _label="Small Dodecicosahedron" arg-set="-which small_dodecicosahedron"/>
+<option _label="Small Dodecicosacron" arg-set="-which small_dodecicosacron"/>
+<option _label="Small Dodecahemidodecahedron" arg-set="-which small_dodecahemidodecahedron"/>
+<option _label="Small Dodecahemidodecacron" arg-set="-which small_dodecahemidodecacron"/>
+<option _label="Great Stellated Dodecahedron" arg-set="-which great_stellated_dodecahedron"/>
+<option _label="Great Icosahedron" arg-set="-which great_icosahedron"/>
+<option _label="Great Icosidodecahedron" arg-set="-which great_icosidodecahedron"/>
+<option _label="Great Rhombic Triacontahedron" arg-set="-which great_rhombic_triacontahedron"/>
+<option _label="Great Truncated Icosahedron" arg-set="-which great_truncated_icosahedron"/>
+<option _label="Great Stellapentakisdodecahedron" arg-set="-which great_stellapentakisdodecahedron"/>
+<option _label="Rhombicosahedron" arg-set="-which rhombicosahedron"/>
+<option _label="Rhombicosacron" arg-set="-which rhombicosacron"/>
+<option _label="Great Snub Icosidodecahedron" arg-set="-which great_snub_icosidodecahedron"/>
+<option _label="Great Pentagonal Hexecontahedron" arg-set="-which great_pentagonal_hexecontahedron"/>
+<option _label="Small Stellated Truncated Dodecahedron" arg-set="-which small_stellated_truncated_dodecahedron"/>
+<option _label="Great Pentakisdodekahedron" arg-set="-which great_pentakisdodekahedron"/>
+<option _label="Truncated Dodecadodecahedron" arg-set="-which truncated_dodecadodecahedron"/>
+<option _label="Medial Disdyakistriacontahedron" arg-set="-which medial_disdyakistriacontahedron"/>
+<option _label="Inverted Snub Dodecadodecahedron" arg-set="-which inverted_snub_dodecadodecahedron"/>
+<option _label="Medial Inverted Pentagonal Hexecontahedron" arg-set="-which medial_inverted_pentagonal_hexecontahedron"/>
+<option _label="Great Dodecicosidodecahedron" arg-set="-which great_dodecicosidodecahedron"/>
+<option _label="Great Dodecacronic Hexecontahedron" arg-set="-which great_dodecacronic_hexecontahedron"/>
+<option _label="Small Dodecahemicosahedron" arg-set="-which small_dodecahemicosahedron"/>
+<option _label="Small Dodecahemicosacron" arg-set="-which small_dodecahemicosacron"/>
+<option _label="Great Dodecicosahedron" arg-set="-which great_dodecicosahedron"/>
+<option _label="Great Dodecicosacron" arg-set="-which great_dodecicosacron"/>
+<option _label="Great Snub Dodecicosidodecahedron" arg-set="-which great_snub_dodecicosidodecahedron"/>
+<option _label="Great Hexagonal Hexecontahedron" arg-set="-which great_hexagonal_hexecontahedron"/>
+<option _label="Great Dodecahemicosahedron" arg-set="-which great_dodecahemicosahedron"/>
+<option _label="Great Dodecahemicosacron" arg-set="-which great_dodecahemicosacron"/>
+<option _label="Great Stellated Truncated Dodecahedron" arg-set="-which great_stellated_truncated_dodecahedron"/>
+<option _label="Great Triakisicosahedron" arg-set="-which great_triakisicosahedron"/>
+<option _label="Great Rhombicosidodecahedron" arg-set="-which great_rhombicosidodecahedron"/>
+<option _label="Great Deltoidal Hexecontahedron" arg-set="-which great_deltoidal_hexecontahedron"/>
+<option _label="Great Truncated Icosidodecahedron" arg-set="-which great_truncated_icosidodecahedron"/>
+<option _label="Great Disdyakistriacontahedron" arg-set="-which great_disdyakistriacontahedron"/>
+<option _label="Great Inverted Snub Icosidodecahedron" arg-set="-which great_inverted_snub_icosidodecahedron"/>
+<option _label="Great Inverted Pentagonal Hexecontahedron" arg-set="-which great_inverted_pentagonal_hexecontahedron"/>
+<option _label="Great Dodecahemidodecahedron" arg-set="-which great_dodecahemidodecahedron"/>
+<option _label="Great Dodecahemidodecacron" arg-set="-which great_dodecahemidodecacron"/>
+<option _label="Great Icosihemidodecahedron" arg-set="-which great_icosihemidodecahedron"/>
+<option _label="Great Icosihemidodecacron" arg-set="-which great_icosihemidodecacron"/>
+<option _label="Small Retrosnub Icosicosidodecahedron" arg-set="-which small_retrosnub_icosicosidodecahedron"/>
+<option _label="Small Hexagrammic Hexecontahedron" arg-set="-which small_hexagrammic_hexecontahedron"/>
+<option _label="Great Rhombidodecahedron" arg-set="-which great_rhombidodecahedron"/>
+<option _label="Great Rhombidodecacron" arg-set="-which great_rhombidodecacron"/>
+<option _label="Great Retrosnub Icosidodecahedron" arg-set="-which great_retrosnub_icosidodecahedron"/>
+<option _label="Great Pentagrammic Hexecontahedron" arg-set="-which great_pentagrammic_hexecontahedron"/>
+<option _label="Great Dirhombicosidodecahedron" arg-set="-which great_dirhombicosidodecahedron"/>
+<option _label="Great Dirhombicosidodecacron" arg-set="-which great_dirhombicosidodecacron"/>
   </select>
 
 
   <boolean id="titles"  _label="Show Description" arg-unset="-no-titles"/>
-  <boolean id="wander" _label="Wander"    arg-unset="-no-wander"/>
-  <boolean id="wire"   _label="Wireframe" arg-set="-wireframe"/>
+  <boolean id="spin"    _label="Spin"      arg-unset="-no-spin"/>
+  <boolean id="wander"  _label="Wander"    arg-unset="-no-wander"/>
+  <boolean id="wire"    _label="Wireframe" arg-set="-wireframe"/>
   <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
 
   <_description>
 Displays different 3D solids and some information about each.
-A new solid is chosen every few seconds.  There are 75 uniform 
-polyhedra, plus 5 inifite sets of prisms and antiprisms; 
+A new solid is chosen every few seconds.  There are 75 uniform
+polyhedra, plus 5 infinite sets of prisms and antiprisms;
 including their duals brings the total to 160.
 
 Written by Dr. Zvi Har'El and Jamie Zawinski.

=== modified file 'hacks/config/polytopes.xml'
--- hacks/config/polytopes.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/polytopes.xml	2005-12-08 16:00:22 +0000
@@ -5,8 +5,8 @@
   <command arg="-root"/>
 
   <select id="display-mode">
-    <option id="mesh" _label="Wireframe Mesh"
-            arg-set="-mesh"/>
+    <option id="wire" _label="Wireframe Mesh"
+            arg-set="-wireframe"/>
     <option id="surface" _label="Solid Surface"
             arg-set="-surface"/>
     <option id="transparent" _label="Transparent Surface"/>

=== modified file 'hacks/config/pong.xml'
--- hacks/config/pong.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/pong.xml	2006-06-30 16:27:21 +0000
@@ -6,7 +6,7 @@
 
   <number id="speed" type="slider" arg="-speed %"
           _label="Speed" _low-label="Slow" _high-label="Fast"
-          low="1" high="20" default="7"/>
+          low="1" high="20" default="6"/>
 
   <number id="percent" type="slider" arg="-percent %"
           _label="Size" _low-label="Thin" _high-label="Thick"

=== modified file 'hacks/config/providence.xml'
--- hacks/config/providence.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/providence.xml	2005-12-08 16:00:22 +0000
@@ -9,10 +9,15 @@
           low="0" high="50000" default="20000"
           convert="invert"/>
 
+  <select id="render">
+    <option id="wire"  _label="Wireframe" arg-set="-wireframe"/>
+    <option id="solid" _label="Solid"/>
+  </select>
+
+  <boolean id="eye" _label="Draw Eye" arg-unset="-no-eye"/>
+
   <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
 
-  <boolean id="eye" _label="Draw Eye" arg-unset="-no-eye"/>
-
   <_description>
 The providence code displays an eye, shrouded in glory, set upon the
 base of a pyramid.

=== modified file 'hacks/config/queens.xml'
--- hacks/config/queens.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/queens.xml	2005-12-08 16:00:22 +0000
@@ -9,7 +9,10 @@
           low="0" high="50000" default="20000"
           convert="invert"/>
 
-  <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+  <hgroup>
+   <boolean id="wire"    _label="Wireframe" arg-set="-wireframe"/>
+   <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+  </hgroup>
 
   <_description>
 Solves the N-Queens problem (where, in this program, N is between 5 and

=== modified file 'hacks/config/rd-bomb.xml'
--- hacks/config/rd-bomb.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/rd-bomb.xml	2006-06-30 16:27:21 +0000
@@ -33,7 +33,7 @@
 
   <!-- #### default is wrong -->
   <number id="radius" type="spinbutton" arg="-radius %"
-          _label="Seed Radius" low="1" high="1000" default="500"/>
+          _label="Seed Radius" low="1" high="60" default="15"/>
 
   <number id="epoch" type="slider" arg="-epoch %"
            _label="Epoch" _low-label="Small" _high-label="Large"

=== modified file 'hacks/config/ripples.xml'
--- hacks/config/ripples.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/ripples.xml	2005-12-08 16:00:22 +0000
@@ -30,6 +30,8 @@
 
   <boolean id="oily" _label="Psychedelic Colors" arg-set="-oily"/>
 
+  <boolean id="gray" _label="Grayscale" arg-set="-grayscale"/>
+
   <number id="ncolors" type="slider" arg="-colors %"
             _low-label="Colors    Two" _high-label="Many"
             low="1" high="255" default="200"/>

=== modified file 'hacks/config/rotzoomer.xml'
--- hacks/config/rotzoomer.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/rotzoomer.xml	2006-06-30 16:27:21 +0000
@@ -5,7 +5,7 @@
   <command arg="-root"/>
 
   <number id="delay" type="slider" arg="-delay %"
-          _label="Duration" _low-label="0 Seconds" _high-label="1 Minute"
+          _label="Duration" _low-label="0" _high-label="60"
           low="0" high="60" default="10"/>
 
   <number id="n" type="spinbutton" arg="-n %"

=== modified file 'hacks/config/sierpinski3d.xml'
--- hacks/config/sierpinski3d.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/sierpinski3d.xml	2006-06-30 16:27:21 +0000
@@ -15,7 +15,7 @@
           convert="invert"/>
 
   <number id="depth" type="spinbutton" arg="-depth %"
-          _label="Max Depth" low="1" high="6" default="3"/>
+          _label="Max Depth" low="1" high="6" default="5"/>
 
   <select id="render">
     <option id="wire"  _label="Wireframe" arg-set="-wireframe"/>

=== modified file 'hacks/config/spheremonics.xml'
--- hacks/config/spheremonics.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/spheremonics.xml	2006-06-30 16:27:21 +0000
@@ -11,7 +11,7 @@
 
   <number id="duration" type="slider" arg="-duration %"
           _label="Duration" _low-label="Short" _high-label="Long"
-          low="5" high="1000" default="500"/>
+          low="5" high="1000" default="100"/>
 
   <number id="resolution" type="slider" arg="-resolution %"
           _label="Resolution" _low-label="Low" _high-label="High"

=== modified file 'hacks/config/squiral.xml'
--- hacks/config/squiral.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/squiral.xml	2005-12-08 16:00:22 +0000
@@ -20,9 +20,9 @@
           _label="Handedness" _low-label="Left" _high-label="Right"
           low="0.0" high="1.0" default="0.5"/>
 
-  <number id="fill" type="slider" arg="-density %"
-          _label="Density" _low-label="Sparse" _high-label="Dense"
-          low="10" high="100" default="75"/>
+  <number id="fill" type="slider" arg="-fill %"
+           _label="Density" _low-label="Sparse" _high-label="Dense"
+          low="0" high="100" default="75"/>
 
   <number id="ncolors" type="slider" arg="-ncolors %"
             _label="Number of Colors" _low-label="Two" _high-label="Many"

=== modified file 'hacks/config/substrate.xml'
--- hacks/config/substrate.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/substrate.xml	2006-06-30 16:27:21 +0000
@@ -13,7 +13,7 @@
 
   <number id="maxcyc" type="slider" arg="-max-cycles %"
           _label="Duration"  _low-label="Short" _high-label="Long"
-          low="2000" high="25000" default="12000" />
+          low="2000" high="25000" default="10000" />
   
   <number id="sandg" type="slider" arg="-sand-grains %"
           _label="Sandgrains" _low-label="Few" _high-label="Lots"

=== added file 'hacks/config/tangram.xml'
--- hacks/config/tangram.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/tangram.xml	2006-06-30 16:27:21 +0000
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<screensaver name="tangram" _label="Tangram">
+
+  <command arg="-root"/>
+
+  <number id="delay" type="slider" arg="-delay %"
+          _label="Speed" _low-label="Fast" _high-label="Slow"
+          low="0" high="50000" default="10000"/>
+
+  <number id="viewing_time" type="spinbutton" arg="-viewing_time %"
+          _label="Viewing Time" low="0" high="30" default="5" />
+
+  <number id="x_camera_rotate" type="slider" arg="-x_camera_rotate %"
+          _label="X Camera Rotate" _low-label="Slow" _high-label="Fast"
+          low="0" high="1" default="0.2" />
+
+  <number id="y_camera_rotate" type="slider" arg="-y_camera_rotate %"
+          _label="Y Camera Rotate" _low-label="Slow" _high-label="Fast"
+          low="0" high="1" default="0.5" />
+
+  <number id="z_camera_rotate" type="slider" arg="-z_camera_rotate %"
+          _label="Z Camera Rotate" _low-label="Slow" _high-label="Fast"
+          low="0" high="1" default="0" />
+
+  <hgroup>
+   <boolean id="wire"      _label="Wireframe"  arg-set="-wireframe"/>
+   <boolean id="rotate"    _label="Don't Rotate"     arg-set="-no-rotate"/>
+  </hgroup>
+
+  <_description>
+Lets you watch the computer solve Tangram puzzles
+Written by Jeremy English.
+  </_description>
+</screensaver>

=== added file 'hacks/config/timetunnel.xml'
--- hacks/config/timetunnel.xml	1970-01-01 00:00:00 +0000
+++ hacks/config/timetunnel.xml	2006-06-30 16:27:21 +0000
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<screensaver name="timetunnel" _label="Timetunnel">
+
+  <command arg="-root"/>
+
+  <number id="start" type="slider" arg="-start %"
+          _label="Start sequence time" _low-label="0 sec" _high-label="30 sec"
+          low="0.00" high="30.00" default="0.00"/>
+
+  <number id="changetime" type="slider" arg="-end %"
+          _label="Color Change Time" _low-label="Short" _high-label="Long"
+          low="0.00" high="30.00" default="30.00"/>
+
+  <boolean id="tunonly" _label="Draw Logo" arg-unset="-tunonly"/>
+  <boolean id="reverse" _label="Run Backward" arg-set="-reverse"/>
+
+  <boolean id="showfps" _label="Show Frames-per-Second" arg-set="-fps"/>
+
+  <_description>
+Draws an animation similar to the opening and closing effects on the
+Dr. Who television show.  Written by Sean P. Brennan.
+  </_description>
+</screensaver>

=== modified file 'hacks/config/whirlwindwarp.xml'
--- hacks/config/whirlwindwarp.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/whirlwindwarp.xml	2006-06-30 16:27:21 +0000
@@ -5,12 +5,12 @@
   <command arg="-root"/>
 
   <number id="points" type="slider" arg="-points %"
-          _label="Particles" _label-low="Few" _label-high="Many"
+          _label="Particles" _low-label="Few" _high-label="Many"
           low="10" high="1000" default="400"/>
 
   <number id="tails" type="slider" arg="-tails %"
-          _label="Trail Size" _label-low="Short" _label-high="Long"
-          low="1" high="200" default="10"/>
+          _label="Trail Size" _low-label="Short" _high-label="Long"
+          low="1" high="200" default="8"/>
 
   <_description>
 Floating stars are acted upon by a mixture of simple 2D

=== modified file 'hacks/config/whirlygig.xml'
--- hacks/config/whirlygig.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/whirlygig.xml	2005-12-08 16:00:22 +0000
@@ -29,7 +29,7 @@
 
   <hgroup>
    <select id="xmode">
-    <option id="random" _label="Random" arg-set=""/>
+    <option id="random" _label="Random" />
     <option id="spin" _label="Spin" arg-set="-xmode spin"/>
     <option id="funky" _label="Funky" arg-set="-xmode funky"/>
     <option id="circle" _label="Circle" arg-set="-xmode circle"/>
@@ -41,20 +41,20 @@
    </select>
 
    <select id="ymode">
-    <option id="random" _label="Random" arg-set=""/>
-    <option id="spin" _label="Spin" arg-set="-ymode spin"/>
-    <option id="funky" _label="Funky" arg-set="-ymode funky"/>
-    <option id="circle" _label="Circle" arg-set="-ymode circle"/>
-    <option id="linear" _label="Linear" arg-set="-ymode linear"/>
-    <option id="test" _label="Test" arg-set="-ymode test"/>
-    <option id="fun" _label="Fun" arg-set="-ymode fun"/>
-    <option id="innie" _label="Innie" arg-set="-ymode innie"/>
-    <option id="lissajous" _label="Lissajous" arg-set="-ymode lissajous"/>
+    <option id="randomy" _label="Random" />
+    <option id="spiny" _label="Spin" arg-set="-ymode spin"/>
+    <option id="funkyy" _label="Funky" arg-set="-ymode funky"/>
+    <option id="circley" _label="Circle" arg-set="-ymode circle"/>
+    <option id="lineary" _label="Linear" arg-set="-ymode linear"/>
+    <option id="testy" _label="Test" arg-set="-ymode test"/>
+    <option id="funy" _label="Fun" arg-set="-ymode fun"/>
+    <option id="inniey" _label="Innie" arg-set="-ymode innie"/>
+    <option id="lissajousy" _label="Lissajous" arg-set="-ymode lissajous"/>
    </select>
  </hgroup>
 
   <!-- #### -speed [1] -->
-  <!-- #### -color_modifier [-1] --> 
+  <!-- #### -color_modifier [-1] -->
   <!-- #### -start_time [-1] -->
   <!-- #### -xoffset [1.0] -->
   <!-- #### -yoffset [1.0] -->

=== modified file 'hacks/config/wormhole.xml'
--- hacks/config/wormhole.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/wormhole.xml	2006-06-30 16:27:21 +0000
@@ -6,16 +6,16 @@
 
   <number id="delay" type="slider" arg="-delay %"
           _label="Animation Speed" _low-label="Slow" _high-label="Fast"
-          low="0" high="50000" default="100"
+          low="0" high="50000" default="10000"
           convert="invert"/>
 
   <number id="zspeed" type="slider" arg="-zspeed %"
           _label="Star speed" _low-label="Slow" _high-label="Fast"
-          low="1" high="30" default="15"/>
+          low="1" high="30" default="10"/>
 
   <number id="stars" type="slider" arg="-stars %"
           _label="Stars Created" _low-label="Few" _high-label="Lots"
-          low="1" high="100" default="30"/>
+          low="1" high="100" default="20"/>
 
   <_description>
   Wormhole simulates flying through a colored wormhole in space. 

=== modified file 'hacks/config/xmountains.xml'
--- hacks/config/xmountains.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/xmountains.xml	2005-12-08 16:00:22 +0000
@@ -11,7 +11,7 @@
       <option id="top"  _label="Top View" arg-set="-m"/>
     </select>
 
-    <boolean id="reflections" _label="Reflections" arg-unset="+M"/>
+    <boolean id="reflections" _label="Reflections" arg-unset="-M"/>
   </hgroup>
 
   <number id="speed" type="slider" arg="-Z %"
@@ -36,7 +36,7 @@
   <number id="alight" type="slider" arg="-e %"
           _label="Light Level" _low-label="Ambient  Low" _high-label="High"
           low="0.0" high="1.0" default="0.3"/>
-  <number id="vlight" type="slider" arg="-v %"
+  <number id="vlight2" type="slider" arg="-v %"
           _low-label="Vertical  Low" _high-label="High"
           low="0.0" high="1.0" default="0.6"/>
   <number id="contrast" type="slider" arg="-c %"
@@ -80,7 +80,7 @@
   <number id="recurs" type="slider" arg="-l %"
           _low-label="Recursion  0" _high-label="14"
           low="0" high="14" default="10"/>
-  <number id="recurs" type="slider" arg="-t %"
+  <number id="iterate" type="slider" arg="-t %"
           _low-label="Iteration  0" _high-label="10"
           low="0" high="10" default="2"/>
 
@@ -95,7 +95,7 @@
           _low-label="Yf  0.0" _high-label="1.0"
           low="0.0" high="1.0" default="0.0"/>
 
-  <boolean id="cross" _label="Cross Update" arg-unset="+x"/>
+  <boolean id="cross" _label="Cross Update" arg-unset="-x"/>
 
   <_description>
 XMountains generates realistic-looking fractal terrains of snow-capped

=== added file 'hacks/config/xss.dtd'
--- hacks/config/xss.dtd	1970-01-01 00:00:00 +0000
+++ hacks/config/xss.dtd	2006-06-30 16:27:21 +0000
@@ -0,0 +1,105 @@
+<!-- xscreensaver, Copyright (c) 2001-2005 Jamie Zawinski <jwz@jwz.org> -->
+<!--
+ Permission to use, copy, modify, distribute, and sell this software and its
+ documentation for any purpose is hereby granted without fee, provided that
+ the above copyright notice appear in all copies and that both that
+ copyright notice and this permission notice appear in supporting
+ documentation.  No representations are made about the suitability of this
+ software for any purpose.  It is provided "as is" without express or
+ implied warranty.
+-->
+<!-- 
+This DTD validates the format of the XScreenSaver configuration files.
+
+The DTD will not be devloped further, as the .XSD style validation
+can already check more of the details of the config files.
+
+DTD written by Andrew Thompson <andrewthommo@gmail.com>
+-->
+<!-- XScreenSaver settings config file. - DTD version 1.0  -->
+<!ELEMENT screensaver 
+    ((command|fullcommand)*,
+      (boolean|number|select|string|file|hgroup|vgroup)*,
+      _description)>
+<!ATTLIST screensaver
+  name        CDATA   #REQUIRED
+  _label      CDATA   #REQUIRED
+  >
+
+<!-- Every XScreenSaver hack has exactly one of either command or fullcommand -->
+<!ELEMENT command EMPTY>
+<!ATTLIST command
+  arg         CDATA   #IMPLIED
+  >
+
+<!-- Checkbox -->
+<!-- One of either arg-set or arg-unset is required -->
+<!ELEMENT boolean EMPTY>
+<!ATTLIST boolean
+  id          ID      #IMPLIED
+  _label      CDATA   #REQUIRED
+  arg-set     CDATA   #IMPLIED
+  arg-unset   CDATA   #IMPLIED
+  >
+
+<!-- Slider and Spin Button -->
+<!-- _low/high-label not required for type spinbutton -->
+<!-- arg must end with ' %' -->
+<!ELEMENT number EMPTY>
+<!ATTLIST number
+  id          ID                  #IMPLIED
+  type	      (slider|spinbutton) #REQUIRED
+  _label      CDATA               #REQUIRED
+  _low-label  CDATA               #IMPLIED 
+  _high-label CDATA               #IMPLIED 
+  arg         CDATA               #REQUIRED
+  low         CDATA              #REQUIRED
+  high        CDATA              #REQUIRED
+  default     CDATA              #REQUIRED
+  convert     (invert)            #IMPLIED
+  >
+
+<!-- Drop-down list -->
+<!ELEMENT select (option+)>
+<!ATTLIST select
+  id          ID      #IMPLIED
+  >
+
+<!-- List item -->
+<!ELEMENT option EMPTY>
+<!ATTLIST option
+  id          ID      #IMPLIED
+  _label      CDATA   #REQUIRED
+  arg-set     CDATA   #IMPLIED
+  >
+
+<!-- String or Textual input -->
+<!-- arg must end with ' %' -->
+<!ELEMENT string EMPTY>
+<!ATTLIST string
+  id          ID      #IMPLIED
+  _label      CDATA   #REQUIRED
+  arg         CDATA   #REQUIRED
+  >
+
+<!-- File browser. -->
+<!-- arg must end with ' %' -->
+<!ELEMENT file EMPTY>
+<!ATTLIST file
+  id          ID      #IMPLIED
+  _label      CDATA   #REQUIRED
+  arg         CDATA   #REQUIRED
+  >
+
+<!-- Free Text.  The description of the Screen Saver. -->
+<!ELEMENT _description (#PCDATA)>
+
+<!-- Horizontal grouping element, a row of widgets. 
+Unimplemented in SaverBeans as of API 0.2. -->
+<!ELEMENT hgroup ((boolean|number|select|string|file|vgroup)*)> <!-- Undocumented -->
+
+<!-- Vertical grouping element, a column of widgets.
+Since the widgets are normally arranged in a column,
+this is only of use within an hgroup. 
+Unimplemented in SaverBeans as of API 0.2. -->
+<!ELEMENT vgroup ((boolean|number|select|string|file|hgroup)*)> <!-- Undocumented -->
\ No newline at end of file

=== added file 'hacks/config/xss.xsd'
--- hacks/config/xss.xsd	1970-01-01 00:00:00 +0000
+++ hacks/config/xss.xsd	2006-06-30 16:27:21 +0000
@@ -0,0 +1,375 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- xscreensaver, Copyright (c) 2001-2005 Jamie Zawinski <jwz@jwz.org> -->
+<!--
+ Permission to use, copy, modify, distribute, and sell this software and its
+ documentation for any purpose is hereby granted without fee, provided that
+ the above copyright notice appear in all copies and that both that
+ copyright notice and this permission notice appear in supporting
+ documentation.  No representations are made about the suitability of this
+ software for any purpose.  It is provided "as is" without express or
+ implied warranty.
+-->
+<!--  XScreenSaver schema version 0.5
+
+This schema validates the format of the XScreenSaver configuration files.
+
+The notices shown above, appear at the top of the source of 'demo-Gtk-conf.c'.
+Since this schema (attempts to) describe the format of the existing
+XScreenSaver configuration files, it seems appropriate to reproduce them here.
+If it is not appropriate, please ignore/remove them rather than sue me.
+
+To check a savername.xml, reference this XSD from the file and validate it at
+  http://www.w3.org/2001/03/webdata/xsv
+
+** Background
+Andrew Thompson defined a DTD based on his understanding of the
+XScreenSaver configuration files after examining the files..
+xscreensaver-4.22
+  |- hacks
+  |    |- config
+  |         README
+  |         *.xml
+  |- driver
+       demo-Gtk-conf.c
+
+Paul Dennis generated an XSD file (xscreensaver.xsd) from the DTD.
+This is a stricter version of that XSD, with more comments and
+documentation by Andrew Thompson.
+
+Note that Andrew does not program in c, and has not had the
+opportunity to see XScreenSaver in action (he runs Windows),
+so some of the details of the schema may be incorrect.  It aims
+to be cautious, and thus might be more strict than is actually
+required.
+
+** .XSD started as version 0.1
+- generated from the DTD.
+- checked parameter types
+  - mostly as xs:string, except for..
+  - ID's - checked as xs:ID.
+- provided grouping parse logic, but specified elements
+    with maxOccurs 'unbounded'
+
+** Tightened parsing in 0.2
+- The only field still defined as xs:string is the _description.
+- A substitutionArgumentType has been introduced to lock the form of
+    the arg to '-lettersandnumbers %'
+- An argumentType has been introduced to ensure other
+    arg/arg-set/arg-unset attributes begin with '-' and
+    are followed by at least one letter or number.
+- Float and integer numeric values (low/high/default) are checked as xs:decimal
+- Remaining attributes were tightened from xs:string to xs:token.
+
+** Tightened parsing in 0.3
+  * Note that no maximums at all are stated in the XScreenSaver README!
+- maxOccurs lowered from 'unbounded' to
+  - screensaver: '200' components/groups
+  - screensaver: '40' commands/fullcommands
+  - select: '100' options
+  - hgroup: '6' components/groups per row
+  - vgroup: '40' components/groups per column
+- maxLength of _description set to '2000' chars.
+
+** Changes in version 0.4 - Strict
+    After testing against the configuration files of the XScreenSaver
+    hacks, the following changes were made..
+- Added (+ _ / $) to allowable characters for substitutionArgumentType
+    & argumentType, but tightened baseType to xs:token
+- maxOccurs changed to
+  - screensaver: '200' -> '30' components/groups
+      (xmountains.xml has 24)
+  - screensaver: '40' -> '10' commands/fullcommands
+  - select: '100' -> '200' options
+      (to account for polyhedra.xml, which has 152 options!)
+  - hgroup: '6' -> '4' components/groups per row
+      (glplanet.xml has 4)
+  - vgroup: '40' -> '10' components/groups per column
+      (bsod.xml has 9)
+- maxLength of _description changed from '2000' to '3000' chars,
+    (covers the largest _description, 'jigglypuff.xml', at 852 chars,
+    'magicrainbow.xml', at 2837 chars.)
+- introduced idType to facilitate maintenance between the
+    strict and loose schemas.
+
+** Changes in version 0.4 - Loose
+- made _label of number element optional (when using sliders, some
+    developers put what would normally appear in the _label, as a
+    prefix to _low-label instead)
+- widens the idType base type from xs:ID to xs:token.  Since the ID is
+    unimplemented and will most likely remain so, it makes little
+    sense to ensure they are unique & valid ID's.
+
+** Changes in 0.5 - Strict
+- Minor typos. to 0.4 docs fixed.
+- Since both the XScreenSaver code and Saverbeans SettingsDialog
+seem tolerant to the _label of the number element missing, it is
+marked as 'optional' now, even in the strict version.
+
+** Limits: This version
+- specifies the 'arg-set'/'arg-unset' of 'boolean' as optional, whereas it
+    requires exactly one of either 'arg-set' or 'arg-unset'.
+- cannot properly distinguish between the 'slider' and 'spinbutton' types
+    of the 'number' element.  As a result of that, '_low-label'/'_high-label'
+    are specified as not required, whereas they are actually undefined for
+    'spinbutton' and required for 'slider'.
+- has no checks to ensure that 'default' values of ranges in the
+    number element fall between 'low' & 'high' values.
+- Selects can have no more than one option missing an arg-set attribute. 
+- Arguments must be unique, but this schema does not check that.
+- _label is effectively optional for the slider type of the number element,
+    since this info can be preprended to the _low-label, but no checks are 
+    done to ensure that the spinbutton type has the _label.
+
+** Undocumented.
+'undocumented' means that the element/feature was not mentioned in the
+official documentation of the format available in the -
+xscreensaver-4.22/hacks/config/README.
+-->
+<xs:schema
+  xmlns:xs="http://www.w3.org/2001/XMLSchema"
+  elementFormDefault="qualified">
+
+  <!-- The root element of any XScreenSaver configuration file. -->
+  <xs:element name="screensaver">
+    <xs:complexType>
+      <xs:sequence>
+        <!-- Every XScreenSaver hack has exactly one of either
+        command or fullcommand, but my understanding is that
+        demo-Gtk-conf.c chains them together.
+        This specifies a maximum numner of commands. -->
+        <xs:choice minOccurs="0" maxOccurs="10">
+          <xs:element ref="command"/>
+          <xs:element ref="fullcommand"/>
+        </xs:choice>
+        <!-- A maximum number of components/groups is specified.  -->
+        <xs:choice minOccurs="0" maxOccurs="30">
+          <xs:element ref="boolean"/>
+          <xs:element ref="number"/>
+          <xs:element ref="select"/>
+          <xs:element ref="string"/>
+          <xs:element ref="file"/>
+          <xs:element ref="hgroup"/>
+          <xs:element ref="vgroup"/>
+        </xs:choice>
+        <xs:element ref="_description"/>
+      </xs:sequence>
+      <xs:attribute name="name" type="xs:token" use="required"/>
+      <xs:attribute name="_label" type="xs:token" use="required"/>
+    </xs:complexType>
+  </xs:element>
+
+  <!-- Added to the command line when invoked.  -->
+  <xs:element name="command">
+    <xs:complexType>
+      <xs:attribute name="arg" type="argumentType"/>
+    </xs:complexType>
+  </xs:element>
+
+  <!-- Unimplemented in SaverBeans as of API 0.2.
+  Used only by cosmos.xml.  Undocumented. -->
+  <xs:element name="fullcommand">
+    <xs:complexType>
+      <xs:attribute name="arg" type="argumentType"/>
+    </xs:complexType>
+  </xs:element>
+
+  <!-- Checkbox -->
+  <xs:element name="boolean">
+    <xs:complexType>
+      <xs:attribute name="id" type="idType"/>
+      <xs:attribute name="_label" type="xs:token" use="required"/>
+      <!-- Exactly one of either arg-set or arg-unset is required -->
+      <xs:attribute name="arg-set" type="argumentType"/>
+      <xs:attribute name="arg-unset" type="argumentType"/>
+    </xs:complexType>
+  </xs:element>
+
+  <!-- Slider and Spinbutton -->
+  <xs:element name="number">
+    <xs:complexType>
+      <xs:attribute name="id" type="idType"/>
+      <xs:attribute name="type" use="required">
+        <xs:simpleType>
+          <xs:restriction base="xs:NMTOKEN">
+            <xs:enumeration value="slider"/>
+            <xs:enumeration value="spinbutton"/>
+          </xs:restriction>
+        </xs:simpleType>
+      </xs:attribute>
+      <!-- Listed as 'required' in the documentation, though XScreenSaver is
+      tolerant to it being left out.  A number of hacks deliberately exclude it
+      for formatting purposes, and put the _label as prefix to _low-label -->
+      <xs:attribute name="_label" type="xs:token" />
+      <!-- _low/_high-label not defined for type spinbutton,
+      but required for slider -->
+      <xs:attribute name="_low-label" type="xs:token"/>
+      <xs:attribute name="_high-label" type="xs:token"/>
+      <xs:attribute name="arg" type="substitutionArgumentType" use="required"/>
+      <xs:attribute name="low" type="xs:decimal" use="required"/>
+      <xs:attribute name="high" type="xs:decimal" use="required"/>
+      <!-- Must logically fall between low and high, but not checked. -->
+      <xs:attribute name="default" type="xs:decimal" use="required"/>
+      <xs:attribute name="convert">
+        <xs:simpleType>
+          <xs:restriction base="xs:NMTOKEN">
+            <xs:enumeration value="invert"/>
+          </xs:restriction>
+        </xs:simpleType>
+      </xs:attribute>
+    </xs:complexType>
+  </xs:element>
+
+  <!-- Drop-down list -->
+  <xs:element name="select">
+    <xs:complexType>
+      <xs:sequence>
+        <!-- A maximum number of options is specified, as a longer
+        drop down becomes kludgy and difficult to use.  -->
+        <xs:element ref="option" maxOccurs="200"/>
+      </xs:sequence>
+      <xs:attribute name="id" type="idType"/>
+    </xs:complexType>
+  </xs:element>
+
+  <!-- List item -->
+  <xs:element name="option">
+    <xs:complexType>
+      <xs:attribute name="id" type="idType"/>
+      <xs:attribute name="_label" type="xs:token" use="required"/>
+      <xs:attribute name="arg-set" type="argumentType"/>
+    </xs:complexType>
+  </xs:element>
+
+  <!-- String or textual input -->
+  <xs:element name="string">
+    <xs:complexType>
+      <xs:attribute name="id" type="idType"/>
+      <xs:attribute name="_label" type="xs:token" use="required"/>
+      <xs:attribute name="arg" type="substitutionArgumentType" use="required"/>
+    </xs:complexType>
+  </xs:element>
+
+  <!-- File browser. -->
+  <xs:element name="file">
+    <xs:complexType>
+      <xs:attribute name="id" type="idType"/>
+      <xs:attribute name="_label" type="xs:token" use="required"/>
+      <xs:attribute name="arg" type="substitutionArgumentType" use="required"/>
+    </xs:complexType>
+  </xs:element>
+
+    <!-- Free Text.  The description of the Screen Saver. -->
+    <xs:element name="_description">
+      <!-- The _description must contain text only, with no HTML formatting.
+
+      Character entities are also valid, which suggests that..
+        http://www.w3.org/TR/REC-html40/sgml/entities.html
+      ..are valid entities, though this, ..
+        http://www.w3.org/TR/1998/REC-html40-19980424/sgml/entities.html#h-24.4.1
+      ..may represent a safer sub-set.
+
+      The main entities you might require (none of which are allowed
+      in textual content in an XML file) are..
+       &lt; (= <)
+       &gt; (= >)
+       &amp; (= &)
+
+      XScreenSaver itself will probably* turn any URL enclosed in
+      &lt; / &gt; into a clickable link.
+
+      Conversion to an URL is unimplemented in SaverBeans as of API 0.2.
+
+      It might be possible to implement this in SaverBeans with the help of
+      BrowserLauncher, though that would require about 20Kb (AFAIR) of extra
+      classes in the core API distributable.
+
+      * This is based solely on the use of the delimiters in many of the
+      XScreenSaver hacks, but has not been investigated in any depth.
+      -->
+      <xs:simpleType>
+        <xs:restriction base="xs:string">
+          <xs:maxLength value="3000"/>
+        </xs:restriction>
+      </xs:simpleType>
+    </xs:element>
+
+    <!-- Horizontal grouping element, a row of components or groups.
+    Unimplemented in SaverBeans as of API 0.2,
+    components inside groups do not appear.  -->
+    <xs:element name="hgroup">
+      <xs:complexType>
+        <!-- A maximum number of components/groups per row is specified. -->
+        <xs:choice minOccurs="0" maxOccurs="4">
+          <xs:element ref="boolean"/>
+          <xs:element ref="number"/>
+          <xs:element ref="select"/>
+          <xs:element ref="string"/>
+          <xs:element ref="file"/>
+          <xs:element ref="vgroup"/>
+        </xs:choice>
+      </xs:complexType>
+    </xs:element>
+
+    <!-- Vertical grouping element, a column of components or groups.
+    Since the components are normally arranged in a column,
+    this is only of use within an hgroup.
+    Unimplemented in SaverBeans as of API 0.2,
+    components inside groups do not appear.  -->
+    <xs:element name="vgroup">
+      <xs:complexType>
+        <!-- A maximum number of components/groups per column is specified. -->
+        <xs:choice minOccurs="0" maxOccurs="10">
+          <xs:element ref="boolean"/>
+          <xs:element ref="number"/>
+          <xs:element ref="select"/>
+          <xs:element ref="string"/>
+          <xs:element ref="file"/>
+          <xs:element ref="hgroup"/>
+        </xs:choice>
+      </xs:complexType>
+    </xs:element>
+
+    <!-- Checks that the command arguments (non substitution arg, as
+    well as arg-set/arg-unset) are of a logical (and restricted) form.
+    This determines that the type must start with '-', and contain at
+    least one letter, number or the other characters shown in the RegEx.
+    It is stricter than the XScreenSaver documentation suggests. -->
+    <xs:simpleType name="argumentType">
+      <xs:restriction base="xs:token">
+        <xs:minLength value="2"/>
+        <xs:pattern value="-([a-zA-Z0-9 .,;:+_$#%?/\\\-])*"/>
+      </xs:restriction>
+    </xs:simpleType>
+
+    <!-- Checks that the command arguments that use substitution are of
+    a logical (and quite restricted) form.  This determines that the
+    type must start with '-', contain at least one letter, number
+    or the other characters shown in the RegEx.
+    It is stricter than the XScreenSaver documentation suggests. -->
+    <xs:simpleType name="substitutionArgumentType">
+      <xs:restriction base="xs:token">
+        <xs:minLength value="4"/>
+        <xs:pattern value="-([a-zA-Z0-9.,;:+_$#%?/\\\-])* %"/>
+      </xs:restriction>
+    </xs:simpleType>
+
+    <!-- idType is used to validate the ID's
+    Many ID's do not parse as type xs:ID, so this type was created to
+    allow easy maintenance between the strict and loose versions of the schema.
+    The base type should be
+     - xs:ID in the strict schema, and
+     - xs:token in the loose schema.
+    Note that the base type of xs:ID overrides the minLength value of '0'
+    -->
+    <xs:simpleType name="idType">
+      <!-- strict -->
+      <xs:restriction base="xs:ID">
+      <!-- loose -->
+      <!--
+      <xs:restriction base="xs:token">
+      -->
+        <xs:minLength value="0"/>
+      </xs:restriction>
+    </xs:simpleType>
+
+</xs:schema>

=== modified file 'hacks/config/zoom.xml'
--- hacks/config/zoom.xml	2005-04-09 00:06:43 +0000
+++ hacks/config/zoom.xml	2006-06-30 16:27:21 +0000
@@ -27,9 +27,9 @@
 
   <hgroup>
    <number id="lensoffsetx" type="spinbutton" arg="-lensoffsetx %"
-           _label="Lens Offset" low="1" high="100" default="1"/>
+           _label="Lens Offset" low="1" high="100" default="5"/>
    <number id="lensoffsety" type="spinbutton" arg="-lensoffsety %"
-           _label="x" low="1" high="100" default="1"/>
+           _label="x" low="1" high="100" default="5"/>
   </hgroup>
 
   <_description>

=== modified file 'hacks/coral.man'
--- hacks/coral.man	2005-04-09 00:06:43 +0000
+++ hacks/coral.man	2006-06-30 16:27:21 +0000
@@ -35,7 +35,7 @@
 Density.  1 - 90.  Default: 25.
 .TP 8
 .B \-seeds \fInumber\fP
-Seeds.	1 - 100.  Default: 25.
+Seeds.	1 - 100.  Default: 20.
 .SH ENVIRONMENT
 .PP
 .TP 8

=== modified file 'hacks/crystal.man'
--- hacks/crystal.man	2005-04-09 00:06:43 +0000
+++ hacks/crystal.man	2006-06-30 16:27:21 +0000
@@ -43,7 +43,7 @@
 Horizontal Symmetries.	-10 - 10.  Default: -3.
 .TP 8
 .B \-ny \fInumber\fP
-Vertical Symmetries.  -10 - 10.  Default: -2.
+Vertical Symmetries.  -10 - 10.  Default: -3.
 .TP 8
 .B \-count \fInumber\fP
 Count.	-5000 - 5000.  Default: -500.

=== modified file 'hacks/decayscreen.man'
--- hacks/decayscreen.man	2005-04-09 00:06:43 +0000
+++ hacks/decayscreen.man	2005-12-08 16:00:22 +0000
@@ -44,7 +44,7 @@
 The direction in which the image should tend to slide.  Legal values are
 \fIrandom\fP (meaning pick one), \fIup\fP, \fIleft\fP, \fIright\fP, 
 \fIdown\fP, \fIupleft\fP, \fIdownleft\fP, \fIupright\fP, \fIdownright\fP, 
-\fIshuffle\fP (meaning perfer no particular direction), \fIin\fP (meaning
+\fIshuffle\fP (meaning prefer no particular direction), \fIin\fP (meaning
 move things toward the center), \fIout\fP (meaning move things away
 from the center), \fImelt\fP (meaning melt straight 
 downward),  \fIstretch\fP (meaning stretch the screen downward),

=== modified file 'hacks/deco.man'
--- hacks/deco.man	2002-04-07 12:17:37 +0000
+++ hacks/deco.man	2006-06-30 16:27:21 +0000
@@ -33,7 +33,6 @@
 .TP 8
 .B \-max\-depth \fIinteger\fP
 How deep to subdivide.  Default 12.
-Default 8.
 .TP 8
 .B \-min-width \fIinteger\fP
 .B \-min-height \fIinteger\fP

=== modified file 'hacks/demon.man'
--- hacks/demon.man	2005-04-09 00:06:43 +0000
+++ hacks/demon.man	2005-12-08 16:00:22 +0000
@@ -1,6 +1,6 @@
 .TH XScreenSaver 1 "" "X Version 11"
 .SH NAME
-demon - celular automaton.
+demon - cellular automaton.
 .SH SYNOPSIS
 .B demon
 [\-display \fIhost:display.screen\fP]

=== modified file 'hacks/discrete.c'
--- hacks/discrete.c	2005-04-09 00:06:43 +0000
+++ hacks/discrete.c	2005-12-08 16:00:22 +0000
@@ -6,7 +6,7 @@
 #endif
 
 /*-
- * Copyright (c) 1996 by Tim Auckland <Tim.Auckland@Procket.com>
+ * Copyright (c) 1996 by Tim Auckland <tda10.geo@yahoo.com>
  *
  * Permission to use, copy, modify, and distribute this software and its
  * documentation for any purpose and without fee is hereby granted,

=== modified file 'hacks/drift.man'
--- hacks/drift.man	2002-04-07 12:17:37 +0000
+++ hacks/drift.man	2006-06-30 16:27:21 +0000
@@ -44,7 +44,7 @@
 .B \-liss
 .TP 8
 .B \-no\-liss
-Whether we should use lissojous figures to get points.
+Whether we should use lissajous figures to get points.
 
 .SH ENVIRONMENT
 .PP
@@ -56,7 +56,7 @@
 to get the name of a resource file that overrides the global resources
 stored in the RESOURCE_MANAGER property.
 .SH SEE ALSO
-.BR flame (1),
+.BR flame (MANSUFFIX),
 .BR X (1),
 .BR xscreensaver (1),
 .BR xlock (1)

=== modified file 'hacks/fiberlamp.c'
--- hacks/fiberlamp.c	2005-04-09 00:06:43 +0000
+++ hacks/fiberlamp.c	2005-12-08 16:00:22 +0000
@@ -7,7 +7,7 @@
 #endif
 
 /*-
- * Copyright (c) 2005 by Tim Auckland <Tim.Auckland@Procket.com>
+ * Copyright (c) 2005 by Tim Auckland <tda10.geo@yahoo.com>
  *
  * Permission to use, copy, modify, and distribute this software and its
  * documentation for any purpose and without fee is hereby granted,
@@ -280,6 +280,22 @@
 }
 #endif
 
+/* sort fibers so they get drawn back-to-front, one bubble pass is
+   enough as the order only changes slowly */
+static void
+sort_fibers(fiberlampstruct *fl)
+{
+	int i;
+
+	for(i = 1; i < fl->nfibers; i++) {
+		if (fl->fiber[i - 1].node[NODES - 1].z > fl->fiber[i].node[NODES - 1].z) {
+			fiberstruct tmp = fl->fiber[i - 1];
+			fl->fiber[i - 1] = fl->fiber[i];
+			fl->fiber[i] = tmp;
+		}
+	}
+}
+
 void
 draw_fiberlamp(ModeInfo * mi)
 {
@@ -304,6 +320,7 @@
   XTranslateCoordinates(MI_DISPLAY(mi), MI_WINDOW(mi),
 						RootWindow(MI_DISPLAY(mi),MI_SCREEN(mi)),
 						cx, cy, &x, &y, &unused);
+  sort_fibers(fl);
 
   for(f = 0; f < fl->nfibers; f++) {
 	fiberstruct *fs = fl->fiber + f;
@@ -377,6 +394,10 @@
 	XSetForeground(MI_DISPLAY(mi), MI_GC(mi), MI_BLACK_PIXEL(mi));
 	XDrawLines(MI_DISPLAY(mi), fl->buffer, MI_GC(mi),
 			   fs->erase, NODES-1, CoordModeOrigin);
+  }
+
+  for(f = 0; f < fl->nfibers; f++) {
+	fiberstruct *fs = fl->fiber + f;
 
 	{
 	  double x = fs->node[1].x - fl->cx + 0.025;

=== modified file 'hacks/fiberlamp.man'
--- hacks/fiberlamp.man	2005-04-09 00:06:43 +0000
+++ hacks/fiberlamp.man	2005-12-08 16:00:22 +0000
@@ -29,7 +29,7 @@
 Number of Fibers.  10 - 500.  Default: 500.
 .TP 8
 .B \-cycles \fInumber\fP
-Number of cycles before the lamp is knowcked sideways.  100 - 10000.
+Number of cycles before the lamp is knocked sideways.  100 - 10000.
 Default: 10000.
 .TP 8
 .B \-delay \fInumber\fP

=== modified file 'hacks/fireworkx.c'
--- hacks/fireworkx.c	2005-04-09 00:06:43 +0000
+++ hacks/fireworkx.c	2005-12-08 16:00:22 +0000
@@ -1,7 +1,9 @@
 /*
- * Fireworkx 1.3 - pyrotechnics simulation program
- * Copyright (c) 1999-2004 Rony B Chandran <ronybc@asia.com>
+ * Fireworkx 1.5 - pyrotechnics simulation program
+ * Copyright (c) 1999-2005 Rony B Chandran <ronybc@asia.com>
  *
+ * From Kerala, INDIA
+ * 
  * url: http://www.ronybc.8k.com
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
@@ -20,39 +22,41 @@
  * Fixed array access problems by beating on it with a large hammer.
  * Nicholas Miell <nmiell@gmail.com>
  *
+ * Freed 'free'ing up of memory by adding the forgotten 'XSync's
+ * Renuka S <renuka@local.net>
+ *
  */
 
 #include <math.h>
 #include "screenhack.h"
 #include <X11/Xutil.h>
 
-#define FWXVERSION "1.3"
+#define FWXVERSION "1.5"
 
-#define WIDTH 640
-#define HEIGHT 480
-#define SHELLCOUNT 3
+#define SHELLCOUNT 3                   /* 3 or 5  */
 #define PIXCOUNT 500                   /* 500     */
-#define RNDLIFE0 250                   /* violent */
-#define RNDLIFE1 1200                  /* 1200    */
-#define MINLIFE0 50                    /* violent */
-#define MINLIFE1 500                   /* 500     */
 #define POWER 5                        /* 5       */
 #define FTWEAK 12                      /* 12      */
 
+#if HAVE_X86_MMX
+void mmx_blur(char *a, int b, int c, int d); 
+void mmx_glow(char *a, int b, int c, int d, char *e);
+#endif
+
+#define rnd(x) ((int)(random() % (x)))
+
 static int depth;
 static int bigendian;
-static Bool light_on = True;
-static Bool fade_on  = False;
-static Bool shoot    = False;
-static Bool verbose  = False;
-static int delay     = 0;
-static int fsc_width = 0;
-static int fsc_height= 0;
-static int rndlife = RNDLIFE1;
-static int minlife = MINLIFE1;
-static float light_fade = 0.99;
-static unsigned char *real_palaka1 = NULL;
-static unsigned char *real_palaka2 = NULL;
+static Bool flash_on   = True;
+static Bool glow_on    = True;
+static Bool verbose    = False;
+static Bool shoot      = False;
+static int width;
+static int height;
+static int rndlife;
+static int minlife;
+static int delay = 0;
+static float flash_fade = 0.99;
 static unsigned char *palaka1=NULL;
 static unsigned char *palaka2=NULL;
 static XImage *xim=NULL;
@@ -67,49 +71,43 @@
   float yv;}firepix;
 
 typedef struct {
+  unsigned int cx,cy;
   unsigned int life;
   unsigned int color;
-  unsigned int cx,cy;
   unsigned int special;
   unsigned int cshift;
   unsigned int vgn,shy;
-  float air,lum;
+  float air,flash;
   firepix *fpix; }fireshell;
 
-int seed = 2387776;
-int rnd(int x)
-{   /* xscreensaver */
-  if ((seed = seed % 44488 * 48271 - seed / 44488 * 3399) < 0)
-  seed += 2147483647;
-  return (seed-1) % x;
-}
-
 int explode(fireshell *fs)
 {
-  float air,adg = 0.001;     /* gravity */
+  float air,adg = 0.001;         /* gravity */
   unsigned int n,c;
-  unsigned int h = fsc_height;
-  unsigned int w = fsc_width;
+  unsigned int h = height;
+  unsigned int w = width;
   unsigned int *prgb;
   unsigned char *palaka = palaka1;
   firepix *fp = fs->fpix;
   if(fs->vgn){
     if(--fs->cy == fs->shy){  
-      fs->vgn = 0;
-      fs->lum = 20000;}    /* millions of jouls..! */
+      fs->vgn   = 0;
+      fs->flash = rnd(30000)+15000;}
     else{  
-      fs->lum = 50+(fs->cy - fs->shy)*2;
+      fs->flash = 50+(fs->cy - fs->shy)*2;
+      prgb=(unsigned int *)(palaka + (fs->cy * w + fs->cx + rnd(5)-2)*4);
+     *prgb=(rnd(8)+8)*0x000f0f10;
       return(1);}}    
   if(fs->cshift) --fs->cshift;
   if((fs->cshift+1)%50==0) fs->color = ~fs->color;
   c = fs->color;
   air = fs->air;
-  fs->lum *= light_fade;
+  fs->flash *= flash_fade;
   for(n=PIXCOUNT;n;n--){
   if(fp->burn){ --fp->burn; 
   if(fs->special){
   fp->x += fp->xv = fp->xv * air + (float)(rnd(200)-100)/2000;
-  fp->y += fp->yv = fp->yv * air + (float)(rnd(200)-100)/2000 +adg; }
+  fp->y += fp->yv = fp->yv * air + (float)(rnd(200)-100)/2000 + adg; }
   else{
   fp->x += fp->xv = fp->xv * air + (float)(rnd(200)-100)/20000;
   fp->y += fp->yv = fp->yv * air + adg; }
@@ -120,8 +118,7 @@
      prgb = (unsigned int *)(palaka + ((int)fp->y * w + (int)fp->x)*4);
     *prgb = c; }
   } fp++;
-  } return(--(fs->life));
-}
+  } return(--fs->life); }
 
 void recycle(fireshell *fs,int x,int y)
 {
@@ -130,15 +127,17 @@
   fs->vgn = shoot;
   fs->shy = y;
   fs->cx = x;
-  fs->cy = shoot ? fsc_height : y ;
+  fs->cy = shoot ? height : y ;
   fs->color = (rnd(155)+100) <<16 |
               (rnd(155)+100) <<8  |
                rnd(255);
   fs->life = rnd(rndlife)+minlife;
   fs->air  = 1-(float)(rnd(200))/10000;
-  fs->lum  = 20000;
+  fs->flash   = rnd(30000)+15000;        /* million jouls */
   fs->cshift  = !rnd(5) ? 120:0; 
   fs->special = !rnd(10) ? 1:0; 
+  if(verbose)
+  printf("recycle(): color = %x air = %f life = %d \n",fs->color,fs->air,fs->life);
   pixlife = rnd(fs->life)+fs->life/10+1;    /* ! */
   for(n=0;n<PIXCOUNT;n++){
   fp->burn = rnd(pixlife)+32;
@@ -147,55 +146,76 @@
                (float)(rnd(20000)-10000)/10000;
   fp->x = x;
   fp->y = y; 
-  fp++;             }
-}
-
-void blur_best(void)
-{
-  int n;
-  unsigned int w = fsc_width;
-  unsigned int h = fsc_height;
+  fp++;             }}
+
+void glow(void)
+{
+  unsigned int n,q;
+  unsigned int w = width;
+  unsigned int h = height;
+  unsigned char *pa, *pb, *pm, *po;
+  pm = palaka1;
+  po = palaka2;
+  for(n=0;n<w*4;n++) 
+  {pm[n]=0; po[n]=0;}    /* clean first line */
+  pm+=n; po+=n; h-=2; 
+  pa = pm-(w*4);
+  pb = pm+(w*4);
+  for(n=4;n<w*h*4-4;n++){
+  q    = pm[n-4] + (pm[n]*8) + pm[n+4] + 
+         pa[n-4] + pa[n] + pa[n+4] + 
+         pb[n-4] + pb[n] + pb[n+4];
+  q    -= q>8 ? 8:q;
+  pm[n] = q/16;
+  q     = q/8;
+  if(q>255) q=255;
+  po[n] = q;}
+  pm+=n; po+=n;
+  for(n=0;n<w*4;n++)
+  {pm[n]=0; po[n]=0;}}   /* clean last line */
+
+void blur(void)
+{
+  unsigned int n,q;
+  unsigned int w = width;
+  unsigned int h = height;
   unsigned char *pa, *pb, *pm;
   pm = palaka1;
-  for(n=0;n<w*4;n++) pm[n]=0;    /* clean first line */
-  pm+=n;
-  h-=2; 
+  pm += w*4; h-=2;  /* line 0&h */
   pa = pm-(w*4);
   pb = pm+(w*4);
-  if(fade_on){
-  for(n=0;n<w*h*4;n++){
-  pm[n]=(pm[n-4] + pm[n] + pm[n+4] + 
-         pa[n-4] + pa[n] + pa[n+4] + 
-         pb[n-4] + pb[n] + pb[n+4] +
-         pm[n] + pm[n] + (pm[n]<<2))/ 16;}}
-  else{
-  for(n=0;n<w*h*4;n++){
-  pm[n]=(pm[n-4] + pm[n] + pm[n+4] + 
-         pa[n-4] + pa[n] + pa[n+4] + 
-         pb[n-4] + pb[n] + pb[n+4])/ 9;}}
-  pm+=n;
-  for(n=0;n<w*4;n++) pm[n]=0;    /* clean last line */
-}
+  for(n=4;n<w*h*4-4;n++){
+  q    = pm[n-4] + (pm[n]*8) + pm[n+4] + 
+         pa[n-4] + pa[n] + pa[n+4] + 
+         pb[n-4] + pb[n] + pb[n+4];
+  q    -= q>8 ? 8:q;
+  pm[n] = q>>4;}
+  pm += n-4;    /* last line */
+  for(n=0;n<w*4+4;n++) pm[n]=0;
+  pm = palaka1; /* first line */
+  for(n=0;n<w*4+4;n++) pm[n]=pm[n+w*4]; }
 
 void light_2x2(fireshell *fss)
 {
   unsigned int l,t,n,x,y;
   float s;
-  int w = fsc_width;
-  int h = fsc_height;
+  int w = width;
+  int h = height;
   unsigned char *dim = palaka2;
   unsigned char *sim = palaka1;
   int nl = w*4;
   fireshell *f;
+  if(glow_on) sim=dim;
   for(y=0;y<h;y+=2){
   for(x=0;x<w;x+=2){
   f = fss; s = 0;
   for(n=SHELLCOUNT;n;n--,f++){
-  s += f->lum / ( 1 + sqrt((f->cx - x)*(f->cx - x)+(f->cy - y)*(f->cy - y))); }
+  s += f->flash/(sqrt(1+(f->cx - x)*(f->cx - x)+
+                        (f->cy - y)*(f->cy - y)));}
   l = s;
 
   t = l + sim[0];
-  dim[0] = (t > 255 ? 255 : t);	 /* cmov's */
+  dim[0] = (t > 255 ? 255 : t);	
   t = l + sim[1];
   dim[1] = (t > 255 ? 255 : t);
   t = l + sim[2];
@@ -222,42 +242,40 @@
   t = l + sim[nl+6];
   dim[nl+6] = (t > 255 ? 255 : t);
 
-  sim += 8; dim += 8; } sim += nl; dim += nl;}
-}
+  sim += 8; dim += 8; } sim += nl; dim += nl;}}
 
 void resize(Display *display, Window win)
 {
   XWindowAttributes xwa;
   XGetWindowAttributes (display, win, &xwa);
-  xwa.width  -= xwa.width % 4;
-  xwa.height -= xwa.height % 4;
-  if(xwa.height != fsc_height || xwa.width != fsc_width) {
-  fsc_width  = xwa.width;
-  fsc_height = xwa.height;
+  xwa.width  -= xwa.width % 2;
+  xwa.height -= xwa.height % 2;
+  if(xwa.height != height || xwa.width != width) {
+  width  = xwa.width;
+  height = xwa.height;
+  if (verbose)
+  printf("sky size: %dx%d ------------------------------\n",width,height);
+  XSync(display,0);
   if (xim) {
   if (xim->data==(char *)palaka2) xim->data=NULL;  
   XDestroyImage(xim);
-  if (palaka2!=palaka1) free(real_palaka2);
-  free(real_palaka1); 
+  XSync(display,0);
+  if (palaka2!=palaka1) free(palaka2 - 8);
+  free(palaka1 - 8); 
   }
-  palaka1 = NULL;     
-  palaka2 = NULL; 
+  palaka1 = NULL;
+  palaka2 = NULL;
   xim = XCreateImage(display, xwa.visual, xwa.depth, ZPixmap, 0, 0,
-		     fsc_width, fsc_height, 32, 0);
-  real_palaka1 = calloc(xim->height + 4,xim->width*4);
-  palaka1 = real_palaka1 + xim->width * 4 * 2;
-  if(light_on) {
-       real_palaka2 = calloc(xim->height + 4,xim->width*4);
-       palaka2 = real_palaka2 + xim->width * 4 * 2;
-  } else {
-       palaka2 = palaka1;
-  }
+		     width, height, 8, 0);
+  palaka1 = (unsigned char *) calloc(xim->height+1,xim->width*4) + 8;
+  if(flash_on|glow_on)
+  palaka2 = (unsigned char *) calloc(xim->height+1,xim->width*4) + 8;
+  else
+  palaka2 = palaka1;
   if (depth>=24)
   xim->data = (char *)palaka2;
   else
-  xim->data = calloc(xim->height,xim->bytes_per_line);       
- }
-}
+  xim->data = calloc(xim->height,xim->bytes_per_line); }}
 
 void put_image(Display *display, Window win, GC gc, XImage *xim)
 {
@@ -319,8 +337,7 @@
      xim->data[i++] = (((7*g)/256)*36)+(((6*r)/256)*6)+((6*b)/256);
      }
   }
-  XPutImage(display,win,gc,xim,0,0,0,0,xim->width,xim->height); 
-}
+  XPutImage(display,win,gc,xim,0,0,0,0,xim->width,xim->height); }
 
 void sniff_events(Display *dis, Window win, fireshell *fss)
 {
@@ -329,8 +346,7 @@
   XNextEvent (dis, &e);
   if (e.type == ConfigureNotify) resize(dis,win);
   if (e.type == ButtonPress)     recycle(fss,e.xbutton.x, e.xbutton.y);
-  screenhack_handle_event(dis,&e);}
-}
+  screenhack_handle_event(dis,&e); }}
 
 
 char *progclass = "Fireworkx";
@@ -338,10 +354,10 @@
 char *defaults [] = {
   ".background:	black",
   ".foreground:	white",
-  "*delay:	5000",
-  "*maxlife:	1200",
-  "*light:	True",
-  "*fade:	False",
+  "*delay:	10000",  /* never default to zero! */
+  "*maxlife:	2000",
+  "*flash:	True",
+  "*glow:	True",
   "*shoot:	False",
   "*verbose:	False",
   0
@@ -350,8 +366,8 @@
 XrmOptionDescRec options [] = {
   { "-delay",		".delay",	XrmoptionSepArg, 0 },
   { "-maxlife",		".maxlife",	XrmoptionSepArg, 0 },
-  { "-nolight",		".light",	XrmoptionNoArg, "False" },
-  { "-fade",		".fade",	XrmoptionNoArg, "True" },
+  { "-noflash",		".flash",	XrmoptionNoArg, "False" },
+  { "-noglow",		".glow",	XrmoptionNoArg, "False" },
   { "-shoot",		".shoot",	XrmoptionNoArg, "True" },
   { "-verbose",		".verbose",	XrmoptionNoArg, "True" },
   { 0, 0, 0, 0 }
@@ -367,21 +383,20 @@
   XWindowAttributes xwa;
   GC gc;
   XGCValues gcv;
-  firepix *fpixs, *fpix;
-  fireshell *fshells, *fshell;
-  fade_on  = get_boolean_resource("fade"    , "Boolean");
-  light_on = get_boolean_resource("light"   , "Boolean");
+  firepix *fpix, *ffpix;
+  fireshell *fshell, *ffshell;
+  glow_on  = get_boolean_resource("glow"    , "Boolean");
+  flash_on = get_boolean_resource("flash"   , "Boolean");
   shoot    = get_boolean_resource("shoot"   , "Boolean");
   verbose  = get_boolean_resource("verbose" , "Boolean");
   rndlife  = get_integer_resource("maxlife" , "Integer");
   delay    = get_integer_resource("delay"   , "Integer");
   minlife  = rndlife/4;
-  if(rndlife<1000) light_fade=0.98;
-  if(rndlife<500) light_fade=0.97;
-  if(fade_on) light_fade=0.97;
+  if(rndlife<1000) flash_fade=0.98;
+  if(rndlife<500) flash_fade=0.97;
   if(verbose){
   printf("Fireworkx %s - pyrotechnics simulation program \n", FWXVERSION);
-  printf("Copyright (c) 1999-2004 Rony B Chandran <ronybc@asia.com> \n\n");
+  printf("Copyright (c) 1999-2005 Rony B Chandran <ronybc@asia.com> \n\n");
   printf("url: http://www.ronybc.8k.com \n\n");}
 
   XGetWindowAttributes(display,win,&xwa);
@@ -392,7 +407,7 @@
  
   if(depth==8){
   if(verbose){
-  printf("Pseudocolor color: use '-fade' & '-nolight' for better results.\n");}
+  printf("Pseudocolor color: use '-noflash' for better results.\n");}
   colors = (XColor *) calloc(sizeof(XColor),ncolors+1);
   writable = False;
   make_smooth_colormap(display, vi, cmap, colors, &ncolors,
@@ -401,30 +416,38 @@
   gc = XCreateGC(display, win, 0, &gcv);
 
   resize(display,win);   /* initialize palakas */ 
-  seed += time(0);
   
-  fpixs = malloc(sizeof(firepix) * PIXCOUNT * SHELLCOUNT);
-  fshells = malloc(sizeof(fireshell) * SHELLCOUNT);
-  fshell = fshells;
-  fpix = fpixs;
+  ffpix = malloc(sizeof(firepix) * PIXCOUNT * SHELLCOUNT);
+  ffshell = malloc(sizeof(fireshell) * SHELLCOUNT);
+  fshell = ffshell;
+  fpix = ffpix;
   for (n=0;n<SHELLCOUNT;n++){
   fshell->fpix = fpix;
-  recycle (fshell,rnd(fsc_width),rnd(fsc_height));
+  recycle (fshell,rnd(width),rnd(height));
   fshell++; 
   fpix += PIXCOUNT; }
   
   while(1) {
   for(q=FTWEAK;q;q--){
-  fshell=fshells;
+  fshell=ffshell;
   for(n=SHELLCOUNT;n;n--){
   if (!explode(fshell)){
-       recycle(fshell,rnd(fsc_width),rnd(fsc_height)); }
+       recycle(fshell,rnd(width),rnd(height)); }
        fshell++; }}
-  if(light_on) light_2x2(fshells);
+#if HAVE_X86_MMX
+  if(glow_on) mmx_glow(palaka1,width,height,8,palaka2);
+#else
+  if(glow_on) glow();
+#endif
+  if(flash_on) light_2x2(ffshell);
   put_image(display,win,gc,xim);
   usleep(delay);
   XSync(display,0);
-  sniff_events(display, win, fshells);
-  blur_best();}
+  sniff_events(display, win, ffshell);
+#if HAVE_X86_MMX
+  if(!glow_on) mmx_blur(palaka1,width,height,8);
+#else
+  if(!glow_on) blur();
+#endif
 
-}
+}}

=== modified file 'hacks/fireworkx.man'
--- hacks/fireworkx.man	2005-04-09 00:06:43 +0000
+++ hacks/fireworkx.man	2005-12-08 16:00:22 +0000
@@ -8,8 +8,8 @@
 [\-window]
 [\-root]
 [\-verbose]
-[\-fade]
-[\-nolight]
+[\-noflash]
+[\-noglow]
 [\-shoot]
 [\-delay \fInumber\fP]
 [\-maxlife \fInumber\fP]
@@ -27,23 +27,23 @@
 .B \-root
 Draw on the root window.
 .TP 8
-.B \-nolight
-Turns off light effect; runs faster.
+.B \-noflash 
+Turn off light effect (runs faster)
 .TP 8
-.B \-fade
-Cuts the extra blur; looks more realistic.
+.B \-noglow
+Turn off self glow (dull blasts..!)
 .TP 8
 .B \-shoot
-Shows shooting of the shells.
+Shoot the shells.
 .TP 8
 .B \-delay \fInumber\fP
-Delay between frames. In microseconds. 
+Delay between frames. In microseconds. (Default: 1000)
 .TP 8
 .B \-maxlife \fInumber\fP
-Maximum decay period for an explosion. (Default: 1200)
+Maximum decay period for an explosion. (Default: 2000)
 .TP 8
 .B \-verbose
-Listen what the program have to say, via console.
+for scientific purposes..!
 .SH ENVIRONMENT
 .PP
 .TP 8
@@ -57,7 +57,7 @@
 .BR X (1),
 .BR xscreensaver (1)
 .SH COPYRIGHT
-Copyright \(co 1999-2004 by Rony B Chandran.  Permission to use, copy, modify, 
+Copyright \(co 1999-2005 by Rony B Chandran.  Permission to use, copy, modify, 
 distribute, and sell this software and its documentation for any purpose is 
 hereby granted without fee, provided that the above copyright notice appear 
 in all copies and that both that copyright notice and this permission notice
@@ -65,10 +65,21 @@
 suitability of this software for any purpose.  It is provided "as is" without
 express or implied warranty.
 .SH AUTHOR
+ 
+.br
 Written by Rony B Chandran <ronybc@asia.com>
-
-Added support for different display color modes
-by Jean-Pierre Demailly <Jean-Pierre.Demailly@ujf-grenoble.fr>
+.br
+ 
+.br
+Additional programming: 
+.br
+------------------------
+.br
+Renuka S <renuka@local.net>
+.br
+Jean-Pierre Demailly <Jean-Pierre.Demailly@ujf-grenoble.fr>
+.br
+Nicholas Miell <nmiell@gmail.com>
 
 .SH URL 
 http://www.ronybc.8k.com

=== added file 'hacks/fireworkx_mmx.S'
--- hacks/fireworkx_mmx.S	1970-01-01 00:00:00 +0000
+++ hacks/fireworkx_mmx.S	2005-12-08 16:00:22 +0000
@@ -0,0 +1,226 @@
+/*
+ * Fast MMX blur code for Fireworkx
+ * Copyright (c) 1999-2005 Rony B Chandran <ronybc@asia.com>
+ *
+ * From Kerala, INDIA
+ * 
+ * url: http://www.ronybc.8k.com
+ *
+ * Permission to use, copy, modify, distribute, and sell this software and its
+ * documentation for any purpose is hereby granted without fee, provided that
+ * the above copyright notice appear in all copies and that both that
+ * copyright notice and this permission notice appear in supporting
+ * documentation.  No representations are made about the suitability of this
+ * software for any purpose.  It is provided "as is" without express or 
+ * implied warranty.
+ *
+ */
+ 
+.data
+
+.text
+
+.align 8	
+
+.global mmx_blur
+.global mmx_glow
+
+mmx_blur:      /* void mmx_blur( int *palaka,
+                                 int width,
+                                 int height)
+                                 int fade_lvl) */
+	pushl %ebp
+	pushl %edi
+	pushl %esi
+	pushl %ebx
+	
+	movl 32(%esp),%eax
+	imull $0x00010001,%eax
+	movd %eax,%mm0
+	movq %mm0,%mm1
+	psllq $32,%mm0
+	por %mm0,%mm1
+	movq %mm1,40(%esp)
+	
+	movl 20(%esp), %eax
+	movl 24(%esp), %edx
+	shll $2, %edx
+	addl %eax, %edx
+	pxor %mm0,%mm0
+.fline:
+	movq %mm0,(%eax)
+	addl $8,%eax
+	cmp %edx,%eax
+	jbe .fline
+	
+	movl 24(%esp),%eax
+	shll $2,%eax
+	movl %eax,%edi
+	movl 28(%esp),%edi
+	subl $2,%edi
+	imull %eax,%edi
+	
+	movl 20(%esp),%ecx
+	movl %ecx,%ebx
+	addl %eax,%ebx
+	addl %ebx,%eax
+	xorl %esi,%esi
+.align 32
+.renuKa:
+	pxor %mm7,%mm7
+	movq %mm0,%mm6
+	movq %mm1,%mm0
+	paddw %mm1,%mm6
+	movd 8(%esi,%ecx),%mm1
+	punpcklbw %mm7,%mm1
+	paddw %mm1,%mm6
+
+	paddw %mm2,%mm6
+	movq %mm3,%mm2
+	movd 8(%esi,%ebx),%mm3
+	punpcklbw %mm7,%mm3
+	paddw %mm3,%mm6
+
+	paddw %mm4,%mm6
+	movq %mm5,%mm4
+	paddw %mm5,%mm6
+	movd 8(%esi,%eax),%mm5
+	punpcklbw %mm7,%mm5
+	paddw %mm5,%mm6
+	
+	psllw $3,%mm2
+	paddw %mm2,%mm6
+	psrlw $3,%mm2
+	movq 40(%esp),%mm7
+	psubusw %mm7,%mm6 
+	psrlw $4,%mm6
+	
+	packuswb %mm6,%mm6
+	movd %mm6, 4(%esi,%ebx)
+	addl $4,%esi
+	cmp %edi,%esi
+	jbe .renuKa
+	
+	addl %esi,%eax
+	addl %esi,%ebx
+	xorl %ecx,%ecx
+.lline:
+	movl %ecx,(%ebx)
+	addl $4,%ebx
+	cmpl %eax,%ebx
+	jbe .lline
+	
+	emms
+	popl %ebx
+	popl %esi
+	popl %edi
+	popl %ebp
+	ret
+
+/*  Add Glycerine to 
+    Potassium permanganite... (DANGER-FIRE) */
+
+mmx_glow:      /* void mmx_glow( int *palaka1,
+                                 int width,
+                                 int height,
+                                 int fade_lvl,
+                                 int *palaka2)  */
+	pushl %ebp
+	pushl %edi
+	pushl %esi
+	pushl %ebx
+	
+	movl 32(%esp),%eax
+	imull $0x00010001,%eax
+	movd %eax,%mm0
+	movq %mm0,%mm1
+	psllq $32,%mm0
+	por %mm0,%mm1
+	movq %mm1,40(%esp)
+	
+	movl 20(%esp), %eax
+	movl 36(%esp), %ebx
+	movl 24(%esp), %edx
+	shll $2,%edx
+	add %eax, %edx
+	pxor %mm7,%mm7
+.flineGlow:
+	movq %mm7,(%eax)
+	movq %mm7,(%ebx)
+	addl $8,%eax
+	addl $8,%ebx
+	cmp %edx,%eax
+	jbe .flineGlow
+
+	movl 24(%esp),%eax
+	shll $2,%eax
+	movl %eax,%edi
+	movl 28(%esp),%edi
+	subl $2,%edi
+	imull %eax,%edi
+	
+	movl 20(%esp),%ecx
+	movl 36(%esp),%edx
+	movl %ecx,%ebx
+	addl %eax,%edx
+	addl %eax,%ebx
+	addl %ebx,%eax
+	xorl %esi,%esi
+.align 32
+.renuGa:
+	pxor %mm7,%mm7
+	movq %mm0,%mm6
+	movq %mm1,%mm0
+	paddw %mm1,%mm6
+	movd 8(%esi,%ecx),%mm1
+	punpcklbw %mm7,%mm1
+	paddw %mm1,%mm6
+
+	paddw %mm2,%mm6
+	movq %mm3,%mm2
+	movd 8(%esi,%ebx),%mm3
+	punpcklbw %mm7,%mm3
+	paddw %mm3,%mm6
+
+	paddw %mm4,%mm6
+	movq %mm5,%mm4
+	paddw %mm5,%mm6
+	movd 8(%esi,%eax),%mm5
+	punpcklbw %mm7,%mm5
+	paddw %mm5,%mm6
+	
+	psllw $3,%mm2
+	paddw %mm2,%mm6
+	psrlw $3,%mm2
+	movq 40(%esp),%mm7
+	psubusw %mm7,%mm6 
+	movq %mm6,%mm7
+	psrlw $4,%mm6
+	psrlw $3,%mm7
+	
+	packuswb %mm7,%mm7
+	movd %mm7, 4(%esi,%edx)
+	packuswb %mm6,%mm6
+	movd %mm6, 4(%esi,%ebx)
+	addl $4,%esi
+	cmp %edi,%esi
+	jbe .renuGa
+
+	addl %esi,%eax
+	addl %esi,%ebx
+	addl %esi,%edx
+	xorl %ecx,%ecx
+.llineGlow:
+	movl %ecx,(%ebx)
+	movl %ecx,(%edx)
+	addl $4,%ebx
+	addl $4,%edx
+	cmpl %eax,%ebx
+	jbe .llineGlow
+
+	emms
+	popl %ebx
+	popl %esi
+	popl %edi
+	popl %ebp
+	ret

=== modified file 'hacks/flow.c'
--- hacks/flow.c	2005-04-09 00:06:43 +0000
+++ hacks/flow.c	2005-12-08 16:00:22 +0000
@@ -8,7 +8,7 @@
 #endif
 
 /*-
- * Copyright (c) 1996 by Tim Auckland <Tim.Auckland@Procket.com>
+ * Copyright (c) 1996 by Tim Auckland <tda10.geo@yahoo.com>
  * Incorporating some code from Stephen Davies Copyright (c) 2000
  *
  * Search code based on techniques described in "Strange Attractors:

=== modified file 'hacks/flow.man'
--- hacks/flow.man	2005-04-09 00:06:43 +0000
+++ hacks/flow.man	2006-07-29 23:00:43 +0000
@@ -20,7 +20,7 @@
 .SH DESCRIPTION
 Strange attractors formed of flows in a 3D differential equation phase
 space.  Features the popular attractors described by \fBLorentz\fP,
-\fBRössler\fP, \fBBirkhoff\fP and \fBDuffing\fP, and can now discover
+\fBRoessler\fP, \fBBirkhoff\fP and \fBDuffing\fP, and can now discover
 entirely new attractors by itself.
 .SH OPTIONS
 .TP 8

=== modified file 'hacks/fontglide.c'
--- hacks/fontglide.c	2005-04-09 00:06:43 +0000
+++ hacks/fontglide.c	2006-06-30 16:27:21 +0000
@@ -284,8 +284,9 @@
   se->font = XLoadQueryFont (s->dpy, pattern);
   if (! se->font)
     {
-      fprintf (stderr, "%s: unable to load font %s\n",
-               progname, pattern);
+      if (s->debug_p)
+        fprintf (stderr, "%s: unable to load font %s\n",
+                 progname, pattern);
       return False;
     }
 
@@ -325,7 +326,7 @@
   for (i = 0; i < 20; i++)
     if (pick_font_1 (s, se))
       return;
-  fprintf (stderr, "%s: too many failures: giving up!\n", progname);
+  fprintf (stderr, "%s: too many font-loading failures: giving up!\n", progname);
   exit (1);
 }
 

=== modified file 'hacks/fontglide.man'
--- hacks/fontglide.man	2005-04-09 00:06:43 +0000
+++ hacks/fontglide.man	2006-06-30 16:27:21 +0000
@@ -99,12 +99,12 @@
 .BR xscreensaver (1),
 .BR xscreensaver-text (1),
 .BR fortune (1),
-.BR phosphor (1),
-.BR apple2 (1),
-.BR starwars (1),
-.BR ljlatest (1),
+.BR phosphor (MANSUFFIX),
+.BR apple2 (MANSUFFIX),
+.BR starwars (MANSUFFIX),
+.BR ljlatest (MANSUFFIX),
 .BR dadadodo (1),
-.BR webcollage (1),
+.BR webcollage (MANSUFFIX),
 .BR driftnet (1)
 .BR EtherPEG ,
 .BR EtherPeek

=== modified file 'hacks/forest.man'
--- hacks/forest.man	2002-04-07 12:17:37 +0000
+++ hacks/forest.man	2006-06-30 16:27:21 +0000
@@ -28,7 +28,7 @@
 or the id number (decimal or hex) of a specific visual.
 .TP 8
 .B \-ncolors \fIinteger\fP
-How many colors should be used (if possible).  Default 100.
+How many colors should be used (if possible).  Default 20.
 
 .SH ENVIRONMENT
 .PP

=== modified file 'hacks/fuzzyflakes.man'
--- hacks/fuzzyflakes.man	2005-04-09 00:06:43 +0000
+++ hacks/fuzzyflakes.man	2005-12-08 16:00:22 +0000
@@ -72,7 +72,7 @@
 .B \-color \fIstring\fP
 The base color for the color scheme.  Typed as a hexadecimal triplet
 with or with out the leading #. ie. fa4563 & #43cd12 are both acceptable.
-If the satration of you color is too low (<0.03) the random color
+If the saturation of you color is too low (<0.03) the random color
 generator will kick in.
 The default color is #efbea5
 .TP 8
@@ -105,4 +105,4 @@
 .SH CREDITS
 The color generation algorithm was borrowed from a friend <ZoeB>
 from #vegans@irc.blitzed.org.  Her site is http://beautifulfreak.net/.
-To see her original code in action visit her site.
\ No newline at end of file
+To see her original code in action visit her site.

=== modified file 'hacks/glx/Makefile.in'
--- hacks/glx/Makefile.in	2005-04-09 00:06:43 +0000
+++ hacks/glx/Makefile.in	2006-07-29 23:00:43 +0000
@@ -100,8 +100,8 @@
 		  flipflop.c antspotlight.c polytopes.c gleidescope.c \
 		  mirrorblob.c blinkbox.c noof.c polyhedra.c polyhedra-gl.c \
 		  antinspect.c providence.c pinion.c boing.c texfont.c \
-		  carousel.c fliptext.c
-
+		  carousel.c fliptext.c antmaze.c tangram.c tangram_shapes.c \
+		  crackberg.c glhanoi.c cube21.c timetunnel.c juggler3d.c
 
 OBJS		= xscreensaver-gl-helper.o normals.o glxfonts.o \
 		  atlantis.o b_draw.o b_lockglue.o b_sphere.o bubble3d.o \
@@ -131,7 +131,8 @@
 		  flipflop.o antspotlight.o polytopes.o gleidescope.o \
 		  mirrorblob.o blinkbox.o noof.o polyhedra.o polyhedra-gl.o \
 		  antinspect.o providence.o pinion.o boing.o texfont.o \
-		  carousel.o fliptext.o
+		  carousel.o fliptext.o antmaze.o tangram.o tangram_shapes.o \
+		  crackberg.o glhanoi.o cube21.o timetunnel.o juggler3d.o
 
 GL_EXES		= cage gears moebius pipes sproingies stairs superquadrics \
 		  morph3d rubik atlantis lament bubble3d glplanet pulsar \
@@ -142,7 +143,8 @@
 		  glslideshow jigglypuff klein hypertorus glmatrix cubestorm \
 		  glknots blocktube flipflop antspotlight polytopes \
 		  gleidescope mirrorblob blinkbox noof polyhedra \
-		  antinspect providence pinion boing carousel fliptext
+		  antinspect providence pinion boing carousel fliptext \
+		  antmaze tangram crackberg glhanoi cube21 timetunnel juggler3d
 GLE_EXES	= extrusion
 GL_UTIL_EXES	= xscreensaver-gl-helper
 HACK_EXES	= @GL_EXES@ @GLE_EXES@
@@ -161,7 +163,8 @@
 		  stonerview-move.h stonerview-osc.h glutstroke.h \
 		  glut_roman.h marching.h rotator.h trackball.h gltrackball.h \
 		  chessmodels.h chessgames.h gllist.h flurry.h tunnel_draw.h \
-		  ants.h polyhedra.h normals.h glxfonts.h texfont.h
+		  ants.h polyhedra.h normals.h glxfonts.h texfont.h \
+		  tangram_shapes.h
 GL_MEN		= atlantis.man boxed.man bubble3d.man cage.man circuit.man \
 		  cubenetic.man dangerball.man engine.man extrusion.man \
 		  flipscreen3d.man gears.man gflux.man glforestfire.man \
@@ -177,7 +180,9 @@
 		  antspotlight.man polytopes.man gleidescope.man \
 		  mirrorblob.man blinkbox.man noof.man polyhedra.man \
 		  antinspect.man providence.man pinion.man boing.man \
-		  carousel.man fliptext.man
+		  carousel.man fliptext.man antmaze.man tangram.man \
+		  crackberg.man glhanoi.man cube21.man timetunnel.man \
+		  juggler3d.man
 MEN		= @GL_MEN@
 EXTRAS		= README Makefile.in dxf2gl.pl starwars.txt
 
@@ -224,7 +229,7 @@
 # When installing man pages, we install "foo.man" as "foo.N" and update
 # the .TH line in the installed file with one like
 #
-#     .TH XScreenSaver N "DD-MMM-YYYY (V.VV)" "X Version 11"
+#     .TH XScreenSaver N "V.VV (DD-MMM-YYYY)" "X Version 11"
 #
 # where N is the manual section suffix.
 #
@@ -242,7 +247,9 @@
 									\
 	for man in $$men; do						\
 	  instname=`echo $$man | sed 's/\.man$$/\.$(mansuffix)/'` ;	\
-	  sed "s/^\.TH.*/$$TH/" < $(srcdir)/$$man > $$T ;		\
+	  sed -e "s/^\.TH.*/$$TH/"					\
+	      -e 's@(MANSUFFIX)@($(mansuffix))@g'			\
+	    < $(srcdir)/$$man > $$T ;					\
 	  echo $(INSTALL_DATA) $(srcdir)/$$man				\
 	   $(install_prefix)$(manNdir)/$$instname ;			\
 	  $(INSTALL_DATA) $$T						\
@@ -582,8 +589,8 @@
 klein:		klein.o		$(HACK_TRACK_OBJS)
 	$(CC_HACK) -o $@ $@.o	$(HACK_TRACK_OBJS) $(HACK_LIBS)
 
-hypertorus:	hypertorus.o	$(HACK_OBJS)
-	$(CC_HACK) -o $@ $@.o	$(HACK_OBJS) $(HACK_LIBS)
+hypertorus:	hypertorus.o	$(HACK_TRACK_OBJS)
+	$(CC_HACK) -o $@ $@.o	$(HACK_TRACK_OBJS) $(HACK_LIBS)
 
 glmatrix:	glmatrix.o	xpm-ximage.o $(HACK_OBJS)
 	$(CC_HACK) -o $@ $@.o	xpm-ximage.o $(HACK_OBJS) $(XPM_LIBS)
@@ -603,8 +610,8 @@
 antspotlight:	antspotlight.o	$(HACK_TRACK_GRAB_OBJS)
 	$(CC_HACK) -o $@ $@.o	$(HACK_TRACK_GRAB_OBJS) $(HACK_LIBS)
 
-polytopes:	polytopes.o	$(HACK_OBJS)
-	$(CC_HACK) -o $@ $@.o	$(HACK_OBJS) $(HACK_LIBS)
+polytopes:	polytopes.o	$(HACK_TRACK_OBJS)
+	$(CC_HACK) -o $@ $@.o	$(HACK_TRACK_OBJS) $(HACK_LIBS)
 
 # This one works differently (it's not xlock-like.)
 #
@@ -662,6 +669,29 @@
 fliptext:	fliptext.o	texfont.o $(HACK_OBJS)
 	$(CC_HACK) -o $@ $@.o	texfont.o $(HACK_OBJS) $(HACK_LIBS)
 
+antmaze:	antmaze.o	$(HACK_TRACK_OBJS)
+	$(CC_HACK) -o $@ $@.o	$(HACK_TRACK_OBJS) $(HACK_LIBS)
+
+TANGRAM_OBJS=tangram_shapes.o glxfonts.o $(HACK_OBJS)
+tangram:	tangram.o	$(TANGRAM_OBJS)
+	$(CC_HACK) -o $@ $@.o	$(TANGRAM_OBJS) $(HACK_LIBS)
+
+crackberg:	crackberg.o	$(HACK_OBJS)
+	$(CC_HACK) -o $@ $@.o	$(HACK_OBJS) $(HACK_LIBS)
+
+glhanoi:	glhanoi.o	$(HACK_TRACK_OBJS)
+	$(CC_HACK) -o $@ $@.o	$(HACK_TRACK_OBJS) $(HACK_LIBS)
+
+cube21:		cube21.o	$(HACK_OBJS)
+	$(CC_HACK) -o $@ $@.o	$(HACK_OBJS) $(HACK_LIBS)
+
+TIMETUNNEL_OBJS = xpm-ximage.o  $(HACK_TRACK_OBJS)
+timetunnel:	timetunnel.o	$(TIMETUNNEL_OBJS)
+	$(CC_HACK) -o $@ $@.o   $(TIMETUNNEL_OBJS) $(XPM_LIBS)
+
+juggler3d:	juggler3d.o	$(HACK_TRACK_OBJS)
+	$(CC_HACK) -o $@ $@.o	$(HACK_TRACK_OBJS) $(HACK_LIBS)
+
 dnalogo:	dnalogo.o      tube.o normals.o $(HACK_TRACK_OBJS)
 	$(CC_HACK) -o $@ $@.o  tube.o normals.o $(HACK_TRACK_OBJS) $(HACK_LIBS)
 
@@ -671,6 +701,10 @@
 
 antinspect.o: ../../config.h
 antinspect.o: $(srcdir)/gltrackball.h
+antmaze.o: $(srcdir)/ants.h
+antmaze.o: ../../config.h
+antmaze.o: $(srcdir)/gltrackball.h
+antmaze.o: $(srcdir)/rotator.h
 antspotlight.o: $(srcdir)/ants.h
 antspotlight.o: ../../config.h
 antspotlight.o: $(srcdir)/gltrackball.h
@@ -728,6 +762,8 @@
 cow_horns.o: $(srcdir)/gllist.h
 cow_tail.o: $(srcdir)/gllist.h
 cow_udder.o: $(srcdir)/gllist.h
+crackberg.o: ../../config.h
+cube21.o: ../../config.h
 cubenetic.o: ../../config.h
 cubenetic.o: $(srcdir)/gltrackball.h
 cubenetic.o: $(srcdir)/rotator.h
@@ -810,6 +846,8 @@
 glforestfire.o: $(HACK_SRC)/images/ground.xpm
 glforestfire.o: $(HACK_SRC)/images/tree.xpm
 glforestfire.o: $(srcdir)/xpm-ximage.h
+glhanoi.o: ../../config.h
+glhanoi.o: $(srcdir)/rotator.h
 glknots.o: ../../config.h
 glknots.o: $(srcdir)/gltrackball.h
 glknots.o: $(srcdir)/rotator.h
@@ -847,10 +885,13 @@
 glxfonts.o: $(srcdir)/glxfonts.h
 grab-ximage.o: ../../config.h
 hypertorus.o: ../../config.h
+hypertorus.o: $(srcdir)/gltrackball.h
 jigglypuff.o: ../../config.h
 jigglypuff.o: $(srcdir)/gltrackball.h
 jigglypuff.o: $(HACK_SRC)/images/jigglymap.xpm
 jigglypuff.o: $(srcdir)/xpm-ximage.h
+juggler3d.o: ../../config.h
+juggler3d.o: $(srcdir)/gltrackball.h
 klein.o: ../../config.h
 klein.o: $(srcdir)/gltrackball.h
 klein.o: $(srcdir)/rotator.h
@@ -904,6 +945,7 @@
 polyhedra.o: ../../config.h
 polyhedra.o: $(srcdir)/polyhedra.h
 polytopes.o: ../../config.h
+polytopes.o: $(srcdir)/gltrackball.h
 providence.o: ../../config.h
 providence.o: $(srcdir)/gltrackball.h
 pulsar.o: ../../config.h
@@ -947,17 +989,29 @@
 stonerview-move.o: $(srcdir)/stonerview-move.h
 stonerview-move.o: $(srcdir)/stonerview-osc.h
 stonerview.o: ../../config.h
+stonerview.o: $(srcdir)/stonerview-move.h
 stonerview-osc.o: ../../config.h
 stonerview-osc.o: $(srcdir)/stonerview-osc.h
-stonerview.o: $(srcdir)/stonerview-move.h
 stonerview-view.o: ../../config.h
 stonerview-view.o: $(srcdir)/stonerview-move.h
 stonerview-view.o: $(srcdir)/stonerview-osc.h
 superquadrics.o: ../../config.h
 swim.o: $(srcdir)/atlantis.h
 swim.o: ../../config.h
+tangram.o: ../../config.h
+tangram.o: $(srcdir)/glxfonts.h
+tangram.o: $(srcdir)/tangram_shapes.h
 texfont.o: ../../config.h
 texfont.o: $(srcdir)/texfont.h
+timetunnel.o: ../../config.h
+timetunnel.o: $(srcdir)/gltrackball.h
+timetunnel.o: $(HACK_SRC)/images/timetunnel0.xpm
+timetunnel.o: $(HACK_SRC)/images/timetunnel1.xpm
+timetunnel.o: $(HACK_SRC)/images/timetunnel2.xpm
+timetunnel.o: $(HACK_SRC)/images/tunnelstar.xpm
+timetunnel.o: $(srcdir)/rotator.h
+timetunnel.o: $(UTILS_SRC)/images/logo-180.xpm
+timetunnel.o: $(srcdir)/xpm-ximage.h
 toast2.o: $(srcdir)/gllist.h
 toaster_base.o: $(srcdir)/gllist.h
 toaster_handle2.o: $(srcdir)/gllist.h

=== modified file 'hacks/glx/antinspect.c'
--- hacks/glx/antinspect.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/antinspect.c	2005-12-08 16:00:22 +0000
@@ -26,8 +26,7 @@
 #define EVENT_MASK	    PointerMotionMask
 #define antinspect_opts	    xlockmore_opts
 #define DEFAULTS	    "*delay:   20000   \n" \
-			    "*showFPS: False   \n" \
-			    "*wireframe: False \n"
+			    "*showFPS: False   \n"
 
 #include "xlockmore.h"
 #else

=== added file 'hacks/glx/antmaze.c'
--- hacks/glx/antmaze.c	1970-01-01 00:00:00 +0000
+++ hacks/glx/antmaze.c	2005-12-08 16:00:22 +0000
@@ -0,0 +1,1516 @@
+/*
+ * Permission to use, copy, modify, and distribute this software and its
+ * documentation for any purpose and without fee is hereby granted,
+ * provided that the above copyright notice appear in all copies and that
+ * both that copyright notice and this permission notice appear in
+ * supporting documentation.
+ *
+ * This file is provided AS IS with no warranties of any kind.  The author
+ * shall have no liability with respect to the infringement of copyrights,
+ * trade secrets or any patents by this file or any part thereof.  In no
+ * event will the author be liable for any lost revenue or profits or
+ * other special, indirect and consequential damages.
+ *
+ * Copyright 2004 Blair Tennessy
+ * tennessy@cs.ubc.ca
+ */
+
+#if !defined( lint ) && !defined( SABER )
+static const char sccsid[] = "@(#)moebius.c	5.01 2001/03/01 xlockmore";
+#endif
+
+#ifdef VMS
+#include <X11/Intrinsic.h>
+#endif
+
+#ifdef STANDALONE
+# define MODE_moebius
+# define PROGCLASS			"AntMaze2"
+# define HACK_INIT			init_moebius
+# define HACK_DRAW			draw_moebius
+# define HACK_RESHAPE		reshape_moebius
+# define HACK_HANDLE_EVENT	moebius_handle_event
+# define EVENT_MASK			PointerMotionMask
+# define moebius_opts		xlockmore_opts
+# define DEFAULTS			"*delay:		20000   \n"			\
+							"*showFPS:      False   \n"			\
+							"*wireframe:	False	\n"
+# include "xlockmore.h"		/* from the xscreensaver distribution */
+#else /* !STANDALONE */
+# include "xlock.h"		/* from the xlockmore distribution */
+
+#endif /* !STANDALONE */
+
+#ifdef MODE_moebius
+
+
+#include <GL/glu.h>
+#include "rotator.h"
+#include "gltrackball.h"
+
+#define DEF_SOLIDMOEBIUS  "False"
+#define DEF_NOANTS  "False"
+
+static int  solidmoebius;
+static int  noants;
+
+static XrmOptionDescRec opts[] =
+{
+  {"-solidmoebius", ".moebius.solidmoebius", XrmoptionNoArg, "on"},
+  {"+solidmoebius", ".moebius.solidmoebius", XrmoptionNoArg, "off"},
+  {"-noants", ".moebius.noants", XrmoptionNoArg, "on"},
+  {"+noants", ".moebius.noants", XrmoptionNoArg, "off"}
+};
+static argtype vars[] =
+{
+  {&solidmoebius, "solidmoebius", "Solidmoebius", DEF_SOLIDMOEBIUS, t_Bool},
+  {&noants, "noants", "Noants", DEF_NOANTS, t_Bool}
+};
+
+static OptionStruct desc[] =
+{
+	{"-/+solidmoebius", "select between a SOLID or a NET Moebius Strip"},
+	{"-/+noants", "turn on/off walking ants"}
+};
+
+ModeSpecOpt moebius_opts =
+{sizeof opts / sizeof opts[0], opts, sizeof vars / sizeof vars[0], vars, desc};
+
+#ifdef USE_MODULES
+ModStruct   moebius_description =
+{"moebius", "init_moebius", "draw_moebius", "release_moebius",
+ "draw_moebius", "change_moebius", NULL, &moebius_opts,
+ 1000, 1, 1, 1, 4, 1.0, "",
+ "draws some ants", 0, NULL};
+
+#endif
+
+#define Scale4Window               0.3
+#define Scale4Iconic               0.4
+
+#define sqr(A)                     ((A)*(A))
+
+#ifndef Pi
+#define Pi                         M_PI
+#endif
+
+#define ObjMoebiusStrip 0
+#define ObjAntBody      1
+#define MaxObj          2
+
+/*************************************************************************/
+
+typedef struct {
+  GLint       WindH, WindW;
+  GLfloat     step;
+  GLfloat     ant_position;
+  GLXContext *glx_context;
+  rotator    *rot;
+  trackball_state *trackball;
+  Bool        button_down_p;
+} moebiusstruct;
+
+#include "ants.h"
+
+static GLfloat MaterialRed[] = {0.6, 0.0, 0.0, 1.0};
+/*static GLfloat MaterialMagenta[] = {0.6, 0.2, 0.5, 1.0};*/
+static GLfloat MaterialGray8[] = {0.8, 0.8, 0.8, 1.0};
+static GLfloat MaterialGray35[] = {0.30, 0.30, 0.30, 1.0};
+static GLfloat MaterialGray4[] = {0.40, 0.40, 0.40, 1.0};
+static GLfloat MaterialOrange[] = {1.0, 0.69, 0.00, 1.0};
+static GLfloat MaterialGreen[] = {0.1, 0.4, 0.2, 1.0};
+
+/* lighting variables */
+GLfloat front_shininess[] = {60.0};
+GLfloat front_specular[] = {0.8, 0.8, 0.8, 1.0};
+GLfloat ambient[] = {0.1, 0.1, 0.1, 1.0};
+GLfloat ambient2[] = {0.0, 0.0, 0.0, 0.0};
+GLfloat diffuse[] = {0.8, 0.8, 0.8, 1.0};
+GLfloat position0[] = {1.0, 5.0, 1.0, 1.0};
+GLfloat position1[] = {-1.0, -5.0, 1.0, 1.0};
+GLfloat lmodel_ambient[] = {0.8, 0.8, 0.8, 1.0};
+GLfloat lmodel_twoside[] = {GL_TRUE};
+GLfloat spotlight_ambient[] = { 0.0, 0.0, 0.0, 1.0 };
+GLfloat spotlight_diffuse[] = { 1.0, 1.0, 1.0, 1.0 };
+
+static moebiusstruct *moebius = (moebiusstruct *) NULL;
+
+#define NUM_SCENES      2
+
+/* filled sphere */
+static Bool mySphere(float radius) {
+  GLUquadricObj *quadObj;
+
+  if((quadObj = gluNewQuadric()) == 0)
+	return False;
+  gluQuadricDrawStyle(quadObj, (GLenum) GLU_FILL);
+  gluSphere(quadObj, radius, 16, 16);
+  gluDeleteQuadric(quadObj);
+
+  return True;
+}
+
+#if 0
+/* silhouette sphere */
+static Bool mySphere2(float radius) {
+  GLUquadricObj *quadObj;
+
+  if((quadObj = gluNewQuadric()) == 0)
+	return False;
+  gluQuadricDrawStyle(quadObj, (GLenum) GLU_SILHOUETTE);
+  gluSphere(quadObj, radius, 16, 8);
+  gluDeleteQuadric(quadObj);
+
+  return True;
+}
+#endif
+
+/* textured sphere */
+static Bool mySphereTex(float radius) {
+  GLUquadricObj *quadObj;
+  
+  if((quadObj = gluNewQuadric()) == 0)
+	return False;
+  gluQuadricDrawStyle(quadObj, (GLenum) GLU_FILL);
+  gluQuadricTexture(quadObj, GL_TRUE);
+  gluQuadricNormals(quadObj, GLU_SMOOTH);
+  gluSphere(quadObj, radius, 32, 16);
+  gluDeleteQuadric(quadObj);
+
+  return True;
+}
+
+/* filled cone */
+static Bool myCone(float radius) {
+  GLUquadricObj *quadObj;
+  
+  if ((quadObj = gluNewQuadric()) == 0)
+    return False;
+  gluQuadricDrawStyle(quadObj, (GLenum) GLU_FILL);
+  gluCylinder(quadObj, radius, 0, radius * 2, 8, 1);
+  gluDeleteQuadric(quadObj);
+  return True;
+}
+
+/* no cone */
+static Bool myCone2(float radius) { return True; }
+
+#define ANTCOUNT 5
+#define PI 3.14157
+
+static int focus = 0;
+
+#define MATERIALS 4
+static float* antmaterial[ANTCOUNT] = 
+  {MaterialRed, MaterialGray35, MaterialGray4, MaterialOrange, MaterialGreen};
+
+static float* materials[MATERIALS] = 
+  {MaterialRed, MaterialGray35, MaterialGray4, MaterialOrange};
+
+static double antdirection[ANTCOUNT] = {PI/2.0, PI/2.0, 0.0, PI/2.0, PI/2.0};
+
+static double antposition[ANTCOUNT][3] = {{-4.0, 5.0, 0.15},
+					  {-4.0, 3.0, 0.15},
+					  {-1.0, -2.0, 0.15},
+					  {-3.9, 6.0, 0.15}, 
+					  {2.0, -2.0, 0.15}};
+
+static int anton[ANTCOUNT] = {1, 0, 0, 0};
+
+static double antvelocity[ANTCOUNT] = {0.02,
+				       0.02,
+				       0.02,
+				       0.02};
+
+static double antsize[ANTCOUNT] = {1.0,
+				   1.0,
+				   1.0,
+				   1.0};
+
+#define EPSILON 0.01
+#define BOARDSIZE 10
+
+int bposition[ANTCOUNT][2] = {{0, 8},
+			      {9, 1},
+			      {1, 1},
+			      {4, 8},
+			      {2, 1},};
+
+#define BOARDCOUNT 2
+int currentboard = 0;
+
+int board[BOARDCOUNT][10][10];/*  = {1, 1, 1, 1, 1, 1, 1, 1, 0, 1, */
+/* 		     1, 0, 1, 0, 1, 0, 1, 1, 0, 1, */
+/* 		     1, 0, 0, 0, 1, 0, 0, 0, 0, 1, */
+/* 		     1, 0, 1, 1, 0, 0, 1, 1, 0, 1, */
+/* 		     1, 0, 1, 1, 0, 1, 1, 0, 0, 1, */
+/* 		     1, 0, 1, 0, 0, 1, 0, 0, 1, 1, */
+/* 		     1, 0, 0, 0, 1, 1, 0, 1, 0, 1, */
+/* 		     1, 0, 1, 0, 1, 1, 0, 0, 0, 1, */
+/* 		     1, 0, 1, 0, 0, 0, 1, 0, 1, 1, */
+/* 		     1, 0, 1, 1, 1, 1, 1, 1, 1, 1,}; */
+
+#define PARTS 20
+int part[ANTCOUNT] = {0, 1, 5, 1, 3};
+double antpath[ANTCOUNT][PARTS][2];/*  = {{-4.0, 5.0}, */
+int antpathlength[ANTCOUNT];
+/* 				      {-4.0, 1.0}, */
+/* 				      {-2.0, 1.0}, */
+/* 				      {-2.0, 0.0}, */
+/* 				      {-1.0, 0.0}, */
+/* 				      {-1.0, -2.0}, */
+/* 				      { 0.0, -2.0}, */
+/* 				      { 0.0, -3.0}, */
+/* 				      { 3.0, -3.0}, */
+/* 				      { 3.0, -6.0},}; */
+
+#define checkImageWidth 64
+#define checkImageHeight 64
+GLubyte checkers[checkImageWidth][checkImageHeight][3];
+GLuint checktexture, brushedtexture;
+double elevator = 0.0;
+
+void makeCheckImage(void) {
+  int i, j;
+  
+  for (i = 0; i < checkImageWidth; i++) {
+    for (j = 0; j < checkImageHeight; j++) {
+      if(((((i&0x8)==0)^((j&0x8)))==0)) {
+	int c = 102 + random()%32;
+	checkers[i][j][0] = c;
+	checkers[i][j][1] = c;
+	checkers[i][j][2] = c;
+      }
+      else {
+	int c = 153 + random()%32;
+	checkers[i][j][0] = c;/*153;*/
+	checkers[i][j][1] = c;/*c;*//*0;*/
+	checkers[i][j][2] = c;/*c;*//*0;*/
+      }
+    }
+  }
+
+  glGenTextures(1, &checktexture);
+  glBindTexture(GL_TEXTURE_2D, checktexture);
+
+  glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MIN_FILTER,GL_LINEAR);
+  glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MAG_FILTER,GL_LINEAR);
+  glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_WRAP_S,GL_REPEAT);
+  glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_WRAP_T,GL_REPEAT);
+  glTexImage2D(GL_TEXTURE_2D, 0, 3, checkImageWidth, 
+	       checkImageHeight, 0, GL_RGB, GL_UNSIGNED_BYTE, 
+	       &checkers[0][0]);
+  glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+}
+
+void makeBrushedImage(void) {
+  int i, j, c;
+
+  for(i = 0; i < checkImageWidth; ++i)
+    for(j = 0; j < checkImageHeight; ++j) {
+
+      c = 102+102*fabs(sin(2.0*i / Pi)*sin(2.0*j/Pi)) + random()%51;
+
+/*       c = (i+j)%8==0 || (i+j+5)%8==0 ? 153 : 102; */
+
+      checkers[i][j][0] = c;
+      checkers[i][j][1] = c;
+      checkers[i][j][2] = c;
+    }
+  
+/*   for (i = 0; i < checkImageWidth; i++) { */
+/*     for (j = 0; j < checkImageHeight; j++) { */
+/*       int c = 102 + pow((random()%1000)/1000.0, 4)*103; */
+/*       checkers[i][j][0] = c; */
+/*       checkers[i][j][1] = c; */
+/*       checkers[i][j][2] = c; */
+/*     } */
+/*   } */
+
+/*   /\* smooth *\/ */
+/*   for (i = 0; i < checkImageWidth; i++) { */
+/*     for (j = 0; j < checkImageHeight; j++) { */
+/*       int a = checkers[(i+checkImageWidth+1)%checkImageWidth][j][0] +  */
+/* 	4*checkers[i][j][0] + checkers[(i+1)%checkImageWidth][j][0]; */
+/*       a /= 6; */
+/*       checkers[i][j][0] = a; */
+/*       checkers[i][j][1] = a; */
+/*       checkers[i][j][2] = a; */
+/*     } */
+/*   } */
+
+  glGenTextures(1, &brushedtexture);
+  glBindTexture(GL_TEXTURE_2D, brushedtexture);
+
+  glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MIN_FILTER,GL_LINEAR);
+  glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MAG_FILTER,GL_LINEAR);
+  glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_WRAP_S,GL_REPEAT);
+  glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_WRAP_T,GL_REPEAT);
+  glTexImage2D(GL_TEXTURE_2D, 0, 3, checkImageWidth, 
+	       checkImageHeight, 0, GL_RGB, GL_UNSIGNED_BYTE, 
+	       &checkers[0][0]);
+  glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+}
+
+void draw_wall(double x1, double z1, double x2, double z2) {
+  float x = fabs(x2 - x1)/2.0;
+
+  glBegin(GL_QUADS);
+
+  /* draw top */
+  glNormal3f(0.0, 1.0, 0.0);
+  glTexCoord2f(0.0, 0.0);
+  glVertex3f(x1, 1.0, z1+0.25);
+  glTexCoord2f(x, 0.0);
+  glVertex3f(x2, 1.0, z2+0.25);
+  glTexCoord2f(x, 0.25);
+  glVertex3f(x2, 1.0, z2-0.25);
+  glTexCoord2f(0.0, 0.25);
+  glVertex3f(x1, 1.0, z1-0.25);
+
+  /* draw sides */
+  glNormal3f(0.0, 0.0, 1.0);
+  glTexCoord2f(0.0, 0.0);
+  glVertex3f(x1, 0.0, z1+0.25);
+  glTexCoord2f(x, 0.0);
+  glVertex3f(x2, 0.0, z2+0.25);
+  glTexCoord2f(x, 0.5);
+  glVertex3f(x2, 1.0, z2+0.25);
+  glTexCoord2f(0.0, 0.5);
+  glVertex3f(x1, 1.0, z1+0.25);
+
+  glNormal3f(0.0, 0.0, -1.0);
+  glTexCoord2f(0.0, 0.0);
+  glVertex3f(x1, 0.0, z1-0.25);
+  glTexCoord2f(x, 0.0);
+  glVertex3f(x2, 0.0, z2-0.25);
+  glTexCoord2f(x, 0.5);
+  glVertex3f(x2, 1.0, z2-0.25);
+  glTexCoord2f(0.0, 0.5);
+  glVertex3f(x1, 1.0, z1-0.25);
+
+  /* draw ends */
+  glNormal3f(1.0, 0.0, 0.0);
+  glTexCoord2f(0.0, 0.0);
+  glVertex3f(x2, 0.0, z2+0.25);
+  glTexCoord2f(0.25, 0.0);
+  glVertex3f(x2, 0.0, z2-0.25);
+  glTexCoord2f(0.25, 0.5);
+  glVertex3f(x2, 1.0, z2-0.25);
+  glTexCoord2f(0.0, 0.5);
+  glVertex3f(x2, 1.0, z2+0.25);
+
+  glNormal3f(-1.0, 0.0, 0.0);
+  glTexCoord2f(0.0, 0.0);
+  glVertex3f(x1, 0.0, z1-0.25);
+  glTexCoord2f(0.25, 0.0);
+  glVertex3f(x1, 0.0, z1+0.25);
+  glTexCoord2f(0.25, 0.5);
+  glVertex3f(x1, 1.0, z1+0.25);
+  glTexCoord2f(0.0, 0.5);
+  glVertex3f(x1, 1.0, z1-0.25);
+
+  glEnd();
+}
+
+int pastfirst = 0;
+
+void draw_board(void) {
+
+  int i, j;
+  double h = 0.5;
+  double stf = 0.0625;
+
+  glBindTexture(GL_TEXTURE_2D, checktexture);
+
+  glBegin(GL_QUADS);
+
+  for(i = 0; i < BOARDSIZE; ++i)
+    for(j = 0; j < BOARDSIZE; ++j) {
+      if(board[currentboard][j][i]) {
+
+/* 	/\* draw top *\/ */
+/* 	glNormal3f(0.0, 1.0, 0.0); */
+/* 	glTexCoord2f(0.0 + stf, 0.0 + stf); */
+/* 	glVertex3f(i-0.5, h, j+0.5); */
+/* 	glTexCoord2f(1.0 + stf, 0.0 + stf); */
+/* 	glVertex3f(i+0.5, h, j+0.5); */
+/* 	glTexCoord2f(1.0 + stf, 1.0 + stf); */
+/* 	glVertex3f(i+0.5, h, j-0.5); */
+/* 	glTexCoord2f(0.0 + stf, 1.0 + stf); */
+/* 	glVertex3f(i-0.5, h, j-0.5); */
+
+	/* draw top */
+	glNormal3f(0.0, 1.0, 0.0);
+	glTexCoord2f(0.0 + stf, 0.0 + stf);
+	glVertex3f(i-0.5, h, j+0.5);
+	glTexCoord2f(1.0 + stf, 0.0 + stf);
+	glVertex3f(i+0.5, h, j+0.5);
+	glTexCoord2f(1.0 + stf, 1.0 + stf);
+	glVertex3f(i+0.5, h, j-0.5);
+	glTexCoord2f(0.0 + stf, 1.0 + stf);
+	glVertex3f(i-0.5, h, j-0.5);
+
+	/* draw south face */
+	if(j == 9 || !board[currentboard][j+1][i]) {
+	  glNormal3f(0.0, 0.0, 1.0);
+	  glTexCoord2f(0.0 + stf, 0.0 + stf);
+	  glVertex3f(i-0.5, 0.0, j+0.5);
+	  glTexCoord2f(1.0 + stf, 0.0 + stf);
+	  glVertex3f(i+0.5, 0.0, j+0.5);
+	  glTexCoord2f(1.0 + stf, h + stf);
+	  glVertex3f(i+0.5, h, j+0.5);
+	  glTexCoord2f(0.0 + stf, h + stf);
+	  glVertex3f(i-0.5, h, j+0.5);
+	}
+
+	/* draw north face */
+	if(j == 0 || !board[currentboard][j-1][i]) {
+	  glNormal3f(0.0, 0.0, -1.0);
+	  glTexCoord2f(0.0 + stf, 0.0 + stf);
+	  glVertex3f(i+0.5, 0.0, j-0.5);
+	  glTexCoord2f(1.0 + stf, 0.0 + stf);
+	  glVertex3f(i-0.5, 0.0, j-0.5);
+	  glTexCoord2f(1.0 + stf, h + stf);
+	  glVertex3f(i-0.5, h, j-0.5);
+	  glTexCoord2f(0.0 + stf, h + stf);
+	  glVertex3f(i+0.5, h, j-0.5);
+	}
+
+	/* draw east face */
+	if(i == 9 || !board[currentboard][j][i+1]) {
+	  glNormal3f(1.0, 0.0, 0.0);
+	  glTexCoord2f(0.0 + stf, 0.0 + stf);
+	  glVertex3f(i+0.5, 0.0, j+0.5);
+	  glTexCoord2f(1.0 + stf, 0.0 + stf);
+	  glVertex3f(i+0.5, 0.0, j-0.5);
+	  glTexCoord2f(1.0 + stf, h + stf);
+	  glVertex3f(i+0.5, h, j-0.5);
+	  glTexCoord2f(0.0 + stf, h + stf);
+	  glVertex3f(i+0.5, h, j+0.5);
+	}
+
+	/* draw west face */
+	if(i == 0 || !board[currentboard][j][i-1]) {
+	  glNormal3f(-1.0, 0.0, 0.0);
+	  glTexCoord2f(0.0 + stf, 0.0 + stf);
+	  glVertex3f(i-0.5, 0.0, j-0.5);
+	  glTexCoord2f(1.0 + stf, 0.0 + stf);
+	  glVertex3f(i-0.5, 0.0, j+0.5);
+	  glTexCoord2f(1.0 + stf, h + stf);
+	  glVertex3f(i-0.5, h, j+0.5);
+	  glTexCoord2f(0.0 + stf, h + stf);
+	  glVertex3f(i-0.5, h, j-0.5);
+	}
+      }
+      else {
+	double tx = 2.0;
+	glNormal3f(0.0, 1.0, 0.0);
+	glTexCoord2f(0.0, 0.0);
+	glVertex3f(i-0.5, 0.0, j+0.5);
+	glTexCoord2f(tx, 0.0);
+	glVertex3f(i+0.5, 0.0, j+0.5);
+	glTexCoord2f(tx, tx);
+	glVertex3f(i+0.5, 0.0, j-0.5);
+	glTexCoord2f(0.0, tx);
+	glVertex3f(i-0.5, 0.0, j-0.5);
+      }
+    }
+  glEnd();
+
+/*   /\* draw elevator *\/ */
+/*   glBindTexture(GL_TEXTURE_2D, brushedtexture); */
+
+/*   glBegin(GL_QUADS); */
+
+/*   glNormal3f(0.0, 1.0, 0.0); */
+
+/*   if(pastfirst) { */
+/*       /\* source *\/ */
+/*       glTexCoord2f(0.0, 0.0); */
+/*       glVertex3f(0.5, 0.0, BOARDSIZE - 0.5 + 0.2); */
+/*       glTexCoord2f(1.0, 0.0); */
+/*       glVertex3f(1.5, 0.0, BOARDSIZE - 0.5 + 0.2); */
+/*       glTexCoord2f(1.0, 1.5); */
+/*       glVertex3f(1.5, 0.0, BOARDSIZE + 1.0 + 0.2); */
+/*       glTexCoord2f(0.0, 1.5); */
+/*       glVertex3f(0.5, 0.0, BOARDSIZE + 1.0 + 0.2); */
+/*   } */
+
+/*   /\* destination *\/ */
+/*   glTexCoord2f(0.0, 0.0); */
+/*   glVertex3f(BOARDSIZE - 2.5, elevator, -2.0 - 0.2); */
+/*   glTexCoord2f(1.0, 0.0); */
+/*   glVertex3f(BOARDSIZE - 1.5, elevator, -2.0 - 0.2); */
+/*   glTexCoord2f(1.0, 1.5); */
+/*   glVertex3f(BOARDSIZE - 1.5, elevator, -0.5 - 0.2); */
+/*   glTexCoord2f(0.0, 1.5); */
+/*   glVertex3f(BOARDSIZE - 2.5, elevator, -0.5 - 0.2); */
+
+/*   glEnd(); */
+
+/*   for(i = 0; i < BOARDSIZE; ++i) */
+/*     for(j = 0; j < BOARDSIZE; ++j) { */
+/*       if(board[j][i]) { */
+
+/* 	/\* draw brushed boxtop *\/ */
+/* 	glNormal3f(0.0, 1.0, 0.0); */
+/* 	glTexCoord2f(0.0 + stf, 0.0 + stf); */
+/* 	glVertex3f(i-0.5 + stf, h+0.001, j+0.5 - stf); */
+/* 	glTexCoord2f(1.0 + stf, 0.0 + stf); */
+/* 	glVertex3f(i+0.5 - stf, h+0.001, j+0.5 - stf); */
+/* 	glTexCoord2f(1.0 + stf, 1.0 + stf); */
+/* 	glVertex3f(i+0.5 - stf, h+0.001, j-0.5 + stf); */
+/* 	glTexCoord2f(0.0 + stf, 1.0 + stf); */
+/* 	glVertex3f(i-0.5 + stf, h+0.001, j-0.5 + stf); */
+/*       } */
+/*     } */
+  
+/*   glEnd(); */
+}
+
+void build_board(int b) {
+  int i, j;
+
+  for(i = 0; i < BOARDSIZE; ++i)
+    for(j = 0; j < BOARDSIZE; ++j)
+      board[b][i][j] = 1;
+  
+/*   for(i = 0; i < BOARDSIZE; ++i) { */
+/*     board[0][i] = 1; */
+/*     board[i][0] = 1; */
+/*     board[BOARDSIZE-1][BOARDSIZE-i] = 1; */
+/*     board[BOARDSIZE-i][BOARDSIZE-1] = 1; */
+/*   } */
+
+/*   board[0][BOARDSIZE-2] = 0; */
+/*   board[BOARDSIZE-1][1] = 0; */
+
+
+  board[b][BOARDSIZE-1][1] = 0;
+  board[b][0][BOARDSIZE-2] = 0;
+
+  /* build the ant paths */
+  if(currentboard == b) {
+    for(i = 0; i < ANTCOUNT; ++i) {
+      int sx = BOARDSIZE-2;
+      int sy = 1;
+      
+      for(j = 0; ; ++j) {
+	board[b][sx][sy] = 0;
+	antpath[i][j][0] = sy - 5.0;
+	antpath[i][j][1] = sx - 5.0;
+	
+	if(random()%2) {
+	  if(sx > 1)
+	    sx -= 1;
+	  else if(sy < BOARDSIZE-2)
+	    sy += 1;
+	  else
+	    break;
+	}
+	else {
+	  if(sy < BOARDSIZE-2)
+	    sy += 1;
+	  else if(sx > 1)
+	    sx -= 1;
+	  else
+	    break;
+	}
+      }
+      
+      ++j;
+      antpath[i][j][0] = BOARDSIZE-7.0;
+      antpath[i][j][1] = -7.0;
+      antpathlength[i] = j;
+    }
+  }
+
+/*   for(i = 0; i < 20; ++i) { */
+/*     int x = 1 + random()%(BOARDSIZE-2); */
+/*     int y = 1 + random()%(BOARDSIZE-2); */
+/*     board[x][y] = 1; */
+/*   } */
+}
+
+/* compute nearness */
+int near(double a[2], double b[2]) {
+  return fabs(a[0] - b[0]) < 0.5 && fabs(a[1] - b[1]) < 0.5;
+}
+
+double sign(double d) {
+  return d < 0.0 ? -1.0 : 1.0;
+}
+
+double min(double a, double b) {
+  return a < b ? a : b;
+}
+
+/* draw method for ant */
+Bool draw_ant(float *Material, int mono, int shadow,
+	      float ant_step, Bool (*sphere)(float), Bool (*cone)(float)) {
+  
+  float cos1 = cos(ant_step);
+  float cos2 = cos(ant_step + 2 * Pi / 3);
+  float cos3 = cos(ant_step + 4 * Pi / 3);
+  float sin1 = sin(ant_step);
+  float sin2 = sin(ant_step + 2 * Pi / 3);
+  float sin3 = sin(ant_step + 4 * Pi / 3);
+  
+  glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, mono ? MaterialGray5 : Material);
+
+/*   glEnable(GL_CULL_FACE); */
+
+  glPushMatrix();
+  glScalef(1, 1.3, 1);
+  if(!((*sphere)(0.18)))
+    return False;
+  glScalef(1, 1 / 1.3, 1);
+  glTranslatef(0.00, 0.30, 0.00);
+  if(!((*sphere)(0.2)))
+    return False;
+  
+  glTranslatef(-0.05, 0.17, 0.05);
+  glRotatef(-90, 1, 0, 0);
+  glRotatef(-25, 0, 1, 0);
+  if(!((*cone)(0.05)))
+    return False;
+  glTranslatef(0.00, 0.10, 0.00);
+  if(!((*cone)(0.05)))
+    return False;
+  glRotatef(25, 0, 1, 0);
+  glRotatef(90, 1, 0, 0);
+  
+  glScalef(1, 1.3, 1);
+  glTranslatef(0.15, -0.65, 0.05);
+  if(!((*sphere)(0.25)))
+    return False;
+  glScalef(1, 1 / 1.3, 1);
+  glPopMatrix();
+
+/*   glDisable(GL_CULL_FACE); */
+  
+  glDisable(GL_LIGHTING);
+
+  /* ANTENNAS */
+  glBegin(GL_LINES);
+  glColor3fv(mono ? MaterialGray5 : Material);
+  glVertex3f(0.00, 0.30, 0.00);
+  glColor3fv(MaterialGray);
+  glVertex3f(0.40, 0.70, 0.40);
+  glColor3fv(mono ? MaterialGray5 : Material);
+  glVertex3f(0.00, 0.30, 0.00);
+  glColor3fv(MaterialGray);
+  glVertex3f(0.40, 0.70, -0.40);
+  glEnd();
+
+  if(!shadow) {
+    glBegin(GL_POINTS);
+    glColor3fv(mono ? MaterialGray6 : MaterialRed);
+    glVertex3f(0.40, 0.70, 0.40);
+    glVertex3f(0.40, 0.70, -0.40);
+    glEnd();
+  }
+
+  /* LEFT-FRONT ARM */
+  glBegin(GL_LINE_STRIP);
+  glColor3fv(mono ? MaterialGray5 : Material);
+  glVertex3f(0.00, 0.05, 0.18);
+  glVertex3f(0.35 + 0.05 * cos1, 0.15, 0.25);
+  glColor3fv(MaterialGray);
+  glVertex3f(-0.20 + 0.05 * cos1, 0.25 + 0.1 * sin1, 0.45);
+  glEnd();
+
+  /* LEFT-CENTER ARM */
+  glBegin(GL_LINE_STRIP);
+  glColor3fv(mono ? MaterialGray5 : Material);
+  glVertex3f(0.00, 0.00, 0.18);
+  glVertex3f(0.35 + 0.05 * cos2, 0.00, 0.25);
+  glColor3fv(MaterialGray);
+  glVertex3f(-0.20 + 0.05 * cos2, 0.00 + 0.1 * sin2, 0.45);
+  glEnd();
+
+  /* LEFT-BACK ARM */
+  glBegin(GL_LINE_STRIP);
+  glColor3fv(mono ? MaterialGray5 : Material);
+  glVertex3f(0.00, -0.05, 0.18);
+  glVertex3f(0.35 + 0.05 * cos3, -0.15, 0.25);
+  glColor3fv(MaterialGray);
+  glVertex3f(-0.20 + 0.05 * cos3, -0.25 + 0.1 * sin3, 0.45);
+  glEnd();
+
+  /* RIGHT-FRONT ARM */
+  glBegin(GL_LINE_STRIP);
+  glColor3fv(mono ? MaterialGray5 : Material);
+  glVertex3f(0.00, 0.05, -0.18);
+  glVertex3f(0.35 - 0.05 * sin1, 0.15, -0.25);
+  glColor3fv(MaterialGray);
+  glVertex3f(-0.20 - 0.05 * sin1, 0.25 + 0.1 * cos1, -0.45);
+  glEnd();
+
+  /* RIGHT-CENTER ARM */
+  glBegin(GL_LINE_STRIP);
+  glColor3fv(mono ? MaterialGray5 : Material);
+  glVertex3f(0.00, 0.00, -0.18);
+  glVertex3f(0.35 - 0.05 * sin2, 0.00, -0.25);
+  glColor3fv(MaterialGray);
+  glVertex3f(-0.20 - 0.05 * sin2, 0.00 + 0.1 * cos2, -0.45);
+  glEnd();
+
+  /* RIGHT-BACK ARM */
+  glBegin(GL_LINE_STRIP);
+  glColor3fv(mono ? MaterialGray5 : Material);
+  glVertex3f(0.00, -0.05, -0.18);
+  glVertex3f(0.35 - 0.05 * sin3, -0.15, -0.25);
+  glColor3fv(MaterialGray);
+  glVertex3f(-0.20 - 0.05 * sin3, -0.25 + 0.1 * cos3, -0.45);
+  glEnd();
+
+  if(!shadow) {
+    glBegin(GL_POINTS);
+    glColor3fv(mono ? MaterialGray8 : MaterialGray35);
+    glVertex3f(-0.20 + 0.05 * cos1, 0.25 + 0.1 * sin1, 0.45);
+    glVertex3f(-0.20 + 0.05 * cos2, 0.00 + 0.1 * sin2, 0.45);
+    glVertex3f(-0.20 + 0.05 * cos3, -0.25 + 0.1 * sin3, 0.45);
+    glVertex3f(-0.20 - 0.05 * sin1, 0.25 + 0.1 * cos1, -0.45);
+    glVertex3f(-0.20 - 0.05 * sin2, 0.00 + 0.1 * cos2, -0.45);
+    glVertex3f(-0.20 - 0.05 * sin3, -0.25 + 0.1 * cos3, -0.45);
+    glEnd();
+  }
+
+  glEnable(GL_LIGHTING);
+
+  return True;
+}
+
+double ant_step = 0.0;
+double first_ant_step = 0.0;
+int started = 0;
+int introduced = 300;
+int fir = 0;
+int makenew = 1;
+int entroducing = 12;
+
+static Bool draw_moebius_strip(ModeInfo * mi) {
+  moebiusstruct *mp = &moebius[MI_SCREEN(mi)];
+  int i;
+  int mono = MI_IS_MONO(mi);
+
+/*   glMatrixMode(GL_MODELVIEW); */
+/*   glLoadIdentity(); */
+/*   glPushMatrix(); */
+
+  glEnable(GL_LIGHTING);
+/*   glDisable(GL_BLEND); */
+  glEnable(GL_LIGHT0);
+  glEnable(GL_LIGHT1);
+
+  /* set light */
+/*   double l1 = 1.0 - (elevator < 1.0 ? elevator : 2.0 - elevator); */
+/*   GLfloat df[4] = {0.8*l1, 0.8*l1, 0.8*l1, 1.0}; */
+/*   glLightfv(GL_LIGHT0, GL_DIFFUSE, df); */
+/*   glLightfv(GL_LIGHT1, GL_DIFFUSE, df); */
+
+  /* draw board */
+  if(elevator < 1.0) {
+    glEnable(GL_TEXTURE_2D);
+    glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, MaterialGray6);
+    glTranslatef(-(BOARDSIZE-1)/2.0, 0.0, -(BOARDSIZE-1)/2.0);
+    draw_board();
+    glTranslatef(BOARDSIZE/2.0, 0.0, BOARDSIZE/2.0);
+    glDisable(GL_TEXTURE_2D);
+  }
+
+  introduced--;
+
+  glTranslatef(0.0, -0.1, 0.0);
+
+  for(i = 0; i < ANTCOUNT; ++i) {
+
+/*     glLightfv(GL_LIGHT0, GL_DIFFUSE, df); */
+/*     glLightfv(GL_LIGHT1, GL_DIFFUSE, df); */
+
+    if(!anton[i]) { continue; }
+
+    /* determine location, move to goal */
+    glPushMatrix();
+    glTranslatef(0.0, 0.01, 0.0);
+    glTranslatef(antposition[i][0], antposition[i][2], antposition[i][1]);
+/*     glScalef(1.0, 0.01, 1.0); */
+    glScalef(0.6, 0.01, 0.6);
+    glRotatef(180.0 + antdirection[i]*180.0/PI, 0.0, 1.0, 0.0);
+    glRotatef(90.0, 0.0, 0.0, 1.0);
+    glDisable(GL_LIGHTING);
+    glEnable(GL_BLEND);
+    glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
+    glColor4fv(MaterialGrayB);
+
+    glScalef(antsize[i], antsize[i], antsize[i]);
+
+    /* slow down first ant */
+    if(i == 0 && part[i] == antpathlength[i])
+      draw_ant(MaterialGrayB, mono, 1, first_ant_step, mySphere, myCone);
+    else
+      draw_ant(MaterialGrayB, mono, 1, ant_step, mySphere, myCone);
+
+    glPopMatrix();
+
+    glDisable(GL_BLEND);
+    glEnable(GL_LIGHTING);
+    
+    glPushMatrix();
+/*     glTranslatef(0.0, 0.18, 0.0); */
+    glTranslatef(0.0, 0.12, 0.0);
+    glTranslatef(antposition[i][0], antposition[i][2], antposition[i][1]);
+    glRotatef(180.0 + antdirection[i]*180.0/PI, 0.0, 1.0, 0.0);
+    glRotatef(90.0, 0.0, 0.0, 1.0);
+    glScalef(0.6, 0.6, 0.6);
+
+    glScalef(antsize[i], antsize[i], antsize[i]);
+
+/*     glEnable(GL_TEXTURE_2D); */
+/*     glBindTexture(GL_TEXTURE_2D, brushedtexture); */
+
+/*     glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, MaterialRed); */
+
+    /* slow down first ant */    
+    if(i == 0 && part[i] == antpathlength[i] && elevator > 0.0) {
+      glLightfv(GL_LIGHT0, GL_DIFFUSE, diffuse);
+      glLightfv(GL_LIGHT1, GL_DIFFUSE, diffuse);
+      draw_ant(antmaterial[i], mono, 1, first_ant_step, mySphere, myCone);
+    }
+    else {
+/*       glLightfv(GL_LIGHT0, GL_DIFFUSE, df); */
+/*       glLightfv(GL_LIGHT1, GL_DIFFUSE, df); */
+
+      glEnable(GL_TEXTURE_2D);
+      glBindTexture(GL_TEXTURE_2D, brushedtexture);
+      draw_ant(antmaterial[i], mono, 1, ant_step, mySphereTex, myCone);
+      glDisable(GL_TEXTURE_2D);
+    }
+
+
+/*     draw_ant(antmaterial[i], mono, 0, ant_step, mySphereTex, myCone); */
+/*     glDisable(GL_TEXTURE_2D); */
+    glPopMatrix();
+  }
+
+/*   glPopMatrix(); */
+
+/*   /\* now draw overlay *\/ */
+/*   glDisable(GL_LIGHTING); */
+/*   glDisable(GL_BLEND); */
+
+/*   /\* go to ortho mode *\/ */
+/*   glMatrixMode(GL_PROJECTION); */
+/*   glPushMatrix(); */
+/*   glLoadIdentity(); */
+/*   glOrtho(-4.0, 4.0, -3.0, 3.0, -100.0, 100.0); */
+  
+/*   /\* translate to corner *\/ */
+/*   glTranslatef(4.0-1.2, 3.0-1.2, 0.0); */
+
+/*   glDisable(GL_LIGHTING); */
+/*   glEnable(GL_BLEND); */
+
+/*   /\* draw the 2d board *\/ */
+/*   glBegin(GL_QUADS); */
+/*   { */
+/*     int i, j; */
+/*     double sz = 1.0; */
+/*     for(i = 0; i < BOARDSIZE; ++i) */
+/*       for(j = 0; j < BOARDSIZE; ++j) { */
+/* 	int par = board[i][j]; */
+/* 	glColor4f(par ? 0.4 : 0.6, */
+/* 		  par ? 0.4 : 0.6, */
+/* 		  par ? 0.4 : 0.6, */
+/* 		  0.5); */
+/* 	glNormal3f(0.0, 0.0, 1.0); */
+/* 	glVertex3f((sz*(i+1))/BOARDSIZE,     (sz*(j+1))/BOARDSIZE, 0.0); */
+/* 	glVertex3f((sz*i)/BOARDSIZE, (sz*(j+1))/BOARDSIZE, 0.0); */
+/* 	glVertex3f((sz*i)/BOARDSIZE, (sz*j)/BOARDSIZE, 0.0); */
+/* 	glVertex3f((sz*(i+1))/BOARDSIZE, (sz*j)/BOARDSIZE, 0.0); */
+/*       } */
+/*   } */
+/*   glEnd(); */
+  
+/*   glPopMatrix(); */
+
+
+  /* but the step size is the same! */
+  ant_step += 0.18;
+/*   if(ant_step > 2*Pi) { */
+/*     ant_step = 0.0; */
+/*   } */
+
+  if(ant_step > 5*Pi)
+    started = 1;
+
+  mp->ant_position += 1;
+  return True;
+}
+#undef MoebiusDivisions
+#undef MoebiusTransversals
+
+void reshape_moebius(ModeInfo * mi, int width, int height) {
+  double h = (GLfloat) height / (GLfloat) width;  
+  int size = (width / 512) + 1;
+  moebiusstruct *mp = &moebius[MI_SCREEN(mi)];
+
+  glViewport(0, 0, mp->WindW = (GLint) width, mp->WindH = (GLint) height);
+  glMatrixMode(GL_PROJECTION);
+  glLoadIdentity();
+
+  gluPerspective(45, 1/h, 0.001, 25.0);
+
+  glMatrixMode(GL_MODELVIEW);
+/*   glLineWidth(3.0); */
+   glLineWidth(size);
+  glPointSize(size);
+}
+
+double fadeout = 1.0;
+double fadeoutspeed = 0.0;
+
+void update_ants(void) {
+  int i;
+  GLfloat df[4];
+  df[0] = df[1] = df[2] = 0.8*fadeout;
+  df[3] = 1.0;
+
+  /* fade out */
+  if(fadeoutspeed < -0.00001) {
+
+    if(fadeout <= 0.0) {
+      /* switch boards: rebuild old board, increment current */
+      currentboard = (currentboard+1)%BOARDCOUNT;
+      build_board(currentboard);
+      fadeoutspeed = 0.02;
+    }
+    
+    fadeout += fadeoutspeed;
+
+    glLightfv(GL_LIGHT0, GL_DIFFUSE, df);
+    glLightfv(GL_LIGHT1, GL_DIFFUSE, df);
+  }
+
+  /* fade in */
+  if(fadeoutspeed > 0.0001) {
+    fadeout += fadeoutspeed;
+    if(fadeout >= 1.0) {
+      fadeout = 1.0;
+      fadeoutspeed = 0.0;
+      entroducing = 12;
+    }
+    glLightfv(GL_LIGHT0, GL_DIFFUSE, df);
+    glLightfv(GL_LIGHT1, GL_DIFFUSE, df);    
+  }
+
+  for(i = 0; i < ANTCOUNT; ++i) {
+
+    if(!anton[i] && elevator < 1.0) {
+
+      /* turn on ant */
+      if(entroducing > 0 && introduced <= 0 && random()%100 == 0) {
+	anton[i] = 1;
+	part[i] = 0;
+	antsize[i] = 0.0;
+	antposition[i][0] = -4.0;
+	antposition[i][1] = 5.0;
+	antdirection[i] = PI/2.0;
+	bposition[i][0] = 0;
+	bposition[i][1] = 8;
+	introduced = 300;
+	entroducing--;
+      }
+
+      continue;
+    }
+
+    if(part[i] == 0 && antsize[i] < 1.0) {
+      antsize[i] += 0.02;
+      continue;
+    }
+
+    if(part[i] > antpathlength[i] && antsize[i] > 0.0) {
+      antsize[i] -= 0.02;
+      if(antvelocity[i] > 0.0) {
+	antvelocity[i] -= 0.02;
+      }
+      else { antvelocity[i] = 0.0; }
+
+      continue;
+    }
+
+    if(part[i] > antpathlength[i] && antsize[i] <= 0.0) {
+      antvelocity[i] = 0.02;
+      
+      /* 	if(i != 0) { */
+      antmaterial[i] = materials[random()%MATERIALS];
+      /* 	} */
+      
+      antdirection[i] = PI/2.0;
+      bposition[i][0] = 0;
+      bposition[i][1] = 8;
+      part[i] = 0;
+      
+      antsize[i] = 0.0;
+      
+      anton[i] = 0;
+      
+      antposition[i][0] = -4.0;
+      antposition[i][1] = 5.0;
+      
+      /* 	/\* reset camera *\/ */
+      /* 	if(i == focus) { */
+      /* 	  started = 0; */
+      /* 	  ant_step = 0.0; */
+      /* 	} */
+      
+      /* check for the end */
+      if(entroducing <= 0) {
+	int ao = 0, z = 0;
+	for(z = 0; z < ANTCOUNT; ++z) {
+	  if(anton[z]) { ao = 1; break; }
+	}
+
+	if(ao == 0) {
+	  fadeoutspeed = -0.02;
+	}
+      }
+
+    }
+    
+    /* near goal, bend path towards next step */
+    if(near(antposition[i], antpath[i][part[i]])) {
+      
+      ++part[i];
+
+/*       /\* special first ant *\/ */
+/*       if(i == 0 && part[i] > antpathlength[i]) { */
+/* 	if(fir) */
+/* 	  first_ant_step = ant_step; */
+
+/* 	antvelocity[i] = 0.0; */
+/* /\* 	antposition[i][2] += 0.025; *\/ */
+/* 	elevator += 0.025; */
+
+/* 	/\* set light *\/ */
+/* 	double l1 = 1.0 - (elevator < 1.0 ? elevator : 2.0 - elevator); */
+/* 	GLfloat df[4] = {0.8*l1, 0.8*l1, 0.8*l1, 1.0}; */
+/* 	glLightfv(GL_LIGHT0, GL_DIFFUSE, df); */
+/* 	glLightfv(GL_LIGHT1, GL_DIFFUSE, df); */
+
+/* 	/\* draw next board *\/ */
+/* 	if(elevator > 1.0) { */
+
+/* 	  if(makenew == 1) { */
+/* 	    int re; */
+	  
+/* 	    /\* switch boards: rebuild old board, increment current *\/ */
+/* 	    currentboard = (currentboard+1)%BOARDCOUNT; */
+/* 	    build_board(currentboard); */
+
+/* 	    for(re = 1; re < ANTCOUNT; ++re) { */
+/* 	      anton[re] = 0; */
+/* 	      antmaterial[re] = materials[random()%MATERIALS]; */
+/* 	    } */
+
+/* 	    makenew = 0; */
+
+/* 	  } */
+
+/* 	  /\* draw the other board *\/ */
+/* 	  glEnable(GL_TEXTURE_2D); */
+/* 	  glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, MaterialGray6); */
+
+/* 	  glPushMatrix(); */
+/* 	  glTranslatef(-(-(BOARDSIZE-3.5)+(BOARDSIZE-1)/2.0), 0.0,  */
+/* 		       -(2.4+BOARDSIZE+(BOARDSIZE-1)/2.0)); */
+/* 	  draw_board(); */
+/* 	  glPopMatrix(); */
+/* 	  glDisable(GL_TEXTURE_2D); */
+/* 	} */
+/* 	/\* reset *\/ */
+/* 	if(elevator > 2.0) { */
+/* 	  antposition[i][0] = -4.0;/\*-= -(-(BOARDSIZE-3.5)+(BOARDSIZE-1)/2.0);*\//\*= -4.0;*\/ */
+/* 	  antposition[i][1] = 5.5;/\*-(2.4+BOARDSIZE+(BOARDSIZE-1)/2.0);*\/ */
+/* /\* 	  antposition[i][2] = 0.15; *\/ */
+/* 	  antdirection[i] = PI/2.0; */
+/* 	  bposition[i][0] = 0; */
+/* 	  bposition[i][1] = 8; */
+/* 	  part[i] = 0; */
+/* 	  antvelocity[i] = 0.02; */
+/* 	  fir = 0; */
+/* 	  antmaterial[i] = MaterialRed; */
+
+/* 	  makenew = 1; */
+
+/* 	  elevator = 0.0; */
+/* 	  introduced = 200; */
+/* 	} */
+/* 	else { */
+/* 	  part[i]--; */
+/* 	} */
+/*       } */
+    
+    }
+    
+    /* move toward goal, correct ant direction if required */
+    else {
+      
+      /* difference */
+      double dx = antpath[i][part[i]][0] - antposition[i][0];
+      double dz = - antpath[i][part[i]][1] + antposition[i][1];
+      double theta, ideal;
+
+      if(dz > EPSILON)
+	theta = atan(dz/dx);
+      else
+	theta = dx > EPSILON ? 0.0 : PI;
+      
+      ideal = theta - antdirection[i];
+      if(ideal < -Pi/2.0)
+	ideal += Pi;
+
+      /* compute correction */
+      {
+        double dt = sign(ideal) * min(fabs(ideal), PI/90.0);
+        antdirection[i] += dt;
+        if(antdirection[i] > 2.0*PI)
+          antdirection[i] = 0.0;
+      }
+    }
+    
+    antposition[i][0] += antvelocity[i] * cos(antdirection[i]);
+    antposition[i][1] += antvelocity[i] * sin(-antdirection[i]);
+  }
+}
+
+static void pinit(void) {
+  glClearDepth(1.0);
+  glClearColor(0.0, 0.0, 0.0, 1.0);
+  
+  glLightfv(GL_LIGHT0, GL_AMBIENT, ambient);
+  glLightfv(GL_LIGHT0, GL_DIFFUSE, diffuse);
+  glLightfv(GL_LIGHT0, GL_POSITION, position0);
+  glLightfv(GL_LIGHT1, GL_AMBIENT, ambient);
+  glLightfv(GL_LIGHT1, GL_DIFFUSE, diffuse);
+  glLightfv(GL_LIGHT1, GL_POSITION, position1);
+
+  glLightf(GL_LIGHT0, GL_LINEAR_ATTENUATION, 0.05);
+  glLightf(GL_LIGHT0, GL_QUADRATIC_ATTENUATION, 0.001);
+  glLightf(GL_LIGHT0, GL_CONSTANT_ATTENUATION, 0.1);
+
+  glLightf(GL_LIGHT1, GL_LINEAR_ATTENUATION, 0.05);
+  glLightf(GL_LIGHT1, GL_QUADRATIC_ATTENUATION, 0.001);
+  glLightf(GL_LIGHT1, GL_CONSTANT_ATTENUATION, 0.1);
+
+
+/*   glLightModelfv(GL_LIGHT_MODEL_AMBIENT, lmodel_ambient); */
+/*   glLightModelfv(GL_LIGHT_MODEL_TWO_SIDE, lmodel_twoside); */
+  glEnable(GL_LIGHTING);
+  glEnable(GL_LIGHT0);
+  glEnable(GL_LIGHT1);
+  glEnable(GL_NORMALIZE);
+  glFrontFace(GL_CCW);
+  glCullFace(GL_BACK);
+  
+  /* moebius */
+  glMaterialfv(GL_FRONT_AND_BACK, GL_SHININESS, front_shininess);
+  glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, front_specular);
+
+  glShadeModel(GL_SMOOTH);
+  glEnable(GL_DEPTH_TEST);
+  glDisable(GL_TEXTURE_2D);
+
+  /* setup textures */
+  makeCheckImage();
+  makeBrushedImage();
+
+  build_board(0);
+  build_board(1);
+
+/*   makeCheckImage(); */
+/*   glPixelStorei(GL_UNPACK_ALIGNMENT, 1); */
+/*   glTexImage2D(GL_TEXTURE_2D, 0, 3, checkImageWidth,  */
+/* 	       checkImageHeight, 0, GL_RGB, GL_UNSIGNED_BYTE, checkers); */
+/*   glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT); */
+/*   glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT); */
+
+/*   glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_NEAREST); */
+/*   glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST); */
+/*   glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE); */
+  glEnable(GL_TEXTURE_2D);
+    
+/*   glMaterialfv(GL_FRONT_AND_BACK, GL_SHININESS, front_shininess); */
+/*   glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, front_specular); */
+}
+
+void release_moebius(ModeInfo * mi) {
+  if(moebius) {
+	free((void *) moebius);
+	moebius = (moebiusstruct *) NULL;
+  }
+  FreeAllGL(mi);
+}
+
+int mag = 4.0;
+#define MAX_MAGNIFICATION 10
+#define max(a, b) a < b ? b : a
+#define min(a, b) a < b ? a : b
+
+Bool moebius_handle_event (ModeInfo *mi, XEvent *event) {
+  moebiusstruct *mp = &moebius[MI_SCREEN(mi)];
+
+  switch(event->xany.type) {
+  case ButtonPress:
+
+    switch(event->xbutton.button) {
+
+    case Button1:
+      mp->button_down_p = True;
+      gltrackball_start(mp->trackball, 
+			event->xbutton.x, event->xbutton.y,
+			MI_WIDTH (mi), MI_HEIGHT (mi));
+      break;
+
+    case Button3:
+      focus = (focus + 1) % ANTCOUNT;
+      break;
+      
+    case Button4:
+      mag = max(mag-1, 1);
+      break;
+
+    case Button5:
+      mag = min(mag+1, MAX_MAGNIFICATION);
+      break;
+    }
+
+    break;
+    
+  case ButtonRelease:
+
+    switch(event->xbutton.button) {
+    case Button1:
+      mp->button_down_p = False;
+      break;
+    }
+
+    break;
+
+  case MotionNotify:
+    if(mp->button_down_p)
+      gltrackball_track(mp->trackball,
+			event->xmotion.x, event->xmotion.y,
+			MI_WIDTH (mi), MI_HEIGHT (mi));
+    break;
+    
+  default:
+    return False;
+  }
+
+  return True;
+}
+
+void init_moebius(ModeInfo * mi) {
+  double rot_speed = 0.3;
+
+  moebiusstruct *mp;
+  
+  if (moebius == NULL) {
+	if ((moebius = (moebiusstruct *) calloc(MI_NUM_SCREENS(mi),
+						sizeof (moebiusstruct))) == NULL)
+	  return;
+  }
+  mp = &moebius[MI_SCREEN(mi)];
+  mp->step = NRAND(90);
+  mp->ant_position = NRAND(90);
+
+  mp->rot = make_rotator (rot_speed, rot_speed, rot_speed, 1, 0, True);
+  mp->trackball = gltrackball_init ();
+  
+  if ((mp->glx_context = init_GL(mi)) != NULL) {
+    reshape_moebius(mi, MI_WIDTH(mi), MI_HEIGHT(mi));
+    glDrawBuffer(GL_BACK);
+    pinit();
+  } 
+  else
+    MI_CLEARWINDOW(mi);
+}
+
+void draw_moebius(ModeInfo * mi) {
+  double h = (GLfloat) MI_HEIGHT(mi) / (GLfloat) MI_WIDTH(mi);
+
+  moebiusstruct *mp;
+  
+  Display    *display = MI_DISPLAY(mi);
+  Window      window = MI_WINDOW(mi);
+  
+  if(!moebius)
+	return;
+  mp = &moebius[MI_SCREEN(mi)];
+  
+  MI_IS_DRAWN(mi) = True;
+  
+  if(!mp->glx_context)
+	return;
+  
+  glXMakeCurrent(display, window, *(mp->glx_context));
+
+  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+
+  /* first panel */
+  glPushMatrix();
+/*   h = ((GLfloat) MI_HEIGHT(mi)/2) / (3*(GLfloat)MI_WIDTH(mi)/4); */
+  glViewport(MI_WIDTH(mi)/32, MI_HEIGHT(mi)/8, (9*MI_WIDTH(mi))/16, 3*MI_HEIGHT(mi)/4);
+  glMatrixMode(GL_PROJECTION);
+  glLoadIdentity();
+
+/*   h = (3*MI_HEIGHT(mi)/4) / (3*MI_WIDTH(mi)/4); */
+  gluPerspective(45, 1/h, 0.001, 25.0);
+
+  glMatrixMode(GL_MODELVIEW);
+  glLoadIdentity();
+
+  glPushMatrix();
+
+  /* follow focused ant */
+  glTranslatef(0.0, 0.0, -mag - 5.0);
+  glRotatef(20.0+5.0*sin(ant_step/40.0), 1.0, 0.0, 0.0);
+/*   glTranslatef(0.0,  */
+/* 	       started ? -mag : -8.0 + 4.0*fabs(sin(ant_step/10.0)),  */
+/* 	       started ? -mag : -8.0 + 4.0*fabs(sin(ant_step/10.0))); */
+
+  gltrackball_rotate(mp->trackball);
+
+  glRotatef(ant_step*0.6, 0.0, 1.0, 0.0);
+
+/*   glRotatef(90.0, 0.0, 0.0, 1.0); */
+
+/*   glTranslatef(-antposition[0][0]-0.5, 0.0, -antposition[focus][1]); */
+  /*-elevator*/
+
+  /* sync */
+  if(!draw_moebius_strip(mi)) {
+    release_moebius(mi);
+    return;
+  }
+
+  glPopMatrix();
+  glPopMatrix();
+
+  h = (GLfloat) (3*MI_HEIGHT(mi)/8) / (GLfloat) (MI_WIDTH(mi)/2);
+
+  /* draw overhead */
+  glPushMatrix();
+  glViewport((17*MI_WIDTH(mi))/32, MI_HEIGHT(mi)/2, MI_WIDTH(mi)/2, 3*MI_HEIGHT(mi)/8);
+  glMatrixMode(GL_PROJECTION);
+  glLoadIdentity();
+  gluPerspective(45, 1/h, 0.001, 25.0);
+  glMatrixMode(GL_MODELVIEW);
+    
+  /* twist scene */
+  glTranslatef(0.0, 0.0, -16.0);
+  glRotatef(60.0, 1.0, 0.0, 0.0);
+  glRotatef(-15.0 + ant_step/10.0, 0.0, 1.0, 0.0);
+  gltrackball_rotate(mp->trackball);
+
+  /* sync */
+  if(!draw_moebius_strip(mi)) {
+    release_moebius(mi);
+    return;
+  }
+
+  glPopMatrix();
+
+  /* draw ant display */
+  glPushMatrix();
+  glViewport((5*MI_WIDTH(mi))/8, MI_HEIGHT(mi)/8, (11*MI_WIDTH(mi))/32, 3*MI_HEIGHT(mi)/8);
+  glMatrixMode(GL_PROJECTION);
+  glLoadIdentity();
+  gluPerspective(45, 1/h, 0.001, 25.0);
+  glMatrixMode(GL_MODELVIEW);
+    
+  /* twist scene */
+  glTranslatef(0.0, 0.0, -1.6);
+  glRotatef(30.0, 1.0, 0.0, 0.0);
+  glRotatef(ant_step, 0.0, 1.0, 0.0);
+  glRotatef(90.0, 0.0, 0.0, 1.0);
+  
+/*   /\* draw ant shadow *\/ */
+/*   glPushMatrix(); */
+/*   glScalef(1.0, 0.01, 1.0); */
+/*   glRotatef(90.0, 0.0, 0.0, 1.0); */
+/*   glRotatef(90.0, 0.0, 1.0, 0.0); */
+/*   glDisable(GL_LIGHTING); */
+/*   glColor4fv(MaterialGray6); */
+  
+/*   /\* slow down first ant *\/ */
+/*   draw_ant(MaterialGrayB, 0, 1, first_ant_step, mySphere, myCone); */
+/*   glPopMatrix(); */
+
+  /* draw ant body */
+  glEnable(GL_TEXTURE_2D);
+  glLightfv(GL_LIGHT0, GL_DIFFUSE, diffuse);
+  glLightfv(GL_LIGHT1, GL_DIFFUSE, diffuse);
+  glBindTexture(GL_TEXTURE_2D, brushedtexture);
+  draw_ant(MaterialGray35, 0, 1, ant_step/2.0, mySphereTex, myCone2);
+  glDisable(GL_TEXTURE_2D);
+
+  glPopMatrix();
+
+/*   /\* draw overlay *\/ */
+/*   glPushMatrix(); */
+
+/*   /\* go to ortho mode *\/ */
+/*   glViewport(MI_WIDTH(mi)/2, MI_HEIGHT(mi)/8, MI_WIDTH(mi)/2, 3*MI_HEIGHT(mi)/8); */
+
+/*   glMatrixMode(GL_PROJECTION); */
+/*   glLoadIdentity(); */
+
+/*   glPushMatrix (); */
+/*   glOrtho(-4.0, 4.0, -3.0, 3.0, -100.0, 100.0); */
+
+/*   glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, MaterialGrayB); */
+/*   glColor4fv(MaterialGrayB); */
+
+/*   glDisable(GL_LIGHTING); */
+/*   glEnable(GL_BLEND); */
+
+/*   glBegin(GL_QUADS); */
+/*   glNormal3f(0.0, 0.0, 1.0); */
+/*   glVertex3f(4.0, 3.0, 0.0); */
+/*   glVertex3f(2.0, 3.0, 0.0); */
+/*   glVertex3f(2.0, -3.0, 0.0); */
+/*   glVertex3f(4.0, -3.0, 0.0); */
+/*   glEnd(); */
+
+/*   glEnable(GL_LIGHTING); */
+/*   glDisable(GL_BLEND); */
+
+/*   glPopMatrix(); */
+/*   glPopMatrix(); */
+  
+  if (MI_IS_FPS(mi)) do_fps (mi);
+  glFlush();
+  
+  glXSwapBuffers(display, window);
+  
+  update_ants();
+
+  mp->step += 0.025;
+}
+
+void change_moebius(ModeInfo * mi) {
+  moebiusstruct *mp = &moebius[MI_SCREEN(mi)];
+  
+  if (!mp->glx_context)
+	return;
+  
+  glXMakeCurrent(MI_DISPLAY(mi), MI_WINDOW(mi), *(mp->glx_context));
+  pinit();
+}
+
+#endif

=== added file 'hacks/glx/antmaze.man'
--- hacks/glx/antmaze.man	1970-01-01 00:00:00 +0000
+++ hacks/glx/antmaze.man	2006-06-30 16:27:21 +0000
@@ -0,0 +1,54 @@
+.TH XScreenSaver 1 "May 2005"
+.SH NAME
+antmaze \- ant maze walker
+.SH SYNOPSIS
+.B antmaze
+[\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
+[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
+.SH DESCRIPTION
+The \fIantmaze\fP code displays ants finding their way through a maze.
+.SH OPTIONS
+.I antmaze
+accepts the following options:
+.TP 8
+.B \-window
+Draw on a newly-created window.  This is the default.
+.TP 8
+.B \-root
+Draw on the root window.
+.TP 8
+.B \-install
+Install a private colormap for the window.
+.TP 8
+.B \-visual \fIvisual\fP\fP
+Specify which visual to use.  Legal values are the name of a visual class,
+or the id number (decimal or hex) of a specific visual.
+.B \-fps
+Display a running tally of how many frames per second are being rendered.
+In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 
+your GL performance.
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global resources
+stored in the RESOURCE_MANAGER property.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.BR xscreensaver\-demo (1),
+.BR xscreensaver\-getimage (1)
+.SH COPYRIGHT
+Copyright \(co 2005 by Blair Tennessy.  Permission to use, copy, modify,
+distribute, and sell this software and its documentation for any purpose is
+hereby granted without fee, provided that the above copyright notice appear
+in all copies and that both that copyright notice and this permission notice
+appear in supporting documentation.  No representations are made about the
+suitability of this software for any purpose.  It is provided "as is" without
+express or implied warranty.
+.SH AUTHOR
+Blair Tennessy <tennessy@cs.ubc.ca>, 8-May-2005.
+ 

=== modified file 'hacks/glx/atlantis.man'
--- hacks/glx/atlantis.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/atlantis.man	2006-06-30 16:27:21 +0000
@@ -33,8 +33,8 @@
 .B \-whalespeed \fInumber\fP
 Whale Speed.  0 - 1000.  Default: 250.
 .TP 8
-.B \-delay \fInumber\fP
-Shark Speed.  0 - 500.	Default: 100.
+.B \-cycles \fInumber\fP
+Shark Speed.  Default: 100.
 .TP 8
 .B \-size \fInumber\fP
 Shark Proximity.  100 - 10000.	Default: 6000.

=== modified file 'hacks/glx/b_draw.c'
--- hacks/glx/b_draw.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/b_draw.c	2005-12-08 16:00:22 +0000
@@ -62,54 +62,31 @@
 		     glb_config.bg_colour[1],
 		     glb_config.bg_colour[2],
 		     glb_config.bg_colour[3]);
-#if 0
+
 	glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, glb_config.bubble_colour);
-#else
-	{
-		/* 
-		 * E. Lassauge - 98/06/29
-		 * Yeahh, cool ! Now that I know how to have random colors I 
-		 * patch this pretty beautiful mode too !!
-		 */
-		GLfloat     fred, fgreen, fblue;
-		GLfloat     params[4];
-
-		fred = ((float) (NRAND(100)) / 100.0);
-		fgreen = ((float) (NRAND(100)) / 100.0);
-		/* I keep more blue */
-		fblue = ((float) (NRAND(50)) / 100.0) + 0.50;
-
-		params[0] = fred;
-		params[1] = fgreen;
-		params[2] = fblue;
-		/* For the moment don't play with ALPHA channel */
-		params[3] = glb_config.bubble_colour[3];
-		glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, params);
-	}
-#endif
 	glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, mat_specular);
 	glMaterialfv(GL_FRONT_AND_BACK, GL_EMISSION, mat_emission);
 	glMaterialfv(GL_FRONT_AND_BACK, GL_SHININESS, mat_shininess);
 
-#if GLB_USE_BLENDING
-	glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
-#endif
+        if (glb_config.transparent_p)
+          glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
 
 	glEnable(GL_LIGHTING);
 	glEnable(GL_LIGHT0);
 	glEnable(GL_LIGHT1);
 	glEnable(GL_LIGHT2);
-#if GLB_USE_BLENDING
-	glEnable(GL_BLEND);
-#else
-	glEnable(GL_DEPTH_TEST);
-#endif
+
+        if (glb_config.transparent_p)
+          glEnable(GL_BLEND);
+        else
+          glEnable(GL_DEPTH_TEST);
+
 	glEnable(GL_AUTO_NORMAL);
 	glEnable(GL_NORMALIZE);
 
-#if GLB_USE_BLENDING
-	glLightModeli(GL_LIGHT_MODEL_TWO_SIDE, GL_TRUE);
-#endif
+        if (glb_config.transparent_p)
+          glLightModeli(GL_LIGHT_MODEL_TWO_SIDE, GL_TRUE);
+
 	glLightModelfv(GL_LIGHT_MODEL_AMBIENT, ambient);
 	glLightfv(GL_LIGHT0, GL_POSITION, light_position[0]);
 	glLightfv(GL_LIGHT0, GL_DIFFUSE, light_diffuse[0]);

=== modified file 'hacks/glx/b_lockglue.c'
--- hacks/glx/b_lockglue.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/b_lockglue.c	2005-12-08 16:00:22 +0000
@@ -14,6 +14,7 @@
  */
 struct glb_config glb_config =
 {
+        0,			/* transparent_p */
 #if GLB_SLOW_GL
 	2,			/* subdivision_depth */
 #else
@@ -55,6 +56,9 @@
 # define DEFAULTS	"*delay:	10000   \n"	\
 			"*showFPS:      False   \n"
 
+#define DEF_TRANSPARENT "False"
+#define DEF_COLOR "random"
+
 #include "xlockmore.h"
 #else
 #include "xlock.h"
@@ -63,8 +67,24 @@
 
 #ifdef USE_GL
 
-ModeSpecOpt bubble3d_opts =
-{0, NULL, 0, NULL, NULL};
+static Bool transparent_p;
+static char *bubble_color_str;
+
+#undef countof
+#define countof(x) (sizeof((x))/sizeof((*x)))
+
+static XrmOptionDescRec opts[] = {
+  { "-transparent",  ".transparent",   XrmoptionNoArg, "True" },
+  { "+transparent",  ".transparent",   XrmoptionNoArg, "False" },
+  { "-color",    ".bubble3d.bubblecolor", XrmoptionSepArg, 0 },
+};
+
+static argtype vars[] = {
+  {&transparent_p,   "transparent", "Transparent", DEF_TRANSPARENT, t_Bool},
+  {&bubble_color_str,        "bubblecolor", "BubbleColor", DEF_COLOR, t_String},
+};
+
+ModeSpecOpt bubble3d_opts = {countof(opts), opts, countof(vars), vars, NULL};
 
 #ifdef USE_MODULES
 ModStruct   bubbles3d_description =
@@ -92,8 +112,39 @@
 static struct context *contexts = 0;
 
 static void
+parse_color (ModeInfo *mi, const char *name, const char *s, GLfloat *a)
+{
+  XColor c;
+
+  if (! XParseColor (MI_DISPLAY(mi), MI_COLORMAP(mi), s, &c))
+    {
+      fprintf (stderr, "%s: can't parse %s color %s", progname, name, s);
+      exit (1);
+    }
+  a[0] = c.red   / 65536.0;
+  a[1] = c.green / 65536.0;
+  a[2] = c.blue  / 65536.0;
+}
+
+static void
+init_colors(ModeInfo *mi)
+{
+	if (strncasecmp(bubble_color_str, "auto", strlen("auto")) == 0) {
+		glb_config.bubble_colour[0] = ((float) (NRAND(100)) / 100.0);
+		glb_config.bubble_colour[1] = ((float) (NRAND(100)) / 100.0);
+		/* I keep more blue */
+		glb_config.bubble_colour[2] = ((float) (NRAND(50)) / 100.0) + 0.50;
+	} else if (strncasecmp(bubble_color_str, "random", strlen("random")) == 0) {
+	    glb_config.bubble_colour[0] = -1.0;
+	} else {
+		parse_color(mi, "bubble", bubble_color_str, glb_config.bubble_colour);
+	}
+}
+
+static void
 init(struct context *c)
 {
+        glb_config.transparent_p = transparent_p;
 	glb_sphere_init();
 	c->draw_context = glb_draw_init();
 }
@@ -132,6 +183,7 @@
 	}
 	c = &contexts[screen];
 	c->glx_context = init_GL(mi);
+	init_colors(mi);
 	if (c->glx_context != 0) {
 		init(c);
 		reshape_bubble3d(mi, MI_WIDTH(mi), MI_HEIGHT(mi));
@@ -156,7 +208,9 @@
 
 	glXMakeCurrent(display, window, *(c->glx_context));
 
+        glb_config.polygon_count = 0;
 	do_display(c);
+        mi->polygon_count = glb_config.polygon_count;
 
         if (mi->fps_p) do_fps (mi);
 	glFinish();

=== modified file 'hacks/glx/blinkbox.c'
--- hacks/glx/blinkbox.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/blinkbox.c	2005-12-08 16:00:22 +0000
@@ -9,6 +9,9 @@
  * implied warranty.
  */
 
+/* motion blur added March 2005 by John Boero <jlboero@cs.uwm.edu>
+ */
+
 #include <X11/Intrinsic.h>
 
 extern XtAppContext app;
@@ -25,6 +28,7 @@
 #define DEF_WH       "2"
 #define DEF_DISSOLVE "False"
 #define DEF_FADE     "True"
+#define DEF_BLUR     "True"
 
 #define DEFAULTS	"*delay:	30000		 \n" \
 			"*wireframe:	False		 \n" \
@@ -94,6 +98,7 @@
 
 static Bool do_dissolve;
 static Bool do_fade;
+static Bool do_blur;
 static GLfloat des_amt   = 1;
 
 static XrmOptionDescRec opts[] = {
@@ -101,7 +106,9 @@
   { "-dissolve", ".dissolve", XrmoptionNoArg, "True"  },
   { "+dissolve", ".dissolve", XrmoptionNoArg, "False" },
   { "-fade",     ".fade",     XrmoptionNoArg, "True"  },
-  { "+fade",     ".fade",     XrmoptionNoArg, "False" }
+  { "+fade",     ".fade",     XrmoptionNoArg, "False" },
+  { "-blur",     ".blur",     XrmoptionNoArg, "True"  },
+  { "+blur",     ".blur",     XrmoptionNoArg, "False" }
 
 };
 
@@ -109,6 +116,7 @@
   {&bscale.wh,   "boxsize",   "Boxsize",  DEF_WH,       t_Float},
   {&do_dissolve, "dissolve",  "Dissolve", DEF_DISSOLVE, t_Bool},
   {&do_fade,     "fade",      "Fade",     DEF_FADE,     t_Bool},
+  {&do_blur,     "blur",      "Blur",     DEF_BLUR,     t_Bool},
 };
 
 ModeSpecOpt sws_opts = {countof(opts), opts, countof(vars), vars, NULL};
@@ -268,7 +276,7 @@
 void
 init_ball (ModeInfo *mi)
 {
-  #define SPHERE_SLICES 32  /* how densely to render spheres */
+  #define SPHERE_SLICES 12  /* how densely to render spheres */
   #define SPHERE_STACKS 16
   int wire = MI_IS_WIREFRAME(mi);
 
@@ -310,7 +318,7 @@
   glLightfv(GL_LIGHT1, GL_DIFFUSE, LightDiffuse);
   glLightfv(GL_LIGHT1, GL_POSITION,LightPosition);
   glEnable(GL_LIGHT1);
-  if (do_fade){
+  if (do_fade || do_blur) {
     glEnable(GL_BLEND);
     glDisable(GL_DEPTH_TEST);
   }
@@ -348,12 +356,44 @@
 
    glColor3f(1,1,1);
    glPushMatrix();
-   glTranslatef(ball.x += mo.x,
-                ball.y += mo.y,
-                ball.z += mo.z);
-
-   glScalef(2,2,2);
-   glCallList(ballList);
+
+   if (!do_blur || MI_IS_WIREFRAME(mi)) {
+     glTranslatef(ball.x += mo.x,
+                  ball.y += mo.y,
+                  ball.z += mo.z);
+
+     glScalef(2,2,2);
+     glCallList(ballList);
+
+   } else {
+
+#    define blur_detail 24.0
+     float ball_alpha = 1 / blur_detail;
+
+     glBlendFunc(GL_SRC_ALPHA,GL_ONE);
+     glTranslatef(ball.x, ball.y, ball.z);
+   
+     for (i = 0; i < blur_detail; ++i) {
+       glTranslatef(mo.x / blur_detail,
+                    mo.y / blur_detail,
+                    mo.z / blur_detail);
+
+       /* comment the following line for quick but boring linear blur */
+       ball_alpha = sin((M_PI / blur_detail) * i) / blur_detail;
+     
+       glColor4f(1, 1, 1, ball_alpha);
+
+       glScalef(2, 2, 2);
+       glCallList(ballList);
+       glScalef(.5, .5, .5);
+     }
+     i = 0;
+   
+     ball.x += mo.x;
+     ball.y += mo.y;
+     ball.z += mo.z;
+   }
+   
    glPopMatrix();
 
    while(i < 6){

=== modified file 'hacks/glx/blinkbox.man'
--- hacks/glx/blinkbox.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/blinkbox.man	2006-06-30 16:27:21 +0000
@@ -12,6 +12,7 @@
 [\-boxsize \fInumber\fP]
 [\-dissolve]
 [\-fade]
+[\-no\-blur]
 .SH DESCRIPTION
 Shows a ball contained inside of a bounding box. Colored blocks blink in
 when the ball hits the edges.
@@ -34,13 +35,16 @@
 Render in wireframe instead of solid.
 .TP 8
 .B \-boxsize 
-Sets the size of the colored boxes. Should be between 1 and 4. Default: 1 
+Sets the size of the colored boxes. Should be between 1 and 8. Default: 2 
 .TP 8
 .B \-dissolve | \-no-dissolve
 Boxes shrink instead of just vanishing.
 .TP 8
 .B \-fade | \-no-fade
 Boxes fade to transparency instead of just vanishing.
+.TP 8
+.B \-blur | \-no-blur
+Enable or disable motion blur on the ball.  Default: blurry.
 .SH ENVIRONMENT
 .PP
 .TP 8
@@ -62,4 +66,4 @@
 suitability of this software for any purpose.  It is provided "as is" without
 express or implied warranty.
 .SH AUTHOR
-Jeremy English.
+Jeremy English.  Motion blur by John Boero.

=== modified file 'hacks/glx/boing.man'
--- hacks/glx/boing.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/boing.man	2006-06-30 16:27:21 +0000
@@ -91,8 +91,8 @@
 to get the name of a resource file that overrides the global resources
 stored in the RESOURCE_MANAGER property.
 .SH SEE ALSO
-.BR bsod (1),
-.BR pong (1),
+.BR bsod (MANSUFFIX),
+.BR pong (MANSUFFIX),
 .BR xscreensaver (1),
 .BR X (1)
 .SH COPYRIGHT

=== modified file 'hacks/glx/boxed.c'
--- hacks/glx/boxed.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/boxed.c	2005-12-08 16:00:22 +0000
@@ -1,4 +1,4 @@
-/* thebox --- 3D bouncing balls that explode */
+/* boxed --- 3D bouncing balls that explode */
 
 #if 0
 static const char sccsid[] = "@(#)boxed.c	0.9 01/09/26 xlockmore";
@@ -23,6 +23,9 @@
  *       as an OpenGL screensaver for the xscreensaver package.
  *       Lots of hardcoded values still in place. Also, there are some
  *       copy/paste leftovers from the gears hack. opts don't work.
+ *
+ * 2005: opts work. added options -balls, -ballsize, -explosion
+ *
  */
 
 #include <X11/Intrinsic.h>
@@ -42,8 +45,12 @@
 # define boxed_opts	xlockmore_opts
 
 # define DEF_SPEED      "0.5"
-# define DEFAULTS	"*delay:   20000   \n"	\
-			"*showFPS: False   \n"	\
+# define DEF_BALLS	"25"
+# define DEF_BALLSIZE   "2.0"
+# define DEF_EXPLOSION	"25.0f"
+# define DEFAULTS	"*delay:     20000   \n" \
+			"*showFPS:   False   \n" \
+			"*wireframe: False   \n"
 
 # include "xlockmore.h"		/* from the xscreensaver distribution */
 #else  /* !STANDALONE */
@@ -59,14 +66,23 @@
 #define rnd() (frand(1.0))
 
 GLfloat speed;  /* jwz -- overall speed factor applied to all motion */
+int cfg_balls;
+GLfloat cfg_ballsize;
+GLfloat cfg_explosion;
 
 
 static XrmOptionDescRec opts[] = {
     {"-speed", ".boxed.speed", XrmoptionSepArg, 0},
+    {"-balls", ".boxed.balls", XrmoptionSepArg, 0},
+    {"-ballsize", ".boxed.ballsize", XrmoptionSepArg, 0},
+    {"-explosion", ".boxed.explosion", XrmoptionSepArg, 0},
 };
 
 static argtype vars[] = {
     {&speed, "speed", "Speed", DEF_SPEED, t_Float},
+    {&cfg_balls, "balls", "Balls", DEF_BALLS, t_Int},
+    {&cfg_ballsize, "ballsize", "Ball Size", DEF_BALLSIZE, t_Float},
+    {&cfg_explosion, "explosion", "Exlosion", DEF_BALLSIZE, t_Float},
 };
 
 ModeSpecOpt boxed_opts = {countof(opts), opts, countof(vars), vars, NULL};
@@ -85,12 +101,6 @@
 #define TRUE 1
 #define FALSE 0
 
-/* rendering defines */
-
-
-/* box size */
-#define BOX_SIZE 	20.0f
-
 /* camera */
 #define CAM_HEIGHT 	100.0f
 #define CAMDISTANCE_MIN 20.0
@@ -102,11 +112,6 @@
 #define SPHERE_VERTICES	(2+MESH_SIZE*MESH_SIZE*2)
 #define SPHERE_INDICES	((MESH_SIZE*4 + MESH_SIZE*4*(MESH_SIZE-1))*3)
 
-#define EXPLOSION 10.0f
-#define MAXBALLS  50;
-#define NUMBALLS 12;
-#define BALLSIZE 3.0f;
-
 /*
 **-----------------------------------------------------------------------------
 **	Typedefs
@@ -168,6 +173,7 @@
    float          cam_x_speed, cam_z_speed, cam_y_speed;
    boxed_config  config;
    float	  tic;
+   float          camtic;
    vectorf        spherev[SPHERE_VERTICES];
    GLint          spherei[SPHERE_INDICES];
    ballman        bman;
@@ -351,8 +357,8 @@
    newball->dir.z = (0.5-rnd())  * speed;
    newball->offside = 0;
    newball->bounced = FALSE;
-   newball->radius = BALLSIZE;
-   while (r+g+b < 1.7f ) {
+   newball->radius = cfg_ballsize;
+   while (r+g+b < 1.8f ) {
       newball->color.x = r=rnd();
       newball->color.y = g=rnd();
       newball->color.z = b=rnd();
@@ -370,7 +376,7 @@
 
    for (b=0;b<bman->num_balls;b++) {
 
-     GLfloat gravity = 0.15f * speed;
+     GLfloat gravity = 0.30f * speed;
 
       /* apply gravity */
       bman->balls[b].dir.y -= gravity;
@@ -378,10 +384,10 @@
       addvectors(&bman->balls[b].loc,&bman->balls[b].loc,&bman->balls[b].dir);
       /* boundary check */
       if (bman->balls[b].loc.y < bman->balls[b].radius) { /* ball onder bodem? (bodem @ y=0) */
-	 if ((bman->balls[b].loc.x < -100.0) || 
-	     (bman->balls[b].loc.x > 100.0) ||
-	     (bman->balls[b].loc.z < -100.0) ||
-	     (bman->balls[b].loc.z > 100.0)) {
+	 if ((bman->balls[b].loc.x < -95.0) || 
+	     (bman->balls[b].loc.x > 95.0) ||
+	     (bman->balls[b].loc.z < -95.0) ||
+	     (bman->balls[b].loc.z > 95.0)) {
 	    if (bman->balls[b].loc.y < -1000.0)
 	      createball(&bman->balls[b]);
 	 } else {
@@ -512,6 +518,16 @@
       scalevector(&tman->vertices[pos+1],&tman->vertices[pos+1],scale);
       scalevector(&tman->vertices[pos+2],&tman->vertices[pos+2],scale);
             
+      tman->vertices[pos+0].x += avgdir.x;
+      tman->vertices[pos+0].y += avgdir.y;
+      tman->vertices[pos+0].z += avgdir.z;
+      tman->vertices[pos+1].x += avgdir.x;
+      tman->vertices[pos+1].y += avgdir.y;
+      tman->vertices[pos+1].z += avgdir.z;
+      tman->vertices[pos+2].x += avgdir.x;
+      tman->vertices[pos+2].y += avgdir.y;
+      tman->vertices[pos+2].z += avgdir.z;
+
       /* bereken nieuwe richting */
       scalevector(&tman->tris[i].dir,&avgdir,explosion);
       dvect.x = (0.1f - 0.2f*rnd());
@@ -539,10 +555,10 @@
       /* boundary check */
       if (t->tris[b].far) continue;
       if (t->tris[b].loc.y < 0) { /* onder bodem ? */
-	 if ((t->tris[b].loc.x > -100.0f) &
-	     (t->tris[b].loc.x < 100.0f) &
-	     (t->tris[b].loc.z > -100.0f) &
-	     (t->tris[b].loc.z < 100.0f)) {  /* in veld  */
+	 if ((t->tris[b].loc.x > -95.0f) &
+	     (t->tris[b].loc.x < 95.0f) &
+	     (t->tris[b].loc.z > -95.0f) &
+	     (t->tris[b].loc.z < 95.0f)) {  /* in veld  */
 	    t->tris[b].dir.y = -(t->tris[b].dir.y);
 	    t->tris[b].loc.y = -t->tris[b].loc.y;
 	    scalevector(&t->tris[b].dir,&t->tris[b].dir,0.80f); /* dampening */
@@ -618,11 +634,14 @@
  */
 void setdefaultconfig(boxed_config *config) 
 {
-  config->numballs = NUMBALLS;
+  cfg_balls = MAX(3,MIN(40,cfg_balls));
+  cfg_ballsize = MAX(1.0f,MIN(5.0f,cfg_ballsize));
+  cfg_explosion = MAX(0.0f,MIN(50.0f,cfg_explosion));
+  config->numballs = cfg_balls;
   config->textures = TRUE;
   config->transparent = FALSE;
-  config->explosion = 25.0f;
-  config->ballsize = BALLSIZE;
+  config->explosion = cfg_explosion;
+  config->ballsize = cfg_ballsize;
   config->camspeed = 35.0f;
 }
 
@@ -630,7 +649,7 @@
 /*
  * draw bottom
  */ 
-static void drawfilledbox(boxedstruct *boxed)
+static void drawfilledbox(boxedstruct *boxed, int wire)
 {   
    /* draws texture filled box, 
       top is drawn using the entire texture, 
@@ -638,7 +657,7 @@
     */
    
    /* front */
-   glBegin(GL_QUADS);
+   glBegin(wire ? GL_LINE_LOOP : GL_QUADS);
    glTexCoord2f(0,1);
    glVertex3f(-1.0,1.0,1.0);
    glTexCoord2f(1,1);
@@ -735,7 +754,7 @@
 /* 
  * Draw ball
  */
-static void drawball(boxedstruct *gp, ball *b)
+static void drawball(boxedstruct *gp, ball *b, int wire)
 {
    int i,pos,cnt;
    GLint *spherei = gp->spherei;
@@ -761,7 +780,7 @@
       cnt = SPHERE_INDICES/3;
       for (i=0; i<cnt; i++) {
 	 pos = i * 3;
-	 glBegin(GL_TRIANGLES);
+	 glBegin(wire ? GL_LINE_LOOP : GL_TRIANGLES);
 	 glNormal3f(spherev[spherei[pos+0]].x,spherev[spherei[pos+0]].y,spherev[spherei[pos+0]].z);
 	 glVertex3f(spherev[spherei[pos+0]].x,spherev[spherei[pos+0]].y,spherev[spherei[pos+0]].z);
 	 glNormal3f(spherev[spherei[pos+1]].x,spherev[spherei[pos+1]].y,spherev[spherei[pos+1]].z);
@@ -783,7 +802,7 @@
 /* 
  * Draw all triangles in triman
  */
-static void drawtriman(triman *t) 
+static void drawtriman(triman *t, int wire) 
 {
    int i,pos;
    vectorf *spherev = t->vertices;
@@ -804,7 +823,7 @@
       pos = i*3;
       glPushMatrix();
       glTranslatef(t->tris[i].loc.x,t->tris[i].loc.y,t->tris[i].loc.z);
-      glBegin(GL_TRIANGLES);
+      glBegin(wire ? GL_LINE_LOOP : GL_TRIANGLES);
       glNormal3f(t->normals[i].x,t->normals[i].y,t->normals[i].z);
       glVertex3f(spherev[pos+0].x,spherev[pos+0].y,spherev[pos+0].z);
       glVertex3f(spherev[pos+1].x,spherev[pos+1].y,spherev[pos+1].z);
@@ -878,6 +897,7 @@
 static void draw(ModeInfo * mi)
 {
    boxedstruct *gp = &boxed[MI_SCREEN(mi)];
+   int wire = MI_IS_WIREFRAME (mi);
    vectorf v1;
    GLfloat dcam;
    int dx, dz;
@@ -900,31 +920,34 @@
    glLoadIdentity();
    
    gp->tic += 0.01f;
-
+   gp->camtic += 0.01f + 0.01f * sin(gp->tic * speed);
+   
    /* rotate camera around (0,0,0), looking at (0,0,0), up is (0,1,0) */
-   dcam = CAMDISTANCE_MIN + (CAMDISTANCE_MAX - CAMDISTANCE_MIN) + (CAMDISTANCE_MAX - CAMDISTANCE_MIN)*cos((gp->tic/CAMDISTANCE_SPEED) * speed);
-   v1.x = dcam * sin((gp->tic/gp->cam_x_speed) * speed);
-   v1.z = dcam * cos((gp->tic/gp->cam_z_speed) * speed);
-   v1.y = CAM_HEIGHT * sin((gp->tic/gp->cam_y_speed) * speed) + 1.02 * CAM_HEIGHT;
+   dcam = CAMDISTANCE_MIN + (CAMDISTANCE_MAX - CAMDISTANCE_MIN) + (CAMDISTANCE_MAX - CAMDISTANCE_MIN)*cos((gp->camtic/CAMDISTANCE_SPEED) * speed);
+   v1.x = dcam * sin((gp->camtic/gp->cam_x_speed) * speed);
+   v1.z = dcam * cos((gp->camtic/gp->cam_z_speed) * speed);
+   v1.y = CAM_HEIGHT * sin((gp->camtic/gp->cam_y_speed) * speed) + 1.02 * CAM_HEIGHT;
    gluLookAt(v1.x,v1.y,v1.z,0.0,0.0,0.0,0.0,1.0,0.0); 
 
-   glLightfv(GL_LIGHT0, GL_AMBIENT, l0_ambient); 
-   glLightfv(GL_LIGHT0, GL_DIFFUSE, l0_diffuse); 
-   glLightfv(GL_LIGHT0, GL_SPECULAR, l0_specular); 
-   glLightfv(GL_LIGHT0, GL_POSITION, l0_position);
-   glLightfv(GL_LIGHT1, GL_AMBIENT, l1_ambient); 
-   glLightfv(GL_LIGHT1, GL_DIFFUSE, l1_diffuse); 
-   glLightfv(GL_LIGHT1, GL_SPECULAR, l1_specular); 
-   glLightfv(GL_LIGHT1, GL_POSITION, l1_position);
-   glEnable(GL_LIGHT0);
-   glEnable(GL_LIGHT1);
-   
-   glFrontFace(GL_CW);
-   
-   glMaterialfv(GL_FRONT, GL_SPECULAR, black);
-   glMaterialfv(GL_FRONT, GL_EMISSION, lblue);
-   glMaterialfv(GL_FRONT,GL_AMBIENT,black);
-   glMaterialf(GL_FRONT, GL_SHININESS, 5.0);
+   if (!wire) {
+     glLightfv(GL_LIGHT0, GL_AMBIENT, l0_ambient); 
+     glLightfv(GL_LIGHT0, GL_DIFFUSE, l0_diffuse); 
+     glLightfv(GL_LIGHT0, GL_SPECULAR, l0_specular); 
+     glLightfv(GL_LIGHT0, GL_POSITION, l0_position);
+     glLightfv(GL_LIGHT1, GL_AMBIENT, l1_ambient); 
+     glLightfv(GL_LIGHT1, GL_DIFFUSE, l1_diffuse); 
+     glLightfv(GL_LIGHT1, GL_SPECULAR, l1_specular); 
+     glLightfv(GL_LIGHT1, GL_POSITION, l1_position);
+     glEnable(GL_LIGHT0);
+     glEnable(GL_LIGHT1);
+   
+     glFrontFace(GL_CW);
+   
+     glMaterialfv(GL_FRONT, GL_SPECULAR, black);
+     glMaterialfv(GL_FRONT, GL_EMISSION, lblue);
+     glMaterialfv(GL_FRONT,GL_AMBIENT,black);
+     glMaterialf(GL_FRONT, GL_SHININESS, 5.0);
+   }
    
    
    /* draw ground grid */
@@ -943,12 +966,12 @@
    
    /* Set drawing mode for the boxes */
    glEnable(GL_DEPTH_TEST);
-   glEnable(GL_TEXTURE_2D);
+   if (!wire) glEnable(GL_TEXTURE_2D);
    glPushMatrix();
    glColor3f(1.0,1.0,1.0);
    glScalef(20.0,0.25,20.0);
    glTranslatef(0.0,2.0,0.0);
-   drawfilledbox(gp);
+   drawfilledbox(gp, wire);
    glPopMatrix();
    glDisable(GL_TEXTURE_2D);
 
@@ -980,10 +1003,12 @@
    drawbox(gp);
    glPopMatrix();
 
-   glEnable(GL_LIGHTING);
+   if (!wire) {
+     glEnable(GL_LIGHTING);
    
-   glMaterialfv(GL_FRONT, GL_DIFFUSE, dgray);
-   glMaterialfv(GL_FRONT, GL_EMISSION, black); /* turn it off before painting the balls */
+     glMaterialfv(GL_FRONT, GL_DIFFUSE, dgray);
+     glMaterialfv(GL_FRONT, GL_EMISSION, black); /* turn it off before painting the balls */
+   }
 
    /* move the balls and shrapnel */
    updateballs(&gp->bman);
@@ -1001,10 +1026,10 @@
 	    updatetris(&gp->tman[i]);
 	 }
 	 glDisable(GL_CULL_FACE);
-	 drawtriman(&gp->tman[i]);
-	 glEnable(GL_CULL_FACE);
+	 drawtriman(&gp->tman[i], wire);
+	 if (!wire) glEnable(GL_CULL_FACE);
       } else {
-	 drawball(gp, &gp->bman.balls[i]);
+	 drawball(gp, &gp->bman.balls[i], wire);
       }
    }
       
@@ -1035,6 +1060,7 @@
 pinit(ModeInfo * mi)
 {
    boxedstruct *gp = &boxed[MI_SCREEN(mi)];
+   int wire = MI_IS_WIREFRAME (mi);
    ballman *bman;
    int i,texpixels;
    char *texpixeldata;
@@ -1069,8 +1095,10 @@
 
    generatesphere();
    
-   glEnable(GL_CULL_FACE);
-   glEnable(GL_LIGHTING);
+   if (!wire) {
+     glEnable(GL_CULL_FACE);
+     glEnable(GL_LIGHTING);
+   }
 
    /* define cam path */
    gp->cam_x_speed = 1.0f/((float)gp->config.camspeed/50.0 + rnd()*((float)gp->config.camspeed/50.0));
@@ -1078,8 +1106,11 @@
    gp->cam_y_speed = 1.0f/((float)gp->config.camspeed/250.0 + rnd()*((float)gp->config.camspeed/250.0));
    if (rnd() < 0.5f) gp->cam_x_speed = -gp->cam_x_speed;
    if (rnd() < 0.5f) gp->cam_z_speed = -gp->cam_z_speed;
-   
-   
+
+   /* define initial cam position */
+   gp->tic = gp->camtic = rnd() * 100.0f;
+   
+   /* define tex1 (bottom plate) */
    gp->tex1 = (char *)malloc(3*width*height*sizeof(GLuint));
    texpixels = 256*256; /*width*height;*/
    texpixeldata = header_data;

=== modified file 'hacks/glx/bubble3d.c'
--- hacks/glx/bubble3d.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/bubble3d.c	2005-12-08 16:00:22 +0000
@@ -47,6 +47,7 @@
 	GLfloat    *nudge_angle_incr;	/* Amount by which we increase each nudge
 					 * angle in each frame.
 					 */
+	GLfloat	   color[4];
 } bubble;
 
 /* Should be taken care of already... but just in case */
@@ -98,6 +99,18 @@
 	if (b == 0)
 		return 0;
 
+	if (glb_config.bubble_colour[0] == -1.0) {
+		b->color[0] = ((float) (NRAND(100)) / 100.0);
+		b->color[1] = ((float) (NRAND(100)) / 100.0);
+		b->color[2] = ((float) (NRAND(100)) / 100.0);
+	} else {
+		b->color[0] = glb_config.bubble_colour[0];
+		b->color[1] = glb_config.bubble_colour[1];
+		b->color[2] = glb_config.bubble_colour[2];
+	}
+	b->color[3] = glb_config.bubble_colour[3];
+	
+
 	b->contributions = (GLfloat *) malloc(sizeof (GLfloat) * nr_vertices *
 					      glb_config.nr_nudge_axes);
 	if (b->contributions == 0) {
@@ -240,6 +253,9 @@
 
 	/* Draw the bubble. */
 	glBegin(GL_TRIANGLES);
+
+	glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, b->color);
+
 	for (i = 0; i < nr_triangles; ++i) {
 		glNormal3fv(new_vertices[triangles[i][0]]);
 		glVertex3fv(new_vertices[triangles[i][0]]);
@@ -251,6 +267,7 @@
 	glEnd();
 	glPopMatrix();
 	(void) free((void *) new_vertices);
+    glb_config.polygon_count += nr_triangles;
 }
 
 /* Return y value. */

=== modified file 'hacks/glx/bubble3d.h'
--- hacks/glx/bubble3d.h	2005-04-09 00:06:43 +0000
+++ hacks/glx/bubble3d.h	2005-12-08 16:00:22 +0000
@@ -20,13 +20,12 @@
 				   * implementation. If you have an accelerated
 				   * graphics card, set this to 0.
 				 */
-#define GLB_USE_BLENDING     0	/* Use alpha feature to create see-through
-				   * bubbles.
-				 */
 #define GLB_VERTICES_EPSILON 0.0005	/* How close are identical vertices? */
 
 /* Configuration structure. */
 struct glb_config {
+	int         transparent_p;	/* Whether to use alpha blending */
+
 	int         subdivision_depth;	/* Controls how many triangles are in
 					 * each bubble. 2 and 3 are good values.
 					 */
@@ -60,6 +59,8 @@
 	GLfloat     screen_top;	/* Top of screen. */
 	GLfloat     bg_colour[4];	/* Background colour. */
 	GLfloat     bubble_colour[4];	/* Colour of the bubbles. */
+
+	int         polygon_count;
 };
 
 extern struct glb_config glb_config;

=== modified file 'hacks/glx/bubble3d.man'
--- hacks/glx/bubble3d.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/bubble3d.man	2005-12-08 16:00:22 +0000
@@ -8,6 +8,8 @@
 [\-window]
 [\-root]
 [\-delay \fInumber\fP]
+[\-transparent]
+[\-color \fIcolor\fP]
 [\-fps]
 .SH DESCRIPTION
 Draws a stream of rising, undulating 3D bubbles, rising toward the top of
@@ -24,6 +26,13 @@
 .B \-root
 Draw on the root window.
 .TP 8
+.B \-transparent
+Draw transparent bubbles instead of solid ones.
+.TP 8
+.B \-color \fIcolor\fP
+Draw bubbles of the specified color.  "Random" means a different color
+for each bubble.
+.TP 8
 .B \-delay \fInumber\fP
 Per-frame delay, in microseconds.  Default: 15000 (0.015 seconds.).
 .TP 8

=== modified file 'hacks/glx/cage.c'
--- hacks/glx/cage.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/cage.c	2005-12-08 16:00:22 +0000
@@ -156,9 +156,9 @@
 #define PlankThickness  0.15
 
 static Bool 
-draw_woodplank(cagestruct * cp)
+draw_woodplank(cagestruct * cp, int wire)
 {
-	glBegin(GL_QUADS);
+	glBegin(wire ? GL_LINES : GL_QUADS);
 	glNormal3f(0, 0, 1);
 	glTexCoord2f(0, 0);
 	glVertex3f(-PlankWidth, -PlankHeight, PlankThickness);
@@ -219,74 +219,74 @@
 }
 
 static Bool
-draw_impossiblecage(cagestruct * cp)
+draw_impossiblecage(cagestruct * cp, int wire)
 {
 	glPushMatrix();
 	glRotatef(90, 0, 1, 0);
 	glTranslatef(0.0, PlankHeight - PlankWidth, -PlankThickness - PlankWidth);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glRotatef(90, 0, 0, 1);
 	glTranslatef(0.0, PlankHeight - PlankWidth, PlankWidth - PlankThickness);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glRotatef(90, 0, 1, 0);
 	glTranslatef(0.0, PlankWidth - PlankHeight, -PlankThickness - PlankWidth);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glTranslatef(0.0, PlankWidth - PlankHeight, 3 * PlankThickness - PlankWidth);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glRotatef(90, 0, 0, 1);
 	glTranslatef(0.0, PlankWidth - PlankHeight, PlankWidth - PlankThickness);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glTranslatef(0.0, PlankWidth - PlankHeight, PlankWidth - 3 * PlankThickness);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glTranslatef(0.0, PlankHeight - PlankWidth, 3 * PlankThickness - PlankWidth);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glRotatef(90, 0, 0, 1);
 	glTranslatef(0.0, PlankHeight - PlankWidth, PlankThickness - PlankWidth);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glTranslatef(0.0, PlankHeight - PlankWidth, PlankWidth - 3 * PlankThickness);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glRotatef(90, 0, 1, 0);
 	glTranslatef(0.0, PlankHeight - PlankWidth, PlankWidth + PlankThickness);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glRotatef(90, 0, 0, 1);
 	glTranslatef(0.0, PlankWidth - PlankHeight, PlankThickness - PlankWidth);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	glPushMatrix();
 	glRotatef(90, 0, 1, 0);
 	glTranslatef(0.0, PlankWidth - PlankHeight, PlankWidth + PlankThickness);
-	if (!draw_woodplank(cp))
+	if (!draw_woodplank(cp, wire))
 		return False;
 	glPopMatrix();
 	return True;
@@ -312,9 +312,13 @@
 pinit(ModeInfo *mi)
 {
 	int status;
+
 	glClearDepth(1.0);
 	glClearColor(0.0, 0.0, 0.0, 1.0);
 
+    if (MI_IS_WIREFRAME(mi))
+      return;
+
 	glLightfv(GL_LIGHT0, GL_AMBIENT, ambient);
 	glLightfv(GL_LIGHT0, GL_DIFFUSE, diffuse);
 	glLightfv(GL_LIGHT0, GL_POSITION, position0);
@@ -440,7 +444,7 @@
 	glRotatef(cp->step * 100, 0, 0, 1);
 	glRotatef(25 + cos(cp->step * 5) * 6, 1, 0, 0);
 	glRotatef(204.5 - sin(cp->step * 5) * 8, 0, 1, 0);
-	if (!draw_impossiblecage(cp)) {
+	if (!draw_impossiblecage(cp, MI_IS_WIREFRAME(mi))) {
 		release_cage(mi);
 		return;
 	}

=== modified file 'hacks/glx/cage.man'
--- hacks/glx/cage.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/cage.man	2005-12-08 16:00:22 +0000
@@ -7,8 +7,10 @@
 [\-visual \fIvisual\fP]
 [\-window]
 [\-root]
-[-delay \fInumber\fP]
-[-fps]
+[\-delay \fInumber\fP]
+[\-mono]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 This draws Escher's "Impossible Cage", a 3d analog of a moebius strip,
 and rotates it in three dimensions.
@@ -27,6 +29,12 @@
 .B \-delay \fInumber\fP
 Per-frame delay, in microseconds.  Default: 25000 (0.03 seconds.).
 .TP 8
+.B \-mono
+Render solid instead of textured.
+.TP 8
+.B \-wireframe
+Render in wireframe instead of textured.
+.TP 8
 .B \-fps | \-no-fps
 Whether to show a frames-per-second display at the bottom of the screen.
 .SH ENVIRONMENT

=== modified file 'hacks/glx/carousel.man'
--- hacks/glx/carousel.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/carousel.man	2006-06-30 16:27:21 +0000
@@ -93,7 +93,7 @@
 .BR xscreensaver-demo (1)
 .BR xscreensaver-getimage (1)
 .BR xscreensaver (1)
-.BR glslideshow (1)
+.BR glslideshow (MANSUFFIX)
 .SH COPYRIGHT
 Copyright \(co 2005 by Jamie Zawinski.
 

=== added file 'hacks/glx/crackberg.c'
--- hacks/glx/crackberg.c	1970-01-01 00:00:00 +0000
+++ hacks/glx/crackberg.c	2005-12-08 16:00:22 +0000
@@ -0,0 +1,1384 @@
+/***************************
+ ** crackberg; Matus Telgarsky [ catachresis@cmu.edu ] 2005 
+ ** */
+#include <X11/Intrinsic.h>
+#define XK_MISCELLANY
+#include <X11/keysymdef.h>
+
+extern XtAppContext app;
+
+#define PROGCLASS   "crackberg"
+#define HACK_INIT   crackberg_init
+#define HACK_DRAW   crackberg_draw
+#define HACK_RESHAPE    crackberg_reshape
+/* #define HACK_FREE   crackberg_free */
+#define HACK_HANDLE_EVENT crackberg_handle_ev
+#define EVENT_MASK      (KeyReleaseMask)
+#define sws_opts    xlockmore_opts
+
+#define DEFAULTS    "*delay:        20000       \n" \
+                    "*showFPS:      False       \n" \
+
+#undef countof
+#define countof(x) (sizeof((x))/sizeof((*x)))
+
+#include "xlockmore.h"
+#ifdef USE_GL /* whole file */
+#include <GL/glu.h>
+
+
+
+/***************************
+ ** macros
+ ** */
+
+#define M_RAD7_4        0.661437827766148
+#define M_SQRT3_2       0.866025403784439
+#define M_PI_180        0.0174532925199433
+#define M_180_PI        57.2957795130823
+#define MSPEED_SCALE    1.1
+#define AVE3(a,b,c)     ( ((a) + (b) + (c)) / 3.0 )
+#define MAX_ZDELTA      0.35
+#define DISPLACE(h,d)   (h+(random()/(double)RAND_MAX-0.5)*2*MAX_ZDELTA/(1<<d))
+#define MEAN(x,y)       ( ((x) + (y)) / 2.0 )
+#define TCOORD(x,y)     (heights[(epoints * (y) - ((y)-1)*(y)/2 + (x))])
+#define sNCOORD(x,y,p)  (norms[3 * (epoints * (y) - ((y)-1)*(y)/2 + (x)) + (p)])
+#define SET_sNCOORD(x,y, down, a,b,c,d,e,f)   \
+    sNCOORD(x,y,0) = AVE3(a-d, 0.5 * (b-e), -0.5 * (c-f)); \
+    sNCOORD(x,y,1) = ((down) ? -1 : +1) * AVE3(0.0, M_SQRT3_2 * (b-e), M_SQRT3_2 * (c-f)); \
+    sNCOORD(x,y,2) = (2*dx)
+#define fNCOORD(x,y,w,p)  \
+    (norms[3 * (2*(y)*epoints-((y)+1)*((y)+1) + 1 + 2 * ((x)-1) + (w)) + (p)])
+#define SET_fNCOORDa(x,y, down, dz00,dz01) \
+    fNCOORD(x,y,0,0) = (down) * (dy) * (dz01); \
+    fNCOORD(x,y,0,1) = (down) * ((dz01) * (dx) / 2 - (dx) * (dz00)); \
+    fNCOORD(x,y,0,2) = (down) * (dx) * (dy)
+#define SET_fNCOORDb(x,y, down, dz10,dz11) \
+    fNCOORD(x,y,1,0) = (down) * (dy) * (dz10); \
+    fNCOORD(x,y,1,1) = (down) * ((dz11) * (dx) - (dx) * (dz10) / 2); \
+    fNCOORD(x,y,1,2) = (down) * (dx) * (dy)
+
+
+/***************************
+ ** types
+ ** */
+
+
+typedef struct _cberg_state cberg_state;
+typedef struct _Trile Trile;
+
+typedef struct {
+    void (*init)(Trile *);
+    void (*free)(Trile *);
+    void (*draw)(Trile *);
+    void (*init_iter)(Trile *, cberg_state *);
+    void (*dying_iter)(Trile *, cberg_state *);
+} Morph;
+
+typedef struct {
+    char *id;
+    void (*land)(double);
+    void (*water)(double);
+    double bg[4];
+} Color;
+
+enum { TRILE_NEW, TRILE_INIT, TRILE_STABLE, TRILE_DYING, TRILE_DELETE };
+
+struct _Trile {
+    int x,y; /*center coords; points up if (x+y)%2 == 0, else down*/
+    short state;
+    short visible;
+    double *l,*r,*v; /*only edges need saving*/
+    GLuint call_list;
+
+    void *morph_data;
+    Morph *morph;
+
+    struct _Trile *left, *right, *parent; /* for bst, NOT spatial */
+    struct _Trile *next_free; /* for memory allocation */
+};
+
+enum { MOTION_AUTO = 0, MOTION_MANUAL = 1, MOTION_LROT= 2,    MOTION_RROT = 4,
+       MOTION_FORW = 8,   MOTION_BACK = 16,  MOTION_DEC = 32, MOTION_INC = 64,
+       MOTION_LEFT = 128, MOTION_RIGHT = 256 };
+
+struct _cberg_state {
+    GLXContext *glx_context;
+    Trile *trile_head;
+    
+    double x,y,z, yaw,roll,pitch, dx,dy,dz, dyaw,droll,dpitch, elapsed;
+    double prev_frame;
+    int motion_state;
+    double mspeed;
+
+    double fovy, aspect, zNear, zFar;
+
+    Color *color;
+};
+
+
+/***************************
+ ** globals
+ ** */
+
+
+static unsigned int nsubdivs,
+                    epoints, /*number of points to one edge*/
+                    tpoints, /*number points total*/
+                    ntris,   /*number triangles per trile*/
+                    tnorms;  /*number of normals*/
+Bool crack, boring, nowater, flat, lit, wire, letterbox;
+static char *color;
+static cberg_state *cbergs = NULL;
+static double *heights = NULL, *norms = NULL, dx;
+static float visibility;
+static Trile *free_head = NULL; /* for trile_[alloc|free] */
+
+static XrmOptionDescRec opts[] = {
+    {"-nsubdivs", ".nsubdivs", XrmoptionSepArg, 0},
+    {"-boring", ".boring", XrmoptionNoArg, "True"},
+    {"-crack", ".crack", XrmoptionNoArg, "True"},
+    {"-nowater", ".nowater", XrmoptionNoArg, "True"},
+    {"-flat", ".flat", XrmoptionNoArg, "True"},
+    {"-color", ".color", XrmoptionSepArg, 0},
+    {"-lit", ".lit", XrmoptionNoArg, "True"},
+    {"-wire", ".wire", XrmoptionNoArg, "True"},
+    {"-visibility", ".visibility", XrmoptionSepArg, 0},
+    {"-letterbox", ".letterbox", XrmoptionNoArg, "True"}
+    
+};
+
+static argtype vars[] = {
+    {&nsubdivs, "nsubdivs", "nsubdivs", "4", t_Int},
+    {&boring, "boring", "boring", "False", t_Bool},
+    {&crack, "crack", "crack", "False", t_Bool},
+    {&nowater, "nowater", "nowater", "False", t_Bool},
+    {&flat, "flat", "flat", "False", t_Bool},
+    {&color, "color", "color", "plain", t_String},
+    {&lit, "lit", "lit", "False", t_Bool},
+    {&wire, "wire", "wire", "False", t_Bool},
+    {&visibility, "visibility", "visibility", "0.6", t_Float},
+    {&letterbox, "letterbox", "letterbox", "False", t_Bool}
+};
+
+ModeSpecOpt sws_opts = {countof(opts), opts, countof(vars), vars, NULL};
+
+
+/***************************
+ ** Trile functions. 
+ **  first come all are regular trile functions 
+ ** */
+
+
+/* forward decls for trile_new */
+static Trile *triles_find(Trile *tr, int x, int y);
+static Trile *trile_alloc(void);
+static Morph *select_morph(void);
+static Color *select_color(void);
+
+static void trile_calc_sides(Trile *new, int x, int y, Trile *root)
+{
+    unsigned int i,j,k; 
+    int dv = ( (x + y) % 2 ? +1 : -1); /* we are pointing down or up*/
+    Trile *l, *r, *v; /* v_ertical */
+
+
+    if (root) {
+        l = triles_find(root, x-1, y);
+        r = triles_find(root, x+1, y);  
+        v = triles_find(root, x,y+dv); 
+    } else
+        l = r = v = NULL;
+
+    if (v) {
+        for (i = 0; i != epoints; ++i)
+            new->v[i] = v->v[i];
+    } else {
+        if (l)          new->v[0] = l->l[0];
+        else if (!root) new->v[0] = DISPLACE(0,0);
+        else { 
+            Trile *tr; /* all of these tests needed.. */
+            if ( (tr = triles_find(root, x-1, y + dv)) )
+                new->v[0] = tr->l[0];
+            else if ( (tr = triles_find(root, x-2, y)) )
+                new->v[0] = tr->r[0];
+            else if ( (tr = triles_find(root, x-2, y + dv)) )
+                new->v[0] = tr->r[0];
+            else
+                new->v[0] = DISPLACE(0,0);
+        }
+
+        if (r)          new->v[epoints-1] = r->l[0];
+        else if (!root) new->v[epoints-1] = DISPLACE(0,0);
+        else {
+            Trile *tr;
+            if ( (tr = triles_find(root, x+1, y + dv)) )
+                new->v[epoints-1] = tr->l[0];
+            else if ( (tr = triles_find(root, x+2, y)) )
+                new->v[epoints-1] = tr->v[0];
+            else if ( (tr = triles_find(root, x+2, y + dv)) )
+                new->v[epoints-1] = tr->v[0];
+            else
+                new->v[epoints-1] = DISPLACE(0,0);
+        }
+
+        for (i = ((1 << nsubdivs) >> 1), k =1; i; i >>= 1, ++k)
+            for (j = i; j < epoints; j += i * 2)
+                new->v[j] = DISPLACE(MEAN(new->v[j-i], new->v[j+i]), k);
+    }
+        
+    if (l) {
+        for (i = 0; i != epoints; ++i)
+            new->l[i] = l->r[i];
+    } else {
+        if (r)          new->l[0] = r->v[0];
+        else if (!root) new->l[0] = DISPLACE(0,0);
+        else {
+            Trile *tr;
+            if ( (tr = triles_find(root, x-1, y-dv)) )
+                new->l[0] = tr->r[0];
+            else if ( (tr = triles_find(root, x+1, y-dv)) )
+                new->l[0] = tr->v[0];
+            else if ( (tr = triles_find(root, x, y-dv)) )
+                new->l[0] = tr->l[0];
+            else 
+                new->l[0] = DISPLACE(0,0);
+        }
+
+        new->l[epoints - 1] = new->v[0];
+
+        for (i = ((1 << nsubdivs) >> 1), k =1; i; i >>= 1, ++k)
+            for (j = i; j < epoints; j += i * 2)
+                new->l[j] = DISPLACE(MEAN(new->l[j-i], new->l[j+i]), k);
+    }
+
+    if (r) {
+        for (i = 0; i != epoints; ++i)
+            new->r[i] = r->l[i];
+    } else {
+        new->r[0] = new->v[epoints - 1];
+        new->r[epoints - 1] = new->l[0];
+
+        for (i = ((1 << nsubdivs) >> 1), k =1; i; i >>= 1, ++k)
+            for (j = i; j < epoints; j += i * 2)
+                new->r[j] = DISPLACE(MEAN(new->r[j-i], new->r[j+i]), k);
+    }
+}
+
+static void trile_calc_heights(Trile *new)
+{
+    unsigned int i, j, k, h;
+
+    for (i = 0; i < epoints - 1; ++i) { /* copy in sides */
+        TCOORD(i,0) = new->v[i];
+        TCOORD(epoints - 1 - i, i) = new->r[i];
+        TCOORD(0, epoints - 1 - i) = new->l[i];
+    }
+
+    for (i = ((1 << nsubdivs) >> 2), k =1; i; i >>= 1, ++k)
+        for (j = 1; j < (1 << k); ++j)
+            for (h = 1; h <= (1<<k) - j; ++h) {
+                TCOORD( i*(2*h - 1), i*(2*j - 1) ) = /*rights*/
+                  DISPLACE(MEAN(TCOORD( i*(2*h - 2), i*(2*j + 0) ),
+                                TCOORD( i*(2*h + 0), i*(2*j - 2) )), k);
+
+                TCOORD( i*(2*h + 0), i*(2*j - 1) ) = /*lefts*/
+                  DISPLACE(MEAN(TCOORD( i*(2*h + 0), i*(2*j - 2) ),
+                                TCOORD( i*(2*h + 0), i*(2*j + 0) )), k);
+
+                TCOORD( i*(2*h - 1), i*(2*j + 0) ) = /*verts*/
+                  DISPLACE(MEAN(TCOORD( i*(2*h - 2), i*(2*j + 0) ),
+                                TCOORD( i*(2*h + 0), i*(2*j + 0) )), k);
+            }
+}
+
+static void trile_calc_flat_norms(Trile *new)
+{
+    unsigned int x, y;
+    int down = (((new->x + new->y) % 2) ? -1 : +1);
+    double dz00,dz01,dz10,dz11, a,b,c,d;
+    double dy = down * M_SQRT3_2 / (1 << nsubdivs);
+
+    for (y = 0; y < epoints - 1; ++y) {
+        a = TCOORD(0,y);
+        b = TCOORD(0,y+1);
+        for (x = 1; x < epoints - 1 - y; ++x) {
+            c = TCOORD(x,y);
+            d = TCOORD(x,y+1);
+
+            dz00 = b-c;
+            dz01 = a-c;
+            dz10 = b-d;
+            dz11 = c-d;
+            
+            SET_fNCOORDa(x,y, down, dz00,dz01);
+            SET_fNCOORDb(x,y, down, dz10,dz11);
+
+            a = c;
+            b = d;
+        }
+
+        c = TCOORD(x,y);
+        dz00 = b-c;
+        dz01 = a-c;
+        SET_fNCOORDa(x,y, down, dz00, dz01);
+    }
+}
+
+static void trile_calc_smooth_norms(Trile *new)
+{
+    unsigned int i,j, down = (new->x + new->y) % 2;
+    double prev, cur, next;
+
+    /** corners -- assume level (bah) **/
+    cur = TCOORD(0,0);
+    SET_sNCOORD(0,0, down,
+        cur,cur,TCOORD(0,1),TCOORD(1,0),cur,cur);
+    cur = TCOORD(epoints-1,0);
+    SET_sNCOORD(epoints-1,0, down,
+        TCOORD(epoints-2,0),TCOORD(epoints-2,1),cur,cur,cur,cur);
+    cur = TCOORD(0,epoints-1);
+    SET_sNCOORD(0,epoints-1, down,
+        cur,cur,cur,cur,TCOORD(1,epoints-2),TCOORD(0,epoints-2));
+
+
+    /** sides **/
+    /* vert */
+    prev = TCOORD(0,0);
+    cur = TCOORD(1,0);
+    for (i = 1; i < epoints - 1; ++i) {
+        next = TCOORD(i+1,0);
+        SET_sNCOORD(i,0, down, prev,TCOORD(i-1,1),TCOORD(i,1), next,cur,cur);
+        prev = cur;
+        cur = next;
+    }
+
+    /* right */
+    prev = TCOORD(epoints-1,0);
+    cur = TCOORD(epoints-2,0);
+    for (i = 1; i < epoints - 1; ++i) {
+        next = TCOORD(epoints-i-2,i+1);
+        SET_sNCOORD(epoints-i-1,i, down, TCOORD(epoints-i-2,i),next,cur,
+                                        cur,prev,TCOORD(epoints-i-1,i-1));
+        prev = cur;
+        cur = next;
+    }
+        
+    /* left */
+    prev = TCOORD(0,0);
+    cur = TCOORD(0,1);
+    for (i = 1; i < epoints - 1; ++i) {
+        next = TCOORD(0,i+1);
+        SET_sNCOORD(0,i, down, cur,cur,next,TCOORD(1,i),TCOORD(1,i-1),prev);
+        prev = cur;
+        cur = next;
+    }
+
+
+    /** fill in **/
+    for (i = 1; i < epoints - 2; ++i) {
+        prev = TCOORD(0,i);
+        cur = TCOORD(1,i);
+        for (j = 1; j < epoints - i - 1; ++j) {
+            next = TCOORD(j+1,i);
+            SET_sNCOORD(j,i, down, prev,TCOORD(j-1,i+1),TCOORD(j,i+1),
+                            next,TCOORD(j+1,i-1),TCOORD(j,i-1));
+            prev = cur;
+            cur = next;
+        }
+    }
+}
+
+static inline void trile_light(unsigned int x, unsigned int y, 
+                               unsigned int which)
+{
+    if (flat) {
+        if (x) {
+            glNormal3d(fNCOORD(x,y,which,0),
+                       fNCOORD(x,y,which,1),
+                       fNCOORD(x,y,which,2));
+        } else { /* I get mesa errors and bizarre glitches without this!! */
+            glNormal3d(fNCOORD(1,y,0,0),
+                       fNCOORD(1,y,0,1),
+                       fNCOORD(1,y,0,2));
+        }
+    } else {
+        glNormal3d(sNCOORD(x,y+which,0),
+                   sNCOORD(x,y+which,1),
+                   sNCOORD(x,y+which,2));
+    }
+}
+
+static inline void trile_draw_vertex(cberg_state *cberg, unsigned int ix,
+    unsigned int iy, unsigned int which, double x,double y,
+    double zcur, double z1, double z2)
+{
+    glColor3d(0.0, 0.0, 0.0); /* don't ask. my card breaks otherwise. */
+    
+    if (!nowater && zcur <= 0.0) {
+        cberg->color->water(zcur); /* XXX use average-of-3 for color when flat?*/
+        if (lit) glNormal3d(0.0,0.0,1.0);
+        glVertex3d(x, y, 0.0); 
+    } else {
+        cberg->color->land(zcur);
+        if (lit) trile_light(ix,iy,which);
+        glVertex3d(x, y, zcur);
+    }
+}
+
+static void trile_render(cberg_state *cberg, Trile *new)
+{
+    double cornerx = 0.5 * new->x - 0.5, cornery;
+    double dy = M_SQRT3_2 / (1 << nsubdivs);
+    double z0,z1,z2;
+    int x,y;
+
+    new->call_list = glGenLists(1);
+    glNewList(new->call_list, GL_COMPILE);
+
+        if ((new->x + new->y) % 2) { /*point down*/
+            cornery = (new->y + 0.5)*M_SQRT3_2;
+            glFrontFace(GL_CW);
+            dy = -dy;
+        } else
+            cornery = (new->y - 0.5) * M_SQRT3_2;
+
+        for (y = 0; y < epoints - 1; ++y) {
+            glBegin(GL_TRIANGLE_STRIP);
+                /* first three points all part of the same triangle.. */
+                z0 = TCOORD(0,y);
+                z1 = TCOORD(0,y+1);
+                z2 = TCOORD(1,y);
+                trile_draw_vertex(cberg, 0,y,0,
+                  cornerx,cornery, z0, z1, z2);
+                trile_draw_vertex(cberg, 0,y,1,
+                  cornerx+0.5*dx,cornery+dy, z1, z0, z2);
+
+                for (x = 1; x < epoints - 1 - y; ++x) {
+                    trile_draw_vertex(cberg, x,y,0,
+                      cornerx+x*dx,cornery, z2, z1, z0);
+
+                    z0 = TCOORD(x, y+1);
+
+                    trile_draw_vertex(cberg, x,y,1,
+                      cornerx+(x+0.5)*dx,cornery+dy, z0, z2, z1);
+
+                    z1 = z0;
+                    z0 = z2;
+                    z2 = TCOORD(x+1,y);
+                }
+                trile_draw_vertex(cberg, x,y,0,
+                  cornerx + x*dx, cornery, z2, z1, z0);
+            glEnd();
+
+            cornerx += dx/2;
+            cornery += dy;
+        }
+
+        if ((new->x + new->y) % 2) /*point down*/
+            glFrontFace(GL_CCW);
+    glEndList();
+}
+
+static Trile *trile_new(cberg_state *cberg, int x,int y,Trile *parent,Trile *root)
+{
+    Trile *new;
+
+    new = trile_alloc();
+
+    new->x = x;
+    new->y = y;
+    new->state = TRILE_NEW;
+    new->parent = parent;
+    new->left = new->right = NULL;
+    new->visible = 1;
+
+    new->morph = select_morph();
+    new->morph->init(new);
+
+    trile_calc_sides(new, x, y, root);
+    trile_calc_heights(new);
+
+    if (lit) {
+        if (flat)   trile_calc_flat_norms(new);
+        else        trile_calc_smooth_norms(new);
+    }
+
+    trile_render(cberg, new);
+    return new;
+}
+
+static Trile *trile_alloc(void)
+{
+    Trile *new;
+    static unsigned int count = 0;
+
+    if (free_head) {
+        new = free_head;
+        free_head = free_head->next_free;
+    } else {
+        ++count;
+        if (!(new = malloc(sizeof(Trile)))
+         || !(new->l = (double *) malloc(sizeof(double) * epoints * 3))) {
+            perror(progname);
+            exit(1);
+        }
+        new->r = new->l + epoints;
+        new->v = new->r + epoints;
+#ifdef DEBUG
+        printf("needed to alloc; [%d]\n", count);
+#endif
+    }
+    return new;
+}
+
+static void trile_free(Trile *tr)
+{
+    glDeleteLists(tr->call_list, 1);
+    tr->morph->free(tr);
+    tr->next_free = free_head;
+    free_head = tr;
+}
+
+
+static void trile_draw_vanilla(Trile *tr)
+{ glCallList(tr->call_list); }
+
+static void trile_draw(Trile *tr, void *ignore)
+{
+    if (tr->state == TRILE_STABLE)
+        trile_draw_vanilla(tr);
+    else
+        tr->morph->draw(tr);
+}
+
+
+/***************************
+ ** Trile morph functions. 
+ **  select function at bottom (forward decls sucls) 
+ ** */
+
+
+/*** first the basic growing morph */
+
+static void grow_init(Trile *tr)
+{
+    tr->morph_data = (void *) malloc(sizeof(double));
+    *((double *)tr->morph_data) = 0.02; /* not 0; avoid normals crapping */
+}
+
+static void grow_free(Trile *tr)
+{
+    free(tr->morph_data);
+}
+
+static void grow_draw(Trile *tr)
+{
+    glPushMatrix();
+        glScaled(1.0,1.0, *((double *)tr->morph_data));
+        trile_draw_vanilla(tr);
+    glPopMatrix();
+}
+
+static void grow_init_iter(Trile *tr, cberg_state *cberg)
+{
+    *((double *)(tr->morph_data)) = *((double *)tr->morph_data) + cberg->elapsed;
+    if (*((double *)tr->morph_data) >= 1.0)
+        tr->state = TRILE_STABLE;
+}
+
+static void grow_dying_iter(Trile *tr, cberg_state *cberg)
+{
+    *((double *)tr->morph_data) = *((double *)tr->morph_data) - cberg->elapsed;
+    if (*((double *)tr->morph_data) <= 0.02) /* XXX avoid fast del/cons? */
+        tr->state = TRILE_DELETE;
+}
+
+/**** falling morph ****/
+
+static void fall_init(Trile *tr)
+{
+    tr->morph_data = (void *) malloc(sizeof(double));
+    *((double *)tr->morph_data) = 0.0;
+}
+
+static void fall_free(Trile *tr)
+{
+    free(tr->morph_data);
+}
+
+static void fall_draw(Trile *tr)
+{
+    glPushMatrix();
+        glTranslated(0.0,0.0,(0.5 - *((double *)tr->morph_data)) * 8);
+        trile_draw_vanilla(tr);
+    glPopMatrix();
+}
+
+static void fall_init_iter(Trile *tr, cberg_state *cberg)
+{
+    *((double *)(tr->morph_data)) = *((double *)tr->morph_data) + cberg->elapsed;
+    if (*((double *)tr->morph_data) >= 0.5)
+        tr->state = TRILE_STABLE;
+}
+
+static void fall_dying_iter(Trile *tr, cberg_state *cberg)
+{
+    *((double *)tr->morph_data) = *((double *)tr->morph_data) - cberg->elapsed;
+    if (*((double *)tr->morph_data) <= 0.0) /* XXX avoid fast del/cons? */
+        tr->state = TRILE_DELETE;
+}
+
+/**** yeast morph ****/
+
+static void yeast_init(Trile *tr)
+{
+    tr->morph_data = (void *) malloc(sizeof(double));
+    *((double *)tr->morph_data) = 0.02;
+}
+
+static void yeast_free(Trile *tr)
+{
+    free(tr->morph_data);
+}
+
+static void yeast_draw(Trile *tr)
+{
+    double x = tr->x * 0.5,
+           y = tr->y * M_SQRT3_2,
+           z = *((double *)tr->morph_data);
+
+    glPushMatrix();
+        glTranslated(x, y, 0);
+        glRotated(z*360, 0,0,1);
+        glScaled(z,z,z);
+        glTranslated(-x, -y, 0);
+        trile_draw_vanilla(tr);
+    glPopMatrix();
+}
+
+static void yeast_init_iter(Trile *tr, cberg_state *cberg)
+{
+    *((double *)(tr->morph_data)) = *((double *)tr->morph_data) + cberg->elapsed;
+    if (*((double *)tr->morph_data) >= 1.0)
+        tr->state = TRILE_STABLE;
+}
+
+static void yeast_dying_iter(Trile *tr, cberg_state *cberg)
+{
+    *((double *)tr->morph_data) = *((double *)tr->morph_data) - cberg->elapsed;
+    if (*((double *)tr->morph_data) <= 0.02) /* XXX avoid fast del/cons? */
+        tr->state = TRILE_DELETE;
+}
+
+/**** identity morph ****/
+
+static void identity_init(Trile *tr)
+{ tr->state = TRILE_STABLE; }
+
+static void identity_free(Trile *tr)
+{}
+
+static void identity_draw(Trile *tr)
+{ trile_draw_vanilla(tr); }
+
+static void identity_init_iter(Trile *tr, cberg_state *cberg)
+{}
+
+static void identity_dying_iter(Trile *tr, cberg_state *cberg)
+{ tr->state = TRILE_DELETE; }
+
+/** now to handle selection **/
+
+static Morph morphs[] = {
+    {grow_init, grow_free, grow_draw, grow_init_iter, grow_dying_iter},
+    {fall_init, fall_free, fall_draw, fall_init_iter, fall_dying_iter},
+    {yeast_init, yeast_free, yeast_draw, yeast_init_iter, yeast_dying_iter},
+    {identity_init,  /*always put identity last to skip it..*/
+        identity_free, identity_draw, identity_init_iter, identity_dying_iter}
+};    
+static unsigned int nmorphs = countof(morphs);
+
+static Morph *select_morph()
+{ 
+    if (crack)
+        return &morphs[random() % (nmorphs-1)]; 
+    else if (boring)
+        return &morphs[nmorphs-1]; 
+    else
+        return morphs;
+}
+
+
+/***************************
+ ** Trile superstructure functions. 
+ **  */
+
+
+static void triles_set_visible(cberg_state *cberg, Trile **root, int x, int y)
+{
+    Trile *parent = NULL, 
+          *iter = *root;
+    int goleft=0;
+
+    while (iter != NULL) {
+        parent = iter;
+        goleft = (iter->x > x || (iter->x == x && iter->y > y));
+        if (goleft)
+            iter = iter->left;
+        else if (iter->x == x && iter->y == y) {
+            iter->visible = 1;
+            return;
+        } else
+            iter = iter->right;
+    }
+
+    if (parent == NULL)
+        *root = trile_new(cberg, x,y, NULL, NULL);
+    else if (goleft)
+        parent->left = trile_new(cberg, x,y, parent, *root);
+    else
+        parent->right = trile_new(cberg, x,y, parent, *root);
+}
+
+static unsigned int triles_foreach(Trile *root, void (*f)(Trile *, void *), 
+  void *data)
+{
+    if (root == NULL) 
+        return 0;
+    
+    f(root, data);
+    return 1 + triles_foreach(root->left, f, data) 
+      + triles_foreach(root->right, f, data);
+}
+
+static void triles_update_state(Trile **root, cberg_state *cberg)
+{
+    int process_current = 1;
+    if (*root == NULL)
+        return;
+
+    while (process_current) {
+        if ( (*root)->visible ) {
+            if ( (*root)->state == TRILE_INIT )
+                (*root)->morph->init_iter(*root, cberg);
+            else if ( (*root)->state == TRILE_DYING ) {
+                (*root)->state = TRILE_INIT;
+                (*root)->morph->init_iter(*root, cberg);
+            } else if ( (*root)->state == TRILE_NEW ) 
+                (*root)->state = TRILE_INIT;
+
+            (*root)->visible = 0;
+        } else {
+            if ( (*root)->state == TRILE_STABLE )
+                (*root)->state = TRILE_DYING;
+            else if ( (*root)->state == TRILE_INIT ) {
+                (*root)->state = TRILE_DYING;
+                (*root)->morph->dying_iter(*root, cberg);
+            } else if ( (*root)->state == TRILE_DYING )
+                (*root)->morph->dying_iter(*root, cberg);
+        }
+
+        if ( (*root)->state == TRILE_DELETE ) {
+            Trile *splice_me;
+            process_current = 1;
+
+            if ((*root)->left == NULL) {
+                splice_me = (*root)->right;
+                if (splice_me)
+                    splice_me->parent = (*root)->parent;
+                else 
+                    process_current = 0;
+            } else if ((*root)->right == NULL) {
+                splice_me = (*root)->left;
+                splice_me->parent = (*root)->parent;
+            } else {
+                Trile *tmp;
+                for (splice_me = (*root)->right; splice_me->left != NULL; )
+                    splice_me = splice_me->left;
+                tmp = splice_me->right;
+
+                if (tmp) tmp->parent = splice_me->parent;
+
+                if (splice_me == splice_me->parent->left)
+                    splice_me->parent->left = tmp;
+                else
+                    splice_me->parent->right = tmp;
+
+                splice_me->parent = (*root)->parent;
+                splice_me->left = (*root)->left;
+                (*root)->left->parent = splice_me;
+                splice_me->right = (*root)->right;
+                if ((*root)->right)
+                    (*root)->right->parent = splice_me;
+            }
+            trile_free(*root);
+            *root = splice_me;
+        } else
+            process_current = 0;
+    }
+
+    if (*root) {
+        triles_update_state(&((*root)->left), cberg);
+        triles_update_state(&((*root)->right), cberg);
+    } 
+}
+
+static Trile *triles_find(Trile *tr, int x, int y)
+{
+    while (tr && !(tr->x == x && tr->y == y))
+        if (x < tr->x || (x == tr->x && y < tr->y))
+            tr = tr->left;
+        else
+            tr = tr->right;
+    return tr;
+}
+
+
+/***************************
+ ** Trile superstructure visibility functions. 
+ **  strategy fine, implementation lazy&retarded =/
+ **  */
+
+#ifdef DEBUG
+static double x_shit, y_shit;
+#endif
+
+static void calc_points(cberg_state *cberg, double *x1,double *y1, 
+        double *x2,double *y2, double *x3,double *y3, double *x4,double *y4)
+{
+    double zNear, x_nearcenter, y_nearcenter, nhalfwidth, x_center, y_center;
+
+
+    /* could cache these.. bahhhhhhhhhhhhhh */
+    double halfheight = tan(cberg->fovy / 2 * M_PI_180) * cberg->zNear;
+    double fovx_2 = atan(halfheight * cberg->aspect / cberg->zNear) * M_180_PI; 
+    double zFar = cberg->zFar + M_RAD7_4;
+    double fhalfwidth = zFar * tan(fovx_2 * M_PI_180)
+                      + M_RAD7_4 / cos(fovx_2 * M_PI_180);
+    double x_farcenter = cberg->x + zFar * cos(cberg->yaw * M_PI_180);
+    double y_farcenter = cberg->y + zFar * sin(cberg->yaw * M_PI_180);
+    *x1 = x_farcenter + fhalfwidth * cos((cberg->yaw - 90) * M_PI_180);
+    *y1 = y_farcenter + fhalfwidth * sin((cberg->yaw - 90) * M_PI_180);
+    *x2 = x_farcenter - fhalfwidth * cos((cberg->yaw - 90) * M_PI_180);
+    *y2 = y_farcenter - fhalfwidth * sin((cberg->yaw - 90) * M_PI_180);
+
+#ifdef DEBUG
+    printf("pos (%.3f,%.3f) @ %.3f || fovx: %f || fovy: %f\n", 
+            cberg->x, cberg->y, cberg->yaw, fovx_2 * 2, cberg->fovy);
+    printf("\tfarcenter: (%.3f,%.3f) || fhalfwidth: %.3f \n"
+           "\tp1: (%.3f,%.3f) || p2: (%.3f,%.3f)\n",
+            x_farcenter, y_farcenter, fhalfwidth, *x1, *y1, *x2, *y2);
+#endif
+
+    if (cberg->z - halfheight <= 0) /* near view plane hits xy */
+        zNear = cberg->zNear - M_RAD7_4;
+    else /* use bottom of frustum */
+        zNear = cberg->z / tan(cberg->fovy / 2 * M_PI_180) - M_RAD7_4;
+    nhalfwidth = zNear * tan(fovx_2 * M_PI_180)
+               + M_RAD7_4 / cos(fovx_2 * M_PI_180);
+    x_nearcenter = cberg->x + zNear * cos(cberg->yaw * M_PI_180);
+    y_nearcenter = cberg->y + zNear * sin(cberg->yaw * M_PI_180);
+    *x3 = x_nearcenter - nhalfwidth * cos((cberg->yaw - 90) * M_PI_180);
+    *y3 = y_nearcenter - nhalfwidth * sin((cberg->yaw - 90) * M_PI_180);
+    *x4 = x_nearcenter + nhalfwidth * cos((cberg->yaw - 90) * M_PI_180);
+    *y4 = y_nearcenter + nhalfwidth * sin((cberg->yaw - 90) * M_PI_180);
+
+#ifdef DEBUG
+    printf("\tnearcenter: (%.3f,%.3f) || nhalfwidth: %.3f\n"
+           "\tp3: (%.3f,%.3f) || p4: (%.3f,%.3f)\n",
+            x_nearcenter, y_nearcenter, nhalfwidth, *x3, *y3, *x4, *y4);
+#endif
+
+
+    /* center can be average or the intersection of diagonals.. */
+#if 0
+    {
+        double c = nhalfwidth * (zFar -zNear) / (fhalfwidth + nhalfwidth);
+        x_center = x_nearcenter + c * cos(cberg->yaw * M_PI_180);
+        y_center = y_nearcenter + c * sin(cberg->yaw * M_PI_180);
+    }
+#else
+    x_center = (x_nearcenter + x_farcenter) / 2;
+    y_center = (y_nearcenter + y_farcenter) / 2;
+#endif
+#ifdef DEBUG
+    x_shit = x_center;
+    y_shit = y_center;
+#endif
+    
+#define VSCALE(p)   *x##p = visibility * *x##p + (1-visibility) * x_center; \
+                    *y##p = visibility * *y##p + (1-visibility) * y_center
+
+    VSCALE(1);
+    VSCALE(2);
+    VSCALE(3);
+    VSCALE(4);
+#undef VSCALE
+}
+
+/* this is pretty stupid.. */
+static inline void minmax4(double a, double b, double c, double d, 
+  double *min, double *max)
+{
+    *min = *max = a;
+
+    if (b > *max)       *max = b;
+    else if (b < *min)  *min = b;
+    if (c > *max)       *max = c;
+    else if (c < *min)  *min = c;
+    if (d > *max)       *max = d;
+    else if (d < *min)  *min = d;
+}
+
+typedef struct {
+    double min, max, start, dx;
+} LS;
+
+#define check_line(a, b)                     \
+    if (fabs(y##a-y##b) > 0.001) {                    \
+        ls[count].dx = (x##b-x##a)/(y##b-y##a);               \
+        if (y##b > y##a) {                            \
+            ls[count].start = x##a;                     \
+            ls[count].min = y##a;                       \
+            ls[count].max = y##b;                       \
+        } else {                                  \
+            ls[count].start = x##b;                     \
+            ls[count].min = y##b;                       \
+            ls[count].max = y##a;                       \
+        }                                         \
+        ++count;                                    \
+    }
+
+static unsigned int build_ls(cberg_state *cberg, 
+                      double x1, double y1, double x2, double y2, 
+                      double x3, double y3, double x4, double y4, LS *ls,
+                      double *trough, double *peak)
+{
+    unsigned int count = 0;
+
+    check_line(1, 2);
+    check_line(2, 3);
+    check_line(3, 4);
+    check_line(4, 1);
+
+    minmax4(y1, y2, y3, y4, trough, peak);
+    return count;
+}
+
+#undef check_line
+
+/*needs bullshit to avoid double counts on corners.*/
+static void find_bounds(double y, double *left, double *right, LS *ls,
+        unsigned int nls)
+{
+    double x;
+    unsigned int i, set = 0;
+
+    for (i = 0; i != nls; ++i)
+        if (ls[i].min <= y && ls[i].max >= y) {
+            x = (y - ls[i].min) * ls[i].dx + ls[i].start;
+            if (!set) {
+                *left = x;
+                ++set;
+            } else if (fabs(x - *left) > 0.001) {
+                if (*left < x)
+                    *right = x;
+                else {
+                    *right = *left;
+                    *left = x;
+                }
+                return;
+            }
+        }
+
+    /* just in case we somehow blew up */
+    *left = 3.0;
+    *right = -3.0;
+}
+
+static void mark_visible(cberg_state *cberg)
+{
+    double trough, peak, yval, left=0, right=0;
+    double x1,y1, x2,y2, x3,y3, x4,y4;
+    int start, stop, x, y;
+    LS ls[4];
+    unsigned int nls;
+
+    calc_points(cberg, &x1,&y1, &x2,&y2, &x3,&y3, &x4,&y4);
+    nls = build_ls(cberg, x1,y1, x2,y2, x3,y3, x4,y4, ls, &trough, &peak);
+
+    start = (int) ceil(trough / M_SQRT3_2);
+    stop = (int) floor(peak / M_SQRT3_2);
+    
+    for (y = start; y <= stop; ++y) {
+        yval = y * M_SQRT3_2;
+        find_bounds(yval, &left, &right, ls, nls);
+        for (x = (int) ceil(left*2-1); x <= (int) floor(right*2); ++x) 
+            triles_set_visible(cberg, &(cberg->trile_head), x, y);
+    }
+}
+
+
+/***************************
+ ** color schemes
+ ** */
+
+static void plain_land(double z)
+{ glColor3f(pow((z/0.35),4),  z/0.35, pow((z/0.35),4)); }
+static void plain_water(double z)
+{ glColor3f(0.0, (z+0.35)*1.6, 0.8); }
+
+static void ice_land(double z)
+{ glColor3f((0.35 - z)/0.35, (0.35 - z)/0.35, 1.0); }
+static void ice_water(double z)
+{ glColor3f(0.0, (z+0.35)*1.6, 0.8); }
+
+
+static void magma_land(double z)
+{ glColor3f(z/0.35, z/0.2,0); }
+static void magma_lava(double z)
+{ glColor3f((z+0.35)*1.6, (z+0.35), 0.0); }
+
+static double vs0r,vs0g,vs0b, vs1r, vs1g, vs1b,
+              vf0r,vf0g,vf0b, vf1r, vf1g, vf1b;
+static void vomit_solid(double z)
+{
+    double norm = fabs(z) / 0.35;
+    glColor3f( 
+      (1-norm) * vs0r + norm * vs1r, 
+      (1-norm) * vs0g + norm * vs1g, 
+      (1-norm) * vs0b + norm * vs1b 
+    );
+}
+static void vomit_fluid(double z)
+{
+    double norm = z / -0.35;
+    glColor3f( 
+      (1-norm) * vf0r + norm * vf1r, 
+      (1-norm) * vf0g + norm * vf1g, 
+      (1-norm) * vf0b + norm * vf1b 
+    );
+}
+
+
+static Color colors[] = {
+    {"plain", plain_land, plain_water, {0.0, 0.0, 0.0, 1.0}},
+    {"ice", ice_land, ice_water, {0.0, 0.0, 0.0, 1.0}},
+    {"magma", magma_land, magma_lava, {0.3, 0.3, 0.0, 1.0}},
+    {"vomit", vomit_solid, vomit_fluid, {0.3, 0.3, 0.0, 1.0}}, /* no error! */
+};
+static unsigned int ncolors = countof(colors);
+
+static Color *select_color()
+{
+    int idx = -1;
+    if ( ! strcmp(color, "random") )
+        idx = random() % ncolors;
+    else {
+        unsigned int i;
+        for (i = 0; i != ncolors; ++i)
+            if ( ! strcmp(colors[i].id, color) ) {
+                idx = i;
+                break;
+            }
+
+        if (idx == -1) {
+            printf("invalid color scheme selected; valid choices are:\n");
+            for (i = 0; i != ncolors; ++i)
+                printf("\t%s\n", colors[i].id);
+            printf("\t%s\n", "random");
+            idx = 0;
+        }
+    }
+
+    if ( ! strcmp(colors[idx].id, "vomit") ) { /* need to create it (ghetto) */
+        vs0r = random()/(double)RAND_MAX;
+        vs0g = random()/(double)RAND_MAX;
+        vs0b = random()/(double)RAND_MAX; 
+        vs1r = random()/(double)RAND_MAX; 
+        vs1g = random()/(double)RAND_MAX;
+        vs1b = random()/(double)RAND_MAX;
+        vf0r = random()/(double)RAND_MAX;
+        vf0g = random()/(double)RAND_MAX;
+        vf0b = random()/(double)RAND_MAX; 
+        vf1r = random()/(double)RAND_MAX; 
+        vf1g = random()/(double)RAND_MAX; 
+        vf1b = random()/(double)RAND_MAX; 
+ 
+        glClearColor(random()/(double)RAND_MAX,
+                     random()/(double)RAND_MAX,
+                     random()/(double)RAND_MAX,
+                     1.0);
+    } else {
+        glClearColor(colors[idx].bg[0],
+                     colors[idx].bg[1],
+                     colors[idx].bg[2],
+                     colors[idx].bg[3]);
+    }
+    return colors + idx;
+}
+
+
+/***************************
+ ** misc helper functions
+ ** */
+
+
+/* simple one for now.. */
+static inline double drunken_rando(double cur_val, double max, double width)
+{
+    double r = random() / (double) RAND_MAX * 2;
+    if (cur_val > 0)
+        if (r >= 1)
+            return cur_val + (r-1) * width * (1-cur_val/max);
+        else
+            return cur_val - r * width; 
+    else
+        if (r >= 1)
+            return cur_val - (r-1) * width * (1+cur_val/max);
+        else
+            return cur_val + r * width; 
+}
+
+
+/***************************
+ ** core crackberg routines
+ ** */
+
+
+void crackberg_init(ModeInfo *mi)
+{
+    cberg_state *cberg;
+
+    if (!cbergs) {
+        nsubdivs %= 16; /* just in case.. */
+        epoints = 1 + (1 << nsubdivs);
+        tpoints = epoints * (epoints + 1) / 2;
+        ntris = (1 << (nsubdivs << 1));
+        tnorms = ( (flat) ? ntris : tpoints);
+        dx = 1.0 / (1 << nsubdivs);
+
+        if ( !(cbergs = calloc(MI_NUM_SCREENS(mi), sizeof(cberg_state)))
+          || !(heights = malloc(tpoints * sizeof(double)))
+          || (lit && !(norms = malloc(3 * tnorms * sizeof(double)))) ) {
+            perror(progname);
+            exit(1);
+        }
+
+        if (visibility > 1.0 || visibility < 0.2) {
+            printf("visibility must be in range [0.2 .. 1.0]\n");
+            visibility = 1.0;
+        }
+    }
+
+    cberg = cbergs + MI_SCREEN(mi);
+    
+    cberg->glx_context = init_GL(mi);
+    cberg->motion_state = MOTION_AUTO;
+    cberg->mspeed = 1.0;
+    cberg->z = 0.5;
+
+    cberg->fovy = 60.0;
+    cberg->zNear = 0.5;
+    cberg->zFar = 5.0;
+
+    glEnable(GL_DEPTH_TEST);
+    glEnable(GL_BLEND);
+    glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
+    glShadeModel((flat) ? GL_FLAT : GL_SMOOTH);
+    glPolygonMode(GL_FRONT_AND_BACK, (wire) ? GL_LINE : GL_FILL);
+
+    if (lit) {
+        glEnable(GL_LIGHTING);
+        glEnable(GL_LIGHT0);
+        glEnable(GL_COLOR_MATERIAL);
+        glLightModeli(GL_LIGHT_MODEL_TWO_SIDE, GL_TRUE);
+        glColorMaterial(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE);
+        glEnable(GL_NORMALIZE);
+        glEnable(GL_RESCALE_NORMAL); 
+    }
+
+    cberg->color = select_color();
+
+    crackberg_reshape(mi, MI_WIDTH(mi), MI_HEIGHT(mi));
+}
+
+void crackberg_reshape(ModeInfo *mi, int w, int h)
+{
+    int h2;
+    cberg_state *cberg = cbergs + MI_SCREEN(mi);
+
+    if (letterbox && (h2 = w * 9 / 16) < h) {
+        glViewport(0, (h-h2)/2, w, h2);
+        cberg->aspect = w/(double)h2;
+    } else {
+        glViewport (0, 0, w, h);
+        cberg->aspect = w/(double)h;
+    }
+
+    glMatrixMode(GL_PROJECTION);
+    glLoadIdentity();
+    gluPerspective(cberg->fovy, cberg->aspect, cberg->zNear, cberg->zFar);
+    glMatrixMode(GL_MODELVIEW);
+}
+
+Bool crackberg_handle_ev(ModeInfo *mi, XEvent *ev)
+{
+    cberg_state *cberg = cbergs + MI_SCREEN(mi);
+
+    if (ev->xany.type == KeyPress) {
+        switch (XKeycodeToKeysym(mi->dpy, ev->xkey.keycode, 0)) {
+            case XK_Left:   cberg->motion_state |= MOTION_LROT;  break;
+            case XK_Right:  cberg->motion_state |= MOTION_RROT;  break;
+            case '1':       cberg->motion_state |= MOTION_DEC;   break; 
+            case '2':       cberg->motion_state |= MOTION_INC;   break;
+            case 'a':       cberg->motion_state |= MOTION_LEFT;  break;
+            case 'd':       cberg->motion_state |= MOTION_RIGHT; break;
+            case 's':       cberg->motion_state |= MOTION_BACK;  break;
+            case 'w':       cberg->motion_state |= MOTION_FORW;  break;
+            default:        return False;
+        }
+        cberg->motion_state |= MOTION_MANUAL;
+    } else if (ev->xany.type == KeyRelease) { 
+        XEvent peek_ev;
+        if (XPending(mi->dpy)) {
+            XPeekEvent(mi->dpy, &peek_ev);
+            if (peek_ev.type == KeyPress
+             && peek_ev.xkey.keycode == ev->xkey.keycode       
+             && peek_ev.xkey.time - ev->xkey.time < 2) {
+                XNextEvent(mi->dpy, &peek_ev); /* drop bullshit repeat events */
+                return False;
+            }
+        }
+
+        switch (XKeycodeToKeysym(mi->dpy, ev->xkey.keycode, 0)) {
+            case XK_Left:   cberg->motion_state &= ~MOTION_LROT;  break;
+            case XK_Right:  cberg->motion_state &= ~MOTION_RROT;  break;
+            case '1':       cberg->motion_state &= ~MOTION_DEC;   break; 
+            case '2':       cberg->motion_state &= ~MOTION_INC;   break;
+            case 'a':       cberg->motion_state &= ~MOTION_LEFT;  break;
+            case 'd':       cberg->motion_state &= ~MOTION_RIGHT; break;
+            case 's':       cberg->motion_state &= ~MOTION_BACK;  break;
+            case 'w':       cberg->motion_state &= ~MOTION_FORW;  break;
+            case ' ':       
+                if (cberg->motion_state == MOTION_MANUAL)
+                    cberg->motion_state = MOTION_AUTO;     
+                break;
+            default:            return False;
+        }
+    } else
+        return False;
+    return True;
+}   
+ 
+void crackberg_draw(ModeInfo *mi)
+{
+    cberg_state *cberg = cbergs + MI_SCREEN(mi);
+    struct timeval cur_frame_t;
+    double cur_frame;
+    static float lpos[] = {2.0,0.0,-0.3,0.0};
+
+    if (!cberg->glx_context) /*XXX does this get externally tweaked? it kinda*/
+        return;               /*XXX can't.. check it in crackberg_init*/
+
+    gettimeofday(&cur_frame_t, NULL);
+    cur_frame = cur_frame_t.tv_sec + cur_frame_t.tv_usec / 1.0E6;
+    if ( cberg->prev_frame ) { /*not first run */
+        static double elapsed = 1.0;
+
+        cberg->elapsed = cur_frame - cberg->prev_frame;
+
+        if (cberg->motion_state == MOTION_AUTO) {
+            cberg->x += cberg->dx * cberg->elapsed;
+            cberg->y += cberg->dy * cberg->elapsed;
+            /* cberg->z */
+            /* cberg->pitch */
+            /* cberg->roll */
+            cberg->yaw += cberg->dyaw * cberg->elapsed;
+
+            elapsed += cberg->elapsed;
+            if (elapsed >= 0.8) {
+                elapsed = 0.0;
+                cberg->dx = drunken_rando(cberg->dx, 2.5, 0.8);
+                cberg->dy = drunken_rando(cberg->dy, 2.5, 0.8);
+                /* cberg->dz */
+                /* cberg->dpitch */
+                /* cberg->droll */
+                cberg->dyaw = drunken_rando(cberg->dyaw, 40.0,  8.0);
+            }
+        } else {
+            double scale = cberg->elapsed * cberg->mspeed;
+            if (cberg->motion_state & MOTION_BACK) {
+                cberg->x -= cos(cberg->yaw * M_PI_180) * scale;
+                cberg->y -= sin(cberg->yaw * M_PI_180) * scale;
+            }
+            if (cberg->motion_state & MOTION_FORW) {
+                cberg->x += cos(cberg->yaw * M_PI_180) * scale;
+                cberg->y += sin(cberg->yaw * M_PI_180) * scale;
+            }
+
+            if (cberg->motion_state & MOTION_LEFT) {
+                cberg->x -= sin(cberg->yaw * M_PI_180) * scale;
+                cberg->y += cos(cberg->yaw * M_PI_180) * scale;
+            }
+            if (cberg->motion_state & MOTION_RIGHT) {
+                cberg->x += sin(cberg->yaw * M_PI_180) * scale;
+                cberg->y -= cos(cberg->yaw * M_PI_180) * scale;
+            }
+
+            if (cberg->motion_state & MOTION_LROT)
+                cberg->yaw += 45 * scale;
+            if (cberg->motion_state & MOTION_RROT)
+                cberg->yaw -= 45 * scale;
+
+            if (cberg->motion_state & MOTION_DEC)
+                cberg->mspeed /= pow(MSPEED_SCALE, elapsed);
+            if (cberg->motion_state & MOTION_INC)
+                cberg->mspeed *= pow(MSPEED_SCALE, elapsed);
+
+        }
+    }
+    cberg->prev_frame = cur_frame;
+
+    mark_visible(cberg);
+    triles_update_state(&(cberg->trile_head), cberg);
+        
+    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+    glLoadIdentity();
+    gluLookAt(0,0,0, 1,0,0, 0,0,1);
+    glLightfv(GL_LIGHT0, GL_POSITION, lpos);
+    /*glRotated(cberg->roll, 1,0,0); / * XXX blah broken and unused for now..* /
+    glRotated(cberg->pitch, 0,1,0); */
+    glRotated(-cberg->yaw, 0,0,1); /* camera sees ->yaw over */
+    glTranslated(-cberg->x, -cberg->y, -cberg->z);
+
+    mi->polygon_count = ntris * 
+      triles_foreach(cberg->trile_head, trile_draw,(void *) cberg);
+    
+    if (mi->fps_p)  
+        do_fps(mi);
+
+#ifdef DEBUG
+    glBegin(GL_LINES);
+        glColor3f(1.0,0.0,0.0);
+        glVertex3d(x_shit, y_shit, 0.0);
+        glVertex3d(x_shit, y_shit, 1.0);
+    glEnd();
+#endif
+
+    glFinish();
+    glXSwapBuffers(MI_DISPLAY(mi), MI_WINDOW(mi));
+}
+
+/* uh */
+void crackberg_free(ModeInfo *mi)
+{
+    if (lit)
+        free(norms);
+
+    free(heights);
+    free(cbergs);
+}
+
+#endif /* USE_GL */

=== added file 'hacks/glx/crackberg.man'
--- hacks/glx/crackberg.man	1970-01-01 00:00:00 +0000
+++ hacks/glx/crackberg.man	2005-12-08 16:00:22 +0000
@@ -0,0 +1,123 @@
+.TH XScreenSaver 1 "" "X Version 11"
+.SH NAME
+zephyr - Lose your way wandering some height fields, and enjoy candy.
+.SH SYNOPSIS
+.B zephyr
+[\-root]
+[\-window]
+[\-install]
+[\-display \fIhost:display.screen\fP]
+[\-visual \fIvisual\fP]
+[\-window-id \fIid\fP]
+[\-delay \fIusecs\fP]
+[\-fps]
+[\-crack]
+[\-lit]
+[\-boring]
+[\-letterbox]
+[\-flat]
+[\-wire]
+[\-nowater]
+[\-visibility \fIfloat\fP]
+[\-color \fIstring\fP]
+[\-nsubdivs \fIinteger\fP]
+.SH DESCRIPTION
+Flies through height maps, optionally animating the instantiation and
+destruction of generated tiles; by default, tiles 'grow' into place (height
+gradually increased up to correct value).  In windowed mode the following key
+controls are available:
+.TP 8
+.B left, right
+Turn left and right.
+.TP 8
+.B a,w,s,d
+Move left, forwards, backwards, and to the right, respectively.
+.TP 8
+.B 1,2
+Decrease and increase manual speed, respectively.
+.TP 8
+.B Spacebar
+Return to automatic control.
+.SH OPTIONS
+.I zephyr
+accepts the following options:
+.TP 8
+.B \-root
+Draw on the root window.
+.TP 8
+.B \-window
+Draw on a newly-created window.  This is the default.
+.TP 8
+.B \-install
+Install a private colormap for the window.
+.TP 8
+.B \-visual \fIvisual\fP
+Specify which visual to use.  Legal values are the name of a visual
+class, or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-delay \fImicroseconds\fP
+Delay between frames; default 20000 (1/50th of a second).
+.TP 8
+.B \-fps
+Display frame per second and polygon counts.
+.TP 8
+.B \-crack
+Use all possible methods to animate tile instantiation.
+.TP 8
+.B \-boring
+Do not animate instatiation at all; use this to get standard landscape 
+generator behavior.
+.TP 8
+.B \-letterbox
+Drawable window region has a 16:9 aspect ratio, regardless of actual
+window size.
+.TP 8
+.B \-lit
+Enable lighting.
+.TP 8
+.B \-flat
+Flat shading (OpenGL will use one color per primitive, rather than
+interpolating betwixt vertices).
+.TP 8
+.B \-wire
+Wireframe.
+.TP 8
+.B \-nowater
+Do not display 'water' (forces negative values to zero, and selects a 
+different coloring method).
+.TP 8
+.B \-visibility \fIfloat\fP
+Value in range [0.2,1.0] (default 0.6) specifying proportion of viewable 
+XY plane which is to be drawn upon.
+.TP 8
+.B \-color \fIstring\fP
+Selects color scheme.  Use with no or bogus argument for current list.
+.TP 8
+.B \-nsubdivs \fIinteger\fP
+Number of times to recursively subdivide each triangular tile.  Each 
+increment increases total triangles by a factor of 4; for instance the default
+setting 4 results in 256 triangles per tile.
+
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global resources
+stored in the RESOURCE_MANAGER property.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.SH COPYRIGHT
+Copyright \(co 2005 by Matus Telgarsky.  Permission to use, copy,
+modify, distribute, and sell this software and its documentation for
+any purpose is hereby granted without fee, provided that the above
+copyright notice appear in all copies and that both that copyright
+notice and this permission notice appear in supporting documentation.
+No representations are made about the suitability of this software for
+any purpose.  It is provided "as is" without express or implied
+warranty.
+.SH AUTHOR
+Matus Telgarsky <catachresis@cmu.edu>, 2005.

=== added file 'hacks/glx/cube21.c'
--- hacks/glx/cube21.c	1970-01-01 00:00:00 +0000
+++ hacks/glx/cube21.c	2006-06-30 16:27:21 +0000
@@ -0,0 +1,862 @@
+/*-
+ * Permission to use, copy, modify, and distribute this software and its
+ * documentation for any purpose and without fee is hereby granted,
+ * provided that the above copyright notice appear in all copies and that
+ * both that copyright notice and this permission notice appear in
+ * supporting documentation.
+ *
+ * This file is provided AS IS with no warranties of any kind.  The author
+ * shall have no liability with respect to the infringement of copyrights,
+ * trade secrets or any patents by this file or any part thereof.  In no
+ * event will the author be liable for any lost revenue or profits or
+ * other special, indirect and consequential damages.
+ *
+ * Cube 21 - a Rubik-like puzzle.  It changes its shape and has more than
+ * 200 configurations.  It is known better as Square-1, but it is called
+ * Cube 21 in the Czech republic, where it was invented in 1992.
+ * 
+ * This file is derived from cage.c,
+ * "cage --- the Impossible Cage, an Escher like scene",
+ * by Marcelo F. Vienna,
+ * parts from gltext.c by Jamie Zawinski
+ *
+ * Vaclav (Vasek) Potocek
+ * vasek.potocek@post.cz
+ */
+
+/* TODO:
+ *  some simple "solve mode"
+ *  use rotator and trackball
+ */
+
+/*-
+ * Texture mapping is only available on RGBA contexts, Mono and color index
+ * visuals DO NOT support texture mapping in OpenGL.
+ *
+ * BUT Mesa do implements RGBA contexts in pseudo color visuals, so texture
+ * mapping should work on PseudoColor, DirectColor, TrueColor using Mesa. Mono
+ * is not officially supported for both OpenGL and Mesa, but seems to not crash
+ * Mesa.
+ *
+ * In real OpenGL, PseudoColor DO NOT support texture map (as far as I know).
+ */
+
+#define PROGCLASS     "Cube21"
+#define HACK_INIT     init_cube21
+#define HACK_DRAW     draw_cube21
+#define HACK_RESHAPE  reshape_cube21
+#define cube21_opts   xlockmore_opts
+
+#define DEF_XYSPEED   "1.0"
+#define DEF_TSPEED    "3.0"
+#define DEF_WSPEED    "1.0"
+#define DEF_TWAIT     "40.0"
+#define DEF_SIZE      "0.7"
+#define DEF_COLMODE   "(none)"
+
+#define DEFAULTS   "*delay:         20000         \n" \
+                   "*showFPS:       False         \n" \
+                   "*wireframe:     False         \n"
+
+#include "xlockmore.h"
+
+#ifdef USE_GL
+
+#include <GL/glu.h>
+
+#ifdef Pi
+#undef Pi
+#endif
+#define Pi      M_PI
+
+#define SHUFFLE 100
+
+#define COS15   0.9659258263
+#define SIN15   0.2588190451
+#define COS30   0.8660254038
+#define SIN30   0.5000000000
+
+#define TEX_WIDTH  128
+#define TEX_HEIGHT 128
+#define TEX_GRAY   0.7, 0.7
+#define BORDER     3
+#define BORDER2    9
+
+#undef countof
+#define countof(x) (sizeof((x))/sizeof((*x)))
+
+#define rnd01() (random()%2)
+#define rndcolor() (frand(0.5)+0.3)
+
+/*************************************************************************/
+
+static Bool wander, spin, wire, tex, rndstart, cmat;
+static float spinspeed, tspeed, wspeed, twait, size;
+static char *colmode_s;
+static int colmode;
+
+static argtype vars[] = {
+  { &spin,      "spin",        "Spin",        "True",      t_Bool},
+  { &wander,    "wander",      "Wander",      "True",      t_Bool},
+  { &rndstart,  "randomize",   "Randomize",   "True",      t_Bool},
+  { &tex,       "texture",     "Texture",     "True",      t_Bool},
+  { &spinspeed, "spinspeed",   "SpinSpeed",   DEF_XYSPEED, t_Float},
+  { &tspeed,    "rotspeed",    "RotSpeed",    DEF_TSPEED,  t_Float},
+  { &wspeed,    "wanderspeed", "WanderSpeed", DEF_WSPEED,  t_Float},
+  { &twait,     "wait",        "Wait",        DEF_TWAIT,   t_Float},
+  { &size,      "cubesize",    "CubeSize",    DEF_SIZE,    t_Float},
+  { &colmode_s, "colormode",   "ColorMode",   DEF_COLMODE, t_String}
+};
+
+static XrmOptionDescRec opts[] = {
+  { "-spin",        ".spin",        XrmoptionNoArg,  "True" },
+  { "+spin",        ".spin",        XrmoptionNoArg,  "False" },
+  { "-wander",      ".wander",      XrmoptionNoArg,  "True" },
+  { "+wander",      ".wander",      XrmoptionNoArg,  "False" },
+  { "-randomize",   ".randomize",   XrmoptionNoArg,  "True" },
+  { "+randomize",   ".randomize",   XrmoptionNoArg,  "False" },
+  { "-texture",     ".texture",     XrmoptionNoArg,  "True" },
+  { "+texture",     ".texture",     XrmoptionNoArg,  "False" },
+  { "-spinspeed",   ".spinspeed",   XrmoptionSepArg, 0 },
+  { "-wanderspeed", ".wanderspeed", XrmoptionSepArg, 0 },
+  { "-rotspeed",    ".rotspeed",    XrmoptionSepArg, 0 },
+  { "-wait",        ".wait",        XrmoptionSepArg, 0 },
+  { "-cubesize",    ".cubesize",    XrmoptionSepArg, 0 },
+  { "-colormode",   ".colormode",   XrmoptionSepArg, DEF_COLMODE }
+};
+
+ModeSpecOpt cube21_opts = {countof(opts), opts, countof(vars), vars, NULL};
+
+#ifdef USE_MODULES
+ModStruct   cube21_description =
+{ "cube21", "init_cube21", "draw_cube21", "release_cube21",
+  "draw_cube21", "change_cube21", NULL, &cube21_opts,
+  25000, 1, 1, 1, 1.0, 4, "",
+  "Shows randomly shuffling Cube 21", 0, NULL
+};
+#endif
+
+typedef enum {
+  CUBE21_STATE_BASIC,
+  CUBE21_PAUSE1 = CUBE21_STATE_BASIC,
+  CUBE21_ROT_BASE,
+  CUBE21_ROT_TOP = CUBE21_ROT_BASE,
+  CUBE21_ROT_BOTTOM,
+  CUBE21_PAUSE2,
+  CUBE21_HALF_BASE,
+  CUBE21_HALF1 = CUBE21_HALF_BASE,
+  CUBE21_HALF2
+} cube21_state;
+
+typedef enum {
+  CUBE21_COLOR_WHITE,
+  CUBE21_COLOR_RANDOM,
+  CUBE21_COLOR_SILVER,
+  CUBE21_COLOR_TWORND,
+  CUBE21_COLOR_CLASSIC,
+  CUBE21_COLOR_SIXRND
+} cube21_cmode;
+
+typedef int pieces_t[2][13];
+typedef int cind_t[5][12];
+typedef GLfloat col_t[6][3];
+
+typedef struct {
+  GLXContext    *glx_context;
+  GLfloat       ratio;
+  cube21_state  state;          /* type of "rotation" - shuffling */
+  GLfloat       xrot, yrot;     /* "spin" - object rotation around axis */
+  GLfloat       posarg;         /* position argument (for sine function) */
+  GLfloat       t, tmax;        /* rotation clock */
+  int           hf[2], fr[2];   /* half flipped / face rotated flags */
+  int           rface, ramount; /* selected face and amount of rotation in multiplies of 30deg */
+  int           pieces[2][13];  /* locations of "narrow" and "wide" pieces */
+  int           cind[5][12];    /* color indices */
+  GLfloat       colors[6][3];   /* color map */
+} cube21_conf;
+
+static cube21_conf *cube21 = NULL;
+static unsigned char texture[TEX_HEIGHT][TEX_WIDTH];
+
+static GLfloat shininess = 20.0;
+static GLfloat ambient[] = {0.0, 0.0, 0.0, 1.0};
+static GLfloat diffuse[] = {1.0, 1.0, 1.0, 1.0};
+static GLfloat position0[] = {1.0, 1.0, 1.0, 0.0};
+static GLfloat position1[] = {-1.0, -1.0, 1.0, 0.0};
+static GLfloat lmodel_ambient[] = {0.1, 0.1, 0.1, 1.0};
+static GLfloat material_ambient[] = {0.7, 0.7, 0.7, 1.0};
+static GLfloat material_diffuse[] = {0.7, 0.7, 0.7, 1.0};
+static GLfloat material_specular[] = {0.2, 0.2, 0.2, 1.0};
+static GLfloat color_inner[] = {1.0, 1.0, 1.0};
+static GLfloat texp = 0.0, texq, posc[6];
+static GLfloat zpos = -18.0;
+
+/*************************************************************************/
+
+static void find_matches(pieces_t pieces, int matches[12], int s) {
+  int i, j = 1;
+  for(i = 1; i<6; i++) {
+    if(pieces[s][i] && pieces[s][i+6]) {
+      matches[j++] = i;
+    }
+  }
+  matches[0] = j;
+  for(i = 1; i<matches[0]; i++) {
+    matches[j++] = matches[i]-6;
+  }
+  matches[j++] = 6;
+  matches[0] = j;
+}
+
+static void rot_face(pieces_t pieces, cind_t colors, int s, int o) {
+  int i;
+  int tmp[12], tmpc[2][12];
+  int c0 = 2*s, c1 = c0+1;
+  for(i = 0; i<12; i++) {
+    tmp[i] = pieces[s][i];
+    tmpc[0][i] = colors[c0][i];
+    tmpc[1][i] = colors[c1][i];
+  }
+  if(o<0) o += 12;
+  for(i = 0; i<12; i++, o++) {
+    if(o==12) o = 0;
+    pieces[s][i] = tmp[o];
+    colors[c0][i] = tmpc[0][o];
+    colors[c1][i] = tmpc[1][o];
+  }
+}
+
+static void rot_halves(pieces_t pieces, cind_t colors, int hf[2], int s) {
+  int ss = 6*s, i, j, k, t;
+  for(i = 0; i<6; i++) {
+    j = ss+i; k = ss+6-i;
+    t = pieces[0][j];
+    pieces[0][j] = pieces[1][k];
+    pieces[1][k] = t;
+    k--;
+    t = colors[0][j];
+    colors[0][j] = colors[2][k];
+    colors[2][k] = t;
+    t = colors[1][j];
+    colors[1][j] = colors[3][k];
+    colors[3][k] = t;
+  }
+  hf[s] ^= 1;
+}
+
+static void randomize(cube21_conf *cp) {
+  int i, j, s;
+  int matches[12];
+  for(i = 0; i<SHUFFLE; i++) {
+    s = rnd01();
+    find_matches(cp->pieces, matches, s);
+    j = matches[0]-1;
+    j = random()%j;
+    j = matches[j+1];
+    rot_face(cp->pieces, cp->cind, s, j);
+    s = rnd01();
+    rot_halves(cp->pieces, cp->cind, cp->hf, s);
+  }
+}
+
+static void finish(cube21_conf *cp) {
+  int j, s;
+  int matches[12];
+  switch(cp->state) {
+    case CUBE21_PAUSE1:
+      s = rnd01();
+      find_matches(cp->pieces, matches, s);
+      j = matches[0]-1;
+      j = random()%j;
+      j = matches[j+1];
+      if(j==6 && rnd01()) j = -6;
+      cp->state = CUBE21_ROT_BASE+s;
+      cp->tmax = 30.0*abs(j);
+      cp->fr[0] = cp->fr[1] = 0;
+      cp->rface = s;
+      cp->ramount = j;
+      break;
+    case CUBE21_ROT_TOP:
+    case CUBE21_ROT_BOTTOM:
+      rot_face(cp->pieces, cp->cind, s = cp->rface, cp->ramount);
+      cp->fr[s] = 1;
+      s ^= 1;
+      if(!cp->fr[s] && rnd01()) {
+        find_matches(cp->pieces, matches, s);
+        j = matches[0]-1;
+        j = random()%j;
+        j = matches[j+1];
+        if(j==6 && rnd01()) j = -6;
+        cp->state = CUBE21_ROT_BASE+s;
+        cp->tmax = 30.0*abs(j);
+        cp->rface = s;
+        cp->ramount = j;        
+        break;
+      } else {
+        cp->state = CUBE21_PAUSE2;
+        cp->tmax = twait;
+        break;
+      }
+    case CUBE21_PAUSE2:
+      s = rnd01();
+      cp->ramount = -rnd01();       /* 0 or -1, only sign is significant in this case */
+      cp->state = CUBE21_HALF_BASE+s;
+      cp->tmax = 180.0;
+      cp->rface = s;
+      break;
+    case CUBE21_HALF1:
+    case CUBE21_HALF2:
+      rot_halves(cp->pieces, cp->cind, cp->hf, cp->rface);
+      cp->state = CUBE21_PAUSE1;
+      cp->tmax = twait;
+      break;
+  }
+  cp->t = 0;
+}
+
+static void draw_narrow_piece(GLfloat s, int c1, int c2, col_t colors) {
+  GLfloat s1 = posc[0]*s;
+  glBegin(GL_TRIANGLES);
+  glNormal3f(0.0, 0.0, s);
+  if(cmat) glColor3fv(colors[c1]);
+  glTexCoord2f(0.5, 0.5);  glVertex3f(0.0, 0.0, s);
+  glTexCoord2f(texq, 0.0); glVertex3f(posc[1], 0.0, s);
+  glTexCoord2f(texp, 0.0); glVertex3f(posc[2], posc[3], s);
+  glNormal3f(0.0, 0.0, -s);
+  if(cmat) glColor3fv(color_inner);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(0.0, 0.0, s1);
+  glVertex3f(posc[1], 0.0, s1);
+  glVertex3f(posc[2], posc[3], s1);
+  glEnd();
+  glBegin(GL_QUADS);
+  glNormal3f(0.0, -1.0, 0.0);
+  if(cmat) glColor3fv(color_inner);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(0.0, 0.0, s);
+  glVertex3f(posc[1], 0.0, s);
+  glVertex3f(posc[1], 0.0, s1);
+  glVertex3f(0.0, 0.0, s1);
+  glNormal3f(COS15, SIN15, 0.0);
+  if(cmat) glColor3fv(colors[c2]);
+  glTexCoord2f(texq, texq); glVertex3f(posc[1], 0.0, s);
+  glTexCoord2f(texq, texp); glVertex3f(posc[2], posc[3], s);
+  glTexCoord2f(1.0, texp);  glVertex3f(posc[2], posc[3], s1);
+  glTexCoord2f(1.0, texq);  glVertex3f(posc[1], 0.0, s1);
+  glNormal3f(-SIN30, COS30, 0.0);
+  if(cmat) glColor3fv(color_inner);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(0.0, 0.0, s);
+  glVertex3f(posc[2], posc[3], s);
+  glVertex3f(posc[2], posc[3], s1);
+  glVertex3f(0.0, 0.0, s1);
+  glEnd();
+  glRotatef(30.0, 0.0, 0.0, 1.0);
+}
+
+static void draw_wide_piece(GLfloat s, int c1, int c2, int c3, col_t colors) {
+  GLfloat s1 = posc[0]*s;
+  glBegin(GL_TRIANGLES);
+  glNormal3f(0.0, 0.0, s);
+  if(cmat) glColor3fv(colors[c1]);
+  glTexCoord2f(0.5, 0.5);  glVertex3f(0.0, 0.0, s);
+  glTexCoord2f(texp, 0.0); glVertex3f(posc[1], 0.0, s);
+  glTexCoord2f(0.0, 0.0);  glVertex3f(posc[4], posc[5], s);
+  glTexCoord2f(0.0, 0.0);  glVertex3f(posc[4], posc[5], s);
+  glTexCoord2f(0.0, texp); glVertex3f(posc[3], posc[2], s);
+  glTexCoord2f(0.5, 0.5);  glVertex3f(0.0, 0.0, s);
+  glNormal3f(0.0, 0.0, -s);
+  if(cmat) glColor3fv(color_inner);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(0.0, 0.0, s1);
+  glVertex3f(posc[1], 0.0, s1);
+  glVertex3f(posc[4], posc[5], s1);
+  glVertex3f(posc[4], posc[5], s1);
+  glVertex3f(posc[3], posc[2], s1);
+  glVertex3f(0.0, 0.0, s1);
+  glEnd();
+  glBegin(GL_QUADS);
+  glNormal3f(0.0, -1.0, 0);
+  if(cmat) glColor3fv(color_inner);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(0.0, 0.0, s);
+  glVertex3f(posc[1], 0.0, s);
+  glVertex3f(posc[1], 0.0, s1);
+  glVertex3f(0.0, 0.0, s1);
+  glNormal3f(COS15, -SIN15, 0.0);
+  if(cmat) glColor3fv(colors[c2]);
+  glTexCoord2f(texq, texp); glVertex3f(posc[1], 0.0, s);
+  glTexCoord2f(texq, 0.0);  glVertex3f(posc[4], posc[5], s);
+  glTexCoord2f(1.0, 0.0);   glVertex3f(posc[4], posc[5], s1);
+  glTexCoord2f(1.0, texp);  glVertex3f(posc[1], 0.0, s1);
+  glNormal3f(SIN15, COS15, 0.0);
+  if(cmat) glColor3fv(colors[c3]);
+  glTexCoord2f(texq, texp); glVertex3f(posc[4], posc[5], s);
+  glTexCoord2f(texq, 0.0);  glVertex3f(posc[3], posc[2], s);
+  glTexCoord2f(1.0, 0.0);   glVertex3f(posc[3], posc[2], s1);
+  glTexCoord2f(1.0, texp);  glVertex3f(posc[4], posc[5], s1);
+  glNormal3f(-COS30, SIN30, 0.0);
+  if(cmat) glColor3fv(color_inner);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(0.0, 0.0, s);
+  glVertex3f(posc[3], posc[2], s);
+  glVertex3f(posc[3], posc[2], s1);
+  glVertex3f(0.0, 0.0, s1);
+  glEnd();
+  glRotatef(60.0, 0.0, 0.0, 1.0);
+}
+
+static void draw_middle_piece(int s, cind_t cind, col_t colors) {
+  s *= 6;
+  glBegin(GL_QUADS);
+  if(cmat) glColor3fv(color_inner);
+  glNormal3f(0.0, 0.0, 1.0);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(posc[1], 0.0, posc[0]);
+  glVertex3f(posc[4], posc[5], posc[0]);
+  glVertex3f(-posc[5], posc[4], posc[0]);
+  glVertex3f(-posc[1], 0.0, posc[0]);
+  glNormal3f(0.0, 0.0, -1.0);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(posc[1], 0.0, -posc[0]);
+  glVertex3f(posc[4], posc[5], -posc[0]);
+  glVertex3f(-posc[5], posc[4], -posc[0]);
+  glVertex3f(-posc[1], 0.0, -posc[0]);
+  glNormal3f(0.0, -1.0, 0.0);
+  glTexCoord2f(TEX_GRAY);
+  glVertex3f(-posc[1], 0.0, posc[0]);
+  glVertex3f(posc[1], 0.0, posc[0]);
+  glVertex3f(posc[1], 0.0, -posc[0]);
+  glVertex3f(-posc[1], 0.0, -posc[0]);
+  glNormal3f(COS15, -SIN15, 0.0);
+  if(cmat) glColor3fv(colors[cind[4][s]]);
+  glTexCoord2f(texq, texp); glVertex3f(posc[1], 0.0, posc[0]);
+  glTexCoord2f(1.0, texp);  glVertex3f(posc[4], posc[5], posc[0]);
+  glTexCoord2f(1.0, texq);  glVertex3f(posc[4], posc[5], -posc[0]);
+  glTexCoord2f(texq, texq); glVertex3f(posc[1], 0.0, -posc[0]);
+  glNormal3f(SIN15, COS15, 0.0);
+  if(cmat) glColor3fv(colors[cind[4][s+1]]);
+  glTexCoord2f(0.0, 0.5);   glVertex3f(posc[4], posc[5], posc[0]);
+  glTexCoord2f(texq, 0.5); glVertex3f(-posc[5], posc[4], posc[0]);
+  glTexCoord2f(texq, 0.75); glVertex3f(-posc[5], posc[4], -posc[0]);
+  glTexCoord2f(0.0, 0.75);   glVertex3f(posc[4], posc[5], -posc[0]);
+  glNormal3f(-COS15, SIN15, 0.0);
+  if(cmat) glColor3fv(colors[cind[4][s+4]]);
+  glTexCoord2f(0.0, 0.75); glVertex3f(-posc[5], posc[4], posc[0]);
+  glTexCoord2f(1.0, 0.75); glVertex3f(-posc[1], 0.0, posc[0]);
+  glTexCoord2f(1.0, 1.0);  glVertex3f(-posc[1], 0.0, -posc[0]);
+  glTexCoord2f(0.0, 1.0);  glVertex3f(-posc[5], posc[4], -posc[0]);
+  glEnd();
+}
+
+static void draw_middle(cube21_conf *cp) {
+  if(cp->hf[0]) glRotatef(180.0, 0.0, 1.0, 0.0);
+  draw_middle_piece(0, cp->cind, cp->colors);
+  if(cp->hf[0]) glRotatef(180.0, 0.0, 1.0, 0.0);
+  glRotatef(180.0, 0.0, 0.0, 1.0);
+  if(cp->hf[1]) glRotatef(180.0, 0.0, 1.0, 0.0);
+  draw_middle_piece(1, cp->cind, cp->colors);
+  if(cp->hf[1]) glRotatef(180.0, 0.0, 1.0, 0.0);
+}
+
+static void draw_half_face(cube21_conf *cp, int s, int o) {
+  int i, s1 = 1-s*2, s2 = s*2;
+  for(i = o; i<o+6; i++) {
+    if(cp->pieces[s][i+1])
+      draw_narrow_piece(s1, cp->cind[s2][i], cp->cind[s2+1][i], cp->colors);
+    else {
+      draw_wide_piece(s1, cp->cind[s2][i], cp->cind[s2+1][i], cp->cind[s2+1][i+1], cp->colors);
+      i++;
+    }
+  }
+}
+
+static void draw_top_face(cube21_conf *cp) {
+  draw_half_face(cp, 0, 0);
+  draw_half_face(cp, 0, 6);
+}
+
+static void draw_bottom_face(cube21_conf *cp) {
+  draw_half_face(cp, 1, 0);
+  draw_half_face(cp, 1, 6);
+}
+
+static Bool draw_main(cube21_conf *cp) {
+  GLfloat theta = cp->ramount<0?cp->t:-cp->t;
+  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+  glLoadIdentity();
+  if(wander)
+    glTranslatef(3.0*cp->ratio*sin(13.0*cp->posarg), 3.0*sin(17.0*cp->posarg), zpos);
+  else
+    glTranslatef(0, 0, zpos);
+  glScalef(size, size, size);
+  glRotatef(cp->xrot, 1.0, 0.0, 0.0);
+  glRotatef(cp->yrot, 0.0, 1.0, 0.0);
+  if(wire) glColor3f(0.7, 0.7, 0.7);
+  switch(cp->state) {
+    case CUBE21_PAUSE1:
+    case CUBE21_PAUSE2:
+      draw_top_face(cp);
+      draw_bottom_face(cp);
+      draw_middle(cp);
+      break;
+    case CUBE21_ROT_TOP:
+      glRotatef(theta, 0.0, 0.0, 1.0);
+      draw_top_face(cp);
+      glRotatef(-theta, 0.0, 0.0, 1.0);
+      draw_bottom_face(cp);
+      draw_middle(cp);
+      break;
+    case CUBE21_ROT_BOTTOM:
+      draw_top_face(cp);
+      glRotatef(theta, 0.0, 0.0, 1.0);
+      draw_bottom_face(cp);
+      glRotatef(-theta, 0.0, 0.0, 1.0);
+      draw_middle(cp);
+      break;
+    case CUBE21_HALF1:
+      glRotatef(theta, 0.0, 1.0, 0.0);
+    case CUBE21_HALF2:
+      draw_half_face(cp, 0, 0);
+      glRotatef(-180.0, 0.0, 0.0, 1.0);
+      draw_half_face(cp, 1, 0);
+      glRotatef(-180.0, 0.0, 0.0, 1.0);
+      if(cp->hf[0]) glRotatef(180.0, 0.0, 1.0, 0.0);
+      draw_middle_piece(0, cp->cind, cp->colors);
+      if(cp->hf[0]) glRotatef(180.0, 0.0, 1.0, 0.0);
+      if(cp->state==CUBE21_HALF1)
+        glRotatef(-theta, 0.0, 1.0, 0.0);
+      else
+        glRotatef(theta, 0.0, 1.0, 0.0);
+      glRotatef(180.0, 0.0, 0.0, 1.0);
+      draw_half_face(cp, 0, 6);
+      glRotatef(-180.0, 0.0, 0.0, 1.0);
+      draw_half_face(cp, 1, 6);
+      glRotatef(-180.0, 0.0, 0.0, 1.0);
+      if(cp->hf[1]) glRotatef(180.0, 0.0, 1.0, 0.0);
+      draw_middle_piece(1, cp->cind, cp->colors);
+      break;
+  }
+  if(spin) {
+    if((cp->xrot += spinspeed)>360.0) cp->xrot -= 360.0;
+    if((cp->yrot += spinspeed)>360.0) cp->yrot -= 360.0;
+  }
+  if(wander)
+    if((cp->posarg += wspeed/1000.0)>360.0) cp->posarg -= 360.0;
+  if((cp->t += tspeed)>cp->tmax) finish(cp);
+  return True;
+}
+
+void parse_colmode(void) {
+  if(!colmode_s) {
+    colmode = CUBE21_COLOR_WHITE;
+    return;
+  }
+  if(strstr(colmode_s, "se") || strstr(colmode_s, "sil")) colmode = CUBE21_COLOR_SILVER;
+  else if(strstr(colmode_s, "ce") || strstr(colmode_s, "cla")) colmode = CUBE21_COLOR_CLASSIC;
+  else if(strstr(colmode_s, "2") || strstr(colmode_s, "two")) colmode = CUBE21_COLOR_TWORND;
+  else if(strstr(colmode_s, "6") || strstr(colmode_s, "six")) colmode = CUBE21_COLOR_SIXRND;
+  else if(strstr(colmode_s, "1") || strstr(colmode_s, "ran") || strstr(colmode_s, "rnd")) colmode = CUBE21_COLOR_RANDOM;
+  else colmode = CUBE21_COLOR_WHITE;
+}
+
+static void init_posc(void) {
+  texp = (1.0-tan(Pi/12.0))/2.0;
+  texq = 1.0-texp;
+  /* Some significant non-trivial coordinates
+   * of the object. We need them exactly at GLfloat precision
+   * for the edges to line up perfectly. */
+  posc[0] = tan(Pi/12);            /* 0.268 */
+  posc[1] = 1.0/cos(Pi/12);        /* 1.035 */
+  posc[2] = cos(Pi/6)/cos(Pi/12);  /* 0.897 */
+  posc[3] = sin(Pi/6)/cos(Pi/12);  /* 0.518 */
+  posc[4] = sqrt(2)*cos(Pi/6);     /* 1.225 */
+  posc[5] = sqrt(2)*sin(Pi/6);     /* 0.707 = 1/sqrt(2) */
+}
+
+static void draw_horz_line(int x1, int x2, int y) {
+  int x, y0 = y, w;
+  if(y<BORDER) y = -y;
+  else y = -BORDER;
+  for(; y<BORDER; y++) {
+    if(y0+y>=TEX_HEIGHT) break;
+    w = y*y*255/BORDER2;
+    for(x=x1; x<=x2; x++)
+      if(texture[y0+y][x]>w) texture[y0+y][x] = w;
+  }
+}
+
+static void draw_vert_line(int x, int y1, int y2) {
+  int x0 = x, y, w;
+  if(x<BORDER) x = -x;
+  else x = -BORDER;
+  for(; x<BORDER; x++) {
+    if(x0+x>=TEX_WIDTH) break;
+    w = x*x*255/BORDER2;
+    for(y=y1; y<=y2; y++)
+      if(texture[y][x0+x]>w) texture[y][x0+x] = w;
+  }
+}
+
+static void draw_slanted_horz(int x1, int y1, int x2, int y2) {
+  int x, y, dx = x2-x1, dy = y2-y1, y0, w;
+  for(x=x1; x<=x2; x++) {
+    y0 = y1+(y2-y1)*(x-x1)/(x2-x1);
+    for(y=-1-BORDER; y<2+BORDER; y++) {
+      w = dx*(y0+y-y1)-dy*(x-x1);
+      w = w*w/(dx*dx+dy*dy);
+      w = w*255/BORDER2;
+      if(texture[y0+y][x]>w) texture[y0+y][x] = w;
+    }
+  }
+}
+
+static void draw_slanted_vert(int x1, int y1, int x2, int y2) {
+  int x, y, dx = x2-x1, dy = y2-y1, x0, w;
+  for(y=y1; y<=y2; y++) {
+    x0 = x1+(x2-x1)*(y-y1)/(y2-y1);
+    for(x=-1-BORDER; x<2+BORDER; x++) {
+      w = dy*(x0+x-x1)-dx*(y-y1);
+      w = w*w/(dy*dy+dx*dx);
+      w = w*255/BORDER2;
+      if(texture[y][x0+x]>w) texture[y][x0+x] = w;
+    }
+  }
+}
+
+static void make_texture(void) {
+  int x, y, x0, y0;
+  float grayp[2] = {TEX_GRAY};
+  for(y=0; y<TEX_HEIGHT; y++)
+    for(x=0; x<TEX_WIDTH; x++)
+      texture[y][x] = 255;
+  draw_horz_line(0, TEX_WIDTH-1, 0);
+  draw_horz_line(texq*TEX_WIDTH, TEX_WIDTH-1, texp*TEX_HEIGHT);
+  draw_horz_line(texq*TEX_WIDTH, TEX_WIDTH-1, texq*TEX_HEIGHT);
+  draw_horz_line(0, texq*TEX_WIDTH, TEX_HEIGHT/2);
+  draw_horz_line(0, TEX_WIDTH-1, TEX_HEIGHT*3/4);
+  draw_horz_line(0, TEX_WIDTH-1, TEX_HEIGHT-1);
+  draw_vert_line(0, 0, TEX_HEIGHT-1);
+  draw_vert_line(texq*TEX_WIDTH, 0, TEX_HEIGHT*3/4);
+  draw_vert_line(TEX_WIDTH-1, 0, TEX_HEIGHT-1);
+  draw_slanted_horz(0, texp*TEX_HEIGHT, TEX_WIDTH/2, TEX_HEIGHT/2);
+  draw_slanted_vert(texp*TEX_WIDTH, 0, TEX_WIDTH/2, TEX_HEIGHT/2);
+  draw_slanted_vert(texq*TEX_WIDTH, 0, TEX_WIDTH/2, TEX_HEIGHT/2);
+  x0 = grayp[0]*TEX_WIDTH;
+  y0 = grayp[1]*TEX_HEIGHT;
+  for(y=-1; y<=1; y++)
+    for(x=-1; x<=1; x++)
+      texture[y0+y][x0+x] = 100;   
+}
+
+/* It doesn't look good */
+/*#define MIPMAP*/
+
+static void init_gl(ModeInfo *mi) {
+#ifdef MIPMAP
+  int status;
+#endif
+  parse_colmode();
+  wire = MI_IS_WIREFRAME(mi);
+  cmat = !wire && (colmode != CUBE21_COLOR_WHITE);
+  if(MI_IS_MONO(mi)) {
+    tex = False;
+    cmat = False;
+  }
+  if(wire) {
+    glPolygonMode(GL_FRONT_AND_BACK, GL_LINE);
+    return;
+  }
+  if(!tex) color_inner[0] = color_inner[1] = color_inner[2] = 0.4;
+  glClearDepth(1.0);
+  glClearColor(0.0, 0.0, 0.0, 1.0);
+  glDrawBuffer(GL_BACK);
+  glPixelStorei(GL_UNPACK_ALIGNMENT, 1);
+  glShadeModel(GL_FLAT);
+  glDepthFunc(GL_LESS);
+  glLightfv(GL_LIGHT0, GL_AMBIENT, ambient);
+  glLightfv(GL_LIGHT0, GL_DIFFUSE, diffuse);
+  glLightfv(GL_LIGHT0, GL_POSITION, position0);
+  glLightfv(GL_LIGHT1, GL_AMBIENT, ambient);
+  glLightfv(GL_LIGHT1, GL_DIFFUSE, diffuse);
+  glLightfv(GL_LIGHT1, GL_POSITION, position1);
+  glLightModelfv(GL_LIGHT_MODEL_AMBIENT, lmodel_ambient);
+  glLightModeli(GL_LIGHT_MODEL_TWO_SIDE, GL_FALSE);
+  glEnable(GL_DEPTH_TEST);
+  glEnable(GL_LIGHT0);
+  glEnable(GL_LIGHT1);
+  glEnable(GL_LIGHTING);
+  glEnable(GL_NORMALIZE);
+  glEnable(GL_COLOR_MATERIAL);
+  glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT, material_ambient);
+  glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, material_diffuse);
+  glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, material_specular);
+  glMaterialf(GL_FRONT_AND_BACK, GL_SHININESS, shininess);
+  if(!tex) return;
+  glEnable(GL_TEXTURE_2D);
+#ifdef MIPMAP
+  clear_gl_error();
+  status = gluBuild2DMipmaps(GL_TEXTURE_2D, 1, TEX_WIDTH, TEX_HEIGHT,
+      GL_LUMINANCE, GL_UNSIGNED_BYTE, texture);
+  if (status) {
+    const char *s = gluErrorString(status);
+    fprintf (stderr, "%s: error mipmapping texture: %s\n", progname, (s?s:"(unknown)"));
+    exit (1);
+  }
+  check_gl_error("mipmapping");
+#else    
+  glTexImage2D(GL_TEXTURE_2D, 0, 1, TEX_WIDTH, TEX_HEIGHT,
+      0, GL_LUMINANCE, GL_UNSIGNED_BYTE, texture);
+#endif  
+  glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+  glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_CLAMP);
+  glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_CLAMP);
+  glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
+#ifdef MIPMAP
+  glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR_MIPMAP_LINEAR);
+#else
+  glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
+#endif
+}
+
+static void init_cp(cube21_conf *cp) {
+  int i, j;
+  GLfloat ce_colors[6][3] = {
+    {1.0, 1.0, 1.0},
+    {1.0, 0.5, 0.0},
+    {0.0, 0.9, 0.0},
+    {0.8, 0.0, 0.0},
+    {0.1, 0.1, 1.0},
+    {0.9, 0.9, 0.0}
+  };
+  cp->state = CUBE21_STATE_BASIC;
+  cp->xrot = -65.0; cp->yrot = 185.0;
+  cp->posarg = (wspeed?random()%360:0.0);
+  cp->t = 0.0; cp->tmax = twait;
+  cp->hf[0] = cp->hf[1] = 0;
+  cp->fr[0] = cp->fr[1] = 0;
+  for(i=0;i<13;i++)
+    cp->pieces[0][i] = cp->pieces[1][i] = (i%3==1?0:1);
+  switch(colmode) {
+    case CUBE21_COLOR_RANDOM:
+    case CUBE21_COLOR_TWORND:
+    case CUBE21_COLOR_SIXRND:
+      for(i=0; i<6; i++)
+        for(j=0; j<3; j++)
+          cp->colors[i][j] = rndcolor();
+      break;
+    case CUBE21_COLOR_SILVER:
+      cp->colors[0][0] = 1.0;
+      cp->colors[0][1] = 1.0;
+      cp->colors[0][2] = 1.0;
+      cp->colors[1][0] = rndcolor();
+      cp->colors[1][1] = rndcolor();
+      cp->colors[1][2] = rndcolor();
+      break;
+    case CUBE21_COLOR_CLASSIC:
+      for(i=0; i<6; i++)
+        for(j=0; j<3; j++)
+          cp->colors[i][j] = 0.2+0.7*ce_colors[i][j];
+      break;
+  }
+  switch(colmode) {
+    case CUBE21_COLOR_SILVER:
+    case CUBE21_COLOR_TWORND:
+      for(i=0; i<5; i++)
+        for(j=0; j<12; j++)
+          if(i==0) cp->cind[i][j] = 0;
+          else if(i==2) cp->cind[i][j] = 1;
+          else cp->cind[i][j] = ((j+5)%12)>=6?1:0;
+      break;
+    case CUBE21_COLOR_CLASSIC:
+    case CUBE21_COLOR_SIXRND:
+      for(i=0; i<5; i++)
+        for(j=0; j<12; j++)
+          if(i==0) cp->cind[i][j] = 4;
+          else if(i==2) cp->cind[i][j] = 5;
+          else cp->cind[i][j] = ((j+5)%12)/3;
+      break;
+    case CUBE21_COLOR_RANDOM:
+      for(i=0; i<5; i++)
+        for(j=0; j<12; j++)
+          cp->cind[i][j] = 0;
+      break;
+  }
+  if(rndstart) randomize(cp);
+}
+
+/*************************************************************************/
+
+void reshape_cube21(ModeInfo *mi, int width, int height) {
+  cube21_conf *cp = &cube21[MI_SCREEN(mi)];
+  if(!height) height = 1;
+  cp->ratio = (GLfloat)width/(GLfloat)height;
+  glViewport(0, 0, (GLint) width, (GLint) height);
+  glMatrixMode(GL_PROJECTION);
+  glLoadIdentity();
+  gluPerspective(30.0, cp->ratio, 1.0, 100.0);
+  glMatrixMode(GL_MODELVIEW);
+  glClear(GL_COLOR_BUFFER_BIT);
+}
+
+void release_cube21(ModeInfo *mi) {
+  if (cube21 != NULL) {
+    int screen;
+    for (screen = 0; screen < MI_NUM_SCREENS(mi); screen++) {
+      cube21_conf *cp = &cube21[screen];
+      if (cp->glx_context) {
+        cp->glx_context = NULL;
+      }
+    }
+    free((void *)cube21);
+    cube21 = NULL;
+  }
+  FreeAllGL(mi);
+}
+
+void init_cube21(ModeInfo *mi) {
+  cube21_conf *cp;
+  if(!cube21) {
+    cube21 = (cube21_conf *)calloc(MI_NUM_SCREENS(mi), sizeof(cube21_conf));
+    if(!cube21) return;
+  }
+  if(!texp) {
+    init_posc();
+    make_texture();
+  }
+  cp = &cube21[MI_SCREEN(mi)];
+  if ((cp->glx_context = init_GL(mi)) != NULL) {
+    init_gl(mi);
+    init_cp(cp);
+    reshape_cube21(mi, MI_WIDTH(mi), MI_HEIGHT(mi));
+  } else {
+    MI_CLEARWINDOW(mi);
+  }
+}
+
+void draw_cube21(ModeInfo * mi) {
+  Display *display = MI_DISPLAY(mi);
+  Window window = MI_WINDOW(mi);
+  cube21_conf *cp;
+  if (!cube21) return;
+  cp = &cube21[MI_SCREEN(mi)];
+  MI_IS_DRAWN(mi) = True;
+  if (!cp->glx_context) return;
+  glXMakeCurrent(display, window, *(cp->glx_context));
+  if (!draw_main(cp)) {
+    release_cube21(mi);
+    return;
+  }
+  if (MI_IS_FPS(mi)) do_fps (mi);
+  glFlush();
+  glXSwapBuffers(display, window);
+}
+
+void change_cube21(ModeInfo * mi) {
+  cube21_conf *cp = &cube21[MI_SCREEN(mi)];
+  if (!cp->glx_context) return;
+  glXMakeCurrent(MI_DISPLAY(mi), MI_WINDOW(mi), *(cp->glx_context));
+  init_gl(mi);
+}
+
+#endif

=== added file 'hacks/glx/cube21.man'
--- hacks/glx/cube21.man	1970-01-01 00:00:00 +0000
+++ hacks/glx/cube21.man	2005-12-08 16:00:22 +0000
@@ -0,0 +1,149 @@
+.TH XScreenSaver 1 "30-Aug-05" "X Version 11"
+.SH NAME
+cube21 - animates the Cube 21 puzzle
+.SH SYNOPSIS
+.B cube21
+[\-display \fIhost:display.screen\fP]
+[\-visual \fIvisual\fP]
+[\-window]
+[\-root]
+[\-install]
+[\-delay \fImicroseconds\fP]
+[\-texture] [\-no\-texture]
+[\-mono]
+[\-wireframe]
+[\-spin] [\-no\-spin]
+[\-wander] [\-no\-wander]
+[\-randomize] [\-no\-randomize]
+[\-spinspeed \fInumber\fP]
+[\-rotspeed \fInumber\fP]
+[\-wanderspeed \fInumber\fP]
+[\-wait \fInumber\fP]
+[\-cubesize \fInumber\fP]
+[\-colormode \fIarg\fP]
+[\-fps]
+.SH DESCRIPTION
+This program animates a puzzle known as Cube 21 or Square-1.
+Its moves are chosen randomly.
+.P
+Cube 21 is a Rubik-like puzzle invented in 1992.  Its specialities are that
+it can change its shape and even the number of possible moves.  It can have
+more than 200 different shapes and the total number of configurations
+(assuming colors) is several tens of billions.
+.SH OPTIONS
+.I cube21
+accepts the following options:
+.TP 8
+.B \-window
+Draw on a newly-created window.  This is the default.
+.TP 8
+.B \-root
+Draw on the root window.
+.TP 8
+.B \-install
+Install a private colormap for the window.
+.TP 8
+.B \-visual \fIvisual\fP\fP
+Specify which visual to use.  Legal values are the name of a visual class,
+or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-delay \fImicroseconds\fP
+How long to pause between frames.  Default is 20000, or 0.02 second.
+.TP 8
+.B \-texture
+Use texture maps.  This is the default.
+.TP 8
+.B \-no\-texture
+Use solid colors.
+.TP 8
+.B \-mono
+Disable both texture maps and colors.
+.TP 8
+.B \-wireframe
+Only draw outlines.  Outlines of all pieces, not only the whole object, are drawn.
+.TP 8
+.B \-spin
+Spin the whole object around X, Y and Z axes.  This is the default.
+.TP 8
+.B \-no\-spin
+Do not spin, showing the same three faces all the time.
+.TP 8
+.B \-wander
+Move the object around the screen.  This is the default.
+.TP 8
+.B \-no\-wander
+Keep the object centered on the screen.
+.TP 8
+.B \-randomize
+Shuffle the puzzle randomly at startup.  This is the default.
+.TP 8
+.B \-no\-randomize
+Do not shuffle at startup, begin at the shape of cube.
+.TP 8
+.B \-spinspeed \fInumber\fP
+The relative speed of spinning.  Default is 1.0.
+.TP 8
+.B \-rotspeed \fInumber\fP
+The relative speed of the moves.  Default is 3.0.  Setting to \(<= 0.0
+makes the object stay at one configuration.
+.TP 8
+.B \-wanderspeed \fInumber\fP
+The relative speed of wandering around the screen.  Default is 1.0.
+.TP 8
+.B \-wait \fInumber\fP
+How long to stay at ending position after each move.  The meaning of
+the argument is again relative.  Default is 40.0.
+.TP 8
+.B \-cubesize \fInumber\fP
+Size of the object.  Value of 3.0 fills roughly all the screen (its height).  Default is 0.7.
+.TP 8
+.B \-colormode \fIargument\fP
+How many and which colors should the object have.  The colors are put on the piece
+faces so that the puzzle is solvable.  The inner faces are not influenced.
+.RS
+.TP 8
+.BR se " or " silver
+Simulate the "Silver Edition" \- white and one random color.
+.TP 8
+.BR 2 " or " two
+Two random colors.
+.TP 8
+.BR ce " or " classic
+Simulate the "Classic Edition" \- white, yellow, orange, red, green and blue.
+.TP 8
+.BR 6 " or " six
+Six random colors.
+.TP 8
+.BR 1 " or " random " or " rnd
+One random color.
+.TP 8
+Anything else
+All faces white.
+.RE
+.TP 8
+.B \-fps
+Display a running tally of how many frames per second are being rendered.
+In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 
+your GL performance.
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global resources
+stored in the RESOURCE_MANAGER property.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.SH COPYRIGHT
+Copyright \(co 2005 by Vaclav Potocek.  Permission to use, copy, modify, 
+distribute, and sell this software and its documentation for any purpose is 
+hereby granted without fee, provided that the above copyright notice appear 
+in all copies and that both that copyright notice and this permission notice
+appear in supporting documentation.  No representations are made about the 
+suitability of this software for any purpose.  It is provided "as is" without
+express or implied warranty.
+.SH AUTHOR
+Vaclav (Vasek) Potocek <vasek.potocek@post.cz>, 30-Aug-05.

=== modified file 'hacks/glx/cubenetic.man'
--- hacks/glx/cubenetic.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/cubenetic.man	2006-06-30 16:27:21 +0000
@@ -34,7 +34,7 @@
 Draw on the root window.
 .TP 8
 .B \-delay \fInumber\fP
-Per-frame delay, in microseconds.  Default: 30000 (0.03 seconds.).
+Per-frame delay, in microseconds.  Default: 20000 (0.02 seconds.).
 .TP 8
 .B \-count \fInumber\fP
 How many boxes make up the object.  Default: 5.

=== modified file 'hacks/glx/endgame.c'
--- hacks/glx/endgame.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/endgame.c	2005-12-08 16:00:22 +0000
@@ -433,13 +433,15 @@
   glEnd();
 }
 
-void draw_pieces(void) {
-  glEnable(GL_TEXTURE_2D);
-  glBindTexture(GL_TEXTURE_2D, piecetexture);
-  glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+void draw_pieces(int wire) {
+  if (!wire) {
+    glEnable(GL_TEXTURE_2D);
+    glBindTexture(GL_TEXTURE_2D, piecetexture);
+    glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
 
-  glColor4f(0.5, 0.5, 0.5, 1.0);
-  glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, MaterialShadow);
+    glColor4f(0.5, 0.5, 0.5, 1.0);
+    glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, MaterialShadow);
+  }
 
   drawPieces();
   if(moving) drawMovingPiece(0);
@@ -447,12 +449,13 @@
   glDisable(GL_TEXTURE_2D);
 }
 
-void draw_shadow_pieces(void) {
-  glEnable(GL_TEXTURE_2D);
-  glBindTexture(GL_TEXTURE_2D, piecetexture);
-  glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+void draw_shadow_pieces(int wire) {
+  if (!wire) {
+    glEnable(GL_TEXTURE_2D);
+    glBindTexture(GL_TEXTURE_2D, piecetexture);
+    glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+  }
 
-  
   drawPiecesShadow();
   if(moving) drawMovingPiece(shadows);
   if(take) drawTakePiece(shadows);
@@ -531,7 +534,7 @@
   glTranslatef(0.5, 0.0, 0.5);
 
   glLightfv(GL_LIGHT0, GL_POSITION, position);
-  draw_pieces();
+  draw_pieces(wire);
   glPopMatrix();
   
   glDisable(GL_STENCIL_TEST);
@@ -563,17 +566,19 @@
   position2[0] = 4.0 + 8.0*-sin(theta*100*M_PI/180.0);
   position2[2] = 4.0 + 8.0*cos(theta*100*M_PI/180.0);
 
-  glEnable(GL_LIGHTING);
-  glLightfv(GL_LIGHT0, GL_POSITION, position);
-  glLightfv(GL_LIGHT1, GL_POSITION, position2);
-  glEnable(GL_LIGHT0);
+  if (!wire) {
+    glEnable(GL_LIGHTING);
+    glLightfv(GL_LIGHT0, GL_POSITION, position);
+    glLightfv(GL_LIGHT1, GL_POSITION, position2);
+    glEnable(GL_LIGHT0);
+  }
 
   /** draw board, pieces */
   if(!wire) {
     glEnable(GL_LIGHTING);
     glEnable(GL_COLOR_MATERIAL);
 
-    if(reflections) {
+    if(reflections && !wire) {
       draw_reflections();
       glEnable(GL_BLEND);
     }
@@ -598,7 +603,7 @@
       glTranslatef(0.0, 0.001, 0.0);
       glMultMatrixf(m[0]);
       glTranslatef(0.5, 0.01, 0.5);
-      draw_shadow_pieces();
+      draw_shadow_pieces(wire);
       glPopMatrix();      
 
       glEnable(GL_LIGHTING);
@@ -613,7 +618,7 @@
     drawBoard();
  
   glTranslatef(0.5, 0.0, 0.5);
-  draw_pieces();
+  draw_pieces(wire);
 
   if(!wire) {
     glDisable(GL_COLOR_MATERIAL);
@@ -655,13 +660,15 @@
 
   glClearColor(0.0, 0.0, 0.0, 0.0);
 
-  glDepthFunc(GL_LEQUAL);
-  glClearStencil(0);
-  glEnable(GL_CULL_FACE);
-  glCullFace(GL_BACK);
+  if (!wire) {
+    glDepthFunc(GL_LEQUAL);
+    glClearStencil(0);
+    glEnable(GL_CULL_FACE);
+    glCullFace(GL_BACK);
 
-  make_piece_texture();
-  make_board_texture();
+    make_piece_texture();
+    make_board_texture();
+  }
   gen_model_lists();
 
   if(!wire) {
@@ -672,7 +679,7 @@
     glEnable(GL_DEPTH_TEST);
   }
   else
-    glPolygonMode(GL_FRONT, GL_LINE);
+    glPolygonMode(GL_FRONT_AND_BACK, GL_LINE);
 }
 
 int oldgame = -1;

=== modified file 'hacks/glx/endgame.man'
--- hacks/glx/endgame.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/endgame.man	2005-12-08 16:00:22 +0000
@@ -3,8 +3,14 @@
 endgame \- endgame chess screensaver
 .SH SYNOPSIS
 .B endgame
-[\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
-[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
+[\-display \fIhost:display.screen\fP]
+[\-window]
+[\-root]
+[\-install]
+[\-visual \fIvisual\fP]
+[\-delay \fImicroseconds\fP]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 endgame replays a brilliant chess ending
 .SH OPTIONS
@@ -17,9 +23,6 @@
 .B \-root
 Draw on the root window.
 .TP 8
-.B \-wire
-wireframe mode might be to your liking.
-.TP 8
 .B \-install
 Install a private colormap for the window.
 .TP 8
@@ -32,6 +35,9 @@
 .B \-visual \fIvisual\fP\fP
 Specify which visual to use.  Legal values are the name of a visual class,
 or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-wireframe
+Render in wireframe instead of solid.
 .B \-fps
 Display a running tally of how many frames per second are being rendered.
 In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 

=== modified file 'hacks/glx/extrusion.c'
--- hacks/glx/extrusion.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/extrusion.c	2005-12-08 16:00:22 +0000
@@ -27,7 +27,7 @@
 #endif
 
 #ifdef STANDALONE
-# define PROGCLASS						"Screensaver"
+# define PROGCLASS						"Extrusion"
 # define HACK_INIT						init_screensaver
 # define HACK_DRAW						draw_screensaver
 # define HACK_RESHAPE					reshape_screensaver
@@ -36,12 +36,7 @@
 # define screensaver_opts				xlockmore_opts
 #define	DEFAULTS                        "*delay:			20000	\n" \
 										"*showFPS:      	False	\n" \
-										"*light:			True	\n" \
-                                        "*wire:				False	\n" \
-                                        "*texture:			False	\n" \
-										"*image:			BUILTIN	\n" \
-                                        "*name:             RANDOM  \n" \
-                                        "*example:          0       \n"
+										"*wireframe:	    False   \n"
 
 # include "xlockmore.h"				/* from the xscreensaver distribution */
 #else /* !STANDALONE */
@@ -102,7 +97,6 @@
 #define HEIGHT 480
 
 #define DEF_LIGHT	  	"True"
-#define DEF_WIRE   		"False"
 #define DEF_TEXTURE		"False"
 #define DEF_TEX_QUAL   "False"
 #define DEF_MIPMAP   	"False"
@@ -110,7 +104,6 @@
 #define DEF_IMAGE   	"BUILTIN"
 
 static int do_light;
-static int do_wire;
 static int do_texture;
 static int do_tex_qual;
 static int do_mipmap;
@@ -120,8 +113,6 @@
 static XrmOptionDescRec opts[] = {
   {"-light",           ".extrusion.light",   XrmoptionNoArg, "true" },
   {"+light",           ".extrusion.light",   XrmoptionNoArg, "false" },
-  {"-wire",            ".extrusion.wire",    XrmoptionNoArg, "true" },
-  {"+wire",            ".extrusion.wire",    XrmoptionNoArg, "false" },
   {"-texture",         ".extrusion.texture", XrmoptionNoArg, "true" },
   {"+texture",         ".extrusion.texture", XrmoptionNoArg, "false" },
   {"-texture",         ".extrusion.texture", XrmoptionNoArg, "true" },
@@ -136,7 +127,6 @@
 
 static argtype vars[] = {
   {&do_light,	 "light",           "Light",           DEF_LIGHT,    t_Bool},
-  {&do_wire,	 "wire",            "Wire",            DEF_WIRE,     t_Bool},
   {&do_texture,	 "texture",         "Texture",         DEF_TEXTURE,  t_Bool},
   {&do_tex_qual, "texture_quality", "Texture_Quality", DEF_TEX_QUAL, t_Bool},
   {&do_mipmap,   "mipmap",          "Mipmap",          DEF_MIPMAP,   t_Bool},
@@ -149,7 +139,6 @@
 {
   {"-name num", "example 'name' to draw (helix2, helix3, helix4, joinoffset, screw, taper, twistoid)"},
   {"-/+ light", "whether to do enable lighting (slower)"},
-  {"-/+ wire", "whether to do use wireframe instead of filled (faster)"},
   {"-/+ texture", "whether to apply a texture (slower)"},
   {"-image <filename>", "texture image to load"},
   {"-/+ texture_quality", "whether to use texture smoothing (slower)"},
@@ -487,7 +476,7 @@
 
   if (do_light)
 	SetupLight();
-  if (do_wire) {
+  if (MI_IS_WIREFRAME(mi)) {
 	glPolygonMode(GL_FRONT,GL_LINE);
   	glPolygonMode(GL_BACK,GL_LINE);
   }
@@ -579,7 +568,7 @@
   int screen = MI_SCREEN(mi);
   screensaverstruct *gp;
 
-  if (do_wire) do_light = 0;
+  if (MI_IS_WIREFRAME(mi)) do_light = 0;
 
   if (Screensaver == NULL) {
 	if ((Screensaver = (screensaverstruct *)

=== modified file 'hacks/glx/extrusion.man'
--- hacks/glx/extrusion.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/extrusion.man	2005-12-08 16:00:22 +0000
@@ -10,7 +10,7 @@
 [\-delay \fInumber\fP]
 [\-name \fIwhich\fP]
 [\-no-light]
-[\-wire]
+[\-wireframe]
 [\-fps]
 .SH DESCRIPTION
 Draws various rotating extruded shapes that twist around, lengthen, and
@@ -40,7 +40,7 @@
 .B \-bitmap \fIfile\fP
 The texture map to use.
 .TP 8
-.B \-wire
+.B \-wireframe
 Render in wireframe instead of solid.
 .TP 8
 .B \-fps | \-no-fps

=== modified file 'hacks/glx/flipscreen3d.man'
--- hacks/glx/flipscreen3d.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/flipscreen3d.man	2005-12-08 16:00:22 +0000
@@ -9,6 +9,7 @@
 [\-root]
 [\-delay \fInumber\fP]
 [\-no-rotate]
+[\-wireframe]
 [\-fps]
 .SH DESCRIPTION
 Grabs an image of the desktop, turns it into a GL texture map, and spins it
@@ -31,6 +32,9 @@
 .B \-rotate | \-no-rotate
 Whether to rotate.
 .TP 8
+.B \-wireframe
+Just render boxes instead of textures (for debugging).
+.TP 8
 .B \-fps | \-no-fps
 Whether to show a frames-per-second display at the bottom of the screen.
 .SH ENVIRONMENT

=== modified file 'hacks/glx/fliptext.c'
--- hacks/glx/fliptext.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/fliptext.c	2005-12-08 16:00:22 +0000
@@ -461,6 +461,8 @@
   ln->width = sc->font_scale * texture_string_width (sc->texfont, s, 0);
   ln->height = sc->font_scale * sc->line_height;
 
+  memcpy (ln->color, sc->color, sizeof(ln->color));
+
   sc->nlines++;
   if (sc->lines_size <= sc->nlines)
     {
@@ -568,10 +570,10 @@
 static void
 tick_line (fliptext_configuration *sc, line *line)
 {
-  int stagger = 60;            /* frames of delay between line spin-outs */
+  int stagger = 30;            /* frames of delay between line spin-outs */
   int slide   = 600;           /* frames in a slide in/out */
   int linger  = 0;             /* frames to pause with no motion */
-  double i;
+  double i, ii;
 
   if (line->state >= DEAD) abort();
   if (++line->step >= line->steps)
@@ -582,6 +584,9 @@
       if (linger == 0 && line->state == LINGER)
         line->state++;
 
+      if (sc->anim_type != SPIN)
+        stagger *= 2;
+
       switch (line->state)
         {
         case HESITATE:			/* entering state HESITATE */
@@ -602,7 +607,7 @@
           break;
 
         case IN:
-          memset (line->color, 0, sizeof (line->color));
+          line->color[3] = 0;
           switch (sc->anim_type)
             {
             case SCROLL_BOTTOM:		/* entering state BOTTOM IN */
@@ -646,7 +651,6 @@
           break;
 
         case OUT:
-          memcpy (sc->color, line->color, sizeof(line->color));
           switch (sc->anim_type)
             {
             case SCROLL_BOTTOM:		/* entering state BOTTOM OUT */
@@ -684,7 +688,6 @@
           break;
 
         case LINGER:
-          memcpy (sc->color, line->color, sizeof(line->color));
           line->from = line->to;
           line->steps = linger;
           break;
@@ -701,19 +704,20 @@
     case IN:
     case OUT:
       i = (double) line->step / line->steps;
-      if (line->state == IN) i = 1-i;
-      i = i * i;
-      if (line->state == IN) i = 1-i;
-
-      line->color[0] = sc->color[0] * (line->state == IN ? i : 1-i);
-      line->color[1] = sc->color[1] * (line->state == IN ? i : 1-i);
-      line->color[2] = sc->color[2] * (line->state == IN ? i : 1-i);
-      line->color[3] = sc->color[3] * (line->state == IN ? i : 1-i);
-
-      line->current.x = line->from.x + (i * (line->to.x - line->from.x));
-      line->current.y = line->from.y + (i * (line->to.y - line->from.y));
-      line->current.z = line->from.z + (i * (line->to.z - line->from.z));
-      line->cth = line->fth + (i * (line->tth - line->fth));
+
+      /* Move along the path exponentially, slow side towards the middle. */
+      if (line->state == OUT)
+        ii = i * i;
+      else
+        ii = 1 - ((1-i) * (1-i));
+
+      line->current.x = line->from.x + (ii * (line->to.x - line->from.x));
+      line->current.y = line->from.y + (ii * (line->to.y - line->from.y));
+      line->current.z = line->from.z + (ii * (line->to.z - line->from.z));
+      line->cth = line->fth + (ii * (line->tth - line->fth));
+
+      if (line->state == OUT) ii = 1-ii;
+      line->color[3] = sc->color[3] * ii;
       break;
 
     case HESITATE:
@@ -741,7 +745,7 @@
   sc->rotation.y = 5 - BELLRAND(10);
   sc->rotation.z = 5 - BELLRAND(10);
 
-  switch (random() % 7)
+  switch (random() % 8)
     {
     case 0:  sc->anim_type = SCROLL_TOP;    break;
     case 1:  sc->anim_type = SCROLL_BOTTOM; break;
@@ -776,7 +780,10 @@
   maxy -= maxh/2;
 
   sc->mid.x = minx + frand (maxx - minx);
-  sc->mid.y = miny + frand (maxy - miny);
+  if (sc->anim_type == SPIN)
+    sc->mid.y = miny + BELLRAND (maxy - miny);
+  else
+    sc->mid.y = miny + frand (maxy - miny);
 
   sc->in.x  = BELLRAND(sc->right_margin * 2) - sc->right_margin;
   sc->out.x = BELLRAND(sc->right_margin * 2) - sc->right_margin;

=== modified file 'hacks/glx/fliptext.man'
--- hacks/glx/fliptext.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/fliptext.man	2006-06-30 16:27:21 +0000
@@ -94,12 +94,12 @@
 .BR xscreensaver (1),
 .BR xscreensaver-text (1),
 .BR fortune (1),
-.BR phosphor (1),
-.BR apple2 (1),
-.BR fontglide (1),
-.BR ljlatest (1),
+.BR phosphor (MANSUFFIX),
+.BR apple2 (MANSUFFIX),
+.BR fontglide (MANSUFFIX),
+.BR ljlatest (MANSUFFIX),
 .BR dadadodo (1),
-.BR webcollage (1),
+.BR webcollage (MANSUFFIX),
 .BR driftnet (1)
 .BR EtherPEG ,
 .BR EtherPeek

=== modified file 'hacks/glx/gears.c'
--- hacks/glx/gears.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/gears.c	2005-12-08 16:00:22 +0000
@@ -61,16 +61,21 @@
 #define countof(x) (sizeof((x))/sizeof((*x)))
 
 #define DEF_PLANETARY "False"
+#define DEF_SPIN "True"
 
 static int planetary;
+static int spin;
 
 static XrmOptionDescRec opts[] = {
   {"-planetary", ".gears.planetary", XrmoptionNoArg, "true" },
   {"+planetary", ".gears.planetary", XrmoptionNoArg, "false" },
+  {"-spin", ".gears.spin", XrmoptionNoArg, "true" },
+  {"+spin", ".gears.spin", XrmoptionNoArg, "false" },
 };
 
 static argtype vars[] = {
   {&planetary, "planetary", "Planetary", DEF_PLANETARY, t_Bool},
+  {&spin, "spin", "Spin", DEF_SPIN, t_Bool},
 };
 
 ModeSpecOpt gears_opts = {countof(opts), opts, countof(vars), vars, NULL};
@@ -535,13 +540,14 @@
 
     gltrackball_rotate (gp->trackball);
 
-    {
-      double x, y, z;
-      get_rotation (gp->rot, &x, &y, &z, !gp->button_down_p);
-      glRotatef (x * 360, 1.0, 0.0, 0.0);
-      glRotatef (y * 360, 0.0, 1.0, 0.0);
-      glRotatef (z * 360, 0.0, 0.0, 1.0);
-    }
+    if (spin)
+	  {
+		double x, y, z;
+		get_rotation (gp->rot, &x, &y, &z, !gp->button_down_p);
+		glRotatef (x * 360, 1.0, 0.0, 0.0);
+		glRotatef (y * 360, 0.0, 1.0, 0.0);
+		glRotatef (z * 360, 0.0, 0.0, 1.0);
+	  }
 
     if (!planetary) {
       glPushMatrix();

=== modified file 'hacks/glx/gflux.c'
--- hacks/glx/gflux.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/gflux.c	2005-12-08 16:00:22 +0000
@@ -111,6 +111,7 @@
     {"-resolution", ".gflux.resolution", XrmoptionSepArg, 0},
 /*    {"-draw", ".gflux.draw", XrmoptionSepArg, 0},*/
     {"-mode", ".gflux.mode", XrmoptionSepArg, 0},
+    {"-wireframe", ".gflux.mode", XrmoptionNoArg, "wire"},
     {"-flat", ".gflux.flat", XrmoptionSepArg, 0},
     {"-speed", ".gflux.speed", XrmoptionSepArg, 0},
     {"-rotationx", ".gflux.rotationx", XrmoptionSepArg, 0},

=== modified file 'hacks/glx/gflux.man'
--- hacks/glx/gflux.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/gflux.man	2005-12-08 16:00:22 +0000
@@ -4,12 +4,14 @@
 .SH SYNOPSIS
 .B gflux
 [\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
-[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
+[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP]
 [\-squares \fInum\fP] [\-resolution \fInum\fP] [\-mode \fImode\fP]
 [\-flat \fInum\fP] [\-speed \fInum\fP]
 [\-rotationx \fInum\fP] [\-rotationy \fInum\fP] [\-rotationz \fInum\fP]
 [\-waves \fInum\fP] [\-waveChange \fInum\fP] [\-waveHeight \fInum\fP]
 [\-waveFreq \fInum\fP] [\-zoom \fInum\fP]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 The \fIgflux\fP program draws a colourfull animated rippling square rotating in 3D space.
 .SH OPTIONS
@@ -50,6 +52,9 @@
 .BR xscreensaver-demo (1)
 for more details.
 .TP 8
+.B \-wireframe
+Same as "-mode wire".
+.TP 8
 .B \-flat \fInum\fP\fP
 0 for smooth shading 1 for flat. default 0
 .TP 8

=== modified file 'hacks/glx/glblur.c'
--- hacks/glx/glblur.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/glblur.c	2005-12-08 16:00:22 +0000
@@ -38,11 +38,9 @@
 #define DEF_WANDER      "True"
 #define DEF_BLURSIZE    "15"
 
-#define DEFAULTS	"*delay:	10000       \n" \
-			"*showFPS:      False       \n" \
-	               	"*fpsSolid:     True	    \n" \
-			"*wireframe:    False       \n" \
-
+#define DEFAULTS	"*delay:    10000 \n" \
+			"*showFPS:  False \n" \
+	               	"*fpsSolid: True  \n"
 
 #undef countof
 #define countof(x) (sizeof((x))/sizeof((*x)))

=== modified file 'hacks/glx/glblur.man'
--- hacks/glx/glblur.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/glblur.man	2005-12-08 16:00:22 +0000
@@ -12,7 +12,6 @@
 [\-no-wander]
 [\-no-spin]
 [\-spin \fI[XYZ]\fP]
-[\-wireframe]
 [\-fps]
 .SH DESCRIPTION
 This program draws a box and a few line segments, and generates a 
@@ -51,9 +50,6 @@
 .B \-no-spin
 None.
 .TP 8
-.B \-wireframe
-Render in wireframe instead of solid.
-.TP 8
 .B \-fps | \-no-fps
 Whether to show a frames-per-second display at the bottom of the screen.
 .SH ENVIRONMENT

=== added file 'hacks/glx/glhanoi.c'
--- hacks/glx/glhanoi.c	1970-01-01 00:00:00 +0000
+++ hacks/glx/glhanoi.c	2006-06-30 16:27:21 +0000
@@ -0,0 +1,1484 @@
+/* glhanoi, Copyright (c) 2005 Dave Atkinson <dave.atkinson@uwe.ac.uk>
+ * except noise function code Copyright (c) 2002 Ken Perlin
+ *
+ * Permission to use, copy, modify, distribute, and sell this software and its
+ * documentation for any purpose is hereby granted without fee, provided that
+ * the above copyright notice appear in all copies and that both that
+ * copyright notice and this permission notice appear in supporting
+ * documentation.  No representations are made about the suitability of this
+ * software for any purpose.  It is provided "as is" without express or 
+ * implied warranty.
+ */
+
+#include <assert.h>
+#include <X11/Intrinsic.h>
+
+#include <rotator.h>
+
+#define PROGCLASS         "glhanoi"
+#define HACK_INIT         init_glhanoi
+#define HACK_DRAW         draw_glhanoi
+#define HACK_RESHAPE      reshape_glhanoi
+#define HACK_HANDLE_EVENT glhanoi_handle_event
+#define EVENT_MASK        PointerMotionMask
+#define glh_opts          xlockmore_opts
+
+#define DEF_DELAY     "15000"
+#define DEF_DISKS     "7"
+#define DEF_WIRE      "False"
+#define DEF_LIGHT     "True"
+#define DEF_FPS       "False"
+#define DEF_FOG       "False"
+#define DEF_TEXTURE   "True"
+
+#define DEFAULTS "*delay:     " DEF_DELAY     "\n" \
+				 "*count:     " DEF_DISKS     "\n" \
+				 "*showFPS:   " DEF_FPS       "\n" \
+				 "*wireframe: " DEF_WIRE      "\n"
+
+#define NSLICE 32
+#define NLOOPS 1
+#define START_DURATION 1.0
+#define FINISH_DURATION 1.0
+#define BASE_LENGTH 30.0
+#define BOARD_SQUARES 8
+
+#define MAX_CAMERA_RADIUS 250.0
+#define MIN_CAMERA_RADIUS 75.0
+
+#define MARBLE_SCALE 1.01
+
+enum {
+	MARBLE_TEXURE,
+	N_TEXTURES
+};
+
+#define MARBLE_TEXTURE_SIZE 256
+
+#undef countof
+#define countof(x) (sizeof((x))/sizeof((*x)))
+
+#include <math.h>
+#include "xlockmore.h"
+
+#ifdef USE_GL					/* whole file */
+
+#include <GL/glu.h>
+
+#ifdef HAVE_GETTIMEOFDAY
+#ifdef GETTIMEOFDAY_TWO_ARGS
+# include <sys/time.h>
+# include <time.h>
+typedef struct timeval glhtime;
+#else							/* GETTIMEOFDAY_TWO_ARGS */
+# include <sys/time.h>
+# include <time.h>
+typedef struct timeval glhtime;
+#endif
+#else							/* HAVE_GETTIMEOFDAY */
+#ifdef HAVE_FTIME
+# include <sys/timeb.h>
+typedef struct timeb glhtime;
+#endif							/* HAVE_FTIME */
+#endif							/* HAVE_GETTIMEOFDAY */
+
+double getTime(void)
+{
+#ifdef HAVE_GETTIMEOFDAY
+	struct timeval t;
+#ifdef GETTIMEOFDAY_TWO_ARGS
+	gettimeofday(&t, NULL);
+#else							/* !GETTIMEOFDAY_TWO_ARGS */
+	gettimeofday(&t);
+#endif							/* !GETTIMEOFDAY_TWO_ARGS */
+#else							/* !HAVE_GETTIMEOFDAY */
+#ifdef HAVE_FTIME
+	ftime(&t);
+#endif							/* HAVE_FTIME */
+#endif							/* !HAVE_GETTIMEOFDAY */
+	return t.tv_sec + t.tv_usec / 1000000.0;
+}
+
+typedef enum {
+	START,
+	MOVE_DISK,
+	MOVE_FINISHED,
+	FINISHED,
+	MONEY_SHOT,
+	INVALID = -1
+} State;
+
+typedef struct {
+	int id;
+	GLuint displayList;
+	GLfloat position[3];
+	GLfloat rotation[3];
+	GLfloat color[4];
+	GLfloat base0;
+	GLfloat base1;
+	GLfloat height;
+	GLfloat xmin, xmax, ymin;
+	GLfloat u1, u2;
+	GLfloat t1, t2;
+	GLfloat ucostheta, usintheta;
+	GLdouble rotAngle;
+} Disk;
+
+typedef struct {
+	Disk **data;
+	int count;
+	int size;
+} Stack;
+
+typedef struct {
+	GLXContext *glx_context;
+	State state;
+	Bool wire;
+	Bool fog;
+	Bool light;
+	double startTime;
+	double lastTime;
+	double duration;
+	int numberOfDisks;
+	int numberOfMoves;
+	int maxDiskIdx;
+	int magicNumber;
+	Disk *currentDisk;
+	int move;
+	int src;
+	int tmp;
+	int dst;
+	int oldsrc;
+	int oldtmp;
+	int olddst;
+	Stack pole[3];
+	float boardSize;
+	float baseLength;
+	float baseWidth;
+	float baseHeight;
+	float poleRadius;
+	float poleHeight;
+	float poleOffset;
+	float diskHeight;
+	float *diskPos;				/* pre-computed disk positions on rods */
+	Disk *disk;
+	float speed;
+	GLint floorList;
+	GLint baseList;
+	GLint poleList;
+	GLfloat camera[3];
+	GLfloat centre[3];
+	rotator *the_rotator;
+	Bool button_down_p;
+	Bool texture;
+	GLuint textureNames[N_TEXTURES];
+	int drag_x;
+	int drag_y;
+} glhcfg;
+
+static glhcfg *glhanoi_cfg = NULL;
+static glhcfg *glhanoi = NULL;
+static Bool fog;
+static Bool light;
+static Bool texture;
+
+static XrmOptionDescRec opts[] = {
+	{"-light", ".glhanoi.light", XrmoptionNoArg, (caddr_t) "true"},
+	{"+light", ".glhanoi.light", XrmoptionNoArg, (caddr_t) "false"},
+	{"-fog", ".glhanoi.fog", XrmoptionNoArg, (caddr_t) "true"},
+	{"+fog", ".glhanoi.fog", XrmoptionNoArg, (caddr_t) "false"},
+	{"-texture", ".glhanoi.texture", XrmoptionNoArg, (caddr_t) "true"},
+	{"+texture", ".glhanoi.texture", XrmoptionNoArg, (caddr_t) "false"}
+};
+
+static argtype vars[] = {
+	{(caddr_t *) (void *)&light, "light", "Light", DEF_LIGHT, t_Bool},
+	{(caddr_t *) (void *)&fog, "fog", "Fog", DEF_FOG, t_Bool},
+	{(caddr_t *) (void *)&texture, "texture", "Texture", DEF_TEXTURE,
+	 t_Bool}
+};
+
+static OptionStruct desc[] = {
+	{"+/-light", "whether to light the scene"},
+	{"+/-fog", "whether to apply fog to the scene"},
+	{"+/-texture", "whether to apply texture to the scene"}
+};
+
+ModeSpecOpt glh_opts = { countof(opts), opts, countof(vars), vars, desc };
+
+#ifdef USE_MODULES
+
+ModStruct glhanoi_description = {
+	"glhanoi", "init_glhanoi", "draw_glhanoi", "release_glhanoi",
+	"draw_glhanoi", "init_glhanoi", NULL, &glhanoi_opts,
+	1000, 1, 2, 1, 4, 1.0, "",
+	"Towers of Hanoi", 0, NULL
+};
+
+#endif
+
+static GLfloat cBlack[] = { 0.0, 0.0, 0.0, 1.0 };
+static GLfloat cWhite[] = { 1.0, 1.0, 1.0, 1.0 };
+static GLfloat poleColor[] = { 0.545, 0.137, 0.137 };
+static GLfloat baseColor[] = { 0.34, 0.34, 0.48 };
+static GLfloat fogcolor[] = { 0.5, 0.5, 0.5 };
+
+static float left[] = { 1.0, 0.0, 0.0 };
+static float up[] = { 0.0, 1.0, 0.0 };
+static float front[] = { 0.0, 0.0, 1.0 };
+static float right[] = { -1.0, 0.0, 0.0 };
+static float down[] = { 0.0, -1.0, 0.0 };
+static float back[] = { 0.0, 0.0, -1.0 };
+
+GLfloat pos0[4] = { 50.0, 50.0, 50.0, 0.0 };
+GLfloat amb0[4] = { 0.0, 0.0, 0.0, 1.0 };
+GLfloat dif0[4] = { 1.0, 1.0, 1.0, 1.0 };
+GLfloat spc0[4] = { 0.0, 1.0, 1.0, 1.0 };
+
+GLfloat pos1[4] = { -50.0, 50.0, -50.0, 0.0 };
+GLfloat amb1[4] = { 0.0, 0.0, 0.0, 1.0 };
+GLfloat dif1[4] = { 1.0, 1.0, 1.0, 1.0 };
+GLfloat spc1[4] = { 1.0, 1.0, 1.0, 1.0 };
+
+float g = 3.0 * 9.80665;		/* hmm, looks like we need more gravity, Scotty... */
+
+#define DOPUSH(X, Y)	(((X)->count) >= ((X)->size)) ? NULL : ((X)->data[(X)->count++] = (Y))
+#define DOPOP(X)	(X)->count <= 0 ? NULL : ((X)->data[--((X)->count)])
+
+Disk *push(int idx, Disk * d)
+{
+	return DOPUSH(&glhanoi->pole[idx], d);
+}
+
+Disk *pop(int idx)
+{
+	return DOPOP(&glhanoi->pole[idx]);
+}
+
+/* inline */ static void swap(int *x, int *y)
+{
+	*x = *x ^ *y;
+	*y = *x ^ *y;
+	*x = *x ^ *y;
+}
+
+/*
+ * magic - it's magic...
+ */
+int magic(int i)
+{
+	int count = 0;
+	if(i <= 1)
+		return 0;
+	while((i & 0x01) == 0) {
+		i >>= 1;
+		count++;
+	}
+	return count % 2 == 0;
+}
+
+float distance(float *p0, float *p1)
+{
+	float x, y, z;
+	x = p1[0] - p0[0];
+	y = p1[1] - p0[1];
+	z = p1[2] - p0[2];
+	return (float)sqrt(x * x + y * y + z * z);
+}
+
+GLfloat A(GLfloat a, GLfloat b, GLfloat c)
+{
+	GLfloat sum = a + b;
+	return c / (a * b - 0.25 * sum * sum);
+}
+
+void moveSetup(Disk * disk)
+{
+	float h, ymax;
+	float u;
+	int src = glhanoi->src;
+	int dst = glhanoi->dst;
+	GLfloat theta;
+	GLfloat sintheta, costheta;
+
+	if(glhanoi->state != FINISHED && random() % 6 == 0) {
+		disk->rotAngle =
+			-180.0 * (2 - 2 * random() % 2) * (random() % 3 + 1);
+	} else {
+		disk->rotAngle = -180.0;
+	}
+
+	disk->base0 = glhanoi->diskPos[glhanoi->pole[src].count];
+	disk->base1 =
+		glhanoi->state ==
+		FINISHED ? disk->base0 : glhanoi->diskPos[glhanoi->pole[dst].
+												  count];
+
+	disk->xmin = glhanoi->poleOffset * (src - 1);
+	disk->xmax = glhanoi->poleOffset * (dst - 1);
+	disk->ymin = glhanoi->poleHeight;
+	ymax =
+		glhanoi->poleHeight + fabs(disk->xmax -
+								   disk->xmin) * (glhanoi->state ==
+												  FINISHED ? 1.0 +
+												  (double)(glhanoi->
+														   numberOfDisks -
+														   disk->id) /
+												  (double)glhanoi->
+												  numberOfDisks : 1.0);
+
+	h = ymax - disk->ymin;
+	theta = atan((disk->xmin - disk->xmax) * A(disk->xmin, disk->xmax, h));
+	if(theta < 0.0)
+		theta += M_PI;
+	costheta = cos(theta);
+	sintheta = sin(theta);
+	u = (float)
+		sqrt(fabs
+			 (-g /
+			  (2.0 * A(disk->xmin, disk->xmax, h) * costheta * costheta)));
+	disk->usintheta = u * sintheta;
+	disk->ucostheta = u * costheta;
+	disk->t1 =
+		(-u + sqrt(u * u + 2.0 * g * fabs(disk->ymin - disk->base0))) / g;
+	disk->u1 = u + g * disk->t1;
+	disk->t2 = 2.0 * disk->usintheta / g;
+	disk->u2 = disk->usintheta - g * disk->t2;
+}
+
+void makeMove(void)
+{
+	int fudge = glhanoi->move + 2;
+	int magicNumber = magic(fudge);
+
+	glhanoi->currentDisk = pop(glhanoi->src);
+	moveSetup(glhanoi->currentDisk);
+	push(glhanoi->dst, glhanoi->currentDisk);
+	fudge = fudge % 2;
+
+	if(fudge == 1 || magicNumber) {
+		swap(&glhanoi->src, &glhanoi->tmp);
+	}
+	if(fudge == 0 || glhanoi->magicNumber) {
+		swap(&glhanoi->dst, &glhanoi->tmp);
+	}
+	glhanoi->magicNumber = magicNumber;
+}
+
+double lerp(double alpha, double start, double end)
+{
+	return start + alpha * (end - start);
+}
+
+void upfunc(GLdouble t, Disk * d)
+{
+	d->position[0] = d->xmin;
+	d->position[1] = d->base0 + (d->u1 - 0.5 * g * t) * t;
+
+	d->rotation[1] = 0.0;
+}
+
+void parafunc(GLdouble t, Disk * d)
+{
+	d->position[0] = d->xmin + d->ucostheta * t;
+	d->position[1] = d->ymin + (d->usintheta - 0.5 * g * t) * t;
+
+	d->rotation[1] =
+		d->rotAngle * (d->position[0] - d->xmin) / (d->xmax - d->xmin);
+}
+
+void downfunc(GLdouble t, Disk * d)
+{
+	d->position[0] = d->xmax;
+	d->position[1] = d->ymin + (d->u2 - 0.5 * g * t) * t;
+
+	d->rotation[1] = 0.0;
+}
+
+Bool computePosition(GLfloat t, Disk * d)
+{
+	Bool finished = FALSE;
+
+	if(t < d->t1) {
+		upfunc(t, d);
+	} else if(t < d->t1 + d->t2) {
+		parafunc(t - d->t1, d);
+	} else {
+		downfunc(t - d->t1 - d->t2, d);
+		if(d->position[1] <= d->base1) {
+			d->position[1] = d->base1;
+			finished = TRUE;
+		}
+	}
+	return finished;
+}
+
+void updateView(void)
+{
+	double longitude, latitude, radius;
+	double a, b, c, A, B;
+
+	get_position(glhanoi->the_rotator, NULL, NULL, &radius,
+				 !glhanoi->button_down_p);
+	get_rotation(glhanoi->the_rotator, &longitude, &latitude, NULL,
+				 !glhanoi->button_down_p);
+	longitude += glhanoi->camera[0];
+	latitude += glhanoi->camera[1];
+	radius += glhanoi->camera[2];
+	longitude = longitude - floor(longitude);
+	latitude = latitude - floor(latitude);
+	radius = radius - floor(radius);
+	if(latitude > 0.5) {
+		latitude = 1.0 - latitude;
+	}
+	if(radius > 0.5) {
+		radius = 1.0 - radius;
+	}
+
+	b = glhanoi->centre[1];
+	c = (MIN_CAMERA_RADIUS +
+		 radius * (MAX_CAMERA_RADIUS - MIN_CAMERA_RADIUS));
+	A = M_PI / 4.0 * (1.0 - latitude);
+	a = sqrt(b * b + c * c - 2.0 * b * c * cos(A));
+	B = asin(sin(A) * b / a);
+	glRotatef(-B * 180 / M_PI, 1.0, 0.0, 0.0);
+
+	glTranslatef(0.0f, 0.0f,
+				 -(MIN_CAMERA_RADIUS +
+				   radius * (MAX_CAMERA_RADIUS - MIN_CAMERA_RADIUS)));
+	glRotatef(longitude * 360.0, 0.0f, 1.0f, 0.0f);
+	glRotatef(latitude * 180.0, cos(longitude * 2.0 * M_PI), 0.0,
+			  sin(longitude * 2.0 * M_PI));
+}
+
+void changeState(State state)
+{
+	glhanoi->state = state;
+	glhanoi->startTime = getTime();
+}
+
+void update_glhanoi(void)
+{
+	double t = getTime() - glhanoi->startTime;
+	int i;
+	Bool done;
+
+	switch (glhanoi->state) {
+	case START:
+		if(t < glhanoi->duration) {
+			break;
+		}
+		glhanoi->move = 0;
+		if(glhanoi->numberOfDisks % 2 == 0) {
+			swap(&glhanoi->tmp, &glhanoi->dst);
+		}
+		glhanoi->magicNumber = 1;
+		makeMove();
+		changeState(MOVE_DISK);
+		break;
+
+	case MOVE_DISK:
+		if(computePosition(t, glhanoi->currentDisk)) {
+			changeState(MOVE_FINISHED);
+		}
+		break;
+
+	case MOVE_FINISHED:
+		if(++glhanoi->move < glhanoi->numberOfMoves) {
+			makeMove();
+			changeState(MOVE_DISK);
+		} else {
+			glhanoi->duration = FINISH_DURATION;
+			changeState(FINISHED);
+		}
+		break;
+
+	case FINISHED:
+		while(t < glhanoi->duration) {
+			break;
+		}
+		glhanoi->src = glhanoi->olddst;
+		glhanoi->dst = glhanoi->oldsrc;
+		for(i = 0; i < glhanoi->numberOfDisks; ++i) {
+			Disk *disk = pop(glhanoi->src);
+			assert(disk != NULL);
+			moveSetup(disk);
+		}
+		for(i = glhanoi->maxDiskIdx; i >= 0; --i) {
+			push(glhanoi->dst, &glhanoi->disk[i]);
+		}
+		changeState(MONEY_SHOT);
+		break;
+
+	case MONEY_SHOT:
+		done = True;
+		for(i = glhanoi->maxDiskIdx; i >= 0; --i) {
+			double delay = 0.25 * i;
+			int finished;
+
+			if(t - delay < 0) {
+				done = False;
+				continue;
+			}
+
+			finished = computePosition(t - delay, &glhanoi->disk[i]);
+			glhanoi->disk[i].rotation[1] = 0.0;
+
+			if(!finished) {
+				done = False;
+			}
+		}
+		if(done) {
+			glhanoi->src = glhanoi->oldsrc;
+			glhanoi->tmp = glhanoi->oldtmp;
+			glhanoi->dst = glhanoi->olddst;
+			changeState(START);
+		}
+		break;
+
+	case INVALID:
+	default:
+		fprintf(stderr, "Invalid state\n");
+		break;
+	}
+}
+
+void HSVtoRGBf(GLfloat h, GLfloat s, GLfloat v,
+			   GLfloat * r, GLfloat * g, GLfloat * b)
+{
+	if(s == 0.0) {
+		*r = v;
+		*g = v;
+		*b = v;
+	} else {
+		GLfloat i, f, p, q, t;
+		if(h >= 360.0) {
+			h = 0.0;
+		}
+		h /= 60.0;				/* h now in [0,6). */
+		i = floor((double)h);	/* i now largest integer <= h */
+		f = h - i;				/* f is no fractional part of h */
+		p = v * (1.0 - s);
+		q = v * (1.0 - (s * f));
+		t = v * (1.0 - (s * (1.0 - f)));
+		switch ((int)i) {
+		case 0:
+			*r = v;
+			*g = t;
+			*b = p;
+			break;
+		case 1:
+			*r = q;
+			*g = v;
+			*b = p;
+			break;
+		case 2:
+			*r = p;
+			*g = v;
+			*b = t;
+			break;
+		case 3:
+			*r = p;
+			*g = q;
+			*b = v;
+			break;
+		case 4:
+			*r = t;
+			*g = p;
+			*b = v;
+			break;
+		case 5:
+			*r = v;
+			*g = p;
+			*b = q;
+			break;
+		}
+	}
+}
+
+void HSVtoRGBv(GLfloat * hsv, GLfloat * rgb)
+{
+	HSVtoRGBf(hsv[0], hsv[1], hsv[2], &rgb[0], &rgb[1], &rgb[2]);
+}
+
+void setMaterial(GLfloat color[3], GLfloat hlite[3], int shininess)
+{
+	glColor3fv(color);
+	glMaterialfv(GL_FRONT, GL_SPECULAR, hlite);
+	glMaterialfv(GL_FRONT, GL_AMBIENT_AND_DIFFUSE, color);
+	glMateriali(GL_FRONT, GL_SHININESS, shininess);	/* [0,128] */
+}
+
+/*
+ * drawTube: I know all this stuff is available in gluQuadrics
+ * but I'd originally intended to texture the poles with a 3D wood
+ * texture, but I was having difficulty getting wood... what? Why
+ * are all you Amercians laughing..? Anyway, I don't know if enough
+ * people's hardware supports 3D textures, so I didn't bother (xorg
+ * ATI server doesn't :-( )
+ */
+void drawTube(GLdouble bottomRadius, GLdouble topRadius,
+			  GLdouble bottomThickness, GLdouble topThickness,
+			  GLdouble height, GLuint nSlice, GLuint nLoop)
+{
+	GLfloat y;
+	GLfloat *cosCache = malloc(sizeof(GLfloat) * nSlice);
+	GLfloat *sinCache = malloc(sizeof(GLfloat) * nSlice);
+	GLint slice;
+	GLuint loop;
+	GLint lastSlice = nSlice - 1;
+	GLfloat radius;
+	GLfloat innerRadius;
+	GLfloat maxRadius;
+
+	if(bottomThickness > bottomRadius) {
+		bottomThickness = bottomRadius;
+	}
+	if(topThickness > topRadius) {
+		topThickness = topRadius;
+	}
+	if(bottomThickness < 0.0) {
+		bottomThickness = 0.0;
+	}
+	if(topThickness < 0.0) {
+		topThickness = 0.0;
+	}
+	if(topRadius >= bottomRadius) {
+		maxRadius = topRadius;
+	} else {
+		maxRadius = bottomRadius;
+	}
+
+	/* bottom */
+	y = 0.0;
+	radius = bottomRadius;
+	innerRadius = bottomRadius - bottomThickness;
+	/* innerTexCoordSize = texCoordSize * innerRadius / maxRadius; */
+	/* outerTexCoordSize = texCoordSize * radius / maxRadius; */
+	/* yTexCoord = minTexCoord; */
+
+	glBegin(GL_QUAD_STRIP);
+
+	glNormal3f(0.0, -1.0, 0.0);
+
+	/* glTexCoord3f(midTexCoord, yTexCoord, midTexCoord + innerTexCoordSize); */
+	glVertex3f(0.0, y, innerRadius);
+
+	/* glTexCoord3f(midTexCoord, yTexCoord, midTexCoord + outerTexCoordSize); */
+	glVertex3f(0.0, y, radius);
+
+	for(slice = lastSlice; slice >= 0; --slice) {
+		GLfloat theta = 2.0 * M_PI * (double)slice / nSlice;
+
+		cosCache[slice] = cos(theta);
+		sinCache[slice] = sin(theta);
+
+		/* glTexCoord3f(midTexCoord + sinCache[slice] * innerTexCoordSize, */
+		/* yTexCoord, */
+		/* midTexCoord + cosCache[slice] * innerTexCoordSize); */
+		glVertex3f(innerRadius * sinCache[slice], y,
+				   innerRadius * cosCache[slice]);
+		/* glTexCoord3f(midTexCoord + sinCache[slice] * outerTexCoordSize, */
+		/* yTexCoord, */
+		/* midTexCoord + cosCache[slice] * outerTexCoordSize); */
+		glVertex3f(radius * sinCache[slice], y, radius * cosCache[slice]);
+	}
+	glEnd();
+
+	/* middle */
+	for(loop = 0; loop < nLoop; ++loop) {
+		GLfloat lowerRadius =
+			bottomRadius + (topRadius -
+							bottomRadius) * (float)loop / (nLoop);
+		GLfloat upperRadius =
+			bottomRadius + (topRadius - bottomRadius) * (float)(loop +
+																1) /
+			(nLoop);
+		GLfloat lowerY = height * (float)loop / (nLoop);
+		GLfloat upperY = height * (float)(loop + 1) / (nLoop);
+		GLfloat factor = (topRadius - topThickness) -
+			(bottomRadius - bottomThickness);
+
+		/* outside */
+		glBegin(GL_QUAD_STRIP);
+		for(slice = 0; slice < nSlice; ++slice) {
+			glNormal3f(sinCache[slice], 0.0, cosCache[slice]);
+			glVertex3f(upperRadius * sinCache[slice], upperY,
+					   upperRadius * cosCache[slice]);
+			glVertex3f(lowerRadius * sinCache[slice], lowerY,
+					   lowerRadius * cosCache[slice]);
+		}
+		glNormal3f(0.0, 0.0, 1.0);
+		glVertex3f(0.0, upperY, upperRadius);
+		glVertex3f(0.0, lowerY, lowerRadius);
+		glEnd();
+
+		/* inside */
+		lowerRadius = bottomRadius - bottomThickness +
+			factor * (float)loop / (nLoop);
+		upperRadius = bottomRadius - bottomThickness +
+			factor * (float)(loop + 1) / (nLoop);
+
+		glBegin(GL_QUAD_STRIP);
+		glNormal3f(0.0, 0.0, -1.0);
+		glVertex3f(0.0, upperY, upperRadius);
+		glVertex3f(0.0, lowerY, lowerRadius);
+		for(slice = lastSlice; slice >= 0; --slice) {
+			glNormal3f(-sinCache[slice], 0.0, -cosCache[slice]);
+			glVertex3f(upperRadius * sinCache[slice], upperY,
+					   upperRadius * cosCache[slice]);
+			glVertex3f(lowerRadius * sinCache[slice], lowerY,
+					   lowerRadius * cosCache[slice]);
+		}
+		glEnd();
+	}
+
+	/* top */
+	y = height;
+	radius = topRadius;
+	innerRadius = topRadius - topThickness;
+
+	glBegin(GL_QUAD_STRIP);
+	glNormal3f(0.0, 1.0, 0.0);
+	for(slice = 0; slice < nSlice; ++slice) {
+		glVertex3f(innerRadius * sinCache[slice], y,
+				   innerRadius * cosCache[slice]);
+
+		glVertex3f(radius * sinCache[slice], y, radius * cosCache[slice]);
+	}
+	glVertex3f(0.0, y, innerRadius);
+	glVertex3f(0.0, y, radius);
+	glEnd();
+}
+
+void drawPole(GLfloat radius, GLfloat length)
+{
+	drawTube(radius, radius, radius, radius, length, NSLICE, NLOOPS);
+}
+
+void drawDisk3D(GLdouble inner_radius, GLdouble outer_radius,
+				GLdouble height)
+{
+	drawTube(outer_radius, outer_radius, outer_radius - inner_radius,
+			 outer_radius - inner_radius, height, NSLICE, NLOOPS);
+}
+
+void drawCuboid(GLfloat length, GLfloat width, GLfloat height)
+{
+	GLfloat xmin = -length / 2.0f;
+	GLfloat xmax = length / 2.0f;
+	GLfloat zmin = -width / 2.0f;
+	GLfloat zmax = width / 2.0f;
+	GLfloat ymin = 0.0f;
+	GLfloat ymax = height;
+
+	glBegin(GL_QUADS);
+	/* front */
+	glNormal3fv(front);
+	glVertex3f(xmin, ymin, zmax);	/* 0 */
+	glVertex3f(xmax, ymin, zmax);	/* 1 */
+	glVertex3f(xmax, ymax, zmax);	/* 2 */
+	glVertex3f(xmin, ymax, zmax);	/* 3 */
+	/* right */
+	glNormal3fv(right);
+	glVertex3f(xmax, ymin, zmax);	/* 1 */
+	glVertex3f(xmax, ymin, zmin);	/* 5 */
+	glVertex3f(xmax, ymax, zmin);	/* 6 */
+	glVertex3f(xmax, ymax, zmax);	/* 2 */
+	/* back */
+	glNormal3fv(back);
+	glVertex3f(xmax, ymin, zmin);	/* 5 */
+	glVertex3f(xmin, ymin, zmin);	/* 4 */
+	glVertex3f(xmin, ymax, zmin);	/* 7 */
+	glVertex3f(xmax, ymax, zmin);	/* 6 */
+	/* left */
+	glNormal3fv(left);
+	glVertex3f(xmin, ymin, zmin);	/* 4 */
+	glVertex3f(xmin, ymin, zmax);	/* 0 */
+	glVertex3f(xmin, ymax, zmax);	/* 3 */
+	glVertex3f(xmin, ymax, zmin);	/* 7 */
+	/* top */
+	glNormal3fv(up);
+	glVertex3f(xmin, ymax, zmax);	/* 3 */
+	glVertex3f(xmax, ymax, zmax);	/* 2 */
+	glVertex3f(xmax, ymax, zmin);	/* 6 */
+	glVertex3f(xmin, ymax, zmin);	/* 7 */
+	/* bottom */
+	glNormal3fv(down);
+	glVertex3f(xmin, ymin, zmin);	/* 4 */
+	glVertex3f(xmax, ymin, zmin);	/* 5 */
+	glVertex3f(xmax, ymin, zmax);	/* 1 */
+	glVertex3f(xmin, ymin, zmax);	/* 0 */
+	glEnd();
+}
+
+void drawDisks(void)
+{
+	int i;
+
+	glPushMatrix();
+	glTranslatef(0.0f, glhanoi->baseHeight, 0.0f);
+	for(i = glhanoi->maxDiskIdx; i >= 0; i--) {
+		Disk *disk = &glhanoi->disk[i];
+		GLfloat *pos = disk->position;
+		GLfloat *rot = disk->rotation;
+
+		glPushMatrix();
+		glTranslatef(pos[0], pos[1], pos[2]);
+		if(rot[1] != 0.0) {
+			glTranslatef(0.0, glhanoi->diskHeight / 2.0, 0.0);
+			glRotatef(rot[1], 0.0, 0.0, 1.0);
+			glTranslatef(0.0, -glhanoi->diskHeight / 2.0, 0.0);
+		}
+		glCallList(disk->displayList);
+		glPopMatrix();
+	}
+	glPopMatrix();
+}
+
+GLfloat getDiskRadius(int i)
+{
+	return ((GLfloat) i + 3.0) * glhanoi->poleRadius;
+}
+
+void initData(void)
+{
+	GLfloat maxDiskRadius;
+	int i;
+
+	glhanoi->baseLength = BASE_LENGTH;
+	glhanoi->poleRadius = glhanoi->baseLength /
+		(2.0 * (3 * glhanoi->numberOfDisks + 7.0));
+	maxDiskRadius = getDiskRadius(glhanoi->numberOfDisks);
+	glhanoi->baseWidth = 2.0 * maxDiskRadius;
+	glhanoi->poleOffset = 2.0 * getDiskRadius(glhanoi->maxDiskIdx);
+	glhanoi->diskHeight = 2.0 * glhanoi->poleRadius;
+	glhanoi->baseHeight = 2.0 * glhanoi->poleRadius;
+	glhanoi->poleHeight = glhanoi->numberOfDisks *
+		glhanoi->diskHeight + glhanoi->poleRadius;
+	glhanoi->numberOfMoves = (1 << glhanoi->numberOfDisks) - 1;
+	glhanoi->boardSize = glhanoi->baseLength * 0.5 * (1.0 + sqrt(5.0));
+
+	for(i = 0; i < 3; i++) {
+		if((glhanoi->pole[i].data =
+			calloc(glhanoi->numberOfDisks, sizeof(Disk *))) == NULL) {
+			fprintf(stderr, "%s: out of memory creating stack %d\n",
+					progname, i);
+			exit(1);
+		}
+		glhanoi->pole[i].size = glhanoi->numberOfDisks;
+	}
+	if((glhanoi->diskPos =
+		calloc(glhanoi->numberOfDisks, sizeof(double))) == NULL) {
+		fprintf(stderr, "%s: out of memory creating diskPos\n", progname);
+		exit(1);
+	}
+
+	glhanoi->the_rotator = make_rotator(0.1, 0.025, 0, 1, 0.005, False);
+	glhanoi->button_down_p = False;
+
+	glhanoi->src = glhanoi->oldsrc = 0;
+	glhanoi->tmp = glhanoi->oldtmp = 1;
+	glhanoi->dst = glhanoi->olddst = 2;
+}
+
+void initView(void)
+{
+	glhanoi->camera[0] = 0.0;
+	glhanoi->camera[1] = 0.0;
+	glhanoi->camera[2] = 0.0;
+	glhanoi->centre[0] = 0.0;
+	glhanoi->centre[1] = glhanoi->poleHeight * 3.0;
+	glhanoi->centre[2] = 0.0;
+}
+
+/*
+ * noise_improved.c - based on ImprovedNoise.java
+ * JAVA REFERENCE IMPLEMENTATION OF IMPROVED NOISE - COPYRIGHT 2002 KEN PERLIN.
+ */
+static double fade(double t)
+{
+	return t * t * t * (t * (t * 6 - 15) + 10);
+}
+
+static double grad(int hash, double x, double y, double z)
+{
+	int h = hash & 15;			/* CONVERT LO 4 BITS OF HASH CODE */
+	double u = h < 8 ? x : y,	/* INTO 12 GRADIENT DIRECTIONS. */
+		v = h < 4 ? y : h == 12 || h == 14 ? x : z;
+	return ((h & 1) == 0 ? u : -u) + ((h & 2) == 0 ? v : -v);
+}
+
+static int p[512], permutation[] = { 151, 160, 137, 91, 90, 15,
+	131, 13, 201, 95, 96, 53, 194, 233, 7, 225, 140, 36, 103, 30, 69, 142,
+	8, 99, 37, 240, 21, 10, 23, 190, 6, 148, 247, 120, 234, 75, 0, 26,
+	197, 62, 94, 252, 219, 203, 117, 35, 11, 32, 57, 177, 33, 88, 237,
+	149, 56, 87, 174, 20, 125, 136, 171, 168, 68, 175, 74, 165, 71,
+	134, 139, 48, 27, 166, 77, 146, 158, 231, 83, 111, 229, 122, 60,
+	211, 133, 230, 220, 105, 92, 41, 55, 46, 245, 40, 244, 102, 143,
+	54, 65, 25, 63, 161, 1, 216, 80, 73, 209, 76, 132, 187, 208, 89,
+	18, 169, 200, 196, 135, 130, 116, 188, 159, 86, 164, 100, 109, 198,
+	173, 186, 3, 64, 52, 217, 226, 250, 124, 123, 5, 202, 38, 147, 118,
+	126, 255, 82, 85, 212, 207, 206, 59, 227, 47, 16, 58, 17, 182, 189,
+	28, 42, 223, 183, 170, 213, 119, 248, 152, 2, 44, 154, 163, 70,
+	221, 153, 101, 155, 167, 43, 172, 9, 129, 22, 39, 253, 19, 98, 108,
+	110, 79, 113, 224, 232, 178, 185, 112, 104, 218, 246, 97, 228, 251,
+	34, 242, 193, 238, 210, 144, 12, 191, 179, 162, 241, 81, 51, 145,
+	235, 249, 14, 239, 107, 49, 192, 214, 31, 181, 199, 106, 157, 184,
+	84, 204, 176, 115, 121, 50, 45, 127, 4, 150, 254, 138, 236, 205,
+	93, 222, 114, 67, 29, 24, 72, 243, 141, 128, 195, 78, 66, 215, 61,
+	156, 180
+};
+
+static void initNoise(void)
+{
+	int i;
+	for(i = 0; i < 256; i++)
+		p[256 + i] = p[i] = permutation[i];
+}
+
+double improved_noise(double x, double y, double z)
+{
+	double u, v, w;
+	int A, AA, AB, B, BA, BB;
+	int X = (int)floor(x) & 255,	/* FIND UNIT CUBE THAT */
+		Y = (int)floor(y) & 255,	/* CONTAINS POINT. */
+		Z = (int)floor(z) & 255;
+	static int start = 0;
+	if(start == 0) {
+		initNoise();
+		start = 1;
+	}
+	x -= floor(x);				/* FIND RELATIVE X,Y,Z */
+	y -= floor(y);				/* OF POINT IN CUBE. */
+	z -= floor(z);
+	u = fade(x),				/* COMPUTE FADE CURVES */
+		v = fade(y),			/* FOR EACH OF X,Y,Z. */
+		w = fade(z);
+	A = p[X] + Y, AA = p[A] + Z, AB = p[A + 1] + Z,	/* HASH COORDINATES OF */
+		B = p[X + 1] + Y, BA = p[B] + Z, BB = p[B + 1] + Z;	/* THE 8 CUBE CORNERS, */
+	return lerp(w, lerp(v, lerp(u, grad(p[AA], x, y, z),	/* AND ADD */
+								grad(p[BA], x - 1, y, z)),	/* BLENDED */
+						lerp(u, grad(p[AB], x, y - 1, z),	/* RESULTS */
+							 grad(p[BB], x - 1, y - 1, z))),	/* FROM 8 CORNERS */
+				lerp(v, lerp(u, grad(p[AA + 1], x, y, z - 1), grad(p[BA + 1], x - 1, y, z - 1)),	/* OF CUBE */
+					 lerp(u, grad(p[AB + 1], x, y - 1, z - 1),
+						  grad(p[BB + 1], x - 1, y - 1, z - 1))));
+}
+
+/*
+ * end noise_improved.c - based on ImprovedNoise.java
+ */
+
+struct tex_col_t {
+	GLuint *colours;
+	/* GLfloat *points; */
+	unsigned int ncols;
+};
+typedef struct tex_col_t tex_col_t;
+
+GLubyte *makeTexture(int x_size, int y_size, int z_size,
+					 GLuint(*texFunc) (double, double, double,
+									   tex_col_t *), tex_col_t * colours)
+{
+	int i, j, k;
+	GLubyte *textureData;
+	GLuint *texturePtr;
+	double x, y, z;
+	double xi, yi, zi;
+
+	if((textureData =
+		calloc(x_size * y_size * z_size, sizeof(GLuint))) == NULL) {
+		return NULL;
+	}
+
+	xi = 1.0 / x_size;
+	yi = 1.0 / y_size;
+	zi = 1.0 / z_size;
+
+	z = 0.0;
+	texturePtr = (void *)textureData;
+	for(k = 0; k < z_size; k++, z += zi) {
+		y = 0.0;
+		for(j = 0; j < y_size; j++, y += yi) {
+			x = 0.0;
+			for(i = 0; i < x_size; i++, x += xi) {
+				*texturePtr = texFunc(x, y, z, colours);
+				++texturePtr;
+			}
+		}
+	}
+	return textureData;
+}
+
+tex_col_t makeMarbleColours(void)
+{
+	tex_col_t marbleColours;
+	int ncols = 2;
+
+	marbleColours.colours = calloc(sizeof(GLuint), ncols);
+	marbleColours.ncols = ncols;
+
+	marbleColours.colours[0] = 0x3f3f3f3f;
+	marbleColours.colours[1] = 0xffffffff;
+
+	return marbleColours;
+}
+
+double turb(double x, double y, double z, int octaves)
+{
+	int oct, freq = 1;
+	double r = 0.0;
+
+	for(oct = 0; oct < octaves; ++oct) {
+		r += fabs(improved_noise(freq * x, freq * y, freq * z)) / freq;
+		freq <<= 1;
+	}
+	return r / 2.0;
+}
+
+void perturb(double *x, double *y, double *z, double scale)
+{
+	double t = scale * turb(*x, *y, *z, 4);
+	*x += t;
+	*y += t;
+	*z += t;
+}
+
+double f_m(double x, double y, double z)
+{
+	return sin(3.0 * M_PI * x);
+}
+
+GLuint C_m(double x, const tex_col_t * tex_cols)
+{
+	int r = tex_cols->colours[0] & 0xff;
+	int g = tex_cols->colours[0] >> 8 & 0xff;
+	int b = tex_cols->colours[0] >> 16 & 0xff;
+	double factor;
+	int r1, g1, b1;
+	x = x - floor(x);
+
+	factor = (1.0 + sin(2.0 * M_PI * x)) / 2.0;
+
+	r1 = (tex_cols->colours[1] & 0xff);
+	g1 = (tex_cols->colours[1] >> 8 & 0xff);
+	b1 = (tex_cols->colours[1] >> 16 & 0xff);
+
+	r += (int)(factor * (r1 - r));
+	g += (int)(factor * (g1 - g));
+	b += (int)(factor * (b1 - b));
+
+	return 0xff000000 | (b << 16) | (g << 8) | r;
+}
+
+
+GLuint makeMarbleTexture(double x, double y, double z, tex_col_t * colours)
+{
+	perturb(&x, &y, &z, MARBLE_SCALE);
+	return C_m(f_m(x, y, z), colours);
+}
+
+void setTexture(int n)
+{
+	glBindTexture(GL_TEXTURE_2D, glhanoi->textureNames[n]);
+}
+
+int makeTextures(void)
+{
+	GLubyte *marbleTexture;
+	tex_col_t marbleColours;
+
+	glGenTextures(N_TEXTURES, glhanoi->textureNames);
+
+	marbleColours = makeMarbleColours();
+	if((marbleTexture =
+		makeTexture(MARBLE_TEXTURE_SIZE, MARBLE_TEXTURE_SIZE, 1,
+					makeMarbleTexture, &marbleColours)) == NULL) {
+		return 1;
+	}
+
+	glBindTexture(GL_TEXTURE_2D, glhanoi->textureNames[0]);
+	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
+	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
+	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
+	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
+	glTexImage2D(GL_TEXTURE_2D, 0, GL_RGBA,
+				 MARBLE_TEXTURE_SIZE, MARBLE_TEXTURE_SIZE, 0,
+				 GL_RGBA, GL_UNSIGNED_BYTE, marbleTexture);
+	free(marbleTexture);
+
+	return 0;
+}
+
+void initFloor(void)
+{
+	int i, j;
+	float tileSize = glhanoi->boardSize / BOARD_SQUARES;
+	float x0, x1, z0, z1;
+	float tx0, tx1, tz0, tz1;
+	float *col = cWhite;
+	float texIncr = 1.0 / BOARD_SQUARES;
+
+	if((glhanoi->floorList = glGenLists(1)) == 0) {
+		fprintf(stderr, "can't allocate memory for floor display list\n");
+		exit(EXIT_FAILURE);
+	}
+	glNewList(glhanoi->floorList, GL_COMPILE);
+	x0 = -glhanoi->boardSize / 2.0;
+	tx0 = 0.0f;
+	setMaterial(col, cWhite, 128);
+	setTexture(0);
+	glNormal3fv(up);
+	for(i = 0; i < BOARD_SQUARES; i++, x0 += tileSize, tx0 += texIncr) {
+		x1 = x0 + tileSize;
+		tx1 = tx0 + texIncr;
+		z0 = -glhanoi->boardSize / 2.0;
+		tz0 = 0.0f;
+		for(j = 0; j < BOARD_SQUARES; j++, z0 += tileSize, tz0 += texIncr) {
+			int colIndex = (i + j) & 0x1;
+
+			z1 = z0 + tileSize;
+			tz1 = tz0 + texIncr;
+
+			if(colIndex)
+				col = cWhite;
+			else
+				col = cBlack;
+
+			setMaterial(col, cWhite, 100);
+
+			glBegin(GL_QUADS);
+
+			glTexCoord2d(tx0, tz0);
+			glVertex3f(x0, 0.0, z0);
+
+			glTexCoord2d(tx0, tz1);
+			glVertex3f(x0, 0.0, z1);
+
+			glTexCoord2d(tx1, tz1);
+			glVertex3f(x1, 0.0, z1);
+
+			glTexCoord2d(tx1, tz0);
+			glVertex3f(x1, 0.0, z0);
+			glEnd();
+		}
+	}
+	glEndList();
+}
+
+void initTowers(void)
+{
+	if((glhanoi->baseList = glGenLists(1)) == 0) {
+		fprintf(stderr, "can't allocate memory for towers display list\n");
+		exit(EXIT_FAILURE);
+	}
+	glNewList(glhanoi->baseList, GL_COMPILE);
+	setMaterial(baseColor, cWhite, 50);
+	drawCuboid(glhanoi->baseLength, glhanoi->baseWidth,
+			   glhanoi->baseHeight);
+	glEndList();
+
+
+	if((glhanoi->poleList = glGenLists(1)) == 0) {
+		fprintf(stderr, "can't allocate memory for towers display list\n");
+		exit(EXIT_FAILURE);
+	}
+	glNewList(glhanoi->poleList, GL_COMPILE);
+	glPushMatrix();
+	glTranslatef(0.0f, glhanoi->baseHeight, 0.0f);
+	setMaterial(poleColor, cWhite, 50);
+	drawPole(glhanoi->poleRadius, glhanoi->poleHeight);
+	glPushMatrix();
+	glTranslatef(-glhanoi->poleOffset, 0.0, 0.0);
+	drawPole(glhanoi->poleRadius, glhanoi->poleHeight);
+	glPopMatrix();
+	glTranslatef(glhanoi->poleOffset, 0.0, 0.0);
+	drawPole(glhanoi->poleRadius, glhanoi->poleHeight);
+	glPopMatrix();
+	glEndList();
+}
+
+double cfunc(double x)
+{
+#define COMP <
+	if(x < 2.0 / 7.0) {
+		return (1.0 / 12.0) / (1.0 / 7.0) * x;
+	}
+	if(x < 3.0 / 7.0) {
+		return (1.0 + 1.0 / 6.0) * x - 1.0 / 6.0;
+	}
+	if(x < 4.0 / 7.0) {
+		return (2.0 + 1.0 / 3.0) * x - 2.0 / 3.0;
+	}
+	if(x < 5.0 / 7.0) {
+		return (1.0 / 12.0) / (1.0 / 7.0) * x + 1.0 / 3.0;
+	}
+	return (1.0 / 12.0) / (1.0 / 7.0) * x + 1.0 / 3.0;
+}
+
+void initDisks(void)
+{
+	int i;
+	if((glhanoi->disk =
+		(Disk *) calloc(glhanoi->numberOfDisks, sizeof(Disk))) == NULL) {
+		perror("initDisks");
+		exit(EXIT_FAILURE);
+	}
+
+	for(i = glhanoi->maxDiskIdx; i >= 0; i--) {
+		GLfloat height = (GLfloat) (glhanoi->maxDiskIdx - i);
+		double f = cfunc((GLfloat) i / (GLfloat) glhanoi->numberOfDisks);
+		GLfloat diskColor = f * 360.0;
+		GLfloat color[3];
+		Disk *disk = &glhanoi->disk[i];
+
+		disk->id = i;
+		disk->position[0] = -glhanoi->poleOffset;
+		disk->position[1] = glhanoi->diskHeight * height;
+		disk->position[2] = 0.0;
+		disk->rotation[0] = 0.0;
+		disk->rotation[1] = 0.0;
+		disk->rotation[2] = 0.0;
+
+		color[0] = diskColor;
+		color[1] = 1.0f;
+		color[2] = 1.0f;
+		HSVtoRGBv(color, color);
+
+		if((disk->displayList = glGenLists(1)) == 0) {
+			fprintf(stderr,
+					"can't allocate memory for disk %d display list\n", i);
+			exit(EXIT_FAILURE);
+		}
+		glNewList(disk->displayList, GL_COMPILE);
+		setMaterial(color, cWhite, 100.0);
+		drawDisk3D(glhanoi->poleRadius, getDiskRadius(i),
+				   glhanoi->diskHeight);
+		glEndList();
+	}
+	for(i = glhanoi->maxDiskIdx; i >= 0; --i) {
+		GLfloat height = (GLfloat) (glhanoi->maxDiskIdx - i);
+		int h = glhanoi->maxDiskIdx - i;
+		glhanoi->diskPos[h] = glhanoi->diskHeight * height;
+		push(glhanoi->src, &glhanoi->disk[i]);
+	}
+}
+
+void initLights(Bool state)
+{
+	if(state) {
+		glLightfv(GL_LIGHT0, GL_POSITION, pos0);
+		glLightfv(GL_LIGHT0, GL_AMBIENT, amb0);
+		glLightfv(GL_LIGHT0, GL_DIFFUSE, dif0);
+		glLightfv(GL_LIGHT0, GL_SPECULAR, spc0);
+
+		glLightfv(GL_LIGHT1, GL_POSITION, pos1);
+		glLightfv(GL_LIGHT1, GL_AMBIENT, amb1);
+		glLightfv(GL_LIGHT1, GL_DIFFUSE, dif1);
+		glLightfv(GL_LIGHT1, GL_SPECULAR, spc1);
+
+		glEnable(GL_LIGHTING);
+		glEnable(GL_LIGHT0);
+		glEnable(GL_LIGHT1);
+	} else {
+		glDisable(GL_LIGHTING);
+	}
+}
+
+void drawFloor(void)
+{
+	glCallList(glhanoi->floorList);
+}
+
+void drawTowers(void)
+{
+	glCallList(glhanoi->baseList);
+	glCallList(glhanoi->poleList);
+}
+
+/* Window management, etc
+ */
+void reshape_glhanoi(ModeInfo * mi, int width, int height)
+{
+	glViewport(0, 0, (GLint) width, (GLint) height);
+
+	glMatrixMode(GL_PROJECTION);
+	glLoadIdentity();
+	gluPerspective(30.0, (GLdouble) width / (GLdouble) height, 1.0,
+				   2 * MAX_CAMERA_RADIUS);
+
+	glMatrixMode(GL_MODELVIEW);
+	glLoadIdentity();
+
+	glClear(GL_COLOR_BUFFER_BIT);
+}
+
+void init_glhanoi(ModeInfo * mi)
+{
+	if(!glhanoi_cfg) {
+		glhanoi_cfg =
+			(glhcfg *) calloc(MI_NUM_SCREENS(mi), sizeof(glhcfg));
+		if(!glhanoi_cfg) {
+			fprintf(stderr, "%s: out of memory creating configs\n",
+					progname);
+			exit(1);
+		}
+		glhanoi = &glhanoi_cfg[MI_SCREEN(mi)];
+	}
+
+	glhanoi = &glhanoi_cfg[MI_SCREEN(mi)];
+	glhanoi->glx_context = init_GL(mi);
+	glhanoi->numberOfDisks = MI_BATCHCOUNT(mi);
+	glhanoi->maxDiskIdx = glhanoi->numberOfDisks - 1;
+	glhanoi->wire = MI_IS_WIREFRAME(mi);
+	glhanoi->light = light;
+	glhanoi->fog = fog;
+	glhanoi->texture = texture;
+
+	reshape_glhanoi(mi, MI_WIDTH(mi), MI_HEIGHT(mi));
+
+	if(glhanoi->wire) {
+		glhanoi->light = FALSE;
+		glhanoi->fog = FALSE;
+		glhanoi->texture = FALSE;
+	}
+
+	initLights(!glhanoi->wire && glhanoi->light);
+	if(makeTextures() != 0) {
+		fprintf(stderr, "can't allocate memory for marble texture\n");
+		exit(EXIT_FAILURE);
+	}
+
+	initData();
+	initView();
+	initFloor();
+	initTowers();
+	initDisks();
+
+	glEnable(GL_DEPTH_TEST);
+	glEnable(GL_NORMALIZE);
+	glEnable(GL_CULL_FACE);
+	glShadeModel(GL_SMOOTH);
+	if(glhanoi->fog) {
+		glClearColor(fogcolor[0], fogcolor[1], fogcolor[2], 1.0);
+		glFogi(GL_FOG_MODE, GL_LINEAR);
+		glFogfv(GL_FOG_COLOR, fogcolor);
+		glFogf(GL_FOG_DENSITY, 0.35f);
+		glHint(GL_FOG_HINT, GL_NICEST);
+		glFogf(GL_FOG_START, MIN_CAMERA_RADIUS);
+		glFogf(GL_FOG_END, MAX_CAMERA_RADIUS / 1.9);
+		glEnable(GL_FOG);
+	}
+
+
+	glhanoi->duration = START_DURATION;
+	changeState(START);
+}
+
+void draw_glhanoi(ModeInfo * mi)
+{
+	Display *dpy = MI_DISPLAY(mi);
+	Window window = MI_WINDOW(mi);
+
+	glhanoi = &glhanoi_cfg[MI_SCREEN(mi)];
+
+	if(!glhanoi->glx_context)
+		return;
+	glPolygonMode(GL_FRONT, glhanoi->wire ? GL_LINE : GL_FILL);
+
+	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+
+	glLoadIdentity();
+
+	update_glhanoi();
+	updateView();
+
+	if(!glhanoi->wire && glhanoi->texture) {
+		glEnable(GL_TEXTURE_2D);
+	}
+	drawFloor();
+	glDisable(GL_TEXTURE_2D);
+
+	drawTowers();
+	drawDisks();
+
+	if(mi->fps_p) {
+		do_fps(mi);
+	}
+	glFinish();
+
+	glXSwapBuffers(dpy, window);
+}
+
+Bool glhanoi_handle_event(ModeInfo * mi, XEvent * event)
+{
+	glhcfg *glhanoi = &glhanoi_cfg[MI_SCREEN(mi)];
+
+	if(event->xany.type == ButtonPress && event->xbutton.button == Button1) {
+		glhanoi->button_down_p = True;
+		glhanoi->drag_x = event->xbutton.x;
+		glhanoi->drag_y = event->xbutton.y;
+		return True;
+	} else if(event->xany.type == ButtonRelease
+			  && event->xbutton.button == Button1) {
+		glhanoi->button_down_p = False;
+		return True;
+	} else if(event->xany.type == ButtonPress &&
+			  (event->xbutton.button == Button4
+			   || event->xbutton.button == Button5)) {
+		switch (event->xbutton.button) {
+		case Button4:
+			glhanoi->camera[2] += 0.01;
+			break;
+		case Button5:
+			glhanoi->camera[2] -= 0.01;
+			break;
+		default:
+			fprintf(stderr,
+					"glhanoi: unknown button in mousewheel handler\n");
+		}
+		return True;
+	} else if(event->xany.type == MotionNotify
+			  && glhanoi_cfg->button_down_p) {
+		int x_diff, y_diff;
+
+		x_diff = event->xbutton.x - glhanoi->drag_x;
+		y_diff = event->xbutton.y - glhanoi->drag_y;
+
+		glhanoi->camera[0] = (float)x_diff / (float)MI_WIDTH(mi);
+		glhanoi->camera[1] = (float)y_diff / (float)MI_HEIGHT(mi);
+
+		return True;
+	}
+	return False;
+}
+
+void release_glhanoi(ModeInfo * mi)
+{
+	if(glhanoi_cfg != NULL) {
+		int screen;
+		for(screen = 0; screen < MI_NUM_SCREENS(mi); screen++) {
+			int i;
+			int j;
+			glhcfg *glh = &glhanoi_cfg[screen];
+			glDeleteLists(glh->floorList, 1);
+			glDeleteLists(glh->baseList, 1);
+			glDeleteLists(glh->poleList, 1);
+			for(j = 0; j < glh->numberOfDisks; ++j) {
+				glDeleteLists(glh->disk[j].displayList, 1);
+			}
+			free(glh->disk);
+			for(i = 0; i < 3; i++) {
+				if(glh->pole[i].data != NULL) {
+					free(glh->pole[i].data);
+				}
+			}
+		}
+	}
+	free(glhanoi_cfg);
+	glhanoi_cfg = NULL;
+	glDeleteLists(glhanoi->textureNames[0], 2);
+}
+
+#endif							/* USE_GL */

=== added file 'hacks/glx/glhanoi.man'
--- hacks/glx/glhanoi.man	1970-01-01 00:00:00 +0000
+++ hacks/glx/glhanoi.man	2006-06-30 16:27:21 +0000
@@ -0,0 +1,74 @@
+.TH XScreenSaver 1 "" "X Version 11"
+.SH NAME
+glhanoi - OpenGL Towers of Hanoi
+.SH SYNOPSIS
+.B glhanoi
+[\-display \fIhost:display.screen\fP]
+[\-visual \fIvisual\fP]
+[\-window]
+[\-root]
+[\-delay \fInumber\fP]
+[\-count \fInumber\fP]
+[\-speed \fInumber\fP]
+[\-rotspeed \fInumber\fP]
+[\-wireframe]
+[\-light]
+[\-texture]
+[\-fog]
+[\-fps]
+.SH DESCRIPTION
+Implementation of Towers of Hanoi in OpenGL
+.SH OPTIONS
+.TP 8
+.B \-visual \fIvisual\fP
+Specify which visual to use.  Legal values are the name of a visual class,
+or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-window
+Draw on a newly-created window.  This is the default.
+.TP 8
+.B \-root
+Draw on the root window.
+.TP 8
+.B \-delay \fInumber\fP
+Per-frame delay, in microseconds.  Default: 15000 (0.015 seconds.).
+.TP 8
+.B \-count \fInumber\fP
+Number of disks.  Default: 7.
+.TP 8
+.B \-wireframe | \-no-wireframe
+Render in wireframe instead of solid.
+.TP 8
+.B \-fog | \-no-fog
+Render in fog.
+.TP 8
+.B \-fps | \-no-fps
+Whether to show a frames-per-second display at the bottom of the screen.
+.TP 8
+.B \-light | -no-light
+Whether the scene is lit.
+.TP 8
+.B \-texture | \-no-texture
+Render with textures instead of solid.
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global resources
+stored in the RESOURCE_MANAGER property.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.SH COPYRIGHT
+Copyright \(co 2004 by Dave Atkinson.  Permission to use, copy, modify, 
+distribute, and sell this software and its documentation for any purpose is 
+hereby granted without fee, provided that the above copyright notice appear 
+in all copies and that both that copyright notice and this permission notice
+appear in supporting documentation.  No representations are made about the 
+suitability of this software for any purpose.  It is provided "as is" without
+express or implied warranty.
+.SH AUTHOR
+Dave Atkinson.

=== modified file 'hacks/glx/glknots.man'
--- hacks/glx/glknots.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/glknots.man	2006-06-30 16:27:21 +0000
@@ -44,7 +44,7 @@
 How thick the tubes should be.  Default 0.3.
 .TP 8
 .B \-duration \fIseconds\fP
-How long to leave each knot up.  Default 5 seconds.
+How long to leave each knot up.  Default 8 seconds.
 .TP 8
 .B \-wander | \-no-wander
 Whether the cubes should wander around the screen.

=== modified file 'hacks/glx/glmatrix.man'
--- hacks/glx/glmatrix.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/glmatrix.man	2006-06-30 16:27:21 +0000
@@ -11,13 +11,15 @@
 [\-small | \-large]
 [\-trace]
 [\-phone \fInumber\fP]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 The \fIglmatrix\fP program draws dropping characters similar to what
 is seen in the title sequence of the Wachowski brothers' film,
 "The Matrix".
 
 Also see
-.BR xmatrix (1)
+.BR xmatrix (MANSUFFIX)
 for a 2D rendering of the similar effect that appeared on the
 computer monitors actually \fIin\fP the movie.
 .SH OPTIONS
@@ -66,6 +68,9 @@
 Instead of displaying Matrix glyphs, display genetic code
 (guanine, adenine, thymine, and cytosine.)
 .TP 8
+.B \-wireframe
+Just draw boxes instead of textured characters.
+.TP 8
 .B \-fps
 Display a running tally of how many frames per second are being rendered.
 In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 
@@ -80,7 +85,7 @@
 to get the name of a resource file that overrides the global resources
 stored in the RESOURCE_MANAGER property.
 .SH SEE ALSO
-.BR xmatrix (1),
+.BR xmatrix (MANSUFFIX),
 .BR X (1),
 .BR xscreensaver (1)
 .SH COPYRIGHT

=== modified file 'hacks/glx/glplanet.man'
--- hacks/glx/glplanet.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/glplanet.man	2006-06-30 16:27:21 +0000
@@ -9,7 +9,8 @@
 [\-root]
 [\-no-light]
 [\-delay \fInumber\fP]
-[\-bitmap \fIfile\fP]
+[\-image \fIfile\fP]
+[\-resolution \fInumber\fP]
 [\-wireframe]
 [\-fps]
 .SH DESCRIPTION
@@ -32,11 +33,14 @@
 Use Flat Coloring.
 .TP 8
 .B \-delay \fInumber\fP
-Per-frame delay, in microseconds.  Default: 15000 (0.01 seconds.).
+Per-frame delay, in microseconds.  Default: 20000 (0.02 seconds.).
 .TP 8
-.B \-bitmap \fIfile\fP
+.B \-images \fIfile\fP
 The texture map to wrap around the planet's surface.
 .TP 8
+.B \-resolution
+The resolution of the planet. Default: 128.
+.TP 8
 .B \-wireframe
 Render in wireframe instead of solid.
 .TP 8

=== modified file 'hacks/glx/glslideshow.man'
--- hacks/glx/glslideshow.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/glslideshow.man	2006-06-30 16:27:21 +0000
@@ -113,7 +113,7 @@
 .BR xscreensaver-demo (1),
 .BR xscreensaver-getimage (1),
 .BR xscreensaver (1),
-.BR carousel (1)
+.BR carousel (MANSUFFIX)
 .SH COPYRIGHT
 Copyright \(co 2003-2005 by Jamie Zawinski, based on an earlier version
 that was

=== modified file 'hacks/glx/glsnake.c'
--- hacks/glx/glsnake.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/glsnake.c	2006-07-29 23:00:43 +0000
@@ -1,6 +1,6 @@
 /* glsnake.c - OpenGL imitation of Rubik's Snake
  * 
- * (c) 2001-2003 Jamie Wilkinson <jaq@spacepants.org>
+ * (c) 2001-2005 Jamie Wilkinson <jaq@spacepants.org>
  * (c) 2001-2003 Andrew Bennetts <andrew@puzzling.org> 
  * (c) 2001-2003 Peter Aylett <peter@ylett.com>
  * 
@@ -44,26 +44,33 @@
 #define RIGHT   270.0
 
 #ifdef HAVE_GETTIMEOFDAY
-#ifdef GETTIMEOFDAY_TWO_ARGS
-# include <sys/time.h>
-# include <time.h>
-  typedef struct timeval snaketime;
-# define GETSECS(t) ((t).tv_sec)
-# define GETMSECS(t) ((t).tv_usec/1000)
-#else /* GETTIMEOFDAY_TWO_ARGS */
-# include <sys/time.h>
-# include <time.h>
-  typedef struct timeval snaketime;
-# define GETSECS(t) ((t).tv_sec)
-# define GETMSECS(t) ((t).tv_usec/1000)
-#endif
-#else /* HAVE_GETTIMEOFDAY */
-#ifdef HAVE_FTIME
-# include <sys/timeb.h>
-  typedef struct timeb snaketime;
-# define GETSECS(t) ((long)(t).time)
-# define GETMSECS(t) ((t).millitm/1000)
-#endif /* HAVE_FTIME */
+# ifdef GETTIMEOFDAY_TWO_ARGS
+
+#  include <sys/time.h>
+#  include <time.h>
+   typedef struct timeval snaketime;
+#  define GETSECS(t) ((t).tv_sec)
+#  define GETMSECS(t) ((t).tv_usec/1000)
+
+# else /* !GETTIMEOFDAY_TWO_ARGS */
+
+#  include <sys/time.h>
+#  include <time.h>
+   typedef struct timeval snaketime;
+#  define GETSECS(t) ((t).tv_sec)
+#  define GETMSECS(t) ((t).tv_usec/1000)
+
+# endif /* GETTIMEOFDAY_TWO_ARGS */
+
+#else /* !HAVE_GETTIMEOFDAY */
+# ifdef HAVE_FTIME
+
+#  include <sys/timeb.h>
+   typedef struct timeb snaketime;
+#  define GETSECS(t) ((long)(t).time)
+#  define GETMSECS(t) ((t).millitm/1000)
+
+# endif /* HAVE_FTIME */
 #endif /* HAVE_GETTIMEOFDAY */
 
 #include <math.h>
@@ -79,26 +86,26 @@
 #define DEF_ZANGVEL     0.14
 #define DEF_EXPLODE     0.03
 #define DEF_ANGVEL      1.0
-#define DEF_ACCEL       0.1
 #define DEF_STATICTIME  5000
 #define DEF_ALTCOLOUR   0
 #define DEF_TITLES      1
 #define DEF_INTERACTIVE 0
 #define DEF_ZOOM        25.0
 #define DEF_WIREFRAME   0
+#define DEF_TRANSPARENT 1
 #else
 /* xscreensaver options doobies prefer strings */
 #define DEF_YANGVEL     "0.10"
 #define DEF_ZANGVEL     "0.14"
 #define DEF_EXPLODE     "0.03"
 #define DEF_ANGVEL      "1.0"
-#define DEF_ACCEL       "0.1"
 #define DEF_STATICTIME  "5000"
 #define DEF_ALTCOLOUR   "False"
 #define DEF_TITLES      "True"
 #define DEF_INTERACTIVE "False"
 #define DEF_ZOOM        "25.0"
 #define DEF_WIREFRAME   "False"
+#define DEF_TRANSPARENT "True"
 #endif
 
 /* static variables */
@@ -110,16 +117,16 @@
 #endif
 
 static GLfloat explode;
-static GLfloat accel;
 static long statictime;
-static GLfloat yspin = 0;
-static GLfloat zspin = 0;
+static GLfloat yspin = 60.0;
+static GLfloat zspin = -45.0;
 static GLfloat yangvel;
 static GLfloat zangvel;
 static Bool altcolour;
 static Bool titles;
 static Bool interactive;
 static Bool wireframe;
+static Bool transparent;
 static GLfloat zoom;
 static GLfloat angvel;
 
@@ -138,7 +145,9 @@
 #define DEFAULTS "*delay:          30000                      \n" \
                  "*count:          30                         \n" \
                  "*showFPS:        False                      \n" \
-		 "*labelfont:   -*-times-bold-r-normal-*-180-*\n" \
+                 "*labelfont:   -*-times-bold-r-normal-*-180-*\n" \
+
+
 
 #undef countof
 #define countof(x) (sizeof((x))/sizeof((*x)))
@@ -149,23 +158,23 @@
 static XrmOptionDescRec opts[] = {
     { "-explode", ".explode", XrmoptionSepArg, DEF_EXPLODE },
     { "-angvel", ".angvel", XrmoptionSepArg, DEF_ANGVEL },
-    { "-accel", ".accel", XrmoptionSepArg, DEF_ACCEL },
     { "-statictime", ".statictime", XrmoptionSepArg, DEF_STATICTIME },
     { "-yangvel", ".yangvel", XrmoptionSepArg, DEF_YANGVEL },
     { "-zangvel", ".zangvel", XrmoptionSepArg, DEF_ZANGVEL },
-    { "-altcolour", ".altcolour", XrmoptionNoArg, "True" },
-    { "-no-altcolour", ".altcolour", XrmoptionNoArg, "False" },
-    { "-titles", ".titles", XrmoptionNoArg, "True" },
-    { "-no-titles", ".titles", XrmoptionNoArg, "False" },
+    { "-altcolour", ".altcolour", XrmoptionNoArg, (caddr_t) "True" },
+    { "-no-altcolour", ".altcolour", XrmoptionNoArg, (caddr_t) "False" },
+    { "-titles", ".titles", XrmoptionNoArg, (caddr_t) "True" },
+    { "-no-titles", ".titles", XrmoptionNoArg, (caddr_t) "False" },
     { "-zoom", ".zoom", XrmoptionSepArg, DEF_ZOOM },
-    { "-wireframe", ".wireframe", XrmoptionNoArg, "true" },
-    { "-no-wireframe", ".wireframe", XrmoptionNoArg, "false" },
+    { "-wireframe", ".wireframe", XrmoptionNoArg, (caddr_t) "true" },
+    { "-no-wireframe", ".wireframe", XrmoptionNoArg, (caddr_t) "false" },
+    { "-transparent", ".transparent", XrmoptionNoArg, (caddr_t) "true" },
+    { "-no-transparent", ".transparent", XrmoptionNoArg, (caddr_t) "false" },
 };
 
 static argtype vars[] = {
     {&explode, "explode", "Explode", DEF_EXPLODE, t_Float},
     {&angvel, "angvel", "Angular Velocity", DEF_ANGVEL, t_Float},
-    {&accel, "accel", "Acceleration", DEF_ACCEL, t_Float},
     {&statictime, "statictime", "Static Time", DEF_STATICTIME, t_Int},
     {&yangvel, "yangvel", "Angular Velocity about Y axis", DEF_YANGVEL, t_Float},
     {&zangvel, "zangvel", "Angular Velocity about X axis", DEF_ZANGVEL, t_Float},
@@ -174,13 +183,14 @@
     {&titles, "titles", "Titles", DEF_TITLES, t_Bool},
     {&zoom, "zoom", "Zoom", DEF_ZOOM, t_Float},
     {&wireframe, "wireframe", "Wireframe", DEF_WIREFRAME, t_Bool},
+    {&transparent, "transparent", "Transparent!", DEF_TRANSPARENT, t_Bool},
 };
 
-ModeSpecOpt sws_opts = {countof(opts), opts, countof(vars), vars, NULL};
+ModeSpecOpt sws_opts = {(int)countof(opts), opts, (int)countof(vars), vars, NULL};
 #endif
 
 struct model_s {
-    char * name;
+    const char * name;
     float node[NODE_COUNT];
 };
 
@@ -206,7 +216,7 @@
     /* snake metrics */
     int is_cyclic;
     int is_legal;
-    int last_turn;
+    float last_turn;
     int debug;
 
     /* the shape of the model */
@@ -216,14 +226,14 @@
     int selected;
 
     /* models */
-    int prev_model;
-    int next_model;
+    unsigned int prev_model;
+    unsigned int next_model;
 
     /* model morphing */
     int new_morph;
 
     /* colours */
-    float colour[2][3];
+    float colour[2][4];
     int next_colour;
     int prev_colour;
 
@@ -236,7 +246,7 @@
     int old_width, old_height;
 
     /* the id of the display lists for drawing a node */
-    int node_solid, node_wire;
+    GLuint node_solid, node_wire;
 
     /* is the window fullscreen? */
     int fullscreen;
@@ -246,20 +256,24 @@
 #define COLOUR_ACYCLIC 1
 #define COLOUR_INVALID 2
 #define COLOUR_AUTHENTIC 3
+#define COLOUR_ORIGLOGO 4
 
-float colour[][2][3] = {
+float colour[][2][4] = {
     /* cyclic - green */
-    { { 0.4, 0.8, 0.2 },
-      { 1.0, 1.0, 1.0 } },
+    { { 0.4, 0.8, 0.2, 0.6 },
+      { 1.0, 1.0, 1.0, 0.6 } },
     /* acyclic - blue */
-    { { 0.3, 0.1, 0.9 },
-      { 1.0, 1.0, 1.0 } },
+    { { 0.3, 0.1, 0.9, 0.6 },
+      { 1.0, 1.0, 1.0, 0.6 } },
     /* invalid - grey */
-    { { 0.3, 0.1, 0.9 },
-      { 1.0, 1.0, 1.0 } },
+    { { 0.3, 0.1, 0.9, 0.6 },
+      { 1.0, 1.0, 1.0, 0.6 } },
     /* authentic - purple and green */
-    { { 0.38, 0.0, 0.55 },
-      { 0.0,  0.5, 0.34 } }
+    { { 0.38, 0.0, 0.55, 0.7 },
+      { 0.0,  0.5, 0.34, 0.7 } },
+    /* old "authentic" colours from the logo */
+    { { 171/255.0, 0, 1.0, 1.0 },
+      { 46/255.0, 205/255.0, 227/255.0, 1.0 } }
 };
 
 struct model_s model[] = {
@@ -267,19 +281,19 @@
     { "straight",
       { ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO,
 	ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO,
-	ZERO, ZERO }
+	ZERO, ZERO, ZERO }
     },
     /* the models in the Rubik's snake manual */
-#define START_MODEL 1
     { "ball",
       { RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT,
 	RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT,
-	RIGHT, LEFT, RIGHT, LEFT }
+	RIGHT, LEFT, RIGHT, LEFT, ZERO }
     },
+#define START_MODEL 2
     { "snow",
       { RIGHT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, RIGHT,
 	RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT,
-	RIGHT, LEFT, LEFT, LEFT }
+	RIGHT, LEFT, LEFT, LEFT, ZERO }
     },
     { "propellor",
       { ZERO, ZERO, ZERO, RIGHT, LEFT, RIGHT, ZERO, LEFT, ZERO, ZERO,
@@ -289,62 +303,64 @@
     { "flamingo",
       { ZERO, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, PIN, RIGHT, RIGHT, PIN,
 	RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, RIGHT, ZERO, ZERO,
-	ZERO, PIN }
+	ZERO, PIN, ZERO }
     },
     { "cat",
       { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN,
 	ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO,
-	ZERO }
+	ZERO, ZERO }
     },
     { "rooster",
       { ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, LEFT, RIGHT, PIN, RIGHT,
 	ZERO, PIN, PIN, ZERO, RIGHT, PIN, RIGHT, LEFT, ZERO, LEFT, ZERO,
-	PIN }
+	PIN, ZERO }
     },
     /* These models were taken from Andrew and Peter's original snake.c
      * as well as some newer ones made up by Jamie, Andrew and Peter. */
     { "half balls",
       { LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT,
 	LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT,
-	RIGHT, LEFT, LEFT, LEFT }
+	RIGHT, LEFT, LEFT, LEFT, ZERO }
     },
     { "zigzag1",
       { RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT,
 	LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT,
-	RIGHT, RIGHT, LEFT, LEFT }
+	RIGHT, RIGHT, LEFT, LEFT, ZERO }
     },
     { "zigzag2",
       { PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN,
-	ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN }
+	ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN,
+	ZERO }
     },
     { "zigzag3",
       { PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN,
-	LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN }
+	LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN,
+	ZERO }
     },
     { "caterpillar",
       { RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT,
 	LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN,
-	LEFT, LEFT }
+	LEFT, LEFT, ZERO }
     },
     { "bow",
       { RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT,
 	LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT,
-	RIGHT, RIGHT, LEFT, LEFT }
+	RIGHT, RIGHT, LEFT, LEFT, ZERO }
     },
     { "turtle",
       { ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT,
 	LEFT, RIGHT, LEFT, LEFT, PIN, LEFT, LEFT, LEFT, RIGHT, LEFT,
-	RIGHT, RIGHT, RIGHT }
+	RIGHT, RIGHT, RIGHT, ZERO }
     },
     { "basket",
       { RIGHT, PIN, ZERO, ZERO, PIN, LEFT, ZERO, LEFT, LEFT, ZERO,
 	LEFT, PIN, ZERO, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO, ZERO,
-	PIN, LEFT }
+	PIN, LEFT, ZERO }
     },
     { "thing",
       { PIN, RIGHT, LEFT, RIGHT, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT,
 	LEFT, RIGHT, PIN, RIGHT, LEFT, RIGHT, RIGHT, LEFT, PIN, LEFT,
-	RIGHT, LEFT, LEFT }
+	RIGHT, LEFT, LEFT, ZERO }
     },
     { "hexagon",
       { ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, RIGHT, ZERO, ZERO,
@@ -378,41 +394,41 @@
     { "bird",
       { ZERO, ZERO, ZERO, ZERO, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT,
 	ZERO, RIGHT, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT,
-	LEFT, ZERO, PIN }
+	LEFT, ZERO, PIN, ZERO }
     },
     { "seal",
       { RIGHT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO,
 	LEFT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, LEFT, LEFT, PIN, RIGHT,
-	RIGHT, LEFT }
+	RIGHT, LEFT, ZERO }
     },
     { "dog",
       { ZERO, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN,
-	ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN }
+	ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO }
     },
     { "frog",
       { RIGHT, RIGHT, LEFT, LEFT, RIGHT, PIN, RIGHT, PIN, LEFT, PIN,
 	RIGHT, ZERO, LEFT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, LEFT,
-	RIGHT, LEFT, LEFT }
+	RIGHT, LEFT, LEFT, ZERO }
     },
     { "quavers",
       { LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, ZERO, ZERO, ZERO,
 	RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, ZERO, LEFT, LEFT,
-	RIGHT, LEFT, RIGHT, RIGHT }
+	RIGHT, LEFT, RIGHT, RIGHT, ZERO }
     },
     { "fly",
       { LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, ZERO, PIN, ZERO, ZERO,
 	LEFT, PIN, RIGHT, ZERO, ZERO, PIN, ZERO, LEFT, LEFT, RIGHT, LEFT,
-	RIGHT, RIGHT }
+	RIGHT, RIGHT, ZERO }
     },
     { "puppy",
       { ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO,
 	RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT,
-	LEFT }
+	LEFT, ZERO, ZERO }
     },
     { "stars",
       { LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT,
 	ZERO, ZERO, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN,
-	RIGHT, LEFT }
+	RIGHT, LEFT, ZERO }
     },
     { "mountains",
       { RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN,
@@ -482,7 +498,7 @@
     { "duck",
       { LEFT, PIN, LEFT, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, LEFT,
 	PIN, RIGHT, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, LEFT, PIN,
-	LEFT }
+	LEFT, ZERO }
     },
     { "prayer",
       { RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO, ZERO,
@@ -497,7 +513,7 @@
     { "tie fighter",
       { PIN, LEFT, RIGHT, LEFT, LEFT, PIN, RIGHT, ZERO, RIGHT, LEFT,
 	ZERO, PIN, LEFT, LEFT, RIGHT, RIGHT, RIGHT, PIN, LEFT, ZERO,
-	LEFT, RIGHT, ZERO }
+	LEFT, RIGHT, ZERO, ZERO }
     },
     { "Strong Arms",
       { PIN, PIN, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, ZERO, RIGHT,
@@ -507,7 +523,7 @@
 
     /* the following modesl were created during the slug/compsoc codefest
      * febrray 2003 */
-    { "cool gegl",
+    { "cool looking gegl",
       { PIN, PIN, ZERO, ZERO, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, LEFT,
 	ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, LEFT, RIGHT, PIN, ZERO,
 	ZERO, ZERO }
@@ -517,7 +533,7 @@
 	PIN, ZERO, RIGHT, RIGHT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO,
 	RIGHT, ZERO }
     },
-    { "k's turd",
+    { "caterpillar",
       { RIGHT, RIGHT, PIN, RIGHT, LEFT, RIGHT, PIN, RIGHT, LEFT,
 	RIGHT, PIN, RIGHT, LEFT, RIGHT, PIN, RIGHT, LEFT, RIGHT, PIN,
 	RIGHT, LEFT, RIGHT, PIN, ZERO }
@@ -532,7 +548,7 @@
 	RIGHT, LEFT, RIGHT, ZERO, LEFT, RIGHT, LEFT, ZERO, RIGHT, LEFT,
 	RIGHT, ZERO, LEFT, ZERO }
     },
-    { "arse gegl",
+    { "not very good (but accurate) gegl",
       { ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO,
 	PIN, PIN, ZERO, RIGHT, LEFT, ZERO, PIN, ZERO, PIN, PIN, ZERO,
 	PIN, ZERO }
@@ -542,22 +558,22 @@
 	ZERO, PIN, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO,
 	ZERO, ZERO, ZERO }
     },
-    { "kissy box",
+    { "ribbon",
       { PIN, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, ZERO,
 	ZERO, PIN, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO,
 	ZERO, PIN, ZERO }
     },
-    { "erect penis",     /* thanks benno */
+    { "shuffle board",     /* thanks benno */
       { PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, PIN,
 	PIN, ZERO, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO,
 	ZERO, ZERO }
     },
-    { "flaccid penis",
+    { "anchor",
       { PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, PIN,
 	PIN, ZERO, ZERO, ZERO, RIGHT, PIN, ZERO, ZERO, ZERO, ZERO, ZERO,
 	ZERO, ZERO }
     },
-    { "vagina",
+    { "engagement ring",
       { RIGHT, ZERO, ZERO, ZERO, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO,
 	LEFT, ZERO, ZERO, ZERO, LEFT, ZERO, LEFT, PIN, LEFT, PIN, RIGHT,
 	PIN, RIGHT, ZERO }
@@ -625,627 +641,635 @@
 
     /* These models come from the website at 
      * http://www.geocities.com/stigeide/snake */
+#if 0
     { "Abstract",
-        { RIGHT, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, RIGHT, LEFT, PIN, ZERO, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO, PIN, ZERO, RIGHT, LEFT, RIGHT, ZERO }
+      { RIGHT, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, RIGHT, LEFT, PIN, ZERO, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO, PIN, ZERO, RIGHT, LEFT, RIGHT, ZERO, ZERO }
     },
-    { "AlanH1",
-        { LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN }
+#endif
+    { "toadstool",
+      { LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, ZERO }
     },
     { "AlanH2",
-        { LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT }
+      { LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, ZERO }
     },
     { "AlanH3",
-        { LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN }
+      { LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, ZERO }
     },
     { "AlanH4",
-        { ZERO, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO, RIGHT, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, RIGHT, LEFT, ZERO, RIGHT, LEFT, RIGHT, PIN, ZERO, ZERO }
+      { ZERO, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO, RIGHT, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, RIGHT, LEFT, ZERO, RIGHT, LEFT, RIGHT, PIN, ZERO, ZERO, ZERO }
     },
     { "Alien",
-        { RIGHT, LEFT, RIGHT, PIN, ZERO, ZERO, PIN, RIGHT, LEFT, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, ZERO, PIN, PIN }
+      { RIGHT, LEFT, RIGHT, PIN, ZERO, ZERO, PIN, RIGHT, LEFT, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, ZERO, PIN, PIN, ZERO }
     },
     { "Angel",
-        { ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT }
+      { ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, ZERO }
     },
     { "AnotherFigure",
-        { LEFT, PIN, RIGHT, ZERO, ZERO, PIN, RIGHT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, PIN, ZERO }
+      { LEFT, PIN, RIGHT, ZERO, ZERO, PIN, RIGHT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, PIN, ZERO, ZERO }
     },
     { "Ball",
-        { LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT }
+        { LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT , ZERO }
     },
     { "Basket",
-        { ZERO, RIGHT, RIGHT, ZERO, RIGHT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, ZERO, LEFT }
+        { ZERO, RIGHT, RIGHT, ZERO, RIGHT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, ZERO, LEFT , ZERO }
     },
     { "Beetle",
-        { PIN, LEFT, RIGHT, ZERO, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, ZERO, LEFT, RIGHT, PIN, RIGHT }
+        { PIN, LEFT, RIGHT, ZERO, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, ZERO, LEFT, RIGHT, PIN, RIGHT , ZERO }
     },
-    { "Bone",
-        { PIN, PIN, LEFT, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, RIGHT, PIN, PIN }
+    { "bone",
+        { PIN, PIN, LEFT, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, RIGHT, PIN, PIN , ZERO }
     },
     { "Bow",
-        { LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT }
-    },
-    { "Bra",
-        { RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT }
-    },
-    { "BronchoSaurian",
-        { ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, PIN }
+        { LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT , ZERO }
+    },
+    { "bra",
+        { RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT , ZERO }
+    },
+    { "bronchosaurus",
+        { ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, PIN , ZERO }
     },
     { "Cactus",
-        { PIN, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, PIN, LEFT, PIN, ZERO, ZERO }
+        { PIN, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, PIN, LEFT, PIN, ZERO, ZERO , ZERO }
     },
     { "Camel",
-        { RIGHT, ZERO, PIN, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, ZERO, ZERO, LEFT }
+        { RIGHT, ZERO, PIN, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, ZERO, ZERO, LEFT , ZERO }
     },
     { "Candlestick",
-        { LEFT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, RIGHT }
+        { LEFT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, RIGHT , ZERO }
     },
     { "Cat",
-        { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO }
+        { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO , ZERO }
     },
     { "Cave",
-        { RIGHT, ZERO, ZERO, PIN, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, LEFT, PIN, RIGHT, RIGHT, LEFT, PIN, ZERO, ZERO }
+        { RIGHT, ZERO, ZERO, PIN, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, LEFT, PIN, RIGHT, RIGHT, LEFT, PIN, ZERO, ZERO , ZERO }
     },
     { "Chains",
-        { PIN, ZERO, ZERO, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO }
+        { PIN, ZERO, ZERO, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO , ZERO }
     },
     { "Chair",
-        { RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, LEFT, RIGHT, LEFT, LEFT }
+        { RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, LEFT, RIGHT, LEFT, LEFT , ZERO }
     },
     { "Chick",
-        { RIGHT, RIGHT, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, RIGHT, RIGHT, PIN, LEFT, LEFT, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, LEFT, LEFT }
+        { RIGHT, RIGHT, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, RIGHT, RIGHT, PIN, LEFT, LEFT, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, LEFT, LEFT , ZERO }
     },
     { "Clockwise",
-        { RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT }
-    },
-    { "Cobra",
-        { ZERO, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, LEFT, ZERO, LEFT, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT }
-    },
+        { RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT , ZERO }
+    },
+    { "cobra",
+        { ZERO, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, LEFT, ZERO, LEFT, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT , ZERO }
+    },
+#if 0
     { "Cobra2",
-        { LEFT, ZERO, PIN, ZERO, PIN, LEFT, ZERO, PIN, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, PIN, ZERO, RIGHT, PIN, ZERO, PIN, ZERO, RIGHT }
+        { LEFT, ZERO, PIN, ZERO, PIN, LEFT, ZERO, PIN, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, PIN, ZERO, RIGHT, PIN, ZERO, PIN, ZERO, RIGHT , ZERO }
     },
+#endif
     { "Cobra3",
-        { ZERO, LEFT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, ZERO, ZERO, LEFT, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, LEFT }
+        { ZERO, LEFT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, ZERO, ZERO, LEFT, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, LEFT , ZERO }
     },
     { "Compact1",
-        { ZERO, ZERO, PIN, ZERO, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, PIN, PIN, ZERO, ZERO, LEFT, PIN }
+        { ZERO, ZERO, PIN, ZERO, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, PIN, PIN, ZERO, ZERO, LEFT, PIN , ZERO }
     },
     { "Compact2",
-        { LEFT, PIN, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, ZERO }
+        { LEFT, PIN, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, ZERO , ZERO }
     },
     { "Compact3",
-        { ZERO, PIN, ZERO, PIN, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN }
+        { ZERO, PIN, ZERO, PIN, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN , ZERO }
     },
     { "Compact4",
-        { PIN, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, ZERO }
+        { PIN, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, ZERO , ZERO }
     },
     { "Compact5",
-        { LEFT, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, PIN, LEFT }
+        { LEFT, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, PIN, LEFT , ZERO }
     },
     { "Contact",
-        { PIN, ZERO, ZERO, PIN, LEFT, LEFT, PIN, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, PIN, RIGHT, RIGHT, PIN, ZERO, ZERO, PIN, RIGHT, PIN }
+        { PIN, ZERO, ZERO, PIN, LEFT, LEFT, PIN, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, PIN, RIGHT, RIGHT, PIN, ZERO, ZERO, PIN, RIGHT, PIN , ZERO }
     },
     { "Contact2",
-        { RIGHT, PIN, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, PIN, LEFT }
+        { RIGHT, PIN, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, PIN, LEFT , ZERO }
     },
     { "Cook",
-        { ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, RIGHT, LEFT, PIN, LEFT, ZERO, PIN, PIN, ZERO, LEFT, PIN, LEFT, RIGHT, ZERO, RIGHT, ZERO, PIN }
+        { ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, RIGHT, LEFT, PIN, LEFT, ZERO, PIN, PIN, ZERO, LEFT, PIN, LEFT, RIGHT, ZERO, RIGHT, ZERO, PIN , ZERO }
     },
     { "Counterclockwise",
-        { LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT }
+        { LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT , ZERO }
     },
     { "Cradle",
-        { LEFT, LEFT, ZERO, PIN, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, PIN, ZERO, RIGHT, RIGHT, LEFT, LEFT, ZERO, ZERO, RIGHT }
+        { LEFT, LEFT, ZERO, PIN, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, PIN, ZERO, RIGHT, RIGHT, LEFT, LEFT, ZERO, ZERO, RIGHT , ZERO }
     },
     { "Crankshaft",
-        { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, ZERO, PIN, RIGHT }
+        { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, ZERO, PIN, RIGHT , ZERO }
     },
     { "Cross",
-        { ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN }
+        { ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN , ZERO }
     },
     { "Cross2",
-        { ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, PIN, PIN, ZERO }
+        { ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, PIN, PIN, ZERO , ZERO }
     },
     { "Cross3",
-        { ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, PIN, PIN, ZERO }
+        { ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, ZERO, PIN, PIN, ZERO, ZERO }
     },
     { "CrossVersion1",
-        { PIN, ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, PIN, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN }
+        { PIN, ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, PIN, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, ZERO }
     },
     { "CrossVersion2",
-        { RIGHT, LEFT, PIN, LEFT, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, LEFT, LEFT, PIN, LEFT, RIGHT }
+        { RIGHT, LEFT, PIN, LEFT, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, LEFT, LEFT, PIN, LEFT, RIGHT, ZERO }
     },
     { "Crown",
-        { LEFT, ZERO, PIN, ZERO, RIGHT, ZERO, ZERO, LEFT, ZERO, PIN, ZERO, RIGHT, LEFT, ZERO, PIN, ZERO, RIGHT, ZERO, ZERO, LEFT, ZERO, PIN, ZERO }
+        { LEFT, ZERO, PIN, ZERO, RIGHT, ZERO, ZERO, LEFT, ZERO, PIN, ZERO, RIGHT, LEFT, ZERO, PIN, ZERO, RIGHT, ZERO, ZERO, LEFT, ZERO, PIN, ZERO, ZERO }
     },
     { "DNAStrand",
-        { RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT }
+        { RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, ZERO }
     },
     { "Diamond",
-        { ZERO, RIGHT, ZERO, ZERO, LEFT, ZERO, ZERO, RIGHT, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, ZERO, ZERO, LEFT }
+        { ZERO, RIGHT, ZERO, ZERO, LEFT, ZERO, ZERO, RIGHT, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, ZERO, ZERO, LEFT, ZERO }
     },
     { "Dog",
-        { RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO, LEFT, RIGHT }
+        { RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO, LEFT, RIGHT, ZERO }
     },
     { "DogFace",
-        { ZERO, ZERO, PIN, PIN, ZERO, LEFT, LEFT, RIGHT, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, RIGHT, RIGHT, ZERO, PIN, PIN, ZERO, ZERO, PIN }
+        { ZERO, ZERO, PIN, PIN, ZERO, LEFT, LEFT, RIGHT, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, RIGHT, RIGHT, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO }
     },
     { "DoublePeak",
-        { ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, LEFT, ZERO, PIN, ZERO, RIGHT, RIGHT, LEFT, PIN, LEFT, RIGHT }
+        { ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, LEFT, ZERO, PIN, ZERO, RIGHT, RIGHT, LEFT, PIN, LEFT, RIGHT, ZERO }
     },
     { "DoubleRoof",
-        { ZERO, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT }
+        { ZERO, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO }
     },
-    { "DoubleToboggan",
-        { ZERO, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, ZERO, ZERO, PIN }
+    { "txoboggan",
+        { ZERO, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, ZERO, ZERO, PIN, ZERO }
     },
     { "Doubled",
-        { LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT, ZERO, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT }
+        { LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT, ZERO, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, ZERO }
     },
     { "Doubled1",
-        { LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, ZERO, RIGHT, ZERO, RIGHT, ZERO, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT }
+        { LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, ZERO, RIGHT, ZERO, RIGHT, ZERO, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, ZERO }
     },
     { "Doubled2",
-        { LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, LEFT, RIGHT, ZERO, RIGHT, LEFT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT }
+        { LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, LEFT, RIGHT, ZERO, RIGHT, LEFT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, ZERO }
     },
     { "DumblingSpoon",
-        { PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, ZERO }
+        { PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, ZERO, ZERO }
     },
     { "Embrace",
-        { PIN, ZERO, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO }
+        { PIN, ZERO, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO, ZERO }
     },
     { "EndlessBelt",
-        { ZERO, RIGHT, LEFT, ZERO, ZERO, ZERO, LEFT, RIGHT, ZERO, PIN, RIGHT, LEFT, ZERO, LEFT, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT, ZERO, LEFT, RIGHT }
+        { ZERO, RIGHT, LEFT, ZERO, ZERO, ZERO, LEFT, RIGHT, ZERO, PIN, RIGHT, LEFT, ZERO, LEFT, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO }
     },
     { "Entrance",
-        { LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT }
+        { LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, ZERO }
     },
     { "Esthetic",
-        { LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT }
+        { LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, ZERO }
     },
-    { "Explotion",
-        { RIGHT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT }
+    { "Explosion",
+        { RIGHT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, ZERO }
     },
     { "F-ZeroXCar",
-        { RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT }
+        { RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, ZERO }
     },
     { "Face",
-        { ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT }
+        { ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO }
     },
     { "Fantasy",
-        { LEFT, LEFT, RIGHT, PIN, ZERO, RIGHT, ZERO, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, ZERO, LEFT, ZERO, PIN, LEFT, RIGHT, RIGHT, RIGHT, PIN }
+        { LEFT, LEFT, RIGHT, PIN, ZERO, RIGHT, ZERO, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, ZERO, LEFT, ZERO, PIN, LEFT, RIGHT, RIGHT, RIGHT, PIN, ZERO }
     },
     { "Fantasy1",
-        { PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, LEFT, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN }
+        { PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, LEFT, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO }
     },
     { "FaserGun",
-        { ZERO, ZERO, LEFT, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, RIGHT, ZERO, PIN }
+        { ZERO, ZERO, LEFT, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, RIGHT, ZERO, PIN, ZERO }
     },
     { "FelixW",
-        { ZERO, RIGHT, ZERO, PIN, LEFT, ZERO, LEFT, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, LEFT, RIGHT, ZERO, RIGHT, PIN, ZERO, LEFT, ZERO }
+        { ZERO, RIGHT, ZERO, PIN, LEFT, ZERO, LEFT, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, LEFT, RIGHT, ZERO, RIGHT, PIN, ZERO, LEFT, ZERO, ZERO }
     },
     { "Flamingo",
-        { ZERO, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, PIN, LEFT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, LEFT, ZERO, ZERO, ZERO, PIN }
+        { ZERO, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, PIN, LEFT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, LEFT, ZERO, ZERO, ZERO, PIN, ZERO }
     },
     { "FlatOnTheTop",
-        { ZERO, PIN, PIN, ZERO, PIN, RIGHT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO, PIN }
+        { ZERO, PIN, PIN, ZERO, PIN, RIGHT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO }
     },
     { "Fly",
-        { ZERO, LEFT, PIN, RIGHT, ZERO, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT }
+        { ZERO, LEFT, PIN, RIGHT, ZERO, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO }
     },
     { "Fountain",
-        { LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, PIN, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, PIN, RIGHT, PIN }
+        { LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, PIN, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, PIN, RIGHT, PIN, ZERO }
     },
     { "Frog",
-        { LEFT, LEFT, RIGHT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, RIGHT, LEFT, RIGHT, RIGHT }
+        { LEFT, LEFT, RIGHT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, RIGHT, LEFT, RIGHT, RIGHT, ZERO }
     },
     { "Frog2",
-        { LEFT, ZERO, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, RIGHT, ZERO, RIGHT }
+        { LEFT, ZERO, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, RIGHT, ZERO, RIGHT, ZERO }
     },
     { "Furby",
-        { PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, PIN, ZERO, ZERO, PIN }
+        { PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, PIN, ZERO, ZERO, PIN, ZERO }
     },
     { "Gate",
-        { ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, RIGHT, ZERO, PIN, PIN, ZERO }
+        { ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, ZERO }
     },
     { "Ghost",
-        { LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT }
+        { LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO }
     },
     { "Globus",
-        { RIGHT, LEFT, ZERO, PIN, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, PIN, ZERO, RIGHT, LEFT, ZERO }
+        { RIGHT, LEFT, ZERO, PIN, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, PIN, ZERO, RIGHT, LEFT, ZERO, ZERO }
     },
     { "Grotto",
-        { PIN, PIN, ZERO, LEFT, RIGHT, LEFT, ZERO, PIN, RIGHT, PIN, LEFT, ZERO, ZERO, ZERO, ZERO, RIGHT, PIN, LEFT, PIN, ZERO, RIGHT, LEFT, RIGHT }
+        { PIN, PIN, ZERO, LEFT, RIGHT, LEFT, ZERO, PIN, RIGHT, PIN, LEFT, ZERO, ZERO, ZERO, ZERO, RIGHT, PIN, LEFT, PIN, ZERO, RIGHT, LEFT, RIGHT, ZERO }
     },
     { "H",
-        { PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, LEFT, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, PIN, PIN, ZERO }
+        { PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, LEFT, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, PIN, PIN, ZERO, ZERO }
     },
     { "HeadOfDevil",
-        { PIN, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, ZERO, ZERO }
+        { PIN, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, ZERO, ZERO, ZERO }
     },
     { "Heart",
-        { RIGHT, ZERO, ZERO, ZERO, PIN, LEFT, PIN, LEFT, RIGHT, RIGHT, ZERO, PIN, ZERO, LEFT, LEFT, RIGHT, PIN, RIGHT, PIN, ZERO, ZERO, ZERO, LEFT }
+        { RIGHT, ZERO, ZERO, ZERO, PIN, LEFT, PIN, LEFT, RIGHT, RIGHT, ZERO, PIN, ZERO, LEFT, LEFT, RIGHT, PIN, RIGHT, PIN, ZERO, ZERO, ZERO, LEFT, ZERO }
     },
     { "Heart2",
-        { ZERO, PIN, ZERO, ZERO, LEFT, ZERO, LEFT, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, RIGHT, ZERO, RIGHT, ZERO, ZERO, PIN, ZERO }
+        { ZERO, PIN, ZERO, ZERO, LEFT, ZERO, LEFT, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, RIGHT, ZERO, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO }
     },
     { "Hexagon",
-        { ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO }
+        { ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, ZERO }
     },
     { "HoleInTheMiddle1",
-        { ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT }
+        { ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, ZERO }
     },
     { "HoleInTheMiddle2",
-        { ZERO, LEFT, RIGHT, ZERO, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT }
+        { ZERO, LEFT, RIGHT, ZERO, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, ZERO }
     },
     { "HouseBoat",
-        { RIGHT, RIGHT, PIN, LEFT, LEFT, LEFT, PIN, RIGHT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, RIGHT, PIN }
+        { RIGHT, RIGHT, PIN, LEFT, LEFT, LEFT, PIN, RIGHT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, ZERO }
     },
     { "HouseByHouse",
-        { LEFT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT }
+        { LEFT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, RIGHT, ZERO }
     },
     { "Infinity",
-        { LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT }
+        { LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, ZERO }
     },
     { "Integral",
-        { RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT }
+        { RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO }
     },
     { "Iron",
-        { ZERO, ZERO, ZERO, ZERO, PIN, RIGHT, ZERO, RIGHT, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, ZERO, RIGHT }
+        { ZERO, ZERO, ZERO, ZERO, PIN, RIGHT, ZERO, RIGHT, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, ZERO, RIGHT, ZERO }
     },
-    { "JustSquares",
-        { RIGHT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, LEFT, PIN, RIGHT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, LEFT }
+    { "just squares",
+        { RIGHT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, LEFT, PIN, RIGHT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, LEFT, ZERO }
     },
     { "Kink",
-        { ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO }
+        { ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO }
     },
     { "Knot",
-        { LEFT, LEFT, PIN, LEFT, ZERO, LEFT, RIGHT, LEFT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, RIGHT, LEFT, RIGHT, ZERO, RIGHT, PIN, RIGHT, RIGHT, LEFT }
+        { LEFT, LEFT, PIN, LEFT, ZERO, LEFT, RIGHT, LEFT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, RIGHT, LEFT, RIGHT, ZERO, RIGHT, PIN, RIGHT, RIGHT, LEFT, ZERO }
     },
     { "Leaf",
-        { ZERO, PIN, PIN, ZERO, ZERO, LEFT, ZERO, LEFT, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO }
+        { ZERO, PIN, PIN, ZERO, ZERO, LEFT, ZERO, LEFT, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO }
     },
     { "LeftAsRight",
-        { RIGHT, PIN, LEFT, RIGHT, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, RIGHT, LEFT, RIGHT, PIN, LEFT }
+        { RIGHT, PIN, LEFT, RIGHT, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, RIGHT, LEFT, RIGHT, PIN, LEFT, ZERO }
     },
     { "Long-necked",
-        { PIN, ZERO, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, PIN, PIN, ZERO }
-    },
-    { "LunaModule",
-        { PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT }
-    },
-    { "MagnifyingGlass",
-        { ZERO, ZERO, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, ZERO, ZERO }
+        { PIN, ZERO, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, PIN, PIN, ZERO, ZERO }
+    },
+    { "lunar module",
+        { PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, ZERO }
+    },
+    { "magnifying glass",
+        { ZERO, ZERO, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, ZERO, ZERO, ZERO }
     },
     { "Mask",
-        { ZERO, ZERO, ZERO, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT }
+        { ZERO, ZERO, ZERO, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, ZERO }
     },
     { "Microscope",
-        { PIN, PIN, ZERO, ZERO, PIN, ZERO, RIGHT, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, LEFT, ZERO, PIN, PIN, ZERO, PIN, PIN }
+        { PIN, PIN, ZERO, ZERO, PIN, ZERO, RIGHT, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, LEFT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO }
     },
     { "Mirror",
-        { PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO, LEFT, RIGHT, PIN, RIGHT, ZERO, PIN, PIN, ZERO }
+        { PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, PIN, ZERO, ZERO, LEFT, RIGHT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, ZERO }
     },
     { "MissPiggy",
-        { ZERO, LEFT, LEFT, PIN, RIGHT, ZERO, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, ZERO, LEFT, PIN, RIGHT, RIGHT, ZERO, RIGHT }
+        { ZERO, LEFT, LEFT, PIN, RIGHT, ZERO, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, ZERO, LEFT, PIN, RIGHT, RIGHT, ZERO, RIGHT, ZERO }
     },
     { "Mole",
-        { ZERO, RIGHT, ZERO, RIGHT, LEFT, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO, LEFT, ZERO, RIGHT, RIGHT, PIN, LEFT }
+        { ZERO, RIGHT, ZERO, RIGHT, LEFT, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO, LEFT, ZERO, RIGHT, RIGHT, PIN, LEFT, ZERO }
     },
     { "Monk",
-        { LEFT, ZERO, PIN, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT }
+        { LEFT, ZERO, PIN, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO }
     },
     { "Mountain",
-        { ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, LEFT, PIN, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO }
+        { ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, LEFT, PIN, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO }
     },
-    { "Mountains",
-        { ZERO, PIN, ZERO, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, PIN, ZERO }
+    { "mountains",
+        { ZERO, PIN, ZERO, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, PIN, ZERO, ZERO }
     },
     { "MouseWithoutTail",
-        { ZERO, PIN, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO }
-    },
-    { "Mushroom",
-        { PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, LEFT, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, ZERO, PIN }
-    },
-    { "Necklace",
-        { ZERO, ZERO, LEFT, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, RIGHT, ZERO, ZERO }
+        { ZERO, PIN, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, ZERO }
+    },
+    { "mushroom",
+        { PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, LEFT, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, ZERO, PIN, ZERO }
+    },
+    { "necklace",
+        { ZERO, ZERO, LEFT, ZERO, ZERO, ZERO, LEFT, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO, RIGHT, ZERO, ZERO, ZERO }
     },
     { "NestledAgainst",
-        { LEFT, ZERO, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT }
+        { LEFT, ZERO, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, ZERO }
     },
     { "NoClue",
-        { ZERO, RIGHT, PIN, LEFT, LEFT, LEFT, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO, RIGHT, RIGHT, RIGHT, PIN, LEFT, ZERO }
+        { ZERO, RIGHT, PIN, LEFT, LEFT, LEFT, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO, RIGHT, RIGHT, RIGHT, PIN, LEFT, ZERO, ZERO }
     },
     { "Noname",
-        { LEFT, PIN, RIGHT, PIN, RIGHT, ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT }
+        { LEFT, PIN, RIGHT, PIN, RIGHT, ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, ZERO }
     },
     { "Obelisk",
-        { PIN, ZERO, ZERO, ZERO, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, ZERO, ZERO, ZERO }
+        { PIN, ZERO, ZERO, ZERO, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, ZERO, ZERO, ZERO, ZERO }
     },
     { "Ostrich",
-        { ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, PIN }
+        { ZERO, ZERO, PIN, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, PIN, ZERO }
     },
     { "Ostrich2",
-        { PIN, PIN, ZERO, PIN, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO }
+        { PIN, PIN, ZERO, PIN, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO }
     },
-    { "PairOfGlasses",
-        { ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, LEFT, ZERO, PIN, ZERO, RIGHT, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO }
+    { "pair of glasses",
+        { ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, LEFT, ZERO, PIN, ZERO, RIGHT, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO }
     },
     { "Parrot",
-        { ZERO, ZERO, ZERO, ZERO, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, RIGHT, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, ZERO, PIN }
-    },
-    { "Penis",
-        { PIN, PIN, RIGHT, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, LEFT, PIN, PIN }
-    },
-    { "PictureCommingSoon",
-        { LEFT, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, ZERO, RIGHT, RIGHT }
+        { ZERO, ZERO, ZERO, ZERO, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, RIGHT, ZERO, RIGHT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, ZERO, PIN, ZERO }
+    },
+    { "Shuttle",
+        { PIN, PIN, RIGHT, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, LEFT, PIN, PIN, ZERO }
+    },
+    { "PictureComingSoon",
+        { LEFT, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, ZERO, RIGHT, RIGHT, ZERO }
     },
     { "Pitti",
-        { LEFT, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, RIGHT }
+        { LEFT, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, RIGHT, ZERO }
     },
     { "Plait",
-        { LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT }
+        { LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, ZERO }
     },
     { "Platform",
-        { RIGHT, PIN, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT }
+        { RIGHT, PIN, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, LEFT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO }
     },
     { "PodRacer",
-        { ZERO, PIN, ZERO, PIN, RIGHT, PIN, ZERO, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, ZERO, LEFT, ZERO, PIN, LEFT }
+        { ZERO, PIN, ZERO, PIN, RIGHT, PIN, ZERO, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, ZERO, LEFT, ZERO, PIN, LEFT, ZERO }
     },
+#if 0
     { "Pokemon",
-        { LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT }
+        { LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, ZERO }
     },
+#endif
     { "Prawn",
-        { RIGHT, PIN, ZERO, PIN, RIGHT, ZERO, PIN, PIN, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, LEFT, PIN, ZERO, PIN, LEFT }
+        { RIGHT, PIN, ZERO, PIN, RIGHT, ZERO, PIN, PIN, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, PIN, PIN, ZERO, LEFT, PIN, ZERO, PIN, LEFT, ZERO }
     },
     { "Propeller",
-        { ZERO, ZERO, ZERO, RIGHT, ZERO, LEFT, RIGHT, LEFT, ZERO, ZERO, ZERO, RIGHT, ZERO, LEFT, RIGHT, LEFT, ZERO, ZERO, ZERO, RIGHT, ZERO, LEFT, RIGHT }
+        { ZERO, ZERO, ZERO, RIGHT, ZERO, LEFT, RIGHT, LEFT, ZERO, ZERO, ZERO, RIGHT, ZERO, LEFT, RIGHT, LEFT, ZERO, ZERO, ZERO, RIGHT, ZERO, LEFT, RIGHT, ZERO }
     },
     { "Pyramid",
-        { ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, RIGHT, LEFT, LEFT, LEFT, PIN, RIGHT, RIGHT, RIGHT, LEFT }
+        { ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, RIGHT, LEFT, LEFT, LEFT, PIN, RIGHT, RIGHT, RIGHT, LEFT, ZERO }
     },
     { "QuarterbackTiltedAndReadyToHut",
-        { PIN, ZERO, RIGHT, RIGHT, LEFT, RIGHT, PIN, RIGHT, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT, LEFT, ZERO, PIN }
+        { PIN, ZERO, RIGHT, RIGHT, LEFT, RIGHT, PIN, RIGHT, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT, LEFT, ZERO, PIN, ZERO }
     },
     { "Ra",
-        { PIN, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT }
+        { PIN, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO }
     },
     { "Rattlesnake",
-        { LEFT, ZERO, LEFT, ZERO, LEFT, ZERO, LEFT, LEFT, ZERO, LEFT, ZERO, LEFT, ZERO, LEFT, RIGHT, ZERO, PIN, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT }
+        { LEFT, ZERO, LEFT, ZERO, LEFT, ZERO, LEFT, LEFT, ZERO, LEFT, ZERO, LEFT, ZERO, LEFT, RIGHT, ZERO, PIN, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, ZERO }
     },
     { "Revelation",
-        { ZERO, ZERO, ZERO, PIN, ZERO, ZERO, PIN, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, PIN, ZERO, ZERO, PIN }
+        { ZERO, ZERO, ZERO, PIN, ZERO, ZERO, PIN, RIGHT, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, LEFT, PIN, ZERO, ZERO, PIN, ZERO }
     },
     { "Revolution1",
-        { LEFT, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT }
+        { LEFT, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, ZERO }
     },
     { "Ribbon",
-        { RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT }
+        { RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO }
     },
     { "Rocket",
-        { RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, RIGHT, ZERO, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, ZERO, LEFT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT }
+        { RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, RIGHT, ZERO, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, ZERO, LEFT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, ZERO }
     },
     { "Roofed",
-        { ZERO, LEFT, PIN, RIGHT, ZERO, PIN, LEFT, ZERO, PIN, ZERO, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, LEFT, ZERO, PIN, ZERO, RIGHT }
+        { ZERO, LEFT, PIN, RIGHT, ZERO, PIN, LEFT, ZERO, PIN, ZERO, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, LEFT, ZERO, PIN, ZERO, RIGHT, ZERO }
     },
     { "Roofs",
-        { PIN, PIN, RIGHT, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, LEFT, PIN, PIN }
+        { PIN, PIN, RIGHT, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, LEFT, PIN, PIN, ZERO }
     },
     { "RowHouses",
-        { RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT }
+        { RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO }
     },
     { "Sculpture",
-        { RIGHT, LEFT, PIN, ZERO, ZERO, ZERO, LEFT, RIGHT, LEFT, PIN, ZERO, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO, ZERO, ZERO, PIN, LEFT, RIGHT, LEFT }
+        { RIGHT, LEFT, PIN, ZERO, ZERO, ZERO, LEFT, RIGHT, LEFT, PIN, ZERO, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO, ZERO, ZERO, PIN, LEFT, RIGHT, LEFT, ZERO }
     },
     { "Seal",
-        { LEFT, LEFT, LEFT, PIN, RIGHT, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, LEFT }
+        { LEFT, LEFT, LEFT, PIN, RIGHT, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, LEFT, ZERO }
     },
     { "Seal2",
-        { RIGHT, PIN, ZERO, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO }
+        { RIGHT, PIN, ZERO, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, PIN, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, ZERO }
     },
     { "Sheep",
-        { RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, LEFT }
+        { RIGHT, LEFT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, LEFT, LEFT, RIGHT, LEFT, ZERO }
     },
     { "Shelter",
-        { LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, RIGHT }
+        { LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, ZERO, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, RIGHT, ZERO }
     },
     { "Ship",
-        { PIN, RIGHT, LEFT, LEFT, LEFT, LEFT, PIN, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, ZERO, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, LEFT, ZERO, PIN, PIN }
+        { PIN, RIGHT, LEFT, LEFT, LEFT, LEFT, PIN, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, ZERO, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, LEFT, ZERO, PIN, PIN, ZERO }
     },
     { "Shpongle",
-        { LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO }
+        { LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, ZERO }
     },
     { "Slide",
-        { LEFT, RIGHT, LEFT, RIGHT, ZERO, LEFT, RIGHT, LEFT, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, RIGHT, LEFT }
+        { LEFT, RIGHT, LEFT, RIGHT, ZERO, LEFT, RIGHT, LEFT, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, RIGHT, LEFT, ZERO }
     },
     { "SmallShip",
-        { ZERO, LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO, LEFT, RIGHT, ZERO, LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO, LEFT }
+        { ZERO, LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO, LEFT, RIGHT, ZERO, LEFT, RIGHT, ZERO, RIGHT, LEFT, ZERO, LEFT, RIGHT, ZERO, LEFT, ZERO }
     },
     { "SnakeReadyToStrike",
-        { LEFT, ZERO, LEFT, ZERO, LEFT, ZERO, LEFT, RIGHT, ZERO, RIGHT, ZERO, RIGHT, ZERO, LEFT, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, LEFT }
+        { LEFT, ZERO, LEFT, ZERO, LEFT, ZERO, LEFT, RIGHT, ZERO, RIGHT, ZERO, RIGHT, ZERO, LEFT, ZERO, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO, LEFT, ZERO }
     },
     { "Snakes14",
-        { RIGHT, RIGHT, PIN, ZERO, RIGHT, LEFT, RIGHT, ZERO, ZERO, ZERO, RIGHT, PIN, LEFT, PIN, ZERO, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, LEFT, RIGHT }
+        { RIGHT, RIGHT, PIN, ZERO, RIGHT, LEFT, RIGHT, ZERO, ZERO, ZERO, RIGHT, PIN, LEFT, PIN, ZERO, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO }
     },
     { "Snakes15",
-        { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, ZERO, PIN, RIGHT }
+        { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, ZERO, PIN, RIGHT, ZERO }
     },
     { "Snakes18",
-        { PIN, PIN, LEFT, PIN, LEFT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, ZERO, PIN }
+        { PIN, PIN, LEFT, PIN, LEFT, PIN, RIGHT, ZERO, RIGHT, PIN, RIGHT, ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO }
     },
     { "Snowflake",
-        { LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT }
+        { LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, RIGHT, ZERO }
     },
     { "Snowman",
-        { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO }
+        { ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO }
     },
     { "Source",
-        { PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN }
+        { PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, ZERO }
     },
     { "Spaceship",
-        { PIN, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, PIN }
+        { PIN, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, RIGHT, PIN, PIN, ZERO }
     },
     { "Spaceship2",
-        { PIN, PIN, LEFT, PIN, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, LEFT, LEFT, PIN, PIN }
+        { PIN, PIN, LEFT, PIN, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, LEFT, LEFT, PIN, PIN, ZERO }
     },
     { "Speedboat",
-        { LEFT, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, LEFT, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, RIGHT }
+        { LEFT, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, LEFT, ZERO, ZERO, PIN, ZERO, ZERO, RIGHT, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, RIGHT, ZERO }
     },
     { "Speedboat2",
-        { PIN, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, PIN, ZERO, RIGHT, PIN, LEFT }
+        { PIN, RIGHT, LEFT, LEFT, RIGHT, RIGHT, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, LEFT, LEFT, RIGHT, RIGHT, LEFT, PIN, ZERO, RIGHT, PIN, LEFT, ZERO }
     },
     { "Spider",
-        { RIGHT, RIGHT, ZERO, ZERO, LEFT, RIGHT, LEFT, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, RIGHT, LEFT, RIGHT, ZERO, ZERO, LEFT }
+        { RIGHT, RIGHT, ZERO, ZERO, LEFT, RIGHT, LEFT, PIN, ZERO, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, ZERO, PIN, RIGHT, LEFT, RIGHT, ZERO, ZERO, LEFT, ZERO }
     },
     { "Spitzbergen",
-        { PIN, LEFT, ZERO, RIGHT, RIGHT, LEFT, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO, PIN, RIGHT, LEFT, LEFT, ZERO }
+        { PIN, LEFT, ZERO, RIGHT, RIGHT, LEFT, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO, PIN, RIGHT, LEFT, LEFT, ZERO, ZERO }
     },
     { "Square",
-        { ZERO, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, ZERO }
+        { ZERO, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, ZERO, LEFT, LEFT, PIN, RIGHT, RIGHT, ZERO, ZERO, ZERO }
     },
     { "SquareHole",
-        { PIN, ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, PIN }
+        { PIN, ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, PIN, ZERO }
     },
     { "Stage",
-        { RIGHT, ZERO, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO }
+        { RIGHT, ZERO, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, LEFT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, ZERO }
     },
     { "Stairs",
-        { ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO }
+        { ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, ZERO }
     },
     { "Stairs2",
-        { ZERO, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO }
+        { ZERO, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, ZERO }
     },
     { "Straight",
-        { ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO }
+        { ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO }
     },
     { "Swan",
-        { ZERO, PIN, ZERO, PIN, LEFT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, RIGHT }
+        { ZERO, PIN, ZERO, PIN, LEFT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, LEFT, PIN, LEFT, RIGHT, ZERO }
     },
     { "Swan2",
-        { PIN, ZERO, PIN, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, PIN, PIN }
+        { PIN, ZERO, PIN, RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, RIGHT, PIN, ZERO, ZERO, ZERO, ZERO, ZERO, PIN, PIN, ZERO }
     },
     { "Swan3",
-        { PIN, PIN, ZERO, ZERO, ZERO, RIGHT, ZERO, RIGHT, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, ZERO, RIGHT }
+        { PIN, PIN, ZERO, ZERO, ZERO, RIGHT, ZERO, RIGHT, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, ZERO, RIGHT, ZERO }
     },
     { "Symbol",
-        { RIGHT, RIGHT, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, LEFT, RIGHT }
+        { RIGHT, RIGHT, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, ZERO, PIN, PIN, ZERO, PIN, LEFT, LEFT, RIGHT, ZERO }
     },
     { "Symmetry",
-        { RIGHT, ZERO, LEFT, RIGHT, LEFT, ZERO, LEFT, RIGHT, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, LEFT }
+        { RIGHT, ZERO, LEFT, RIGHT, LEFT, ZERO, LEFT, RIGHT, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, RIGHT, ZERO, RIGHT, LEFT, RIGHT, ZERO, LEFT, ZERO }
     },
     { "Symmetry2",
-        { ZERO, PIN, LEFT, LEFT, PIN, ZERO, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, PIN, LEFT }
+        { ZERO, PIN, LEFT, LEFT, PIN, ZERO, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, PIN, LEFT, ZERO }
     },
     { "TableFireworks",
-        { ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, RIGHT, PIN, RIGHT, LEFT, ZERO, RIGHT, PIN }
+        { ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, RIGHT, PIN, RIGHT, LEFT, ZERO, RIGHT, PIN, ZERO }
     },
     { "Tapering",
-        { ZERO, ZERO, RIGHT, LEFT, PIN, LEFT, ZERO, PIN, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, RIGHT, PIN, RIGHT, LEFT, ZERO, ZERO }
+        { ZERO, ZERO, RIGHT, LEFT, PIN, LEFT, ZERO, PIN, PIN, ZERO, LEFT, PIN, RIGHT, ZERO, PIN, PIN, ZERO, RIGHT, PIN, RIGHT, LEFT, ZERO, ZERO, ZERO }
     },
     { "TaperingTurned",
-        { ZERO, ZERO, RIGHT, LEFT, PIN, LEFT, ZERO, PIN, PIN, ZERO, LEFT, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, RIGHT, PIN, RIGHT, LEFT, ZERO, ZERO }
+        { ZERO, ZERO, RIGHT, LEFT, PIN, LEFT, ZERO, PIN, PIN, ZERO, LEFT, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, RIGHT, PIN, RIGHT, LEFT, ZERO, ZERO, ZERO }
     },
     { "TeaLightStick",
-        { RIGHT, ZERO, PIN, PIN, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN }
+        { RIGHT, ZERO, PIN, PIN, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, ZERO }
     },
-    { "Tent",
-        { RIGHT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO }
+    { "thighmaster",
+        { RIGHT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, ZERO }
     },
     { "Terraces",
-        { RIGHT, LEFT, ZERO, RIGHT, LEFT, PIN, LEFT, LEFT, PIN, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT }
+        { RIGHT, LEFT, ZERO, RIGHT, LEFT, PIN, LEFT, LEFT, PIN, LEFT, RIGHT, RIGHT, RIGHT, LEFT, LEFT, LEFT, RIGHT, PIN, RIGHT, RIGHT, PIN, RIGHT, LEFT, ZERO }
     },
     { "Terrier",
-        { PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO }
+        { PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO }
     },
     { "Three-Legged",
-        { RIGHT, ZERO, LEFT, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, RIGHT, ZERO, PIN, ZERO, LEFT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, RIGHT, ZERO, LEFT }
+        { RIGHT, ZERO, LEFT, RIGHT, ZERO, LEFT, PIN, RIGHT, ZERO, RIGHT, ZERO, PIN, ZERO, LEFT, ZERO, LEFT, PIN, RIGHT, ZERO, LEFT, RIGHT, ZERO, LEFT, ZERO }
     },
     { "ThreePeaks",
-        { RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, ZERO, LEFT }
+        { RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, ZERO, LEFT, ZERO }
     },
     { "ToTheFront",
-        { ZERO, PIN, RIGHT, LEFT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, LEFT, LEFT, PIN, ZERO, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT }
+        { ZERO, PIN, RIGHT, LEFT, LEFT, LEFT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, LEFT, LEFT, PIN, ZERO, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, ZERO }
     },
     { "Top",
-        { PIN, LEFT, LEFT, PIN, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, PIN, RIGHT, PIN, RIGHT, RIGHT, PIN, ZERO }
+        { PIN, LEFT, LEFT, PIN, LEFT, ZERO, ZERO, RIGHT, LEFT, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, PIN, RIGHT, PIN, RIGHT, RIGHT, PIN, ZERO, ZERO }
     },
     { "Transport",
-        { PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, ZERO, ZERO }
+        { PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, ZERO, ZERO, ZERO }
     },
     { "Triangle",
-        { ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, RIGHT }
+        { ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, RIGHT, LEFT, ZERO, ZERO, ZERO, ZERO, ZERO, ZERO, RIGHT, ZERO }
     },
     { "Tripple",
-        { PIN, ZERO, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN }
+        { PIN, ZERO, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, PIN, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO, PIN, LEFT, PIN, LEFT, PIN, RIGHT, PIN, ZERO }
     },
+#if 0
     { "Turtle",
-        { RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO }
+        { RIGHT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, PIN, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, ZERO, LEFT, RIGHT, ZERO, ZERO }
     },
+#endif
     { "Twins",
-        { ZERO, PIN, ZERO, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, ZERO, ZERO, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, PIN, ZERO, ZERO }
+        { ZERO, PIN, ZERO, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, PIN, ZERO, ZERO, PIN, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, ZERO, PIN, ZERO, ZERO, ZERO }
     },
     { "TwoSlants",
-        { ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, PIN }
+        { ZERO, PIN, ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, ZERO, RIGHT, PIN, ZERO }
     },
     { "TwoWings",
-        { PIN, LEFT, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, ZERO }
+        { PIN, LEFT, ZERO, RIGHT, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, PIN, PIN, ZERO, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, LEFT, ZERO, ZERO }
     },
     { "UFO",
-        { LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, PIN, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT }
+        { LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, LEFT, PIN, LEFT, LEFT, LEFT, RIGHT, LEFT, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO }
     },
-    { "USSEnterprice",
-        { LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, ZERO }
+    { "USS Enterprise",
+        { LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, LEFT, ZERO, PIN, PIN, ZERO, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, ZERO, ZERO }
     },
     { "UpAndDown",
-        { ZERO, PIN, ZERO, PIN, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO }
+        { ZERO, PIN, ZERO, PIN, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO, ZERO }
     },
     { "Upright",
-        { ZERO, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, PIN, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO }
+        { ZERO, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, PIN, ZERO, ZERO, LEFT, PIN, RIGHT, ZERO, ZERO, PIN, RIGHT, RIGHT, LEFT, RIGHT, LEFT, LEFT, ZERO, ZERO }
     },
     { "Upside-down",
-        { PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, RIGHT, LEFT, LEFT, PIN, RIGHT, RIGHT, LEFT, LEFT, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN }
+        { PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, RIGHT, RIGHT, LEFT, LEFT, PIN, RIGHT, RIGHT, LEFT, LEFT, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, ZERO }
     },
     { "Valley",
-        { ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO }
+        { ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, RIGHT, ZERO, PIN, ZERO, LEFT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, PIN, LEFT, ZERO, ZERO }
     },
     { "Viaduct",
-        { PIN, RIGHT, PIN, LEFT, PIN, ZERO, ZERO, PIN, RIGHT, ZERO, RIGHT, RIGHT, ZERO, RIGHT, PIN, ZERO, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO }
+        { PIN, RIGHT, PIN, LEFT, PIN, ZERO, ZERO, PIN, RIGHT, ZERO, RIGHT, RIGHT, ZERO, RIGHT, PIN, ZERO, ZERO, PIN, LEFT, PIN, RIGHT, PIN, ZERO, ZERO }
     },
     { "View",
-        { ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, ZERO, ZERO, LEFT, PIN, RIGHT, PIN, LEFT }
+        { ZERO, RIGHT, PIN, LEFT, PIN, RIGHT, ZERO, ZERO, RIGHT, PIN, LEFT, LEFT, RIGHT, RIGHT, PIN, LEFT, ZERO, ZERO, LEFT, PIN, RIGHT, PIN, LEFT, ZERO }
     },
     { "Waterfall",
-        { LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT }
+        { LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, PIN, LEFT, ZERO, RIGHT, ZERO }
     },
-    { "WindWheel",
-        { PIN, RIGHT, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO }
+    { "windwheel",
+        { PIN, RIGHT, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, ZERO, ZERO }
     },
     { "Window",
-        { PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO }
+        { PIN, ZERO, PIN, PIN, ZERO, ZERO, PIN, ZERO, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, ZERO, PIN, PIN, ZERO, ZERO, ZERO, ZERO, ZERO }
     },
     { "WindowToTheWorld",
-        { PIN, LEFT, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO }
+        { PIN, LEFT, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, RIGHT, PIN, LEFT, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO, PIN, ZERO, ZERO }
     },
     { "Windshield",
-        { PIN, PIN, ZERO, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, ZERO, PIN, PIN, ZERO, PIN }
+        { PIN, PIN, ZERO, RIGHT, PIN, LEFT, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, RIGHT, PIN, LEFT, ZERO, PIN, PIN, ZERO, PIN, ZERO }
     },
     { "WingNut",
-        { ZERO, ZERO, ZERO, ZERO, PIN, RIGHT, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, RIGHT, RIGHT, PIN, ZERO, ZERO, ZERO, ZERO }
+        { ZERO, ZERO, ZERO, ZERO, PIN, RIGHT, RIGHT, RIGHT, PIN, RIGHT, LEFT, PIN, LEFT, RIGHT, PIN, RIGHT, RIGHT, RIGHT, PIN, ZERO, ZERO, ZERO, ZERO, ZERO }
     },
     { "Wings2",
-        { RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, ZERO, PIN, ZERO }
+        { RIGHT, ZERO, PIN, ZERO, LEFT, PIN, RIGHT, PIN, RIGHT, LEFT, RIGHT, RIGHT, LEFT, LEFT, RIGHT, LEFT, PIN, LEFT, PIN, RIGHT, ZERO, PIN, ZERO, ZERO }
     },
     { "WithoutName",
-        { PIN, RIGHT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN }
+        { PIN, RIGHT, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, ZERO, PIN, RIGHT, PIN, LEFT, PIN, ZERO, PIN, RIGHT, RIGHT, PIN, LEFT, LEFT, PIN, ZERO }
     },
     { "Wolf",
-        { ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN }
+        { ZERO, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, PIN, ZERO, PIN, PIN, ZERO, PIN, ZERO, ZERO, ZERO, PIN, PIN, ZERO, ZERO, ZERO, PIN, ZERO }
     },
     { "X",
-        { LEFT, ZERO, ZERO, PIN, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, RIGHT, PIN, ZERO, ZERO }
+        { LEFT, ZERO, ZERO, PIN, LEFT, RIGHT, RIGHT, PIN, LEFT, RIGHT, ZERO, PIN, PIN, ZERO, LEFT, RIGHT, PIN, LEFT, LEFT, RIGHT, PIN, ZERO, ZERO, ZERO }
     },
 };
 
-int models = (sizeof(model) / sizeof(struct model_s));
+size_t models = sizeof(model) / sizeof(struct model_s);
 
 #define VOFFSET 0.045
 
@@ -1345,31 +1369,48 @@
 inline void ui_mousedrag();
 #endif
 
+GLfloat white_light[] = { 1.0, 1.0, 1.0, 1.0 };
+GLfloat lmodel_ambient[] = { 0.2, 0.2, 0.2, 1.0 };
+GLfloat mat_specular[] = { 0.1, 0.1, 0.1, 1.0 };
+GLfloat mat_shininess[] = { 20.0 };
+
 void gl_init(
 #ifndef HAVE_GLUT
 	     ModeInfo * mi
 #endif
 	     ) {
-    float light_pos[][3] = {{0.0, 0.0, 20.0}, {0.0, 20.0, 0.0}};
-    float light_dir[][3] = {{0.0, 0.0,-20.0}, {0.0,-20.0, 0.0}};
+    float light_pos[][3] = {{0.0, 10.0, 20.0}, {0.0, 20.0, -1.0}};
+    float light_dir[][3] = {{0.0, -10.0,-20.0}, {0.0,-20.0, 1.0}};
 
-    glClearColor(0.0, 0.0, 0.0, 0.0);
     glEnable(GL_DEPTH_TEST);
     glShadeModel(GL_SMOOTH);
     glCullFace(GL_BACK);
-    glEnable(GL_CULL_FACE);
+    /*glEnable(GL_CULL_FACE);*/
     glEnable(GL_NORMALIZE);
+    if (transparent) {
+	glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
+	glEnable(GL_BLEND);
+    }
 
     if (!wireframe) {
-	glColor3f(1.0, 1.0, 1.0);
+	/*glColor4f(1.0, 1.0, 1.0, 1.0);*/
 	glLightfv(GL_LIGHT0, GL_POSITION, light_pos[0]);
 	glLightfv(GL_LIGHT0, GL_SPOT_DIRECTION, light_dir[0]);
+	glLightfv(GL_LIGHT0, GL_DIFFUSE, white_light);
+	/*glLightfv(GL_LIGHT0, GL_SPECULAR, white_light);*/
+#if 1
 	glLightfv(GL_LIGHT1, GL_POSITION, light_pos[1]);
 	glLightfv(GL_LIGHT1, GL_SPOT_DIRECTION, light_dir[1]);
+	glLightfv(GL_LIGHT1, GL_DIFFUSE, white_light);
+	glLightfv(GL_LIGHT1, GL_SPECULAR, white_light);
+#endif
+	glLightModelfv(GL_LIGHT_MODEL_AMBIENT, lmodel_ambient);
+	glMaterialfv(GL_FRONT, GL_SPECULAR, mat_specular);
+	glMaterialfv(GL_FRONT, GL_SHININESS, mat_shininess);
 	glEnable(GL_LIGHTING);
 	glEnable(GL_LIGHT0);
 	glEnable(GL_LIGHT1);
-	glEnable(GL_COLOR_MATERIAL);
+	/*glEnable(GL_COLOR_MATERIAL);*/
     }
 }
 
@@ -1389,8 +1430,7 @@
 #endif /* !HAVE_GETTIMEOFDAY */
 }
 
-
-void start_morph(int model_index, int immediate);
+void start_morph(unsigned int model_index, int immediate);
 
 /* wot initialises it */
 void glsnake_init(
@@ -1607,9 +1647,12 @@
 #endif
 
     /* draw some text */
-    glPushAttrib(GL_TRANSFORM_BIT | GL_ENABLE_BIT);
+    glPushAttrib((GLbitfield) GL_TRANSFORM_BIT | GL_ENABLE_BIT);
     glDisable(GL_LIGHTING);
     glDisable(GL_DEPTH_TEST);
+    if (transparent) {
+	glDisable(GL_BLEND);
+    }
     glMatrixMode(GL_PROJECTION);
     glPushMatrix();
     glLoadIdentity();
@@ -1617,23 +1660,38 @@
     glPushMatrix();
     glLoadIdentity();
 #ifdef HAVE_GLUT
-    gluOrtho2D(0, glc->width, 0, glc->height);
+    gluOrtho2D((GLdouble) 0., (GLdouble) glc->width, (GLdouble) 0., (GLdouble) glc->height);
 #else
-    gluOrtho2D(0, mi->xgwa.width, 0, mi->xgwa.height);
+    gluOrtho2D((GLdouble) 0., (GLdouble) mi->xgwa.width, (GLdouble) 0., (GLdouble) mi->xgwa.height);
 #endif
-    glColor3f(1.0, 1.0, 1.0);
+    glColor4f(1.0, 1.0, 1.0, 1.0);
     {
 	char interactstr[] = "interactive";
-	char * s;
+	const char * s;
+#ifdef HAVE_GLUT
+	int w;
+#endif
+	
 	if (interactive)
 	    s = interactstr;
 	else
 	    s = model[glc->next_model].name;
-
-        print_gl_string (mi->dpy, bp->font, bp->font_list,
-                         mi->xgwa.width, mi->xgwa.height,
-                         10, mi->xgwa.height - 10,
-                         s);
+	
+#ifdef HAVE_GLUT
+	{
+	    unsigned int i = 0;
+	    
+	    w = glutBitmapLength(GLUT_BITMAP_HELVETICA_12, (const unsigned char *) s);
+	    glRasterPos2f((GLfloat) (glc->width - w - 3), 4.0);
+	    while (s[i] != '\0')
+		glutBitmapCharacter(GLUT_BITMAP_HELVETICA_12, s[i++]);
+	}
+#else
+	print_gl_string(mi->dpy, bp->font, bp->font_list,
+			mi->xgwa.width, mi->xgwa.height,
+			10.0, (float) mi->xgwa.height - 10.0,
+			s);
+#endif
     }
     glPopMatrix();
     glMatrixMode(GL_PROJECTION);
@@ -1669,7 +1727,7 @@
     glViewport(0, 0, (GLint) w, (GLint) h);
     glMatrixMode(GL_PROJECTION);
     glLoadIdentity();
-    gluPerspective(zoom, w/(GLfloat)h, 0.05, 100.0);
+    gluPerspective(zoom, (GLdouble) w / (GLdouble) h, 0.05, 100.0);
     gluLookAt(0.0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0);
     glMatrixMode(GL_MODELVIEW);
     /*gluLookAt(0.0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0);*/
@@ -1791,7 +1849,7 @@
 	     * target */
 	    ang_diff = fabs(glc->node[i] -
 			    model[glc->next_model].node[i]);
-	    if (ang_diff > 180.0) ang_diff = 180 - ang_diff;
+	    if (ang_diff > 180.0) ang_diff = 180.0 - ang_diff;
 	    /* if it's the biggest so far, record it */
 	    if (rot > rot_max) rot_max = rot;
 	    if (ang_diff > ang_diff_max) ang_diff_max = ang_diff;
@@ -1820,14 +1878,16 @@
     glc->colour[0][0] = colour[glc->prev_colour][0][0] * compct + colour[glc->next_colour][0][0] * percent;
     glc->colour[0][1] = colour[glc->prev_colour][0][1] * compct + colour[glc->next_colour][0][1] * percent;
     glc->colour[0][2] = colour[glc->prev_colour][0][2] * compct + colour[glc->next_colour][0][2] * percent;
+    glc->colour[0][3] = colour[glc->prev_colour][0][3] * compct + colour[glc->next_colour][0][3] * percent;
 
     glc->colour[1][0] = colour[glc->prev_colour][1][0] * compct + colour[glc->next_colour][1][0] * percent;
     glc->colour[1][1] = colour[glc->prev_colour][1][1] * compct + colour[glc->next_colour][1][1] * percent;
     glc->colour[1][2] = colour[glc->prev_colour][1][2] * compct + colour[glc->next_colour][1][2] * percent;
+    glc->colour[1][3] = colour[glc->prev_colour][1][3] * compct + colour[glc->next_colour][1][3] * percent;
 }
 
 /* Start morph process to this model */
-void start_morph(int model_index, int immediate) {
+void start_morph(unsigned int model_index, int immediate) {
     /* if immediate, don't bother morphing, go straight to the next model */
     if (immediate) {
 	int i;
@@ -1854,9 +1914,11 @@
 	glc->colour[0][0] = colour[glc->next_colour][0][0];
 	glc->colour[0][1] = colour[glc->next_colour][0][1];
 	glc->colour[0][2] = colour[glc->next_colour][0][2];
+	glc->colour[0][3] = colour[glc->next_colour][0][3];
 	glc->colour[1][0] = colour[glc->next_colour][1][0];
 	glc->colour[1][1] = colour[glc->next_colour][1][1];
 	glc->colour[1][2] = colour[glc->next_colour][1][2];
+	glc->colour[1][3] = colour[glc->next_colour][1][3];
     }
     glc->morphing = 1;
 
@@ -1899,7 +1961,7 @@
 #ifdef HAVE_GLUT
 void glsnake_idle();
 
-void restore_idle(int value)
+void restore_idle(int v __attribute__((__unused__)))
 {
     glutIdleFunc(glsnake_idle);
 }
@@ -2048,7 +2110,7 @@
 #endif
     
     /* clear the buffer */
-    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+    glClear((GLbitfield) GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
     
     /* go into the modelview stack */
     glMatrixMode(GL_MODELVIEW);
@@ -2080,9 +2142,9 @@
 	/*printf("ang = %f\n", ang);*/
 	
 	glTranslatef(0.5, 0.5, 0.5);		/* move to center */
-	glRotatef(90, 0.0, 0.0, -1.0);		/* reorient  */
+	glRotatef(90.0, 0.0, 0.0, -1.0);	/* reorient  */
 	glTranslatef(1.0 + explode, 0.0, 0.0);	/* move to new pos. */
-	glRotatef(180 + ang, 1.0, 0.0, 0.0);	/* pivot to new angle */
+	glRotatef(180.0 + ang, 1.0, 0.0, 0.0);	/* pivot to new angle */
 	glTranslatef(-0.5, -0.5, -0.5);		/* return from center */
 
 	glGetFloatv(GL_MODELVIEW_MATRIX, rotmat);
@@ -2113,7 +2175,7 @@
     glTranslatef(-com[0], -com[1], -com[2]);
 
     glDisable(GL_LIGHTING);
-    glColor3f(1.0, 0.0, 0.0);
+    glColor4f(1.0, 0.0, 0.0, 1.0);
     glBegin(GL_LINE_STRIP);
     for (i = 0; i < NODE_COUNT - 1; i++) {
 	glVertex3fv(positions[i]);
@@ -2141,9 +2203,13 @@
 	/* choose a colour for this node */
 	if ((i == glc->selected || i == glc->selected+1) && interactive)
 	    /* yellow */
-	    glColor3f(1.0, 1.0, 0.0);
-	else
-	    glColor3fv(glc->colour[(i+1)%2]);
+	    glColor4f(1.0, 1.0, 0.0, 1.0);
+	else {
+	    /*glColor4fv(glc->colour[(i+1)%2]);*/
+	    glMaterialfv(GL_FRONT, GL_AMBIENT, glc->colour[(i+1)%2]);
+	    glMaterialfv(GL_FRONT, GL_DIFFUSE, glc->colour[(i+1)%2]);
+	    /*glMaterialfv(GL_FRONT, GL_SPECULAR, glc->colour[(i+1)%2]);*/
+	}
 
 	/* draw the node */
 	if (wireframe)
@@ -2157,9 +2223,9 @@
 	ang = glc->node[i];
 	
 	glTranslatef(0.5, 0.5, 0.5);		/* move to center */
-	glRotatef(90, 0.0, 0.0, -1.0);		/* reorient  */
+	glRotatef(90.0, 0.0, 0.0, -1.0);	/* reorient  */
 	glTranslatef(1.0 + explode, 0.0, 0.0);	/* move to new pos. */
-	glRotatef(180 + ang, 1.0, 0.0, 0.0);	/* pivot to new angle */
+	glRotatef(180.0 + ang, 1.0, 0.0, 0.0);	/* pivot to new angle */
 	glTranslatef(-0.5, -0.5, -0.5);		/* return from center */
     }
 
@@ -2197,8 +2263,8 @@
     glc = malloc(sizeof(struct glsnake_cfg));
     memset(glc, 0, sizeof(struct glsnake_cfg));
 
-    glc->width = 320;
-    glc->height = 240;
+    glc->width = 640;
+    glc->height = 480;
     
     ui_init(&argc, argv);
 
@@ -2234,7 +2300,7 @@
 float rotation[16];
 
 /* mouse drag vectors: start and end */
-float m_s[3], m_e[3];
+float mouse_start[3], mouse_end[3];
 
 /* dragging boolean */
 int dragging = 0;
@@ -2272,9 +2338,7 @@
     glMultMatrixf(rotation);
 }
 
-void ui_keyboard(unsigned char c, int x, int y) {
-    int i;
-    
+void ui_keyboard(unsigned char c, int x __attribute__((__unused__)), int y __attribute__((__unused__))) {
     switch (c) {
       case 27:  /* ESC */
       case 'q':
@@ -2300,18 +2364,18 @@
 	break;
       case ',':
 	/* previous model */
-	glc->next_model = (glc->next_model + models - 1) % models;
+	glc->next_model = (glc->next_model + (int)models - 1) % (int)models;
 	start_morph(glc->next_model, 0);
 	
 	/* Reset glc->last_morph time */
 	gettime(&glc->last_morph);			
 	break;
       case '+':
-	angvel += DEF_ACCEL;
+	angvel += DEF_ANGVEL;
 	break;
       case '-':
-	if (angvel > DEF_ACCEL)
-	    angvel -= DEF_ACCEL;
+	if (angvel > DEF_ANGVEL)
+	    angvel -= DEF_ANGVEL;
 	break;
       case 'i':
 	if (interactive) {
@@ -2330,6 +2394,14 @@
 	    glEnable(GL_LIGHTING);
 	glutPostRedisplay();
 	break;
+      case 'a':
+	transparent = 1 - transparent;
+	if (transparent) {
+	    glEnable(GL_BLEND);
+	} else {
+	    glDisable(GL_BLEND);
+	}
+	break;
       case 'p':
 	if (glc->paused) {
 	    /* unpausing, reset last_iteration and last_morph time */
@@ -2341,21 +2413,25 @@
       case 'd':
 	/* dump the current model so we can add it! */
 	printf("# %s\nnoname:\t", model[glc->next_model].name);
-	for (i = 0; i < NODE_COUNT; i++) {
-	    if (glc->node[i] == ZERO)
-		printf("Z");
-	    else if (glc->node[i] == LEFT)
-		printf("L");
-	    else if (glc->node[i] == PIN)
-		printf("P");
-	    else if (glc->node[i] == RIGHT)
-		printf("R");
-	    /*
-	      else
-	      printf("%f", node[i].curAngle);
-	    */
-	    if (i < NODE_COUNT - 1)
-		printf(" ");
+	{
+	    int i;
+	    
+	    for (i = 0; i < NODE_COUNT; i++) {
+		if (glc->node[i] == ZERO)
+		    printf("Z");
+		else if (glc->node[i] == LEFT)
+		    printf("L");
+		else if (glc->node[i] == PIN)
+		    printf("P");
+		else if (glc->node[i] == RIGHT)
+		    printf("R");
+		/*
+		  else
+		  printf("%f", node[i].curAngle);
+		*/
+		if (i < NODE_COUNT - 1)
+		    printf(" ");
+	    }
 	}
 	printf("\n");
 	break;
@@ -2375,7 +2451,7 @@
 	if (interactive || glc->paused)
 	    glutPostRedisplay();
 	break;
-      case 'a':
+      case 'c':
 	altcolour = 1 - altcolour;
 	break;
       case 'z':
@@ -2391,8 +2467,7 @@
     }
 }
 
-void ui_special(int key, int x, int y) {
-    int i;
+void ui_special(int key, int x __attribute__((__unused__)), int y __attribute__((__unused__))) {
     float *destAngle = &(model[glc->next_model].node[glc->selected]);
     int unknown_key = 0;
 
@@ -2431,11 +2506,11 @@
 	switch (state) {
 	  case GLUT_DOWN:
 	    dragging = 1;
-	    m_s[0] = M_SQRT1_2 * 
+	    mouse_start[0] = M_SQRT1_2 * 
 		(x - (glc->width / 2.0)) / (glc->width / 2.0);
-	    m_s[1] = M_SQRT1_2 * 
+	    mouse_start[1] = M_SQRT1_2 * 
 		((glc->height / 2.0) - y) / (glc->height / 2.0);
-	    m_s[2] = sqrt(1-(m_s[0]*m_s[0]+m_s[1]*m_s[1]));
+	    mouse_start[2] = sqrt((double)(1-(mouse_start[0]*mouse_start[0]+mouse_start[1]*mouse_start[1])));
 	    break;
 	  case GLUT_UP:
 	    dragging = 0;
@@ -2458,25 +2533,25 @@
     if (dragging) {
 	/* construct the motion end vector from the x,y position on the
 	 * window */
-	m_e[0] = (x - (glc->width/ 2.0)) / (glc->width / 2.0);
-	m_e[1] = ((glc->height / 2.0) - y) / (glc->height / 2.0);
+	mouse_end[0] = M_SQRT1_2 * (x - (glc->width/ 2.0)) / (glc->width / 2.0);
+	mouse_end[1] = M_SQRT1_2 * ((glc->height / 2.0) - y) / (glc->height / 2.0);
 	/* calculate the normal of the vector... */
-	norm = m_e[0] * m_e[0] + m_e[1] * m_e[1];
+	norm = mouse_end[0] * mouse_end[0] + mouse_end[1] * mouse_end[1];
 	/* check if norm is outside the sphere and wraparound if necessary */
 	if (norm > 1.0) {
-	    m_e[0] = -m_e[0];
-	    m_e[1] = -m_e[1];
-	    m_e[2] = sqrt(norm - 1);
+	    mouse_end[0] = -mouse_end[0];
+	    mouse_end[1] = -mouse_end[1];
+	    mouse_end[2] = sqrt(norm - 1);
 	} else {
 	    /* the z value comes from projecting onto an elliptical spheroid */
-	    m_e[2] = sqrt(1 - norm);
+	    mouse_end[2] = sqrt(1 - norm);
 	}
 
-	/* now here, build a quaternion from m_s and m_e */
-	q[0] = m_s[1] * m_e[2] - m_s[2] * m_e[1];
-	q[1] = m_s[2] * m_e[0] - m_s[0] * m_e[2];
-	q[2] = m_s[0] * m_e[1] - m_s[1] * m_e[0];
-	q[3] = m_s[0] * m_e[0] + m_s[1] * m_e[1] + m_s[2] * m_e[2];
+	/* now here, build a quaternion from mouse_start and mouse_end */
+	q[0] = mouse_start[1] * mouse_end[2] - mouse_start[2] * mouse_end[1];
+	q[1] = mouse_start[2] * mouse_end[0] - mouse_start[0] * mouse_end[2];
+	q[2] = mouse_start[0] * mouse_end[1] - mouse_start[1] * mouse_end[0];
+	q[3] = mouse_start[0] * mouse_end[0] + mouse_start[1] * mouse_end[1] + mouse_start[2] * mouse_end[2];
 
 	/* new rotation is the product of the new one and the old one */
 	cumquat[0] = q[3] * oldquat[0] + q[0] * oldquat[3] + 
@@ -2517,5 +2592,6 @@
     interactive = DEF_INTERACTIVE;
     zoom = DEF_ZOOM;
     wireframe = DEF_WIREFRAME;
+    transparent = DEF_TRANSPARENT;
 }
 #endif /* HAVE_GLUT */

=== modified file 'hacks/glx/glsnake.man'
--- hacks/glx/glsnake.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/glsnake.man	2006-06-30 16:27:21 +0000
@@ -6,12 +6,12 @@
 .B glsnake
 [\-display \fIhost:display.screen\fP] [\-window] [\-root]
 [\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
-[\-wireframe] [\-scarycolour]
-[\-velocity \fIangular\fP]
+[\-wireframe] [\-altcolour]
+[\-angvel \fIangular\fP]
 [\-explode \fIdistance\fP]
 [\-statictime \fImilliseconds\fP]
-[\-yspin \fIangle\fP]
-[\-zspin \fIangle\fP]
+[\-yangvel \fIangle\fP]
+[\-zangvel \fIangle\fP]
 .SH DESCRIPTION
 .PP
 .B glsnake
@@ -41,11 +41,11 @@
 .B \-wireframe
 Display the snake in wireframe mode, rather than the default solid mode.
 .TP 8
-.B \-scarycolour
+.B \-altcolour
 Use the alternate colour scheme for the snake.  Shape identification using
 colour will be disabled.
 .TP 8
-.B -velocity \fIangular\fP
+.B -angvel \fIangular\fP
 Change the speed at which the snake morphs to a new shape.
 .TP 8
 .B -explode \fIdistance\fP
@@ -54,10 +54,10 @@
 .B \-statictime \fImilliseconds\fP
 Change the time between morphs.
 .TP 8
-.B \-yspin \fIangle\fP
+.B \-yangvel \fIangle\fP
 Change the angle of rotation around the Y axis per frame.
 .TP 8
-.B \-zspin \fIangle\fP
+.B \-zangvel \fIangle\fP
 Change the angle of rotation around the Z axis per frame.
 .SH ENVIRONMENT
 .PP
@@ -75,7 +75,7 @@
 .SH SEE ALSO
 .BR X (1),
 .BR xscreensaver (1),
-.BR glsnake (6)
+.BR glsnake (MANSUFFIX)
 .PP
 .EX
 http://spacepants.org/src/glsnake/

=== modified file 'hacks/glx/gltext.man'
--- hacks/glx/gltext.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/gltext.man	2005-12-08 16:00:22 +0000
@@ -17,13 +17,15 @@
 .SH SYNOPSIS
 .B gltext
 [\-display \fIhost:display.screen\fP] [\-window] [\-root]
-[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
+[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP]
 [\-text \fIstring\fP]
 [\-program \fIcommand\fP]
 [\-wander] [\-no-wander]
 [\-spin \fIaxes\fP]
 [\-no-spin]
 [\-front] [\-no\-front]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 The \fIgltext\fP program draws some text spinning around in 3D, using
 a font that appears to be made of solid tubes.  
@@ -69,11 +71,6 @@
 The program will be re-run every 5 seconds to re-generate the text.
 It should run quickly, and shouldn't generate too much text.
 .TP 8
-.B \-fps
-Display a running tally of how many frames per second are being rendered.
-In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 
-your GL performance.
-.TP 8
 .B \-wander
 Move the text around the screen.  This is the default.
 .TP 8
@@ -95,6 +92,14 @@
 .TP 8
 .B \-no\-front
 Allow spins to go all the way around or upside down.  This is the default.
+.TP 8
+.B \-wireframe
+Render in wireframe instead of solid.
+.TP 8
+.B \-fps
+Display a running tally of how many frames per second are being rendered.
+In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 
+your GL performance.
 .SH ENVIRONMENT
 .PP
 .TP 8

=== modified file 'hacks/glx/gltrackball.c'
--- hacks/glx/gltrackball.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/gltrackball.c	2005-12-08 16:00:22 +0000
@@ -107,3 +107,11 @@
   else
     gltrackball_track (ts, 50, 50*move, 100, 100);
 }
+
+void
+gltrackball_get_quaternion (trackball_state *ts, float q[4])
+{
+  int i;
+  for (i=0; i<4; i++)
+    q[i] = ts->q[i];
+}

=== modified file 'hacks/glx/gltrackball.h'
--- hacks/glx/gltrackball.h	2005-04-09 00:06:43 +0000
+++ hacks/glx/gltrackball.h	2005-12-08 16:00:22 +0000
@@ -45,5 +45,9 @@
 void gltrackball_mousewheel (trackball_state *ts,
                              int button, int percent, int horizontal_p);
 
+/* Return the quaternion encapsulated by the trackball state.
+ */
+extern void gltrackball_get_quaternion (trackball_state *ts, float q[4]);
+
 #endif /* __GLTRACKBALL_H__ */
 

=== modified file 'hacks/glx/grab-ximage.c'
--- hacks/glx/grab-ximage.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/grab-ximage.c	2005-12-08 16:00:22 +0000
@@ -141,6 +141,13 @@
                              0);
   to->data = (char *) calloc (to->height, to->bytes_per_line);
 
+  /* Set the bit order in the XImage structure to whatever the
+     local host's native bit order is.
+   */
+  to->bitmap_bit_order =
+    to->byte_order =
+    (bigendian() ? MSBFirst : LSBFirst);
+
   if (visual_class (screen, visual) == PseudoColor ||
       visual_class (screen, visual) == GrayScale)
     {

=== modified file 'hacks/glx/hypertorus.c'
--- hacks/glx/hypertorus.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/hypertorus.c	2005-12-08 16:00:22 +0000
@@ -1,10 +1,10 @@
 /* hypertorus --- Shows a hypertorus that rotates in 4d */
 
 #if 0
-static const char sccsid[] = "@(#)hypertorus.c  1.1 03/05/18 xlockmore";
+static const char sccsid[] = "@(#)hypertorus.c  1.2 05/09/28 xlockmore";
 #endif
 
-/* Copyright (c) 2003 Carsten Steger <carsten@mirsanmir.org>. */
+/* Copyright (c) 2003-2005 Carsten Steger <carsten@mirsanmir.org>. */
 
 /*
  * Permission to use, copy, modify, and distribute this software and its
@@ -21,6 +21,8 @@
  *
  * REVISION HISTORY:
  * C. Steger - 03/05/18: Initial version
+ * C. Steger - 05/09/28: Added the spirals appearance mode
+ *                       and trackball support
  */
 
 /*
@@ -33,84 +35,98 @@
  * projected 3d torus can then be projected to the screen either perspectively
  * or orthographically.  There are three display modes for the torus: mesh
  * (wireframe), solid, or transparent.  Furthermore, the appearance of the
- * torus can be as a solid object or as a set of see-through bands.  Finally,
- * the colors with with the torus is drawn can be set to either two-sided or
- * to colorwheel.  In the first case, the torus is drawn with red on the
- * outside and green on the inside.  This mode enables you to see that the
- * torus turns inside-out as it rotates in 4d.  The second mode draws the
- * torus in a fully saturated color wheel.  This gives a very nice effect
- * when combined with the see-through bands mode.  The rotation speed for
- * each of the six planes around which the torus rotates can be chosen.
- * This program is very much inspired by Thomas Banchoff's book "Beyond the
- * Third Dimension: Geometry, Computer Graphics, and Higher Dimensions",
- * Scientific American Library, 1990.
+ * torus can be as a solid object or as a set of see-through bands or
+ * see-through spirals.  Finally, the colors with with the torus is drawn can
+ * be set to either two-sided or to colorwheel.  In the first case, the torus
+ * is drawn with red on the outside and green on the inside.  This mode
+ * enables you to see that the torus turns inside-out as it rotates in 4d.
+ * The second mode draws the torus in a fully saturated color wheel.  This
+ * gives a very nice effect when combined with the see-through bands or
+ * see-through spirals mode.  The rotation speed for each of the six planes
+ * around which the torus rotates can be chosen.  This program is very much
+ * inspired by Thomas Banchoff's book "Beyond the Third Dimension: Geometry,
+ * Computer Graphics, and Higher Dimensions", Scientific American Library,
+ * 1990.
  */
 
 #ifndef M_PI
 #define M_PI 3.14159265358979323846
 #endif
 
-#define DISP_WIREFRAME            0
-#define DISP_WIREFRAME_STR       "0"
-#define DISP_SURFACE              1
-#define DISP_SURFACE_STR         "1"
-#define DISP_TRANSPARENT          2
-#define DISP_TRANSPARENT_STR     "2"
-
-#define APPEARANCE_SOLID          0
-#define APPEARANCE_SOLID_STR     "0"
-#define APPEARANCE_BANDS          1
-#define APPEARANCE_BANDS_STR     "1"
-
-#define COLORS_TWOSIDED           0
-#define COLORS_TWOSIDED_STR      "0"
-#define COLORS_COLORWHEEL         1
-#define COLORS_COLORWHEEL_STR    "1"
-
-#define DISP_3D_PERSPECTIVE       0
-#define DISP_3D_PERSPECTIVE_STR  "0"
-#define DISP_3D_ORTHOGRAPHIC      1
-#define DISP_3D_ORTHOGRAPHIC_STR "1"
-
-#define DISP_4D_PERSPECTIVE       0
-#define DISP_4D_PERSPECTIVE_STR  "0"
-#define DISP_4D_ORTHOGRAPHIC      1
-#define DISP_4D_ORTHOGRAPHIC_STR "1"
-
-#define DALPHA                    1.1
-#define DALPHA_STR               "1.1"
-#define DBETA                     1.3
-#define DBETA_STR                "1.3"
-#define DDELTA                    1.5
-#define DDELTA_STR               "1.5"
-#define DZETA                     1.7
-#define DZETA_STR                "1.7"
-#define DETA                      1.9
-#define DETA_STR                 "1.9"
-#define DTHETA                    2.1
-#define DTHETA_STR               "2.1"
-
-#define DEF_DISPLAY_MODE          DISP_SURFACE_STR   
-#define DEF_APPEARANCE            APPEARANCE_BANDS_STR
-#define DEF_COLORS                COLORS_COLORWHEEL_STR
-#define DEF_3D_PROJECTION         DISP_3D_PERSPECTIVE_STR
-#define DEF_4D_PROJECTION         DISP_4D_PERSPECTIVE_STR
-#define DEF_DALPHA                DALPHA_STR
-#define DEF_DBETA                 DBETA_STR
-#define DEF_DDELTA                DDELTA_STR
-#define DEF_DZETA                 DZETA_STR
-#define DEF_DETA                  DETA_STR
-#define DEF_DTHETA                DTHETA_STR
+#define DISP_WIREFRAME             0
+#define DISP_WIREFRAME_STR        "0"
+#define DISP_SURFACE               1
+#define DISP_SURFACE_STR          "1"
+#define DISP_TRANSPARENT           2
+#define DISP_TRANSPARENT_STR      "2"
+
+#define APPEARANCE_SOLID           0
+#define APPEARANCE_SOLID_STR      "0"
+#define APPEARANCE_BANDS           1
+#define APPEARANCE_BANDS_STR      "1"
+#define APPEARANCE_SPIRALS         2
+#define APPEARANCE_SPIRALS_STR    "2"
+#define APPEARANCE_SPIRALS_1       3
+#define APPEARANCE_SPIRALS_1_STR  "3"
+#define APPEARANCE_SPIRALS_2       4
+#define APPEARANCE_SPIRALS_2_STR  "4"
+#define APPEARANCE_SPIRALS_4       5
+#define APPEARANCE_SPIRALS_4_STR  "5"
+#define APPEARANCE_SPIRALS_8       6
+#define APPEARANCE_SPIRALS_8_STR  "6"
+#define APPEARANCE_SPIRALS_16      7
+#define APPEARANCE_SPIRALS_16_STR "7"
+
+#define COLORS_TWOSIDED            0
+#define COLORS_TWOSIDED_STR       "0"
+#define COLORS_COLORWHEEL          1
+#define COLORS_COLORWHEEL_STR     "1"
+
+#define DISP_3D_PERSPECTIVE        0
+#define DISP_3D_PERSPECTIVE_STR   "0"
+#define DISP_3D_ORTHOGRAPHIC       1
+#define DISP_3D_ORTHOGRAPHIC_STR  "1"
+
+#define DISP_4D_PERSPECTIVE        0
+#define DISP_4D_PERSPECTIVE_STR   "0"
+#define DISP_4D_ORTHOGRAPHIC       1
+#define DISP_4D_ORTHOGRAPHIC_STR  "1"
+
+#define DALPHA                     1.1
+#define DALPHA_STR                "1.1"
+#define DBETA                      1.3
+#define DBETA_STR                 "1.3"
+#define DDELTA                     1.5
+#define DDELTA_STR                "1.5"
+#define DZETA                      1.7
+#define DZETA_STR                 "1.7"
+#define DETA                       1.9
+#define DETA_STR                  "1.9"
+#define DTHETA                     2.1
+#define DTHETA_STR                "2.1"
+
+#define DEF_DISPLAY_MODE           DISP_SURFACE_STR   
+#define DEF_APPEARANCE             APPEARANCE_BANDS_STR
+#define DEF_COLORS                 COLORS_COLORWHEEL_STR
+#define DEF_3D_PROJECTION          DISP_3D_PERSPECTIVE_STR
+#define DEF_4D_PROJECTION          DISP_4D_PERSPECTIVE_STR
+#define DEF_DALPHA                 DALPHA_STR
+#define DEF_DBETA                  DBETA_STR
+#define DEF_DDELTA                 DDELTA_STR
+#define DEF_DZETA                  DZETA_STR
+#define DEF_DETA                   DETA_STR
+#define DEF_DTHETA                 DTHETA_STR
 
 #ifdef STANDALONE
-# define PROGCLASS       "Hypertorus"
-# define HACK_INIT       init_hypertorus
-# define HACK_DRAW       draw_hypertorus
-# define HACK_RESHAPE    reshape_hypertorus
-# define hypertorus_opts xlockmore_opts
-# define DEFAULTS        "*delay:      25000 \n" \
-                         "*showFPS:    False \n" \
-                         "*wireframe:  False \n" \
+# define PROGCLASS          "Hypertorus"
+# define HACK_INIT          init_hypertorus
+# define HACK_DRAW          draw_hypertorus
+# define HACK_RESHAPE       reshape_hypertorus
+# define HACK_HANDLE_EVENT  hypertorus_handle_event
+# define EVENT_MASK         PointerMotionMask|KeyReleaseMask
+# define hypertorus_opts    xlockmore_opts
+# define DEFAULTS           "*delay:      25000 \n" \
+                            "*showFPS:    False \n" \
 
 # include "xlockmore.h"         /* from the xscreensaver distribution */
 #else  /* !STANDALONE */
@@ -119,8 +135,10 @@
 
 #ifdef USE_GL
 
+#include <X11/keysym.h>
 #include <GL/gl.h>
 #include <GL/glu.h>
+#include "gltrackball.h"
 
 
 #ifdef USE_MODULES
@@ -135,6 +153,7 @@
 
 static int display_mode;
 static int appearance;
+static int num_spirals;
 static int colors;
 static int projection_3d;
 static int projection_4d;
@@ -149,18 +168,18 @@
 static float alpha, beta, delta, zeta, eta, theta;
 static float aspect;
 
-static const float offset4d[4] = {
-  0.0, 0.0, 0.0, 2.0
-};
+/* Trackball states */
+trackball_state *trackballs[2];
+int current_trackball;
+Bool button_pressed;
 
-static const float offset3d[4] = {
-  0.0, 0.0, -2.0, 0.0
-};
+static const float offset4d[4] = {  0.0,  0.0,  0.0,  2.0 };
+static const float offset3d[4] = {  0.0,  0.0, -2.0,  0.0 };
 
 
 static XrmOptionDescRec opts[] =
 {
-  {"-mesh",            ".hypertorus.displayMode",  XrmoptionNoArg,
+  {"-wireframe",       ".hypertorus.displayMode",  XrmoptionNoArg,
                        DISP_WIREFRAME_STR },
   {"-surface",         ".hypertorus.displayMode",  XrmoptionNoArg,
                        DISP_SURFACE_STR },
@@ -170,6 +189,16 @@
                        APPEARANCE_SOLID_STR },
   {"-bands",           ".hypertorus.appearance",   XrmoptionNoArg,
                        APPEARANCE_BANDS_STR },
+  {"-spirals-1",       ".hypertorus.appearance",   XrmoptionNoArg,
+                       APPEARANCE_SPIRALS_1_STR },
+  {"-spirals-2",       ".hypertorus.appearance",   XrmoptionNoArg,
+                       APPEARANCE_SPIRALS_2_STR },
+  {"-spirals-4",       ".hypertorus.appearance",   XrmoptionNoArg,
+                       APPEARANCE_SPIRALS_4_STR },
+  {"-spirals-8",       ".hypertorus.appearance",   XrmoptionNoArg,
+                       APPEARANCE_SPIRALS_8_STR },
+  {"-spirals-16",      ".hypertorus.appearance",   XrmoptionNoArg,
+                       APPEARANCE_SPIRALS_16_STR },
   {"-twosided",        ".hypertorus.colors",       XrmoptionNoArg,
                        COLORS_TWOSIDED_STR },
   {"-colorwheel",      ".hypertorus.colors",       XrmoptionNoArg,
@@ -218,11 +247,12 @@
 
 static OptionStruct desc[] =
 {
-  { "-mesh",            "display the torus as a wireframe mesh" },
+  { "-wireframe",       "display the torus as a wireframe mesh" },
   { "-surface",         "display the torus as a solid surface" },
   { "-transparent",     "display the torus as a transparent surface" },
   { "-solid",           "display the torus as a solid object" },
   { "-bands",           "display the torus as see-through bands" },
+  { "-spirals-{1,2,4,8,16}", "display the torus as see-through spirals" },
   { "-twosided",        "display the torus with two colors" },
   { "-colorwheel",      "display the torus with a smooth color wheel" },
   { "-perspective-3d",  "project the torus perspectively from 3d to 2d" },
@@ -363,6 +393,71 @@
 }
 
 
+/* Compute the rotation matrix m from the rotation angles. */
+static void rotateall(float al, float be, float de, float ze, float et,
+                      float th, float m[4][4])
+{
+  int i, j;
+
+  for (i=0; i<4; i++)
+    for (j=0; j<4; j++)
+      m[i][j] = (i==j);
+  rotatewx(m,al);
+  rotatewy(m,be);
+  rotatewz(m,de);
+  rotatexy(m,ze);
+  rotatexz(m,et);
+  rotateyz(m,th);
+}
+
+
+/* Multiply two rotation matrices: o=m*n. */
+static void mult_rotmat(float m[4][4], float n[4][4], float o[4][4])
+{
+  int i, j, k;
+
+  for (i=0; i<4; i++)
+  {
+    for (j=0; j<4; j++)
+    {
+      o[i][j] = 0.0;
+      for (k=0; k<4; k++)
+        o[i][j] += m[i][k]*n[k][j];
+    }
+  }
+}
+
+
+/* Compute a 4D rotation matrix from two unit quaternions. */
+static void quats_to_rotmat(float p[4], float q[4], float m[4][4])
+{
+  double al, be, de, ze, et, th;
+  double r00, r01, r02, r12, r22;
+
+  r00 = 1.0-2.0*(p[1]*p[1]+p[2]*p[2]);
+  r01 = 2.0*(p[0]*p[1]+p[2]*p[3]);
+  r02 = 2.0*(p[2]*p[0]-p[1]*p[3]);
+  r12 = 2.0*(p[1]*p[2]+p[0]*p[3]);
+  r22 = 1.0-2.0*(p[1]*p[1]+p[0]*p[0]);
+
+  al = atan2(-r12,r22)*180.0/M_PI;
+  be = atan2(r02,sqrt(r00*r00+r01*r01))*180.0/M_PI;
+  de = atan2(-r01,r00)*180.0/M_PI;
+
+  r00 = 1.0-2.0*(q[1]*q[1]+q[2]*q[2]);
+  r01 = 2.0*(q[0]*q[1]+q[2]*q[3]);
+  r02 = 2.0*(q[2]*q[0]-q[1]*q[3]);
+  r12 = 2.0*(q[1]*q[2]+q[0]*q[3]);
+  r22 = 1.0-2.0*(q[1]*q[1]+q[0]*q[0]);
+
+  ze = atan2(-r12,r22)*180.0/M_PI;
+  et = atan2(r02,sqrt(r00*r00+r01*r01))*180.0/M_PI;
+  th = atan2(-r01,r00)*180.0/M_PI;
+
+  rotateall(al,be,de,ze,et,th,m);
+}
+
+
 /* Compute a fully saturated and bright color based on an angle. */
 static void color(double angle)
 {
@@ -415,7 +510,7 @@
       break;
   }
   if (display_mode == DISP_TRANSPARENT)
-    color[3] = 0.5;
+    color[3] = 0.7;
   else
     color[3] = 1.0;
   glColor3fv(color);
@@ -423,31 +518,32 @@
 }
 
 
-/* Draw a hyperturus projected into 3D. */
+/* Draw a hypertorus projected into 3D.  Note that the spirals appearance
+   will only work correctly if numu and numv are set to 64 or any higher
+   power of 2.  Similarly, the banded appearance will only work correctly
+   if numu and numv are divisible by 4. */
 static void hypertorus(double umin, double umax, double vmin, double vmax,
                        int numu, int numv)
 {
   static GLfloat mat_diff_red[] = { 1.0, 0.0, 0.0, 1.0 };
   static GLfloat mat_diff_green[] = { 0.0, 1.0, 0.0, 1.0 };
-  static GLfloat mat_diff_trans_red[] = { 1.0, 0.0, 0.0, 0.5 };
-  static GLfloat mat_diff_trans_green[] = { 0.0, 1.0, 0.0, 0.5 };
+  static GLfloat mat_diff_trans_red[] = { 1.0, 0.0, 0.0, 0.7 };
+  static GLfloat mat_diff_trans_green[] = { 0.0, 1.0, 0.0, 0.7 };
   float p[3], pu[3], pv[3], n[3], mat[4][4];
-  int i, j, k, l, m;
+  int i, j, k, l, m, b, skew;
   double u, v, ur, vr;
   double cu, su, cv, sv;
   double xx[4], xxu[4], xxv[4], x[4], xu[4], xv[4];
   double r, s, t;
-
-  /* Compute the rotation that rotates the hypercube in 4D. */
-  for (i=0; i<4; i++)
-    for (j=0; j<4; j++)
-      mat[i][j] = (i==j);
-  rotatewx(mat,alpha);
-  rotatewy(mat,beta);
-  rotatewz(mat,delta);
-  rotatexy(mat,zeta);
-  rotatexz(mat,eta);
-  rotateyz(mat,theta);
+  float q1[4], q2[4], r1[4][4], r2[4][4];
+
+  rotateall(alpha,beta,delta,zeta,eta,theta,r1);
+
+  gltrackball_get_quaternion(trackballs[0],q1);
+  gltrackball_get_quaternion(trackballs[1],q2);
+  quats_to_rotmat(q1,q2,r2);
+
+  mult_rotmat(r2,r1,mat);
 
   if (colors != COLORS_COLORWHEEL)
   {
@@ -464,11 +560,13 @@
     }
   }
 
+  skew = num_spirals;
   ur = umax-umin;
   vr = vmax-vmin;
   for (i=0; i<numu; i++)
   {
-    if (appearance == APPEARANCE_BANDS && ((i & 3) >= 2))
+    if ((appearance == APPEARANCE_BANDS ||
+         appearance == APPEARANCE_SPIRALS) && ((i & 3) >= 2))
       continue;
     if (display_mode == DISP_WIREFRAME)
       glBegin(GL_QUAD_STRIP);
@@ -482,7 +580,16 @@
         m = j;
         u = ur*l/numu+umin;
         v = vr*m/numv+vmin;
-        color(u);
+        if (appearance == APPEARANCE_SPIRALS)
+        {
+          u += 4.0*skew/numv*v;
+          b = ((i/4)&(skew-1))*(numu/(4*skew));
+          color(ur*4*b/numu+umin);
+        }
+        else
+        {
+          color(u);
+        }
         cu = cos(u);
         su = sin(u);
         cv = cos(v);
@@ -559,6 +666,16 @@
   static GLfloat light_position[] = { 1.0, 1.0, 1.0, 0.0 };
   static GLfloat mat_specular[] = { 1.0, 1.0, 1.0, 1.0 };
 
+  if (appearance >= APPEARANCE_SPIRALS_1)
+  {
+    num_spirals = 1<<(appearance-APPEARANCE_SPIRALS_1);
+    appearance = APPEARANCE_SPIRALS;
+  }
+  else
+  {
+    num_spirals = 0;
+  }
+
   alpha = 0.0;
   beta = 0.0;
   delta = 0.0;
@@ -635,24 +752,27 @@
 /* Redisplay the hypertorus. */
 static void display_hypertorus(void)
 {
-  alpha += speed_wx;
-  if (alpha >= 360.0)
-    alpha -= 360.0;
-  beta += speed_wy;
-  if (beta >= 360.0)
-    beta -= 360.0;
-  delta += speed_wz;
-  if (delta >= 360.0)
-    delta -= 360.0;
-  zeta += speed_xy;
-  if (zeta >= 360.0)
-    zeta -= 360.0;
-  eta += speed_xz;
-  if (eta >= 360.0)
-    eta -= 360.0;
-  theta += speed_yz;
-  if (theta >= 360.0)
-    theta -= 360.0;
+  if (!button_pressed)
+  {
+    alpha += speed_wx;
+    if (alpha >= 360.0)
+      alpha -= 360.0;
+    beta += speed_wy;
+    if (beta >= 360.0)
+      beta -= 360.0;
+    delta += speed_wz;
+    if (delta >= 360.0)
+      delta -= 360.0;
+    zeta += speed_xy;
+    if (zeta >= 360.0)
+      zeta -= 360.0;
+    eta += speed_xz;
+    if (eta >= 360.0)
+      eta -= 360.0;
+    theta += speed_yz;
+    if (theta >= 360.0)
+      theta -= 360.0;
+  }
 
   glMatrixMode(GL_PROJECTION);
   glLoadIdentity();
@@ -670,10 +790,7 @@
   glMatrixMode(GL_MODELVIEW);
   glLoadIdentity();
 
-  if (display_mode == DISP_WIREFRAME)
-    hypertorus(0.0,2.0*M_PI,0.0,2.0*M_PI,40,40);
-  else
-    hypertorus(0.0,2.0*M_PI,0.0,2.0*M_PI,60,60);
+  hypertorus(0.0,2.0*M_PI,0.0,2.0*M_PI,64,64);
 }
 
 
@@ -688,6 +805,64 @@
 }
 
 
+Bool hypertorus_handle_event(ModeInfo *mi, XEvent *event)
+{
+  Display *display = MI_DISPLAY(mi);
+  KeySym  sym;
+
+  if (event->xany.type == ButtonPress &&
+      event->xbutton.button == Button1)
+  {
+    button_pressed = True;
+    gltrackball_start(trackballs[current_trackball],
+                      event->xbutton.x, event->xbutton.y,
+                      MI_WIDTH(mi), MI_HEIGHT(mi));
+    return True;
+  }
+  else if (event->xany.type == ButtonRelease &&
+           event->xbutton.button == Button1)
+  {
+    button_pressed = False;
+    return True;
+  }
+  else if (event->xany.type == KeyPress)
+  {
+    sym = XKeycodeToKeysym(display,event->xkey.keycode,0);
+    if (sym == XK_Shift_L || sym == XK_Shift_R)
+    {
+      current_trackball = 1;
+      if (button_pressed)
+        gltrackball_start(trackballs[current_trackball],
+                          event->xbutton.x, event->xbutton.y,
+                          MI_WIDTH(mi), MI_HEIGHT(mi));
+      return True;
+    }
+  }
+  else if (event->xany.type == KeyRelease)
+  {
+    sym = XKeycodeToKeysym(display,event->xkey.keycode,0);
+    if (sym == XK_Shift_L || sym == XK_Shift_R)
+    {
+      current_trackball = 0;
+      if (button_pressed)
+        gltrackball_start(trackballs[current_trackball],
+                          event->xbutton.x, event->xbutton.y,
+                          MI_WIDTH(mi), MI_HEIGHT(mi));
+      return True;
+    }
+  }
+  else if (event->xany.type == MotionNotify && button_pressed)
+  {
+    gltrackball_track(trackballs[current_trackball],
+                      event->xmotion.x, event->xmotion.y,
+                      MI_WIDTH(mi), MI_HEIGHT(mi));
+    return True;
+  }
+
+  return False;
+}
+
+
 /*
  *-----------------------------------------------------------------------------
  *-----------------------------------------------------------------------------
@@ -715,6 +890,11 @@
   }
   hp = &hyper[MI_SCREEN(mi)];
 
+  trackballs[0] = gltrackball_init();
+  trackballs[1] = gltrackball_init();
+  current_trackball = 0;
+  button_pressed = False;
+
   if ((hp->glx_context = init_GL(mi)) != NULL)
   {
     reshape_hypertorus(mi,MI_WIDTH(mi),MI_HEIGHT(mi));

=== modified file 'hacks/glx/hypertorus.man'
--- hacks/glx/hypertorus.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/hypertorus.man	2006-06-30 16:27:21 +0000
@@ -10,11 +10,12 @@
 [\-root]
 [\-delay \fIusecs\fP]
 [\-fps]
-[\-mesh]
+[\-wireframe]
 [\-surface]
 [\-transparent]
 [\-solid]
 [\-bands]
+[\-spirals-{1,2,4,8,16}]
 [\-twosided]
 [\-colorwheel]
 [\-perspective-3d]
@@ -38,17 +39,18 @@
 projected to the screen either perspectively or orthographically.
 There are three display modes for the torus: mesh (wireframe), solid,
 or transparent.  Furthermore, the appearance of the torus can be as a
-solid object or as a set of see-through bands.  Finally, the colors
-with with the torus is drawn can be set to either two-sided or to a
-color wheel.  In the first case, the torus is drawn with red on the
-outside and green on the inside.  This mode enables you to see that
-the torus turns inside-out as it rotates in 4d.  The second mode draws
-the torus with a fully saturated color wheel.  This gives a very nice
-effect when combined with the see-through bands mode.  The rotation
-speed for each of the six planes around which the torus rotates can be
-chosen.  This program is very much inspired by Thomas Banchoff's book
-"Beyond the Third Dimension: Geometry, Computer Graphics, and Higher
-Dimensions", Scientific American Library, 1990.
+solid object or as a set of see-through bands or see-through spirals.
+Finally, the colors with with the torus is drawn can be set to either
+two-sided or to a color wheel.  In the first case, the torus is drawn
+with red on the outside and green on the inside.  This mode enables
+you to see that the torus turns inside-out as it rotates in 4d.  The
+second mode draws the torus with a fully saturated color wheel.  This
+gives a very nice effect when combined with the see-through bands or
+see-through spirals mode.  The rotation speed for each of the six
+planes around which the torus rotates can be chosen.  This program is
+very much inspired by Thomas Banchoff's book "Beyond the Third
+Dimension: Geometry, Computer Graphics, and Higher Dimensions",
+Scientific American Library, 1990.
 .SH OPTIONS
 .I hypertorus
 accepts the following options:
@@ -73,7 +75,7 @@
 The following three options are mutually exclusive.  They determine
 how the torus is displayed.
 .TP 8
-.B \-mesh
+.B \-wireframe
 Display the torus as a wireframe mesh.
 .TP 8
 .B \-surface
@@ -82,7 +84,7 @@
 .B \-transparent
 Display the torus as a transparent surface.
 .PP
-The following two options are mutually exclusive.  They determine the
+The following seven options are mutually exclusive.  They determine the
 appearance of the torus.
 .TP 8
 .B \-solid
@@ -90,6 +92,10 @@
 .TP 8
 .B \-bands
 Display the torus as see-through bands (default).
+.TP 8
+.B \-spirals-1, \-spirals-2, \-spirals-4, \-spirals-8, \-spirals-16
+Display the torus as see-through spirals with the indicated number of
+spirals.
 .PP
 The following two options are mutually exclusive.  They determine how
 to color the torus.
@@ -99,7 +105,10 @@
 the inside.
 .TP 8
 .B \-colorwheel
-Display the torus with a fully saturated color wheel (default).
+Display the torus with a fully saturated color wheel (default).  If
+the torus is displayed as see-through bands each band will be
+displayed with a different color.  Likewise, if the torus is displayed
+as see-through spirals each spiral will receive a different color.
 .PP
 The following two options are mutually exclusive.  They determine how
 the torus is projected from 3d to 2d (i.e., to the screen).
@@ -126,10 +135,10 @@
 in degrees per frame.  The speeds should be set to relatively small
 values, e.g., less than 4 in magnitude.
 .TP 8
-.B \-speed-xw \fIfloat\fP
+.B \-speed-wx \fIfloat\fP
 Rotation speed around the wx plane (default: 1.1).
 .TP 8
-.B \-speed-xy \fIfloat\fP
+.B \-speed-wy \fIfloat\fP
 Rotation speed around the wy plane (default: 1.3).
 .TP 8
 .B \-speed-wz \fIfloat\fP
@@ -143,6 +152,15 @@
 .TP 8
 .B \-speed-yz \fIfloat\fP
 Rotation speed around the yz plane (default: 2.1).
+.SH INTERACTION
+If you run this program in standalone mode you can rotate the
+hypertorus by dragging the mouse while pressing the left mouse button.
+This rotates the hypertorus in 3D, i.e., around the wx, wy, and wz
+planes.  If you press the shift key while dragging the mouse with the
+left button pressed the hypertorus is rotated in 4D, i.e., around the
+xy, xz, and yz planes.  To examine the hypertorus at your leisure, it
+is best to set all speeds to 0.  Otherwise, the hypertorus will rotate
+while the left mouse button is not pressed.
 .SH ENVIRONMENT
 .PP
 .TP 8
@@ -156,7 +174,7 @@
 .BR X (1),
 .BR xscreensaver (1)
 .SH COPYRIGHT
-Copyright \(co 2003 by Carsten Steger.  Permission to use, copy, modify, 
+Copyright \(co 2003-2005 by Carsten Steger.  Permission to use, copy, modify, 
 distribute, and sell this software and its documentation for any purpose is 
 hereby granted without fee, provided that the above copyright notice appear 
 in all copies and that both that copyright notice and this permission notice
@@ -164,4 +182,4 @@
 suitability of this software for any purpose.  It is provided "as is" without
 express or implied warranty.
 .SH AUTHOR
-Carsten Steger <carsten@mirsanmir.org>, 27-may-2003.
+Carsten Steger <carsten@mirsanmir.org>, 28-sep-2005.

=== modified file 'hacks/glx/jigglypuff.man'
--- hacks/glx/jigglypuff.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/jigglypuff.man	2006-06-30 16:27:21 +0000
@@ -90,7 +90,7 @@
 would end up with a stable tetrahedron. The 'damping' option can help to
 keep the blob from collapsing or flying apart. The option specifies the
 speed at which damping starts, hence lower values mean more damping.
-Defaults: spherism: 200; hold: 800; distance: 100; damping: 500.
+Defaults: spherism: 75; hold: 800; distance: 100; damping: 500.
 .TP 8
 .B -random
 Probably the only parameter you'l ever need. Overrides almost all of the

=== added file 'hacks/glx/juggler3d.c'
--- hacks/glx/juggler3d.c	1970-01-01 00:00:00 +0000
+++ hacks/glx/juggler3d.c	2005-12-08 16:00:22 +0000
@@ -0,0 +1,2143 @@
+/* Juggler3D, Copyright (c) 2005 Brian Apps <brian@jugglesaver.co.uk>
+ *
+ * Permission to use, copy, modify, distribute, and sell this software and its
+ * documentation for any purpose is hereby granted without fee, provided that
+ * the above copyright notice appear in all copies and that both that copyright
+ * notice and this permission notice appear in supporting documentation.  No
+ * representations are made about the suitability of this software for any
+ * purpose.  It is provided "as is" without express or implied warranty. */
+
+#include <X11/Intrinsic.h>
+
+#undef countof
+#define countof(x) (sizeof((x))/sizeof((*x)))
+
+#define PROGCLASS          "Juggler3D"
+#define HACK_INIT          Juggler3D_HackInitEvent
+#define HACK_DRAW          Juggler3D_HackDrawEvent
+#define HACK_RESHAPE       Juggler3D_HackReshapeEvent
+#define HACK_HANDLE_EVENT  Juggler3D_HackHandleEvent
+#define EVENT_MASK         PointerMotionMask
+#define SWITCH_OPTS        xlockmore_opts
+
+#define DEFAULTS    \
+    "*JuggleSpeed: 0.15\n*delay: 20000\n*showFPS: False\n*wireframe: False\n"
+
+#include "xlockmore.h"
+#include "gltrackball.h"
+
+#ifdef USE_GL /* whole file */
+#include <GL/glu.h>
+
+/* A selection of macros to make functions from math.h return single precision
+ * numbers.  Arguably it's better to work at a higher precision and cast it
+ * back but littering the code with casts makes it less readable -- without
+ * the casts you can get tons of warnings from the compiler (particularily
+ * MSVC which enables loss of precision warnings by default) */
+ 
+#define cosf(a) (float)(cos((a)))
+#define sinf(a) (float)(sin((a)))
+#define tanf(a) (float)(tan((a)))
+#define sqrtf(a) (float)(sqrt((a)))
+#define powf(a, b) (float)(pow((a), (b)))
+
+#undef max
+#undef min
+
+#define max(a, b) ((a) > (b) ? (a) : (b))
+#define min(a, b) ((a) < (b) ? (a) : (b))
+
+
+/******************************************************************************
+ *
+ * The code is broadly split into the following parts:
+ *
+ *  - Engine.  The process of determining the position of the juggler and 
+ *        objects being juggled at an arbitrary point in time.  This is
+ *        independent from any drawing code.
+ *  - Sites.  The process of creating a random site swap pattern or parsing
+ *        a Juggle Saver compatible siteswap for use by the engine.  For an
+ *        introduction to juggling site swaps check out
+ *         http://www.jugglingdb.com/
+ *  - Rendering.  OpenGL drawing code that animates the juggler.
+ *  - XScreenSaver.  Interface code to get thing working as a GLX hack.
+ *  
+ *****************************************************************************/
+
+
+/*****************************************************************************
+ *
+ * Data structures
+ *
+ *****************************************************************************/
+
+/* POS is used to represent the position of a hand when it catches or throws
+ * an object; as well as the orientation of the object.  The rotation and
+ * elevation are specified in degrees.  These angles are not normalised so that
+ * it is possible to specify how the object spins and rotates as it is thrown
+ * from the 'From' position to the 'To' position.
+ * 
+ * Because this is the position of the hand some translation is required with
+ * rings and clubs to get the centre of rotation position. */
+
+typedef struct
+{
+    float x;
+    float y;
+    float z;
+    float Rot;
+    float Elev;
+} POS;
+
+
+/* An array of THROW_INFOs are configured with each entry corresponding to the
+ * position in the site swap (In fact we double up odd length patterns to ensure
+ * there is left/right symmetry).  It allows us to quickly determine where an
+ * object and the hands are at a given time.  The information is specified in
+ * terms of throws, and positions where throws aren't present (0's and 2's) are
+ * simply ignored.
+ * 
+ * TotalTime - The count of beats before this object is thrown again.  Typically
+ *    this is the same as the weight of the throw but where an object is held it
+ *    is longer.  e.g. the first throw of the site 64242.7. will be 10, 6 for
+ *    throw and 4 (two 2's) for the carry.
+ * TimeInAir - The weight of the throw.
+ * PrevThrow - zero based index into array of THROW_INFOs of the previous throw.
+ *     e.g. for the throw '8' in the site 345678..... the PrevThrow is 1
+ *    (i.e. the 4)
+ * FromPos, FromVelocity, ToPos, ToVelocity - The position and speeds at the
+ *    start and end of the throw.  These are used to generate a spline while
+ *    carrying an object and while moving the hand from a throw to a catch.
+ * NextForHand - Number of beats before the hand that throws this object will
+ *    throw another object.  This is always going to be at least 2.  When there
+ *    are gaps in the pattern (0's) or holds (2's) NextForHand increases. */
+
+typedef struct
+{
+    int TotalTime;
+    int TimeInAir;
+    int PrevThrow;
+
+    POS FromPos;
+    POS FromVelocity;
+    POS ToPos;
+    POS ToVelocity;
+
+    int NextForHand;
+} THROW_INFO;
+
+
+/* OBJECT_POSITION works with the array of THROW_INFOs to allow us to determine
+ * exactly where an object or hand is.
+ *
+ * TimeOffset - The total number of beats expired when the object was thrown.
+ * ThrowIndex - The zero based index into the THROW_INFO array for the current
+ *     throw.
+ * ObjectType - One of the OBJECT_XX defines.
+ * TotalTwist - Only relevant for OBJECT_BALL, this is the total amount the ball
+ *     has twisted while in the air.  When segmented balls are drawn you see a 
+ *     spinning effect similar to what happens when you juggle beanbags.  */
+
+#define OBJECT_DEFAULT 0
+#define OBJECT_BALL 1
+#define OBJECT_CLUB 2
+#define OBJECT_RING 3
+
+typedef struct
+{
+    int TimeOffset;
+    int ThrowIndex;
+    float TotalTwist;
+    int ObjectType;
+} OBJECT_POSITION;
+
+
+/* PATTERN_INFO is the main structure that holds the information about a 
+ * juggling pattern. 
+ *
+ * pThrowInfo is an array of ThrowLen elements that describes each throw in the
+ *     pattern.
+ * pObjectInfo gives the current position of all objects at a given instant.
+ *     These values are updated as the pattern is animated.
+ * LeftHand and RightHand describe the current positions of each of the 
+ *     juggler's hands.
+ * MaxWeight is the maximum weight of the all throws in pThrowInfo.
+ * Height and Alpha are parameters that describe how objects fall under the
+ *     influence of gravity.  See SetHeightAndAlpha() for the gory details. */
+
+typedef struct
+{
+    THROW_INFO* pThrowInfo;
+    int ThrowLen;
+    
+    OBJECT_POSITION* pObjectInfo;
+    int Objects;
+
+    OBJECT_POSITION LeftHand;
+    OBJECT_POSITION RightHand;
+    
+    int MaxWeight;
+
+    float Height;
+    float Alpha;
+} PATTERN_INFO;
+
+
+/* EXT_SITE_INFO is used to initialise a PATTERN_INFO object using a Juggle
+ * Saver compatible site swap.  These contain additional information about the
+ * type of object thrown, the positions of throw and catch etc. */
+
+#define HAS_FROM_POS 1
+#define HAS_TO_POS 2
+#define HAS_SNATCH 4
+#define HAS_SPINS 8
+
+typedef struct
+{
+    unsigned Flags;
+    int Weight;
+    int ObjectType;
+    POS FromPos;
+    POS ToPos;
+    float SnatchX;
+    float SnatchY;
+    int Spins;
+} EXT_SITE_INFO;
+
+
+/* RENDER_STATE is used to co-ordinate the OpenGL rendering of the juggler and
+ * objects:
+ * pPattern - The pattern to be juggled
+ * CameraElev - The elevation angle (in degrees) that the camera is looking
+ *    along.  0 is horizontal and a +ve angle is looking down.  This value
+ *    should be between -90 and +90.
+ * AspectRatio - Window width to height ratio.
+ * DLStart - The number for the first display list created, any others directly
+ *    follow this.
+ * Time - Animation time (in beats)
+ * TranslateAngle - Cumulative translation (in degrees) for the juggling figure.
+ * SpinAngle- Cumulative spin (in degrees) for the juggling figure.
+ */
+
+typedef struct
+{
+    PATTERN_INFO* pPattern;
+    float CameraElev;
+    float AspectRatio;
+    int DLStart;
+    
+    float Time;
+    float TranslateAngle;
+    float SpinAngle;
+    
+    trackball_state *trackball;
+    Bool button_down_p;
+
+} RENDER_STATE;
+
+
+/*****************************************************************************
+ *
+ * Engine
+ *
+ ****************************************************************************
+ *
+ * The main purpose of the engine is to work out the exact position of all the
+ * juggling objects and the juggler's hands at any point in time.  The motion
+ * of the objects can be split into two parts: in the air and and being carried.
+ *
+ * While in the air, the motion is governed by a standard parabolic trajectory.
+ * The only minor complication is that the engine has no fixed concept of
+ * gravity, instead it using a term called Alpha that varies according to the
+ * pattern (see SetHeightAndAlpha). 
+ *
+ * The motion while an object is carried comes from fitting a spline through the
+ * catch and throw points and maintaining the catch and throw velocities at
+ * each end.  In the simplest case this boils down to cubic Bezier spline.  The
+ * only wrinkle occurs when a ball is being carried for a long time.  The simple 
+ * cubic spline maths produces a curve that goes miles away -- here we do a
+ * bit of reparameterisation so things stay within sensible bounds.
+ * (On a related note, this scheme is _much_ simpler than the Juggle Saver
+ * one.  Juggle Saver achieves 2nd order continuity and much care is taken
+ * to avoid spline ringing.)
+ * 
+ * The motion of the hands is identical to the ball carrying code. It uses two
+ * splines: one while an object is being carried; and another when it moves from
+ * the previous throw to the next catch.
+ */
+ 
+const float CARRY_TIME = 0.56f;
+const float PI = 3.14159265358979f;
+
+
+/* While a ball is thrown it twists slighty about an axis, this routine gives
+ * the total about of twist for a given ball throw. */
+ 
+static float GetBallTwistAmount(const THROW_INFO* pThrow)
+{
+    if (pThrow->FromPos.x > pThrow->ToPos.x)
+        return 18.0f * powf(pThrow->TimeInAir, 1.5);
+    else
+        return -18.0f * powf(pThrow->TimeInAir, 1.5);
+}
+
+
+float NormaliseAngle(float Ang)
+{
+    if (Ang >= 0.0f)
+    {
+        int i = (int) (Ang + 180.0f) / 360;
+        return Ang - 360.0f * i;
+    }
+    else
+    {
+        int i = (int)(180.0f - Ang) / 360;
+        return Ang + i * 360.0f;
+    }
+}
+
+
+/* The interpolate routine for ball carrying and hand motion.  We are given the
+ * start (P0) and end (P1) points and the velocities at these points, the task
+ * is to form a function P(t) such that:
+ *    P(0) = P0
+ *    P(TLen) = P1
+ *    P'(0) = V0
+ *    P'(TLen) = V1
+ */
+
+static POS InterpolatePosition(
+    const POS* pP0, const POS* pV0, const POS* pP1, const POS* pV1,
+    float TLen, float t)
+{
+    POS p;
+    float a, b, c, d, tt, tc;
+    
+    /* The interpolation is based on a simple cubic that achieves 1st order
+     * continuity at the end points.  However the spline can become too long if
+     * the TLen parameter is large.  In this case we cap the curve's length (fix
+     * the shape) and then reparameterise time to achieve the continuity
+     * conditions. */
+
+    tc = CARRY_TIME;
+    
+    if (TLen > tc)
+    {
+        /* The reparameterisation tt(t) gives:
+         *  tt(0) = 0, tt(TLen) = tc, tt'(0) = 1, tt'(TLen) = 1
+         * and means we can set t = tt(t), TLen = tc and then fall through
+         * to use the normal cubic spline fit.
+         *    
+         * The reparameterisation is based on two piecewise quadratics, one
+         * that goes from t = 0 to t = TLen / 2 and the other, mirrored in
+         * tt and t that goes from t = TLen / 2 to t = TLen.
+         * Because TLen > tc we can arrange for tt to be unique in the range if
+         * we specify the quadratic in tt.  i.e. t = A * tt ^ 2 + B * tt + C.
+         *
+         * Considering the first piece and applying initial conditions.
+         *   tt = 0 when t = 0   =>  C = 0
+         *   tt' = 1 when t = 0   =>  B = 1
+         *   tt = tc / 2 when t = TLen / 2  =>  A = 2 * (TLen - tc) / tc^2
+         *
+         * writing in terms of t
+         *   tt = (-B + (B ^ 2 + 4At) ^ 0.5) / 2A
+         * or
+         *   tt = ((1 + 4At) ^ 0.5 - 1) / 2A */
+        
+        float A = 2.0f * (TLen - tc) / (tc * tc);
+        
+        if (t > TLen / 2.0f)
+            t = tc - (sqrtf(1.0f + 4.0f * A * (TLen - t)) - 1.0f) / (2.0f * A);
+        else
+            t = (sqrtf(1.0f + 4.0f * A * t) - 1.0f) / (2.0f * A);
+        
+        TLen = tc;
+    }
+    
+    /* The cubic spline takes the form:
+     *   P(t) = p0 * a(t) + v0 * b(t) + p1 * c(t) + v1 * d(t)
+     * where p0 is the start point, v0 the start velocity, p1 the end point and
+     * v1 the end velocity.  a(t), b(t), c(t) and d(t) are cubics in t.
+     * We can show that:
+     *
+     *  a(t) = 2 * (t / TLen) ^ 3 - 3 * (t / TLen) ^ 2 + 1
+     *  b(t) = t ^ 3 / TLen ^ 2 - 2 * t ^ 2 / TLen + t
+     *  c(t) = -2 * (t / TLen) ^ 3 + 3 * (t / TLen) ^ 2
+     *  d(t) = t ^ 3 / TLen ^ 2 - t ^ 2 / TLen
+     *
+     * statisfy the boundary conditions:
+     *    P(0) = p0, P(TLen) = p1, P'(0) = v0 and P'(TLen) = v1  */
+    
+    tt = t / TLen;
+    
+    a = tt * tt * (2.0f * tt - 3.0f) + 1.0f;
+    b = t * tt * (tt - 2.0f) + t;
+    c = tt * tt * (3.0f - 2.0f * tt);
+    d = t * tt * (tt - 1.0f);
+
+    p.x = a * pP0->x + b * pV0->x + c * pP1->x + d * pV1->x;
+    p.y = a * pP0->y + b * pV0->y + c * pP1->y + d * pV1->y;
+    p.z = a * pP0->z + b * pV0->z + c * pP1->z + d * pV1->z;
+
+    p.Rot = a * NormaliseAngle(pP0->Rot) + b * pV0->Rot + 
+        c * NormaliseAngle(pP1->Rot) + d * pV1->Rot;
+    p.Elev = a * NormaliseAngle(pP0->Elev) + b * pV0->Elev + 
+        c * NormaliseAngle(pP1->Elev) + d * pV1->Elev;
+
+    return p;
+}
+
+
+static POS InterpolateCarry(
+    const THROW_INFO* pThrow, const THROW_INFO* pNext, float t)
+{
+    float CT = CARRY_TIME + pThrow->TotalTime - pThrow->TimeInAir;
+    return InterpolatePosition(&pThrow->ToPos, &pThrow->ToVelocity,
+        &pNext->FromPos, &pNext->FromVelocity, CT, t);
+}
+
+
+/* Determine the position of the hand at a point in time. */
+
+void GetHandPosition(
+    PATTERN_INFO* pPattern, int RightHand, float Time, POS* pPos)
+{
+    OBJECT_POSITION* pObj = 
+        RightHand == 0 ? &pPattern->LeftHand : &pPattern->RightHand;
+    THROW_INFO* pLastThrow;
+    
+    /* Upon entry, the throw information for the relevant hand may be out of
+     * sync.  Therefore we advance through the pattern if required. */
+
+    while (pPattern->pThrowInfo[pObj->ThrowIndex].NextForHand + pObj->TimeOffset 
+        <= (int) Time)
+    {
+        int w = pPattern->pThrowInfo[pObj->ThrowIndex].NextForHand;
+        pObj->TimeOffset += w;
+        pObj->ThrowIndex = (pObj->ThrowIndex + w) % pPattern->ThrowLen;
+    }
+
+    pLastThrow = &pPattern->pThrowInfo[pObj->ThrowIndex];
+
+    /* The TimeInAir will only ever be 2 or 0 if no object is ever thrown by
+     * this hand.  In normal circumstances, 2's in the site swap are coalesced
+     * and added to TotalTime of the previous throw.  0 is a hole and means that
+     * an object isn't there.  In this case we just hold the hand still. */
+    if (pLastThrow->TimeInAir == 2 || pLastThrow->TimeInAir == 0)
+    {
+        pPos->x = pLastThrow->FromPos.x;
+        pPos->y = pLastThrow->FromPos.y;
+    }
+    else
+    {
+        /* The hand is either moving to catch the next object or carrying the
+         * next object to its next throw position.  The way THROW_INFO is
+         * structured means the relevant information for the object we're going
+         * to catch is held at the point at which it was thrown 
+         * (pNextThrownFrom).  We can't go straight for it and instead have to
+         * look at the object we've about to throw next and work out where it
+         * came from. */
+        
+        THROW_INFO* pNextThrow = &pPattern->pThrowInfo[
+            (pObj->ThrowIndex + pLastThrow->NextForHand) % pPattern->ThrowLen];
+        
+        THROW_INFO* pNextThrownFrom = 
+            &pPattern->pThrowInfo[pNextThrow->PrevThrow];
+        
+        /* tc is a measure of how long the object we're due to catch is being
+         * carried for.  We use this to work out if we've actually caught it at
+         * this moment in time. */
+        
+        float tc = CARRY_TIME + 
+            pNextThrownFrom->TotalTime - pNextThrownFrom->TimeInAir;
+        
+        Time -= pObj->TimeOffset;
+
+        if (Time > pLastThrow->NextForHand - tc)
+        {
+            /* carrying this ball to it's new location */
+            *pPos = InterpolateCarry(pNextThrownFrom,
+                pNextThrow, (Time - (pLastThrow->NextForHand - tc)));
+        }
+        else
+        {
+            /* going for next catch */
+            *pPos = InterpolatePosition(
+                &pLastThrow->FromPos, &pLastThrow->FromVelocity, 
+                &pNextThrownFrom->ToPos, &pNextThrownFrom->ToVelocity,
+                pLastThrow->NextForHand - tc, Time);
+        }
+    }
+}
+
+
+static float SinDeg(float AngInDegrees)
+{
+    return sinf(AngInDegrees * PI / 180.0f);
+}
+
+
+static float CosDeg(float AngInDegrees)
+{
+    return cosf(AngInDegrees * PI / 180.0f);
+}
+
+
+/* Offset the specified position to get the centre of the object based on the
+ * the handle length and the current orientation */
+
+static void OffsetHandlePosition(const POS* pPos, float HandleLen, POS* pResult)
+{
+    pResult->x = pPos->x + HandleLen * SinDeg(pPos->Rot) * CosDeg(pPos->Elev);
+    pResult->y = pPos->y + HandleLen * SinDeg(pPos->Elev);
+    pResult->z = pPos->z + HandleLen * CosDeg(pPos->Rot) * CosDeg(pPos->Elev);
+    pResult->Elev = pPos->Elev;
+    pResult->Rot = pPos->Rot;
+}
+
+
+static void GetObjectPosition(
+    PATTERN_INFO* pPattern, int Obj, float Time, float HandleLen, POS* pPos)
+{
+    OBJECT_POSITION* pObj = &pPattern->pObjectInfo[Obj];
+    THROW_INFO* pThrow;
+    
+    /* Move through the pattern, if required, such that pThrow corresponds to
+     * the current throw for this object. */
+
+    while (pPattern->pThrowInfo[pObj->ThrowIndex].TotalTime + pObj->TimeOffset
+        <= (int) Time)
+    {
+        int w = pPattern->pThrowInfo[pObj->ThrowIndex].TotalTime;
+        pObj->TimeOffset += w;
+        pObj->TotalTwist = NormaliseAngle(pObj->TotalTwist + 
+            GetBallTwistAmount(&pPattern->pThrowInfo[pObj->ThrowIndex]));
+        
+        pObj->ThrowIndex = (pObj->ThrowIndex + w) % pPattern->ThrowLen;
+    }
+
+    pThrow = &pPattern->pThrowInfo[pObj->ThrowIndex];
+
+    if (pThrow->TimeInAir == 2 || pThrow->TimeInAir == 0)
+    {
+        *pPos = pThrow->FromPos;
+        OffsetHandlePosition(pPos, HandleLen, pPos);
+    }
+    else
+    {
+        float tc = pThrow->TimeInAir - CARRY_TIME;
+        float BallTwist = GetBallTwistAmount(pThrow);
+        Time -= pObj->TimeOffset;
+        if (Time < tc)
+        {
+            /* object in air */
+            POS From, To;
+            float t, b;
+
+            t = Time / tc;
+            
+            OffsetHandlePosition(&pThrow->FromPos, HandleLen, &From);
+            OffsetHandlePosition(&pThrow->ToPos, HandleLen, &To);
+
+            b = (To.y - From.y) / tc + pPattern->Alpha * tc;
+            
+            pPos->x = (1.0f - t) * From.x + t * To.x;
+            pPos->z = (1.0f - t) * From.z + t * To.z;
+            pPos->y = -pPattern->Alpha * Time * Time + b * Time + From.y;
+            
+            if (pObj->ObjectType == OBJECT_BALL)
+                pPos->Rot = pObj->TotalTwist + t * BallTwist;
+            else
+            {
+                /* We describe the rotation of a club (or ring) with an
+                 * elevation and rotation but don't include a twist.
+                 * If we ignore twist for the moment, the orientation at a
+                 * rotation of r and an elevation of e can be also be expressed
+                 * by rotating the object a further 180 degrees and sort of
+                 * mirroring the rotation, e.g.:
+                 *    rot = r + 180 and elev = 180 - e
+                 * We can easily show that the maths holds, consider the
+                 * x, y ,z position of the end of a unit length club.
+                 *    y = sin(180 - e) = sin(e)
+                 *    x = cos(180 - e) * sin(r + 180) = -cos(e) * - sin(r)
+                 *    z = cos(180 - e) * cos(r + 180) = -cos(e) * - cos(r)
+                 * When a club is thrown these two potential interpretations
+                 * can produce unexpected results.
+                 * The approach we adopt is that we try and minimise the amount
+                 * of rotation we give a club -- normally this is what happens
+                 * when juggling since it's much easier to spin the club.
+                 *
+                 * When we come to drawing the object the two interpretations
+                 * aren't identical, one causes the object to twist a further
+                 * 180 about its axis.  We avoid the issue by ensuring our
+                 * objects have rotational symmetry of order 2 (e.g. we make
+                 * sure clubs have an even number of stripes) this makes the two
+                 * interpretations appear identical. */
+
+                float RotAmt = NormaliseAngle(To.Rot - From.Rot);
+
+                if (RotAmt < -90.0f)
+                {
+                    To.Elev += 180  - 2 * NormaliseAngle(To.Elev);
+                    RotAmt += 180.0f;
+                }
+                else if (RotAmt > 90.0f)
+                {
+                    To.Elev += 180 - 2 * NormaliseAngle(To.Elev);
+                    RotAmt -= 180.0f;
+                }
+
+                pPos->Rot = From.Rot + t * RotAmt;
+            }
+
+            pPos->Elev = (1.0f - t) * From.Elev + t * To.Elev;
+
+        }
+        else
+        {
+            THROW_INFO* pNextThrow = &pPattern->pThrowInfo[
+                   (pObj->ThrowIndex + pThrow->TotalTime) % pPattern->ThrowLen];
+
+            *pPos = InterpolateCarry(pThrow, pNextThrow, Time - tc);
+
+            if (pObj->ObjectType == OBJECT_BALL)
+                pPos->Rot = pObj->TotalTwist + BallTwist;
+
+            OffsetHandlePosition(pPos, HandleLen, pPos);
+        }
+    }
+}
+
+
+/* Alpha is used to represent the acceleration due to gravity (in fact
+ * 2 * Alpha is the acceleration).  Alpha is adjusted according to the pattern
+ * being juggled.  My preference is to slow down patterns with lots of objects
+ * -- they move too fast in realtime.  Also I prefer to see a balance between
+ * the size of the figure and the height of objects thrown -- juggling patterns
+ * with large numbers of objects under real gravity can mean balls are lobbed
+ * severe heights.  Adjusting Alpha achieves both these goals.
+ *
+ * Basically we pick a height we'd like to see the biggest throw reach and then
+ * adjust Alpha to meet this. */
+
+static void SetHeightAndAlpha(PATTERN_INFO* pPattern, 
+    const int* Site, const EXT_SITE_INFO* pExtInfo, int Len)
+{
+    float H;
+    int MaxW = 5;
+    int i;
+    
+    if (Site != NULL)
+    {
+        for (i = 0; i < Len; i++)
+            MaxW = max(MaxW, Site[i]);
+    }
+    else
+    {
+        for (i = 0; i < Len; i++)
+            MaxW = max(MaxW, pExtInfo[i].Weight);
+    }
+    
+    /* H is the ideal max height we'd like our objects to reach.  The formula
+     * was developed by trial and error and was simply stolen from Juggle Saver.
+     * Alpha is then calculated from the classic displacement formula:
+     *   s = 0.5at^2 + ut  (where a = 2 * Alpha)
+     * We know u (the velocity) is zero at the peak, and the object should fall
+     * H units in half the time of biggest throw weight.
+     * Finally we determine the proper height the max throw reaches since this
+     * may not be H because capping may be applied (e.g. for max weights less
+     * than 5). */
+    
+    H = 8.0f * powf(MaxW / 2.0f, 0.8f) + 5.0f;
+    pPattern->Alpha = (2.0f * H) / powf(max(5, MaxW) - CARRY_TIME, 2.0f);
+    pPattern->Height = pPattern->Alpha * powf((MaxW - CARRY_TIME) * 0.5f, 2);
+}
+
+
+/* Where positions and spin info is not specified, generate suitable default
+ * values. */
+
+static int GetDefaultSpins(int Weight)
+{
+    if (Weight < 3)
+        return 0;
+    else if (Weight < 4)
+        return 1;
+    else if (Weight < 7)
+        return 2;
+    else
+        return 3;
+}
+
+
+static void GetDefaultFromPosition(unsigned char Side, int Weight, POS* pPos)
+{
+    if (Weight > 4 && Weight % 2 != 0)
+        pPos->x = Side ?  -0.06f : 0.06f;
+    else if (Weight == 0 || Weight == 2)
+        pPos->x = Side ? 1.6f :  -1.6f;
+    else
+        pPos->x = Side? 0.24f :  -0.24f;
+
+    pPos->y = (Weight == 2 || Weight == 0) ? -0.25f : 0.0f;
+
+    pPos->Rot = (Weight % 2 == 0 ? -23.5f : 27.0f) * (Side ? -1.0f : 1.0f);
+
+    pPos->Elev = Weight == 1 ? -30.0f : 0.0f;
+    pPos->z = 0.0f;
+}
+
+
+static void GetDefaultToPosition(unsigned char Side, int Weight, POS* pPos)
+{
+    if (Weight == 1)
+        pPos->x = Side ?  -1.0f : 1.0f;
+    else if (Weight % 2 == 0)
+        pPos->x = Side ? 2.8f :  -2.8f;
+    else
+        pPos->x = Side?  -3.1f : 3.1f;
+
+    pPos->y = -0.5f;
+
+    pPos->Rot = (Side ? -35.0f : 35.0f) * (Weight % 2 == 0 ? -1.0f : 1.0f);
+    
+    if (Weight < 2)
+        pPos->Elev = -30.0f;
+
+    else if (Weight < 4)
+        pPos->Elev = 360.0f - 50.0f;
+    else if (Weight < 7)
+        pPos->Elev = 720.0f - 50.0f;
+    else
+        pPos->Elev = 360.0f * GetDefaultSpins(Weight) - 50.0f;
+    pPos->z = 0.0f;
+}
+
+
+/* Update the members of PATTERN_INFO for a given juggling pattern.  The pattern
+ * can come from an ordinary siteswap (Site != NULL) or from a Juggle Saver
+ * compatible pattern that contains, position and object info etc. 
+ * We assume that patterns are valid and have at least one object (a site of
+ * zeros is invalid).  The ones we generate randomly are safe. */
+
+static void InitPatternInfo(PATTERN_INFO* pPattern,
+    const int* Site, const EXT_SITE_INFO* pExtInfo, int Len)
+{
+    /* Double up on the length of the site if it's of an odd length. 
+     * This way we can store position information: even indices are on one
+     * side and odds are on the other. */
+    int InfoLen = Len % 2 == 1 ? Len * 2 : Len;
+    int i;
+    THROW_INFO* pInfo = (THROW_INFO*) calloc(InfoLen, sizeof(THROW_INFO));
+    int Objects = 0;
+    unsigned char* pUsed;
+    
+    pPattern->MaxWeight = 0;
+    pPattern->ThrowLen = InfoLen;
+    pPattern->pThrowInfo = pInfo;
+    
+    SetHeightAndAlpha(pPattern, Site, pExtInfo, Len);
+
+    /* First pass through we assign the things we know about for sure just by
+     * looking at the throw weight at this position.  This includes TimeInAir;
+     * the throw and catch positions; and throw and catch velocities.
+     * Other information, like the total time for the throw (i.e. when the
+     * object is thrown again) relies on how the rest of the pattern is 
+     * structured and we defer this task for successive passes and just make
+     * guesses at this stage. */
+    
+    for (i = 0; i < InfoLen; i++)
+    {
+        float t1;
+        int w = pExtInfo != NULL ? pExtInfo[i % Len].Weight : Site[i % Len];
+
+        pInfo[i].TotalTime = pInfo[i].TimeInAir = w;
+        pInfo[(w + i) % Len].PrevThrow = i;
+
+        /* work out where we are throwing this object from and where it's going
+         * to land. */
+
+        if (pExtInfo == NULL || (pExtInfo[i % Len].Flags & HAS_FROM_POS) == 0)
+            GetDefaultFromPosition(i % 2, w, &pInfo[i].FromPos);
+        else
+            pInfo[i].FromPos = pExtInfo[i % Len].FromPos;
+
+        if (pExtInfo == NULL || (pExtInfo[i % Len].Flags & HAS_TO_POS) == 0)
+            GetDefaultToPosition(i % 2, w, &pInfo[i].ToPos);
+        else
+            pInfo[i].ToPos = pExtInfo[i % Len].ToPos;
+
+        /* calculate the velocity the object is moving at the start and end
+         * points -- this information is used to interpolate the hand position
+         * and to determine how the object is moved while it's carried to the 
+         * next throw position.
+         *
+         * The throw motion is governed by a parabola of the form:
+         *   y(t) = a * t ^ 2 + b * t + c
+         * Assuming at the start of the throw y(0) = y0; when it's caught
+         * y(t1) = y1; and the accelation is -2.0 * alpha the equation can be
+         * rewritten as:
+         *   y(t) = -alpha * t ^ 2 + (alpha * t1 + (y1 - y0) / t1) * t + y0
+         * making the velocity:
+         *   y'(t) = -2.0 * alpha * t + (alpha * t1 + (y1 - y0) / t1)
+         * To get the y component of velocity first we determine t1, which is
+         * the throw weight minus the time spent carrying the object.  Then
+         * perform the relevant substitutions into the above.
+         * (note: y'(t) = y'(0) - 2.0 * alpha * t)
+         * 
+         * The velocity in the x direction is constant and can be simply
+         * obtained from:
+         *   x' = (x1 - x0) / t1
+         * where x0 and x1 are the start and end x-positions respectively.
+         */
+
+        t1 = w - CARRY_TIME;
+
+        pInfo[i].FromVelocity.y = pPattern->Alpha * t1 + 
+            (pInfo[i].ToPos.y - pInfo[i].FromPos.y) / t1;
+        pInfo[i].ToVelocity.y = 
+            pInfo[i].FromVelocity.y - 2.0f * pPattern->Alpha * t1;
+        pInfo[i].FromVelocity.x = pInfo[i].ToVelocity.x = 
+            (pInfo[i].ToPos.x - pInfo[i].FromPos.x) / t1;
+        pInfo[i].FromVelocity.z = pInfo[i].ToVelocity.z = 
+            (pInfo[i].ToPos.z - pInfo[i].FromPos.z) / t1;
+        pInfo[i].FromVelocity.Rot = pInfo[i].ToVelocity.Rot =
+            (pInfo[i].ToPos.Rot - pInfo[i].FromPos.Rot) / t1;
+        pInfo[i].FromVelocity.Elev = pInfo[i].ToVelocity.Elev =
+            (pInfo[i].ToPos.Elev - pInfo[i].FromPos.Elev) / t1;
+
+
+        if (pExtInfo != NULL && (pExtInfo[i % Len].Flags & HAS_SNATCH) != 0)
+        {
+            pInfo[i].ToVelocity.x = pExtInfo[i % Len].SnatchX;
+            pInfo[i].ToVelocity.y = pExtInfo[i % Len].SnatchY;
+        }
+
+        if (pExtInfo != NULL && (pExtInfo[i % Len].Flags & HAS_SPINS) != 0)
+        {
+            pInfo[i].ToPos.Elev = 360.0f * pExtInfo[i % Len].Spins +
+                NormaliseAngle(pInfo[i].ToPos.Elev);
+        }
+
+        Objects += w;
+        if (w > pPattern->MaxWeight)
+            pPattern->MaxWeight = w;
+    }
+
+    Objects /= InfoLen;
+
+    /* Now we go through again and work out exactly how long it is before the
+     * object is thrown again (ie. the TotalTime) typically this is the same
+     * as the time in air, however when we have a throw weight of '2' it's
+     * treated as a hold and we increase the total time accordingly. */
+
+    for (i = 0; i < InfoLen; i++)
+    {
+        if (pInfo[i].TimeInAir != 2)
+        {
+            int Next = pInfo[i].TimeInAir + i;
+            while (pInfo[Next % InfoLen].TimeInAir == 2)
+            {
+                Next += 2;
+                pInfo[i].TotalTime += 2;
+            }
+
+            /* patch up the Prev index.  We don't bother to see if this
+             * is different from before since it's always safe to reassign it */
+            pInfo[Next % InfoLen].PrevThrow = i;
+        }
+    }
+
+    /* then we work our way through again figuring out where the hand goes to
+     * catch something as soon as it has thrown the current object. */
+
+    for (i = 0; i < InfoLen; i++)
+    {
+        if (pInfo[i].TimeInAir != 0 && pInfo[i].TimeInAir != 2)
+        {
+            /* what we're trying to calculate is how long the hand that threw
+             * the current object has to wait before it throws another.
+             * Typically this is two beats later.  However '0' in the site swap
+             * represents a gap in a catch, and '2' represents a hold.  We skip
+             * over these until we reach the point where a ball is actually
+             * thrown. */
+            int Wait = 2;
+            while (pInfo[(i + Wait) % InfoLen].TimeInAir == 2 || 
+                pInfo[(i + Wait) % InfoLen].TimeInAir == 0)
+            {
+                Wait += 2;
+            }
+            pInfo[i].NextForHand = Wait;
+        }
+        else
+        {
+            /* Be careful to ensure the current weight isn't one we're trying
+             * to step over; otherwise we could potentially end up in an 
+             * infinite loop.  The value we assign may end up being used
+             * in patterns with infinite gaps (e.g. 60) or infinite holds
+             * (e.g. 62) in both cases, setting a wait of 2 ensures things
+             * are well behaved. */
+            pInfo[i].NextForHand = 2;
+        }
+    }
+
+    /* Now work out the starting positions for the objects.  To do this we
+     * unweave the initial throws so we can pick out the individual threads. */
+
+    pUsed = (unsigned char*) 
+        malloc(sizeof(unsigned char) * pPattern->MaxWeight);
+    pPattern->Objects = Objects;
+    pPattern->pObjectInfo = (OBJECT_POSITION*) calloc(
+        Objects, sizeof(OBJECT_POSITION));
+
+    for (i = 0; i < pPattern->MaxWeight; i++)
+        pUsed[i] = 0;
+
+    for (i = 0; i < pPattern->MaxWeight; i++)
+    {
+        int w = pInfo[i % InfoLen].TimeInAir;
+        if (pUsed[i] == 0 &&  w != 0)
+        {
+            Objects--;
+            pPattern->pObjectInfo[Objects].TimeOffset = i;
+            pPattern->pObjectInfo[Objects].ThrowIndex = i % InfoLen;
+            pPattern->pObjectInfo[Objects].TotalTwist = 0.0f;
+
+            if (pExtInfo != NULL && 
+                pExtInfo[i % Len].ObjectType != OBJECT_DEFAULT)
+            {
+                pPattern->pObjectInfo[Objects].ObjectType =
+                    pExtInfo[i % Len].ObjectType;
+            }
+            else
+            {
+                pPattern->pObjectInfo[Objects].ObjectType = (1 + random() % 3);
+            }
+        }
+
+        if (w + i < pPattern->MaxWeight)
+            pUsed[w + i] = 1;
+        
+    }
+
+    pPattern->LeftHand.TimeOffset = pPattern->LeftHand.ThrowIndex = 0;
+    pPattern->RightHand.TimeOffset = pPattern->RightHand.ThrowIndex = 1;
+    
+    free(pUsed);
+}
+
+
+static void ReleasePatternInfo(PATTERN_INFO* pPattern)
+{
+    free(pPattern->pObjectInfo);
+    free(pPattern->pThrowInfo);
+}
+
+
+/*****************************************************************************
+ *
+ * Sites
+ *
+ ****************************************************************************/
+
+/* Generate a random site swap.  We assume that MaxWeight >= ObjCount and
+ * Len >= MaxWeight. */
+ 
+static int* Generate(int Len, int MaxWeight, int ObjCount)
+{
+    int* Weight = (int*) calloc(Len, sizeof(int));
+    int* Used = (int*) calloc(Len, sizeof(int));
+    int* Options = (int*) calloc(MaxWeight + 1, sizeof(int));
+    int nOpts;
+    int i, j;
+
+    for (i = 0; i < Len; i++)
+        Weight[i] = Used[i] = -1;
+    
+    /* Pick out a unique the starting position for each object.  -2 is put in
+     * the Used array to signify this is a starting position. */
+
+    while (ObjCount > 0)
+    {
+        nOpts = 0;
+        for (j = 0; j < MaxWeight; j++)
+        {
+            if (Used[j] == -1)
+                Options[nOpts++] = j;
+        }
+
+        Used[Options[random() % nOpts]] = -2;
+        ObjCount--;
+    }
+    
+    /* Now work our way through the pattern moving throws into an available
+     * landing positions. */
+    for (i = 0; i < Len; i++)
+    {
+        if (Used[i] == -1)
+        {
+            /* patch up holes in the pattern to zeros */
+            Used[i] = 1;
+            Weight[i] = 0;
+        }
+        else
+        {
+            /* Work out the possible places where a throw can land and pick a 
+             * weight at random. */
+            int w;
+            nOpts = 0;
+
+            for (j = 0 ; j <= MaxWeight; j++)
+            {
+                if (Used[(i + j) % Len] == -1)
+                    Options[nOpts++] = j;
+            }
+            
+            w = Options[random() % nOpts];
+            Weight[i] = w;
+            
+            /* For starting throws make position available for a throw to land.
+             * Because Len >= MaxWeight these positions will only be filled when
+             * a throw wraps around the end of the site swap and therefore we
+             * can guarantee the all the object threads will be tied up. */
+            if (Used[i] == -2)
+                Used[i] = -1;
+            
+            Used[(i + w) % Len] = 1;
+        }
+    }
+
+    free(Options);
+    free(Used);
+    return Weight;
+}
+
+
+/* Routines to parse the Juggle Saver patterns.  These routines are a bit yucky
+ * and make the big assumption that the patterns are well formed.  This is fine
+ * as it stands because only 'good' ones are used but if the code is ever
+ * extended to read arbitrary patterns (say from a file) then these routines
+ * need to be beefed up. */
+
+/* The position text looks something like (x,y,z[,rot[,elev]])
+ * where the stuff in square brackets is optional */
+
+static unsigned char ParsePositionText(const char** ppch, POS* pPos)
+{
+    const char* pch = *ppch;
+    unsigned char OK;
+    char szTemp[32];
+    char* pOut;
+    float* Nums[4];
+    int i;
+    
+    Nums[0] = &pPos->x;
+    Nums[1] = &pPos->y;
+    Nums[2] = &pPos->Rot;
+    Nums[3] = &pPos->Elev;
+
+
+    while (*pch == ' ')
+        pch++;
+    
+    OK = *pch == '(';
+    
+    if (OK)
+        pch++;
+
+    for (i = 0; OK && i < 4; i++)
+    {
+        pOut = szTemp;
+        while (*pch == ' ')
+            pch++;
+        while (*pch != ',' && *pch != '\0' && *pch != ')' && *pch != ' ')
+            *pOut++ = *pch++;
+        *pOut = '\0';
+
+        if (szTemp[0] != '\0')
+            *Nums[i] = (float) atof(szTemp);
+
+        while (*pch == ' ')
+            pch++;
+
+        if (i < 3)
+        {
+            if (*pch == ',')
+                pch++;
+            else if (*pch == ')')
+                break;
+            else
+                OK = 0;
+        }
+    }
+
+    if (OK)
+    {
+        while (*pch == ' ')
+            pch++;        
+        if (*pch == ')')
+            pch++;
+        else
+            OK = 0;
+    }
+
+    *ppch = pch;
+
+    return OK;
+}
+
+
+static EXT_SITE_INFO* ParsePattern(const char* Site, int* pLen)
+{
+    const char* pch = Site;
+    int Len = 0;
+    EXT_SITE_INFO* pInfo = NULL;
+    unsigned char OK = 1;
+
+    while (OK && *pch != 0)
+    {
+        EXT_SITE_INFO Info;
+        Info.Flags = 0;
+
+        while (*pch == ' ') pch++;
+
+        OK = *pch != '\0';
+
+        if (OK)
+            Info.Weight = *pch >= 'A' ? *pch + 10 - 'A' : *pch - '0';
+
+        /* parse object type */
+        if (OK)
+        {
+            pch++;
+            while (*pch == ' ') pch++;
+
+            if (*pch == 'b' || *pch == 'B')
+            {
+                Info.ObjectType = OBJECT_BALL;
+                pch++;
+            }
+            else if (*pch == 'c' || *pch == 'C')
+            {
+                Info.ObjectType = OBJECT_CLUB;
+                pch++;
+            }
+            else if (*pch == 'r' || *pch == 'R')
+            {
+                Info.ObjectType = OBJECT_RING;
+                pch++;
+            }
+            else if (*pch == 'd' || *pch == 'D')
+            {
+                Info.ObjectType = OBJECT_DEFAULT;
+                pch++;
+            }
+            else
+            {
+                Info.ObjectType = OBJECT_DEFAULT;
+            }
+        }
+
+        /* Parse from position */
+        if (OK)
+        {
+            while (*pch == ' ') pch++;
+            if (*pch == '@')
+            {
+                pch++;
+                GetDefaultFromPosition(Len % 2, Info.Weight, &Info.FromPos);
+                Info.Flags |= HAS_FROM_POS;
+                OK = ParsePositionText(&pch, &Info.FromPos);
+            }
+        }
+
+        /* Parse to position */
+        if (OK)
+        {
+            while (*pch == ' ') pch++;
+            if (*pch == '>')
+            {
+                pch++;
+                GetDefaultToPosition(Len % 2, Info.Weight, &Info.ToPos);
+                Info.Flags |= HAS_TO_POS;
+                OK = ParsePositionText(&pch, &Info.ToPos);
+            }
+        }
+
+        /* Parse snatch */
+        if (OK)
+        {
+            while (*pch == ' ') pch++;
+            if (*pch == '/')
+            {
+                POS Snatch;
+                pch++;
+                Info.Flags |= HAS_SNATCH;
+                OK = ParsePositionText(&pch, &Snatch);
+                Info.SnatchX = Snatch.x;
+                Info.SnatchY = Snatch.y;
+            }
+        }
+
+        /* Parse Spins */
+        if (OK)
+        {
+            while (*pch == ' ') pch++;
+            if (*pch == '*')
+            {
+                pch++;
+                OK = 0;
+                Info.Spins = 0;
+                while (*pch >= '0' && *pch <= '9')
+                {
+                    OK = 1;
+                    Info.Spins = Info.Spins * 10 + *pch - '0';
+                    pch++;
+                }
+            }
+            else
+                Info.Spins = GetDefaultSpins(Info.Weight);
+
+            Info.Flags |= HAS_SPINS;
+        }
+
+        if (OK)
+        {
+            if (pInfo == NULL)
+                pInfo = (EXT_SITE_INFO*) malloc(sizeof(EXT_SITE_INFO));
+            else
+                pInfo = (EXT_SITE_INFO*) realloc(pInfo, (Len + 1) * sizeof(EXT_SITE_INFO));
+
+            pInfo[Len] = Info;
+            Len++;
+        }
+    }
+
+    if (!OK && pInfo != NULL)
+    {
+        free(pInfo);
+        pInfo = NULL;
+    }
+
+    *pLen = Len;
+
+    return pInfo;
+}
+
+
+/*****************************************************************************
+ *
+ *  Juggle Saver Patterns
+ *
+ *****************************************************************************
+ *
+ * This is a selection of some of the more interesting patterns from taken
+ * from the Juggle Saver sites.txt file.  I've only used patterns that I
+ * originally created.
+ */
+
+const char* PatternText[] =
+{
+    "9b@(-2.5,0,-70,40)>(2.5,0,70)*2 1b@(1,0,10)>(-1,0,-10)",
+    
+    "3B@(1,-0.4)>(2,4.2)/(-2,1)3B@(-1.8,4.4)>(-2.1,0)",
+    
+    "7c@(-2,0,-20)>(1.2,0,-5)7c@(2,0,20)>(-1.2,0,5)",
+    
+    "3b@(-0.5,0)>(1.5,0) 3b@(0.5,0)>(-1.5,0) 3r@(-2.5,3,-90,80)>(2,1,90,30)"
+    "3b@(0.5,0)>(-1.5,0) 3b@(-0.5,0)>(1.5,0) 3r@(2.5,3,90,80)>(-2,1,-90,30)",
+    
+    "5c@(2,1.9,10)>(-1,1,10)5c@(2,1.8,10)>(-0.5,1.6,10)/(5,-1)"
+    "5c@(1.6,0.2,10)>(0,-1,10)/(9,-2)5c@(-2,1.9,-10)>(1,1,-10)"
+    "5c@(-2,1.8,-10)>(0.5,1.6,-10)/(-5,-1)5@(-1.6,0.2,-10)>(0,-1,-10)/(-9,-2)",
+    
+    "3c@(-1.5,0,0)>(-1.5,1,0)3c@(1.5,-0.2,0)>(1.5,-0.1,0)3c@(0,-0.5,0)>(0,1,0)"
+    "3@(-1.5,2,0)>(-1.5,-1,0)3@(1.5,0,0)>(1.5,1,0)3@(0,0,0)>(0,-0.5,0)",
+    
+    "9c@(-2.5,0,-70,40)>(2.5,0,70)*2 1c@(1,0,10)>(-1,0,-10)*0",
+    
+    "3c@(2,0.5,60,0)>(1.5,4,60,80)/(-6,-12)"
+    "3c@(-2,0.5,-60,0)>(-1.5,4,-60,80)/(6,-12)",
+    
+    "3c@(-0.2,0)>(1,0)3c@(0.2,0)>(-1,0)3c@(-2.5,2,-85,30)>(2.5,2,85,40)*2 "
+    "3@(0.2,0)>(-1,0) 3@(-0.2,0)>(1,0) 3@(2.5,2,85,30)>(-2.5,2,-85,40)*2",
+    
+    "3c@(-0.5,-0.5,20,-30)>(2.6,4.3,60,60)/(0,1)*1 "
+    "3c@(1.6,5.6,60,80)>(-2.6,0,-80)*0",
+    
+    "5c@(-0.3,0,10)>(1.2,0,10) 5c@(0.3,0,-10)>(-1.2,0,-10)"
+    "5c@(-0.3,0,10)>(1.2,0,10) 5c@(0.3,0,-10)>(-1.2,0,-10)"
+    "5c@(-3,3.5,-65,80)>(3,2.5,65) 5c@(0.3,0,-10)>(-1.2,0,-10)"
+    "5@(-0.3,0,10)>(1.2,0,10) 5@(0.3,0,-10)>(-1.2,0,-10)"
+    "5@(-0.3,0,10)>(1.2,0,10)5@(3,3.5,65,80)>(-3,2.5,-65)"
+};
+
+
+/*****************************************************************************
+ *
+ * Rendering
+ *
+ *****************************************************************************/
+
+static const float FOV = 70.0f;
+static const float BodyCol[] = {0.6f, 0.6f, 0.45f, 1.0f};
+static const float HandleCol[] = {0.45f, 0.45f, 0.45f, 1.0f};
+static const float LightPos[] = {0.0f, 200.0f, 400.0f, 1.0f};
+static const float LightDiff[] = {1.0f, 1.0f, 1.0f, 0.0f};
+static const float LightAmb[] = {0.02f, 0.02f, 0.02f, 0.0f};
+static const float ShoulderPos[3] = {0.95f, 2.1f, 1.7f};
+static const float DiffCol[] = {1.0f, 0.0f, 0.0f, 1.0f};
+static const float SpecCol[] = {1.0f, 1.0f, 1.0f, 1.0f};
+
+static const float BallRad = 0.34f;
+static const float UArmLen = 1.9f;
+static const float LArmLen = 2.3f;
+
+#define DL_BALL 0
+#define DL_CLUB 1
+#define DL_RING 2
+#define DL_TORSO 3
+#define DL_FOREARM 4
+#define DL_UPPERARM 5
+
+static const float AltCols[][4] =
+{
+    {0.0f, 0.7f, 0.0f, 1.0f},
+    {0.0f, 0.0f, 0.9f, 1.0f},
+    {0.0f, 0.9f, 0.9f, 1.0f},
+    {0.45f, 0.0f, 0.9f, 1.0f},
+    {0.9f, 0.45f, 0.0f, 1.0f},
+    {0.0f, 0.45f, 0.9f, 1.0f},
+    {0.9f, 0.0f, 0.9f, 1.0f},
+    {0.9f, 0.9f, 0.0f, 1.0f},
+    {0.9f, 0.0f, 0.45f, 1.0f},
+    {0.45f, 0.15f, 0.6f, 1.0f}, 
+    {0.9f, 0.0f, 0.0f, 1.0f},
+    {0.0f, 0.9f, 0.45f, 1.0f},
+};
+
+static const float Cols[][4] =
+{
+    {0.9f, 0.0f, 0.0f, 1.0f},  /*  0 */
+    {0.0f, 0.7f, 0.0f, 1.0f},  /*  1 */
+    {0.0f, 0.0f, 0.9f, 1.0f},  /*  2 */
+    {0.0f, 0.9f, 0.9f, 1.0f},  /*  3 */
+    {0.9f, 0.0f, 0.9f, 1.0f},  /*  4 */
+    {0.9f, 0.9f, 0.0f, 1.0f},  /*  5 */
+    {0.9f, 0.45f, 0.0f, 1.0f}, /*  6 */
+    {0.9f, 0.0f, 0.45f, 1.0f}, /*  7 */
+    {0.45f, 0.9f, 0.0f, 1.0f}, /*  8 */
+    {0.0f, 0.9f, 0.45f, 1.0f}, /*  9 */
+    {0.45f, 0.0f, 0.9f, 1.0f}, /* 10 */
+    {0.0f, 0.45f, 0.9f, 1.0f}, /* 11 */
+};
+
+static int InitGLDisplayLists(void);
+
+
+void InitGLSettings(RENDER_STATE* pState, int WireFrame)
+{
+    memset(pState, 0, sizeof(RENDER_STATE));
+    
+    pState->trackball = gltrackball_init ();
+
+    if (WireFrame)
+        glPolygonMode(GL_FRONT, GL_LINE);
+    
+    glClearColor(0.0f, 0.0f, 0.0f, 0.0f);
+
+    glLightfv(GL_LIGHT0, GL_POSITION, LightPos);
+    glLightfv(GL_LIGHT0, GL_DIFFUSE, LightDiff);
+    glLightfv(GL_LIGHT0, GL_AMBIENT, LightAmb);
+    
+    glEnable(GL_SMOOTH);
+    glEnable(GL_LIGHTING);
+    glEnable(GL_LIGHT0);
+
+    glDepthFunc(GL_LESS);
+    glEnable(GL_DEPTH_TEST);
+
+    glCullFace(GL_BACK);
+    glEnable(GL_CULL_FACE);
+    
+    pState->DLStart = InitGLDisplayLists();
+}
+
+
+static void SetCamera(RENDER_STATE* pState)
+{
+    /* Try to work out a sensible place to put the camera so that more or less
+     * the whole juggling pattern fits into the screen. We assume that the
+	 * pattern is height limited (i.e. if we get the height right then the width
+	 * will be OK).  This is a pretty good assumption given that the screen
+	 * tends to wider than high, and that a juggling pattern is normally much
+	 * higher than wide.
+     *
+     * If I could draw a diagram here then it would be much easier to
+     * understand but my ASCII-art skills just aren't up to it.  
+     *
+     * Basically we estimate a bounding volume for the juggler and objects 
+     * throughout the pattern.  We don't fully account for the fact that the
+     * juggler moves across the stage in an epicyclic-like motion and instead
+     * use the near and far planes in x-y (with z = +/- w).  We also
+     * assume that the scene is centred at x=0, this reduces our task to finding
+     * a bounding rectangle.  Finally we need to make an estimate of the
+     * height - for this we work out the max height of a standard throw or max
+     * weight from the pattern; we then do a bit of adjustment to account for
+     * a throw occurring at non-zero y values.
+     *
+     * Next we work out the best way to fit this rectangle into the perspective
+     * transform.  Based on the angle of elevation (+ve angle looks down) and
+     * the FOV we can work out whether it's the near or far corners that are
+     * the extreme points.  And then trace back from them to find the eye
+     * point.
+     *
+     */
+     
+    float ElevRad = pState->CameraElev * PI / 180.0f;
+    float w = 3.0f;
+    float cy, cz;
+    float ey, ez;
+    float d;
+    float H = 0.0f;
+    int i;
+    float a;
+    
+    float tz, ty, ta;
+    float bz, by, ba;
+    const PATTERN_INFO* pPattern = pState->pPattern;
+
+    glMatrixMode(GL_PROJECTION);
+    glLoadIdentity();
+        
+    for (i = 0; i < pPattern->ThrowLen; i++)
+        H = max(H, pPattern->pThrowInfo[i].FromPos.y);
+        
+    H += pPattern->Height;
+    
+    ElevRad = pState->CameraElev * PI / 180.0f;
+    
+    /* ta is the angle from a point on the top of the bounding area to the eye
+     * similarly ba is the angle from a point on the bottom. */
+    ta = (pState->CameraElev  - (FOV - 10.0f) / 2.0f) * PI / 180.0f;
+    ba = (pState->CameraElev  + (FOV - 10.0f) / 2.0f) * PI / 180.0f;
+
+    /* tz and bz hold the z location of the top and bottom extreme points.
+     * For the top, if the angle to the eye location is positive then the
+     * extreme point is with far z corner (the camera looks in -ve z).
+     * The logic is reserved for the bottom. */
+    tz = ta >= 0.0f ? -w : w;
+    bz = ba >= 0.0f ? w : -w;
+    
+    ty = H;
+    by = -1.0f;
+    
+    /* Solve of the eye location by using a bit of geometry.
+     * We know the eye lies on intersection of two lines.  One comes from the
+     * top and other from the bottom. Giving two equations:
+     *   ez = tz + a * cos(ta) = bz + b * cos(ba)
+     *   ey = ty + a * sin(ta) = by + b * sin(ba)
+     * We don't bother to solve for b and use Crammer's rule to get
+     *         | bz-tz  -cos(ba) |
+     *         | by-ty  -sin(ba) |     
+     *   a =  ----------------------
+     *        | cos(ta)   -cos(ba) |
+     *        | sin(ta)   -sin(ba) |
+     */
+    d = cosf(ba) * sinf(ta) - cosf(ta) * sinf(ba);
+    a = (cosf(ba) * (by - ty) - sinf(ba) * (bz - tz)) / d;
+    
+    ey = ty + a * sinf(ta);
+    ez = tz + a * cosf(ta);
+    
+    /* now work back from the eye point to get the lookat location */
+    cz = 0.0;
+    cy = ey - ez * tanf(ElevRad);
+    
+    /* use the distance from the eye to the scene centre to get a measure
+     * of what the far clipping should be.  We then add on a bit more to be 
+     * comfortable */
+    d = sqrtf(ez * ez + (cy - ey) * (cy - ey));
+    
+    gluPerspective(FOV, pState->AspectRatio, 0.1f, d + 20.0f);
+    gluLookAt(0.0, ey, ez, 0.0, cy, cz, 0.0, 1.0, 0.0);
+
+    glMatrixMode(GL_MODELVIEW);
+}
+
+
+void ResizeGL(RENDER_STATE* pState, int w, int h)
+{
+    glViewport(0, 0, w, h);
+    pState->AspectRatio = (float) w / h;
+    SetCamera(pState);
+}
+
+
+/* Determine the angle at the vertex of a triangle given the length of the
+ * three sides. */
+
+static double CosineRule(double a, double b, double c)
+{
+    double cosang = (a * a + b * b - c * c) / (2 * a * b);
+    /* If lengths don't form a proper triangle return something sensible.
+     * This typically happens with patterns where the juggler reaches too 
+     * far to get hold of an object. */
+    if (cosang < -1.0 || cosang > 1.0)
+        return 0;
+    else
+        return 180.0 * acos(cosang) / PI;
+}
+
+
+/* Spheres for the balls are generated by subdividing each triangle face into
+ * four smaller triangles.  We start with an octahedron (8 sides) and repeat the
+ * process a number of times.  The result is a mesh that can be split into four
+ * panels (like beanbags) and is smoother than the normal stacks and slices
+ * approach. */
+
+static void InterpolateVertex(
+    const float* v1, const float* v2, float t, float* result)
+{
+    result[0] = v1[0] * (1.0f - t) + v2[0] * t;
+    result[1] = v1[1] * (1.0f - t) + v2[1] * t;
+    result[2] = v1[2] * (1.0f - t) + v2[2] * t;
+}
+
+
+static void SetGLVertex(const float* v, float rad)
+{
+    float Len = sqrtf(v[0] * v[0] + v[1] * v[1] + v[2] * v[2]);
+
+    if (Len >= 1.0e-10f)
+    {
+        glNormal3f(v[0] / Len, v[1] / Len, v[2] / Len);
+        glVertex3f(rad * v[0] / Len, rad * v[1] / Len, rad * v[2] / Len);
+    }
+    else
+        glVertex3fv(v);
+}
+
+
+static void SphereSegment(
+    const float* v1, const float* v2, const float* v3, float r, int Levels)
+{
+    int i, j;
+
+    for (i = 0; i < Levels; i++)
+    {
+        float A[3], B[3], C[3], D[3];
+        
+        InterpolateVertex(v3, v1, (float) i / Levels, D);
+        InterpolateVertex(v3, v1, (float)(i + 1) / Levels, A);
+        InterpolateVertex(v3, v2, (float)(i + 1) / Levels, B);
+        InterpolateVertex(v3, v2, (float) i / Levels, C);
+
+        glBegin(GL_TRIANGLE_STRIP);
+
+        SetGLVertex(B, r);
+        SetGLVertex(C, r);
+        
+        for (j = 1; j <= i; j++)
+        {
+            float v[3];
+
+            InterpolateVertex(B, A, (float) j / (i + 1), v);
+            SetGLVertex(v, r);
+
+            InterpolateVertex(C, D, (float) j / i, v);
+            SetGLVertex(v, r);
+        }
+
+        SetGLVertex(A, r);
+        
+        glEnd();
+    }
+}
+
+
+/* OK, this function is a bit of misnomer, it only draws half a sphere.  Indeed
+ * it draws two panels and allows us to colour this one way,  then draw the
+ * same shape again rotated 90 degrees in a different colour.  Resulting in what
+ * looks like a four-panel beanbag in two complementary colours. */
+ 
+static void DrawSphere(float rad)
+{
+    int Levels = 4;
+    float v1[3], v2[3], v3[3];
+    
+    v1[0] = 1.0f, v1[1] = 0.0f; v1[2] = 0.0f;
+    v2[0] = 0.0f, v2[1] = 1.0f; v2[2] = 0.0f;
+    v3[0] = 0.0f, v3[1] = 0.0f; v3[2] = 1.0f;
+    SphereSegment(v1, v2, v3, rad, Levels);
+    
+    v2[1] = -1.0f;
+    SphereSegment(v2, v1, v3, rad, Levels);
+    
+    v1[0] = v3[2] = -1.0f;
+    SphereSegment(v2, v1, v3, rad, Levels);
+
+    v2[1] = 1.0f;
+    SphereSegment(v1, v2, v3, rad, Levels);
+}
+
+
+static void DrawRing(void)
+{
+    const int Facets = 22;
+    const float w = 0.1f;
+    GLUquadric* pQuad = gluNewQuadric();
+    glRotatef(90.0f, 0.0f, 1.0f, 0.0f);
+    glTranslatef(0.0f, 0.0f, -w / 2.0f);
+
+    gluCylinder(pQuad, 1.0f, 1.0f, w, Facets, 1);
+    gluQuadricOrientation(pQuad, GLU_INSIDE);
+
+    gluCylinder(pQuad, 0.7f, 0.7f, w, Facets, 1);
+    gluQuadricOrientation(pQuad, GLU_OUTSIDE);
+
+    glTranslatef(0.0f, 0.0f, w);
+    gluDisk(pQuad, 0.7, 1.0f, Facets, 1);
+
+    glRotatef(180.0f, 0.0f, 1.0f, 0.0f);
+    glTranslatef(0.0f, 0.0f, w);
+    gluDisk(pQuad, 0.7, 1.0f, Facets, 1);
+
+    gluDeleteQuadric(pQuad);
+}
+
+
+/* The club follows a 'circus club' design i.e. it has stripes running down the
+ * body.  The club is draw such that the one stripe uses the current material
+ * and the second stripe the standard silver colour. */
+
+void DrawClub(void)
+{
+    const float r[4] = {0.06f, 0.1f, 0.34f, 0.34f / 2.0f};
+    const float z[4] = {-0.4f, 0.6f, 1.35f, 2.1f};
+    float na[4];
+    const int n = 18;
+    int i, j;
+    GLUquadric* pQuad;
+
+    na[0] = (float) atan((r[1] - r[0]) / (z[1] - z[0]));
+    na[1] = (float) atan((r[2] - r[1]) / (z[2] - z[1]));
+    na[2] = (float) atan((r[3] - r[1]) / (z[3] - z[1]));
+    na[3] = (float) atan((r[3] - r[2]) / (z[3] - z[2]));
+
+    for (i = 0; i < n; i += 2)
+    {
+        float a1 = i * PI * 2.0f / n;
+        float a2 = (i + 1) * PI * 2.0f / n;
+
+        glBegin(GL_TRIANGLE_STRIP);
+            for (j = 1; j < 4; j++)
+            {
+                glNormal3f(cosf(na[j]) * cosf(a1),
+                    cosf(na[j]) * sinf(a1), sinf(na[j]));
+
+                glVertex3f(r[j] * cosf(a1), r[j] * sinf(a1), z[j]);
+
+                glNormal3f(cosf(na[j]) * cosf(a2),
+                    cosf(na[j]) * sinf(a2),    sinf(na[j]));
+
+                glVertex3f(r[j] * cosf(a2), r[j] * sinf(a2), z[j]);
+            }
+        glEnd();
+    }
+
+    glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE, HandleCol);
+
+    for (i = 1; i < n; i += 2)
+    {
+        float a1 = i * PI * 2.0f / n;
+        float a2 = (i + 1) * PI * 2.0f / n;
+
+        glBegin(GL_TRIANGLE_STRIP);
+            for (j = 1; j < 4; j++)
+            {
+                glNormal3f(cosf(na[j]) * cosf(a1),
+                    cosf(na[j]) * sinf(a1),    sinf(na[j]));
+
+                glVertex3f(r[j] * cosf(a1), r[j] * sinf(a1), z[j]);
+
+                glNormal3f(cosf(na[j]) * cosf(a2),
+                    cosf(na[j]) * sinf(a2), sinf(na[j]));
+
+                glVertex3f(r[j] * cosf(a2), r[j] * sinf(a2), z[j]);
+            }
+        glEnd();
+    }
+
+    pQuad = gluNewQuadric();
+    glTranslatef(0.0f, 0.0f, z[0]);
+    gluCylinder(pQuad, r[0], r[1], z[1] - z[0], n, 1);
+
+    glTranslatef(0.0f, 0.0f, z[3] - z[0]);
+    gluDisk(pQuad, 0.0, r[3], n, 1);
+    glRotatef(180.0f, 0.0f, 1.0f, 0.0f);
+    glTranslatef(0.0f, 0.0f, z[3] - z[0]);
+    gluDisk(pQuad, 0.0, r[0], n, 1);
+    gluDeleteQuadric(pQuad);
+}
+
+
+/* In total 6 display lists are used.  There are created based on the DL_
+ * constants defined earlier.  The function returns the index of the first
+ * display list, all others can be calculated based on an offset from there. */
+
+static int InitGLDisplayLists(void)
+{
+    int s = glGenLists(6);
+    GLUquadric* pQuad;
+
+    glNewList(s + DL_BALL, GL_COMPILE);
+    DrawSphere(BallRad);
+    glEndList();
+
+    glNewList(s + DL_CLUB, GL_COMPILE);
+    DrawClub();
+    glEndList();
+
+    glNewList(s + DL_RING, GL_COMPILE);
+    DrawRing();
+    glEndList();
+    
+    pQuad =  gluNewQuadric();
+    gluQuadricNormals(pQuad, GLU_SMOOTH);    
+    
+    glNewList(s + DL_TORSO, GL_COMPILE);
+        glPushMatrix();
+            glTranslatef(ShoulderPos[0], ShoulderPos[1], -ShoulderPos[2]);
+            glRotatef(-90.0f, 0.0f, 1.0f, 0.0f);
+            gluCylinder(pQuad, 0.3, 0.3, ShoulderPos[0] * 2, 18, 1);
+        glPopMatrix();
+
+        glPushMatrix();
+            glTranslatef(0.0f, -1.0f, -ShoulderPos[2]);
+            glRotatef(-90.0f, 1.0f, 0.0f, 0.0f);
+            gluCylinder(pQuad, 0.3, 0.3, ShoulderPos[1] + 1.0f, 18, 1);
+            glRotatef(180.0f, 1.0f, 0.0f, 0.0f);
+            gluDisk(pQuad, 0.0, 0.3, 18, 1);
+        glPopMatrix();
+        
+        /* draw the head */
+        glPushMatrix();
+            glTranslatef(0.0f, ShoulderPos[1] + 1.0f, -ShoulderPos[2]);
+            glRotatef(-30.0f, 1.0f, 0.0f, 0.0f);
+            gluCylinder(pQuad, 0.5, 0.5, 0.3, 15, 1);
+            
+            glPushMatrix();
+                glRotatef(180.0f, 1.0f, 0.0f, 0.0f);
+                glRotatef(180.0f, 0.0f, 0.0f, 1.0f);
+                gluDisk(pQuad, 0.0, 0.5, 15, 1);
+            glPopMatrix(); 
+                
+            glTranslatef(0.0f, 0.0f, .3f);
+            gluDisk(pQuad, 0.0, 0.5, 15, 1);
+        glPopMatrix();        
+    glEndList();
+    
+    glNewList(s + DL_UPPERARM, GL_COMPILE);
+        gluQuadricNormals(pQuad, GLU_SMOOTH);
+        gluQuadricDrawStyle(pQuad, GLU_FILL);
+        gluSphere(pQuad, 0.3, 12, 8);
+
+        gluCylinder(pQuad, 0.3, 0.3, UArmLen, 12, 1); 
+        glTranslatef(0.0f, 0.0f, UArmLen);
+        gluSphere(pQuad, 0.3, 12, 8);
+    glEndList();
+
+    glNewList(s + DL_FOREARM, GL_COMPILE);
+        gluCylinder(pQuad, 0.3, 0.3 / 2.0f, LArmLen, 12, 1);
+        glTranslatef(0.0f, 0.0f, LArmLen);
+        gluDisk(pQuad, 0, 0.3 / 2.0f, 18, 1);
+    glEndList();
+
+    gluDeleteQuadric(pQuad);
+    return s;
+}
+
+
+/* Drawing the arm requires connecting the upper and fore arm between the
+ * shoulder and hand position.  Thinking about things kinematically by treating
+ * the shoulder and elbow as ball joints then, provided the arm can stretch far
+ * enough, there's a infnite number of ways to position the elbow.  Basically
+ * it's possible to fix and hand and shoulder and then rotate the elbow a full
+ * 360 degrees.  Clearly human anatomy isn't like this and picking a natural
+ * elbow position can be complex.  We chicken out and assume that poking the
+ * elbow out by 20 degrees from the lowest position gives a reasonably looking
+ * orientation. */
+
+void DrawArm(RENDER_STATE* pState, float TimePos, int Left)
+{
+    POS Pos;
+    float x, y, len, len2, ang, ang2;
+    
+    GetHandPosition(pState->pPattern, Left, TimePos, &Pos);
+
+    x = Pos.x + (Left ? -ShoulderPos[0] : ShoulderPos[0]);
+    y = Pos.y - ShoulderPos[1];
+
+
+    len = sqrtf(x * x + y * y + ShoulderPos[2] * ShoulderPos[2]);
+    len2 = sqrtf(x * x + ShoulderPos[2] * ShoulderPos[2]);
+
+    ang = (float) CosineRule(UArmLen, len, LArmLen);
+    ang2 = (float) CosineRule(UArmLen, LArmLen, len);
+
+    if (ang == 0.0 && ang2 == 0)
+        ang2 = 180.0;
+
+
+    glPushMatrix();
+        glTranslatef(Left ? ShoulderPos[0] : -ShoulderPos[0], ShoulderPos[1],
+            -ShoulderPos[2]);
+        glRotatef((float)(180.0f * asin(x / len2) / 3.14f), 0.0f, 1.0f, 0.0f);
+        glRotatef((float)(-180.f * asin(y / len) / 3.14), 1.0f, 0.0f, 0.0f);
+        glRotatef(Left ? 20.0f : -20.0f, 0.0f, 0.0f, 1.0f);
+        glRotatef((float) ang, 1.0f, 0.0f, 0.0f);
+        glCallList(DL_UPPERARM + pState->DLStart);
+
+        glRotatef((float)(ang2 - 180.0), 1.0f, 0.0f, 0.f);
+        glCallList(DL_FOREARM + pState->DLStart);
+    glPopMatrix();
+}
+
+
+void DrawGLScene(RENDER_STATE* pState)
+{
+    float Time = pState->Time;
+    int nCols = sizeof(Cols) / sizeof(Cols[0]);
+    int i;
+
+    PATTERN_INFO* pPattern = pState->pPattern;
+
+    glClear(GL_DEPTH_BUFFER_BIT | GL_COLOR_BUFFER_BIT);
+
+    glMatrixMode(GL_MODELVIEW);
+    glLoadIdentity();
+    glTranslatef(5.0f * sinf(pState->TranslateAngle), 0.0f, 0.0f);
+
+    gltrackball_rotate (pState->trackball);
+
+    glRotatef(pState->SpinAngle, 0.0f, 1.0f, 0.0f);
+    glTranslatef(0.0, 0.0, -1.0f);
+
+    glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE, DiffCol);
+    glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, SpecCol);
+    glMaterialf(GL_FRONT_AND_BACK, GL_SHININESS, 60.0f);
+
+    for (i = 0; i < pPattern->Objects; i++)
+    {
+        POS ObjPos;
+        
+        glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE, Cols[i % nCols]);
+        glPushMatrix();
+
+        switch (pPattern->pObjectInfo[i].ObjectType)
+        {
+            case OBJECT_CLUB:
+                GetObjectPosition(pPattern, i, Time, 1.0f, &ObjPos);
+                glTranslatef(ObjPos.x, ObjPos.y, ObjPos.z);
+                glRotatef(ObjPos.Rot, 0.0f, 1.0f, 0.0f);
+                glRotatef(ObjPos.Elev, -1.0f, 0.0f, 0.0f);
+                glTranslatef(0.0f, 0.0f, -1.0f);
+                glCallList(DL_CLUB + pState->DLStart);
+                break;
+
+            case OBJECT_RING:
+                GetObjectPosition(pPattern, i, Time, 1.0f, &ObjPos);
+                glTranslatef(ObjPos.x, ObjPos.y, ObjPos.z);
+                glRotatef(ObjPos.Rot, 0.0f, 1.0f, 0.0f);
+                glRotatef(ObjPos.Elev, -1.0f, 0.0f, 0.0f);
+                glCallList(DL_RING + pState->DLStart);
+                break;
+
+            default:
+                GetObjectPosition(pPattern, i, Time, 0.0f, &ObjPos);
+                glTranslatef(ObjPos.x, ObjPos.y, ObjPos.z);        
+                glRotatef(ObjPos.Rot, 0.6963f, 0.6963f, 0.1742f);
+                glCallList(DL_BALL + pState->DLStart);
+                glRotatef(90.0f, 0.0f, 1.0f, 0.0f);
+                glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE, 
+                    AltCols[i % nCols]);
+                glCallList(DL_BALL + pState->DLStart);
+                break;
+        }
+
+        glPopMatrix();
+    }
+
+    glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE, BodyCol);
+    glCallList(DL_TORSO + pState->DLStart);
+    DrawArm(pState, Time, 1);
+    DrawArm(pState, Time, 0);
+}
+
+
+static int RandInRange(int Min, int Max)
+{
+    return Min + random() % (1 + Max - Min);
+}
+
+
+extern void UpdatePattern(
+    RENDER_STATE* pState, int MinBalls, int MaxBalls, 
+    int MinHeightInc, int MaxHeightInc)
+{
+    if (pState->pPattern != NULL)
+        ReleasePatternInfo(pState->pPattern);
+    
+    pState->pPattern = (PATTERN_INFO*) malloc(sizeof(PATTERN_INFO));
+    
+    if ((random() % 3) == 1)
+    {    
+        int ExtSiteLen;
+        int n = random() % (sizeof(PatternText) / sizeof(PatternText[0]));
+        EXT_SITE_INFO* pExtInfo = ParsePattern(PatternText[n], &ExtSiteLen);
+        InitPatternInfo(pState->pPattern, NULL, pExtInfo, ExtSiteLen);
+        free(pExtInfo);
+    }
+    else
+    {
+        int* pRand;
+        int ballcount, maxweight;
+        const int RandPatternLen = 1500;
+        
+        ballcount = RandInRange(MinBalls, MaxBalls);
+        maxweight = ballcount  + RandInRange(MinHeightInc, MaxHeightInc);
+        
+        pRand = Generate(RandPatternLen, maxweight, ballcount);
+        InitPatternInfo(pState->pPattern, pRand, NULL, RandPatternLen);
+        free(pRand);
+    }
+    
+    pState->CameraElev = 50.0f - random() % 90;
+    pState->TranslateAngle = random() % 360;
+    pState->SpinAngle = random() % 360;
+    pState->Time = 50.0f;
+    SetCamera(pState);
+}
+
+
+/*******************************************************************************
+ *
+ *  XScreenSaver Configuration
+ *
+ ******************************************************************************/
+
+extern XtAppContext app;
+
+typedef struct
+{
+    GLXContext* glxContext;
+    RENDER_STATE RenderState;
+    float CurrentFrameRate;
+    unsigned FramesSinceSync;
+    unsigned LastSyncTime;
+} JUGGLER3D_CONFIG;
+
+
+static JUGGLER3D_CONFIG* pConfigInfo = NULL;
+static int MaxObjects;
+static int MinObjects;
+static int MaxHeightInc;
+static int MinHeightInc;
+static float SpinSpeed;
+static float TranslateSpeed;
+static float JuggleSpeed;
+
+static XrmOptionDescRec Options[] =
+{
+    {"-spin", ".spin", XrmoptionSepArg, 0},
+    {"-trans", ".trans", XrmoptionSepArg, 0},
+    {"-speed", ".speed", XrmoptionSepArg, 0},
+    {"-maxobjs", ".maxobjs", XrmoptionSepArg, 0},
+    {"-minobjs", ".minobjs", XrmoptionSepArg, 0},
+    {"-maxhinc", ".maxhinc", XrmoptionSepArg, 0},
+    {"-minhinc", ".minhinc", XrmoptionSepArg, 0},
+};
+
+
+static argtype Vars[] = 
+{
+    {&MaxObjects, "maxobjs", "MaxObjs", "8", t_Int},
+    {&MinObjects, "minobjs", "MinObjs", "3", t_Int},
+    {&MaxHeightInc, "maxhinc", "MaxHInc", "6", t_Int},
+    {&MinHeightInc, "minhinc", "MaxHInc", "2", t_Int},
+    {&JuggleSpeed, "speed", "JuggleSpeed", "2.2", t_Float},
+    {&TranslateSpeed, "trans", "TranslateSpeed", "0.1", t_Float},
+    {&SpinSpeed, "spin", "SpinSpeed", "20.0", t_Float},
+};
+
+
+ModeSpecOpt SWITCH_OPTS = {countof(Options), Options, countof(Vars), Vars};
+
+
+void Juggler3D_HackReshapeEvent(ModeInfo *mi, int width, int height)
+{
+    JUGGLER3D_CONFIG* pConfig = &pConfigInfo[MI_SCREEN(mi)];
+    ResizeGL(&pConfig->RenderState, width, height);
+}
+
+
+void Juggler3D_HackInitEvent(ModeInfo* mi)
+{
+    JUGGLER3D_CONFIG* pConfig;
+    
+    if (pConfigInfo == NULL)
+    {
+        /* Apply suitable bounds checks to the input parameters */
+        MaxObjects = max(3, min(MaxObjects, 36));
+        MinObjects = max(3, min(MinObjects, MaxObjects));
+
+        MaxHeightInc = max(1, min(MaxHeightInc, 32));
+        MinHeightInc = max(1, min(MinHeightInc, MaxHeightInc));
+            
+        pConfigInfo = (JUGGLER3D_CONFIG*) calloc(
+            MI_NUM_SCREENS(mi), sizeof(JUGGLER3D_CONFIG));
+        if (pConfigInfo == NULL)
+        {
+            fprintf(stderr, "%s: out of memory\n", progname);
+            exit(1);
+        }
+    }
+    
+    pConfig = &pConfigInfo[MI_SCREEN(mi)];
+    pConfig->glxContext = init_GL(mi);
+    pConfig->CurrentFrameRate = 0.0f;
+    pConfig->FramesSinceSync = 0;
+    pConfig->LastSyncTime = 0;
+    InitGLSettings(&pConfig->RenderState, MI_IS_WIREFRAME(mi));
+
+    UpdatePattern(&pConfig->RenderState, MinObjects, MaxObjects, 
+        MinHeightInc, MaxHeightInc);
+    
+    Juggler3D_HackReshapeEvent(mi, MI_WIDTH(mi), MI_HEIGHT(mi));
+}
+
+
+void Juggler3D_HackDrawEvent(ModeInfo* mi)
+{
+    JUGGLER3D_CONFIG* pConfig = &pConfigInfo[MI_SCREEN(mi)];
+    Display* pDisplay = MI_DISPLAY(mi);
+    Window hwnd = MI_WINDOW(mi);
+
+    if (pConfig->glxContext == NULL)
+        return;
+    
+    /* While drawing, keep track of the rendering speed so we can adjust the
+     * animation speed so things appear consistent.  The basis of the this
+     * code comes from the frame rate counter (fps.c) but has been modified
+     * so that it reports the initial frame rate earlier (after 0.02 secs
+     * instead of 1 sec). */
+    
+    if (pConfig->FramesSinceSync >=  1 * (int) pConfig->CurrentFrameRate)
+    {
+        struct timeval tvnow;
+        unsigned now;
+            
+        # ifdef GETTIMEOFDAY_TWO_ARGS
+            struct timezone tzp;
+            gettimeofday(&tvnow, &tzp);
+        # else
+            gettimeofday(&tvnow);
+        # endif
+        
+        now = (unsigned) (tvnow.tv_sec * 1000000 + tvnow.tv_usec);
+        if (pConfig->FramesSinceSync == 0)
+        {
+            pConfig->LastSyncTime = now;
+        }
+        else
+        {
+            unsigned Delta = now - pConfig->LastSyncTime;
+            if (Delta > 20000)
+            {
+                pConfig->LastSyncTime = now;
+                pConfig->CurrentFrameRate = 
+                    (pConfig->FramesSinceSync * 1.0e6f) / Delta;
+                pConfig->FramesSinceSync = 0;
+            }
+        }
+    }
+    
+    pConfig->FramesSinceSync++;
+    
+    if (pConfig->RenderState.Time > 150.0f)
+    {
+        UpdatePattern(&pConfig->RenderState, MinObjects, MaxObjects, 
+            MinHeightInc, MaxHeightInc);
+    }
+    DrawGLScene(&pConfig->RenderState);
+    
+    if (pConfig->CurrentFrameRate > 1.0e-6f)
+    {
+        pConfig->RenderState.Time += JuggleSpeed / pConfig->CurrentFrameRate;
+        pConfig->RenderState.SpinAngle += SpinSpeed / pConfig->CurrentFrameRate;
+        pConfig->RenderState.TranslateAngle += 
+            TranslateSpeed / pConfig->CurrentFrameRate;
+    }
+    
+    if (mi->fps_p)
+        do_fps(mi);
+  
+    glFinish();
+    glXSwapBuffers(pDisplay, hwnd);
+}
+
+
+Bool Juggler3D_HackHandleEvent(ModeInfo* mi, XEvent* pEvent)
+{
+  JUGGLER3D_CONFIG* pConfig = &pConfigInfo[MI_SCREEN(mi)];
+  RENDER_STATE* pState = &pConfig->RenderState;
+
+    if (pEvent->xany.type == ButtonPress &&
+        pEvent->xbutton.button == Button1)
+    {
+      pState->button_down_p = True;
+      gltrackball_start (pState->trackball,
+                         pEvent->xbutton.x, pEvent->xbutton.y,
+                         MI_WIDTH (mi), MI_HEIGHT (mi));
+      return True;
+    }
+    else if (pEvent->xany.type == ButtonRelease &&
+             pEvent->xbutton.button == Button1)
+    {
+      pState->button_down_p = False;
+      return True;
+    }
+    else if (pEvent->xany.type == ButtonPress &&
+             (pEvent->xbutton.button == Button4 ||
+              pEvent->xbutton.button == Button5))
+    {
+      gltrackball_mousewheel (pState->trackball, pEvent->xbutton.button, 2,
+                              !pEvent->xbutton.state);
+      return True;
+    }
+    else if (pEvent->xany.type == MotionNotify &&
+             pState->button_down_p)
+    {
+      gltrackball_track (pState->trackball,
+                         pEvent->xmotion.x, pEvent->xmotion.y,
+                         MI_WIDTH (mi), MI_HEIGHT (mi));
+      return True;
+    }
+    else if (pEvent->xany.type == KeyPress)
+    {
+        char str[20];
+        KeySym Key = 0;
+        int count = XLookupString(&pEvent->xkey, str, 20, &Key, 0);
+        str[count] = '\0';
+        if (*str == ' ')
+        {
+            UpdatePattern(&pConfig->RenderState, MinObjects, MaxObjects, 
+                MinHeightInc, MaxHeightInc);
+        }
+    }
+    
+    return False;
+}
+
+#endif

=== added file 'hacks/glx/juggler3d.man'
--- hacks/glx/juggler3d.man	1970-01-01 00:00:00 +0000
+++ hacks/glx/juggler3d.man	2006-06-30 16:27:21 +0000
@@ -0,0 +1,88 @@
+.TH XScreenSaver 1 "" "X Version 11"
+.SH NAME
+Juggler3D - a 3D juggling simulation.
+.SH SYNOPSIS
+.B juggler3d
+[\-display \fIhost:display.screen\fP]
+[\-visual \fIvisual\fP]
+[\-window]
+[\-root]
+[\-delay \fInumber\fP]
+[\-speed \fInumber\fP]
+[\-trans \fInumber\fP]
+[\-spin \fInumber\fP]
+[\-maxobjs \fInumber\fP]
+[\-minobjs \fInumber\fP]
+[\-maxhinc \fInumber\fP]
+[\-minhinc \fInumber\fP]
+[\-wireframe]
+[\-fps]
+.SH DESCRIPTION
+Displays a 3D simulation of a juggler performing with balls, clubs and rings. 
+Juggling patterns are either created randomly using siteswaps or from a 
+small library of predefined patterns.  \fBjuggler3d\fP is partially based on the
+Win32 screensaver Juggle Saver (www.jugglesaver.co.uk) by the same author.
+.SH OPTIONS
+.TP 8
+.B \-visual \fIvisual\fP
+Specify which visual to use.  Legal values are the name of a visual class,
+or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-window
+Draw on a newly-created window.  This is the default.
+.TP 8
+.B \-root
+Draw on the root window.
+.TP 8
+.B \-delay \fInumber\fP
+Per-frame delay, in microseconds.  Default: 20000 (0.02 seconds.).
+.TP 8
+.B \-speed \fInumber\fP
+Speed of objects being juggled in beats per seconds.  Default: 2.2.
+.TP 8
+.B \-trans \fInumber\fP
+Speed of horizontal juggler movement (translational) across the screen in
+degrees/seconds.  Default: 0.1
+.TP 8
+.B \-spin \fInumber\fP
+Speed of juggler rotation in degrees/seconds.  Default: 20
+.TP 8
+.B \-maxobj \fInumber\fP
+Maximum number of objects used in a random juggling pattern. 3 - 36.
+.TP 8
+.B \-minobj \fInumber\fP
+Minimum number of objects used in a random juggling pattern. 3 - \fBmaxobj\fP.
+.TP 8
+.B \-minhinc \fInumber\fP | -maxhinc \fInumber\fP
+Used to determine maximum throw weight in random siteswap.  Options refer to
+minimum height increment and maximum height increment.  Maximum weight chosen
+will lie between \fBmaxobj\fP + \fBminhinc\fP and \fBmaxobj\fP + \fBmaxhinc\fP.
+Defaults: \fBminhinc\fP=2 and \fBmaxhinc\fP=6.
+.TP 8
+.B \-wireframe | \-no-wireframe
+Render in wireframe instead of solid.
+.TP 8
+.B \-fps | \-no-fps
+Whether to show a frames-per-second display at the bottom of the screen.
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global resources
+stored in the RESOURCE_MANAGER property.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.SH COPYRIGHT
+Copyright \(co 2005 by Brian Apps.  Permission to use, copy, modify, 
+distribute, and sell this software and its documentation for any purpose is 
+hereby granted without fee, provided that the above copyright notice appear 
+in all copies and that both that copyright notice and this permission notice
+appear in supporting documentation.  No representations are made about the 
+suitability of this software for any purpose.  It is provided "as is" without
+express or implied warranty.
+.SH AUTHOR
+Brian Apps <brian@jugglesaver.co.uk>

=== modified file 'hacks/glx/klein.c'
--- hacks/glx/klein.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/klein.c	2005-12-08 16:00:22 +0000
@@ -25,9 +25,8 @@
 #define DEF_RANDOM			        "False"
 #define DEF_SPEED			        "150"
 
-# define DEFAULTS					"*delay:		20000   \n"			\
-									"*showFPS:      False   \n"			\
-									"*wireframe:	False	\n"			\
+# define DEFAULTS					"*delay:		20000   \n" \
+									"*showFPS:      False   \n"
 
 # include "xlockmore.h"		/* from the xscreensaver distribution */
 #else  /* !STANDALONE */

=== modified file 'hacks/glx/mirrorblob.man'
--- hacks/glx/mirrorblob.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/mirrorblob.man	2006-06-30 16:27:21 +0000
@@ -13,14 +13,14 @@
 [\-walls]
 [\-colour]
 [\-texture]
-[\-bgimage]
 [\-offset_texture]
 [\-blend]
 [\-antialias]
 [\-x_res \fInumber\fP]
 [\-y_res \fInumber\fP]
 [\-field_points \fInumber\fP]
-[\-hold_frames \fInumber\fP]
+[\-fade_time \fInumber\fP]
+[\-hold_time \fInumber\fP]
 [\-fps]
 .SH DESCRIPTION
 Draws a wobbling blob, making use of alpha blending, fog,
@@ -55,9 +55,6 @@
 .B \-texture | \-no-texture
 Whether to wrap a texture image on the blob.
 .TP 8
-.B \-bgimage | \-no-bgimage
-Whether to also draw the texture on the background.
-.TP 8
 .B \-offset_texture | \-no-offset_texture
 Whether to ofset the texture calculations to only use a region of the image
  under the blob.  This works well when blend is enabled.
@@ -79,11 +76,11 @@
 .B \-field_points \fInumber\fP
 Number of points used to distort the blob.
 .TP 8
-.B \-hold_frames \fInumber\fP
-Number of frames between changing images.
+.B \-hold_time \fInumber\fP
+Time until loading a new image.
 .TP 8
-.B \-fade_speed \fInumber\fP
-Speed at which fading occurs when changing images.
+.B \-fade_time \fInumber\fP
+Crossfade duration time.
 .TP 8
 .B \-fps | \-no-fps
 Whether to show a frames-per-second display at the bottom of the screen.

=== modified file 'hacks/glx/moebius.c'
--- hacks/glx/moebius.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/moebius.c	2005-12-08 16:00:22 +0000
@@ -91,8 +91,7 @@
 # define EVENT_MASK			PointerMotionMask
 # define moebius_opts		xlockmore_opts
 # define DEFAULTS			"*delay:		20000   \n"			\
-							"*showFPS:      False   \n"			\
-							"*wireframe:	False	\n"
+							"*showFPS:      False   \n"
 # include "xlockmore.h"		/* from the xscreensaver distribution */
 #else /* !STANDALONE */
 # include "xlock.h"		/* from the xlockmore distribution */

=== modified file 'hacks/glx/molecule.c'
--- hacks/glx/molecule.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/molecule.c	2005-12-08 16:00:22 +0000
@@ -665,6 +665,14 @@
 }
 
 
+static void
+parse_error (const char *file, int lineno, const char *line)
+{
+  fprintf (stderr, "%s: %s: parse error, line %d: %s\n",
+           progname, file, lineno, line);
+  exit (1);
+}
+
 
 /* This function is crap.
  */
@@ -749,7 +757,8 @@
           char *name = (char *) calloc (1, 4);
           GLfloat x = -999, y = -999, z = -999;
 
-          sscanf (s+7, " %d ", &id);
+          if (1 != sscanf (s+7, " %d ", &id))
+            parse_error (filename, line, s);
 
           strncpy (name, s+12, 3);
           while (isspace(*name)) name++;
@@ -762,7 +771,9 @@
 	    *ss = tolower(*ss);
             ss++;
           }
-          sscanf (s + 32, " %f %f %f ", &x, &y, &z);
+          if (3 != sscanf (s + 32, " %f %f %f ", &x, &y, &z))
+            parse_error (filename, line, s);
+
 /*
           fprintf (stderr, "%s: %s: %d: atom: %d \"%s\" %9.4f %9.4f %9.4f\n",
                    progname, filename, line,
@@ -776,14 +787,16 @@
           char *name = (char *) calloc (1, 4);
           GLfloat x = -999, y = -999, z = -999;
 
-          sscanf (s+7, " %d ", &id);
+          if (1 != sscanf (s+7, " %d ", &id))
+            parse_error (filename, line, s);
 
           strncpy (name, s+12, 3);
           while (isspace(*name)) name++;
           ss = name + strlen(name)-1;
           while (isspace(*ss) && ss > name)
             *ss-- = 0;
-          sscanf (s + 30, " %f %f %f ", &x, &y, &z);
+          if (3 != sscanf (s + 30, " %f %f %f ", &x, &y, &z))
+            parse_error (filename, line, s);
 /*
           fprintf (stderr, "%s: %s: %d: atom: %d \"%s\" %9.4f %9.4f %9.4f\n",
                    progname, filename, line,

=== modified file 'hacks/glx/molecule.man'
--- hacks/glx/molecule.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/molecule.man	2006-07-29 23:00:43 +0000
@@ -1,15 +1,13 @@
 .TH XScreenSaver 1 "13-Mar-01" "X Version 11"
 .SH NAME
-molecule - draws 3D moleclear structures
+molecule - draws 3D molecular structures
 .SH SYNOPSIS
 .B gltext
 [\-display \fIhost:display.screen\fP] [\-window] [\-root]
-[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
+[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP]
 [\-wander] [\-no-wander]
 [\-spin \fIaxes\fP]
 [\-no-spin]
-[\-wire]
-[\-verbose]
 [\-timeout \fIseconds\fP]
 [\-labels] [\-no-labels]
 [\-titles] [\-no-titles]
@@ -17,6 +15,9 @@
 [\-bonds] [\-no-bonds]
 [\-shells] [\-no-shells]
 [\-molecule \fIfile-or-directory\fP]
+[\-verbose]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 The \fImolecule\fP program draws several different representations of
 molecules.  Some common molecules are built in, and it can read PDB
@@ -100,7 +101,7 @@
 .B \-shell\-alpha
 When drawing shells, how transparent to make them.  Default 0.4.
 .TP 8
-.B \-wire
+.B \-wireframe
 Draw a wireframe rendition of the molecule: this will consist only of
 single-pixel lines for the bonds, and text labels where the atoms go.
 This will be very fast.

=== modified file 'hacks/glx/morph3d.man'
--- hacks/glx/morph3d.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/morph3d.man	2005-12-08 16:00:22 +0000
@@ -54,4 +54,4 @@
 suitability of this software for any purpose.  It is provided "as is" without
 express or implied warranty.
 .SH AUTHOR
-Marcelo Vianna.
\ No newline at end of file
+Marcelo Vianna.

=== modified file 'hacks/glx/pinion.man'
--- hacks/glx/pinion.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/pinion.man	2006-06-30 16:27:21 +0000
@@ -10,6 +10,8 @@
 [\-spin \fIratio\fP]
 [\-size \fIratio\fP]
 [\-max-rpm \fIint\fP]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 The \fIpinion\fP program draws an interconnected set of gears moving
 across the screen.
@@ -50,6 +52,9 @@
 and we start a new train.  Default: 900 RPM.  (At 30 FPS, that's about half
 a rotation per frame.)
 .TP 8
+.B \-wireframe
+Render in wireframe instead of solid.
+.TP 8
 .B \-fps
 Display a running tally of how many frames per second are being rendered.
 In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 
@@ -64,7 +69,7 @@
 to get the name of a resource file that overrides the global resources
 stored in the RESOURCE_MANAGER property.
 .SH SEE ALSO
-.BR gears (1),
+.BR gears (MANSUFFIX),
 .BR xscreensaver (1),
 .BR X (1)
 .SH COPYRIGHT

=== modified file 'hacks/glx/pipes.man'
--- hacks/glx/pipes.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/pipes.man	2006-06-30 16:27:21 +0000
@@ -48,7 +48,7 @@
 How much gadgetry to create; Useful range is 0-10.  Default: 2.
 .TP 8
 .B \-delay \fInumber\fP
-How long (in microseconds) to sleep between frames.  Default: 100.
+How long (in microseconds) to sleep between frames.  Default: 10000.
 .TP 8
 .B \-fisheye | \-no-fisheye
 Whether to use a fisheye lens.

=== modified file 'hacks/glx/polyhedra-gl.c'
--- hacks/glx/polyhedra-gl.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/polyhedra-gl.c	2005-12-08 16:00:22 +0000
@@ -128,7 +128,7 @@
 kludge_normal (int n, const int *indices, const point *points)
 {
   XYZ normal = { 0, 0, 0 };
-  XYZ p;
+  XYZ p = { 0, 0, 0 };
   int i;
 
   for (i = 0; i < n; ++i) {
@@ -369,6 +369,9 @@
 
   new_label (mi);
 
+  if (wire)
+    glPolygonMode(GL_FRONT_AND_BACK, GL_LINE);
+
   glNewList (bp->object_list, GL_COMPILE);
   for (i = 0; i < p->nfaces; i++)
     {

=== modified file 'hacks/glx/polyhedra.man'
--- hacks/glx/polyhedra.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/polyhedra.man	2005-12-08 16:00:22 +0000
@@ -16,6 +16,7 @@
 [\-wireframe]
 [\-no-titles]
 [\-which \fIname\fP]
+[\-wireframe]
 [\-fps]
 .SH DESCRIPTION
 This program renders 160 different 3D solids, and displays some

=== modified file 'hacks/glx/polytopes.c'
--- hacks/glx/polytopes.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/polytopes.c	2005-12-08 16:00:22 +0000
@@ -1,10 +1,10 @@
 /* polytopes --- Shows one of the six regular polytopes rotating in 4d */
 
 #if 0
-static const char sccsid[] = "@(#)polytopes.c  1.1 03/05/18 xlockmore";
+static const char sccsid[] = "@(#)polytopes.c  1.2 05/09/28 xlockmore";
 #endif
 
-/* Copyright (c) 2003 Carsten Steger <carsten@mirsanmir.org>. */
+/* Copyright (c) 2003-2005 Carsten Steger <carsten@mirsanmir.org>. */
 
 /*
  * Permission to use, copy, modify, and distribute this software and its
@@ -21,6 +21,7 @@
  *
  * REVISION HISTORY:
  * C. Steger - 03/08/10: Initial version
+ * C. Steger - 05/09/28: Added trackball support
  */
 
 /*
@@ -113,14 +114,15 @@
 #define DEF_DTHETA                DTHETA_STR
 
 #ifdef STANDALONE
-# define PROGCLASS       "Polytopes"
-# define HACK_INIT       init_polytopes
-# define HACK_DRAW       draw_polytopes
-# define HACK_RESHAPE    reshape_polytopes
-# define polytopes_opts xlockmore_opts
-# define DEFAULTS        "*delay:      25000 \n" \
-                         "*showFPS:    False \n" \
-                         "*wireframe:  False \n" \
+# define PROGCLASS          "Polytopes"
+# define HACK_INIT          init_polytopes
+# define HACK_DRAW          draw_polytopes
+# define HACK_RESHAPE       reshape_polytopes
+# define HACK_HANDLE_EVENT  polytopes_handle_event
+# define EVENT_MASK         PointerMotionMask|KeyReleaseMask
+# define polytopes_opts     xlockmore_opts
+# define DEFAULTS           "*delay:      25000 \n" \
+                            "*showFPS:    False \n"
 
 # include "xlockmore.h"         /* from the xscreensaver distribution */
 #else  /* !STANDALONE */
@@ -129,8 +131,10 @@
 
 #ifdef USE_GL
 
+#include <X11/keysym.h>
 #include <GL/gl.h>
 #include <GL/glu.h>
+#include "gltrackball.h"
 
 
 #ifdef USE_MODULES
@@ -159,13 +163,18 @@
 static float alpha, beta, delta, zeta, eta, theta;
 static float aspect;
 
+/* Trackball states */
+trackball_state *trackballs[2];
+int current_trackball;
+Bool button_pressed;
+
 static const float offset4d[4] = {  0.0,  0.0,  0.0,  3.0 };
 static const float offset3d[4] = {  0.0,  0.0, -2.0,  0.0 };
 
 
 static XrmOptionDescRec opts[] =
 {
-  {"-mesh",            ".polytopes.displayMode",  XrmoptionNoArg,
+  {"-wireframe",       ".polytopes.displayMode",  XrmoptionNoArg,
                        DISP_WIREFRAME_STR },
   {"-surface",         ".polytopes.displayMode",  XrmoptionNoArg,
                        DISP_SURFACE_STR },
@@ -222,7 +231,7 @@
 
 static OptionStruct desc[] =
 {
-  { "-mesh",            "display the polytope as a wireframe mesh" },
+  { "-wireframe",       "display the polytope as a wireframe mesh" },
   { "-surface",         "display the polytope as a solid surface" },
   { "-transparent",     "display the polytope as a transparent surface" },
   { "-solid",           "display the polytope as a solid object" },
@@ -2383,19 +2392,67 @@
 
 
 /* Compute the rotation matrix m from the rotation angles. */
-static void rotateall(float m[4][4])
+static void rotateall(float al, float be, float de, float ze, float et,
+                      float th, float m[4][4])
 {
   int i, j;
 
   for (i=0; i<4; i++)
     for (j=0; j<4; j++)
       m[i][j] = (i==j);
-  rotatewx(m,alpha);
-  rotatewy(m,beta);
-  rotatewz(m,delta);
-  rotatexy(m,zeta);
-  rotatexz(m,eta);
-  rotateyz(m,theta);
+  rotatewx(m,al);
+  rotatewy(m,be);
+  rotatewz(m,de);
+  rotatexy(m,ze);
+  rotatexz(m,et);
+  rotateyz(m,th);
+}
+
+
+/* Multiply two rotation matrices: o=m*n. */
+static void mult_rotmat(float m[4][4], float n[4][4], float o[4][4])
+{
+  int i, j, k;
+
+  for (i=0; i<4; i++)
+  {
+    for (j=0; j<4; j++)
+    {
+      o[i][j] = 0.0;
+      for (k=0; k<4; k++)
+        o[i][j] += m[i][k]*n[k][j];
+    }
+  }
+}
+
+
+/* Compute a 4D rotation matrix from two unit quaternions. */
+static void quats_to_rotmat(float p[4], float q[4], float m[4][4])
+{
+  double al, be, de, ze, et, th;
+  double r00, r01, r02, r12, r22;
+
+  r00 = 1.0-2.0*(p[1]*p[1]+p[2]*p[2]);
+  r01 = 2.0*(p[0]*p[1]+p[2]*p[3]);
+  r02 = 2.0*(p[2]*p[0]-p[1]*p[3]);
+  r12 = 2.0*(p[1]*p[2]+p[0]*p[3]);
+  r22 = 1.0-2.0*(p[1]*p[1]+p[0]*p[0]);
+
+  al = atan2(-r12,r22)*180.0/M_PI;
+  be = atan2(r02,sqrt(r00*r00+r01*r01))*180.0/M_PI;
+  de = atan2(-r01,r00)*180.0/M_PI;
+
+  r00 = 1.0-2.0*(q[1]*q[1]+q[2]*q[2]);
+  r01 = 2.0*(q[0]*q[1]+q[2]*q[3]);
+  r02 = 2.0*(q[2]*q[0]-q[1]*q[3]);
+  r12 = 2.0*(q[1]*q[2]+q[0]*q[3]);
+  r22 = 1.0-2.0*(q[1]*q[1]+q[0]*q[0]);
+
+  ze = atan2(-r12,r22)*180.0/M_PI;
+  et = atan2(r02,sqrt(r00*r00+r01*r01))*180.0/M_PI;
+  th = atan2(-r01,r00)*180.0/M_PI;
+
+  rotateall(al,be,de,ze,et,th,m);
 }
 
 
@@ -2423,10 +2480,16 @@
 /* Project an array of vertices from 4d to 3d. */
 static void project(float vert[][4], float v[][4], int num)
 {
-  float m[4][4], s;
+  float s, q1[4], q2[4], r1[4][4], r2[4][4], m[4][4];
   int i, j, k;
 
-  rotateall(m);
+  rotateall(alpha,beta,delta,zeta,eta,theta,r1);
+
+  gltrackball_get_quaternion(trackballs[0],q1);
+  gltrackball_get_quaternion(trackballs[1],q2);
+  quats_to_rotmat(q1,q2,r2);
+
+  mult_rotmat(r2,r1,m);
 
   /* Project the vertices from 4d to 3d. */
   for (i=0; i<num; i++)
@@ -2787,24 +2850,27 @@
 /* Redisplay the polytopes. */
 static void display_polytopes(ModeInfo *mi)
 {
-  alpha += speed_wx;
-  if (alpha >= 360.0)
-    alpha -= 360.0;
-  beta += speed_wy;
-  if (beta >= 360.0)
-    beta -= 360.0;
-  delta += speed_wz;
-  if (delta >= 360.0)
-    delta -= 360.0;
-  zeta += speed_xy;
-  if (zeta >= 360.0)
-    zeta -= 360.0;
-  eta += speed_xz;
-  if (eta >= 360.0)
-    eta -= 360.0;
-  theta += speed_yz;
-  if (theta >= 360.0)
-    theta -= 360.0;
+  if (!button_pressed)
+  {
+    alpha += speed_wx;
+    if (alpha >= 360.0)
+      alpha -= 360.0;
+    beta += speed_wy;
+    if (beta >= 360.0)
+      beta -= 360.0;
+    delta += speed_wz;
+    if (delta >= 360.0)
+      delta -= 360.0;
+    zeta += speed_xy;
+    if (zeta >= 360.0)
+      zeta -= 360.0;
+    eta += speed_xz;
+    if (eta >= 360.0)
+      eta -= 360.0;
+    theta += speed_yz;
+    if (theta >= 360.0)
+      theta -= 360.0;
+  }
 
   glMatrixMode(GL_PROJECTION);
   glLoadIdentity();
@@ -2864,6 +2930,64 @@
 }
 
 
+Bool polytopes_handle_event(ModeInfo *mi, XEvent *event)
+{
+  Display *display = MI_DISPLAY(mi);
+  KeySym  sym;
+
+  if (event->xany.type == ButtonPress &&
+      event->xbutton.button == Button1)
+  {
+    button_pressed = True;
+    gltrackball_start(trackballs[current_trackball],
+                      event->xbutton.x, event->xbutton.y,
+                      MI_WIDTH(mi), MI_HEIGHT(mi));
+    return True;
+  }
+  else if (event->xany.type == ButtonRelease &&
+           event->xbutton.button == Button1)
+  {
+    button_pressed = False;
+    return True;
+  }
+  else if (event->xany.type == KeyPress)
+  {
+    sym = XKeycodeToKeysym(display,event->xkey.keycode,0);
+    if (sym == XK_Shift_L || sym == XK_Shift_R)
+    {
+      current_trackball = 1;
+      if (button_pressed)
+        gltrackball_start(trackballs[current_trackball],
+                          event->xbutton.x, event->xbutton.y,
+                          MI_WIDTH(mi), MI_HEIGHT(mi));
+      return True;
+    }
+  }
+  else if (event->xany.type == KeyRelease)
+  {
+    sym = XKeycodeToKeysym(display,event->xkey.keycode,0);
+    if (sym == XK_Shift_L || sym == XK_Shift_R)
+    {
+      current_trackball = 0;
+      if (button_pressed)
+        gltrackball_start(trackballs[current_trackball],
+                          event->xbutton.x, event->xbutton.y,
+                          MI_WIDTH(mi), MI_HEIGHT(mi));
+      return True;
+    }
+  }
+  else if (event->xany.type == MotionNotify && button_pressed)
+  {
+    gltrackball_track(trackballs[current_trackball],
+                      event->xmotion.x, event->xmotion.y,
+                      MI_WIDTH(mi), MI_HEIGHT(mi));
+    return True;
+  }
+
+  return False;
+}
+
+
 /*
  *-----------------------------------------------------------------------------
  *-----------------------------------------------------------------------------
@@ -2891,6 +3015,11 @@
   }
   hp = &poly[MI_SCREEN(mi)];
 
+  trackballs[0] = gltrackball_init();
+  trackballs[1] = gltrackball_init();
+  current_trackball = 0;
+  button_pressed = False;
+
   if ((hp->glx_context = init_GL(mi)) != NULL)
   {
     reshape_polytopes(mi,MI_WIDTH(mi),MI_HEIGHT(mi));

=== modified file 'hacks/glx/polytopes.man'
--- hacks/glx/polytopes.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/polytopes.man	2006-06-30 16:27:21 +0000
@@ -16,7 +16,7 @@
 [\-24-cell]
 [\-120-cell]
 [\-600-cell]
-[\-mesh]
+[\-wireframe]
 [\-surface]
 [\-transparent]
 [\-single-color]
@@ -109,14 +109,14 @@
 The following three options are mutually exclusive.  They determine
 how the polytope is displayed.
 .TP 8
-.B \-mesh
-Display the polytope as a wireframe mesh (default).
+.B \-wireframe
+Display the polytope as a wireframe mesh.
 .TP 8
 .B \-surface
 Display the polytope as a solid object.
 .TP 8
 .B \-transparent
-Display the polytope as a transparent object.
+Display the polytope as a transparent object.  Default.
 .PP
 The following two options are mutually exclusive.  They determine how
 to color the polytope.
@@ -154,10 +154,10 @@
 in degrees per frame.  The speeds should be set to relatively small
 values, e.g., less than 4 in magnitude.
 .TP 8
-.B \-speed-xw \fIfloat\fP
+.B \-speed-wx \fIfloat\fP
 Rotation speed around the wx plane (default: 1.1).
 .TP 8
-.B \-speed-xy \fIfloat\fP
+.B \-speed-wy \fIfloat\fP
 Rotation speed around the wy plane (default: 1.3).
 .TP 8
 .B \-speed-wz \fIfloat\fP
@@ -171,6 +171,15 @@
 .TP 8
 .B \-speed-yz \fIfloat\fP
 Rotation speed around the yz plane (default: 2.1).
+.SH INTERACTION
+If you run this program in standalone mode you can rotate the polytope
+by dragging the mouse while pressing the left mouse button.  This
+rotates the polytope in 3D, i.e., around the wx, wy, and wz planes.
+If you press the shift key while dragging the mouse with the left
+button pressed the polytope is rotated in 4D, i.e., around the xy, xz,
+and yz planes.  To examine the polytope at your leisure, it is best to
+set all speeds to 0.  Otherwise, the polytope will rotate while the
+left mouse button is not pressed.
 .SH ENVIRONMENT
 .PP
 .TP 8
@@ -184,7 +193,7 @@
 .BR X (1),
 .BR xscreensaver (1)
 .SH COPYRIGHT
-Copyright \(co 2003 by Carsten Steger.  Permission to use, copy,
+Copyright \(co 2003-2005 by Carsten Steger.  Permission to use, copy,
 modify, distribute, and sell this software and its documentation for
 any purpose is hereby granted without fee, provided that the above
 copyright notice appear in all copies and that both that copyright
@@ -193,4 +202,4 @@
 any purpose.  It is provided "as is" without express or implied
 warranty.
 .SH AUTHOR
-Carsten Steger <carsten@mirsanmir.org>, 10-aug-2003.
+Carsten Steger <carsten@mirsanmir.org>, 28-sep-2005.

=== modified file 'hacks/glx/providence.c'
--- hacks/glx/providence.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/providence.c	2005-12-08 16:00:22 +0000
@@ -379,6 +379,10 @@
     glVertex3f(-0.75, -0.75, 0.0);
     glVertex3f(0.75, -0.75, 0.0);
     glVertex3f(0.0, 0.75, 0.0);
+
+    glVertex3f(0.0, 0.75, 0.0);
+    glVertex3f(0.75, -0.75, 0.0);
+    glVertex3f(-0.75, -0.75, 0.0);
     glEnd();
     return;
   }
@@ -521,9 +525,9 @@
   /* draw wireeye */
   if(wire) {
     glBegin(GL_TRIANGLES);
+    glVertex3f(0.0, 0.25, 0.0);
+    glVertex3f(0.25, -0.25, 0.0);
     glVertex3f(-0.25, -0.25, 0.0);
-    glVertex3f(0.25, -0.25, 0.0);
-    glVertex3f(0.0, 0.25, 0.0);
     glEnd();
     return;
   }

=== modified file 'hacks/glx/providence.man'
--- hacks/glx/providence.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/providence.man	2005-12-08 16:00:22 +0000
@@ -3,8 +3,14 @@
 providence - eye in glory screenhack
 .SH SYNOPSIS
 .B providence
-[\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
-[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
+[\-display \fIhost:display.screen\fP]
+[\-window]
+[\-root]
+ [\-install]
+[\-visual \fIvisual\fP]
+[\-delay \fImicroseconds\fP]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 The \fIprovidence\fP code displays an eye, shrouded in glory, set upon the
 base of a pyramid.
@@ -27,6 +33,10 @@
 .B \-visual \fIvisual\fP\fP
 Specify which visual to use.  Legal values are the name of a visual class,
 or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-wireframe
+Render in wireframe (with hidden line removal) instead of as textured solids.
+.TP 8
 .B \-fps
 Display a running tally of how many frames per second are being rendered.
 In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 

=== modified file 'hacks/glx/pulsar.man'
--- hacks/glx/pulsar.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/pulsar.man	2006-06-30 16:27:21 +0000
@@ -11,7 +11,7 @@
 [\-wire]
 [\-delay \fInumber\fP]
 [\-quads \fInumber\fP]
-[\-bitmap \fIfile\fP]
+[\-image \fIfile\fP]
 [\-light]
 [\-fog]
 [\-texture]
@@ -46,7 +46,7 @@
 .B \-delay \fInumber\fP
 Per-frame delay, in microseconds.  Default: 10000 (0.01 seconds.).
 .TP 8
-.B \-bitmap \fIfile\fP
+.B \-image \fIfile\fP
 The texture map to use.
 .TP 8
 .B \-quads \fInumber\fP

=== modified file 'hacks/glx/queens.man'
--- hacks/glx/queens.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/queens.man	2005-12-08 16:00:22 +0000
@@ -3,8 +3,14 @@
 queens \- n queens screensaver
 .SH SYNOPSIS
 .B queens
-[\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
-[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
+[\-display \fIhost:display.screen\fP]
+[\-window]
+[\-root]
+[\-install]
+[\-visual \fIvisual\fP]
+[\-delay \fImicroseconds\fP]
+[\-wireframe]
+[\-fps]
 .SH DESCRIPTION
 The \fIqueens\fP program solves the n-queens problem (where, in this
 program, N is between 5 and 10 queens) using a straightforward
@@ -26,6 +32,9 @@
 .B \-visual \fIvisual\fP\fP
 Specify which visual to use.  Legal values are the name of a visual class,
 or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-wireframe
+Render in wireframe instead of solid.
 .B \-fps
 Display a running tally of how many frames per second are being rendered.
 In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 

=== modified file 'hacks/glx/sballs.man'
--- hacks/glx/sballs.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/sballs.man	2006-06-30 16:27:21 +0000
@@ -19,7 +19,6 @@
 [\-display \fIhost:display.screen\fP] [\-window] [\-root]
 [\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP]
 [\-object \fIobject_number\fP] 
-[\-count \fInumber_of_spheres\fP] 
 [\-cycles \fIsphere_speed\fP] 
 [\-size \fIviewport_size\fP] 
 [\-texture] [\-no-texture]
@@ -78,18 +77,9 @@
 .B 8 
 star
 .TP 8
-.B \-count \fInumber_of_spheres\fP\fP
-Specify how much spheres are drawn in the selected object. 
-.TP 8
 .B \-size \fIviewport_size\fP\fP
 Viewport of GL scene is specified size if greater than 32 and less than screensize. Default value is 0, meaning full screensize.
 .TP 8
-.B \-count \fInumber_of_particles\fP\fP
-Specify how much fire particles are drawn. A very special case is 0
-wich means that you get
-.B rain
-!
-.TP 8
 .B \-texture
 Show a textured background and spheres. This is the default.
 .TP 8

=== modified file 'hacks/glx/sierpinski3d.man'
--- hacks/glx/sierpinski3d.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/sierpinski3d.man	2006-06-30 16:27:21 +0000
@@ -34,7 +34,7 @@
 Number of frames before changing shape.  Default: 150.
 .TP 8
 .B \-depth \fInumber\fP
-Max depth to descend.  Default: 3.  You probably don't have enough
+Max depth to descend.  Default: 5.  You probably don't have enough
 memory for 6.
 .TP 8
 .B \-wireframe

=== modified file 'hacks/glx/sphere.c'
--- hacks/glx/sphere.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/sphere.c	2005-12-08 16:00:22 +0000
@@ -29,7 +29,7 @@
   int i,j;
   double theta1, theta2, theta3;
   XYZ e, p;
-  XYZ la, lb;
+  XYZ la = { 0, 0, 0 }, lb = { 0, 0, 0 };
   XYZ c = {0, 0, 0};  /* center */
   double r = 1.0;     /* radius */
   int stacks2 = stacks * 2;

=== modified file 'hacks/glx/spheremonics.man'
--- hacks/glx/spheremonics.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/spheremonics.man	2006-06-30 16:27:21 +0000
@@ -39,7 +39,7 @@
 Per-frame delay, in microseconds.  Default: 30000 (0.03 seconds.).
 .TP 8
 .B \-duration \fInumber\fP
-Duration.  5 - 1000.  Default: 500.
+Duration.  5 - 1000.  Default: 100.
 .TP 8
 .B \-resolution \fInumber\fP
 Resolution.  5 - 100.  Default: 64.

=== modified file 'hacks/glx/stairs.c'
--- hacks/glx/stairs.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/stairs.c	2005-12-08 16:00:22 +0000
@@ -65,9 +65,8 @@
 # define HACK_DRAW			draw_stairs
 # define HACK_RESHAPE		reshape_stairs
 # define stairs_opts		xlockmore_opts
-# define DEFAULTS			"*delay:		20000   \n"			\
-							"*showFPS:      False   \n"			\
-							"*wireframe:	False	\n"
+# define DEFAULTS			"*delay:		20000   \n" \
+							"*showFPS:      False   \n"
 # include "xlockmore.h"		/* from the xscreensaver distribution */
 #else /* !STANDALONE */
 # include "xlock.h"			/* from the xlockmore distribution */

=== modified file 'hacks/glx/starwars.man'
--- hacks/glx/starwars.man	2005-04-09 00:06:43 +0000
+++ hacks/glx/starwars.man	2006-06-30 16:27:21 +0000
@@ -161,12 +161,12 @@
 .BR xscreensaver (1),
 .BR xscreensaver-text (1),
 .BR fortune (1),
-.BR phosphor (1),
-.BR apple2 (1),
-.BR fontglide (1),
-.BR ljlatest (1),
+.BR phosphor (MANSUFFIX),
+.BR apple2 (MANSUFFIX),
+.BR fontglide (MANSUFFIX),
+.BR ljlatest (MANSUFFIX),
 .BR dadadodo (1),
-.BR webcollage (1),
+.BR webcollage (MANSUFFIX),
 .BR driftnet (1)
 .BR EtherPEG ,
 .BR EtherPeek

=== added file 'hacks/glx/tangram.c'
--- hacks/glx/tangram.c	1970-01-01 00:00:00 +0000
+++ hacks/glx/tangram.c	2005-12-08 16:00:22 +0000
@@ -0,0 +1,1054 @@
+/* tangram, Copyright (c) 2005 Jeremy English <jhe@jeremyenglish.org>
+ *
+ * Permission to use, copy, modify, distribute, and sell this software
+ * and its documentation for any purpose is hereby granted without
+ * fee, provided that the above copyright notice appear in all copies
+ * and that both that copyright notice and this permission notice
+ * appear in supporting documentation.  No representations are made
+ * about the suitability of this software for any purpose.  It is
+ * provided "as is" without express or implied warranty.
+ *
+ * Sun 10 July 2005 Changed the code that solves the puzzles.
+ *                  Also, limited the palette and added names. 
+ *
+ * Wed 13 July 2005 Added option to turn off rotation.
+ *                  Changed color and materials
+ */
+
+
+#include <X11/Intrinsic.h>
+
+extern XtAppContext app;
+
+#define PROGCLASS	  "Tangram"
+#define HACK_INIT	  init_tangram
+#define HACK_DRAW	  draw_tangram
+#define HACK_RESHAPE  reshape_tangram
+#define sws_opts	  xlockmore_opts
+
+
+#define DEFAULTS	"*delay:	10000		 \n" \
+  "*wireframe:	False		 \n" \
+
+#undef countof
+#define countof(x) (sizeof((x))/sizeof((*x)))
+
+#include "xlockmore.h"
+
+#include <ctype.h>
+
+
+#ifdef USE_GL                   /* whole file */
+
+
+#include <GL/glu.h>
+#include <time.h>
+#include <math.h>
+#include "tangram_shapes.h"
+#include "glxfonts.h"
+
+typedef struct {
+    GLubyte r;
+    GLubyte g;
+    GLubyte b;
+} color;
+
+typedef struct {
+    GLfloat x;
+    GLfloat y;
+    GLfloat z;
+} coord;
+
+typedef struct {
+    coord crd;                  /* coordinates */
+    GLint r;                    /* rotation */
+    GLint fr;                   /* flip Rotate. Used to keep track during animation */
+    GLint dl;                   /* display List */
+    GLfloat dz;                 /* velocity */
+    GLfloat ddz;                /* Acceleration */
+    GLfloat solved;             /* shapes state */
+    Bool up;                    /* Move up the z axis? */
+} tangram_shape;
+
+typedef struct {
+    char *name;
+    tangram_shape ts[7];
+} puzzle;
+
+typedef enum {
+    no_shape = -1,
+    small_triangle1 = 0,
+    small_triangle2 = 1,
+    medium_triangle = 2,
+    large_triangle1 = 3,
+    large_triangle2 = 4,
+    square = 5,
+    rhomboid = 6
+} shape_type;
+
+#define SPEED 0.03
+enum {
+    BOTTOM = 0,
+    DEF_WAIT = 500,
+    INIT_DZ = 2,
+    NUM_SHAPES = 7
+};
+
+typedef struct {
+    GLXContext *glx_context;
+    tangram_shape tsm1, tsm2, tm, tlg1, tlg2, sq, rh;
+    tangram_shape n_tsm1, n_tsm2, n_tm, n_tlg1, n_tlg2, n_sq, n_rh;
+    char *puzzle_name;
+    int csi;
+
+    int ncolors;
+    XColor *colors;
+    int ccolor;
+
+    XFontStruct *xfont1;
+    XFontStruct *xfont2;
+    XFontStruct *xfont3;
+    GLuint font1_dlist, font2_dlist, font3_dlist;
+    GLuint name_list;
+} tangram_configuration;
+
+static tangram_configuration *tps = NULL;
+
+#define DEF_VIEWING_TIME "5"
+#define DEF_ROTATE_CAMERA "True"
+#define DEF_X_CAMERA_ROTATE "0.2"
+#define DEF_Y_CAMERA_ROTATE "0.5"
+#define DEF_Z_CAMERA_ROTATE "0"
+
+
+static GLuint viewing_time = 0;
+static Bool do_rotate = True;
+static GLfloat x_camera_rotate = 0.3;
+static GLfloat y_camera_rotate = 0.75;
+static GLfloat z_camera_rotate = 0;
+static int wire;
+
+static XrmOptionDescRec opts[] = {
+    {"-viewing_time", ".viewing_time", XrmoptionSepArg, 0},
+    {"-rotate", ".rotate", XrmoptionNoArg, "True"},
+    {"+rotate", ".rotate", XrmoptionNoArg, "False"},
+    {"-x_camera_rotate", ".x_camera_rotate", XrmoptionSepArg, 0},
+    {"-y_camera_rotate", ".y_camera_rotate", XrmoptionSepArg, 0},
+    {"-z_camera_rotate", ".z_camera_rotate", XrmoptionSepArg, 0}
+};
+
+static argtype vars[] = {
+    {&viewing_time, "viewing_time", "Viewing Time", DEF_VIEWING_TIME, t_Int},
+    {&do_rotate, "rotate", "Rotate", DEF_ROTATE_CAMERA, t_Bool},
+    {&x_camera_rotate, "x_camera_rotate", "X Camera Rotate", DEF_X_CAMERA_ROTATE, t_Float},
+    {&y_camera_rotate, "y_camera_rotate", "Y Camera Rotate", DEF_Y_CAMERA_ROTATE, t_Float},
+    {&z_camera_rotate, "z_camera_rotate", "Z Camera Rotate", DEF_Z_CAMERA_ROTATE, t_Float}
+};
+
+ModeSpecOpt sws_opts = { countof(opts), opts, countof(vars), vars, NULL };
+
+static puzzle solved[] = {
+  {"Teapot", {
+      {{-1.664000, -1.552000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.696000, 0.944000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0,  False},
+      {{0.064000, -2.128000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0,  True},
+      {{-0.960000, -1.056000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.104000, 0.960000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.376000, -0.800000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.152000, 0.736000, 0}, 360, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Candle", {
+      {{-0.016000, 2.176001, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.016000, 2.960001, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.000000, 0.400000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-2.015998, 2.208001, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.000001, 2.208001, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.496000, 0.432000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.016000, -0.672000, 0}, 335, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Square", {
+      {{-0.048000, -0.016000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.704000, 0.736000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.488000, 1.424001, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.016000, -0.016000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.000000, 0.000000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.688000, 0.720000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.784000, 0.672000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Crane", {
+      {{1.248001, 1.759999, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.024000, 3.071999, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.975999, -2.096001, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.480000, -1.968001, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.056000, -0.496000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.239999, -1.312001, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.223999, -1.360001, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Crane", {
+      {{0.320000, 1.360000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.704000, 3.072000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.200000, -3.392000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.688000, -1.184000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.768000, 0.192000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.168000, -2.304000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.312000, 1.296000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Duck", {
+      {{-1.391999, 1.424000, 0}, 65, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.768000, 2.000000, 0}, 99, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.688001, -1.872000, 0}, 270, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.343999, 0.944000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.112000, -0.464000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.984001, -1.120000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.536001, 0.912000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Pelican", {
+      {{1.088000, 0.064001, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.864000, -1.279999, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.807999, 1.520000, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.824001, -1.231998, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.368000, 1.472000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.832000, -2.271998, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.776001, 0.816000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Cat", {
+      {{0.416000, -2.432000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.352000, -2.432000, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.832000, -0.480000, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.632000, 3.056000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.616000, 1.040000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.088000, -1.696000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.832000, -0.432000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Coi", {
+      {{1.264000, -1.232000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.216000, 0.816000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.631999, 1.872000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.832000, 2.287999, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.608000, 0.912000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.240001, -0.176000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.256000, -1.200000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Man Skipping", {
+      {{1.727998, 2.303998, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.120000, 3.376001, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.879998, -3.008001, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.072000, 2.559999, 0}, 360, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.440000, 0.144000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.192001, -2.592001, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.015999, 0.176000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Old Man", {
+      {{-0.400000, 1.744000, 0}, 58, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.704000, 0.128000, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.656000, 0.320000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.112000, -0.384000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.096000, -0.399999, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.736000, 0.352000, 0}, 123, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.336000, 0.352000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Spear Head", {
+      {{0.688000, -0.144000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.080000, 0.592000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.048000, 0.592000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.488000, -0.848000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.376000, -0.864000, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.688000, -0.128000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.504000, -0.832000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Diamond", {
+      {{0.624000, -1.776000, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.144000, 0.432000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.800000, -0.272000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-2.320000, -0.304000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{2.048000, -0.320000, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.112000, 0.480000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.832000, -0.320000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Arrow", {
+      {{-2.048001, -1.232000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.112000, 0.943999, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.312001, -0.560000, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.496000, 0.656000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.528000, 0.608000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-2.048001, -2.704000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.312001, -0.512000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Lady", {
+      {{-0.720000, 3.440000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.912000, -1.072000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.736000, 3.440000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.720000, 1.984000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.672000, 0.544000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.192000, -3.840000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.528000, -2.480000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Running Man", {
+      {{1.136000, 2.720000, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-2.304001, 1.776000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.256000, 0.288000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.304000, 0.304000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.096000, -0.128000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.656000, -2.832000, 0}, 105, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.784000, -0.096000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Parallelogram", {
+      {{-1.104000, -1.455999, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.912000, -0.447999, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.048000, -1.471999, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.136000, -1.439999, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.944000, 1.552000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.912000, 0.560000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.112000, 1.568000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"N", {
+      {{-1.615999, 0.064000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.592000, 0.112000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.432000, 0.096000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.679999, -0.880000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.488001, 1.103999, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.640000, 0.112000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.392001, -0.928000, 0}, 270, 180, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Farm House", {
+      {{2.112000, 1.504000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.040000, 1.472000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.032000, -1.600000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.056000, 1.504000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.992000, -0.528000, 0}, 0, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.080000, 0.512000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.104000, 0.480000, 0}, 270, 180, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Vulture", {
+      {{0.912000, 1.728000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-2.623998, -1.040000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.992000, 1.104000, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.944000, -0.288000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.448000, -1.760000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.887998, -0.368000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{3.008002, 2.160000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Swan", {
+      {{0.720000, 0.352000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.672000, -1.568000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.376000, 1.104000, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.151999, 1.488000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.320000, 2.096000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.656000, 0.304000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.624000, -2.559999, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"High Karate", {
+      {{-0.144000, 2.576000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.696001, -2.432000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.176001, -0.400000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.624000, -0.512000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.576000, -1.152000, 0}, 0, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.919999, -1.376000, 0}, 303, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.448000, -0.096001, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Lazy", {
+      {{-2.416000, 1.120000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.952000, -2.016000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.552000, -0.640000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.016000, 1.840000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.456000, -1.072000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.848000, -0.816000, 0}, 332, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.200000, -1.792000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Bat", {
+      {{-0.304000, -0.352000, 0}, 259, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.304000, -1.344000, 0}, 105, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.312000, -1.024000, 0}, 300, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.952000, 0.240000, 0}, 195, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-2.272000, 0.096000, 0}, 11, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.112000, -1.056000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.560000, -1.344000, 0}, 281, 180, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Sail Boat", {
+      {{0.544000, 2.000000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.880000, 0.160000, 0}, 360, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.656000, -1.503999, 0}, 220, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.656000, -0.336000, 0}, 50, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.688000, -0.288000, 0}, 310, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.864000, 1.232000, 0}, 360, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.496000, 2.016001, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Glenda", {
+      {{-2.016000, 2.080000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.240001, 1.824000, 0}, 360, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.239999, -0.752000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.264000, 2.784000, 0}, 360, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.248000, 0.736000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.240001, 0.304000, 0}, 360, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.544000, -2.976001, 0}, 149, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Cat", {
+      {{1.376000, -1.536001, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.488000, -1.552001, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.352000, -0.048000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-2.144000, 2.415999, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-2.096000, 0.368000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.144000, -0.800000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.392000, -0.064000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Lying Cat", {
+      {{2.480000, -0.912000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{2.592000, -0.928000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.352000, 1.280000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.688000, 0.336000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.808000, -0.112000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{3.248000, -0.176000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.472000, 1.024000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Witch", {
+      {{-0.943999, -0.304000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.144000, 0.288000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.360000, -2.304000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.328000, -0.848000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.008000, 1.584000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.512000, 2.688000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.863999, -0.096000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Laugh", {
+      {{0.703999, -0.160000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.064000, -0.400000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.767999, -1.408000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.232000, -1.328000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.040000, 2.624000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.288000, 1.264000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.760001, -1.408000, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Standing Man", {
+      {{0.272000, 3.392000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.144000, -1.328000, 0}, 331, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.216001, 0.272000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.736000, 0.208000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.432000, -3.440000, 0}, 151, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.720000, 2.320000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.263998, 0.272000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Walking Man", {
+      {{-1.056000, -3.456000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.736000, 2.000000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.488000, 1.760000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.432000, 0.016000, 0}, 0, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.432000, -0.064000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.560000, -2.576000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.032000, 2.656000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Repose", {
+      {{-2.800000, -2.304000, 0}, 101, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.888000, 2.032000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.856000, 2.016000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.352000, -0.144000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-2.848000, 0.976000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.424000, -1.104000, 0}, 236, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.792000, 2.016000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Shape", {
+      {{1.263999, 1.600001, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.311999, -1.568000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.736000, 0.576000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.736000, -2.591999, 0}, 360, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.768000, 2.640001, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.784000, -0.528000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.736000, 0.496000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Shape", {
+      {{-0.816000, 1.392000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.832000, -1.807999, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.216000, -0.752000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.232000, -2.815999, 0}, 270, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.248000, 2.400000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.864000, 1.392000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.240000, 1.328000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Lightning", {
+      {{0.176000, -2.448000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.888000, 2.880000, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.856000, 1.824000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.872000, -1.392000, 0}, 0, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.264000, -0.432000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{2.320001, -2.432000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.872000, 1.728000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"E", {
+      {{0.928000, 1.664000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.896000, -1.519998, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.136000, 0.608000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.152000, -2.559998, 0}, 0, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.152000, 2.672002, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.960000, -0.384000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.136000, 0.528000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Dagger", {
+      {{-0.096000, 0.448000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.640000, 2.656000, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.064000, -3.104000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.767999, 1.184000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.080000, 0.416000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.416000, -2.064000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.112000, 3.328001, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Knight", {
+      {{-0.368000, 0.400000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.871998, -1.808000, 0}, 225, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.056000, -0.368000, 0}, 0, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.056000, -1.840000, 0}, 45, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.352000, 1.440000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.128000, 0.432000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.119999, -1.120000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Candy", {
+      {{-1.039999, 1.136000, 0}, 360, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.024000, 0.096000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.016000, 0.048000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.016000, -1.008000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.016000, 1.216000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.024000, 0.144000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.032000, 1.088000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"King", {
+      {{-0.688000, 1.904000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.800000, 1.904000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.512000, -1.392000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.488000, 1.120000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.392000, 1.120000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.496000, -1.312000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.480000, -1.376000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Top", {
+      {{-1.055999, -0.800000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.103999, 0.208000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{0.000000, -0.784000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.016000, 0.272000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.032000, 0.288000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{0.480000, -1.855999, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.096001, 0.224000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Dog", {
+      {{-2.896000, -0.128000, 0}, 45, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.800000, 0.992000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-1.152000, -0.416000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.016000, 0.656000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.456000, -0.736000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{2.864000, 0.736000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.048000, 1.664000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, True},
+    },
+  },
+  {"Moose Head", {
+      {{2.944000, -0.288000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.936000, -0.224000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.112000, 1.808000, 0}, 315, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{-2.128000, 0.768000, 0}, 90, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{1.888000, 0.768000, 0}, 180, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.112000, -0.688000, 0}, 135, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-3.184000, -1.216000, 0}, 360, 180, 0, INIT_DZ, -SPEED, 0, False},
+    },
+  },
+  {"Negative Square", {
+      {{-1.520000, -0.624000, 0}, 270, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-1.520000, 0.480000, 0}, 180, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{2.352000, 0.480000, 0}, 225, 0, 0, INIT_DZ, -SPEED, 0, True},
+      {{-0.080000, -3.040000, 0}, 315, 180, 0, INIT_DZ, -SPEED, 0, False},
+      {{-0.096000, 2.944000, 0}, 135, 180, 0, INIT_DZ, -SPEED, 0, True},
+      {{-2.528000, -0.576000, 0}, 90, 0, 0, INIT_DZ, -SPEED, 0, False},
+      {{1.360000, -1.600000, 0}, 360, 180, INIT_DZ, -SPEED, 0, True},
+    }}
+};
+
+
+static void get_solved_puzzle(ModeInfo * mi,
+                              tangram_shape * tsm1, tangram_shape * tsm2,
+                              tangram_shape * tm, tangram_shape * tlg1,
+                              tangram_shape * tlg2, tangram_shape * sq,
+                              tangram_shape * rh)
+{
+    tangram_configuration *tp = &tps[MI_SCREEN(mi)];
+    int sz = sizeof(solved) / sizeof(solved[0]);
+    int r;
+
+    /* we don't want to see the same puzzle twice */
+    do {
+        r = random() % sz;
+    } while (r == tp->csi);
+    tp->csi = r;
+
+    *tsm1 = solved[r].ts[small_triangle1];
+    *tsm2 = solved[r].ts[small_triangle2];
+    *tm = solved[r].ts[medium_triangle];
+    *tlg1 = solved[r].ts[large_triangle1];
+    *tlg2 = solved[r].ts[large_triangle2];
+    *sq = solved[r].ts[square];
+    *rh = solved[r].ts[rhomboid];
+
+    tp->puzzle_name = solved[r].name;
+}
+
+static int approach_number(int goal, int current, int step)
+{
+
+    int i = 0;
+
+    if (goal > current) {
+        while (i < step) {
+            current++;
+            if (goal <= current)
+                break;
+            i++;
+        }
+    } else if (goal < current) {
+        while (i < step) {
+            current--;
+            if (goal >= current)
+                break;
+            i++;
+        }
+    }
+
+    return current;
+}
+
+/* gt - floating point greater than comparison */
+static Bool gt(GLfloat x1, GLfloat x2, GLfloat per)
+{
+    if ((x1 > x2) && (fabs(x1 - x2) > per))
+        return True;
+    else
+        return False;
+}
+
+/* lt - floating point less than comparison */
+static Bool lt(GLfloat x1, GLfloat x2, GLfloat per)
+{
+    if ((x1 < x2) && (fabs(x1 - x2) > per))
+        return True;
+    else
+        return False;
+}
+
+static GLfloat approach_float(GLfloat goal, GLfloat current,
+                              Bool * changed, GLfloat per)
+{
+    *changed = False;
+    if (gt(goal, current, per)) {
+        current += per;
+        *changed = True;
+    } else if (lt(goal, current, per)) {
+        current -= per;
+        *changed = True;
+    }
+    return current;
+}
+
+#if 0
+static void print_shape(char *s, tangram_shape sh)
+{
+    fprintf(stderr, "%s\n", s);
+    fprintf(stderr, "(%f, %f, %f)\n", sh.crd.x, sh.crd.y, sh.crd.z);
+    fprintf(stderr, "%d\n", sh.r);
+    fprintf(stderr, "%d\n", sh.fr);
+    fprintf(stderr, "\n");
+}
+#endif
+
+
+void reset_shape(tangram_shape * ts)
+{
+    GLfloat r = random() % 10;
+    GLfloat f = r / 10;
+    ts->crd.z = BOTTOM;
+    ts->dz = INIT_DZ + f;
+    ts->ddz = -SPEED;
+}
+
+void bounce(tangram_shape * ts)
+{
+    ts->crd.z *= -1;            /* ignore this */
+    ts->dz += ts->ddz;
+    ts->crd.z += ts->dz * SPEED;
+    if (ts->crd.z < BOTTOM) {
+        reset_shape(ts);
+    }
+
+    ts->crd.z *= -1;            /* ignore this */
+}
+
+static void draw_tangram_shape(tangram_shape ts)
+{
+    glPushMatrix();
+
+    if (!do_rotate) {
+        ts.up = True;
+    }
+
+    glTranslatef(ts.crd.x, ts.crd.y, ts.up ? ts.crd.z : -ts.crd.z);
+    glRotated(90, 1, 0, 0);
+    glRotated(ts.fr, 1, 0, 0);
+    glRotated(ts.r, 0, 1, 0);
+    glCallList(ts.dl);
+    glPopMatrix();
+}
+
+static void load_fonts(ModeInfo * mi)
+{
+    tangram_configuration *tp = &tps[MI_SCREEN(mi)];
+    load_font(mi->dpy, "titleFont", &tp->xfont1, &tp->font1_dlist);
+    load_font(mi->dpy, "titleFont2", &tp->xfont2, &tp->font2_dlist);
+    load_font(mi->dpy, "titleFont3", &tp->xfont3, &tp->font3_dlist);
+}
+
+static void draw_shapes(ModeInfo * mi)
+{
+    tangram_configuration *tp = &tps[MI_SCREEN(mi)];
+
+    draw_tangram_shape(tp->tsm1);
+
+    draw_tangram_shape(tp->tsm2);
+    draw_tangram_shape(tp->tm);
+    draw_tangram_shape(tp->tlg1);
+    draw_tangram_shape(tp->tlg2);
+    draw_tangram_shape(tp->sq);
+    draw_tangram_shape(tp->rh);
+    glCallList(tp->name_list);
+}
+
+static void set_perspective(void)
+{
+    glPushMatrix();
+    glMatrixMode(GL_PROJECTION);
+    glLoadIdentity();
+    gluPerspective(60, -1, 0.1, 50);
+    gluLookAt(0, 5, -5, 0, 0, 0, 0, -1, 0);
+    glMatrixMode(GL_MODELVIEW);
+    glPopMatrix();
+
+}
+
+void reshape_tangram(ModeInfo * mi, int w, int h)
+{
+    glViewport(0, 0, w, h);
+    set_perspective();
+    glLoadIdentity();
+}
+
+static void set_camera(void)
+{
+    static GLfloat theta[3] = { 1, 1, 1 };
+    static Bool going_down[3] = { False, False, False };
+
+    glPushMatrix();
+    glMatrixMode(GL_PROJECTION);
+    glLoadIdentity();
+    gluPerspective(60, -1, 0.1, 50);
+
+
+    gluLookAt(0, 5, -5, 0, 0, 0, 0, -1, 0);
+
+    if (do_rotate) {
+        glRotatef(theta[0], 1, 0, 0);
+        glRotatef(theta[1], 0, 1, 0);
+        glRotatef(theta[2], 0, 0, 1);
+    }
+
+    glMatrixMode(GL_MODELVIEW);
+    glPopMatrix();
+
+
+    if (going_down[0] && theta[0] < 0) {
+
+        going_down[0] = False;
+    } else if ((!going_down[0]) && theta[0] > 90) {
+
+        going_down[0] = True;
+    }
+
+    if (theta[1] > 360.0)
+        theta[1] -= 360.0;
+
+    if (theta[2] > 360.0)
+        theta[2] -= 360.0;
+
+    if (going_down[0])
+      theta[0] -= x_camera_rotate;
+    else
+      theta[0] += x_camera_rotate;
+
+    theta[1] += y_camera_rotate;
+    theta[2] += z_camera_rotate;
+}
+
+static void init_shapes(ModeInfo * mi)
+{
+    int wire = MI_IS_WIREFRAME(mi);
+    tangram_configuration *tp = &tps[MI_SCREEN(mi)];
+    get_solved_puzzle(mi, &tp->tsm1, &tp->tsm2, &tp->tm, &tp->tlg1,
+                      &tp->tlg2, &tp->sq, &tp->rh);
+    get_solved_puzzle(mi, &tp->n_tsm1, &tp->n_tsm2, &tp->n_tm, &tp->n_tlg1,
+                      &tp->n_tlg2, &tp->n_sq, &tp->n_rh);
+    tp->tsm1.dl = get_sm_tri_dl(wire);
+    tp->tsm2.dl = get_sm_tri_dl(wire);
+    tp->tm.dl = get_md_tri_dl(wire);
+    tp->tlg1.dl = get_lg_tri_dl(wire);
+    tp->tlg2.dl = get_lg_tri_dl(wire);
+    tp->sq.dl = get_square_dl(wire);
+    tp->rh.dl = get_rhomboid_dl(wire);
+}
+
+static void gl_init(ModeInfo * mi)
+{
+
+    int wire = MI_IS_WIREFRAME(mi);
+
+    GLfloat y = do_rotate ? -10 : 3;
+    GLfloat x = do_rotate ? 5 : 10;
+    GLfloat pos[4] = { 0, 0, -5, 1.00 };
+    GLfloat pos2[4] = { 0, 0, 5, 1.00 };
+    GLfloat dif2[4] = { 1, 1, 1, 1 };
+
+    pos[0] = -x;
+    pos[1] = y;
+
+    pos2[1] = x;
+    pos2[1] = y;
+
+    if (!wire) {
+        glEnable(GL_LIGHTING);
+        glLightfv(GL_LIGHT0, GL_POSITION, pos);
+        glEnable(GL_LIGHT0);
+        if (do_rotate) {
+            glLightfv(GL_LIGHT1, GL_POSITION, pos2);
+            glLightfv(GL_LIGHT1, GL_DIFFUSE, dif2);
+            glEnable(GL_LIGHT1);
+        }
+        glEnable(GL_DEPTH_TEST);
+    }
+
+}
+
+void init_tangram(ModeInfo * mi)
+{
+    tangram_configuration *tp;
+
+    if (!tps) {
+        tps = (tangram_configuration *)
+            calloc(MI_NUM_SCREENS(mi), sizeof(tangram_configuration));
+        if (!tps) {
+            fprintf(stderr, "%s: out of memory\n", progname);
+            exit(1);
+        }
+
+        tp = &tps[MI_SCREEN(mi)];
+    }
+
+    tp = &tps[MI_SCREEN(mi)];
+
+    if ((tp->glx_context = init_GL(mi)) != NULL) {
+        gl_init(mi);
+    }
+
+    wire = MI_IS_WIREFRAME(mi);
+
+    load_fonts(mi);
+    init_shapes(mi);
+}
+
+static Bool all_solved(tangram_shape * ls[])
+{
+    int i;
+    Bool b = True;
+    for (i = 0; i < NUM_SHAPES; i++) {
+        b = (b && ls[i]->solved);
+    }
+    return b;
+}
+
+static void solve(tangram_shape * new_s, tangram_shape * old_s)
+{
+    Bool moved_x, moved_y, moved_r, moved_fr, z_ok;
+
+    old_s->fr = approach_number(new_s->fr, old_s->fr, 2);
+    moved_fr = (old_s->fr != new_s->fr);
+
+    old_s->r = approach_number(new_s->r, old_s->r, 2);
+    moved_r = (old_s->r != new_s->r);
+
+    old_s->crd.x =
+        approach_float(new_s->crd.x, old_s->crd.x, &moved_x, 0.1);
+    if (!moved_x)
+        old_s->crd.x = new_s->crd.x;
+
+    old_s->crd.y =
+        approach_float(new_s->crd.y, old_s->crd.y, &moved_y, 0.1);
+    if (!moved_y)
+        old_s->crd.y = new_s->crd.y;
+
+    z_ok = (-old_s->crd.z <= BOTTOM);
+
+    old_s->solved = (moved_x == False && moved_y == False &&
+                     moved_r == False && moved_fr == False &&
+                     z_ok == True);
+}
+
+static void set_not_solved(tangram_shape * ls[])
+{
+    int i;
+    for (i = 0; i < NUM_SHAPES; i++)
+        ls[i]->solved = False;
+}
+
+
+void draw_tangram(ModeInfo * mi)
+{
+    Display *dpy = MI_DISPLAY(mi);
+    Window window = MI_WINDOW(mi);
+    tangram_configuration *tp = &tps[MI_SCREEN(mi)];
+
+    tangram_shape *ls[NUM_SHAPES];
+    tangram_shape *nls[NUM_SHAPES];
+
+
+    int i;
+    int MAX_DISPLAY;
+    static char *pn = "";
+    static int display_counter = 0;
+
+    static GLfloat color[4] = { 0.0, 0.0, 0.0, 1.0 };
+    static GLfloat white[4] = { 1.0, 1.0, 1.0, 1.0 };
+    MAX_DISPLAY = viewing_time * 100;
+
+    ls[small_triangle1] = &tp->tsm1;
+    ls[small_triangle2] = &tp->tsm2;
+    ls[medium_triangle] = &tp->tm;
+    ls[large_triangle1] = &tp->tlg1;
+    ls[large_triangle2] = &tp->tlg2;
+    ls[square] = &tp->sq;
+    ls[rhomboid] = &tp->rh;
+
+    nls[small_triangle1] = &tp->n_tsm1;
+    nls[small_triangle2] = &tp->n_tsm2;
+    nls[medium_triangle] = &tp->n_tm;
+    nls[large_triangle1] = &tp->n_tlg1;
+    nls[large_triangle2] = &tp->n_tlg2;
+    nls[square] = &tp->n_sq;
+    nls[rhomboid] = &tp->n_rh;
+
+    set_camera();
+
+    if (display_counter <= 0) {
+        for (i = 0; i < NUM_SHAPES; i++) {
+            if (ls[i]->solved) {
+                if (all_solved(ls)) {
+                    display_counter = MAX_DISPLAY;
+                    pn = tp->puzzle_name;
+                    get_solved_puzzle(mi, nls[small_triangle1],
+                                      nls[small_triangle2],
+                                      nls[medium_triangle],
+                                      nls[large_triangle1],
+                                      nls[large_triangle2], nls[square],
+                                      nls[rhomboid]);
+                    tp->ncolors = 128;
+                    tp->colors =
+                        (XColor *) calloc(tp->ncolors, sizeof(XColor));
+
+                    make_random_colormap(0, 0, 0,
+                                         tp->colors, &tp->ncolors,
+                                         True, False, 0, False);
+
+
+                    color[0] = tp->colors[0].red / 65536.0;
+                    color[1] = tp->colors[1].green / 65536.0;
+                    color[2] = tp->colors[2].blue / 65536.0;
+
+
+                    glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE,
+                                 color);
+
+                    set_not_solved(ls);
+                    break;
+                }
+            } else {
+                pn = "";
+                bounce(ls[i]);
+                solve(nls[i], ls[i]);
+            }
+        }
+    } else {
+        display_counter--;
+    }
+
+    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
+    glPushMatrix();
+
+    glLoadIdentity();
+    glNewList(tp->name_list, GL_COMPILE);
+    {
+        XFontStruct *f;
+        GLuint fl;
+        if (MI_WIDTH(mi) >= 500 && MI_HEIGHT(mi) >= 375)
+            f = tp->xfont1, fl = tp->font1_dlist;
+        else if (MI_WIDTH(mi) >= 350 && MI_HEIGHT(mi) >= 260)
+            f = tp->xfont2, fl = tp->font2_dlist;
+        else
+            f = tp->xfont3, fl = tp->font3_dlist;
+
+        glColor3f(0.8, 0.8, 0);
+        print_gl_string(mi->dpy, f, fl,
+                        mi->xgwa.width, mi->xgwa.height,
+                        10, mi->xgwa.height - 10, pn);
+    }
+    glEndList();
+
+    glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, white);
+    glMateriali(GL_FRONT_AND_BACK, GL_SHININESS, 128);
+
+    draw_shapes(mi);
+
+    glFlush();
+    glPopMatrix();
+    glXSwapBuffers(dpy, window);
+}
+
+#endif                          /* USE_GL */

=== added file 'hacks/glx/tangram.man'
--- hacks/glx/tangram.man	1970-01-01 00:00:00 +0000
+++ hacks/glx/tangram.man	2006-06-30 16:27:21 +0000
@@ -0,0 +1,63 @@
+.TH XScreenSaver 1 "" "X Version 11"
+.SH NAME
+tangram - watch the computer solve tangram puzzles.
+.SH SYNOPSIS
+.B tangram 
+[\-display \fIhost:display.screen\fP]
+[\-visual \fIvisual\fP]
+[\-window]
+[\-root]
+[\-delay \fInumber\fP]
+[\-wireframe]
+[\-viewing_time \fInumber\fP]
+[\-rotate]
+.SH DESCRIPTION
+The \fItangram\fP program uses a few basic shapes to build silhouettes of recognizable objects.
+.SH OPTIONS
+.I tangram
+accepts the following options:
+.TP 8
+.B \-visual \fIvisual\fP
+Specify which visual to use.  Legal values are the name of a visual class,
+or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-window
+Draw on a newly-created window.  This is the default.
+.TP 8
+.B \-root
+Draw on the root window.
+.TP 8
+.B \-delay \fInumber\fP
+Per-frame delay, in microseconds.  Default: 10000 (0.01 seconds.).
+.TP 8
+.B \-wireframe | \-no-wireframe
+Render in wireframe instead of solid.
+.TP 8
+.B \-viewing_time \fInumber\fP 
+Specify the length of time, in seconds, that the finished puzzle
+should be displayed. Default: 5
+.TP 8
+.B \-rotate | \-no-rotate
+Rotate the camera around the puzzle.
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global resources
+stored in the RESOURCE_MANAGER property.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.SH COPYRIGHT
+Copyright \(co 2005 by Jeremy English.  Permission to use, copy, modify, 
+distribute, and sell this software and its documentation for any purpose is 
+hereby granted without fee, provided that the above copyright notice appear 
+in all copies and that both that copyright notice and this permission notice
+appear in supporting documentation.  No representations are made about the 
+suitability of this software for any purpose.  It is provided "as is" without
+express or implied warranty.
+.SH AUTHOR
+Jeremy English <jhe@jeremyenglish.org>

=== added file 'hacks/glx/tangram_shapes.c'
--- hacks/glx/tangram_shapes.c	1970-01-01 00:00:00 +0000
+++ hacks/glx/tangram_shapes.c	2005-12-08 16:00:22 +0000
@@ -0,0 +1,216 @@
+/* tangram, Copyright (c) 2005 Jeremy English <jhe@jeremyenglish.org>
+ *
+ * Permission to use, copy, modify, distribute, and sell this software and its
+ * documentation for any purpose is hereby granted without fee, provided that
+ * the above copyright notice appear in all copies and that both that
+ * copyright notice and this permission notice appear in supporting
+ * documentation.  No representations are made about the suitability of this
+ * software for any purpose.  It is provided "as is" without express or
+ * implied warranty.
+ */
+
+#include <GL/gl.h>
+
+#define small_scale  ( 1 )
+#define large_scale  ( 2 )
+#define medium_scale ( 1.414213562 )
+
+#define alpha (0.05)
+
+static void tri_45_90(int wire)
+{
+    GLfloat vertices[][3] = {
+        {0, alpha, 0},
+        {0, alpha, 1},
+        {1, alpha, 0},
+        {0, -alpha, 0},
+        {0, -alpha, 1},
+        {1, -alpha, 0}
+    };
+
+    glBegin((wire) ? GL_LINE_LOOP : GL_TRIANGLES);
+
+    glNormal3f(0, 1, 0);
+    glVertex3fv(vertices[0]);
+    glNormal3f(0, 1, 0);
+    glVertex3fv(vertices[2]);
+    glNormal3f(0, 1, 0);
+    glVertex3fv(vertices[1]);
+
+    glNormal3f(0, -1, 0);
+    glVertex3fv(vertices[3]);
+    glNormal3f(0, -1, 0);
+    glVertex3fv(vertices[4]);
+    glNormal3f(0, -1, 0);
+    glVertex3fv(vertices[5]);
+    glEnd();
+
+    glBegin((wire) ? GL_LINE_LOOP : GL_QUADS);
+    glNormal3f(1, 0, 1);
+    glVertex3fv(vertices[2]);
+    glNormal3f(1, 0, 1);
+    glVertex3fv(vertices[5]);
+    glNormal3f(1, 0, 1);
+    glVertex3fv(vertices[4]);
+    glNormal3f(1, 0, 1);
+    glVertex3fv(vertices[1]);
+
+    glNormal3f(-1, 0, 0);
+    glVertex3fv(vertices[0]);
+    glNormal3f(-1, 0, 0);
+    glVertex3fv(vertices[1]);
+    glNormal3f(-1, 0, 0);
+    glVertex3fv(vertices[4]);
+    glNormal3f(-1, 0, 0);
+    glVertex3fv(vertices[3]);
+
+    glNormal3f(0, 0, -1);
+    glVertex3fv(vertices[0]);
+    glNormal3f(0, 0, -1);
+    glVertex3fv(vertices[3]);
+    glNormal3f(0, 0, -1);
+    glVertex3fv(vertices[5]);
+    glNormal3f(0, 0, -1);
+    glVertex3fv(vertices[2]);
+    glEnd();
+}
+
+void unit_cube(int wire)
+{
+    glBegin((wire) ? GL_LINE_LOOP : GL_QUADS);
+
+
+    glNormal3f(0.0f, 1.0f, 0.0f);
+    glVertex3f(0.0f, alpha, 0.0f);
+    glVertex3f(0.0f, alpha, 1.0f);
+    glVertex3f(1.0f, alpha, 1.0f);
+    glVertex3f(1.0f, alpha, 0.0f);
+
+    glNormal3f(0.0f, 0.0f, 1.0f);
+    glVertex3f(0.0f, -alpha, 1.0f);
+    glVertex3f(1.0f, -alpha, 1.0f);
+    glVertex3f(1.0f, alpha, 1.0f);
+    glVertex3f(0.0f, alpha, 1.0f);
+
+    glNormal3f(0.0f, 0.0f, -1.0f);
+    glVertex3f(0.0f, -alpha, 0.0f);
+    glVertex3f(0.0f, alpha, 0.0f);
+    glVertex3f(1.0f, alpha, 0.0f);
+    glVertex3f(1.0f, -alpha, 0.0f);
+
+    glNormal3f(1.0f, 0.0f, 0.0f);
+    glVertex3f(1.0f, -alpha, 0.0f);
+    glVertex3f(1.0f, alpha, 0.0f);
+    glVertex3f(1.0f, alpha, 1.0f);
+    glVertex3f(1.0f, -alpha, 1.0f);
+
+    glNormal3f(-1.0f, 0.0f, 0.0f);
+    glVertex3f(0.0f, -alpha, 0.0f);
+    glVertex3f(0.0f, -alpha, 1.0f);
+    glVertex3f(0.0f, alpha, 1.0f);
+    glVertex3f(0.0f, alpha, 0.0f);
+
+    glNormal3f(0.0f, -1.0f, 0.0f);
+    glVertex3f(0.0f, -alpha, 0.0f);
+    glVertex3f(1.0f, -alpha, 0.0f);
+    glVertex3f(1.0f, -alpha, 1.0f);
+    glVertex3f(0.0f, -alpha, 1.0f);
+
+    glEnd();
+}
+
+void unit_rhomboid(int wire)
+{
+    glBegin((wire) ? GL_LINE_LOOP : GL_QUADS);
+
+    glNormal3f(0.0f, 1.0f, 0.0f);
+    glVertex3f(0, alpha, 0);
+    glVertex3f(1, alpha, 1);
+    glVertex3f(1, alpha, 2);
+    glVertex3f(0, alpha, 1);
+
+    glNormal3f(0.0f, -1.0f, 0.0f);
+    glVertex3f(0, -alpha, 0);
+    glVertex3f(0, -alpha, 1);
+    glVertex3f(1, -alpha, 2);
+    glVertex3f(1, -alpha, 1);
+
+    glNormal3f(-1.0f, 0.0f, 0.0f);
+    glVertex3f(0, alpha, 0);
+    glVertex3f(0, alpha, 1);
+    glVertex3f(0, -alpha, 1);
+    glVertex3f(0, -alpha, 0);
+
+
+    glNormal3f(0.0f, 0.0f, 1.0f);
+    glVertex3f(0, alpha, 1);
+    glVertex3f(1, alpha, 2);
+    glVertex3f(1, -alpha, 2);
+    glVertex3f(0, -alpha, 1);
+
+    glNormal3f(1.0f, 0.0f, 0.0f);
+    glVertex3f(1, alpha, 1);
+    glVertex3f(1, -alpha, 1);
+    glVertex3f(1, -alpha, 2);
+    glVertex3f(1, alpha, 2);
+
+    glNormal3f(0.0f, 0.0f, 1.0f);
+    glVertex3f(0, alpha, 0);
+    glVertex3f(0, -alpha, 0);
+    glVertex3f(1, -alpha, 1);
+    glVertex3f(1, alpha, 1);
+
+    glEnd();
+}
+
+/* All of the pieces have the same thickness so all of the Y values are the same */
+
+GLuint get_sm_tri_dl(int wire)
+{
+    GLuint triangle = glGenLists(1);
+    glNewList(triangle, GL_COMPILE);
+    glScalef(small_scale, small_scale, small_scale);
+    tri_45_90(wire);
+    glEndList();
+    return triangle;
+}
+
+GLuint get_lg_tri_dl(int wire)
+{
+    GLuint triangle = glGenLists(1);
+    glNewList(triangle, GL_COMPILE);
+    glScalef(large_scale, small_scale, large_scale);
+    tri_45_90(wire);
+    glEndList();
+    return triangle;
+}
+
+GLuint get_md_tri_dl(int wire)
+{
+    GLuint triangle = glGenLists(1);
+    glNewList(triangle, GL_COMPILE);
+    glScalef(medium_scale, small_scale, medium_scale);
+    tri_45_90(wire);
+    glEndList();
+    return triangle;
+}
+
+GLuint get_square_dl(int wire)
+{
+    GLuint square = glGenLists(1);
+    glNewList(square, GL_COMPILE);
+    glScalef(small_scale, small_scale, small_scale);
+    unit_cube(wire);
+    glEndList();
+    return square;
+}
+
+GLuint get_rhomboid_dl(int wire)
+{
+    GLuint rhomboid = glGenLists(1);
+    glNewList(rhomboid, GL_COMPILE);
+    glScalef(small_scale, small_scale, small_scale);
+    unit_rhomboid(wire);
+    glEndList();
+    return rhomboid;
+}

=== added file 'hacks/glx/tangram_shapes.h'
--- hacks/glx/tangram_shapes.h	1970-01-01 00:00:00 +0000
+++ hacks/glx/tangram_shapes.h	2005-12-08 16:00:22 +0000
@@ -0,0 +1,15 @@
+#ifndef TANGRAM_SHAPES_H
+#define TANGRAM_SHAPES_H
+
+/* get_sm_tri_dl - Get small triangle Display List */
+GLuint get_sm_tri_dl(int wire);
+/* get_lg_tri_dl - Get large triangle Display List */
+GLuint get_lg_tri_dl(int wire);
+/* get_md_tri_dl - Get medium triangle Display List */
+GLuint get_md_tri_dl(int wire);
+/* get_square_dl - Get square Display List */
+GLuint get_square_dl(int wire);
+/* get_rhomboid_dl - Get rhomboid Display List */
+GLuint get_rhomboid_dl(int wire);
+
+#endif

=== added file 'hacks/glx/timetunnel.c'
--- hacks/glx/timetunnel.c	1970-01-01 00:00:00 +0000
+++ hacks/glx/timetunnel.c	2005-12-08 16:00:22 +0000
@@ -0,0 +1,1234 @@
+/* timetunnel. Based on dangerball.c, hack by Sean Brennan <zettix@yahoo.com>*/
+/* dangerball, Copyright (c) 2001-2004 Jamie Zawinski <jwz@jwz.org>
+ *
+ * Permission to use, copy, modify, distribute, and sell this software and its
+ * documentation for any purpose is hereby granted without fee, provided that
+ * the above copyright notice appear in all copies and that both that
+ * copyright notice and this permission notice appear in supporting
+ * documentation.  No representations are made about the suitability of this
+ * software for any purpose.  It is provided "as is" without express or 
+ * implied warranty.
+ */
+
+#include <X11/Intrinsic.h>
+#include <math.h> /* for log2 */
+
+extern XtAppContext app;
+
+#define PROGCLASS	"TimeTunnel"
+#define HACK_INIT	init_tunnel
+#define HACK_DRAW	draw_tunnel
+#define HACK_RESHAPE	reshape_tunnel
+#define HACK_HANDLE_EVENT tunnel_handle_event
+#define EVENT_MASK      PointerMotionMask
+#define sws_opts	xlockmore_opts
+
+#define DEF_START	"0.00"
+#define DEF_DILATE	"1.00"
+#define DEF_END		"27.79"
+#define DEF_LOCKLOGO	"False"
+#define DEF_TUNONLY	"False"
+#define DEF_REVERSE	"False"
+#define DEF_FOG		"True"
+#define DEF_TEXTURE     "True"
+#define MAX_TEXTURE 10
+#define CYL_LEN	    	14.0
+#define DIAMOND_LEN	10.0
+
+#define DEFAULTS	"*delay:	30000       \n" \
+			"*count:        30          \n" \
+			"*showFPS:      False       \n" \
+			"*timeStart:     0.0       \n" \
+			"*timeEnd:       27.79       \n" \
+			"*wireframe:    False       \n" \
+
+
+
+#undef countof
+#define countof(x) (sizeof((x))/sizeof((*x)))
+
+#include "xlockmore.h"
+#include "colors.h"
+#include "rotator.h"
+#include "gltrackball.h"
+#include <ctype.h>
+#include <sys/time.h> /* for time based animations */
+
+static float start, end, dilate;
+static Bool do_texture, tunonly, wire, reverse, do_fog;
+#ifdef GET_SUED_BY_THE_BBC
+static Bool locklogo;
+#endif
+
+static XrmOptionDescRec opts[] = {
+  {"-texture"	, ".texture",   XrmoptionNoArg, "true" },
+  {"-start"	, ".start",    	XrmoptionSepArg, 0 },
+  {"-end"	, ".end",    	XrmoptionSepArg, 0 },
+  {"-dilate"	, ".dilate",   XrmoptionSepArg, 0 },
+#ifdef GET_SUED_BY_THE_BBC
+  {"-locklogo"	, ".locklogo",  XrmoptionNoArg, "true" },
+#endif
+  {"-tunonly"	, ".tunonly",   XrmoptionNoArg, "true" },
+  {"-reverse"	, ".reverse",   XrmoptionNoArg, "true" },
+  {"-fog"	, ".fog",  	XrmoptionNoArg, "false" },
+};
+
+static argtype vars[] = {
+  {&do_texture, "texture", "Texture", DEF_TEXTURE, t_Bool},
+  {&start, "start", "Start", DEF_START, t_Float},
+  {&end,     "end",   "End", DEF_END  , t_Float},
+  {&dilate,     "dilate",   "Dilate", DEF_DILATE  , t_Float},
+#ifdef GET_SUED_BY_THE_BBC
+  {&locklogo,     "locklogo",   "LockLogo", DEF_LOCKLOGO  , t_Bool},
+#endif
+  {&tunonly,     "tunonly",   "TunnelOnly", DEF_TUNONLY  , t_Bool},
+  {&reverse,     "reverse",   "Reverse", DEF_REVERSE  , t_Bool},
+  {&do_fog,     "fog",   "Fog", DEF_FOG  , t_Bool},
+};
+
+ModeSpecOpt sws_opts = {countof(opts), opts, countof(vars), vars, NULL};
+#include "xpm-ximage.h"
+#include "../../utils/images/logo-180.xpm"
+#include "../images/tunnelstar.xpm"
+#include "../images/timetunnel0.xpm"
+#include "../images/timetunnel1.xpm"
+#include "../images/timetunnel2.xpm"
+#ifdef GET_SUED_BY_THE_BBC
+# include "../images/tardis.xpm"
+# include "../images/whologo.xpm"
+# include "../images/whohead1.xpm"
+/* #include "../images/whohead_psy.xpm" */
+# endif /* GET_SUED_BY_THE_BBC */
+
+
+#ifdef USE_GL /* whole file */
+
+#include <GL/glu.h>
+
+/* ANIMATION CONTROLS */
+/* an effect is a collection of floating point variables that vary with time.
+A knot is a timestamp with an array of floats.  State is the current values of the floats.
+State is set by linearly interpolating between knots */
+typedef struct {
+	float *knots, *state;
+	int numknots, knotwidth;
+	float direction;
+} effect_t;
+
+typedef struct {
+  GLXContext *glx_context;
+  rotator *rot;
+  trackball_state *trackball;
+  Bool button_down_p;
+
+  int time_oldusec, time_oldsec;
+
+  int num_texshifts; /* animates tunnels. Not an effect. */
+  GLfloat pos, *texshift;
+
+  GLuint texture_binds[MAX_TEXTURE], cyllist, diamondlist;
+
+  float effect_time, effect_maxsecs; /* global time controls */
+  float start_time, end_time;
+
+  int num_effects;
+  effect_t *effects; /* array of all effects */
+
+} tunnel_configuration;
+
+static tunnel_configuration *tconf = NULL;
+
+/* allocate memory and populate effect with knot data */
+void init_effect(effect_t *e, int numk, int kwidth, 
+	float dir, float *data ) {
+	int i, j;
+
+	e->numknots = numk;	
+	e->knotwidth = kwidth;	
+	e->direction = dir;
+	e->knots = calloc(numk * kwidth, sizeof(float));
+	e->state = calloc(numk, sizeof(float));
+	for ( i = 0 ; i < e->numknots ; i++)
+		for ( j = 0 ; j < e->knotwidth; j++)
+			e->knots[i * kwidth + j] = data[i * kwidth + j];
+}
+
+/* static knot data. each effect is listed and knot data is hard coded. 
+   Knots are linerally interpolated to yield float values, depending on
+   knot width.  knot format is [time, data, data, data...].
+   Data can be alpha, zvalue, etc. */
+void init_effects(effect_t *e, int effectnum)
+{
+	/* effect 1: wall tunnel. percent closed */
+	float e1d[6][2] = 
+		{{0.0, 0.055}, 
+		 {2.77, 0.055}, 
+		 {3.07,1.0}, 
+		 {8.08, 1.0},
+		 {8.08, 0.0}, 
+		 {10.0, 0.0}};
+	/* effect 2: tardis. distance and alpha */
+	float e2d[8][3] = 
+	{	{0.0, 0.0 , 0.0}, 
+		{3.44, 0.0 , 0.0},
+		{3.36, 5.4 , 0.0},
+		{4.24, 3.66, 1.0},
+		{6.51, 2.4,  0.94},
+		{8.08, 0.75 , 0.0}, 
+		{8.08, 0.0 , 0.0},
+		{10.0, 0.0, 0.0}};
+	/* effect 3: cylender. alpha  */
+	float e3d[5][2] = 
+		{{0.0, 0.0}, 
+		 {6.41, 0.00},
+		 {8.08, 1.0}, 
+		 {14.81, 1.0},
+		 {15.65, 0.0}};
+
+	/* effect 4: fog. color, density,  start, end  */
+	float e4d[9][5] = 
+		{{0.0 , 1.0, 0.45, 3.0, 15.0},
+		 {6.40, 1.0, 0.45, 3.0, 14.0},
+		 {8.08, 1.0, 0.95, 1.0, 14.0},
+		 {15.17, 1.0, 0.95, 1.0, 6.0},
+		 {15.51, 1.0, 0.95, 3.0, 8.0},
+		 {23.35, 1.0, 0.95, 3.0, 8.0},
+		 {24.02, 0.0, 0.95, 2.3, 5.0},
+		 {26.02, 0.0, 0.95, 2.3, 5.0},
+		 {27.72, 0.0, 1.00, 0.3, 0.9}
+		 };
+
+	/* effect 5: logo. dist, alpha  */
+	float e5d[7][3] = 
+		{{0.0, 0.0, 0.0}, 
+		{16.52, 0.00, 0.0}, 
+		{16.52, 0.80, 0.01}, 
+		{17.18, 1.15, 1.0}, 
+		{22.36, 5.3, 1.0}, 
+		{22.69, 5.7, 0.0},
+		{22.69, 0.0, 0.0}
+		};
+	/* effect 6: diamond tunnel. alpha */
+	float e6d[3][2] = 
+		{{0.0, 0.00}, 
+		{15.17, 0.00},
+		{15.51,1.0}};
+
+	/* effect 7: tardis cap draw . positive draws cap*/
+	float e7d[3][2] = 
+		{{0.0, -1.00}, 
+		{4.24, -1.00},
+		{4.24, 1.00}};
+
+	/* effect 8: star/asterisk: alpha */
+	float e8d[5][2] = 
+		{{0.0,    .00}, 
+		{10.77,   .00},
+		{11.48,  1.00},
+		{15.35,  1.00},
+		{16.12,  0.00}};
+
+	/* effect 9: whohead 1  alpha */
+	float e9d[5][2] = 
+		{{0.0,    .00}, 
+		{13.35,   .00},
+		{14.48,  1.00},
+		{15.17,  1.00},
+		{15.97,  0.00}};
+		/* {14.87,  1.00},
+		{15.17,  0.00}}; */
+
+	/* effect 10: whohead-brite  alpha */
+	float e10d[5][2] = 
+		{{0.0,    .00}, 
+		{11.34,   .00},
+		{12.34,   .20},
+		{13.35,  0.60},
+		{14.48,  0.00}}; 
+		/* {13.95,  0.00}}; */
+
+	/* effect 11: whohead-psy  alpha */
+	float e11d[5][2] = 
+		{{0.0,    .00}, 
+		{14.87,   .00},
+		{15.17,  1.00},
+		{15.91,  0.00},
+		{16.12,  0.00}};
+
+	/* effect 12: whohead-silhouette pos-z,  alpha */
+	float e12d[6][3] = 
+		{{0.0,   1.0,  .00}, 
+		{15.07,  1.0, 0.00},
+		{15.07,  1.0, 1.00},
+		{16.01,  1.0, 1.00},
+		{16.78,  0.5, 1.00},
+		{16.78,  0.1, 0.00} };
+
+	/* effect 1: wall tunnel */
+	if (effectnum == 1)
+		init_effect(e, 6, 2,  -0.2, (float *) e1d);
+
+	/* effect 2: tardisl */
+	if (effectnum == 2)
+		init_effect(e, 8, 3, 1.0,  (float *) e2d);
+
+	/* effect 3: cylender tunnel  */
+	if (effectnum == 3)
+		init_effect(e, 5, 2, 0.889  ,  (float *) e3d);
+
+	/* effect 4: fog color */
+	if (effectnum == 4)
+		init_effect(e, 9, 5, 1.0,  (float *) e4d);
+	/* effect 5: logo distance, alpha*/
+	if (effectnum == 5)
+		init_effect(e, 7, 3, 1.0,  (float *) e5d);
+	/* effect 6: diamond tunnel, alpha*/
+	if (effectnum == 6)
+		init_effect(e, 3, 2, 0.24 ,  (float *) e6d);
+
+	/* effect 7: cap wall tunnel*/
+	if (effectnum == 7)
+		init_effect(e, 3, 2, 1.0,  (float *) e7d);
+
+	/* effect 8: asterisk */
+	if (effectnum == 8)
+		init_effect(e, 5, 2, 1.0,  (float *) e8d);
+
+	/* effect 9, 10, 11, 12: whoheads */
+	if (effectnum == 9 )
+		init_effect(e, 5, 2, 1.0,  (float *) e9d);
+	if (effectnum == 10 )
+		init_effect(e, 5, 2, 1.0,  (float *) e10d);
+	if (effectnum == 11 )
+		init_effect(e, 5, 2, 1.0,  (float *) e11d);
+	if (effectnum == 12 )
+		init_effect(e, 6, 3, 1.0,  (float *) e12d);
+}
+
+
+/* set fog parameters, controlled by effect */
+void update_fog(float color, float density, float start, float end) {
+		GLfloat col[4];
+	
+		col[0] = col[1] = col[2] = color;
+		col[3] = 1.0;
+
+      		glFogi(GL_FOG_MODE, GL_LINEAR);
+      		glFogfv(GL_FOG_COLOR, col);
+      		glFogf(GL_FOG_DENSITY, density);
+      		glFogf(GL_FOG_START, start);
+      		glFogf(GL_FOG_END, end);
+}
+
+/* set effect's floating point data values by linearally interpolating
+between two knots whose times bound the current time: eff_time */
+
+void update_knots(effect_t *e, float eff_time) {
+	int i, j;
+	float timedelta, lowknot, highknot, *curknot, *nextknot;
+
+	for ( i = 0 ; i < e->numknots ; i++)
+		if (e->knots[i * e->knotwidth] <= eff_time) {
+			if ( i < e->numknots - 1) 
+				nextknot = e->knots + (i + 1) * e->knotwidth;
+			else
+				/*repeat last knot to carry knot data forward*/
+				nextknot = e->knots + (i) * e->knotwidth;
+			curknot = e->knots + i * e->knotwidth;
+			if (*nextknot - *curknot <= 0.0) timedelta = 1.0;
+			else
+				timedelta = (eff_time-*curknot)/(*nextknot-*curknot);
+			if (timedelta > 1.0) timedelta = 1.0;
+			for (j = 1 ; j < e->knotwidth ; j++) {
+				highknot = (float) *(nextknot + j);
+				lowknot  = (float) *(curknot  + j);
+				e->state[j - 1 ] = lowknot+(highknot-lowknot)*timedelta;
+			}
+		}
+	
+}
+
+
+/* Window management, etc
+ */
+void
+reshape_tunnel (ModeInfo *mi, int width, int height)
+{
+  GLfloat h = (GLfloat) height / (GLfloat) width;
+
+  glViewport (0, 0, (GLint) width, (GLint) height);
+
+  glMatrixMode(GL_PROJECTION);
+  glLoadIdentity();
+  gluPerspective (90.0, 1/h, 0.2, 50.0); 
+
+  glMatrixMode(GL_MODELVIEW);
+  glLoadIdentity();
+  gluLookAt( 0.0, 0.0, 0.3,
+             0.0, 0.0, 1.0,
+             0.0, 1.0, 0.0);
+
+  glClear(GL_COLOR_BUFFER_BIT);
+}
+
+
+
+
+Bool
+tunnel_handle_event (ModeInfo *mi, XEvent *event)
+{
+  tunnel_configuration *tc = &tconf[MI_SCREEN(mi)];
+
+  if (event->xany.type == ButtonPress &&
+      event->xbutton.button == Button1)
+    {
+      tc->button_down_p = True;
+      gltrackball_start (tc->trackball,
+                         event->xbutton.x, event->xbutton.y,
+                         MI_WIDTH (mi), MI_HEIGHT (mi));
+      return True;
+    }
+  else if (event->xany.type == ButtonRelease &&
+           event->xbutton.button == Button1)
+    {
+      tc->button_down_p = False;
+      return True;
+    }
+  else if (event->xany.type == ButtonPress &&
+           (event->xbutton.button == Button4 ||
+            event->xbutton.button == Button5))
+    {
+      gltrackball_mousewheel (tc->trackball, event->xbutton.button, 10,
+                              !!event->xbutton.state);
+      return True;
+    }
+  else if (event->xany.type == MotionNotify &&
+           tc->button_down_p)
+    {
+      gltrackball_track (tc->trackball,
+                         event->xmotion.x, event->xmotion.y,
+                         MI_WIDTH (mi), MI_HEIGHT (mi));
+      return True;
+    }
+
+  return False;
+}
+
+void setTexParams(void)
+{
+        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
+        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
+        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
+        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
+        glTexEnvi(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_REPLACE);
+}
+
+void update_animation(tunnel_configuration *tc) {
+
+	/* time based, of course*/
+	/* shift texture based on elapsed time since previous call*/
+	static struct timeval tv;
+	static struct timezone tz;
+	static int elapsed_usecs, elapsed_secs, i;
+	float computed_timeshift;
+
+	/* get new animation time */
+	gettimeofday(&tv, &tz);
+	elapsed_secs = tv.tv_sec - tc->time_oldsec;
+	elapsed_usecs = tv.tv_usec - tc->time_oldusec;
+	/* store current time */
+ 	tc->time_oldsec = tv.tv_sec ;
+ 	tc->time_oldusec = tv.tv_usec;
+	/* elaped time. computed timeshift is tenths of a second */
+	computed_timeshift = (float) (elapsed_secs * 1000000. + elapsed_usecs)/ 
+						      100000.0;
+
+	/* calibrate effect time to lie between start and end times */
+	/* loop if time exceeds end time */
+	if (reverse)
+		tc->effect_time -= computed_timeshift / 10.0 * dilate;
+	else
+		tc->effect_time += computed_timeshift / 10.0 * dilate;
+	if ( tc->effect_time >= tc->end_time)
+		tc->effect_time = tc->start_time;
+	if ( tc->effect_time < tc->start_time)
+		tc->effect_time = tc->end_time;;
+
+	/* move texture shifters in effect's direction, e.g. tardis
+	   tunnel moves backward, effect 1's direction */
+	 if (reverse) { 
+		tc->texshift[0] -= tc->effects[1].direction * computed_timeshift/ 10.0; 
+		tc->texshift[1] -= tc->effects[3].direction * computed_timeshift/ 10.0; 
+		tc->texshift[2] -= tc->effects[6].direction * computed_timeshift/ 10.0; 
+
+	} else {
+		tc->texshift[0] += tc->effects[1].direction * computed_timeshift/ 10.0; 
+		tc->texshift[1] += tc->effects[3].direction * computed_timeshift/ 10.0; 
+		tc->texshift[2] += tc->effects[6].direction * computed_timeshift/ 10.0; 
+	}
+
+	/* loop texture shifters if necessary */
+  	for ( i = 0 ; i < tc->num_texshifts; i++) {
+		if (tc->texshift[i] > 1.0)
+			tc->texshift[i] -= (int) tc->texshift[i];
+		if (tc->texshift[i]< -1.0)
+			tc->texshift[i] -= (int) tc->texshift[i];
+	}
+
+	/* update effect data with current time. Uses linear interpolation */	
+	for ( i = 1 ; i <= tc->num_effects ; i++)
+		update_knots(&tc->effects[i], tc->effect_time);
+
+} /*update_animation*/
+
+/* draw a textured(tex) quad at a certain depth (z), and certain alpha (alpha), 
+with aspect ratio (aspect), and blending mode (blend_mode) of either adding
+or subtracting.  if alpha is zero or less, nothing happens */
+void draw_sign(ModeInfo *mi, tunnel_configuration *tc, float z,  float alpha, float aspect,
+		GLuint tex, int blend_mode)
+{
+
+	if (alpha > 0.0) {
+  		mi->polygon_count ++;
+		/* glEnable(GL_BLEND); */
+		glBlendColor(0.0, 0.0, 0.0, alpha);
+		/*glBlendColor(0.0, 0.0, 0.0, 0.0); */
+		if (blend_mode == 1) {
+			glBlendFunc(GL_CONSTANT_ALPHA,
+				    GL_ONE);
+			glBlendEquation(GL_FUNC_REVERSE_SUBTRACT);
+		} else if (blend_mode == 2) {
+			glBlendFunc(GL_CONSTANT_ALPHA,
+				    GL_ONE);
+			glBlendEquation(GL_FUNC_ADD);
+		} else {
+			glBlendFunc(GL_CONSTANT_ALPHA,
+				    GL_ONE_MINUS_CONSTANT_ALPHA);
+			glBlendEquation(GL_FUNC_ADD);
+		} /* blend mode switch */
+
+#ifdef HAVE_GLBINDTEXTURE
+		if (do_texture)
+			glBindTexture(GL_TEXTURE_2D, tc->texture_binds[tex]);
+#endif
+		glBegin(GL_QUADS);
+		glTexCoord2f(1.0, 0.0);
+		glVertex3f(-1.0 , -1.0 * aspect , z);
+		glTexCoord2f(1.0, 1.0);
+		glVertex3f(-1.0 , 1.0 * aspect , z);
+		glTexCoord2f(0.0, 1.0);
+		glVertex3f(1.0 , 1.0 * aspect , z);
+		glTexCoord2f(0.0, 0.0);
+		glVertex3f(1.0 , -1.0 * aspect , z); 
+		glEnd();
+		if (blend_mode != 0) {
+			glBlendFunc(GL_CONSTANT_ALPHA,
+				    GL_ONE_MINUS_CONSTANT_ALPHA);
+			glBlendEquation(GL_FUNC_ADD);
+		}
+		/* glDisable(GL_BLEND); */
+
+	}
+} /* draw sign */
+
+
+/* draw a time tunnel.  used for both cylender and diamond tunnels.
+   uses texture shifter (indexed by shiftnum) to simulate motion.
+   tunnel does not move, and is acutally a display list.  if alpha = 0, skip */
+void draw_cyl(ModeInfo *mi, tunnel_configuration *tc, float alpha, int texnum, int listnum, int shiftnum)
+{
+	if (alpha > 0.0) {
+		if (listnum  ==  tc->diamondlist)
+  			mi->polygon_count += 4;
+		if (listnum  ==  tc->cyllist)
+  			mi->polygon_count += 30;
+  		glMatrixMode(GL_TEXTURE);
+  		glLoadIdentity();
+  		glTranslatef(tc->texshift[shiftnum], 0.0, 0.0);
+  		glMatrixMode(GL_MODELVIEW);
+		/* glEnable(GL_BLEND); */
+		glBlendColor(0.0, 0.0, 0.0, alpha);
+		glBlendFunc(GL_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_ALPHA);
+	
+#ifdef HAVE_GLBINDTEXTURE
+		if (do_texture)
+			glBindTexture(GL_TEXTURE_2D, tc->texture_binds[texnum]);
+#endif
+		glCallList(listnum);
+
+  		glMatrixMode(GL_TEXTURE);
+  		glLoadIdentity();
+  		glMatrixMode(GL_MODELVIEW); 
+		/* glDisable(GL_BLEND); */
+	}
+}
+
+
+/* make tardis type tunnel.  Starts as walls and then
+grows to outline of tardis.  percent is how complete
+tardis outline is.  cap is to draw cap for nice fog effects */
+
+void make_wall_tunnel(ModeInfo *mi, tunnel_configuration *tc, float percent, float cap)
+{
+	/* tardis is about 2x1, so wrap tex around, starting at the base*/
+	/* tex coords are:
+
+ _tl__tr_
+ |      |
+l|      |r
+ |      |
+ -bl__br_  
+	that's br=bottom right, etc. ttr is top-top-right */
+
+	float   half_floor= 0.08333333333333333,
+		full_wall = 0.33333333333333333;
+	float   br1,
+		r0 , r1 ,
+		tr0, tr1,
+		tl0, tl1,
+		l0 , l1 ,
+		bl0, depth=0.3, zdepth=15.0;
+	/* zdepth is how far back tunnel goes */
+	/* depth is tex coord scale.  low number = fast texture shifting */
+
+	float textop, texbot;	
+	float height;
+
+	br1 = half_floor;
+	r0 = br1 ;
+	r1 = r0 + full_wall;
+	tr0 = r1;
+	tr1 = r1 + half_floor;
+	tl0 = tr1;
+	tl1 = tl0 + half_floor;
+	l0 = tr1;
+	l1 = l0 + full_wall;
+	bl0 = l1;
+
+  	glMatrixMode(GL_TEXTURE);
+  	glLoadIdentity();
+	glRotatef(90.0, 0.0, 0.0, 1.0);
+  	glTranslatef(tc->texshift[0], 0.0, 0.0);
+  	glMatrixMode(GL_MODELVIEW);
+
+#ifdef HAVE_GLBINDTEXTURE
+	if (do_texture)
+        	glBindTexture(GL_TEXTURE_2D, tc->texture_binds[0]);
+#endif
+	glColor3f(1.0, 1.0, 0.0);
+	if (cap > 0.0 && percent > 0.0 && ! tunonly && do_fog) {
+  		mi->polygon_count += 6;
+		glBegin(GL_TRIANGLE_FAN);
+		glVertex3f(0.0, 0.0, zdepth);
+		glVertex3f(-1.0, -2.0, zdepth);
+		glVertex3f(1.0, -2.0, zdepth);
+		glVertex3f(1.0, 2.0, zdepth);
+		glVertex3f(0.2, 2.0, zdepth);
+		glVertex3f(0.2, 2.2, zdepth);
+		glVertex3f(-0.2, 2.2, zdepth);
+		glVertex3f(-0.2, 2.0, zdepth);
+		glVertex3f(-1.0, 2.0, zdepth);
+		glVertex3f(-1.0, -2.0, zdepth);
+		glEnd();
+	}
+	if (percent > ( full_wall * 2.0)) {
+		glBegin(GL_QUADS);
+
+		height = (percent  - full_wall * 2.0) /( 1.0 - full_wall * 2.0);
+		if (height > 1.0) height = 1.0;
+
+
+		if ( height > 0.8) {
+  			mi->polygon_count += 2;
+			if ( height > 0.90) {
+  				mi->polygon_count += 2;
+				/* TTTR */
+				texbot = tr0;
+				textop = tr0 + half_floor * height;
+				glTexCoord2f(0.0, texbot);
+				glVertex3f(0.2, 2.2, 0.0);
+		
+				glTexCoord2f(0.0, textop);
+				glVertex3f(2.0 - height * 2.0, 2.2, 0.0);
+		
+				glTexCoord2f(depth, textop);
+				glVertex3f(2.0 - height * 2.0, 2.2, zdepth);
+	
+				glTexCoord2f(depth, texbot);
+				glVertex3f(0.2, 2.2, zdepth);
+	
+				/* TTTL */
+				texbot = tl1 - half_floor * height;
+				textop = tl1;
+				glTexCoord2f(0.0, texbot);
+				glVertex3f(-2.0 + height * 2.0, 2.2, 0.0);
+		
+				glTexCoord2f(0.0, textop);
+				glVertex3f(-0.2, 2.2, 0.0);
+		
+				glTexCoord2f(depth, textop);
+				glVertex3f(-0.2, 2.2, zdepth);
+		
+				glTexCoord2f(depth, texbot);
+				glVertex3f(-2.0 + height * 2.0, 2.2, zdepth);
+			}
+			if (height > 0.90) height = 0.90;
+
+			/* TTR */
+			texbot = tr0;
+			textop = tr0 + half_floor * height;
+			glTexCoord2f(0.0, texbot);
+			glVertex3f(0.2, 2.0, 0.0);
+	
+			glTexCoord2f(0.0, textop);
+			glVertex3f(0.2, 0.4 + height * 2.0, 0.0);
+	
+			glTexCoord2f(depth, textop);
+			glVertex3f(0.2, 0.4 + height * 2.0, zdepth);
+	
+			glTexCoord2f(depth, texbot);
+			glVertex3f(0.2, 2.0, zdepth);
+
+			/* TTL */
+			texbot = tl1 - half_floor * height;
+			textop = tl1;
+			glTexCoord2f(0.0, texbot);
+			/*glVertex3f(-.2, 2.0 + (0.9 - height) * 2.0, 0.0); */
+			glVertex3f(-.2,  0.4 + height * 2.0, 0.0);
+	
+			glTexCoord2f(0.0, textop);
+			glVertex3f(-.2, 2.0, 0.0);
+	
+			glTexCoord2f(depth, textop);
+			glVertex3f(-.2, 2.0, zdepth);
+	
+			glTexCoord2f(depth, texbot);
+			glVertex3f(-.2, 0.4 + height * 2.0, zdepth);
+		}
+	
+		height = (percent  - full_wall * 2.0) /( 1.0 - full_wall * 2.0);
+		if (height > 0.8) height = 0.8;
+
+
+  		mi->polygon_count += 2;
+		/* TR */
+		texbot = tr0;
+		textop = tr0 + half_floor * height;
+		glTexCoord2f(0.0, texbot);
+		glVertex3f(1.0, 2.0, 0.0);
+
+		glTexCoord2f(0.0, textop);
+		glVertex3f(1.0 - height, 2.0, 0.0);
+
+		glTexCoord2f(depth, textop);
+		glVertex3f(1.0 - height, 2.0, zdepth);
+
+		glTexCoord2f(depth, texbot);
+		glVertex3f(1.0, 2.0, zdepth);
+
+		/* TL */
+		texbot = tl1 - half_floor * height;
+		textop = tl1;
+		glTexCoord2f(0.0, texbot);
+		glVertex3f(-1.0 + height, 2.0, 0.0);
+
+		glTexCoord2f(0.0, textop);
+		glVertex3f(-1.0, 2.0, 0.0);
+
+		glTexCoord2f(depth, textop);
+		glVertex3f(-1.0, 2.0, zdepth);
+
+		glTexCoord2f(depth, texbot);
+		glVertex3f(-1.0 + height, 2.0, zdepth);
+
+		height = (percent  - full_wall * 2.0) /( 1.0 - full_wall * 2.0);
+
+		if (height > 1.0) height = 1.0;
+
+
+  		mi->polygon_count += 2;
+		/* BR */
+		texbot = tr0;
+		textop = tr0 + half_floor * height;
+		glTexCoord2f(0.0, texbot);
+		glVertex3f(1.0, -2.0, 0.0);
+
+		glTexCoord2f(0.0, textop);
+		glVertex3f(1.0 - height, -2.0, 0.0);
+
+		glTexCoord2f(depth, textop);
+		glVertex3f(1.0 - height, -2.0, zdepth);
+
+		glTexCoord2f(depth, texbot);
+		glVertex3f(1.0, -2.0, zdepth);
+
+		/* BL */
+		texbot = tl1 - half_floor * height;
+		textop = tl1;
+		glTexCoord2f(0.0, texbot);
+		glVertex3f(-1.0 + height, -2.0, 0.0);
+
+		glTexCoord2f(0.0, textop);
+		glVertex3f(-1.0, -2.0, 0.0);
+
+		glTexCoord2f(depth, textop);
+		glVertex3f(-1.0, -2.0, zdepth);
+
+		glTexCoord2f(depth, texbot);
+		glVertex3f(-1.0 + height, -2.0, zdepth);
+
+		
+		glEnd();
+	}
+	
+	if (percent > 0.0) {
+  		mi->polygon_count += 2;
+		glBegin(GL_QUADS);
+		height = percent / ( full_wall * 2.0);
+		if (height > 1.0) height = 1.0;
+		textop = (l0 + l1) / 2.0 - full_wall * 0.5 * height;
+		texbot = (l0 + l1) / 2.0 + full_wall * 0.5 * height;
+
+		glTexCoord2f(0.0, textop);
+		glVertex3f(-1.0, height * 2, 0.0);
+
+		glTexCoord2f(0.0, texbot);
+		glVertex3f(-1.0, -height * 2, 0.0);
+
+		glTexCoord2f(depth, texbot);
+		glVertex3f(-1.0, -height * 2, zdepth);
+
+		glTexCoord2f(depth, textop);
+		glVertex3f(-1.0, height * 2, zdepth);
+
+		textop = (r0 + r1) / 2.0 - full_wall * 0.5 * height;
+		texbot = (r0 + r1) / 2.0 + full_wall * 0.5 * height;
+
+		glTexCoord2f(0.0, texbot);
+		glVertex3f(1.0, height * 2, 0.0);
+
+		glTexCoord2f(0.0, textop);
+		glVertex3f(1.0, -height * 2, 0.0);
+
+		glTexCoord2f(depth, textop);
+		glVertex3f(1.0, -height * 2, zdepth);
+
+		glTexCoord2f(depth, texbot);
+		glVertex3f(1.0, height * 2, zdepth);
+		glEnd();
+	}
+
+
+  	glMatrixMode(GL_TEXTURE);
+  	glLoadIdentity();
+  	glMatrixMode(GL_MODELVIEW);
+} /* make_wall_tunnel */
+
+/* wraps an int to between min and max.
+   Kind of like the remainder when devided by (max - min).
+   Used to create torus mapping on square array */
+int wrapVal(int val, int min, int max)
+{
+	int ret;
+
+	ret = val;
+	if (val >= max)
+		ret = min + (val - max ) % (max - min);
+	if (val < min)
+		ret = max - (min - val) % (max - min);
+	return(ret);
+}
+
+/*=================== Load Texture =========================================*/
+/* ripped from atunnel.c,  Copyright (c) E. Lassauge, 2003-2004. */
+/* modified like so by Sean Brennan:
+  take texture object for glbind
+  removed xlock stuff
+  Added filters:
+    blur color / alpha channel [3x3 box filter, done [blur] times
+    anegative : create b/w image from zero alpha. zero alpha gets bw_color,
+		nonzero alpha gets 1.0 - bwcolor, then alpha flipped to 1-alpha.
+
+*/
+
+float mylog2(float x) { return ( log(x) / log(2));}
+
+static void LoadTexture(ModeInfo * mi, char **fn, unsigned int texbind, int blur, float bw_color, Bool anegative, Bool onealpha)
+{
+	/* looping and temporary array index variables */
+	int ix, iy, bx, by, indx, indy, boxsize, cchan, tmpidx, dtaidx;
+
+	float boxdiv, tmpfa, blursum ;
+	unsigned char *tmpbuf, tmpa;
+	Bool rescale;
+
+
+        XImage *teximage;    /* Texture data */
+
+	rescale = FALSE;
+
+	boxsize = 2;
+	boxdiv = 1.0 / ( boxsize * 2.0 + 1.0) / ( boxsize * 2.0 + 1.0);
+
+        if ((teximage = xpm_to_ximage(MI_DISPLAY(mi), MI_VISUAL(mi),
+                         MI_COLORMAP(mi), fn)) == None) {
+            fprintf(stderr, "%s: error reading the texture.\n", progname);
+            glDeleteTextures(1, &texbind);
+            do_texture = False;
+            exit(0);
+        }
+
+	/* check if image is 2^kumquat, where kumquat is an integer between 1 and 10. Recale to
+	   nearest power of 2. */
+	tmpfa = mylog2((float) teximage->width);
+	bx = 2 << (int) (tmpfa -1);
+	if (bx != teximage->width) {
+		rescale = TRUE;
+		if ((tmpfa - (int) tmpfa) >  0.5849)
+			bx = bx * 2;
+	}
+	tmpfa = mylog2((float) teximage->height);
+	by = 2 << (int) (tmpfa - 1);
+	if (by != teximage->height) {
+		rescale = TRUE;
+		if ((tmpfa - (int) tmpfa) >  0.5849)
+			by = by * 2;
+	}
+
+	if (rescale) {
+		tmpbuf = calloc(bx * by * 4, sizeof(unsigned char));
+		if (gluScaleImage(GL_RGBA, teximage->width, teximage->height, GL_UNSIGNED_BYTE, teximage->data,
+				bx, by, GL_UNSIGNED_BYTE, tmpbuf))
+        		check_gl_error("scale image");
+		
+		free(teximage->data);
+		teximage->data = (char *) tmpbuf;
+		teximage->width = bx;
+		teximage->height= by;
+	}
+	/* end rescale code */
+		
+	if (anegative ) {
+		for (ix = 0 ; ix < teximage->height * teximage->width; ix++)
+			{
+				if (!teximage->data[ ix * 4 + 3]) {
+					teximage->data[ ix * 4 + 3]  = (unsigned char) 0xff;
+					tmpa = (unsigned char) (bw_color * 0xff);
+			 	} else  {
+					if (onealpha)
+						teximage->data[ ix * 4 + 3]  = (unsigned char) 0xff;
+					else
+						teximage->data[ ix * 4 + 3]  = (unsigned char)  0xff - 
+								teximage->data[ ix * 4 + 3];
+					tmpa = (unsigned char) ((1.0 - bw_color) * 0xff);
+				}
+				/* make texture uniform b/w color */
+				teximage->data[ ix * 4 + 0]  =
+					(unsigned char) ( tmpa);
+				teximage->data[ ix * 4 + 1]  =
+ 					(unsigned char) ( tmpa);
+				teximage->data[ ix * 4 + 2]  =
+ 					(unsigned char) ( tmpa);
+				/* negate alpha */
+			}
+	}
+		
+	if (blur > 0) {
+		if (! anegative ) /* anegative alread b/w's the whole image */
+			for (ix = 0 ; ix < teximage->height * teximage->width; ix++)
+				if (!teximage->data[ ix * 4 + 3])
+				{
+					teximage->data[ ix * 4 + 0]  =
+						(unsigned char) ( 255.0 * bw_color);
+					teximage->data[ ix * 4 + 1]  =
+ 						(unsigned char) ( 255.0 * bw_color);
+					teximage->data[ ix * 4 + 2]  =
+ 						(unsigned char) ( 255.0 * bw_color);
+				}
+		;
+		tmpbuf = calloc(teximage->height * teximage->width * 4, sizeof(unsigned char)  )	;
+		while (blur--) {
+			/* zero out tmp alpha buffer */
+			for (iy = 0 ; iy <teximage->height * teximage->width * 4 ; iy++)
+			 	tmpbuf[iy] = 0;
+			for (cchan = 0; cchan < 4 ; cchan++) {
+				for (iy = 0 ; iy < teximage->height ; iy++) {
+					for (ix = 0 ; ix < teximage->width ; ix++) {
+						dtaidx = (teximage->width * iy + ix) * 4;
+						tmpa =  teximage->data[dtaidx + cchan];
+						tmpfa = (float) tmpa * boxdiv;
+						/* box filter */
+						blursum = 0.0;
+						for (by = -boxsize ; by <= boxsize; by++) {
+							for (bx = -boxsize ; bx <= boxsize; bx++) {
+								indx = wrapVal(ix + bx, 0, teximage->width);
+								indy = wrapVal(iy + by, 0, teximage->height);
+								tmpidx = (teximage->width * indy + indx) * 4;
+								blursum = tmpfa;
+								tmpbuf[tmpidx + cchan] += (unsigned char) blursum;
+							} /* for bx */
+						} /* for by  */
+					} /* for ix  */
+				} /* for iy */
+			} /* for cchan */
+			/* copy back buffer */
+			for (ix = 0 ; ix < teximage->height * teximage->width * 4; ix++)
+				teximage->data[ix] = tmpbuf[ix];
+		} /*while blur */
+		free(tmpbuf); /*tidy*/
+	} /* if blur */
+
+			
+	
+
+        clear_gl_error();
+#ifdef HAVE_GLBINDTEXTURE
+        glBindTexture(GL_TEXTURE_2D, texbind);
+#endif
+        glPixelStorei(GL_UNPACK_ALIGNMENT, 4);
+        glTexImage2D(GL_TEXTURE_2D, 0, GL_RGBA, teximage->width, teximage->height,
+                        0, GL_RGBA, GL_UNSIGNED_BYTE, teximage->data);
+        check_gl_error("texture");
+	setTexParams(); 
+        XDestroyImage(teximage);
+}
+
+/* creates cylender for time tunnel. sides, zmin, zmax, rad(ius) obvious.
+   stretch scales texture coords; makes tunnel go slower the larger it is.
+   not drawn, but put into display list. */
+void makecyl(int sides, float zmin, float zmax, float rad, float stretch) {
+	int i;
+	float theta;
+
+	/* cap */
+	if (do_fog) {
+		glBegin(GL_TRIANGLE_FAN);
+		glTexCoord2f(1.0, 0.0);
+		glVertex3f(0.0 , 0.0 , zmax); 
+		for (i = 0 ; i <= sides; i++) {  
+			theta = 2.0 * M_PI * ((float) i / (float) sides);
+			glVertex3f(cos(theta) * rad, sin(theta) * rad, zmax);
+		}
+		glVertex3f(cos(0.0) * rad, sin(0.0) * rad, zmax);
+		glEnd(); 
+	}
+	
+	glBegin(GL_QUAD_STRIP);
+	for (i = 0 ; i <= sides; i++)
+	{
+		if ( i != sides) {
+			theta = 2.0 * M_PI * ((float) i / (float) sides);
+			glTexCoord2f(0.0, 1.0 * (float) i / (float) sides); 
+			glVertex3f(cos(theta) * rad, sin(theta) * rad, zmin);
+			glTexCoord2f(stretch, 1.0 * (float) i / (float) sides); 
+			glVertex3f(cos(theta) * rad, sin(theta) * rad, zmax);
+		} else {
+			theta = 0.0;
+			glTexCoord2f(0.0, 1.0);
+			glVertex3f(cos(theta) * rad, sin(theta) * rad, zmin);
+			glTexCoord2f(stretch, 1.0);
+			glVertex3f(cos(theta) * rad, sin(theta) * rad, zmax);
+		}
+	}
+	glEnd();
+}
+
+void 
+init_tunnel (ModeInfo *mi)
+{
+  int i;
+
+  tunnel_configuration *tc;
+  
+  wire = MI_IS_WIREFRAME(mi);
+
+  if (!tconf) {
+    tconf = (tunnel_configuration *)
+      calloc (MI_NUM_SCREENS(mi), sizeof (tunnel_configuration));
+    if (!tconf) {
+      fprintf(stderr, "%s: out of memory\n", progname);
+      exit(1);
+    }
+
+    tc = &tconf[MI_SCREEN(mi)];
+  }
+
+  tc = &tconf[MI_SCREEN(mi)];
+
+  tc->glx_context = init_GL(mi);
+
+  tc->cyllist = glGenLists(1);
+  tc->diamondlist = glGenLists(1);
+  tc->num_effects = 12;
+  tc->num_texshifts = 3;
+  tc->effect_time = 0.0;
+  tc->effect_maxsecs = 30.00;
+  /* check bounds on cmd line opts */
+  if (start > tc->effect_maxsecs) start = tc->effect_maxsecs;
+  if (end > tc->effect_maxsecs) end = tc->effect_maxsecs;
+  if (start < tc->effect_time) start = tc->effect_time;
+  if (end < tc->effect_time) end = tc->effect_time;
+
+  /* set loop times, in seconds */
+  tc->start_time = start;
+  tc->end_time = end;
+
+  /* reset animation knots, effect 0 not defined. */
+  tc->effects = malloc(sizeof(effect_t) * ( tc->num_effects + 1));
+  for ( i = 1; i <= tc->num_effects ; i++)
+  	init_effects(&tc->effects[i], i);
+
+  if (wire) {
+	glPolygonMode(GL_FRONT_AND_BACK, GL_LINE);
+	do_texture = FALSE;
+  }
+
+  if (do_texture)
+  {
+          glGenTextures(MAX_TEXTURE, tc->texture_binds);
+	  
+	  /*LoadTexture(*mi, **fn, texbind, bluralpha, bw_color,  anegative, onealpha)*/
+          LoadTexture(mi, timetunnel0_xpm, tc->texture_binds[0], 0, 0.0, FALSE, FALSE);
+          LoadTexture(mi, timetunnel1_xpm, tc->texture_binds[2], 0, 0.0, FALSE, FALSE);
+          LoadTexture(mi, timetunnel2_xpm, tc->texture_binds[5], 0, 0.0, FALSE, FALSE);
+          LoadTexture(mi, tunnelstar_xpm, tc->texture_binds[4], 0, 0.0, FALSE, FALSE);
+# ifdef GET_SUED_BY_THE_BBC
+	  if (locklogo) {
+# endif /* GET_SUED_BY_THE_BBC */
+          	LoadTexture(mi, (char **) logo_180_xpm, tc->texture_binds[3],  0,0.0, FALSE, FALSE);
+		tc->texture_binds[1] = tc->texture_binds[3];
+		tc->texture_binds[6] = tc->texture_binds[3];
+		tc->texture_binds[8] = tc->texture_binds[3];
+		/* negative */
+          	LoadTexture(mi, (char **) logo_180_xpm, tc->texture_binds[9],  2,1.0, TRUE, TRUE);
+# ifdef GET_SUED_BY_THE_BBC
+	 } else {
+          	LoadTexture(mi, whologo_xpm, tc->texture_binds[3],  0,0.0, FALSE, FALSE);
+          	LoadTexture(mi, tardis_xpm, tc->texture_binds[1], 0, 0.0 ,FALSE, FALSE);
+          	LoadTexture(mi, whohead1_xpm, tc->texture_binds[6], 0, 1.0, FALSE, FALSE);
+          	/* LoadTexture(mi, whohead_psy_xpm, tc->texture_binds[8], 1, 0.7, FALSE, FALSE); */
+		/* negative */
+          	LoadTexture(mi, whohead1_xpm, tc->texture_binds[9], 2, 1.0, TRUE, TRUE);
+	  }
+# endif /* GET_SUED_BY_THE_BBC */
+          glEnable(GL_TEXTURE_2D);
+	  check_gl_error("tex");
+  }
+
+  reshape_tunnel (mi, MI_WIDTH(mi), MI_HEIGHT(mi));
+
+  glDisable(GL_DEPTH_TEST);  /* who needs it? ;-) */
+
+  if (do_fog)
+  	glEnable(GL_FOG);
+
+  if (!wire)
+    {
+      glEnable(GL_ALPHA_TEST);
+      glAlphaFunc(GL_GREATER, 0.5);
+    }
+
+    tc->trackball = gltrackball_init ();
+
+
+  tc->texshift = calloc(tc->num_texshifts, sizeof(GLfloat));
+  for ( i = 0 ; i < tc->num_texshifts; i++)
+  	tc->texshift[i] = 0.0;
+
+  glNewList(tc->cyllist, GL_COMPILE);
+  makecyl(30, -0.1, CYL_LEN, 1., 10. / 40.0 * CYL_LEN);  
+  /*makecyl(30, -0.5, DIAMOND_LEN, 1., 4. / 40 * DIAMOND_LEN); */
+  glEndList();
+
+  glNewList(tc->diamondlist, GL_COMPILE);
+  makecyl(4, -0.5, DIAMOND_LEN, 1., 4. / 40 * DIAMOND_LEN);
+  glEndList();
+}
+
+
+void
+draw_tunnel (ModeInfo *mi)
+{
+  tunnel_configuration *tc = &tconf[MI_SCREEN(mi)];
+  Display *dpy = MI_DISPLAY(mi);
+  Window window = MI_WINDOW(mi);
+
+
+  if (!tc->glx_context)
+    return;
+
+  glShadeModel(GL_SMOOTH);
+
+  glEnable(GL_NORMALIZE);
+  /* glEnable(GL_CULL_FACE); */
+
+  glClear(GL_COLOR_BUFFER_BIT );
+
+  update_animation(tc);
+
+
+  glPushMatrix ();
+
+	glRotatef(180., 0., 1., 0.);
+    gltrackball_rotate (tc->trackball);
+	glRotatef(180., 0., 1., 0.);
+
+
+
+  mi->polygon_count = 0;
+
+  update_fog(tc->effects[4].state[0],  /*color*/
+	     tc->effects[4].state[1],  /*density*/
+	     tc->effects[4].state[2],  /*start*/
+	     tc->effects[4].state[3]); /*end*/
+
+  /* --- begin composite image assembly --- */
+
+  /* head mask and draw diamond tunnel */
+
+  glEnable(GL_BLEND);
+  draw_cyl(mi, tc, tc->effects[6].state[0], 5, tc->diamondlist, 2); 
+  if (! tunonly)
+  	draw_sign(mi, tc,tc->effects[12].state[0], tc->effects[12].state[1],  1.0 / 1.33, 9, 1); 
+  glDisable(GL_BLEND);
+  /* then tardis tunnel */
+  make_wall_tunnel(mi, tc, tc->effects[1].state[0], tc->effects[7].state[0]);
+
+  /* then cylender tunnel */
+  glEnable(GL_BLEND);
+  draw_cyl(mi, tc, tc->effects[3].state[0], 2, tc->cyllist, 1); 
+
+       /*void draw_sign(mi, tc,z,alpha,aspect,tex,blendmode)*/
+  /* tardis */
+  if (! tunonly)
+  	draw_sign(mi, tc, tc->effects[2].state[0], tc->effects[2].state[1], 2.0, 1, 0);
+  /* logo */
+  if (! tunonly)
+  	draw_sign(mi, tc, tc->effects[5].state[0], tc->effects[5].state[1], 1.0, 3, 0);
+  /*who head brite*/
+  if (! tunonly)
+  	draw_sign(mi, tc,1.0, tc->effects[10].state[0],  1.0 / 1.33, 6, 2);
+  /*who head psychadelic REMOVED*/
+  /* draw_sign(mi, tc,1.0, tc->effects[11].state[0],  1.0 / 1.33, 8, 0); */
+
+  /* star */
+  /* draw_sign(mi, tc, tc->effects[8].state[0]tc->effects[8].state[0], 1.0 , 1.0, 4, 1); */
+  draw_sign(mi, tc,  tc->effects[8].state[0],  tc->effects[8].state[0],  1.0, 4, 1);
+ 
+  /* normal head */
+  if (! tunonly)
+  	draw_sign(mi, tc,1.0, tc->effects[9].state[0], 1.0 /  1.33, 6, 0);
+
+  /* --- end composite image assembly --- */
+
+
+  glPopMatrix ();
+
+  if (mi->fps_p) do_fps (mi);
+  glFinish();
+
+  check_gl_error("drawing done, calling swap buffers");
+  glXSwapBuffers(dpy, window);
+}
+
+#endif /* USE_GL */

=== added file 'hacks/glx/timetunnel.man'
--- hacks/glx/timetunnel.man	1970-01-01 00:00:00 +0000
+++ hacks/glx/timetunnel.man	2006-06-30 16:27:21 +0000
@@ -0,0 +1,81 @@
+.TH XScreenSaver 1 "" "X Version 11"
+.SH NAME
+timetunnel - Plasma tunnels fade in and out
+.SH SYNOPSIS
+.B timetunnel
+[\-display \fIhost:display.screen\fP]
+[\-visual \fIvisual\fP]
+[\-window]
+[\-root]
+[\-start \fInumber\fP]
+[\-end \fInumber\fP]
+[\-dilate \fInumber\fP]
+[\-tunonly]
+[\-reverse]
+[\-fog]
+[\-no-texture]
+[\-wireframe]
+[\-fps]
+.SH DESCRIPTION
+Draws an animation similar to the opening and closing effects on the
+Dr. Who television show.
+.SH OPTIONS
+.TP 8
+.B \-visual \fIvisual\fP
+Specify which visual to use.  Legal values are the name of a visual class,
+or the id number (decimal or hex) of a specific visual.
+.TP 8
+.B \-window
+Draw on a newly-created window.  This is the default.
+.TP 8
+.B \-root
+Draw on the root window.
+.TP 8
+.B \-start \fInumber\fP
+Start time of loop, 0.0 - 30.00. Default 0.0.  May be identical to end time.
+.TP 8
+.B \-end \fInumber\fP
+End time of loop, 0.0 - 30.00. Default 27.79.  May be identical to start time.
+.TP 8
+.B \-dilate \fInumber\fP
+Scale time to speed or slow simulation.  Numbers less than one slow it down.
+.TP 8
+.B \-tunonly
+Show only tunnels, no logos, etc.
+.TP 8
+.B \-reverse
+Play in reverse, including tunnels.
+.TP 8
+.B \-fog
+Turn off fog.
+.TP 8
+.B \-no-texture
+Turn off textures.
+.TP 8
+.B \-wireframe
+Show as wire frame
+.TP 8
+.B \-fps | \-no-fps
+Whether to show a frames-per-second display at the bottom of the screen.
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global resources
+stored in the RESOURCE_MANAGER property.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.SH COPYRIGHT
+Copyright \(co 2005 by Sean Brennan.  Permission to use, copy, modify, 
+distribute, and sell this software and its documentation for any purpose is 
+hereby granted without fee, provided that the above copyright notice appear 
+in all copies and that both that copyright notice and this permission notice
+appear in supporting documentation.  No representations are made about the 
+suitability of this software for any purpose.  It is provided "as is" without
+express or implied warranty.
+.SH AUTHOR
+Sean Brennan <zettix@yahoo.com>

=== modified file 'hacks/glx/xpm-ximage.c'
--- hacks/glx/xpm-ximage.c	2005-04-09 00:06:43 +0000
+++ hacks/glx/xpm-ximage.c	2005-12-08 16:00:22 +0000
@@ -23,6 +23,15 @@
 extern char *progname;
 
 
+static Bool
+bigendian (void)
+{
+  union { int i; char c[sizeof(int)]; } u;
+  u.i = 1;
+  return !u.c[0];
+}
+
+
 #if defined(HAVE_GDK_PIXBUF)
 
 # include <gdk-pixbuf/gdk-pixbuf.h>
@@ -86,6 +95,15 @@
 
       image = XCreateImage (dpy, visual, 32, ZPixmap, 0, 0, w, h, 32, 0);
       image->data = (char *) malloc(h * image->bytes_per_line);
+
+      /* Set the bit order in the XImage structure to whatever the
+         local host's native bit order is.
+       */
+      image->bitmap_bit_order =
+        image->byte_order =
+          (bigendian() ? MSBFirst : LSBFirst);
+
+
       if (!image->data)
         {
           fprintf (stderr, "%s: out of memory (%d x %d)\n", progname, w, h);
@@ -165,15 +183,6 @@
 #undef countof
 #define countof(x) (sizeof((x))/sizeof((*x)))
 
-#if 0
-static Bool
-bigendian (void)
-{
-  union { int i; char c[sizeof(int)]; } u;
-  u.i = 1;
-  return !u.c[0];
-}
-#endif
 
 
 /* The libxpm version of this function...
@@ -269,6 +278,11 @@
        things as necessary) OpenGL pretends everything is client-side, so
        we need to pack things in the right order for the client machine.
      */
+
+    ximage->bitmap_bit_order =
+      ximage->byte_order =
+        (bigendian() ? MSBFirst : LSBFirst);
+
 #if 0
     /* #### Cherub says that the little-endian case must be taken on MacOSX,
             or else the colors/alpha are the wrong way around.  How can

=== modified file 'hacks/goop.man'
--- hacks/goop.man	2002-04-07 12:17:37 +0000
+++ hacks/goop.man	2006-06-30 16:27:21 +0000
@@ -30,12 +30,12 @@
 .B \-count \fIinteger\fP
 How many bubbles to draw per layer.  Default: random.
 .TP 8
-.B \-layers \fIinteger\fP
-How many layers to draw.  Default: random, based on screen depth.
+.B \-planes \fIinteger\fP
+How many planes to draw.  Default: random, based on screen depth.
 .TP 8
 .B \-delay \fImicroseconds\fP
 How much of a delay should be introduced between steps of the animation.
-Default 100000, or about 1/10th second.
+Default 12000, or about 0.012 seconds.
 .TP 8
 .B \-transparent
 If \fI\-layers\fP is greater than 1, then each layer will be drawn in one

=== modified file 'hacks/grav.man'
--- hacks/grav.man	2002-04-07 12:17:37 +0000
+++ hacks/grav.man	2006-06-30 16:27:21 +0000
@@ -28,7 +28,7 @@
 or the id number (decimal or hex) of a specific visual.
 .TP 8
 .B \-ncolors \fIinteger\fP
-How many colors should be used (if possible).  Default 200.
+How many colors should be used (if possible).  Default 64.
 The colors are chosen randomly.
 .TP 8
 .B \-count \fIinteger\fP
@@ -36,7 +36,7 @@
 .TP 8
 .B \-decay
 .TP 8
-.B \-no-\decay
+.B \-no\-decay
 Whether orbits should decay.
 
 .TP 8

=== modified file 'hacks/helix.man'
--- hacks/helix.man	2005-04-09 00:06:43 +0000
+++ hacks/helix.man	2006-06-30 16:27:21 +0000
@@ -20,14 +20,6 @@
 .B \-mono 
 If on a color display, pretend we're on a monochrome display.
 .TP 8
-.B \-erase\-speed \fIusecs\fP
-This controls the speed at which the screen will be erased. Lower numbers 
-erase faster.
-.TP 8
-.B \-erase\-mode \fIinteger\fP
-This sets the erase mode. Mode \-1 chooses a random mode each time. There
-are currently 6 modes defined (0\-5).
-.TP 8
 .B \-delay \fIseconds\fP
 This sets the number of seconds that the helix will be on the screen.
 .TP 8

=== modified file 'hacks/hyperball.man'
--- hacks/hyperball.man	2002-04-07 12:17:37 +0000
+++ hacks/hyperball.man	2006-06-30 16:27:21 +0000
@@ -3,7 +3,21 @@
 hyperball - 2d projection of a 4d object
 .SH SYNOPSIS
 .B hyperball
-[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-xy \fIfloat\fP] [\-xz \fIfloat\fP] [\-yz \fIfloat\fP] [\-xw \fIfloat\fP] [\-yw \fIfloat\fP] [\-zw \fIfloat\fP] [\-observer-z \fIint\fP] [\-delay \fIusecs\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP]
+[\-display \fIhost:display.screen\fP]
+[\-foreground \fIcolor\fP]
+[\-background \fIcolor\fP]
+[\-xy \fIfloat\fP]
+[\-xz \fIfloat\fP]
+[\-yz \fIfloat\fP]
+[\-xw \fIfloat\fP]
+[\-yw \fIfloat\fP]
+[\-zw \fIfloat\fP]
+[\-delay \fIusecs\fP]
+[\-window]
+[\-root]
+[\-mono]
+[\-install]
+[\-visual \fIvisual\fP]
 .SH DESCRIPTION
 The \fIhyperball\fP program displays a wireframe projection of a hyperball
 which is rotating at user-specified rates around any or all of its four axes.
@@ -29,11 +43,7 @@
 .TP 8
 .B \-delay \fImicroseconds\fP
 How much of a delay should be introduced between steps of the animation.
-Default 100000, or about 1/10th second.
-.TP 8
-.B \-observer-z \fIint\fP
-How far away the observer is from the center of the cube (the cube is one
-unit per side.)  Default 5.
+Default 20000, or about 0.02 seconds.
 .TP 8
 .B \-xw \fIfloat\fP
 .TP 8
@@ -47,9 +57,9 @@
 .TP 8
 .B \-zw \fIfloat\fP
 The amount that the ball should be rotated around the specified axis at
-each frame of the animation, expressed in radians.  These should be small
-floating-point values (less than 0.05 works best.)  Default: xy=0.01,
-xz=0.005, yw=0.01.
+each frame of the animation, expressed in 0.001 radians.  These should be small
+floating-point values (less than 50 works best.)  Default: xy=3,
+xz=5, yw=10.
 .SH ENVIRONMENT
 .PP
 .TP 8

=== modified file 'hacks/hypercube.man'
--- hacks/hypercube.man	2002-04-07 12:17:37 +0000
+++ hacks/hypercube.man	2006-06-30 16:27:21 +0000
@@ -66,9 +66,9 @@
 .TP 8
 .B \-zw \fIfloat\fP
 The amount that the cube should be rotated around the specified axis at
-each frame of the animation, expressed in radians.  These should be small
-floating-point values (less than 0.05 works best.)  Default: xy=0.01,
-xz=0.005, yw=0.01.
+each frame of the animation, expressed in 0.001 radians.  These should be small
+floating-point values (less than 50 works best.)  Default: xy=3,
+xz=5, yw=10.
 .SH ENVIRONMENT
 .PP
 .TP 8

=== modified file 'hacks/ifs.c'
--- hacks/ifs.c	2005-04-09 00:06:43 +0000
+++ hacks/ifs.c	2005-12-08 16:00:22 +0000
@@ -34,9 +34,10 @@
 
 #include "screenhack.h"
 
-static float myrandom(float up)
+static float
+myrandom(float up)
 {
-  return(((float)random()/RAND_MAX)*up);
+	return(((float)random()/RAND_MAX)*up);
 }
 
 static int delay;
@@ -44,305 +45,325 @@
 static int length;
 static int mode;
 static Bool notranslate, noscale, norotate;
-float ht,wt;
-float hs,ws;
-int width,height;
-float r;
-long wcol;
-int coloffset;
-
-float nx,ny;
-
-int count;
+static float ht,wt;
+static float hs,ws;
+static int width,height;
+static long wcol;
+
+static int count;
 
 /*X stuff*/
-GC gc;
-Window w;
-Display *dpy;
-Pixmap backbuffer;
-XColor *colours;
-int ncolours;
-int screen_num;
+static GC gc;
+static Window w;
+static Display *dpy;
+static Pixmap backbuffer;
+static XColor *colours;
+static int ncolours;
+static int screen_num;
 
-int blackColor, whiteColor;
+static int blackColor, whiteColor;
 
 char *progclass = "IFS";
 
 char *defaults [] = {
-  ".lensnum:    3",
-  ".length:     9",
-  ".mode:     0",
-  ".colors:     200",
-  "*delay:      10000",
-  "*notranslate:  False",
-  "*noscale:    False",
-  "*norotate:   False",
+  ".lensnum:		3",
+  ".length:			9",
+  ".mode:			0",
+  ".colors:			200",
+  "*delay:			10000",
+  "*notranslate:	False",
+  "*noscale:		False",
+  "*norotate:		False",
   0
 };
 
 XrmOptionDescRec options [] = {
-  { "-detail",    ".length",    XrmoptionSepArg, 0 },
-  { "-delay",   ".delay",   XrmoptionSepArg, 0 },
-  { "-mode",    ".mode",    XrmoptionSepArg, 0 },
-  { "-colors",    ".colors",    XrmoptionSepArg, 0 },
-  { "-functions", ".lensnum",   XrmoptionSepArg, 0 },
-  { "-notranslate", ".notranslate", XrmoptionNoArg,  "True" },
-  { "-noscale",   ".noscale",   XrmoptionNoArg,  "True" },
-  { "-norotate",  ".norotate",  XrmoptionNoArg,  "True" },
+  { "-detail",		".length",		XrmoptionSepArg, 0 },
+  { "-delay",		".delay",		XrmoptionSepArg, 0 },
+  { "-mode",		".mode",		XrmoptionSepArg, 0 },
+  { "-colors",		".colors",		XrmoptionSepArg, 0 },
+  { "-functions",	".lensnum", 	XrmoptionSepArg, 0 },
+  { "-notranslate",	".notranslate", XrmoptionNoArg,  "True" },
+  { "-noscale",		".noscale",		XrmoptionNoArg,  "True" },
+  { "-norotate",	".norotate",	XrmoptionNoArg,  "True" },
   { 0, 0, 0, 0 }
 };
 
 /*Takes the average of two colours, with some nifty bit-shifting*/
-static long blend(long c1, long c2)
+static long
+blend(long c1, long c2)
 {
-  long R1=(c1 & 0xFF0000) >> 16;
-  long R2=(c2 & 0xFF0000) >> 16;
-  long G1=(c1 & 0x00FF00) >> 8;
-  long G2=(c2 & 0x00FF00) >> 8;
-  long B1=(c1 & 0x0000FF);
-  long B2=(c2 & 0x0000FF);
-  
-  return (((R1+R2)/2 << 16) | ((G1+G2)/2 << 8) | ((B1+B2)/2));
+	long R1=(c1 & 0xFF0000) >> 16;
+	long R2=(c2 & 0xFF0000) >> 16;
+	long G1=(c1 & 0x00FF00) >> 8;
+	long G2=(c2 & 0x00FF00) >> 8;
+	long B1=(c1 & 0x0000FF);
+	long B2=(c2 & 0x0000FF);
+	
+	return (((R1+R2)/2 << 16) | ((G1+G2)/2 << 8) | ((B1+B2)/2));
 }
 
 /*Draw a point on the backbuffer*/
-static void sp(float x, float y, long c)
+static void
+sp(float x, float y, long c)
 {
-  x+=16;    x*=wt;
-  y=16.5-y; y*=ht;
-  if(x<0 || x>=width || y<0 || y>=height) return;
-  XSetForeground(dpy, gc, c);
-  XDrawPoint(dpy, backbuffer, gc, (int)x, (int)y);
+	x+=16;    x*=wt;
+	y=16.5-y; y*=ht;
+	if(x<0 || x>=width || y<0 || y>=height) return;
+	XSetForeground(dpy, gc, c);
+	XDrawPoint(dpy, backbuffer, gc, (int)x, (int)y);
 }
 
 /*Copy backbuffer to front buffer and clear backbuffer*/
-static void draw(void)
+static void
+draw(void)
 {
-  XCopyArea(  dpy,
-              backbuffer, w,
-              gc,
-              0, 0,
-              width, height,
-              0, 0);
-  
-  XSetForeground(dpy, gc, blackColor);
-  XFillRectangle( dpy,
-                  backbuffer,
-                  gc,
-                  0, 0,
-                  width, height);
+	XCopyArea( dpy,
+	           backbuffer, w,
+	           gc,
+	           0, 0,
+	           width, height,
+	           0, 0);
+	
+	XSetForeground(dpy, gc, blackColor);
+	XFillRectangle(	dpy,
+	                backbuffer,
+	                gc,
+	                0, 0,
+	                width, height);
 }
 
 typedef struct {
-  float r,s,tx,ty;
-  /*Rotation, Scale, Translation X & Y*/
-  float ra,raa,sa,txa,tya;
-  
-  int co;
-} Lens; 
-
-
-static void CreateLens(float nr, 
-        float ns, 
-        float nx, 
-        float ny, 
-        int nco,
-        Lens *newlens)
-{
-  newlens->ra=newlens->raa=newlens->sa=newlens->txa=newlens->tya=0;
-  if(!norotate) newlens->r=nr;
-  else newlens->r=0;
-    
-  if(!noscale) newlens->s=ns;
-  else newlens->s=0.5;
-    
-  if(!notranslate) {
-    newlens->tx=nx;
-    newlens->ty=ny;
-  } else {
-    newlens->tx=nx;
-    newlens->tx=ny;
-  }
-    
-  newlens->co=nco;
-}
-  
-static float stepx(float x, float y, Lens *l)
-{
-  return l->s*cos(l->r)*x+l->s*sin(l->r)*y+l->tx;
-}
-
-static float stepy(float x, float y, Lens *l)
-{
-  return l->s*sin(l->r)*-x+l->s*cos(l->r)*y+l->ty;
-}
-
-static void mutate(Lens *l)
-{
-  if(!norotate) {
-    l->raa+=myrandom(0.002)-0.001;
-    l->ra+=l->raa;
-    l->r +=l->ra;
-    if(l->ra>0.07  || l->ra<-0.07)  l->ra/=1.4;
-    if(l->raa>0.005 || l->raa<-0.005) l->raa/=1.2;
-  }
-  if(!noscale) {
-    l->sa+=myrandom(0.01)-0.005;
-    l->s +=l->sa;
-    if(l->s>0.4) l->sa -=0.004;
-    if(l->s<-0.4) l->sa +=0.004;
-    if(l->sa>0.07  || l->sa<-0.07)  l->sa/=1.4;
-  }
-  if(!notranslate) {
-    l->txa+=myrandom(0.004)-0.002;
-    l->tya+=myrandom(0.004)-0.002;
-    l->tx+=l->txa;
-    l->ty+=l->tya;
-    if(l->tx>6)  l->txa-=0.004;
-    if(l->ty>6)  l->tya-=0.004;
-    if(l->tx<-6)  l->txa+=0.004;
-    if(l->ty<-6)  l->tya+=0.004;
-    if(l->txa>0.05 || l->txa<-0.05) l->txa/=1.7;
-    if(l->tya>0.05 || l->tya<-0.05) l->tya/=1.7;
-  }
-  
-  /*Groovy, colour-shifting functions!*/
-  l->co++;
-  l->co %= ncolours;
+	float r,s,tx,ty;
+	/*Rotation, Scale, Translation X & Y*/
+	float ro,rt,rc;
+	/*Old Rotation, Rotation Target, Rotation Counter*/
+	float so,st,sc;
+	/*Old Scale, Scale Target, Scale Counter*/
+	float sa,txa,tya;
+	/*Scale change, Translation change*/
+	
+	int co;
+} Lens;	
+
+
+static void
+CreateLens( float nr, 
+            float ns, 
+            float nx, 
+            float ny, 
+            int nco,
+            Lens *newlens)
+{
+	newlens->sa=newlens->txa=newlens->tya=0;
+	if(!norotate) newlens->r=nr;
+	else newlens->r=0;
+	
+	if(!noscale) newlens->s=ns;
+	else newlens->s=0.5;
+	
+	if(!notranslate) {
+		newlens->tx=nx;
+		newlens->ty=ny;
+	} else {
+		newlens->tx=nx;
+		newlens->tx=ny;
+	}
+
+	newlens->rc=newlens->sc=1;
+	newlens->co=nco;
+}
+	
+static float
+stepx(float x, float y, Lens *l)
+{
+	return l->s*cos(l->r)*x+l->s*sin(l->r)*y+l->tx;
+}
+static float
+stepy(float x, float y, Lens *l)
+{
+	return l->s*sin(l->r)*-x+l->s*cos(l->r)*y+l->ty;
+}
+static void
+mutate(Lens *l)
+{
+	if(!norotate) {
+		float factor;
+		if(l->rc >= 1) {
+			l->rc= 0;
+			l->ro = l->rt;
+			l->rt = myrandom(4)-2;
+		}
+		factor = (sin((-M_PI / 2.0) + M_PI * l->rc) + 1.0) / 2.0;
+		l->r=l->ro + (l->rt - l->ro) * factor;
+		l->rc+=0.01;
+		
+	}
+	if(!noscale) {
+		float factor;
+		if(l->sc >= 1) {
+			/*Reset counter, obtain new target value*/
+			l->sc= 0;
+			l->so = l->st;
+			l->st = myrandom(2)-1;
+		}
+		factor = (sin((-M_PI / 2.0) + M_PI * l->sc) + 1.0) / 2.0;
+		/* Take average of old target and new target, using factor to *
+		 * weight. It's computed sinusoidally, resulting in smooth,   *
+		 * rhythmic transitions.                                      */
+		l->s=l->so + (l->st - l->so) * factor;
+		l->sc+=0.01;
+	}
+	if(!notranslate) {
+		l->txa+=myrandom(0.004)-0.002;
+		l->tya+=myrandom(0.004)-0.002;
+		l->tx+=l->txa;
+		l->ty+=l->tya;
+		if(l->tx>6)  l->txa-=0.004;
+		if(l->ty>6)  l->tya-=0.004;
+		if(l->tx<-6)  l->txa+=0.004;
+		if(l->ty<-6)  l->tya+=0.004;
+		if(l->txa>0.05 || l->txa<-0.05) l->txa/=1.7;
+		if(l->tya>0.05 || l->tya<-0.05) l->tya/=1.7;
+	}
+	
+	/*Groovy, colour-shifting functions!*/
+	l->co++;
+	l->co %= ncolours;
 }
 
 Lens **lenses;
 
 /* Calls itself <lensnum> times - with results from each lens/function.  *
  * After <length> calls to itself, it stops iterating and draws a point. */
-static void iterate(float x, float y, long curcol, int length)
+static void
+iterate(float x, float y, long curcol, int length)
 {
-  int i;
-  if(length == 0) {
-    sp(x,y,curcol);
-  } else {
-    /*iterate(lenses[0].stepx(x,y),lenses[0].stepy(x,y),length-1);
-      iterate(lenses[1].stepx(x,y),lenses[1].stepy(x,y),length-1);
-      iterate(lenses[2].stepx(x,y),lenses[2].stepy(x,y),length-1);*/
-    for(i=0;i<lensnum;i++) {
-      switch(mode) {
-      case 0 : iterate(stepx( x, y, lenses[i]), stepy( x, y, lenses[i]), blend( curcol,colours[(int)lenses[i]->co].pixel ), length-1); break;
-      case 1 : iterate(stepx( x, y, lenses[i]), stepy( x, y, lenses[i]), colours[(int)lenses[i]->co].pixel, length-1); break;
-      case 2 : iterate(stepx( x, y, lenses[i]), stepy( x, y, lenses[i]), curcol, length-1); break;
-      default: exit(0);
-      }
-    }
-  }
-  count++;
+	int i;
+	if(length == 0) {
+		sp(x,y,curcol);
+	} else {
+		for(i=0;i<lensnum;i++) {
+			switch(mode) {
+				case 0 : iterate(stepx( x, y, lenses[i]), stepy( x, y, lenses[i]), blend( curcol,colours[(int)lenses[i]->co].pixel ), length-1); break;
+				case 1 : iterate(stepx( x, y, lenses[i]), stepy( x, y, lenses[i]), colours[(int)lenses[i]->co].pixel, length-1); break;
+				case 2 : iterate(stepx( x, y, lenses[i]), stepy( x, y, lenses[i]), curcol, length-1); break;
+				default: exit(0);
+			}
+		}
+	}
+	count++;
 }
 
 /* Come on and iterate, iterate, iterate and sing... *
  * Yeah, this function just calls iterate, mutate,   *
  * and then draws everything.                        */
-static void step(void)
+static void
+step(void)
 {
-  int i;
-  if(mode == 2) {
-    wcol++;
-    wcol %= ncolours;
-    iterate(0,0,colours[wcol].pixel,length);
-  } else {
-    iterate(0,0,0xFFFFFF,length);
-  }
-  
-  
-  count=0;
-  
-  for(i=0;i<lensnum;i++) {
-    mutate(lenses[i]);
-  }
-  draw();
+	int i;
+	if(mode == 2) {
+		wcol++;
+		wcol %= ncolours;
+		iterate(0,0,colours[wcol].pixel,length);
+	} else {
+		iterate(0,0,0xFFFFFF,length);
+	}
+	
+	
+	count=0;
+	
+	for(i=0;i<lensnum;i++) {
+		mutate(lenses[i]);
+	}
+	draw();
 }
 
-static void init_ifs(void)
+static void
+init_ifs(void)
 {
-  Window rw;
-  int i;
-  XWindowAttributes xgwa;
-  
-  delay = get_integer_resource("delay", "Delay");
-  length = get_integer_resource("length", "Detail");
-  mode = get_integer_resource("mode", "Mode");
-
-  norotate    = get_boolean_resource("norotate", "NoRotate");
-  noscale     = get_boolean_resource("noscale", "NoScale");
-  notranslate = get_boolean_resource("notranslate", "NoTranslate");
-
-  lensnum = get_integer_resource("lensnum", "Functions");
-  
-  lenses = malloc(sizeof(Lens)*lensnum);
-  
-  for(i=0;i<lensnum;i++) {
-    lenses[i]=malloc(sizeof(Lens));
-  }
-  
-  /*Thanks go to Dad for teaching me how to allocate memory for struct**s . */
-  
-  XGetWindowAttributes (dpy, w, &xgwa);
-  width=xgwa.width;
-  height=xgwa.height;
-  
-  /*Initialise all this X shizzle*/
-  blackColor = BlackPixel(dpy, DefaultScreen(dpy));
-  whiteColor = WhitePixel(dpy, DefaultScreen(dpy));
-  rw = RootWindow(dpy, screen_num);
-  screen_num = DefaultScreen(dpy);
-  gc = XCreateGC(dpy, rw, 0, NULL);
-  
-  /* Do me some colourmap magic. If we're using blend mode, this is just   *
-   * for the nice colours - we're still using true/hicolour. Screw me if   *
-   * I'm going to work out how to blend with colourmaps - I'm too young to *
-   * die!! On a sidenote, this is mostly stolen from halftone because I    *
-   * don't really know what the hell I'm doing, here.                      */
-  ncolours = get_integer_resource("colors", "Colors");
-  if(ncolours < lensnum) ncolours=lensnum; /*apparently you're allowed to do this kind of thing...*/
-  colours = (XColor *)calloc(ncolours, sizeof(XColor));
-  make_smooth_colormap (  dpy,
-                          xgwa.visual,
-                          xgwa.colormap,
-                          colours,
-                          &ncolours,
-                          True, 0, False);
-  /*No, I didn't have a clue what that really did... hopefully I have some colours in an array, now.*/
-  wcol = (int)myrandom(ncolours);
-    
-  /*Double buffering - I can't be bothered working out the XDBE thingy*/
-  backbuffer = XCreatePixmap(dpy, w, width, height, XDefaultDepth(dpy, screen_num));
-  
-  /*Scaling factor*/
-  wt=width/32;
-  ht=height/24;
-  
-  ws=400;
-  hs=400;
-
-  /*Colourmapped colours for the general prettiness*/
-  for(i=0;i<lensnum;i++) {
-    CreateLens( myrandom(1)-0.5,
-                myrandom(1),
-                myrandom(4)-2,
-                myrandom(4)+2,
-                myrandom(ncolours),
-                lenses[i]);
-  }
+	Window rw;
+	int i;
+	XWindowAttributes xgwa;
+	
+	delay = get_integer_resource("delay", "Delay");
+	length = get_integer_resource("length", "Detail");
+	mode = get_integer_resource("mode", "Mode");
+
+	norotate    = get_boolean_resource("norotate", "NoRotate");
+	noscale     = get_boolean_resource("noscale", "NoScale");
+	notranslate = get_boolean_resource("notranslate", "NoTranslate");
+
+	lensnum = get_integer_resource("lensnum", "Functions");
+	
+	lenses = malloc(sizeof(Lens)*lensnum);
+	
+	for(i=0;i<lensnum;i++) {
+		lenses[i]=malloc(sizeof(Lens));
+	}
+	
+	/*Thanks go to Dad for teaching me how to allocate memory for struct**s . */
+	
+	XGetWindowAttributes (dpy, w, &xgwa);
+	width=xgwa.width;
+	height=xgwa.height;
+	
+	/*Initialise all this X shizzle*/
+	blackColor = BlackPixel(dpy, DefaultScreen(dpy));
+	whiteColor = WhitePixel(dpy, DefaultScreen(dpy));
+	rw = RootWindow(dpy, screen_num);
+	screen_num = DefaultScreen(dpy);
+	gc = XCreateGC(dpy, rw, 0, NULL);
+	
+	/* Do me some colourmap magic. If we're using blend mode, this is just   *
+	 * for the nice colours - we're still using true/hicolour. Screw me if   *
+	 * I'm going to work out how to blend with colourmaps - I'm too young to *
+	 * die!! On a sidenote, this is mostly stolen from halftone because I    *
+	 * don't really know what the hell I'm doing, here.                      */
+	ncolours = get_integer_resource("colors", "Colors");
+	if(ncolours < lensnum) ncolours=lensnum; /*apparently you're allowed to do this kind of thing...*/
+	colours = (XColor *)calloc(ncolours, sizeof(XColor));
+	make_smooth_colormap ( dpy,
+	                       xgwa.visual,
+	                       xgwa.colormap,
+                           colours,
+                           &ncolours,
+                           True, 0, False);
+	/*No, I didn't have a clue what that really did... hopefully I have some colours in an array, now.*/
+	wcol = (int)myrandom(ncolours);
+		
+	/*Double buffering - I can't be bothered working out the XDBE thingy*/
+	backbuffer = XCreatePixmap(dpy, w, width, height, XDefaultDepth(dpy, screen_num));
+	
+	/*Scaling factor*/
+	wt=width/32;
+	ht=height/24;
+	
+	ws=400;
+	hs=400;
+
+	/*Colourmapped colours for the general prettiness*/
+	for(i=0;i<lensnum;i++) {
+		CreateLens(	myrandom(1)-0.5,
+		            myrandom(1),
+		            myrandom(4)-2,
+		            myrandom(4)+2,
+		            myrandom(ncolours),
+		            lenses[i]);
+	}
 }
 
 void
 screenhack (Display *display, Window window)
 {
-  dpy = display;
-  w   = window;
-  
-  init_ifs();
-  
-  while (1) {
-    step();
-    screenhack_handle_events(dpy);
-    if (delay) usleep(delay);
-  }
+	dpy = display;
+	w   = window;
+	
+	init_ifs();
+	
+	while (1) {
+		step();
+		screenhack_handle_events(dpy);
+		if (delay) usleep(delay);
+	}
 }

=== modified file 'hacks/ifs.man'
--- hacks/ifs.man	2005-04-09 00:06:43 +0000
+++ hacks/ifs.man	2006-06-30 16:27:21 +0000
@@ -40,9 +40,6 @@
 .TP 8
 .B \-functions \fInumber\fP
 Number of functions to be iterated. Default: 3
-.TP 8
-.B \-ncolors \fInumber\fP
-Number of colors.  Default: 20.
 .SH ENVIRONMENT
 .PP
 .TP 8
@@ -55,7 +52,7 @@
 .SH SEE ALSO
 .BR X (1),
 .BR xscreensaver (1),
-.BR ifs (1)
+.BR ifs (MANSUFFIX)
 .SH COPYRIGHT
 Copyright \(co Chris Le Sueur (thefishface@gmail.com) February 2005
 

=== added file 'hacks/images/timetunnel0.xpm'
--- hacks/images/timetunnel0.xpm	1970-01-01 00:00:00 +0000
+++ hacks/images/timetunnel0.xpm	2005-12-08 16:00:22 +0000
@@ -0,0 +1,343 @@
+/* XPM */
+static char * timetunnel0_xpm[] = {
+"256 256 84 1",
+" 	c #5D699C",
+".	c #5A6EC7",
+"+	c #596FD1",
+"@	c #576FD7",
+"#	c #566FDE",
+"$	c #6172B3",
+"%	c #5670E6",
+"&	c #6477BF",
+"*	c #6076D2",
+"=	c #6377C6",
+"-	c #6277CC",
+";	c #5876F6",
+">	c #607AE7",
+",	c #5D7AF0",
+"'	c #627BDE",
+")	c #6982D1",
+"!	c #6582DE",
+"~	c #6882D8",
+"{	c #6D7FDC",
+"]	c #6284FD",
+"^	c #7088D1",
+"/	c #6886F6",
+"(	c #738ACC",
+"_	c #7185EF",
+":	c #6C89EC",
+"<	c #698AF4",
+"[	c #648DFD",
+"}	c #6C8EE7",
+"|	c #748BE7",
+"1	c #738FDE",
+"2	c #6D94FF",
+"3	c #6B9BFD",
+"4	c #7796FA",
+"5	c #709DF5",
+"6	c #7A9EDD",
+"7	c #7C9BEB",
+"8	c #8A99D1",
+"9	c #73A1E8",
+"0	c #8198F6",
+"a	c #8895F3",
+"b	c #819CE6",
+"c	c #7D9DF7",
+"d	c #89A0E3",
+"e	c #78A6FE",
+"f	c #76ACFD",
+"g	c #83AAE9",
+"h	c #72B3FF",
+"i	c #89ABFC",
+"j	c #80B6FD",
+"k	c #92AEF9",
+"l	c #7DBFFE",
+"m	c #8DBCEE",
+"n	c #9BB7EC",
+"o	c #8DBCFA",
+"p	c #9FB4F8",
+"q	c #97B8F9",
+"r	c #7AC7FF",
+"s	c #AEB7EF",
+"t	c #80D5FF",
+"u	c #8DD1FD",
+"v	c #99CCFD",
+"w	c #89DDFF",
+"x	c #B1CAFB",
+"y	c #A8D3FB",
+"z	c #82E6FF",
+"A	c #9AE1FE",
+"B	c #CCCCFA",
+"C	c #B3D9FC",
+"D	c #87F4FF",
+"E	c #93EFFF",
+"F	c #A8EAFE",
+"G	c #B6E6FD",
+"H	c #C5E0FC",
+"I	c #99FDFF",
+"J	c #AEFCFF",
+"K	c #BDF7FF",
+"L	c #E7E9FA",
+"M	c #E4F0FD",
+"N	c #D9F6FF",
+"O	c #C9FFFE",
+"P	c #D7FDF8",
+"Q	c #D5FFFF",
+"R	c #ECFFFE",
+"S	c #FCFFFD",
+";%%;,,,;,,,#,,,,,,/>++#@@#+.+++@+@@+@#++..++.+@+++':|1gAAFAv9e}32<::||01|44cc111e777iikc77ibGSSRRRRRRQOJIIIIIDIEEwwttwwzztj&   ^$     iJEIDDIIIJIIOOIOROJEEJKKOQQMSBqqddb(bb^b1^^^&=~~:!<'{!!!!~|{::<::|{:{'{'''''*'''*''+'*++.'++++@+++@@#@@@@#>@####%%%%,#@###",
+"%##%%%,,,>#>###,//#@+@@@@@@++@++.+#@+@+#+++++++....*}55jAAttvAvomf71}:~~|~!~~)1~))1117c|}c1dHSSSSROOJJJEIDDEztrllhjjrrjjju2=  $)=     GulEEwwEIIIIIJOJJORQJJFKKQNSSBndd(((((((^^&&====~~!{{:<'{!:::::':!{:{:{:''''''''{'''*'@@+++.+*++++@@@#%#>>>##%###%#%#%####",
+"%#%%%%%,##%#,,,/,,#@@++###@++++.+@++@.+@+..+.+++++..*!5ehturrhjlvvvvvvmmoobbb7^^^(((d8d88CHLLSSSNKKFFEEEEDDDztwtrljheeeffj/-  $)&$    AjflEttwzIIIIIJJOJIORRQKKGHLSssd(((^^((^(^&&&&)====~-'*''{<'{<<{!'''~'''<:{'*''''''>''''''>>@@+@@+#@#,;%%#,,%%%%%%%###%#%%",
+"%%%%,%%,%%,,]/,###,##++#@@@+++.+@@++.++++++.....++***-!}5erwljfhfffjhjjjjooommmomyCHNNRRRLLLSSSSSNKFFFFEEEEEwrllhrhhhffjef[-$$$)^$$   j32eEEEzwIEEIIIIIJOQJOPRRMMLSBs8(((^^(&$&$&&&&&=&&===--**_'_'_/_<_'''////__'''_'*'''''''''''>>>@@@####;%;%,>%%%;%%##%%#%%;",
+"%%#%#%%%%,,/#%%#####%@@+@@@@@+.++++++..+.......*.***-!}!:43jrleffe553c5e5b7igovvGKKQQQKCvmnCLSSSSSNFAutAwtwturjjhlfefeee33[-$$&=)$$$ $4342lzEEEIEwtwEIIIIJOQPQRRSSSB88(((^)&$&&&&&&&&=&&&====--*{'{'>>/_'_><'''<<<<<<<<<<<<<[<<_</__/>>#,###,%%,>,%%###%@##%##%%",
+"%#%,,##,,>###%%#######@@#@###@++.+@..++...+......**--!!!:::<elfe3e5335e57cikqqovAAAACmqqqqmCLSSSSSSNFtwtwuAturjjhhfeeefee2/-$$&=1&($ $<::43twwwEwwtutEIIIIIJKQRRSSSB8((((^&&)&&&&&&&&&=&=======-=-**''*'>>,>>>>''>''<:::__//////]]/242[//]>>,>,>,,###@####%##%;;",
+"#,,,/>>##@#####%%########@@##@+@+++.+.........-*****!!!!:_/<<2hh55efefjfeiiivvvvoii7pbbbdgnySSSSSSSSRKAuuuuurlhhfe55e3333[[-$$==1(($$$_{!!:fztzwhhoruAEIJIJJFGGNSSSLd88(((^^&&)&&&&&&&=&&=&====-==--****+@>>@>>_>>___'<<<</__//__>>__2</>,,,,,>,,],###,%##%,##%%",
+",,/>@#%%###%%%%###%###@#%@#@#@+##++.+++.+....+***'''|!!!</''/:|ojjfffjjovvovicccc7bbdb^^(dgxSLMMQQRSRRKturrrojhff55332322/[-$$&=)^$$$$''--=-mzDrhf9jlmAEJJJFFKQRSSSL88d((^(^^&&$)&)&&&&&=======-==---*..*+++@>>,>>>>/>>/////_'_'__/__/<2/>],,,],,,;>%,%,%,,,#,%,",
+",##%####%@#%#####%%#@##%%@@#@@@@@@@++@+.+..+***''*'!~!!|::<42cc3hrrtturje3:|~||~}177^^^^((8xCxMNNKKQROJJFrglo99f55}34322</[!&&&=)1$$$${---=)~rtlhffhjmtEJEJQQNNMSSSL8((((^^^(^^)========--=--==-==-******++.+@>>>,>//>/>'_>_'>_/'<_<__/<32/>,,>,,],,,,,%,#%,##,]",
+"%%%##%%@%#####@@###@@@###+@@#+@++#@.@++>+++****''*!|7eeie43ceie33fffee2<2<:|~~~~~|77)1^^(((sdnHHCGKJORJIJErlj9iee5}344<<<<[)&&===&&$$$!---===1oh5efjjvEzAAAJJKGNSSSB8(((^^^^^^)^&==----=----=--=-=-*-***+.++@'*'_>]]]/////////<//__<<2<_[<32/>,,,]]],],;%,,,],,#",
+"#####%%%%%%%####@##@#####@+@@@.+@>.*++'*+''*'*!!|cfjfi333233[/]_'':[22232<<4|~|||1c)~1^^((dd66xnvyAJIOOJIIIurjb55534:<<<<_/!&&=-=&&$$$-==---==1e551b9rtuuuwAAAKRSSSBs((((^^^^(^(&&&=----=---==&=--*--**''''>_'_<__>>///////_<<//////_</[</<22[]]]],]]]],>]],#%%%",
+"%#%;;;;;%%%%#@##@++##@@@@@@##+++@+**''''''{!}9ei33e5222/[//]/'=-&==!<<<2222:34|}17|~)1^(sxsddgxnoouAEIQOIIIIwof555332<:::_/~&$&~==$$$$=-====&&&~33177luuuvmuvyCNSSSB8d8((^^^^^^&&)&=======**--*-*--****''*'_''///'_/////,//2</////]//>>]///[<22[/]]]]]//];%%%%%%",
+";;%%%%%%%@#%%###@@##%%@@+@@@+++++**'''':}5e5e3::<[2<[[[//_>>*-==&===!<_<242444}c7c~)~^b(dxnddxLCymvvvFJQQOIEEu9b75344<'{__/!$&=)~=&$$$&-==&=&=&&~}1}5jommmvvmmvNSSSLss((((^^^)^^&&)=&==-*''___'**'!'*''_'''>_///_'__////[2[////]>>>],,,,,//<[[/[3[[]]];;];;;;;;;",
+";%%#%%%#%%#%###@@#@@###@@++++++''{'':4ce3342<<<'<</2[/__'{-*-==&=&&&=~<<[<224c17i}~~)^b7dddqxMHxvvyyyvAFQRKEEEvb1}|:::''_//{&)){)=&$$$$-====&=&=&)~}1hjogmmmmmyNHMSSB88((($(^^^^&)&&=*:<__'__'{*!-{'__''_''____'>__/[[2ce2///>>#,>>>,,,,,,//2[22]//]]];;;;;;;;;;",
+";;%%%%%##%%##%#@#%@@@@##@@@@+@@':|||44:4::<<//<//2[<<'{-{-{**=&&&&=&&=-:<_<24eck7:|~))1^^^^dyMHymvvvuAuuFQQOEEAo71}|:::{_//{)~~{{))&)&$=-=&&&&&$&&&~1f99ggoogmyCyCMSSs8(((^(^^^((^^)://'''{{*{!{{{-'''''''__'__'_/2[<35fc//>'_>>>>>>>>,,,,,,/3e2]];;;;]/]];;;;;;",
+";;;;%%;%%%%%########@@@@@@@+'''{044|::!:<<'>////[<<::!!-~-{--===&&&&&&==!:::4eij3::!~)))^^^(xxvyAuvrmlrlrEJOKwtAj771||:::_2{===-~)))^&$$-=&&$&$&&&$&^99966gggovvnxLLLSB8((^(^^&^&^&~!:{'{!~!~-!~{'''_''''{'''<<<<<222522[[/''_>>>>>>>>>,>,,,][//]//;;;;;;]/];;;;",
+";;;;;;;;;%;%#%########@@@@>>'':244:::<<<<<//]/>'::::'!!-=--===&&&&&$&&&&&)::4eqc2<:!!~~)))^ds86ovwEEulllruDIJKwwAmjiccccc42{===--=&&&$$$=-&&&&$$$&$$^969bbbbggmngnLBBLLL8(((^^^^&^)~~{!!!!~'{!{{!{{_<'!'::'<<<<<<242<<<<</____>>/_'_>>>,>>>/>,;,///;];;;;;;]]]]]",
+"]]]];;;;;;;;%%%%#@@###@@>>_/__<<<:<<<<<<///]>_!!!:!!{'~=--!====&=&=&&&&&&&)|0qc2<<::!!|!))^dd((66guAEEwrruEIIJAtwu77c7eieci~)&)--==&&&&&===&&$$$$$$$(b996bbb6goqqdBBBBBLBs8(^^^^^&)~~~!!~!~{{'{!!!{''':<<<<<<<<<<__<_<<_<<<_<___///_//_>'>,#,,>]]]//]]]];;;;;;;;",
+";;;;;]]];;;;;;;;%#%#%@+___/_</<<::<<<</>]]>_'*!!:|!!!!~~~{!~==&===&&&&&&&&&(de::3<:::|!~~}7bb^(bbb9jrtuuutAIIIOurwf}}55335511c|||~))&&&$&)=&)1^^^^^$(b666bbbbgo8gdssssBBBBsd(^^)))~)~~!~~)~!!!~!~!:{!::<<<:<<<<::<<:_<<::':'______/__///_,,,,,%,,;;]]]]]]];];;;;",
+"]];;;;;;;]//]]];;;;%;@____''_/<<<<///,]/>>''!!!:}}}::|~-!:~~)&&====&==&&&&(8():<<2<<:!}|}171b^^^^11b9jruljlzzDJFrtr7333533:}}11cicc1^^&$$&&&^^($(((((og66bbbbgonq8sssssssssspbb^))))~~~~~)~~!!!!~|4:::!'<<<cei4<<::::'::''''':_'''____>@>,,>,/>>,],]];;;;;;;;;;;",
+";;]]/]]];;;;]]////]]/3///_<<<<<<<<[///>'>+*''!!:}:::|!!!||~~=)=====&=&&&&(d(&&&!<<2[<!!}77c11177111755jrurrrrtwFhltwhe53354}111}}111b771^&^))&^($&$$$gvmog9bbgooqnsssssssssspkkb11)&))~))~~~|||}}||!::253344c4c::::::{::{:{::<'{<'___'>+.@@@#,/,,///]]]]];;;;;;;",
+";;;;;];]/][/];]]]][3e33222[[/<<//<///_>>>'*'*<44::!!!!:!~!~~))~)===&&&$(d8$$)&&$~<<222!|771771111177775hjllrutrJe35fljllj5~~==~~}~~)))^^^111^^&&^$$$$(og6666dgoqqqxssspsBBpppdkbb711)))~~~~||||||}c:2:4<<<:::{{:{::::<:::::{{{'::_''>@@@+@++@@@@>@>/<332[/]];;;;",
+";;;;;;;;;;;]//[[/[422223eff33232//[_/__''*>''<2:<:!~!|:{!~~~~~)))==&&^(n8$&&=&&&==:<<20acc111111111177555hhjjruAr552[<<<''!!!~~}}}!~~))^&&^^11^(&^($&$66g66666ggddxsppppssssdkbbbb7b1111||~bb7c4|c044::::4:::{{~!:{:'::{*:':{::{'**+++@+++++@+@@@##>@>,;,//2[//]",
+";;;;;;;;;;];;]]/[2e333333333eeee3324[//<'>@'<<<<<'!:!:{:!|!~~~~)~|11bkd(&&&&=&&&&&=!:4c4011111111111}1715efhlruEwf322<//>*--~~!|}}1~~))&&&$(^^^^^^(($$(6gg66(6g6dsBspppppssssdpdb7717cccc7oyxCi0|}||:<||:_:<::{!!!|:{::{!:{::{'-**'+'++++.@++@+@@@##%#%%;;;;;;;;",
+";%;;%;;;;;;]]]//2222233fhlhlfe33eehlfe532<>_/<<_'''::<'<:||!!|~~~)1171==&&===&&=&&&&7c04401111171111}}5115efhjrAte332[//***--!!!}}~~)))=)&&$$^)^^^((($(66gg666g6bnxppddppdpdpddpkiiecc7e77oi7bpcc||{|:||!:<{:::|{:{~{{::{::{*''**'*''.++++++@++@@@@#@###%;;;;;;;",
+";;;;;%%%;;;;//[222[23e3ehhfflhheeeeehfhhjl53<<_'''{'{<<<:::!~||~))17)==--====&&&&$$11^14244}71111}51}}}5}55ffhrEuee32<<'*****!!!:!!~~}~))&&&$$)))^&$^^(666gggjggbnppppdddpdpdkpkkqkii7cc77j77cp7c||!|:{{{::::{::!|{!!:{|!!**'****''''.+++@+++.+@@+@#####%%;%;%%;",
+";;;;;;;;;%,]]//<33333eef33eeeefefejjfjheejtuhh3::'!!'<:24:::!|||)11)---=-=-==&=&&&11^^^1c5e577751}}}}55}}}5ehhlEhfee32/'*+'**'!!!!~~~~====)=&&^&)&)&&&((oogjoogoggspppddddppppkkkppki7cc7ij7c1pkic1||:!|!::::{::::!!!::!*-*'{*-**'>'>++++++++++@@+@@#@#%%#%%;;%;",
+";;;;;;;;;]],/23flffeeee3223333e3e3ee5fjljjrumhhjje554|::::{!|||cc~---=----!~==))11ki77777efjfeeee55}555}}}3flhrIe333e3<''.''*!!!!!~~!-===&&=)&^^&=)))=))brvvoggoggnnpppddddpppiikpkkkkieiiji77kiiccc||||!{:::|{::!{!{!**-!'!*{{{**'''@+++++@+.+@@@@##%%%###%%%%;",
+";;%;;;;;/33efjhhfee33ee33322[[2233e3335efhrrmvjfffljjfe}|4:!:|0||!!---=---!!|}75c7eb7171117fffee7555eee533fljhzw33223[[<''***!!::!!~!~=~~====^^)1)~~154}~9momvmmmgnndddddddppp77kkkbkkk7i7k77dpkiccac0:|~||:|:{{{|~!'*''--!*'{'{{:::'@+++@@@+@+@@@@@###%%@#%%%;;",
+";%#,;,:jjrrhrllje333e3333322[2[[23e5333cefeeefvujheffjomjee10c~~!{------!-!}33ccc17b5bbb7bberttrof55fe533hlllrEr3333[[//>''**!!!!!!!!~!!|}}}15ehjjlhe}~~^^9mvvmmmmnnqdddddkkppbiikbiikkpkbkbiqqjkii77|||||44:|||!!!!<:'-*!*-{'{***|:+@@+@@+@++@@@@@@###%###%#%;%",
+";%,,}hrhfefhfhlhff33333[[22222[[22332[223jfeceeooojihifffomvj7}!!{!-!---!24c5cc3355ff99999hjjtEurlrrlfeehflllrJeehh3322/'''-.-'<!-!!!!!:}:}}555fe}~11)^&&$$9lmmmmCnnnqnppgqppqkikkkkikkdddpdbnqkb7b7777ca|||::~~!{:</:{!{-{!!{*-*{!-''+@@@@++@++@@##@#@@##%;%%%;",
+",/3fhffefefeefl33e3f33[///[//[[2[2332222ifiii3eeijofi5ifjjof9hh7}~!-!=!::3355535}}5jjrljh599jolrjhlrlltwuurlltAhll333322:<_!-!'<<'<:::::|}|~~~1}1~)))^^^)&&(9ommmmCxnnnngqqqqxqikiibbbdpddqqdqjkbbb7777777a0|{{{{:<__-!--{{!~{!!''*'-**.+@+++@@++#@@@########%%%",
+"5fehlfe33333et323[33333[//[//<//[23333223eeffecccciijieejoic757fefb1~!:433355cc55eojjfb11117717ejlhfflrjlwzwzEttr32333222[<:::<::<[<::!!!~!~)~)))~1^)))&$$$$(9ouvmvnnnnnnooooxokkibbkkddpqddqqkbb7bb777777a00|:::<<:{-*{*-{{!!!--*'***'-.+++@#+++@@@@@@###@@%#%,",
+"33rlf3323323hf[2[22[2[222[[/[////<22222e3344efie3ccijqooic3}~}5c5befjjf533e5}5555ee559111^1}}}1effjjlljjruttwJDwfee533333[[35333222<:::!!!!~)~))~)))))&&&&$&^^9mvmvvnnvvnxovvnoqkbbbkppdggddqgpdb7bbb77c1||||aa0|{::--!-!-!-!{********'.+..++@@++@@@###@####@#:3",
+"ful333[3333ee[/22222[3322[222[[/<22[223e3e424ciiecccioqjjc4|||}}}7efloomoe5}c5555e7}5e5511}}~5fe55rtllrwDDDtAElfefeffeff3325he3333322:::!:!~~~~)~~^)))))&)&&&$^guvyvooxyxvvovovqkbikkdbbdddgqdddddbb7711111||0c7a00~---{{{'!---.-*.*****..++++++@@@#@###@#%#>232",
+"th322[22233e2[//2//]//[[22////[//<<<<[3eie22cecijecciic0ccc4|||||}eifjjoAroh555551}~19h55155ejjjjurrrruEDzzDJwhhfhhfhlhjfe5235fff5332:::!!!!-!~=~~~=))))))=))=&^gAGuyuoyvvvvvvxxqkkdddddddgoqdddgkkb^77111c}|0a||ac|))~-!:{----*---*---**.++++@@+@+@@##@@@#<323f",
+"f3322[2/[2[2///////]][//[[[////<[2<<<<222ec4443ciooic33ceccc|}||ceeeeefolruvllf5}~~~~5ff5fefjhltwurruwEEzutDArlrrrlhhhlflfeee3333e33}}:!!!!!!!!!!}~~~=)))))=)&&&^GRNAAvvvCxvvyyxxpdddddgdggogddbbbdbb7717c11cc|||a1|1|a~~-----*'--****-'...+@@+.@@@+@###%>3223hu",
+"3[////[/222///[/,//]]]///[/////<<2<<<<22<234:444ciiie44c0c0cc00ciieeefjffhojmuwj1:!!}}jheehjhrAwtuutrtEEwzwwrhffhhllllfefhhff3333333333:!:!!!!!~!~)~)))~))))))~))nGQRJEAmmyxxCCyvvqgdddddggogbbbdbbbb77777c7c11ccc1)|aaa~-==--*-*-*****''....@@@+@@#+@@#<323frll",
+"/]/]]]/[[2/]]///]]]]]/],//[[////<<<<<3322434400cc0:4cicc40cc00ciiifefjhjjhffjofiff1}:3jlhlrrtAwtwwuruzwzEwuAhfe3353fhllllhhfhff33223::}2:}}::!}~!~)~))))))^~~~~~)oCyFQKEAvmHCyyGyvnggbkd6dgojkbbbbbbbb77777711cc71|||||a|{{-=--=--*--*******+@@@+@+@++@}233htle[",
+"]];]]///[[;]/]]],]]/,>],/],/////2<[<43332224ccc}::24|0eicccciiiiiiifolroffehfcc5eifj55flurwEwuwwurrrzzzwrrAtjeefe3e3efhlrllhhhefe332<:335535}}}}}~}}~~~}~~}}~}}}}oGxowKQFAAvGCyyCGvnqbddgdqo9bg6dbdbbbb7b7b111ci1||||~)||~~~===-*=------'*+>@@>++++.+#533hrlf32[",
+"2[[[/////]];]]]]]]/,,,/]/>,/////<:</2433433efc|!:|:4400ipki7ciqiicijovuvvjjf3443eefoorrzDEDwwwtrtrrwzDrlrtElffefffefhhfffhhllrhffef33333335555}}}}}}}}}:}}}}|:}}}oCqdgmFQKEFAKHCGGCxggggggooqbggkbddbb77bb^^1c7b11)|)~))~||{~~~~=---=-=--'+>'>>++@+@/lfhwzrhee33",
+"//233333[[/]]]]]/],]>,]>//]/>////:<234::44eof44!!{|:|00acikkiceiifvvoohf5hh444343fifotEJIIEDtrrrttDIElrlltujfhfeeffjlrfeffhfflllhjlhhffee3533}3}333}333}3}::::}1^6xndddguKOJEFQGGFGGymgggooogggg6gdddb777b1117o71)1~~~)~~~~|||~~=-------!'*'*_>+,,/3rhrwrhff3[22",
+"//[22[22/2[[[[//]//,,,/>,>>////>/_<4444444ie344|{:||||0cccckojiiiovurojhjf34:333ei5hrEJJOJEturtttDEurljfjAhffeehhhhhllhhlhfflrrrrrrrljrhheeee3535353333}::}}}1^^^(xndgdd8gFOKEFQKKKKGCmoomogqggggd68dbbb^b777gd111))~)~~||~||||1)~---!---{**'>.@/2errrrhf3e322[]",
+";]][//[[/];]]]///[[[[//////'_>>///<34::|434434|||||00||acciijovovuAFvjjlh33335eefhrwIIIJJJJEwtutDAlejlhhturtwwwzwwzwzDrrrrrwzzzzzzwtrrrhljfffeeeee3ee533c}1111^^((xndg66d66uKOJFOOKKKFyxmvooggggggggdddb^bbbbg^^1^11c11}1|11||c7||1~==-!!:':<>>[[errrhfee33[//];",
+"]]]]]/]][[]];],]],]//////////>>//<34224334444344||0|||10cciffjouFEFAAuAve3eeeeehrwIIIIIIIIJJEwwArhloAEEDOIDDDIIDDDzDDIDDDDDIIIIIDDzwwruurlrljhjhfeefe5555b7^^^^^^dxnd6666666mFOJKOOKOKKCCCngogggg86ggddbbbbbgb11711111111}}11}17c1c1|~~~!:<_/<[/3wwlfffee[/]]]/;",
+"]]/]/]]]]],]]]]]],,,],/]]////////222:c34:<44444400|||||ccejvvvvAEJJEFFAvvjjhfhltDIJJJJJJIIJEJEtruFJOJJJQOOJJIIIJJIJIJOJJJJJIIIIIDDzzztutttrurlllhhef55517999^^^^(6xndddd666666uFOOROOQOKFGvnogogonggggdbdbbgg^)^1111111)1111111111cc111}!:/4j3[2tzrlhffe3/]]]];]",
+"]]]//]];;;]]]/]]]],/]]],,>>>///[[e33344::::4404c||||||0ioGGCyuFOQOEJJJJKKKFEEEJOQOOOORJJIEzEFEJKJIIIIIIOIIJOOQRSRRRQNQNMNNGKKOOQOOOJJJIIIIIDEAzwtrhhh999999^^^(((6npddd66dd6d66gyKQRQOOQQKGCvmnggooggg6dbddvb^^11111111111111111}1177cc1c7ehl35wztlfee3e[]]]]];]",
+"]]//]]];;;,,]]]]]],]]]]/]>,>>///[335e2<<<<444cccc||00ciCGAvuurEJEwttAAFFJEJOOOOOOJJJJOIIEEEEJORJIIIIIIOOOOOQOKJEAzurrtlefe3eflrtrwwzDIDzwwtttwtutwtuwtrml69((^(66oyngg6gd(ddd6666mGQRROOROKKGymmmmmgg66bd6mgbbbb1^111111111111111111c77eovoujfwIIDzulle3/]]/]]]/",
+"]//]]];;;]],//,//],,],/]]]/,>///2232222244424333c400cjFFvvuuAAIwAtuuvlAFJOQQRRQOJIIIIIIIIEEIIOJJEEIEDIQIIJEwturrllhlltte332333hhffffhjlruurrrhh9h99jjllgjjgj9gg66oynggg6d6666d66666mNRRQRRQKKKGvnmgg6gggggC6bb77^bb7711^1111111111177cjvyvFtuFwhflrtzrf3/]]]]]//",
+"/[///,,;;],],,]]/]],]]///,,,///23322222<<<4223ieecccjEAvvAyuFEEEwuurjlwJOORSRRRQOJJIIIJJEEDIIEJJEIDIIOJzztrllfffflluuzDre33e5lrrllffeeehe5eehlhhh999999b999996696vGymmm66666d8666666nyMRQQRROKKGymgggooggymbbbbb7bbbb77b7)11)1111177iovvuAJEJEle2[2fuwuf/]]]]]//",
+"[/]/];,]],>/>]],>,]]]///>/]>/[/e332<4222<<<[23hooi4fJwvuFAFAEEDElrrrrwIJQRQQOQQQQOOJOKEzEEIIJIJKOOJJIJttrjjhefhfjlruzEDIttwzwEzwrljfefe323335}115f9997711999999((6Cxmggoogg66666ddd6gqmGRRQQRRKOKymogggomGndbdbb7bbbb7^771111111^b9ovooeiAJIJwlh3<[[<rzl3///]///",
+"[]//]]]]],]]>,,,>],]/,//>/////3e242<<22<<<2233eruhjJEtAJFAKFEJAllrtAJJQRJOJJJJOOOQRRJJJEIEIIIEEJROEEJwurjfefhflrrrwEDJOOOOOOQJDrlffe3333::}}}~}}~11151117^^^^^^^^6nnqg6g66b6gg6gg66666gxmGQQRRROJKCvmmvmCCgqggkbbb^bbbb1b^1779gjgfecc4cefjAJAuofi53</]hzhe/////]",
+"[[[]];,,,,],>,],>>,,/]>/////23i3[<<222[2<2233eeefrEIIJJIEFKFJFjlrAKJQRJIIIJJJIJJRROJOQJJEJIIIIJJOJEIEuullhhhjtIurzJJOJIDIIIIOQzrle5f23::::!!}}|~}~)~))^~^^^^^^^^^byqd66gg666666g6ggg66nnnnCGQQQOOOJFCvyyNxqggggdbbbdbkbbggoooq9i70|:4444ijFErooiiec52<[rwhe2[[[/",
+"/[]]]]]],,,]>,,>>,,>>/////223e3<[[<2223222323333etIDIIIIIEKKJvuAJJQQJIIIIIIIIIOQFEJOOROOOJJJJJJEKOIJwuurrrrttzwEKJEIIDDDDDIJQthhf325c334|:}:}}}}~}~~=))=&&&&^1^^^gngb66666ggggg666g6ggmoxxnxyGQRRROJKKGGMynnoooymqgggomomomoogia000cicccioAFmojfjjcic[22utfe[//2",
+"2[//_/]]]>/>>/>>>>>]>_/<2242e32<2<2222333243542elEEzEIIEJJJOKKKJQQJIIIDIDIIIJKEEAFFJOROOQQQOJEEEOQJJwzuttwEzEJJJIDDIDDEEJOQArffh523:c3}:44}:|}|}~)~=====)&)&&&&&^6ngbbbd6d66666gggggggonnCHCHGCKRRRROOKQRGCyyyxCHCGGCvnxnddb77ccccc0c00ijAvuAvooqvvqqqieiAtmf343",
+"iccccc4424422<<<::<_|a44442352:2422233efe33e322fzEzAAIIIIIORRRRQJIIIIIEEIIJKAutwFEEJOQOQRRQQOKEKRRJDEzzIIIJOJDDDEDDIEEJEFwrffe3e333:}c3}||}|}!!!~)))==~==&&&&&&&^^kd^((dd(dd((68666666gggnxnnnyyCGQRSRQRSNQQNNQRRRNMMMLLLLCxxssssppppppxyAvvGGyyxqxCxxxoqvKAvoji",
+"jiiiccc0c4c0cc4000iiiiiiiijjiceccciiiiiojfffeefuIzDtwEJJJQQRSROJIIIIIIIJOKurlrutwJJIJJJOOQQOQQQRSRJIIDDIOJJIDIEDDDDEwrurlllfe35e222:43c4|}}|!:!~}~~~)===)&&&&)))^^dd^((((((((66666666d666dnssdnnnmCGRRSSSSSSSSSSSSSSSMRSSMnppppqpppppppxCGvoyyyyyyxxxCxqxvyFFAyo",
+"iii44444222444ac0a0a0ciicckc0ccciiiiqqooovyvyyAKJKJKJJKRSSSSSRQJJIIJJJJFAvmomvuwwEEIIJJFEJJOQRSSSRJIIJOOIIIIIDEzDzwwrrrlhhfe3333<:::::::}}::|!!!~~}~~~==))&&^&))^bdd(((((((((666((((((((666nnnnnnvvvAKRSSSSSRSRRSSSSRMRRRMCvoqkkki7cccikoooqqqoqqxxppqxCHCxGGyyo",
+"kkkiccc00000c44442444444ce44:440cciiiiiijooovFOQOOJJORRSSSSSSSSOOOOOQKAAAvvyvyttAJJJJIEEIEEJQSSSSRRQROIIIEzzzDDzzttrlrrlfe332[2<'<:2:!::}}::|!!!~}!~)~~~~)=^))&)^bdg(^^((((((((((((((bd6666gnxvvvvvvvyCNRSSSRRMSMMMMRRRRRSGyvxvvoqjjieeijfiiiiiiiikkpkoxyxxyNGAy",
+"occccc00iciic0044404444cc3442:4cc43cc4ciiiijjvKQOJQRSSRRRSSSSSSRRQRQKGGGGKNNKKKQQROOJJJJJIKRRRSSSSSSRQJIEDEEzEzzwrrlhfhhf33223[///':::!::}||:!!!!|!!~)~=&==&&)&)^bdg(((((((((((((((^(9999jjjovxvmmnxnnnxCCNSSSSRNGCGHNRRRRMyvvmnvvyvoojjfiii5eeiic00ccqxqqxCCNKG",
+"Gxicc40cc4404440404ccccic34000ci00ccccciccijoAJJRRRSSRRRSSSSSSSSROKKOOOOQQQQQQQRRQQRQQQQRRSSRRSSSQRRRRRQJEzwzwwturhfffefee32[3///<::4::22::::}!!!:!~~~)&))^111^^^^d(b((((((((((((((99jf999966gnnn888psnssBLSSSSSRQKFGvNRRRQCvooooqnvCCuvjiie77iii0cceiiiiiiipCGG",
+"CGoccckii000c424244c444cc0c0ciiqkkpkpqqxxxyGKRSSSSSSSRRRRSSSSSSSSRRRQRRQRRRSSSSSSSSSSSSSSSSSSSSSRJJORROQRQKFAwtwrlfeee5333e332[[2<<[:3}}}}:!}|!!!~))~~~)^^&&&))^&^b(^(((^(((^^^9999e9969b^^(((888d888pssBSLLLHGNRRRRQNQQRRQGmoooqqvvoCAAmifee7eiiceeeiiiiiiickyG",
+"GGyqicc04cicicc44444c40cikpppxxxxxCHCyxxqxCNSSSSSRRRRRRRRRSSSSSSSSRQQOOORRRRQQRRRSRSSSSSSSSSSSSSQOOJOQKOOQQQKAtwuhffe33233e332[[[<22/<:!}!:!}}}}1}5}1~)&=)&=)))^^(bbb9b6^(99b77b9^^71^(($$$$$$(8d8dd88dsLLLLHxpqvFKQRRQRSSRSNGxoijjvvmFKuoee7eiceicikqckiicic0iC",
+"yCKyoqc0424c4ccciickqxxxxxxppkkkppppqppxHNRSSSSSRRRRRRRRRQQSSSSSSSSSRQQOOOOOOOOOORSSSSSSSSSSSSSSROKFwuuvyGKKQQKFuffee3ee3ff2222[[</////<}}}}cc1~)))~)))))^1~~1111b99b979bb1(9b1^^($$$$$$$$$$$$$(888d(((dBLBBBCqpkimGKOOORSRRNNNGxoqqooFGuljeejecccciieikkiiiaiik",
+"vyyGGxqqi0iiciiijcpHMHxxqkkiiiiiikpqpxHNSSSSSSSSRRRRRQKKOOQRRRRSSSSSSSSRROQOOOOQRSSSSSSSSSSSSSSSQKAAjjfjfoovGKNRNCoohf3e3e32<:[2<22[33<:332:}}}~}}}~1}111}}}}7111b9b177b571^^($$$$$$&$$$$$$$$$$$(8888(((sBsBsBxqicciovFJORRRNFGCvvxvCAuAAojfiecceeieeeeciipppkii",
+"kyvyGGxxxqiicciiicHLHkckpqkqpkqqqxvyGRRSSSSSSSSSSRQKKJFKOJOOOORRSSSSSSSRRRRRRRRSSSSSSSSSSSSSSSSRKGuvofiiieeiovFKKNQNyjff35333333323::<::223333}4}}}55}55}}})~1))1biff551^&$$$$$$$$$$&$$$$$$$$$$$$(888((^dBssBsnokccc7cboAKQQRKFAvvvvyAvAyjomjccceiieeecckpppppki",
+"pxCCyyyyxxvoicieccCMCqkpiiikqqqvvGNRSSSSRRRSSSRQKJJFFKKKOORRRRQRSSSSSSSRRRQRSSSSSSSSSSRRSSSSSSSSyyvoofefeeeeifjumvGNRNyvjhf33333222<<22223e3feh3535}}}~1)==~!}~}7vo9^&$$$$$$$$$$$$$$&$$$$$$$$$$$$$(ddb111sspBBxxqicaccc17oyQQKJFFAvvyGAFGmvAi7eiieijiikxHBBBxxsp",
+"xpHGKGGCCHxxvqi33ciCMqxqqqqpkovHNSSSSRRRRRSRQOOKKFAJJJJJORSRRRRRSSSSSSRROQRSSSSSSSSSRRRRRRSSSSSNvvvvvoffhe3e5eheefjvCNNNCoi533e3532333323ehrjjje3[:!!=~~~!:|}5f576$$$$$$$$$$$$$$$$$&&$$$$$&$$$$$$$$(77b77pBsBBBxoo717711|7bmGKFAFFKGFKGFKCKAoiikoooooxHpc2247psB",
+"ixGNNNQQGCHCxqqic44cHLHyxxxvyNRSSSRRRRRROOQJJJJKJJFEJJJOQRRRRQRRSSSSSSSSSSSSSSSSSSSSRRRRRSSSSSRCoooooojiiefffjrjfff5fovGNMGyrofeeeeeff5333}jvqi<<///>'!!!}5f91)$=&$$$$$$$$$$$$$$$$$$&&&&$$$$$$$$$$$&^k7bbbBsBBsxyvo7c11|17ikxHgmyAFFKKFKKQKGCqqqqqjvHn02<22[2224",
+"2ccvKRRRNHGCCCxxqiiiiBMHyGNRSSSSSSRQOJFEJOQJIIJEFJJJJQOQRRRRSRRRRSSSSSSSSSSSSSSSSSSRSRRSSSSSSNRyfiefffffhjojjolifhhfe5eovGQRNGAmjhf333:[<<<:1oc<''>>//2551~&=$$$=$$$$$$$&$$$$$$$$$$&&&$$$$$$$$$$&&))&^kkb7dBBBsspyvo771117kbnNd7iomwJJJQRNKKCkkkjoHH7<//<<22//2/",
+"2222ivHRSRQKNNHHxCypiiMSSSSSSSSQKJJFAuAAJOOJIJJJJJJJOORSRSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRSRMMHRvfeeeffffhfijloojfijhheeefjvGHMRNoi54<:''''''!~c!**:235}_>>-&&&&=$&&&$$$$$$$$$$$$$$$$&$$$$$$$$&$$$=)==)^pdbbsBspskkyvq77771i7kNp77c7jtFJOROOJCojovNvc2<<__<<<2[//",
+"e3322floGNRRHCHMSMHHKNRSSSSSRJJFKKAvlolwORJJIJJJIJQRRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRQNRSNNRGHGe35e5533e55fhmlvflvlofie52<2<cixHRHqc|::{!!!'--!::{***''@>>,_-=$=$&&$$$$$$$$$$$ $$$$$&&&$$$$&&$&&=&===-=^pbbdLspsp7kCvk71^17bbyC7i7ceooAKOOJJKAAGK94:4c4:_//[[/24",
+"ee3323jljvvoxHMSMMRSSSSSSSROOOGGGyoojjvJRROOJJOQRRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRNNyojv533333efe35ehjljfficccc4<<:<::!:ciCMMCq}:::!!!!!-{!{***-*++*+>>*-&$$$&$$$$$$$$$$$$$$$&&&&&&&&$&=====&===&(pddsLssxk7jyvkxd1^i7gH7kioojjmruNOJJKKyjic444444_/_///2",
+"c433c43jhfejjiiyMSSSSSSSSRSRNKQNyxvxvCKRSSOOQRRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSNQGCvffov55efeeeff5ee33323c_<<<44_4_2::||::|cxHMHqc|!:|!!!!{:--***'***+>>>@.&&$$&$$$$$$$$$$&$$&&&&&&&&&&====&&===&&^pddLBssp77jyvCGb1i77Gkkiijfmuj7jvHxm97ccicc044c42_///4",
+"2e3444ciffhevoHRSRSRRSSSSSSSSSSMHHHHNORSSSRQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSMNCyAujiffjove5ef533<<2[[<][[<>____<44::::::::::{{|pxMHxb|~|!|!!!---*********+>,+-=$& $$$$$$$$$&$$&==&&&&)=&=&&&=&&==&&&bpdsLspxk7ioCKQm177iCgi7jooug777fj!|0440444ci000044223",
+"e2222243fjuGRSRQQQQOJFGHMMSSSSSSSSSSRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSQNCqfhjuffffjfij2<2<<<<[/<<[[/[[>@*>@>>/<__/_:_:4:__|:{|7nHMCq7~~~!!!~-!*'**-*{**'++>@*=$$$$$$$$&&&$&&=&&&=&&&&&&&&=&&&&&&&&1kpLBsspii7vGNKg77kyoiijvto}}75j5~{{:444::440icciqooe",
+"i33e323jyMSRQOOQOJJAwvjjjppxLMSSMLRRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRKGvrjffhuhe5c3340c<<_/>__//<<<22<_*''*@@@>/_>>_____4_a____|~|pxMMxd1~~!~!!-!***---***'**+>*-&$$$$$&$&$&&=&===&=&&&&&&&&&&&&&&=&bksBBspkk7bCGQGbijmyiilwu7}11bj1'*{{'_:::<<4eiijjoyv",
+"voiffvMSRQOOQRROEEAwlic44cjoqqxMMSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRSSSRNGAlolfe3je<<<<<::|:{<__'''>>//,//>@'*>+@>'+>>@+++_*_____4aaa__||bsHMHqb~!!~~~!!*----*****+++>'-=$$$$$&&&&&=====&&&&&&=&&=&&&&&&)&bdBBBsbi779AQQvjojHjjwwe7111f9:''''/>>'_4<<24ciivyy",
+"vvyHMSROJJQRQJIIDFufc4|4443iovvoxyHRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRQOQQNGvljjfii423f[_<<<::|0|:{'!'''>/////@+++++.+>@@'>#@++@+'>'''_{_|_aa_|{1pCMMyd~!!-----!-------'-*+''''=$$$&&&&===&==&&&&&$&&&&&&$&&&=&^bsBLBpk777vKQKojgGjuE971}579e''___/_>_'>>_2223ifvv",
+"NMSRQOJORROIIIIEIAicc0004cecijvyCCGRSSSSSSSSSSSSSSSSSSRRRRRSSSSSSRRQKFArof35333442<f<_:<::{|||4!'***''>////++..@*@++@@+@>>@++@@'>++@+''____aa_aaabnHMHq1~!~=---~---=---.'**'>>*-=&&&=====&&$&&&&&&$&&&&$&&&=&&^bBBLxkk779AQRGjoGjFo}57}}555{*_///>_>_'>'__4i5efj",
+"SQOJORRROJDIIAwuuueic004ciiiiijvFKRSSSSSSSSSSSSSSSSSROOJJJJJIJJOJFAvjjjee3222222</e4_<{{:{{|!||!!**'''_>>/'*.+*@@++@@@@@+@@>>>@+@@@+++.*''{__{{|aaa7dxMNnb1}~)===-!~!{---**-**'__*===&&=&&$&&&&&&&&&&&&&&&&=&)&^dBLLpik7ivQRQvgFmm1}77}}5e}'''>>'_>>>'>>>/23eyHM",
+"OJORRQOIDIEurtlhejfcccciiiiiiifjmKSSSSSSSSSSSSSSSSRRQOOJOJIIIIIEwrheeie332<//<<_/2e_<'!:{{{|{~!'*'''''''_+.+.+.++++++@@>@@@@@@@@+++++.+...**+*{{{||aaabsHNyk1~)))=---!||1---*'**_/>'*==&=&&&&&&&&&&&&&=&&==&)~~^bnBMBkki7oKSRGoKr7|}e55555~*+>>*'_/>>>>//3fyMSRR",
+"SSSSSOIEErjojovjeeoeiiijjifiifijAQSSSSSSSSSSSRRRQJJJOOOOJIEJEwtrre323e24[///_//_/i<<':{:{!!~--~!*''!''<''.*....+.+@@@++'>@@@>@@>@++@+.+@++..++**{'{|||aa7pxNHob})=~=-~-~~|~----*'///<:*===&&&&$&&&&=&&&=&&)))~)))bxLSsiqiiyRSMvFf5|c7fe55e!'>''_>_/<[33fyMSSSRRR",
+"RQOOOSJtliec4covofjofiifjjjiqjouQSSSSSSSSSSSSROJIIIIIJIJJJAtvjjfe32/2322[/__////c<_'{!!!{{!!={!--'!!''<'*.-..++.++++++@@@@@@@@@>>>@.++.@++.+....**-~{{|{)a7knHNyk1~~~~!!-))~---*''':<<//'==&&&&&&=&=&&&==&&&)~)))^psLLpqkioQRSGGjc}:5jh557'>_''_'<<25oHSSRROOORR",
+"KIDIORAlj3e44c5oojovyojjiiijjoAKSSSSSRRRSRRROJJIIIIIIAwtwvooojef54/[<2[[///___/5c{'{:{!~!-{!-!!--{-'''**..*+..@+@@@@@+++@#++#@#@>@>+++++..++++.....***--{|||7kpxMCq7}~~~~~))-!!!*{!:'__/>_--&&&===&&&&=&)&&))~~)))1sBSspxqoGRRNye7}}7ff5e:>>'_<<25jHRSROOJOJOQRO",
+"zEIIIGeiiiicccefmvmmuyoqqfjjvAKSSSSRQOJJKQRQOJJIIIIIwurlfeeiiiif42//_</</_>___<3:<!!-!!!--~-!~~!!-*!!'*--++++++@+@@@+@@+++++@++@@+@@>@+..++..+.........**-{{{aa7dxHHxg1}~~~~~!~!:!!{'{''_''_{-=&&=&&&&====)=)~~~)~~bBLMpyvoyRSSv7i}cefh5h<''<<3fyMRRQOJOOJJOQOKE",
+"IIDEw32<<44eecccoAuvmvvovvvvAFQSSSROJJEFFJORQKJEEzttulfe52<3cecc42//<<//___'_<5:!{-~!-!~{---~~-*!-'!!'*.*.+@@+'+@+++@@@#@+++@@+@@@@@@>@+.++.++.+........-.---{{|1bksCHHmb71}}~~|:!!!!{{'''''__'*=&&=&=======~)~~~~~)xBSxxCvyRSSm7e}ifjhjh<<:5qHNRQOJOJJJJOQOEzwD",
+"zrffe/:<[<2<4cefoAtrjrAAuvAFJQSSROOOJFAFFJJJKQQKAuullhe32<2444c42___<<__<<''_3}{~!-*!------~!~!!!'!!--**'**++++@++++++++#@++@@+@#@##@@@@++..++.+..........=-.-=-{{|1bsxHHyok71}}}}~~!!!'!!'{'____*==&&===)))~~~)~~~-^HLMqCvyNSSC7f5efljl5}qHNQOQOJJJIIORQJEEwDDI",
+"3e33[/<<<[<<[<3ejoAAmovwuAEJOSSROJJJJJJFJJJAAFNRQAvjjf2</_<422222<_<:_<<<<{'2c:!!~--*------~~-~~!!!!--****'*+++''+++++@@@@@#@+##@@@+@@@>#@+.....+..+.......-.*=----~|1bsBHNGvoi771}}}~!!!{!-!'<___/*-&&===~~|~)=~)~~-nxSCyCoCSRMefeejurAyMQJOQOJIIIJOROJwrjruzzr",
+"222[<<<<<<[/[2ee5eoAAruAFEEJRSRQQOKKFJJJOOJFAuvCRRKof3<__<422<22<<<<:<<:|:_<3:{!!!:{**------~-~~!!!!!!!*'*'***+@'+++@@@@++@@+@@##@@+@@@#>>>@...+.++++...-....---==-==~)17pBMNGGv9757}}|!!!!!!!'**''_<'-==)))|!~=~~-!!)HLMCxqxSSM7oouEFNQOJQQJIIIJOQQJEtlhhrutth3",
+"2[2<<<<[<[[<3332323ltrlvEIJQSROJJJKOKJJJOKFKGyvGGGMMC4<:<<:<<<<2<<<:::<:{!<3<:!!!!-{{*-===--=~)~115}}}5:'.'*+@@.+.++@@@@@@#@#@@#@@@+++@+#@@>++...+@...+...-.-..==-*----=)17dBHMGGvmf7c13}~!!:!!{{**'''/<~~))~!!~~~-~~~dBSxxqvRSMfFFNRRQOQOIIIIOQOJIErh5hhlffhre2",
+"[32/<'<[//23ee333333rhfjtIOSROJJJJJFKOQQOKGGNKQKyyyRRxa||:<<<<_<<<:<<<<<:_3<'{{{-{:!-----~==~}77}}~!15!:'**+.++.+@@@@@@@+@+@+@+@#@#@@@@@@@@#>@....++.......-.--===---.--===~17sLMCvvuo917~}}}:!!''{-'''<_<~~--~~!{{{!~~HLBxxoMSRGSRRRRRJIIIJQKIIDzlfefef32233233",
+"/2[><'</<[3ffee3[[[/3rulwIROIIEEFEJKJKQQQQNNMNNNNNSSSRMsppk00|:<<<::::<{_32<:-{****-*-!-||}}~~})~||}}}!!''++.+@+@+@+#@@@+#@@@@@##@#@@@#@++@@>@+@.+.+.........------*------=--=~akBMCoomvje71}}::<:!{{''{'</_{~~!!{:::::bHSCKGRSSRSSSSSQRSSKEDJEwj53ee3<2<<<[2223",
+"[2/_'<'/[3f3ee3[222[3hwzIQQJIDwuuuttwEKFAAyGGNHNMMMMNQNkiiiki044::::::4:23<:::{{{{*-!{!~|0|}1~!!}||!!!*'''+@+++@#@+@@@@@%%##@##@+@@@+@#@#@@@+@+@@..+.............-==.----=------=)dBMHxqjmmof73}}:!:!<<:<<<_/_{!~!{:::4}HMNRSSSSSSSSSSMHyuEIEu9153}::2<!<<[2223[",
+"[<>/<</[2eff333[223ehfzIOQJIEtrutttwzzEuurjfeeeie5c}7ovece44||444:::::4<e<:::!!!!||}|!||||~!|!!|:!!!'!'*'>'++.+@@@@++@@@######@#@@+@##+@@@@++#@+@@+..++.......*-----.----=-=.--=-==)|sLLCofjjhhhe5}}|:::<<<//[[:{{{::45jGSSSSSSSSSRSQvjrzEzrj5e5::<:2:!'<<<<2233",
+"[//[[[/2e3e322[233ffllEORJIzwwrrrtzzzEwjwwre33eee33:<:3cec44|:<<4:::<<<5<<'''*!!~||~~~|||~~~~~!!!!!''!*+.++++++@+@++++@@@@##+#@#@@@@@@@@@@@++@+++@@@+++..+....-*-=.--=-=---=--=---==-)^pHMHnjbfjhffe3334:::<<[2244ceftFEJRSSSSSSSRJOAuzEwr9555}!:{<2<!'<<<<[2[[3",
+"3[[[[[[f33ee323335hjtEIOOIDwwwturttwEEujuEh333e3353:<:4:cec444<<_<:<<<5<<':!-{{!|~|||}|!:|||~!!!!*-'*'+*++++..+..++@@@@#@##@#@#@#@@@@+@@+++@@@@@@@@@++.+..+.....*-.*--*.---=----!}}~---=)dHMMxjbbeee5e5334444ciijjuAEJKRSSSSRSSSSOQJzztr95}5}~!!{<!'''<<<<<<2[33",
+"3[////ef23e52223ehhfKJOOIIztrtzzwutwzwrlErfe5eee355:4432:44c42<<<<::<32<::!||!~!|~!~~~~:!}7}--*----*'+++**@++++++@#@@@@@@####@#@%@@@#@@@@##@@#@#@>@@@@++......*....--.**....--!!~!|}~-----)dBMMyoi755555efeifjjvAKJJQRNKOGMSRSSSSQREul97}}}~=-!'!!-{{<'<<<[[[/23",
+"[////[f33e353333eeerOQQIwuDtrrDDtrutEzljhjmhfhfee553}4332444c3:<:::4c4<:{|c|||~!|}!!~~~!|}}|---***-''+.++++++++.+@@@@++@@@##%##%#%#@@#####@@@@@+@@##@@@@+**+*.****...**....**!!!-*!~!-----=-)(nMMCofjfeeeifjlAFKKFwEFFKJumHSSSSSSSKm91}}~~---!!!!--!!'<<</<2[/2h",
+"[////2f5effe32[2eefAQRJzrhtEtwzEwzEIIJreeijujhf75eeb7cc54444434:42454<4|||||!}}!!~!!!!!!!!!!-----.*''*...+++..+.@#@@++@@#@%@+@%##@##@@#@@+@@@++@@@##>@@@>+..+.******..*-..-*!!-!-*--!--**-----~bnLRGyoiifjrFJFFtAAFFJJwtwwySSSSSSRm1~~-==---'{!-----''''''<2[2eh",
+"2[2[[2fehf32[[2eefrIRQItlhhAJuwAJJEAEEGyxnqvNGoojjfiec3c444<::4343i4440}||}}|||!!!{!!!}!!!-!*-**-.*.*..+.+@+..@@###@@@#@@###@####%###@@@@#@#+@#@+@+#@@+@+@+.+++'**++*+.-*'''!!-*-***!***''{{!~!~~^nMRNGyGKFArmmAFEJEwutEzEJMSSSSSC~~====---'------'''''{'<<22335",
+"233333je332[[23eflEJSOItlouvFJEJEEEwwEJOvyoqvFAvfieiee5c444::::4ce4:2:}}}|:|~!!:!!~!!!!!''!-_'''+**++++@##@>%%;;;;;;;;];,,,,%%#%%%@@##@###@@@@+@@@@@@@++++>_+.*'**'''>>_/<<<'<'''''*'**-**{{{~!~~-~^xMSRQAutuAEFKJAuwAEEIIOSSSSSS)-===-==*'*=---**'''<':<<223333",
+"3e3422fje2ceiiijvJORROJwuAvolKJEFEEAtwIRyvofjoAumjiffecc2232::4e54c44:}|}4!!:}!!}}:!:''''*-'>****++++++++#>,;%;;;;%%;;%;;,],;;;;;;;;;;,,;,,#+@+.@@@+@++.++++''@'_<<<<:<<<<2<<<<'/__<<<___'_:<:::!|7orvCMSRKNKJJJJwrrttAwAJRRSSSSH===-----------'*'>'<<42<<225333",
+"yxppccoyyovoqjjjFJQROJIEtmlrAuGJAzEzAwEOOAmhjfgtulrojhfe534:ceoe44c44}4::::::||}3}:!*****--***-**..+*+@#,;%;;;%##%%%%%%%;%;;;;;;;;%;;;,%,;;],,,>>>,@@#++++@+''.+..-**-!'!!'!'!!!<<<::{<<<:<444cejuurommuNSSSSROJJFEAAFFJJQNGMSSSd-----------******'<:cca|0cijovC",
+"qki77cqjovofoovAJJSOJIIErlurhhlFEztAEEJJJOwjjjf9ttrtwwrojefoule33cc33:::::!::!}}!:!-'*-*-*-**.*...++@>,;;;%#%##%#@#%###%%##%%%%%%%#;%%%%%;;%%,,,,,],,,,>>>@>@'''++++++.******-***********-*!!:5jj9b5eijmuFQSSRQQQKEAEJJJQGyxMSSSi:'**--!---'--*'*-!7xCHBLSMMHHHC",
+"oiij7ivojottvruJJQQJIIIEutujefjjAJzzDIQJOOOAumjjjutwEAuvvvvjec5544}!!|:!!|!::}!!!-'!-****-.**+*+*.+>>>,%###@############%%#%%%%;%%#%%##%@#%%%#%@##,,%,,,,,<//<//'>@+*.+**''''****..**'--.*-!}}}}~~11119orwuyMSRRSSQKJJQNyyvxMSSM3332<<''*--***-~}bovoojjoGGCvvyy",
+"ooojffrjhjluwwEJOROIIIIIIzrljrlhltJIIONKFKJKug99b9bjomoji71|}}}~~~~!!!!!|}}}!~!~!'*!********..*..+@>>>@##,,###@#@###%##@#%%%##%%%%%%#%%##%%%%%%%%%%%%,,,,>>>>>///</<>''@>*''+''**+*''*---'<:|!~~~~^1bjojj9996yRRRSRQRRyvoHHMRSSM33333<'<<<<':}7jfjojfhjjoojyyvvv",
+"olfbe9ljlllruIOORRJIIIJJDzwttrujhhjvAvrrrAAKKmbbb^^b^^^^^~)~)}|~~~!!~!~}}}!!!!!!**'!-**-.*...++*+>>>@@@#@,####@####@#######%%#%%%#%%%%%@##%%###%%#%%,,#,>>>>>>>>>/]//////<:/>+'*+''+'!!!:::!!!~~~~19holf5559fbmHRRQNHHGxqoxCxSSMnoe3332:}}7ijojluttullrrjejoCvmu",
+"wwrllltrruuruEOOROJIIIIJztutulje5b5bbb966oovKNn(bd(bb^^^^)~~})~~)~~!~}~~}!:~!!!-*!*-***..*.*'+*>>@@@@@@@+@@#@#@@@+@###@#@######%;%%%%%#%%%%%%%%%%#%,%>@#,>>>>>>@#>>>,>,,>>>],>@'''--:::!!!!!!!~~~59fhh577eee579jCSSGmvvGHyCxxMSMCGAytwAAFEEEzwEEEEzwzzAwtllfvwAE",
+"wujj9jjejjffjEJOOIIJIIIOvjhfe557717bb66(dggqnCMn(8dd(^^^^11)~~~-=~~}~~~~~!!-!!-!--**+'**.*.-'@>>>+*@@@+++@+@##@@@#@@###@####%%%%%%#%#%%%#%#@#%%##%#%,#>,>,,>>,>>,#>>#,,;,>>],@*''*!:!<!~~!!:}~^1eehfe555efeeefjvynHSMyooyNMGCNSRCAAAEJIIEDEzEDIEwtwwDDwtutwuuEDI",
+"j91^&^22433elIIRJJIEFFJEuljhjjf9999966666dggnxMLdddb^^^171)))~~~~)~}~~~~---!------*-*'*.*'*'_'+@@@++*@@#+@++##@@#@#####@##@#%#%%%%%@%#%#%%#%,;%##%%%,##>,#>>>@@@>,>@,>,]]>>,,'''''!:!!!~!!~=}}7ifff77}55eefjvvvoijqCSNGGAGRSRSSSROJJEEEIIDEzzEEzwuturjrrrllhflut",
+"1~)&&^<<2455tEJQIArrrlrrutulojoruuuvrmmmmnCCLLLBd(^^1b71^^1)^~=)~1~~-~~~---------=---**..'-'*+++@+@+@@@@+@@@##@@@@%%###%##%%%###%%%#%#%%#%;%#%%##%#>,,,,,###>####,@>,,>;],]>>*'!''!!-!-!!!!~}55eee7}}5c}}5hoCv7ijojjnMRRKFFGRSSQQOJJEEztututrjfhhfh95555555}~bfh",
+"!&$$$&<':<<3zEJJEujjhjjhhhjuwumgggmmogggggpsss8d((bbb111711~^11~~))~=--~~-=---!----*+-.-'-**..+@@@+@@*+@@@@@@#@+@#####%%%##%##@#%%;%;%%%%;%%%#%#@,,>##>;#>>>#,,###>>,]]]]/>>'''''!!!!!!-!~!}c3e5571}3c}3eioo7bikiiiekjHRRKAvCNSROJJJEFzwtwwEtrhhfhe}4<::'''*=&c3",
+"$$$  &<':2<fEEQIEtrlhhfee5hgormAumggggogggpnddddd9ibbbb111^~}1^)))~=-=----------**-**''******-*+++@@@++.@+@@@@@@@#@##%%%%####%#%%#%%%#%%%;%%%#;%#,,##>####,###@##>@>>,,///'*{-'*-*'*!!!!-~}}c35}}:}533ceii5}|1iki7cejeioNRQFFFRNKJEtrurltwtrrrjhje2:<<::<</'&$^1",
+"$    &<'<23lIIOIztrjfffhff99jggggvvymgg6dgnnod66g999971(117}})))~~~!==--*--*-*{!**-***'**'**.*++.+@@++@+++++@@@@+@@@@@##%%@#%#@#%%%%%%%%%%%%#%,,,%%%#######,,,,###,,;,2f/****''''*-!!!!:}4}3555c}235ciicc|}}e1ccii7cjeiejGQRQuNNyAEAtuutrhfjhhhe::<'--!-!->*  $(",
+"$    &<<<23tDIQIzrjjffhhfh99googgggmnnxxnxnnggggoo9bb117^111~~))==~--------****!'--**-'*..**--...+@@@@++++@+++@###@@+##@%#%##%%;%###%##%%%%%%%,,%%%%,,%#%#@#,,,,@>,,,2h<>*'****---*'!!::|}:3}5}}}2244ce3}4cie5cccikivjiiekvKOKNSNAAEJJDtrrlrhhe32:'{!--=---&  $(",
+"$$$  &[/<2hzIIQIwrljhhjhffffgoooooggggqxxBBddgggoggbbbbb1^^^)~~=--!~-==-----.---*!!*****-**......++++@@@++@+@#@+###@+@####%###%;%%%%###%%%;;%%;###%##,,#,,##,##,,,,,25''@'''-'--'''<{:<<442334}444c4c4333c777cccc4cqvoiiiikyCAQSSNJJAEIzwwurf35322<'!-=-==-=   (",
+"$$   &2[23jDIIRDwrllhjhjjjjjoooooggoooqnBxnnxyvgg6dbbbbb11^))~~~-{----=-!----!!!*{!-*-****+.+...+++++++@++@@@@#@#@##@####%%##%%%;%;;%%%%%%%,,#;,%>#,########%%,,,,/2}>@'>''*****''<<<22433eeec3343fc3<:!|))1)))))}}7poiiiikxvFNSSSOJEAAAAtrljhf3322{!!!!-*'-   $",
+"$$   $4325lIIIRIztrrljjhljojjhjjogooovxCxoqovGmoj9bbbbb^^7^))))==--------=-!!!---'-{-*-*.***+..+...@+@++@@@@++#@@+#######%%#%#%%%%%%#%%;;%%,,%;%,,%;,>#%%;;,;,,>/[2++@+.**++.-***-!!:|:<<<</<':<<[<:!!!!~~|))))))~1^1pqkkkpoovNSSSROJFwuutturuheee3<<<'{''>*   $",
+"$    $:e23rIIIQIEturrlllloggjjmojjooqoxCggggjoqii9b1111^^11)))))==--**--~|~~!{**{***'*-**.*.+....+.++++++@@#++#@++@####%##%###%%%%%#%#,;;%%;%,%####%,##%#,%,>,,/2:@++++.++++*-''--!!<:::!-!~}7|~!---))))))))))))~~}}1bxppnxokgMSSRQOJJJEzEzwzulhfe522<<!<_>*   $",
+"(     <h5ftIIIRJIEtrtutrrmmmojjooovonxHqgoo69bbb9bk711}^^1^)&)))==----!~--********-*******'*....++++@@+@++@##@####@%%%%%%;%%%##%#####%%#%%%#%#%#####@@#%##,,>>/2'@+@#@@++@@>'!-'':!!!!~}}1~~--=-===&&&))&)))))~~~)}~}cqxxyxqqqCMSSROJEEEDEEztwturjhee2<</>,*    ",
+"(     'eljuIIIOOIEztruuuurmmmogomonnxHx9jj996ljgjf7c111111)}~)~)-===)|---****-...*--..-.''***.+.++++@,@@@+#@@#@>####%#%###%%%%%%%#%%##%%######,%##@#@>####>,><:'+@@+@+#++@>_''''{'*-~c7~=--==&===&==&&&)==))))))))))11bxyxxdgdBMMSSRROJEEzDEEwuuurljf32[<[[!    ",
+"$     ~etEDIIIORJDzEtuuttuuvmoommxyyHHki77ijoug9ieb1111711~))=)=-~-~~=-***--**..-.*.+....-.'*..++++++@#@@+@++#@@@@@######%%%;%%%;%%%##%##%#######@####,%#>>/['@@@@+@@++++@>>/_''{*~71~----=-==&=&====)=&&&)))~))^))1c77dxMxpqnLLHQRQQQROJDDztwrrrrtuuhh3233!    ",
+"$     ~elwzDIIJOOIIDEwwwwwAuvmmmmmxnxpb7e7efeibbie777111|c}~~~~)-~!~~-=-----**'***.**.*....-'*-*++++.+@@@++++@@>@@@#@@#%%%%%;#%#;%%%%#%##%###@#######,,,>><<@@+++@@@@+++@@++_'''*{k|--{---=--====&)))&))~~))~~~~)~)1c17kqNHxqnMMGKOQOOJJOOOJEwtrrlhlrulh332{    ",
+"$     *hjwDIIIIJQOIIDzzwwwwAAAAGKNMLHdbbbbbee71771771111|}1|~~~~~~~)~~~-***--.*.**.*.-.......+*'@++++@+@@+++@+@#@@#@##%###%%%%%%;###%%%,#%####@#####>,>>>::++@+@+++@#+@+#@++_'{{-{p~{{---==^^(^^11777bb999bc<::||~|1117kpGKynnLMHGFKJJJIIIIIDEIFwtuljhurh22|    ",
+"$     =hutDIIIIJJROIIJEEEFAAAFKQQRSSxgd66bb17cc5}c1c}1}~}}~~c}|||!|~~~{-{---****'*.........*++.....@+@@#@@+@+@@@@+@@@#%###%#@%#%%#%%%%%,#%#@,#>,%@>,>>'</@++++@++++@+++++++.+'{{*-ds1~||a0ciiqqojjijmrjihe34223<2404|17bkgKNyxHNyCGFEJDDDIIDIzwtwwtAwwuwEfrm    ",
+"$     =5zwEIJJJJQJRQJIOJIJJFFKGKGMSMng69ddbb^^1~||4c||}~)}}|11}1::|~~!!!!!{*********.**.......+.++..+@++#@+@@+++@@@@@###,#%#@##%%%%%%,#,%,%,#@##,#>>>><<+@@++@+@@@+++.+..+.+..*''{{bxxk|~~~~}1cciiiic5c77c433<42444000cii7mGHxMNHyAKEJEIDIEDDEEttutttzDDJFt}    ",
+"      'uJIIIJJJOOQJORJIIIEJJKKKNNRSHqoggb(bbbb^)1|||{:::|~~~}~}|:::::::'*{{{'{'*''''*+.*+++++....+.+@@+.@#@++++@>@@######%%#%#%%%%##%##%%%,,,>#>@%>></@@@+++@##@+@@+++++++@..+@+*'{{7xGmg1)~1cc0444c0ccc0c}c50ccciii0cikk7bvNMMMHGGFKJJJIIIIIIDEDzwzzEDDIJw!    ",
+"     $qJJIIIIJIJIJOJJRQJEEEJKKONNMSxqqddb(bbbb1^^))~~{:{<'{!!!|||:::<<:{{{{'''''>'*'''*''+'*++.+++++@+++@##@@@@#>@#%##%%#%######%%%%;,,;;,%,,,,#;,>,@@@@@#@++@+@+#@+@@@++.++++@@.+'::1oFyAuoi5}422<::|0c|44cccccce7iiikkieijCSSSNQNQQQOJJIIIIIIEEzzwAzzEEwr!   $",
+"$    $GuuIEwEDIIIIIOOIOQRKJJFKKQMSSnpdd(^(((((^^&&===-~~:'!::'!!::::::{!{:':{'''*''''''''+*+>@**.*+*+++++@@##@##>@#%##%##,#%####%%#%%%,,,,,##,#>,/>@+@@@@@@.+@++.+#@@@+@++++++++.+.*|55jAEAAuvvjje}|::!~||||~)}1}111177a|cc7xSSSSRQQOJKJIIIDEztrljlhrrrrruf!   $",
+"$$   8AleAwttwEIIIIIJOOIJQRQOKKGMMLss8(((^(((^(^&&&====~~{-'*''!<'{<':!!''~:{'{{{''_''''''''+'''@++++>+@@@#%;,,#,,%%###%%%@%%##%%#%%%%%,##%,>,,//,,@@++###@++++.+@@++++@@..+.++.+...*}57hwtrrolmuvvvmoogg6b1)}~))^^)^^1((8nxHSSSNQKKFEEEIEDEEtwtrllhfeefhj3'  $&",
+"$$   8j33lJzzwAIEIIIJIJOOOJORRNNMLSB8((((^^(&&&$&&&&&&&====*-*'_<_'_<<<<'''///___**'''***'''''+''>>>>@@@##,#;%;%,>%;%%%%##%,#%%%%#%%%%%%#%%,,/,##%,%#@+#@@@+++.+@@++..+++++.....++****!}5frwrjffjfjoooovomomvmmomvyyHMMSSMLMSSSSSNKGEFFEzDDEEurrjrhjhffhef3'$$$&",
+"^$$  &3342FEEIEEEwzEIIIIJOQRQKRSSSSB8(((^)&&$&&&&&&&&=&&&===---'{''_>>//'__'''_<<<<<//<<<<<<<<<':_>>>>##,###,%%,>,%%#%##@##%@%%%;%#%#,%%%,>],#%#####,@@@@+@+@+..+@++++.++......*.***-!!~|35julfhfee5}55ee9bibqooyGKQNQOKyxnxLSSSSRNFAttAzwwttrljjlfehfeeee['$$&=",
+"1&$$ &_:24eAwwEEzAurwIIIIIJJKQRSSSSB8((($^&&&&&$&&&&&&=&&===-==---*+'''>>>,>/_>'''''{!::<////]//]/<42<///>>>,#,#,,,##########%;;%#%%,,#,,],##%%#######@@@#%#@@++.+@+.+............**-!~!::::eree5e533c57c17iqnvvAAAFKyogoooyLSSSSSSNGuwwAwAtrljhhjfeeeffe3/'$$&=",
+"1(&$$&_{!:4uwuztjjruAEEIJIJFFFKNSSSB88(((^^&&&)&&&&&&&=&=======-=---***'@>>>>>>_>></_<<<_____///_]>__2//>,],,,>,,],###%%%#%%#%%%%,,,,>/>>@######%#@#@@#@#@@##@@++++.+.........-*****{!!~:</<<3hf35e55efjiiiikjoyuoqikbbbbggCMSSSSSSSRKtuuuuuurjjffe5ee53322'$$==",
+"1^$$$&{!-~)1AzElffhgmmEIJJEFFKNMSSSBd8d((^(^^^&&)&&&&&&========-==---*.*'++@@>>>>>_>>>///____<_'<____<2</,],,]],,];#%%,,%%%,#%,;,,]/>@#%####%%%%######@#%@#@#@+##++.+++....-..*'****!!!!:_/>/_:jjjfjfjfjjoovvqkccc7bpdbbbd6nLMMSNQSSRRQuuururjjff55353332[[{$$&=",
+"))$$$$!!--=-9twlhf9jorAEJJJKQNSSSSSB8((((^^^(^&==========-=-===-==.****.*+.*+@>,,,>//>/>'>/'''__<____/_<3<,,,,,,]],,,,%;,##,#,,],>#%####%###%@%#%#%%@###%#@##@+@@@@++++.++.+*******'!!!|<<<444c3fvjvuruvjfc0|||}117bb1^1((8nHxLRNKKRROOKFrlll999e5cc34322[[:&$$=",
+"=)&$$$!---===9lfeefjjuzEEEFKKGGNSSSB8(((^^^^(^))&==--=-=-----=-=-=-*****'.++>''>>>]]]/////////</___<<<//[32/>,>,,],,],,;%,,,,>,#%%%##%%###########@#@@###@@##@@@+##.@++++++****''*{|}cc7c443eei3ehjlhf322<<||)|~~|77)1)^(((snnCMGGKJQRJIJErgo99fe5}}4322<<<|&&&=",
+"=&&$$$~=----==9e55b99rtuuuAFAGQMSSSB8(((^^^^^^^^&&=-----=---=-==-----**''++'>'{'__,]///////_<<//////<<<[</232/],]],/],,,,,,,#%%%######%##%%%%###@####@###@++@@+++>+.+++'+*'*'**!:|7iffeee23322//<':[23242<<4|~||||71)1^^(((d66nxxyFJJOOJIIIur99555c44<<<<</|&&=-",
+"&&$$$$=-====&&&}35179ruuumuuuyGRSSSB88(((^^^(^(&&&&=====--------*-*-'*'''*'>''//_'_/]///]//<<///////>///[//[[2[//,,]]]//],;%%%%%%##;;%;;%%%%####@@@@#@#@@@@@#@+++@+.++'''''!|15eccei33222[///>*-==-!</[2222<30|}||a~~)1(8xsdddxnnvuAJJOOIIIJwo9b57c32<:::_/:&&&~",
+")=&$$$=-==&=&=&&}}15bjlrmmuvmmyRSSSBs8((((^^^)^^&&)=&==--*'_'_**{'****'''''__///_'__////[2/////]>,>/>,,,///<[[[22//]]]];;;;;;%;;;;;;;%%%%###%###@+@%%%@@+@@#@+++@+*'''':|}c7e7}}2<22<[<///>>>-==&===!<<<24<444|17c})~)b(dsnddnHxmommvFJQQJIIEu9be5c442<::</:&&&)",
+")=&$$$&-=&==&&&&=~}1bjoogmmmmmyNHMSLs8(((((^&^^^&&&&&-'___>__'**--{'__>__'___>_'___/[/2232[//>>>,>>,,,,,,,/<2[[</[[]];;;;;;;;;;;;%%#%#%%%%#%####@#@@###@@++@@+.+''''::4cccc42<<'<<[2[///_'*'.==&&==&=-<[[<244c}ci7~~~)^kdpqqxHHyyvyCvvwFQRKEEEu711}:::'''_/:&)){",
+"~=&&&&$~==&&&=&&&&=~bh9ggogommGCyHSSL88(((^(^^((()&)<//'''''{'!{'-*'''''''____>'//2222ejc///>>>>>>>>>,,,,,,]2ce[];;;]]]];];;;];;;;%%%%%##%%###%@@##@@@###@@+@++'::{|44432::<<////<[[<<'{*-{*-=&&=&&&&=-:<_<22ecei:|~)^^1^^(dmNGymvvvAAyuFQOQEEwm71}|:::{_//:)|~|",
+"{|)^^&$&-=&&&&$&&&$&79996gggomyyxBLLSL8(((^(^^^&(^&~'_{''!~--!!!{{'*'''''{<''':<<2[23f22[//''_>@>_>>>>,,>,,]/[<[]/];;;;;][];;;;;;;;;%%;%%##%%#####%#@#@@@@@++>>{|044|:!:'<<'/////<<<:'{-{!{**-==&&==&&==!<<<4ceje:||~)^)^^^(nCvCAvvvmrrmmEJOQzwto71c||::://_=~&{",
+"-=&&$$$&==&&&&$$$$$&1999bb96gmvnnxLBLLLn((((^^^&^^)~|:!!!~~{!~{!'''_<''':{'<<<<_<232<<<<_</____>__>>/>>,>>>/>,]][//;];;;;;;/]]];;;;;;;;;;%%%##@%##@##@@@#@>>'':<44:::<:<<'//]]/<::::!!{-=---==&&&=&&&&&&&~:::5ji4<:!!~)))&^(pdgovwFwulllrrDJJKwtAoq77c00042:====",
+"===&&&&&=-&&$$$$$$$$^996bbbdggoggsBBBBLLB8(^^^^&&&))~!|!~~-{{!{{!:{_''{:<<<<<<<<<_[<<<<<<<<_<___//__//>>>>]>,%,]]]/]]]];;;;;;;;]]]];;;;;;;;;%%%##@@####@+>____<<4:<:<<<<///]>>'!~::!!'-==-{====&=&&$&&&&$&)|4ii4<<<:!~|~))^dd((66muEEAurrrzIIJFtAAb7cc7eecc|=&=~",
+"~~=&&&&&&==&)^(^$$&$(9966bbbdgogddssBBBBBxpd(^)^))~)~~!~)~~!!!!~!!!{'<<<_<:<<<<::_<<__<<:'{___'__//_/>_/_>,,,,%,,,]]];]]]];;;;;;;;;]]]]];;;;;;;%%#####@>___/<<<<<:<<<<///]/>_'!!|:!!!!~~~{!~~====&=&&&&&&&(^bq::3<<:!|!~~~1bb^(bbb9outwwttwIIIKwuwh7}c55c5ec1c|~",
+"c111^&&$$&)&)((&^^(((g666bbbbqnngssssssBsBspkb^^)~~)~~~~~=~~~!!!!|4:::!{__24c7<<<2<:'{::'_'''<<'''____>>>,,,],,>,;;]]];;;;;;;;;;;;;;;;;;]]]]];];;%;%;@____<'<//<2<<////,>>>''!!!}}}::|!~~!!!)=&&===&&&=&&&(8d):<<<<<:|}!~177b^^^^71b9lruljlEDIIGutr53535333~~11c",
+"c1777b1^&&)=)&(&$&$$(mvmggbbbqoqpnsssssssssspkb11)))))~~~~~~|!||}||!:::c333ci00:::<::':{:'{{:_'*{'___+>++@@@,,/,///,]]]];;;;;;;;;];]]];;;;];/]//]]]]]2<_/_<<<<<<<<[////>>>*''!!:}:::!|!!!:~~))=====&=&&&&(d8$))!<<2<<!~|17c11171111755jrrlrrrtzFrrtuf53333:}1117",
+"~~))))^^^^1)^&^($$&$$6m6gggdbqoqqnssssssBBpppdkbb11)))~)~~~||||||}4:<<42<<:4||:|:::::<::{::{:{'::'_>>@@+.@+@@@>>>>//[32[/]];;;;;;;;;]]]]]]]]];]]]//3c332[[[<<<<</[///>>>'>*'*':}:::!!|:!~{~~))~===&=&&&$(8($&&$$~<<222!|771771111177775jlrlrutuEo5fjuljjhf}~~)~~",
+"~}~)~))&&^^111^(^^$$&(gg66666gggpsxsppppsssdkkbdbb7^1))}:|~}10}||c00::::<4::::||{:{:::{{{:''{::{'+'+++@+.@++@@@@#>@@@>>]//[3]//;;;;;;;;;];]]//[///[223233fe3222[//[</_<@'*'''<<:::|~!|::|~~~~))))==&$&(8n(&&=&&&=~:<<2:ccc111111111177577hhjlrutu5532<35}:!!~~~!",
+"}}~~~))&&&(^^^^^^^((&$66gg66(6gdbsxspppdpsssddkdb77b7cccc7oCyxc||0||:<||:<:<:{!!!||:{:{{!{:::_'-***+'+++.++++++@@@##%#%%;;;;;;;;;;;;;;;;;;;;]]//[2e533233333eee32222/_/_'>@''<<<''::!:!:!|!~~~~))|1117kd$$&&==&&&&=!:<i401111111111111715eehlluwFf332<</>**!~~~}",
+"}}}})=)=&&&$&))^^^(($$(6ggg666g6bxxppddppdsspddpkciccc7e7eoi7gkcc||!|:||{<<{:::|{:{!{:::{:::{''**'*+++++.++@@+++#@##@###;;;;;;;;;%;;%;;;;;;]]]]/[322233effhhfe3efffjf332<'>'_<:_'''':<{<:!|!!|~~~)1^77^&&&===&&=&&&&)c044|1111171111}}51155hhlutFf333[//'*----!!",
+"!!~~~~~)&=&&$&))^^((^^(666gg69ogbxpppppddppdpdkkpqii7ecc7bi77cp7c||||::{'::::{:{!|{!!:!|||***''****''.+.+@+++.+@@@@###@#%%%;;%;;;;;;;%%;;;;;]/[/[3[[233ellhfllhe3e3fhjhjff3[<<<''''{!:<<::|!!||~~)171&=--&===&&&&$$(b^14440|c111115}}}}5155efhlwFfe32<</**-*-'!!",
+"!!~~=~==))=&&&^&)&&&&$(doggooggo6npppdpdddppdpqkkqpii7c77ii7ccpk71~~!:!|{::::::::|!!!::|--*''*-*'''''++++++++++#+@@@##%%%#%%;%%;;;;;;;%;;%;,]/]232333eeff3ffeeffffhjfffeemuuff2:''{!{::24:::!|||)}c)=--===-==&&=&&^b^^^}43c}15111}1}}}}}}}5efhlArfff3[<'**'**'!!",
+"!:~~!-===&=&^&^&&)))&&)1jvvoooooggnpppddpdpppkikkpkkkkieikj777k7iccc|:||!::::|:::~{!{{*{**'**{'{*''_+@++.++++.@@@@@###%%###%%;%;;;;%;;;;;;],]<23feefeef32[33e3e3e3effhllhflurhhhf53|::::<:{:||:cc1)---------===))1b777777ehjffee555}}55}5}3ejllEl33533<@'*''*-{!",
+"!!~~!======&)^)))~))~}}}1jmmvmgoognndddddddppp7ikkkkpkiiiik77pki7cc0c|:|~||:||::{|!!**'*!-{{'{{{''{'>@.++@@++++@@@@###%%#@%%%%%;;;;%%%%;][[23hfllff33ee333[2223333e3333fhjuumrhf9hljfe7}|4:|||0c}-!---=----!~|77c7ii7711115fffee55555fe5c:5hlhrEf32232[<'''**!!!",
+"!!!!!~~~}!~~115f9jghe}}})1omvmvmmmnngdddddkpppb7kkbiikkkbkkbbopki777c|||||4::~|!~!~!<'{-!{--{'{{{{a''@@+@@+@+@@+@@@#%######%#%;;;;%%;;,3hrrlrljhe3333e333322[[2223e52333eiiffjuujfefhooof75}|0c~!!------!--|43cccc7b51bb17bejtulh555eeec3ellllzA33332[/<_''**!!!",
+"'-!!!!!:}:}55e5he1111))^&&(grmmmvynnngqppdppppbikikikkkdddkbbxqdbbb777ac0||::|~~{{{</:{!*-*!{{***{!*>@++@@@++@++@@####@###%;%%%%%%%,>}rrffhhhhllff333332[2232[[[[23332422ffeceeovojffiifjooof7|!!!!-----!::3cccc3c7fiibbbb9jjuzurllljfe5fhllllzlefh32[[<_''-**'<",
+"'<!!:!::::}~~}117~)))^^^^&$(gmvmmxCnnnn8gqqpqqkikiibbbddddqgpojbbbb777777aa0:{{{{:<_<-!!*{{{!{-{'{-'**.++@+++@@++#@@@#######%%%%;,:efhfffeeee3reeeee322///[[/[[2[23322223ffiec3ifoofi5ifffoooje5}!!-!--!:44ce53c}}59jlmjj99hjruulhrrulrtrlrrlrFhhrf33222<<'!--''",
+"<<[:::!!!!!~)~)^1~1)))&&&($$(jmvmmxnnnnnnqooqxqkkibbbkddpdpqqgkbbbb7777777a0||:{{<<<{--{--{{!!!-*'*****..+++@@@++#@@@@#@#@@#%#%%<fefrfe353333rh22233333[//[//[//[23333223eefjcccceiijieiioj7755ffe51)~!43333555555hjjj9771^75bbehlhhfhrlltzwwwArre3233322[<{!:<<",
+"2[[::::!!~!~)))~~^^^&)&&&$$&^^jvvmvmnnvmmvovvxopk7bbkpddqgddqqkbb7bb7b771|||0a00|'::--!*---*{{--*****''-+..+@@@.+#@@#@#@####@#<333fuh5333323hl[2[[2222222[[//////<2232233343efeic3ciiqqjjic}}}5c5bff9fe5335e}5575eff5f111111}115fhjhlrlhlrttwJDEle5533333<[:5323",
+"233::::::!}~~~~~~)))^))^&&&=&(9muvyvooxyxvmomoxpbbikkdddgdgqggdkdbbb77111})||0cca0|~--!{{{{!!-**-*-***'*...++++++#@#@##@##%#@3322lrf3232333ee3/2223323322[322[[/[<2[22253e4245iicccciooojc4||~}}}7eeomomf553c5555e5}5e9511}~~}7fe5htlhruzzEtrIwhffeeeeee5323hf33",
+"f3334:::!!!!~~)~~~)=))))&)=)=&&^vACuvvvCvxxvvvvqpkbkddddddgogdd8dpkb1771101}|ac|0cc1)=-~!{{-------**---**+++++@@++@@###@#@#<333euue3222233ee3[//[[[]]/[2[2[/[/[//<2<223iee443ccejc0ciji0eic0:||||}efhjjjArje5555551~}bj551}55hjhflrrrlrwIDDEJEfeefffhrflf33233ff",
+"ee32}::!!<!!-!~~!!~)~=)))&=))&)&(KNCAwvvyyxvvyxxqpkddddgddgogddbbdd7b711cc11cc|||caa|a~~~~--*-**---**--*...+@+++#@@+######3323htl3333[2[[2[3///[[///]//][[[//////2<<_/222ec4443iiooiiccccicc|}||c5eeeiiorvvulh555!~)~1hhfeeejhjrwtrlrwzEDtrDJuruullhfhlhhfeee33e",
+"33323}:::!!!!!!!}~)~))))))))))))^yNQOFAvovyxxHCvxngpdddddggogbbbbbbbb7777cccc111cc)||aaa~==-=-*.*-***'''+..++@@@+@@@@@#%<323elrl33[///2/[22[////]//]]//////////<<2<<<<22<2e4:244cijoc44c0i000000eiii5ihjfhmlotAj~::!}}hhfefjhjtAAtrutuzDwwEwthffhlllhlheflhfe333",
+"3323:}3:}:}::|}~~~~~))~~)^^~~~~~^xCGQOJFumxHyyCCyxoggkpd6dgojkbbdbbbbb77777c111c71|||||||~--=--=--*-***'*++.+@@@+++@++@}223hule[/]/]]/][2[[]]][/]]]]/,]],/[[////<<<2<23222344400cc44cicc440c00ciiiiefhjfjhffjmjffi}}}:frffrrrwzttwtrrwzzzErAlfe5333fhlljhhhhjfe3",
+"323:::335}3}::}}}~~~)1~~~~}}~}~~}vGvvFQKAAvyGyyCCymogbdggdoojb6dbbbbbbb7b77111c71|||1)~||~{==-=------***'*++@@@++++.@>332flrh32/]];]],/[/2]]/]]],,]],,],////////[<2<<33322244ccc|:<440eicacciciieiifjoloffifjec57iff53erlruzzttwwrrrtzzztuuAlffee333efhjrllffhff",
+"fee2233333535c3}}~}}}}}}}}|}!}}}}vyogguQQJEAAGCCGGynggggggoo9bggbbbbbb77bb^1117b|}1|~~)~~|~{~~=----------'+>'>@@@@+@'fffrwlh3333[///////[]];]]]]]]]],,],/>,>////<2<[2343434ei7}||:|4400cpkic7kjiicefoouyvmfje4435efjoohtEzDztwwuurruzEwrruErhfeffeeffhffhlhllrff",
+"fhhffffe53533}3}}}}}}33}}}::::}11nxgd86mFQJEEGNGGFGCmngggmoogkggggdddb177bb117qb1))~~~)~~~|||~~~=------*''*''/@+#>>3llrwtlfe3222[[233333[//]]]]/]],]>,/]////>///<:<<34:4433fjc4!|{::|00ackqkiceiiijvoojh5ej544333eihjvAJIIEDzuurtuzIEtlrlrAlfhfeeffhllheeehfflll",
+"rrrllhlff5ee53355333333}:::}}1^^^dxqdddd6uKOJFGQGFKGCynoqmogqggggdddbbb7^b777qb11)))~)|~||)||||)~~=--!---'*-'>.@/[errrulfee322[///223233[22[[///]/],,,/>/>>////>/_<234:444ei544|{:{|||0acccjojiiijvvvojffj54:433eieelAJJJJDwuruttzIEtllhhArhffffhhhhllhhlhffhlll",
+"wtturllhlhef55e5ee5e5333}}}1^^(^$dxn6g6dd6mFOJEFOKKOFGvmmmoggdgggg66ddbb^bb7bg^^1^1111)}}||}||c1||~--=-!!:-<<@><[3rruhhf3e3[//];;]]/[/[[/]]]////[[[////>]//__/>////32:::43343<4||||00||acceijovoovvAujhjle4343eeffhrEIIJJJJzttutzEufflhflwhlrrrututttzrlllrrtwzz",
+"DDztwurrrlljhhjhf55ffe55551^1^^^^gxqg666g866uKOJKOOKOKGyCvgogg6gggggdddbbb7bgb1b71^11c111}111}17c1c}~~~~!<<_/</[3zwlffffe2]]]//;]]]]]/]]/[]];],,/]/[//[[///_>>>///222<4334444344||||||1acciiffovAAFAAvvvf335eeefjrzIIIIIIIJJEwtEwlhfrzwzKIDDDIIDDzDDDIDzEDDDDDII",
+"Dzwtwrrrrrhrlhhhffef55511999^^^^(gxgddd666666mFKOQQOOQOFGymgogogng6gg6dbdbbgg^^11111111111)111111cc11}~~!:_2i2<[wzrlhhee2/]]/;]]]]]]]]]]]]]]]]]]/,,,],/]////[/>//[2223334<4:44440|0||||00cijjoouAEJEFAFvofhfifhlzIJJJJJJIIIJJEArltFKQOOOROJIIIIIIIIIIIIIIIIIIIII",
+"OOOJJJJJIDDDwtwtrrhff999999^^((^(gnddd(66d66666mFORQOOOQKFGvmmngogogggddbdgv^^1111^111111111111a}1777c11}}cjl33wwtlfef3e[]]/]];]]]]]/]]];;;,]]]]]],]/]],,>>>]/[/[3334:4::::440400||||||7ivCKHCKOQQJJJJJFKFAAwwFJOOJJQQJJIIEwEEAFJIIIIIIOIIIOOQRSSRRSSSSSRRQOOOOQ",
+"AIDDIDDDwEwAFEzAzwuuurlgg69(^^(66mxq6666dd66d6666uKRRQOQROKGCmnmmmgg66bbb6ggbb^1111111111111}1)11111c7c7oojrhfwIIzwlhh32/]]]];]/]]][]]];;;,]]/]]]],]]]]//,>>>////3eee4<:<<442cccc|||00coGGuvrrwJJFtwAFFFKJKJJOOQOJJJJOJIDEEEEJROIIIIIIJOJOJQRQOKFEAwttthlhehhttA",
+"3effrutwttlrrjh9h9jllrrmojj9g966gmyggg66(d66666666gGRRQQRROKKGymmogg6g66ggydbb77^b111^1^111111111177ccjvvvFtrAAlrwtwtle2]]]/]]/]]]//]]];,]],]/,/],],],]]/,/,>///<223222224422333c400c7vKuvvAAwEzAwutrvuFJJOQRRROJJJIIJIIIJEIIOOJIEIDIIOJJJJEzwttrllhltue333333hh",
+"hlfeeefh5hfhllh9h999999999996669gvGvmmg66666dd666666yNRRQRRQKKKymngggogggymbbbbbbb^b7777111111111117iovyyAJEJAh32[5lwrr3/]]]]/////[]]];;;]]],,,,//,,,,///]>,>//[3232222<<24223eeeccceyFuvuAuAEEzwtrrlouFJORRSRRQOJIIIJIJEEEIIJJJJEIEIJOEEwullhfhfjhrrwEr33333fll",
+"ljhfefe33333515b9f9995777999999(6gCmmmoog66668668dddqnCNRRQRRQKOGmgggggomG6bbbbb7bbbb1b77111^111bbiovoofjFJJJwje2/[[ewth2/]]]///////];,]],>]>]]],]]]]]//>/]/>//333222222<<<2[3fjji35AEurwAFAFEIEurtuluEJORRRRQQQQOOJJOEEEEIIJIJJOJJJIJztullhhfhfhjrrtEDIrlrurwzw",
+"lffe5333::}}}}}}1117b5111b^^^^^^(6xngg6g669gg66666d66gnyCNRQRRRKKGvmmmxmCyggggbbbbbbbb11b1177b69qfi7e4eefrEJAroje32[]3ttf2////]][/]/]]]]],]]>]],>],]////>>////2e442<<22<:<<[23eluhitJttFEAFAFJEulrutFJJQQOOJJOOQOORROJEEEEIIIDEJQOJEEEuulhffhfhlrrtzEIJJOOOOOJIt",
+"heee34::::!!}}}}}))~~)1^1^^^^(^^(6ygdgggg666666ggggg66nnnxGQQQQOOJKCvmyyMnqggqgbbbdbbb7bbdgggjji7c|:4433flKFrvoiie33[[5zrf3[/[/]/[[]],],,],,>>],>>,,//>//>//[2ee2<<222<2<22333eejlwJIEKJJFKFJJvoluFJOQOJIIJJJJJJORQOOQJJJEIIIIJJQJEEJtujlhfhhrEwruEJOOIIIIIIJRDr",
+"e33e334:|:}:}}}}}~)~=~)=^^^^^1(^(gndb6666ggg66666666ggmnxnnyGNRRRQJKKGCGMmoqqonxodgddqoomovomgic0000ic0cevEFojjfjicc4[[eAlf3[/[2[//]],]],,,]>,,>>,,,>>/////22ee<2[<<223222322e333lEDIIIIIEFKJAmtFJOROJIIIIIIIIJQKJJOOROOJJIIIJJEKOJIFuurlrrrutzwEKKIIIDDIIIIOKll",
+"323}}3}:43}:}}|}~)~)====&))&&&^^bgng6d(b6d6666gggnggqgonxHHCHGGQRRROOKKRMCyxxmnyyyCCyvmmqggbb7acacccc0cjjAvFuvooovoqqicclArj3222[[]]>,,]],>>>>>>>,,,>_//<2243e3<2<22223332423323fADAEIIEIJJOKFKJOROIIIIIDIIIIOKEAFFJOROOQOOOJEEEKQJJzwuurrwzzIJJIDDDIDDzDJOKwhff",
+"333:cc3}:|}|~|~!~)))=~===&=&&$&&^^dd^bb(6d6d6d66666666gggnxnnCyCGNRRRRQRSNNQNNNQQNNMMLHBHxxxsppppkkkkkpvyAvyGyvoqqyxqqoqiyFuoiice4444022222_2________:<42442e22<442232eee53ee225uDwzwIJIIIJORRRROJIIIIEEIIJJFtAwFEFJORORQRRQOKEFQRJEEztEDDIJOJDDDEDIJIJJKFtlff35",
+"22::43c4}|c|!:!~}~~~)====&&&&)))^(d(^((^((((((66666666668gns88nnnyFNRSRSSSRRRSSSSSSSSSSSSMnnxpxxxspppppxGCovCCHCyxxxHCxqxvGFFFvookkkiiccc0c0cc0400cikiiiiiijiccc4ccceeeffeee3cehEEDwwEJJIOQRSSQJIIIIIIIIJOGtlrutAEJJJJJOOQQOQQOQRROIDDEIIJOIDDEIIIDDzuttrllfe35f",
+"::4::4}:}}:!!!!!!~}~~~=))&&&)))&^bd(((((((((6666(((((b((66gnnnnnnmvuFQSSSSSSSSSRSSSSMMRRRMxqkkeiiiccccjovoooooooxyxqqxCCCxxGyuvoicc424044222444000c00ciki0jicccciiiiqooovvCvvovFJFJFFEJQSRRSSRQJJIIIIIJJFtvomvuwwEEIIJJEEJJQQQRSSSJIIIIOOIIIIDDzDzzDrrrlhhff3233",
+"<<::::::}}||}!!~~}!==~)~~)&^^^)&^bdd((((((((((((((((6bd(666gxxmvmvyyvAGRSSSRRRMSMMRMSSSRRSCvyvvmqkkkicifjfiiiijikkkkpkxxCxyHKGAvqpkiccc40444044aa44444c3cce44440ciciikiqjooovFKQOOJJJQRRSSSSSSSOOOOOOOFwyvvvvvutAEJIJJEEEJEJORSSSSROOQJIIDzEEDEzzttrrrrrffe3322[",
+"/'<:::!:}}!!|!:!!}!~~~~===&&&^&^^dgo(((((((((((((((^(999699gvxyvvmmvmmnCHNRSSSSRNHCHGNRRRRHyvvvvvyvoojfjiiji5eiik400cioxqxxyHNGGoiiiic0cciiii044444440444c44<:44c4ccccciiifjjoKROJOQSRSRRSSSSSSRRQOQKGGGGGGGGKFGKOOJJJEEIIJQRRSSSRSSSOJIIDEzzDDzzuurjhlhe332222/",
+"/'<2::!2:}:}|}!!}!!~~~~&)))^1)^^1bddb(((((((((((((^99j999996gqnnn6d8qnnxnxHSSSSRQKFGCCNRRRNvvoqqoovvyymmjiee7eiie00cciikiikpxNGKGvic044000400000400000cci34044ccc04cc4eiicijovJJQRRSSRQRSSSSSSSSRROKOOOQQQQQOQQRRQQRRROQRQRSRRSSSRRRRRRQJJEzzzwwurlfffefef32[3[]",
+"2<<[23:}4}}|}}~!!!))~~)^1^))))&&^^b(^((^((((^^^99b9999999b^(((8888888psxBMLLMLNRRRQQKGQRQRQyoooooovovAAujiieceiiiceciiiiiiicioCGGGoicckii0440424244c04ccccc0ccciiikiikkqqpoyCQRRSSSSSRRRRSSSSSSSSRQQQQRQRRRRSSSSSSRSRRRRSSSSSSSSSJJORRQRRQKAAwtwtrffeeee33e323[[",
+"[<2['::}}::!}}}~1}5111))=&&))))^^(bbbbb(^(9977b9991b1^((($$$$$(8d8d88ddsLLLLHxqvGKORRRQRSSRMHyoqijoxvvFFvfee7ei7eieikkikicii00oGGGyqi0cc0iiiic0444444444cckkkpxxxxCHCyyxxxyGRSSSSRRRRRRRRRSSSSSSSSRROOOOQRRRRRRRSSSSSSSSSSSSSSSSRJOOOQOOOQQQKAtwtrhfe53233e332[[",
+"2<<///<:}!}35511^~~~))))^^)~)^1^1bb9991997b99b1^^(($^$$$$$$$$$$(8888((8sLLBBHxppkoCKOOOORSRSQQNyoqkqooKKvlfeejececciiiikiic00iioyGGCqpi0024c0ccciiccippqxxxqxpqpppppqppqyGNRSSSSSRRRRRRRRRQRSSSSSSSSRQQOOOOOJOOOQRSSSSSSSSSSSSSSROOJFAtAAFKKQQGFAhffe3e53ef32222",
+"<22<22<2352:}}~~}~~1}1^^1}}115511b9b11bb5711^^$$$$$$&$$$$$$$$$$$(888d((8BBsBBCxpiiejvFJOQRRRNGGyyvxvCyuAuoheiecceeiiiiiiiipkkkikvyCGGvqki4cicciiqecxMMHxxkkiiiiiikpkpkxGRSSSSSSSSRQRRRQQQQQRRRRSSSSSSSRRQOOOOOOORSSSSSSSSSSSSSSSRKFAvjfjjovyGKNRNyjhhf3ee332<:[2",
+"2332:<<<<23334|}}}55}555}3}^11))1iifee51^^$$$$$$$$$$&$$$$$$$$$($$(88((((sBsxxsxqiccci7gyKORQRKGyvvvvyAvFvoooi500ejiccecikppkppiikyvvGGyoxkiccciijcxHLpikqqqqpkpkkqxvyNRRSSSSSSSSSSRQOJFFOKOOOORRSSSSSSSSRRRRRRRSSSSSSSSSSSSSSSSSQKuvohffeeeivvFOKQNGvjeee3333223",
+"22<<<2222333fee3}57}}}11)==)~!~}5rof1^$$$$$$$$$$$$$$&$$$$$$$$$$$$$(d8(1^dBssBBxqk70cccccjuGORJJFCCvvvAAKClmye7ciceijieixBLBBpppppxyCyyyyxxxoiciie4xHHqkkkiciqqqxxyHNRSSSRRRSSSSRQJJFFKKKOOQRRRQRRSSSSSSRRRQRRSSSSSSSSSSRSSSSSSSSGAuvjjeieefeffjAvvGNQNvjffe33333",
+"3223233235lhhjjf53:!~=~~~!:!}}eeeg&$$$$$$$$$$$$$$$$&&$$$$$$$$$$$$$$(d7b7bsBsBBBxqjc17111akbGNKEFFFGAFFGKFyFyiiikjjjojxBBi2<0sxBxppHGGGGCCCxvvoi33iiCMxxqpkoqkqovGRSSSSRRRRRSRQOJKFFKFEJJOQSRRRRRSSSSSSRRQORSSSSSSSSSSRRRRSSSSSSRCvyvoofffe5eeefhehjvGNRNCoe33253",
+"eeefef33333ujje<<//_'!!!:}5ef5^$)&$$$$$$$$$$$$$$$$$&&&&&$&$$$$$$$$$$bkbb7dBsBBBxvvj771|||77kyCmtAFFKKKFKKKGGxqpovojnHxc222<<42_cpxHNNNQKGHCCxooic44cHLHCxxqqoyNRSSSSRRRRROROJJOJKJFFJJJOORRRRRRRSSSSSSSSRSSSSSSSSSSSRRRRRRSSSSSMoooooojifeefefljfhfejvyGRNComjh3",
+"jhf3e332<<::gq0{''>,]<:}551^&$$$)$$$$$$$&$$$$$$$$$$&&&$$$$$$$$$$&&&)&bkbbbsBBBspxyvkc1111ikkyH77ovuFJJOOQNKKxqkijjCGe</2<222/[2[24ixKRRNQHHCCyxqqicciHMHxCGNRSSSSSRRROKJIJQJIIJJFJJJJOOOQRRRSRRRRSSSSSSSSSSSSSSSSSSRSRRRSSSSSRQHjiijjjfffjjjjjrhifffe5eoyNRRNyuj",
+"fe52::<<'<''!1c!'''<353:<*=&&&$)$$&$$$$$$$$$$$$$$$$&&$$$$$$$$$$$&))==)dpbbbBBsspknyok77777k7qN7c7cimFEJOROOKvqjovNyc2<[__<<<[///[442fyGRRRQNHGHCxxxpccHSMRSSSSSRQOOJFAAAJOOJIJJJEJJJJORRSRSSSSSSSSSSSSSSSSSSSSSSSSSSRRRSSSRNRHNCje55fhhfhffjjlojffhhfee5fjyGNMQG",
+"Mvic|::'!'!'-!|:{{'!!'>>>>>*=&&=$&&$$$$$$$$$$$$$$$$$&&$$$$$&&$&&=====-&dpbbsBspsp7oAm77111kbdGo7ec7iovFOQOJJGvvGKq4243<:__</[222333[[ilvNNRQNHHMMMCCHCNSSSSSRQKEJJFurovuJQOJIIJJJJOOQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRMRRNMMHNo5ee3e335eeehovrjjmmloiee534ciqCM",
+"xMMCqc|:::!!!!!{{{'*****>>+>>'-=&$$$&$$$ $$$$$$$$$$&&&&&&$&&$&=====&===$dpbdBBpss77mCobnb117byy7iiqoojvwGQJIEKQCo704444:_//_///2ee3323jjouyyHHHMMMRRRSSSSSSQOOFGGGvojfoEOROJJJJOOQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRNRSNNNvove53355efe33ehjrojjjiiec42<<_<{{}i",
+"|bpHMHx7|:':!!!-!{:-****'*++>>>>.=$&$$$$$$$$$$$$$&$$&&&&$&&&&=====&&===&&bkdsLssxp77oymNn11i7dH7kkkojmu9bvGGGug7ceicc444c2__][/ee433c33jjhijjipyMSSSSSSSSRSRQQKQHvovvvFORSOOOQRRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRQNGyoijve55e35effeef5e33352<:<44__22:::|:",
+":{{|kxHMCk|!!!!:!!!---*'*****''+>>.&$$$ $$$$$$$$$&$$===&&&&)=&=&&&&&&==&&&kkdBBssq77kvCQKd1k7kGi77jjjwj77ej9}}c04040ccc400022/<32333444ifffejfxNSSSSSSSSSSSSSSRMHCCyGKQSSSQORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRMHyFvjifjovfeehe3332222[/<2[/__<_<44:::2::::",
+"_::{{~7pCNHqc~|~~!!!--**********'@>>+=$$$$$$$$$&&&$&&==&&=&&=&&&&&=&&==&&&^kksBBpskii9CGQGb779Cbiilrto155ej7!{|4444::4ccic0iqif3c22222c3ihlvGMSRQORQJKNMSSSSSSSSSMRMRRSSSSSRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRNNyojhAfifjjjjo52242<<[//<[<<[[/@'>>>/_2____:__4",
+"4_a__{_{|kxMNxb1~!!!~!!-***----****++@@*&$$$$$$&$&$&=&&===&=&&&$&&&=&&&&&&&^bkBBBpkk77oGNOvbioymiirwv5}11fj~'*{{'<4::<<3iiijkvyoi3433223jHRSRQOOOOJEztmooqxHSSSSMLMSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSNNGvjifhruffec5cce:</>>>_//<[<[2[<@@'*@>@>>/>>_::__",
+"___:a_a__:{7pHNHn1)|!~=~!-*--*-******+*@>*&&$$$&$&&&&&=====&&&&&&&&&=&&&=&&&^bsBLspki77vFQK9joqx9jAt55111he:''''>>':<44243effyyyvoii5iyMSRQOOQRQJEEtuji44ckokqCMSSSRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSNAmorof5fl2<<<<::44:<_/>''>>//,///>'*>@+>>*>>+@@+_'_",
+">____{{|a_aa|~dxMNHd)~!!-~-!!-------*'.*''>*-&$$$&&&&======&&&&&&&$&=&&&&&&=&1dBBLsdi77byOQCojoyjuF97}}7597''___//>_>___<223fovvvvovHSSROIORRQJIEEtre4|0443ioovoxHHSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSROQRRNGrrmjff342h2_<<<::|0|:<_''''>>////>+@+*+++@@@@>#@++++>",
+">*+@''____|aaaa|7sHNHn7~~~==---~------**'**'>'=&&&&&=====&&$&&&&&&&&&&&&&&&=&)1dBLBsik77oFQQujmCjFj157}55e5**_//_>>>>>''<4ce5efvyHSSRQJJORROIIIJIJjcc0004ccciovyyCCNSSSSSSSSSSSSSSSSSSSRRRRSSSSSSSRRQKFCvjee5e3332<e3_<<{::||||!{---''_////@+*.*+@++@@@+>>>@+@+'",
+"@+@+++*'''___{aaaaadxMMyb1~~~~==--~--!--****'''_*-&==&&=&&$&&&&$&&&&&&&&&&&=&=&bnBMBbki7iFQRKjoFmm1}55}}55}''>,___>>>'>_>/4efmCMSRQOJORRRJIDIEEtwwfcicc4ceeiiejvGFQSSSSSSSSSSSSSSSSSSROOJJJOOOOOQKGCmoofi33222442<4e/<{{::{{~||!!**''>>>>>'+...@@+++@@@@@@@@@>@.",
+"+@++++.+..*''{_{||aaabsHMCq7~~~==---!!||)---*'*'_>>*-====&&&&&&&&&&&&&&&&==&)~)^bxLMsikiivQSRvoFo7}5e75}55!*'>>*'_>>>_>//3eoMSSROJJORRQOJIEAtwujijjccccciiiiiifjvFSSSSSSSSSSSSSSSSSRQOOJJJJJIIIIztlfeff3322</<<<_/e<<:!'{{{|:~|!!*'''''_>'.'-++++++++@@@@@@@@@@@",
+"@++@+.@+....++*'{_{|aaa7pxHGnb1~)=-=~~-~||=-*--*_///<{====&&&&$&&&&&&&=&&))))~))1pBMLpkkijGSSGvFic|cfe5557-'>''>>_//<225oMMSSRQRRRSSSQIIEwvvvovjeeoieiijiiiiiiijvKSSSSSSSSSSSSSRROJOOQOOJJIEIEAtuje43e332////_/</53<:{{:'{!{~-~!{''!'''''......+++@@@+@'>@@@@@@@",
+">@+++.+@.+.+....**{{{||||7bpHMCq1)~~~~~~-)~~!--*>'<:2__'-=&&&&&&&=&=&&&==&&))~)))bxBSBkqiiyRRSCyic}}ejf5e5'>_'_/'<<<3jyMSRRQQQRRSRRQQROzuhii3covoijjfiifjjiijjjvGRSSSSSSSSSSSRQOJIJIIJJJJJEAwlohfe3/2322<//_///_<c<:{{{{{{!!=!!~-'*!''<''...-++.++++*+@@@@@@@@@#",
+">@>+++.@..+++.....-**--{~||77pxHHni1~~~~=~))-!!**'::'_//_'-=&&&=&=&&&&=&)&&))~))))kBLLpqqjoQRSNv77}}efe5e!_>>_'<23fyMSSQOOOOOQRQOJDIJRKro3e340cmojovyojjiiijjovFRSSSSRRSSRRSROOIIIIIIEAAAAvvojiie3</22<[///___/<e<'':{!~{~!!~~{!-!-''''-*..*..+++@@+@+++@#@+@@#@",
+"@+@>>+...+++.+....-..**-*{{{~akppHNyg7})~))~~!-{!!!!'''__'''-=&=&==&&&===&=)~~~))~1sBMCqxvoGRSRo77}ceff5f'''<<25mHRSROJJOJJOQQOEzzDIJOlfjiiccceioooovCoqjiijoyFQSSSSRQOJKQRQOOJIIIIIEuurleiijiij32//<<<</_/___/3:_'!!!!!~-~-~!~-!!-!''*-.++'.++'@+@@++@++@++@+@@",
+"@@@@>>@..++.++...........---{||a1ppxMHn971~~~~~::!{!{*'''''___*==&&&====)===~~~~)~~^BBMxyyvGSSMj77cefjfhe<<::fCSRROJOJJJIOQQJAtEIIIIIl2<24ciecccfAwvmvvoovvvvwKSSSRQJKJEEJQRRJIIDEzwtrjee32cecci42</_<</____'<44'{-~!--!*---!~~{!--!!'***.+@>*+>@++++@+@@+++@@++",
+"#@@@@+@+.+.+++.+.....+.-..=.-=={||1bpsHNCok77}}~||!!!!{'!{{'__/_*-&=&&=&))=)~~~~~|~)sBMCoyxyRSSo7i5ejlhr::5yNQOQOJJOIIJQQOJDzDIIIzlfh[22[<2<4ccijAtromtAyvyFKORSRROOJFAFAEJJKRQJAtulrjfe22<443c32<<_<<<_<<_'_<e:~!-*-~!--=-~~~!-!!'!!--*'**.@+++*+++@+@+@@++@@@+",
+"@#@@@@@>#++..+.++.........-...=---{|a7pBHNGyqi7c1}~}!!!!!!!!'<____'-=&&===~~~~)=~)~~)BBMxHyoNSSyeieeorrumHROOQOJJIIIJQQJEtlrrzzuff333/{:<[[2<<4ijowtvovwutFEORSSOJJJJJFKEJJFFFNROAvljh52//<422244_/_<<<<<<{'_e<{!~--{------!!--!!'!!--*'**'*@++'@@++++@+@@@@@+@#",
+"#@+++@#@>#@+.+.+.+++....--..-.-=====~~17pBHMNGvjbc71}||!!{!!!{'*'___'-=&=)~~|~==~)~!!dHLHCvqHSSCcjjrwFQROJOOOIIIIJOQOJzrhlltwzhe3222/<<<<<[/[2eeeeoAwmrAAzEEOSSRQOJJEJJJJOJFAAvCRRGvhi2_/<:42<<2<<<<:<<:::<<3:{!!!!{*-----~-~~~)!-!!!-!-*'+*++@@>++@@@@+@+@@++##",
+"@@@+++@@>@>@.+...+@.......--...==------=117sHMNGCofb1c}}|~!!!!{{{**'__'{~~)~~{!~~~~~~~xBMxxqCSSCjAFQRRQJOQJIIIJOOOJDthehhllllr332[22<<[<[<2/2332333jwurvAIJKSRQOOKOKKKJJOOKKGyvyFNMGyc<<:<:<<<<2<<<<::<::!<24:{!!!!!!{-===-!--~~~1}}}}3:'.*'+@'++.+@@@@@@+#@#@@#",
+"#@@+++@@@@@>>+...+++.......----==-------==~|7pHMHCvuof771}}:|:!!'{{{''_<<!))~-!!!{!!~~dHLsxqxSSNGRRRRRQKIIIIOOJJIErh5feh5323e332223//'<[//[[5e333333rjhjtIJRRQOJIJJKKOOOOKGGGGKKyyyMRx0|:<:<<<<</<{<4<_<::22'{{{{{{{----=--=~)1717}}}7}}'*'+.*+.+++@@@@@@@@@@@+@",
+"#@#+#@@+@+@#>@++...+.........-------------=-=~1kBLHvmmmof7}1}}:::{!!'''{{<_{~~~~!{::::|xLLCGySSRRSRRSSOQRRQJJIIAl55ee322[<[2[[33/[2/<'<</[2efe35222[3lrhuIQRJIJEEEJFFKQROQNNNNQQNGMSSRHppci0||:<<<::::<:_<5/'-{{*{{-{-!-!!~}~~})~!}}}3:!!'++.+++++@+@@@@+@@@+@@@",
+"@@@@+@@@#@@@+@@@+..+...........---=---=--=-----~)7sHMyooomlj5}:|!:!:!:<:<<___:!!!!:::44bLSNRRSSSSSSSSRRMGtEIEtl15333}2<<<<2<223[/2<>'<</[2eeeee2222[2fttDJRJIIztuutAAJKKFKGNMMMRSRRRRRRxpkpkk044::::::::<3<<::''{{{-!{!~~0|}1}!!~:}|!!-'''*@+++@@@++@#@@#%#@@@##",
+"@@+@#@@@@+#+@@@@@+....+.......*-----.---==-=-.-=-=)1dLLCmjjojhf55}||!:<:<<<//[<{!!{:::}9MSSSSSSSSSSSNvolwEzul5e5}:<:2:!'/[<:2232[[/>/'<<23ff533[2233fftIIROIDwrrwutwzzEuuujhjfifiiibkvCiccc0||444::::<4:e:<:::{{!!!||!:~||~~||!|:!!!!!**'''++.++@@+@+@#@#%######",
+"@@@@@@@#@@+++@+++@@+.++......---=----------=--=--===-^dBMHxjibhjffe534::<::</[22<<:5evFFOSSSSSSSSQKOurwEzr9559}!:!<2<!'<<<<22[23[[/[<[//5eee32[[32efjhtJROIDzwrrutzzwzEruwrf33eie53::|ceee44||4<4::::<<33<<''!{!!||~|~|||!~~~!!!!!!''!*+.*+++++@+@@@+@+@+@##@#@@",
+"@@@++@@@@+@+@@@@+@@@+++...+....**-.---.----=----~}}-===)bBMMCjfb5eee55e4344<<2cijhrtEJJQSSSSRSSRROQJwEwrj5}5}!!!<:<''{<<<<<<[[3332[2[[/3e3ee333233ehvwIJRJDwwwwrruwtEDwjlEr333e5353:<:4:cic4442<<<:<<<34<':{*{{!||||||||:|||~!!!!--**-*+++++..+..+++@+@#@##@@@#@",
+"#@@@#@@@@@@@>#@#@>+++@.+.....-*.*..--***-...=.!!!!}}---=-~^xLMCofi775e537eeijjjouEJJQRRNQNSSRSSSRQREtlj153}~=-!'!!-!'<'<'<<[[[3332////2f32ee32333fjfAJJOIIDtutzzttuwzwtlAwjee3ee335:2432:40c42:<<<::<23<::{!!!!!|~~~|}~::!}1-!{-!--*'+++*@++++++++#@@@#@@#%##@@#",
+"#,@@@###%#@@@@@@@@@@#@@@+.+...***-.-*.*..*..*!!!!*!!------=)^nLRHofffeeeiffjjuAKOEFJKFFJwmMSSSSSSRKmg1}}!----!:!!--!'''</<[2//3h3//][]f52eee3333eeejFRQJEtIwrrzDzruuzzrjrjjfefiie55344:3444:33<<:<:<43<<{!}|||~!!}:|~~~!|}5}!--**-!*'+++++*@.+++++@@@++@@@##%##%",
+"@@##@@@#@++@@+@+@##,@+@@>***+.*-****.**-.-**!!!!-*-!*---!-----)nLRNyvfeeiflwFKFAwwFAJJAwuvHSSSSSSNm1}!-==---!!!----!'''<_'<[[2eh[////[h3eeee33[[eeerKROEultDttzDwwwEIErf3ioujhhf55771c3544444c444<233<44||||!~}~|!-!!!~|!:!:----.-.''*...++++++.+##@@+@@#@#@@@##",
+"####@@@@@#@#+@@#@@@#>@@@@@*.+.+'*++++*.-*'*!!!**.**--***{{{{{~!~)8LRNGvvyFKAurvuFEJJAuuAzEFSSSSSSm~~-===---'!-----''''<''<2[23e3[[[[[/h3hfe3[[[3eelEORJwrjfwJwtzEJEEEIKvqpkoHGjjjjjfic55}44<4:4432e34:4}|||}|}}|!!!!!!|!-!!!****-.+.**.+.+@@..++@@@@@@@#@@##@###",
+"#%@##@@##@#@@@@@++@#@@+++@>'+.*'**+''>>'_<<'''''*'*''***'*!{{-!~~~~8LRRROAtuvuFFKJAutwEEIIOSSSSSM1=-==-=-'**=-----''!<':<<22233322333[jfee2/[[4eifwIRQIwrjluFEEEJJEwwEJQHCxovFAvfiiie5534444:::44e5:24|}}|||~!::!!!!!!!!''!!''''*.*++*+@@#@@##%;;;;;;;,;%##%%##%",
+";;;,;;,%,#%@+@+++@@+@++++++''>+':<<<<<<<<<<<</<_/__<<_>_'''{::{|~|79myMSRNFGKJJJJtrutwwwEJRRSSSSx===-----*----***'''<:22<222533335532<ehe243cciioAJQRQJAuwvmmKJEAEEAttDQCvofjoAumjiffi5c4444:4:3e3c34:}}}3:!:||!}}:::''!'**'>'''*''++@+++##,;;;;;;%;;;;;;]/];;;;",
+";;%;;,,;,;,,,,%@#@#@@@+.++@+'@...**-!!:'!{:::{{'<<<:<{<<<<<:443cfruvlooGRSRSRQOJJAAwAAFEJRRNSSSM(-----------*'*'*''<:34::24efjoooqkkc0oyyqooqqjjuJOROJIEwvmoAwFEEAEzEtEOQAvfjfgwullojff5334::3ff34c43::::::::|||}3:!{**-**-*'*-**...+++@#;,;;;%%%%%%%%;%%;;;;;;;",
+"%%%;%%%%;;;%,,]],/],,,>@@@@@'''+++++*+**.****-****-*{*'*'*!|||emoofffjmvuKRSSRQOOJzAEJJJQKyxSSSMc'*----!---'-**'**'cnxHBLLMMGGGHxqki7aioovjfjoolJJRRJJIIulrrljlGEwwzEwEOJOwojjf9uuruwtljf55imrj33354c}::::!::!|}}::!''**.*-**.**.*.+@@#,;;%#,#%%###%%##%%#%%%%%%",
+"%##%%#%%##%%%###>,,,,,],]/<//<>'>>++**.'.''*'.***.*'**-..**!}}}}1}1111fluAAMSRRRSNKJJJQNCyxxSSSH233<'''*---*****~boyxokkvKNyvvyvvkii77oofouurrrEJOROIIIIrrwjffjlwJzwEDJOJOOtrmjjjutwAFwvvvvrje5544c|||::!|!:}4!~!!!{-*-*..--***+*..@>>,,%##@###%##@####%%%#%%%%;",
+"%%%%%%%##%%%%%%%%%%%#>,>,>>>>>////>_''*+'+>*+''**+*''*-**'<:}!~~~^11bfojlg96nMRRSSRQQNHvvGHMSSSC23332<'<<{'''!1iijoiffjomovCvvvvoooofivmjomtAuwJJROJIIIIDzrjfjjhjtJIIJROKQJOAoj9999mvulofe9}c}}}~!~~!|!~!}}}|!!!!'*!!**-*'.*..+...+>>#@#####@#@%@@%#%#@##%%%##%%",
+"%#%%%%%@##%%%###%%;,;#>,>>>>>>>>>/]//[///:<'*'**+*'+'-'!:::!!-~~~159jmlfb1b999ySRRORMNCoooyHHSSHie3333<:::}7fjjovuurojolfejvGvvuoofb57lhhjhjrDIJQROIIIIOIEwttutljhltKCuuuAFJKmbbb^^^^^b^^~)~~}||~~!|~!!|}}}!!!!!!{'-!-'-..**.++..>,>@@@##,,%#@@#@##@######%%%#%%",
+";%%%%##%%#%%%#%%%#%%%>@#,>>>>>>>#>#>,,,,>/,]/@@*''*'::!:!!!~!~~~~19fjh977eee759mMSRymvHNyxyxxSSMNGyvvuuuuAAAwtAEEzAwwAttujffvutAtwuoofwururuuzQORQJIIIIJDttwwulfeb59eb99gvoyKQndbb(^bb^^^)~)}~~~)~~!~~~~}!|!-!--*{*-***.-*-**++>>>>@>@@@+@@#@###@@@@####@#%####%",
+";%#%%%%%%%##%%,,#%%,,>>,>>>>>,##,#,>>,,;>>>],@***'!:::!~~!!}}~)15fhfe555ife55fhmGxSRGvovGMHCHRSMvvuuFJIIEIDEEDIDwtwtDDEwtuwlAJIDEwllofuhjljhlAJIRJIJIIIJAlhfe557577bb6(6d6ooxHMnd8dp(^)^^11~~)~~=~~~~~~~~!!~!!*---**'+**.**-*@>>>@*@@@@++@+@@#@@@@@###@###@###%%",
+"%%%#%%%%%%##,%##%######,,>>>#@>>,#>>,,;]]>>;>''''!!!!!~~!!~~}~7eff971}55eefjovyo7knMRNyyyKRMNSSRQOJJEEDIDEzzEIEzztwwtlurrrujltwwrlb^^^3<333ehEIOOIIIJJJJulhffe999b7b96666d6gqxLLddbd^^(^71)))~~~)=~}}~~~-=~!*--!--***'******>>@@@@+++@+@+@++##@@#@#@######@###%%",
+"%%%#%#%##;%%#;%##%#,,,,>#####>#@#,>>,>,],,]>'''''!!!!!~!!!!~15eeef71}555}efoCokijojoHSROJKQMSSSRQOJEEEzwttwtrljlhhlhe5fheff57foh71~)&&3<235erEDQIEwtrrruuwulljlmvummmgmgg6nnBBLLdd(^^b711^^})))~~11~~~~~=------------***.*'*'*+@++++@>+@+@@@#@@@@##%#######%%%##",
+"%%;%%%%#%;%%%%,##,,>#,,,#>>>##,##,>>,]];]/>>'''''!'!!!!!!~~}cc55771}3c3}efjoqiikiiiijxMRKFuvGRSQOJJJEEzttutwrjffeh5}::::'''-&)c4|=$$$$2'::<2uEJQItljjjjlhllrtrmgmmmmmoomooxxBBs8((bbb71^1^11^1^~~)~~---==~=--------.*-.-*--***++@@@+@@+@+@@@@#@+@#####%%%##%##@#",
+"%#%%%%%%%;%,%%;%#,,#>>####,#,#@##>>>>,]///'-'-''--'{!!!!-!}}335}}}}c3}ceiiec17kki7cijiqCRRKyFGSQOJEwuturwzwtrrjjlf:2<<!<<</*&&1}=$$  $<':<<3wzJODtrlhhhfeejjrvutumggggggggdnsddd(6bbbbb711^^~11)))~)-----!----*-****+*'*****..*++@@@@+++@@+@@@@@@#@#####%####%#%",
+"%%%%%%%%%%%%#%%,,;%,#>####,,,,>###,,,,23/'***''''-*{!!!|}3}5c55}}:55ceicc}}cc1cii7c7jeeivQQQKuRNAEEtrrrtrhhjjhje}:<!!!!!:'>-  $($$   $2'<22fEIOIEwrlhffhf999jggmmvuymggg6ggnnpd66j9bbb1^111}}1))~~)--------{--!!**-***'*''****++.++@++++++@+@@@@+@@@@@##%%@#%#@#",
+"%##%%%#%,;%%%%,%%%%%,,%#,@@#,,,#@>,,,3h<'*'*'*--*--'!!::}}}}c5}}}22c4ce4::c55ccccikioiiiioGQKGRSGyAEEEEurljlhh52<!''---=---&  $$$    $2<<<3lEDOIEtljfffhfh99jogggggmmxxnnnnnnqgggo9bbb11^111~~)))=~---------.*-!'--**-'***.*..*..+@@@@++++++@+@@@#@@+@#@##%##%#%",
+"%%%%###%%#;;%%%%##%#,,%#,,#####,>>,,2e'>'''*-*-*!{''!:<:::43}:}:<444c4333eeeeeecc0kqvoiiiioGGFRSRFJEEIEwwtulf5e32:{!!-=-==-&  $($$$  $2/<<etIIRIEujjffjjf9f99glggoggggqnBBB8dg6gog9bbb^7b111^~~)=-!!-==-----.**-!!!**-**-**..-...++++@@@++#+@@#@@#@@+@####%%##%;",
+";%;;%%%%%%%,%#;,##>,#,,#####%,#,,,/35@>>>''****-''<<<<2233eeee353ife3<:||1)})))~}|1ivoiiiijxAKRSSROEEAEEwullhfe322<!!!-!-**&  $$$$$$ $<[22hEIIRIzulhhhhjhjjjlllooogggoqnxBxnnxvgggddbbbb1^)))~~)={!---==!-----**!!!-*-****+.+...++.++++@+++@@##@@###@@###%%#@#%%",
+"%%;%#%%;;%;%,;%%,#,,,##%%;;,;,,>,/2'@@++*'+***-*'':::|:222</_':<<<<:!!!!~~|)&))&)~1^bqkikbkqoyRSSRQJJAuruwtrrrfee33<'''{'>>=   $$$   $:323hEIIRIztrrlljhjjjjjhjjogooooxxCqqoxGyoo99bbbbb^11))))~=--*-=-----*!!---''{-*.*.***+..+...@+@++@@@+@+@#@@###%##%%%#%#%%",
+"%%%%%%,;%%%;%%%#%#,%,#%%%;;,,,]/22@+++++++++-*'''-!!<:<<!'!!}}::{{!-~)))~)))~~~~~~})1pxppqvq9nSSSRQOJJEAAztzwrhffe32<<'!<_>=   $$     |e23hEIIQIEturrljjlogjjjlojjooqoxCnooojookibb1^b1^^^1))))))=---*---~~~!!!*{***''=****-*+...+.++++++@+#@+@@++@#####%#%#@%%%",
+"%####%##,%%#%######@#@###,,,@,/2'@+@##@++++''!*!!!:!!!!}~11}~-======))))&))))))~~)1|}7xxxxxqjqMSSSQOJEEEDEzzwwurjhf33<<<<_>=   $(     !ee5rDIIQJIEtrurtrrlmmojjojoovonCxgoog99bbb9k7c11^1^1^))))==)----~~!!*******-***'**.***......++@++++@##@###@@#%%;%%%%%##%%",
+"##%##%#,######,%###@#,####,>><:'+@@+@@#++>__''*'''*~~}71~-=-=====&=&&&))&)))))~)~)))17dxCxndgqHMSSSROJEEDEDEwwrtrrjhe32[<[/=   $(     !3hhrEIIJQIIzuurtuurrmmoggmoooxCHp9j969gf9jjb7111111)~~)))=====~!---*-*-.*.*-*..****'**++.@+++@#@+@+@@##@>####%%%#%#%%%%#%",
+";%%%#%###%#,###%#@#@##,%#>,/<<++@+@@@+@+@>>>//''{*~c7|----=-=====&=&=&=&&))))))^)))1c7bqCHndgnLLNRRQRQOJEEEztwurrutulfe2233~    $     =3rzzIIIJRJIzzwuuutuummooomvxxHMqiibb9juojiib7111111))))))-~--~~---*-***..----...-.-***..+++++@@#@@+@@+@@@@@@@##%###%%%%%%",
+";%%%#%%##%########>>#%#>#>/<'#+++@@@@.+++@+>_'*'{{k)-----==-=====&==)&=))))))~~))))1c1ikyNyqqxSMGKQQOOJOOJJEzwrlrllrurjf232-    $$    &5lwwDIIIOQIDDEtwtwtwummmmmmxnxxbbe7e9fj9bbe77711c}11~~~~~=~~~~~---*--**'.**.****.....**..++@+.+@#@++++@@#@@@##@#%%#%%;%%#",
+";#%%%%%,,%#,########>%>>>2:++@+@+++@@+@+#@++_'**-a7{{{---===&&)))^11}1117b1|:|!~|~1111bkqKKxoxMMHGKKJJIIIIIIIEEwtrlhhrrl322-    $$    =5jtDDIIIJOOIIDzzwwwAwAACGGGMLLpbbb5bie771777711}1|1c|~~~~~~~~~~----{--.*.**.**..-...-.+*'>++++++@@+++@+@@@@@@#@%###%%%#%%",
+"%@%%%%;,#,#@,#>,##>,>,></'++++@++++@@++++@.++_{{{{sd{~~||1cikojjjjijmrjfjec2222<:|0|117bkyKGxxLGyCFKEJIIIIIDDzwtzzAAwurwuel6          =5uuDIIIIJJROIIJEzAAwwwGGKQRSSLdb(6bb777c5c}c7}1})}}~~1}||~!|~~~!-{-*-****'*.....-...*++....+++@@@@@+++@@@@@@@@#%#@######;",
+"%%%%%%,%%;%#####%##>>>[<@#+++@+@@+++++...+.+..'*{{~sxpc||~|}1777ijiiee575c3344424440aa7ikbCNCCMGyyGKJJEIDIDDEEzturrttEEJJtt)    $     =}wwwIIIJIQJRQJJOOIJJJAFFKGMSSn666ddb^7111|||c||}~)}~|}111|||~!~!{-!!-*{*-'***.**-.+....+.++..++++##+@@+@+@@@@@@#@##%#@###",
+",%##%##;#,%,###>##>></@#@+++@#@@+@@++++++@+...+**{{!nHyb1)~~17c034cecccccc}5c444cccc00iki7gAMHMHHGGKFJIIIIEIIDDEDzzEzzDDJJr=          -5JIIIJJJOORJORIIIIIJKKKKKNNSLngggdbbb^1^)||||:::||~~~~}~~::::!::'*{!{'{{*'*''+...+.++.....+..+++.+@@+++++#@@##@####%###%%"};

=== added file 'hacks/images/timetunnel1.xpm'
--- hacks/images/timetunnel1.xpm	1970-01-01 00:00:00 +0000
+++ hacks/images/timetunnel1.xpm	2005-12-08 16:00:22 +0000
@@ -0,0 +1,1111 @@
+/* XPM */
+static char * timetunnel1_xpm[] = {
+"256 1024 84 1",
+" 	c #1D1918",
+".	c #262221",
+"+	c #2E2928",
+"@	c #352F2D",
+"#	c #3A3433",
+"$	c #403938",
+"%	c #443F3D",
+"&	c #483E3E",
+"*	c #4A4543",
+"=	c #4E4444",
+"-	c #4F4A49",
+";	c #564B4B",
+">	c #544F4E",
+",	c #5A5553",
+"'	c #5F5353",
+")	c #605B59",
+"!	c #655A59",
+"~	c #666160",
+"{	c #6A5F60",
+"]	c #6B635D",
+"^	c #6F615D",
+"/	c #6B6665",
+"(	c #706465",
+"_	c #756A6A",
+":	c #736C65",
+"<	c #716C6B",
+"[	c #786A66",
+"}	c #7B716B",
+"|	c #777271",
+"1	c #7C7071",
+"2	c #807771",
+"3	c #7D7877",
+"4	c #827677",
+"5	c #827D7C",
+"6	c #867D77",
+"7	c #877C7C",
+"8	c #8B837C",
+"9	c #898482",
+"0	c #8E8282",
+"a	c #90827D",
+"b	c #938983",
+"c	c #8F8A89",
+"d	c #948889",
+"e	c #978F89",
+"f	c #95908F",
+"g	c #9A8E8F",
+"h	c #9E908B",
+"i	c #9B9694",
+"j	c #9D968F",
+"k	c #A09495",
+"l	c #9F9A99",
+"m	c #A69A9A",
+"n	c #A49C95",
+"o	c #A39E9D",
+"p	c #A8A3A1",
+"q	c #ADA1A1",
+"r	c #ABA39C",
+"s	c #AFA7A1",
+"t	c #AEA9A8",
+"u	c #B4A7A8",
+"v	c #B9AAA5",
+"w	c #B4AFAD",
+"x	c #BAADAE",
+"y	c #B9B4B2",
+"z	c #C0B3B3",
+"A	c #BDB7B6",
+"B	c #C1BCBA",
+"C	c #C6BABA",
+"D	c #C4BCB5",
+"E	c #C6C0BF",
+"F	c #C9C1BA",
+"G	c #CCBFC0",
+"H	c #C9C4C2",
+"I	c #CDC7C6",
+"J	c #D2C5C6",
+"K	c #D2CCCB",
+"L	c #D7CBCB",
+"M	c #D6D0CF",
+"N	c #DAD4D3",
+"O	c #E0DAD9",
+"P	c #E6E0DF",
+"Q	c #ECE7E5",
+"R	c #F3EEEC",
+"S	c #F9F4F3",
+"li93::|9ic|{>-%%%$+.  .@%-*%*,),,>-%*>~3gquqmmikuupc3|3cg95coAIMMIKKKIEABEIIIKKKHEBEHIKMIEHEIMNMNNKKIHEEEHIKIEEEKKKIKNOOPQQPQQQRRQOOOOLLLKFFEzzxvvvssssmmmmmmmssssssssssvvvvvvzzzCFFILLLLOOOOPPPQPOOLLFFzvstqqllkgggddgdehquuuwyAAxzyyzAwwplf777225foolifffifcci",
+"fi953}<3fl9<,>%#$#+.   .#**%%-)),,>%$*,_0kqqqmkkqupi1(/|0c59itEKMKIIIHHEEIIIIHIIHBwwAAEIHEEEKNNNOOONMKHEBEIKIGEAAHEGHFKMMOOOPPQRRQOOOOLLKFIHBzzvvvvsrrrmmmmmmmrrrrrrrrrrrvvvvvzzzCDFHLLLMNNOOPPQQPONLLFDzvspmmjjkkggddddhehqquuyAyuxzwxywwpoi9576329ioliffffc99c",
+"b0c955|<5ff3~>*###@+....@%*%%%>,,,,-%%-)_cmquqmkkuuo9<)~|9550iwEKKIIIHHEEIIKIHEEEBwwAwABEBBEIKKMOOOOONKHEEHKMIBBAEEEGEFKMNOOPPPRRQPOONMLKKIHzzvvvvsssrrmmmmmmmmrrrrrrrrrrvvvvvzzzCDFHLLLNNNOPPPQQPONLHFCzvrrmmjjkkkggddddeejquuuAyuuxwwyAwwpof950059iooifcifd098",
+"799dc9|(/|99<,-%#@@#@+++@$**%%*>>,,,-%*>~3gmqumkkmuul3/!/35379iwEIIHEEEBBEHIHEEBBBAAAAyAAAAAABEHMNOOOONKIHIKNNKEHEIIIHKMNNOOOPPQRPPOONMMKKHEzzvvvsssssrmmmmmmmmmrrrrrrrrrrvvvvxxzDDFHLLMNNOOPPQQQPONLHFCzvrmmmedggkkkggddeeemquxxAxqutwwywwpolf00cdcciiiccffc988",
+"99ccc9|(!)|95/>*$@#$$##@#$*-*%%*->>,,>->)/0kmqqkgluuuf1!)_7||39lAHHEEAwwtyABEBAyAAAABBywyyAywAABEKNNNNMKIIIIMONMKKIKKIIMMNNOOOPPQPPOOMNNKLFEzzvvvsssssrmmmmmmmmmhrrrrrrrrrvvvvxxzDDFHLLMNNOPPPQQQPONLHFzzvrmmeeddggffkggddeemmuxyxwqqxtwwywwpoif99cd999cccfff995",
+"9955553_),~393)-%##%*--%%%->>-%%*->>)~)>,~|fmqumkkquxm7{)(3|<13ctBEEByppttwyyytolpwyAAwtppwwwyAAAEKKKKKHEEEEHKMKHHHIIEEHIKKMMNOPPPPOONNNMFFCzzvvssssssmmmmmhhmmmmmrrrrrrrrrvvvxxzDDFHLLNNOOPPQQQPPONLHFzzvrmmeeddddbhhkgggeeemqtAyutqqpwxzwwpoif9500d079cffiicc9",
+"92||333|/),~39|,-%%*>,>-**>)),-%%*->)/~,,)/7imuqkmmuxug<){|3<_19mAEEEypoptwtttpidfltyAwpoioppttwwAHIHHHBAAAyBEHEzyAAEBCCEEFIKLNOPPPPONNMKIFCzxvvssssmmmmmmmmmmmmmmmmrrrrrrrvvvxxzDFHLLMNNOPPPQQQPPONLHDzzvrmmeeddddbbbgkkgjeemmuzAuqmqupwxwwwpif9569d0779fillif9",
+"2|:::|||<~,,~35<,-->,>>-*%-,~~,-%%*->)~,>,~<cmquqmmuuuo7{~<4|_(1cwEECAtllptpppplg9fpyytpoilllomptxBHHEGByyyzAEEEzxuyzBzzzEFFILNOPPPPPONMKHHzzvvxsssmmmmmmmmmmmmmmmmmmmrrrrqvvvxxzDFHLLNNOOPPQQQQPPONLHDzzvrmmeedddd88bbgkkgjeemqwzxqtmquttwwwwofc645d07|5coppof9",
+"3}:_//<||<~',/33/,,,,-*%$#$*)(~,-%%*->),->)~3gquqmqqtuqc_~{|4<~/5lAEEByoilpppppoicclwAwtollloomrqqwBBABAwswwyAEEBxuwwyAzzzEFFLLOOOOPOONMKFFzzyvtussmmmmmmmmmmhmhmmmmmmmrrrrvvvxxzDFHLLNNOOPPQQQQPPNNLHDzzvrmmmeeddd888dggkkjjjmquzzuqsmqptuwywtlfaaa507479lttoi9",
+"221<<//<<|/~))/||/~~,*#@@@+#*)(~,*%%--,>**,)(9kuqmmqpuuo7/(<|1{{<5pBEBAtiiotpopppi9ftAAytoolooqqmqtyyyAAtpsttwABAyuqtxzzzzCEHILMOOOOOONMKHECzAyttsmmmmmmmmmmmkkkkkkhmmmmrrrrvvxxzDFHLLNOOPPQQQQQPONMLHDzzvrrmmeedddd88dddgknjjjquxxxuqmmqptuwwwpic8a634439iptof9",
+"59553<(//<<<~))/|33<)*#+....+*~//,-%*->,-*>)~|fqumopuuuuk3_/<|/){_fyBCBypfgoolopqoifowBAwppqppttppwAywwyupoooqtAAwxuqtwxwzADFFILONNOOONMLIGCzzztusmmmmmmmmmhmkkkkkkkkhmmrrrruvxvzDFHLLNOOPPQQQQQPONMLHDzzvrrmmeeddddddddddgjjjjquxuuuqmmquutxwwtpica666859cilof9",
+"9cff93|(~~/</~)~<353~-#.  ...@-~//,*%*-,>--,)(9kqqomquuuqc|((__~)<5oABCAwmcfigkooppllpyEAwwttuuwwyAywtwytlinllpxywxuqtxzwwzCBFFLLLNNOONMKFGCCzAttsmmmmmmhmmkeebbbkkkkkkmmrrrvvxxzDFHLMNOPPQQQQQQPONMLHDzzvrrmmeeeddddddddddjjjlouxuquuqmmqotuxwwtpfa6aa9cc99ciic",
+"ffiic731/))~~/~/<|59<-$@.  ...#>~<~,**->,,->,~|gmqmmquuuuk5<~/_({(5fpABAAtg9ccglmptpoouAABByyyyAEEAAwtwAwojjiiouwwsuqrtwxwxzABFILLNNOONMKIGCCAztutmmmmmmhmmeebbbbbbkkkkhmrrrvvxxzDFEJKMNPPPQQQQPPONMLHFCzvrrmmmeeddddddddddeejnopxuqquuqmmqptuxwttofc9ccc9575cff",
+"filic541<~),,)~<<<39|,%#@..  .+%,~/~--*>,,>>>!/9kqqmmtuuuqc|/~///(49iwAAAypc90dioppwpolpwEEEEEBEHEBAytwAyplliinuwxtpqqttyxxzzAFFILLNNNNMLFGCCzztttmmmmmeeeeeebbbbbbbkkkkkrrrvvvxzDEJJMMNPPPPQQQPPONMLHFzzvvrrmmeeeddddddddeeeejoptuqqqqqqmquutuwwttplie98655379c",
+"cilic5||</),->>)~~<3|~-%$#@...+#-)~),---,,,>,)~|gmqolquuuuk7_((///<7ftyAyyti059floqppogioyEHIHEEHEBAyttwypooihjpttwpqqqtuzxyzDzFFILMNNMKFIHCCAzuttmmmmeeeeeeebbbbbbbbkkkkkrrvvxxDDEJJMMNPPPPPPQPPONMLHFDzvvrrmmmeeeedddddeeeeejnptxuqmqqqqmquttutwwwtlf866444426",
+"3clic54<<<~'-**--,~||~,>--*$+++#*,)),,;-,,))))~{5kpmllquuuq0|<(((~/3gpyAywwpf70fiiiioplcfpyEIIEHHEBAwolptpookfeotttsommqtxxyxAzzFHKMLLMKKHHCzzAtttmmmmeeeeeeebbbbbbbbbhkkkrrvvxxDDEJJMNOOOPPPPPPPONMLHFDxvvrrrmmmeeeeeeeeeeeeeejotpuqqqqqqmmqutwwyBBypc662|11[}}",
+"<3fif93|</~)>*%%%-~||/))),>*%#+@%>)),>,>,,)//~~~<dmmlimuuuui3||_<{~<9ltyywwtoc9ckgccilofcipAHHHHHEEAtlflpooolffiptttpmmmrpwuxxzzzFIKMLLKKIHCzzvtttqmmmheeeeeebbbbbbbbbkkkkrrvvxxDDEJJMNOOOOPPPPPPONMLHFDzxvvrrmmmmmeeeeeeeeeeeejoppouqqqqqqmquxwxABAypf96221__[:",
+"(<5cf953</~),;%$#%,|3<~~~),--*$##*,),>,,>,)/<</~~7kmmgkquuuqc733|(!~|cpwywwtulffli96dioloiipwBEEEEEEtiflpoillheipttuplmmqrstuttvzzHIKLLKKIHCzAysstmmmmjeeeebeeddddbbbbbkhkrrsvxxDDEJKMNOOOOOPPPPPONNLLHDzxxvvrrmmmmmmeeeeeeeeeejnponqqqqqqqqqquzAzAwtppf8a21__[:",
+"/(<359953|/{),*$@#*~<///~~)),>-%%%>))>>,>,)~/</~~|domkfkuuupl9905|{'/9owAywtppllol979fiotoiilpwyABBAtiflppllmiffltttponmrruruqtsvzCHIILLKIHCCzvttsmmmmjeeeeebddddddbbbbkkkrrvvxxDDEJKMNOOOOOOPPPPONNKLHFDzxvvrrrmmmmmmmmmmmmmmmmqunjqqqqqqqqqquzAAwtppplfa6|_([[",
+"((/_<|5993<{))>%##$-))~//~/<|</)>*-)~,>>>,)~{/<(~(7kmmfgmquuqi9995<{)|fpyAyppqpppof059cittrififiopttpiiptpllljifisttqomljmmrnqmssvCCHILLIIHEzzyytsmmmmjeeeedbdddddddbbbkkkrrvvxxADEJMMNNOOOOOOPOPNMNLLHFDzxxvvvrrrmmmmmmmmmmmmmmquqmmmqqqquuquxABywurpppic6|1(][",
+"/~~(~~<5953<~),-$##%-->)~~<39c93/)>,),>->,~/<<||(~|gmmgckpquuog9997<~/5ityywpoppolic76acottpf9889fiiilouwtooleiiiottppjjhnmqrnmmstzCCIIKIIHGzzyxuvmmmmjeeeddddddadadbbbkkhrrvvxxADJJMMNNNOOOOOOOONMMMLLHFDAxxvvvrrrrmmmmmmmmmmmmquqmmmmqqloppppttttsqolpli86|_^[",
+"{~~{{))<|55|/~),*$#%*%%*>)<3cff93<~)),>-->~/|353<~<cmmkcdmquuqmc5597_~<5iwyytooolifd960bioptpi96659cilpyAwpliffjilppppmjhjnmmmjmmtwCCGJIHFIFAzyvussmmmhjhedddddddadabbbkkkrrwvvzDEIIMNNNNNOOOOOOONNMKLLHFFDzxxvvvvrrrrrrmmmmmmmmquqmmmmjjlopttpnopttqmlloic84<^]",
+"({){{,,,~<33|<~)>*%%*$##%>~|355955|</~,-=*,/|9dd3/(7imlg9gmquumg53993(/|5iwAypmmigc998a69fiptplf989cipwAAyoicccjiloppqnkhhjnmmjemqwzBCGHFHFFAzxxusvmmmhhhhbdddddddaddbbhkkrrsvxzDEJJMMMNNNNOOOOOONNMMILLHFDDzxxxvvvvrrrrrrrmmmmmquqmmmmmjnptwwpnjoptqmifiifc5|^]",
+"({!!!,'>>)/|3|/~)>**-%@+#*,///<39fc9|</,*$*)|9ii9|/|dmom00kqupql047d9|//<5oyAwolf905888668ciottpoiiipwyAAtlc9cccflpppolmhhhhjkgeeqqzzCCGJFFFCzzxvsvmmmmhhheddddddddadbbkkmrpvvxDDEJJMMMMNNNNOOOOOONMLKJLLHFFDzzxxxvvvvvrrrrrrrmmquqmmmmmjlptwtpnjjrqqqmififcc7|:",
+":/!!!';-->,~<|<~~),>>-$@@%>,,)/|9fiif93/>$$-/9ili5||0gmmg7dkquumg517c7</(|9tAAwogc00a88666a9fopwttptwyAyypg99ccceiopooojhhjhhhhdejquzzCGGEFFFzzxvsssmmmhhheeddddddddbbbhhhrrvxvDDGJIMMMMMMNNNOOOOONNMMKJLLHFFDDzzxxxvvvvvvrrrrruquqmmmmmjnpppppojgkmqqqjfifcc93}",
+"}</!!'>;--->,~///~~)),%#@$*--,~<359cili9/-%%,|ioli515gmqk75gmquqmd1|5c3/{/3iwAytlgf9566862259dflptwwwwywtpicbc999fnppooihdehehebdjnuxzBGGEEFFzzvvvssmmmmheeeeeddddddbbbkkmrpvxxDDEJIMMMMMMMNNNOOOONNMMMJJJLHFFFDDAzxxxxvvvvvrrqswyqmmmmmqnoolnppkggmquqqific953}",
+"3|1/{';-*--**;>)/////~>%#%***,~|||||3cooc/-*-~9lpoi59giqmg40mmppqi3<|00|{~19pyAytif9566762223099dimopppppolfcc988biooolihhhbgbabbgnrxzBCGGCBBzzvvvsrmmmmeeeeeeedddddbbbkmmrvvxxDDFIIIIMMMMMMNNNOONNNNMMMKJJLLFHFFDDDzzxxxxvvvvstwywmmmmquonjjjnmmkgkmqunjefd967}",
+"253|_{';**-*&%*-,~<<||~>%*-->)/<33|</|cll9/,>)3lppof9fkqpi77fmqpumc|<5d3_/<5itAAypid76266|}1|1|4509d9cdgklkiif9669flomligbhbbhb8bbkrszzzCCBBBBzvvvvrrmmkheeeeeeddddbbbemmrrvvxxDDIJJJJIIMMMMMMNNONNNNNMMMMJJLLLHHFFFDDDzxxxxvvvyyywummqquujeehjmmmkkkqppoieb963|",
+"}55531/)>--*=%&%*-~<35|~>>,,)~/|5995|/|9fc|~))|iptpidflqqmd7dkouuum9|7dc3<~|dowAAwoi9311||1__(__37777750ciillf9268cjlollihcabaa86ejmqxzzzCCBBDzvxvvrrrkkhheeeeeeddbbbbkmmqrvvvzDEJIJJJJJIMMMMMMNNNNNNNNNMMMMKLLLLKHHFFFDDzzxxxvyBAwtsqquuqheeedgmmmkkipppmiida31",
+"2359993<~,>-=***%*>)|99|~)~/<<|59fff9|<|59|~))<ftwtoiflqqqk99gmquuqi55dfd|/_7dpyAAtog0341_<__(((<1341144359fig6268bfilmlifcbaaa88bjnquwzzzCADBDzxvvvrrkkkhheeeeeeeebbemmmprvsxDDEJJJJJHJJIIMMMMMNNNNNNNNNNMMMMMLLLLLHHHFFDDzzxzyBEAtuwuuqjheeeddgmmmjjmpplllifc3",
+"1}|3595|/)>-=*&%%%%>)|c9|<|335cfc9cfic5|373~,>~3pwwtpllqqpmicgkquuuof0cif9</<5gtyAwpod731_((]:]]^[:__(___140f964269ciiilihb88a622aehnuxzzzzAADDzxxvvqrrkkkhheeeeeeeeehhmmrrvxxDDEJJJJJJHJJJMMMMMMNNNNNOOONNNNMMMNMLLLLLHHFFDDCzzCEBwwAuumheeeddddkmljimptpoooif0",
+"3::_|595|/)>=%$####%%,|95559cfllifffilf9355<,--)9ptwtppuutpmgilqquuulddiif5<_|0qwAytplf91^]^^^[::(]]!{!{{(159a2}26abfgiiigbaaa2226hhlruxzxzzADBDwuuvvrrrkkkhhhheeeeeehhhrrvvxxDDFJJJJJJJHJJIMMMMMMNNNOOOOOOONNNNNNNNMLLLLHHFFDCzCEEAAAuqmeeeeddddgklonoppppomif0",
+"d56359cfc9|<~,=%$####%>/||9flpttpoollllf5593/>*-~9opttuuxxwumikmmqqpplfioic3<<4ipyyytog92[{!!^^]::^]!!!{{(|462}}228cffiiifc9aa2}}68hnouxxyzzCADDAuuvvsrrrkkhhhhheeeekmmmrrvvvzDDEJJJJJHJJHJJIMMMMMMNOOOOOOOOOOOONNONNNNLLLLHFFFCCHIHEAqmmeeedddddgklooompppomiii",
+"pigfccfiifcc5|/)>*%%%$*,))/5lwyywttttpoid955|~>-,<9iotutxzywtmmmmmqqpploqof951|9lwyywoi93[^^!!!^](^]]^{{(_1||2}2268bffkgigc0082}}6ablnrtxzyzCABADxuuvvvrrrkkhhhhhmmmkmmrrrvxxDDEJHDEDEEHJJHJJMMMMMMNNOOOOOPOOOOOPPOOOONNNLLLHFFECIIIAwmmmeeeddddggkinonmptwwttpt",
+"tpllc99cccffc03<~))>>->,),,/9oyAAyyAywtpli953<)>,/39copqtxxzxuomqqmmqqopqplg9547fpwAytlc6}:^^!!!]]^]^(____||<}22270dfiiiifc9071}}28bhnqsxzxzzCADDyxuuvsrrrrkkhhhhmmmmmmrquvxxDDEEEEEEEEEJJJHJIMMMMMNOOOOOPPPPPPPOPPPPOOONNLKHFFFCJIHztmmmeeeddgggggeiopptABAAywt",
+"tolic57555555953</~))))~//)~|ftwABBBBAAwtpi953<~)/355fppquxyxuqmqqppqppppppid9730ipAAztlc641_{!^^^^]^::_<<<__}22669cfiiiifc9071_}2aahjpqpwxzzCABAyyxvuvvrrrrrrhhmmmmmmrprvuxxDDEEEEEEEEEEJJJHJKMMMMNOOOOPPPQQQQQQPPPPPOONNMLKHFFEGEBtsmmmeeedgggggghlpttwAEEAwpp",
+"poigc7311<<<|3|3||/~)),~<<<|3copwAAABBBAAwpifc5<~/|539oupuuxwupoquqpqttutxwpid0559lwAAAulc03|/{{]^]]]]](_(___}|7699cilliigc9741__268hinqqttxzzCBBDyxvuusvvrrrrrhmmmmmrrrvvxxzDDEEEDDDDEEEEJJJHIKMMMNOOOOPPQQQQQQQQQPPPPOONNKLHFFECCzwspmmmejgggggkknotwttwABAwtp",
+"lmkc95|__///~//<<<//),,,~/<|5foptwtptyBEEBytpof9|/|559iuutuxxxtqmqppqtutwwywpifc99fpABBApif97|/({^]{]]((_(<<_}3559ccfiliid9074___1aabhkrrquxxzCCBAAyxvuvsvvsrrrrvmmqrrrvvvvxABEEDDDDDDDDEEEJJJHKLMMNOOOPPPQQQQQQQQQQPPPPONNMKLIHHBzvvsrmmmjjggggkmqppptpppwAAyto",
+"iik987|/{{)))))))~~~~,,>,~~<3copttofflpABEEAywpi933999fpwuuyAAyuppqppqppuwyywoigfdflwEEEAwoic93<<:[::::<__11|23559ccfilifdc954_(_128bhgmrqsuxzzCGADAvxuuvvvvsvrvvvqqssvvwxxADDEDDDDDDDDDDDEJJJJKKLMMOOOPPPPQQQQQQQQQPPPPOONNLLIFFBzxvrrmmmjjggkmpppqnoooooptyyto",
+"ifgd52_~!!,,>;>--->,)),,,))~<5fqttogccfltAEEBAypic99fiiptwuwzAzxpqpuqqppppwywpiffifgpAHHEAwoif954}|}<<<|1_|__}|3659cfgiiffc951_({}47bhhjnruuwxACCAzADvwuvvvvvvvrvvvqsvvvvxzDDDDBDDDDDDDDDEDEJJJIKKMMOOOPPPPPQQQQQQPPPPPPPOONLLIFFFzzvvpmmqjjgkmpqpqmlnlollilpwwp",
+"lfdd961(!!';;=*&%&%*->>,,)~)~|clppofc99cfpwABBAytlfcfllltwwxzCzyuqpputpppptyywojfifcitBHHEAplfc953}:<<__<_<<}123559cfiiifgc95}_{{_47ahhjmnrpsxwACCzAAyvwuvuuvvvvvvvvvvvvvxzDDDDDDDDDDDDDDDEDJJJIKKMMOOOPPPPOOOOPPPPPPPPPPOONNLKIFFAzvvsuqqjjoqppqmmmmiiiiifhipwt",
+"oifdd94_{!'>;-*&$$$$$$%*-,~~/|ciopi953359fptwAAyytoilpolpwyyCGCzwtputppppoqwyywmmlifflwEHHBypiffc93|}:<_||||2355599cfiifgff92:^{{(120hhhjnrrstxvAzCAADyvvtvuxxvvvuuvvvvvvzDDEDADDDDDDDDDDDEEJJJJKKMMNOOOOOOOOOOOOOOOPPPPPPOONKLHFECzvvstqqqppqqqmmmmkeeehhebhltt",
+"tlgdd56_~!'';=**&$$$#####%>)/|clpoi5|<<<|9iptwwwtollottttyAABEHEAwtttupmqpptyAytoiiffipAEHHEAtoiikf953|1||4355555cccffiigfd52[^!![1700hejnnrrstvzAACAzADvywzxxxxvvuvvvxxzzBDEDDDDDzzDDDDDDDEEJJJKKMMNOOOONONNNNNNOOOPPPPPOOONNKLHFEzzytuqquttqqmmmkkggbbbfebbfot",
+"poid055_/!'';;*%&%$$##@@@@%->/5lppi9|/~)~<5ipwwwti9cipwwwyABEHIIGAywwwuopxwwyAAyumifilotBEHHEEypppolf905755599090cccfifffc96}[^!!(1400behjnrrstvyyzAAzAADADDAzxxxxwxxxxxADDEDDDzzzxzzyDDDDDDEJJJKKKMNONMMMNNMMMMMNNNOOOOOOOONNLLHFECzzvtwuxtpmmmmkggggdbbbhbbafo",
+"polfd071_{'';;%&%&$####@+@#$%><cpplf5|~,,)/5itwAxm5|9fotwwwAEGKKIGCAAAyptyAAABAAypliloptwBEHHHEAwwttplifccc9cc99999cdff9c952}[^!!^_270deejnnrrssvyyAzAAAADADAAzxxxxxxxzzBDFDDDzzzxwxxzyDDDDEEJJJIKKMMMMMLMMMMMMMMMMMNNOOOOOOONMLLHFFzyywyxxppomkkgggddddbbehbabi",
+"lpiicd74_/)';;=%$$$###@@+@##$%>|gifc93<),,)/3itzAtg3|5foppotyBJKKHEEAAzywACEEEBBBAtooppttyBEHHHEBAAwtppoliiffcc95559cd990962}[^!!^_1700eejjjrrssswyDzACCCAAADAAzyvxvxzADBFDDDzzxxxxxxxzDDDDDEJJJIMKMMMMMMLJJJJJJJIJKMMNOOOOOONOMLHFFBzAyAxxuookgggddeddddbbeehae",
+"flligd541({!';;%&$$####@@@@#$$*!59953|<~~~~~<5itxxtf430floiitxAEJEEBAAAAtwAEEEBBBAytpoopptABEEEEEBAwtpoolifffc9955550d050762}[^!!]_1700deejjnrrssvwyAAACGGACBDADAzzzzADBFDDDzzxxxxxxxxxyDDDDEIJJIKMMLMMKJJJJJJEEJIJJLLLNNLLNOOOMLKFFCCBEAAuunjjgddddeedddddbhhbb",
+"biiiid061/{!''-=%&%$$####@@@#$%'|95</)),)~~//|9owAAtf99ciiffmtwAGEBAywwwpopAABAAyywtoicfilpwyABBBAywpliifc9c99995999fd900532}:^!!]_17709eejjnnrqsvwvDAAzCGGGGBBDDADDDADFBDDzzzxxxxxxxxxzDDDDEIJJJKLMMKIJJJEEEDDDDEEHILLMNNLNNNNNLLIHFCEEAyuqqjjedddeeeeeddddgfeh",
+"hfligd095_({!'>;%&$$&$$$##@##$%;_57_!>-=-,)~/<3ftxBAuifiomigipwABGBzwtttmfimwyywtppoic5590cipwwwwywttoiifdc957590cfiifc9d95|[[]!!^^176adeejjnnrqsxwvyADACGGGGEEDDDDDDBDDDBzzzzvxxxxxxxxwDDDDEEIJJMKMIJJJEEDDDDDDDDFFFHLKLNNNNNNNKMIIIEGCyyqqmjheeeeeeeeeedddgkhe",
+"eciiid999|</{!,;*%&$$%%$#####&&=!351{-**->>,,)/3iwACAwptttpoiluyBECywtppmg0dipuupmomkc953459iutttttttpoliigc9009cffffcccc9531[^!!^^1470abeehhnhqqsxDvAAAzCGGHJEEBDDDDBDADzxxzzzxxxxxxxxxzDDDEEJIJMIJIIEEDDDDzzxyzAzDDEFHKKNNNNNNMMMKIIGCAxummmeeeeeeemmeeeedggkk",
+"kehffd99971({!'';&%&$$$%$###$&&&,|77(;*-,,;--;;)|fwABAwwyAywpmpxAEEAxwtpok05cimliiiiigc05337doutpptttttpppoifcccccc99599905531:]]]_177a0behhhhhmqsxDvyADzGGHHJHEEBDDDDDAAxxxxzvvvvuxxxxxzDDDEEJJIJJIJEEDDDzxxxvxxxvxzDFHHLLMNNNNOMMKKICCAtummmmeeeeemmmmmeeejgkk",
+"mhccffd5903_({!,;***$%&&$$$#$%**>/77<,;,{,*%%%%*>|iwAAtptyAAywtwCGJCzzwtpog59fkkkgikgfffc959cipttppppttpppplifd9995537535433||1}:}|45799aeehhhhmqvuyDyAACBHJHGGGEEEDDADzzxxxxvvvvvuvxxxxzDDDEFJJJJJJEDDDzxvxvsvvsvvvvzCDFHLLMNNOOLMMLIECyyusmmmmeeemmmmmmmhjhjnm",
+"mlfdgfd06873<{!',;**&%%&&$$$%%---)104),~_!*$$&$$*,|owAwlltyCBAwyACJJEzAwwtoc0dkmqmiiiffkifcccfmptwtpolooppolifcc955333|||1<__<<}}35509dbeehhhhhmqvuyDDyDCEHGHGGEEEBDDAzxxxxxvvvvvvvuxxxxzDDDDEJJJJFEDDDzvxvvvvvvvsvvxzzzDFHLKMOOONNNKIEzvvspmmmmmmmmmmmmmmqqqnno",
+"policfd02505|_{'';--*=%%&&&%%=;;-,<75()~<_'=%$$$%*{5pwxofityAAyzAAGHEAAAwtui75gquumkkfccffgcd0diopppliiilooliiffc95531_<</({{{{):}79ccffjjhhhhhmqvuxyDDBEEEGGBEEEAADDzxxxxxvvvvvvvvvuxxxxDDDDEIJJEEDDDxxxvvvrrrrrrrrvwwzzDFHKKNOOONNMIFzzvrrrmmmmmmmmmtwwqqssuup",
+"ppoicdf0659531(!';;*-;==%%&&=;;;>>{45<~~(||~>=&**%>{9pxtifowyyyyyABEEAyzwtum0|5gquqggd73570d0579fiilllilloolliifc995|1|<//~~!!,'':}59cfijjjjjmhmqvuxyADDEEBBBBBBDDAAzxxxxuuvvvvvvvvvuxxxwDDDDEEIEEDDDxxxvsrrrrrhmrrrrpwvzzDFHMMNOPNNKIFAzvvrrrmmmmmmqwwyyyuuuuuu",
+"pupiccigd9d9531(!';----;;%%**=;'>>!|7|/~~_33(),>-%=;/cuuiffotxwxxzBGGzwxwttti415iomdd051<14507770ddgfiilolollliiic953||<_{~)!'';'{:|0dcfjnlolnnqqvuxyDABDABBBDDAADAxwvuuvvuuvvvvvvvvvxxxxzDBDEEEFDDDxxvvvrrrkkhhmmmmrsswvzxDFIMMOOONKFFCzvvrrsmmmqqqxwyCAABAxuuu",
+"xupoffiikccgc541_)'-;--;>=%%*=;'>>,/44_~!{390|<{>;=*,|lpofciuwutwzABGBxttuutp9<<39c90901_(_|3777590099cfilllooooolif953|<(~~)';;;'^[400eejllqmruquuxyzBAAABDADDAADwuuvvvvvuuvvvvvvvvvuxxxzDDBDEDDDDzxxvvrrrmmkkhhmmmmmptvvzzFFIMNOOMMIFDzzvvspstqqqwwwwABEEBAAxx",
+"wtpooiiiliiiif997</!'>,,,>*%%&=;>>'{451~~/7mpi9|)>**>(9opkdfpwtutwyAEGAuppptuo5</1500993<(~_1|47500099580dgloooooollifc53|/~),';;'{[}0bbehjjnnquuuxxzzBDADDDAyDDxuvuuuvsvvvuuvvvvvvvvvxxxxADBDDDDDzxxsvrrrmmkkeeeeemmmmspwvzzFIKNNOMMIFFzzvvwstwwwwwuuyABEHBBAAx",
+"urmolfcilliiiiffc93_~~~!';*%%&&=->,!|7|/~|dqtpoc|!;->{3kppfciutttxwzAEBypooptug4{~_47007|_({(_1359000077670cfiiffffffffcc93|/),';!{_}70bbejnnnmqvxxzCCCBBBBADyywtuuuuvvvuvvrvvvssvvvvvxxxxDDDBDDDzxxvsvrrmmkeeeeeeeeemmmpsxwzAHKKNMMLIFFCzzvvuuwwwwwwuACHHIHEAAA",
+"qlkllicfkmiiiigccc95|</{''-*%&&=*-;'/34/~|coqpog0|!,>!<9ouodfotwwxxwyCEAwpommpqf|~/<3555|_{{!{<|35999d97243230995595555599995|/~){{<}20beejnjjmqvuuzCCCDBBDAyxtvuuuvvrvvurrrrvvqsvvvvvuxxzzDDBDDyxxxvvrrmmkeeeebdddeeemmmptyyzEIFKMKKHFFEzzzyzwutttwxABEIIHEECyw",
+"qqomloiffilkifgc9553|<//~)>-*&&%%*-'~|3<~<3dlf09d9|~!!~|dpukciptwxxwwzCCywpmioppc|<_|1353_]~)){_|359cdd06||2122|3||||<||||459553|||||60dejnnnmmmquuxzzzCDDAzxuvuuvrvvvvnnrqrrrvvssvvvvvxxxyDDDDzxxxvvrrhhmkeebbbbddddeeemmttyAEEHIIKLLHHFAzzzAyststwCEHJIJGCAzAw",
+"wqomolifffkifdfd0743|<////~)>;=%%*->!/4|~/<507||499|{!)(3mtpfdltwwxuwxzCAwtpiiopm91____471(~]))~/<159dgd967321|||<<<_((/(((<<|3359999d9dfhjnnnqqquwwzzAAADzxuuuurvqqqqnnnnmrrrvvvsqvvvvxxxzzDDzxxxvuvrrhhheedbbbbbddddeeemmstzCEEFFLLLHFFCzCzAvvwvzCEHHHGECzzzzA",
+"wqomlilfc9dggddfd0333|</////~''-**-;'~11(~/|7|13|155_~)~_dutmggptwwwuwyzAxupoimqqi01_/(174_{!'''!~]<79cgd9056332}|<<_((~~~))~{~~<39fiiiilljnnrqruuxxzxywyxxvvuuvsvrvnnnnnnnrrrrvvqqvvvvxxxxyDzxxxvvurrkhheeddbb88888dddeeemqxyBCCBDHHHHFFFCCzyxxyzBEHEGCEFBzzzvA",
+"Awunkefd990ddd09cc9533|_<<<<<(~,>-;'')<|/~/|4|7d03354<{~_5muukdiqutuutxyzwtpollqupf3<//_75<~!'''',']_39ccc006573|||<<((~~~)),,'>,~|5cflopppprrrqvuuxwxxxxuuvuvssssnnnnnnnnnmrrrvvvqvvvvvxxxzzxxxxvvqqrkhheeddd88888888ddeeqquyyAyzzFFHJHFEEzzxyvzBEHECCzCFFBzzzz",
+"Awqnkhb9aa3589575093|||||||||<<~~)',))/||~~|449mqf5573_/_4gtwpgflpututuxyxupomlqppoc|<<|75|/)'>>''''~_|0900765342||||<_/~~)),>;=->)<|5clopttttppqvxuxwxuuvvvvqvqrornnnnnnnnnrrrvvvqqvvvsxxvvxxxxvvvqqmkkeeddd8886666888ddhjquuywywxDFEEFHFEzzzvABEHEBCCzCFFFBzzC",
+"Axqqkhab9644307||774_//<_|||3||///({{{/|4</<79dqupld051__40luxodfmpuuttuxxupmiilppqm9||3707_{,,>>'>'!{_3a9006332}<<<_<<<</~)>>-==>'~_25dioptwwvwuutuuuuuvvqqqrrnnjlnnnnkkhhknrrrvvvqvvvsxxxvvxxssvrrqmmkeedd888666666688dgjnuusstwxxDDEHHFDCzzzGEHHGCCzCHFFFFCCC",
+"zzwqjkhb88634704|4751~~~~~/<|33||<</<<<|73<<49glpttod971117gpxpgcgmquuuttxwpmkdfipuql9779dd7_!';,,>>')/:77657633|}__<(<<<</~,>-*=>,](<|7cfiostywyxxwxxussqqqqnjnjjjjghhkkkkkkrqrqvvqvvvvsxxvvxxvsvrrmmmeeddd886666666668bggopwuqurvxzDEFEFDEAzCGHHHGCCBCFFFIFFBC",
+"CAwsnkie999535873|703_)),)))/_1333<//135093130dfptwtoc95447fmxwlddglqtttutwupmd99ippqld00dkg4{!''',,',!(14a732334|_</((~~~)),,>-->,)/<|35bginpswwyzxxztvuvqqjjjjjjhhghhhkkhmmmrrrrqvvvvvsxxxvvvvvrrrmmmeedd8886666666666bbgmppummpvvxzACFDDDCCCGHGGCCzCFFFKFFHEE",
+"GEAwxtqijfd0539d73799|~),,,,),{_|53</<|9fgc5509glpuutlc9770fmuxpg0dklquuqpttqmic59iqqqmf9gmmc1{!,''>,'!{_|22322|4|__//{),,>>>>>--'']/<|25dcfinnpttwxxzzxusvnnnjjjhhghgghkhhhmnrrqrrrvvvvvvuuxvvvvrrrmmmeedd886666666666a8bhmqpommhrvvzzzzzDFHHHGGCCzzCEFFFKKIFII",
+"NMMKIBzytpolgccfd97905<~,'>,,>'')<||<<<|0iic00dfiikmtpi9900imuxwpfcgkmptqqqqupoi539iqppoikmmk9_{',',,',{:|42732|1<_(]{~),>-;*=&%*>'~_<|279cfijjoppqsxxzzwwsnnjjghgghhgghkkmnnnutpsurvvvvuvvuvvvvrrrmmmeeedd886666666666688ilomnjmmppvzzzzzAFIIIECzzzBEIIIFKMMMMN",
+"POPPONIIHEAwtoillidcc93/~',>,,;;>>)/||<<3clkfgiif95cimoicddioptwtmfcfmppqooqqqold3|9fmppppmqmg9</,,'''!!(:}275221__(]]),,>;;=&&$$*;)(<3359ffginnoporvuxwtupppohgghgghghhhkhjknrputttutttvvvvvvvrrrrmmmeeddd886666666666688ellmgjemmstwwvxzzBIIIHBACBEIIILMNOOOOO",
+"PPQQOMIIIIEBAtooppliifd3<{'>,,,;--->)<1||5fliilol9459gmolmklmquxwulggippuqomqqoom91|0imqpppupof7|~~!)!]{][:}652641_(]]'>,>;==%$##%=,)]<35cfffilnoonmnrsrrspppmmkkggggggghghkhkrrqtuutwwvvvvvvvvrrrmmmmeedd88666666666666aafiifhgehmmtwvvvzzCHIIHECEEIIFMNOOPPPPP",
+"QPOOKEAzAAwttpiiloolilof5<~',,)''-*--)/|359fiiotpi9339fmppppommtwxtidfkoqqqmmmmomm0|40gmquttupi97|//~!!]]]:}473a71|:]]''>--=%%$##%=;,]/|29cijlloonnqqqqnqnnojmmmmmkkgggkkjkjkhrrrusuwywvvvuvvvqrrrmmmmeedd886666666}}}}68bfihebddejmmsvvvyzCGHHFFFFFFKMNOOPQQQQQ",
+"POMKEzAwuppligf9cfiiilptl9|/),)))'-**>)/|55cfiotwpf5459iptutqplqxwwqgdgmqqpmmmmlmmk5159imptuupmg77|<(({{{[_[}26672}:({]'>-*=%$$##%=->!~_170dijlororoqrrnmjjjgkkmmommmmmlmnmmmkrqrrptwyywxvuvvurrrrmmmeeedd886666666}}}}28biih8b8dgjmmrprvAACGCHFFFFFKMNNOOQQQQQP",
+"NNMIHEAwtpoifiid9cgiilptpi9|(~~~/{,;;->)/|5cfikpxwofc09cmtttqqolqwwui9dfopppmmmkkmmc||5cgoqputqic5311<_((_:[1a5a731<]{{''>-*&$#@#%=;,!~::479hfioprrrpqqnnjhhhggkkmmqpppoomqqmrrrrrpvxwwvvwvvvrrrrkmmmeeeddb8666666}}}22268iiba68bggjmmrptzCCCzAFFIIKNNNNOPQQQQPO",
+"NNNKIHBAxwtoooooliiopoppplc5||//<</!,;'!)/|0gkiltwwpifffmuwtpuqmqxxwqg0cimqpmlmmkklf5|7ddfmqqupoc77713111}_}}2777731_({)'>>-*&#@@$=;>!]_<435dbgilnnrprrnjjihhggggklmpppqpqpprrpqrrsuvwtvvvvvrrrrqmmmmeeeddbb666666}}}2226bccc8666bggemmstwyBAzzEFKMNNNOOOPPPPPOO",
+"OOONNMMKIHEEAywwwttttwtppof053|||33|{'')~/_3cillotutpommmuwtqptpqtxxumd9ckmpqqmligki91|7ddgkoppoi97733377742}2677a311_{!'>--*%$#$%==>'{/:4750cbginnnmnnniijggggggkkkklmqqutttrqprruvwutvvvvvrrrqmmmnmeeeddbbb666662}}226acc9666668egehmnwwyzyyzBFMMNNOOOOPPOOPPP",
+"QQPPOONMMKMKIHHEEAwtwyxtppl0533|3553|////(<<3flloptwwtpquwzxppuuttxwxqf90dkpqqmmkgggd7<|0dgglmolic077|335066aa65723|1<({)'>-*%$#$%=>>'~~_4790bbgginnihnnjihhggggggggggkmmptttprprpsvvsvvvuvrrrrrmmmmmeeeddbbb6666622}22aacc862}6a8hbdemqquwwvyzCIMMMNOPOPOOPQQQQ",
+"QQQPOONMKIKKIIIIIIEAABAywwtl53||3|33|<<<||</<5flmptwwwtttyAAxttxwuuxwtld750ipqommkddg0|<39fgikiffcc0731|470d8a6a7aa11_{~),;;**%#$==>,')]_1359dddfhjjkhjhhjgggkgggggggggkmqqtttttprxuvvvvvvrrqrrmmmmmeedddb888a6222}2}}}26cc662}2688bdgjquuwtsyCGIKMNOOOOOOPPQRQQ",
+"QQQQPOONKIIIIIIIKIIIHHHEAAAyo9333<</<<|||4<(~<5iopwywttuwAAzzyyyyywwxwuf535clqqookgdd03<_40fikgcc999997||47acb9a9074|_(~),>;;=%&&&->''{/_1457bhbggijikhjejdfgkgggggkkkgkkmpprtstswvvvuvvvrrrrqqmmmmeeggbb888222}}}[[[[}26bc62}[22866bgjnuuqstzBJHKNOOONOPPPQQQQQ",
+"PQQQQOONMKIIIHKMKKKKKKKIHEEEAtig9|/{~<|353</~{|9iptyytpptyBCAAAAAzyxuwwm9437gmqqmmkd005|<<39iiic975579033247dbccddaa|1_/~'>>==&&&*--']~(_1375abcfikjhhejefddgggggkkmkkkkkrrnrrrwwwvwxvvvrrrrrrkkkmeeddb88aa2}}}}}}_____16b96}}}}22666bkoouqmsyEEHKNOOOOPPPPQQQQQ",
+"PPQQPOONKIHEEEHIKMKMMKKMKIIIIEypi5</{~/|553</(_3clpwyytpotABBBEEEBzywxxug7439imqpmmkd7741<|5dfff9005579967276abccd9a4|<(/),>-*&$%*-;,)](<1357acdgfinhjhjgfddddggggkkkkkkkmooopstxwxyywxrrrrqqmkkkeeddb888222}}___(((((([79562[[}2226aekmooqquABEIKOOOOPPPPPPQQQQ",
+"PPPPPONKIIEBAAAAEIIIIIKKMKKKKIEApg5|/~{_|7974|<19gltyAyplltEEEHHHGEzyxywqc3379mqqqmmg05731147dcgfcc03790d05a7888ab07241_{~,;;*%$$%->,)(/1|350ddcgfinjjnnfgddddddddggkkkkoonnnssvvwvyywtttpprmmmmeedbb88a2222__(({^^^!^^(|774_[[}}2}28bimonqquAAEIMNNOPPPPOPQQQQQ",
+"QPPPOOMMIEAzwtppwwwtyEHIKKKKKMKHBpic3({!(<7907770diowBBwoipyHIIHHHHEzzyxum0445cmqqqmkd033113500diiic5750d998008a8aa722</({!,>*&&&&->,{(_11550cbbgfgjhnnqiigddddd0ddggkkooonovsvvuvvvttutttsmmmmmeeddb6622}}___^^^^^^^^^[}32|(_[}}}}26bflmniuwxAEKKMNOPPOOPQQQQQQ",
+"PPPONMKIHEAwwttpplikipwEHIKKKMMKIEwoc|(!!{_7999ccfiipAAypootBIIHHHHECAyzwug7345gqqqqmk0744|43570diif97570dcdcdc8bac0522_({!'>-*%%=-'']{_|450acbggghjhjlmllgggddd0dddggmonmnrvsssttvsussttqmmmmmghggb882}}}_((^^^''''''!]12}:{{_:}}}26bfimklpxwBIKKKOOOOOPQQQQQQP",
+"PPPOOMIIEBEyywwtpogc9flpwEIIIKKMMIEwl93/{)~<59cfilllowAwpoopwEIIIJHGEBAAAxqd3439mqqpqmg74414409779cfcc090dhcfegbb0a857}}({{'';*%%=;'!{{_<159abcggiijhhfiiilggdddddddgiljnlqvrsstusrsspummqmqqmmjegbb886}}_(^^]!!''','''{<||]^!(::_[269eeikmpwxBIKKMNNNOPQQQQPQPP",
+"PPPOONKIIHEAzywppolf09ccflyEIIKKKKHApi93<{{/<39ciopptyAAtollpwEHIHHEEAAAzAum0775cmqqqqld741347007359dgddddd9figgbbb8a53}:({!';;===;'!{{_<1789cfggggjhhggfiigggddddddikiljnrqrsvvrrrusmmmmmmmqqmjggb88622_(^^{'','''''''{_|_{]^^(:__26c9fimqtpzEIHKMMMNOPQQQPPPPP",
+"QPPPONMHHEAyxwttpllfd99999iwBHIKKIIEwplf92:::269ciptwAABypiiopwEHHHHECAAzAzumc075iqqqqpkc743479093379fffidbdhejkjhhbaa7|[[{]'';;;;''!{(_12a8a9ggiijjhgggfggigggdddgiilkinmmqvvsrrqrmmmmmmmmmmmjjggb88621_^^{!''';>;;>;'!<_/]'^^((__<69cfciqptBHIIKKIMNOPQPPPPPPP",
+"QPPONKFCCAuwttppollicdccdcfmtyEHIIIEAtpoic5}:}268clpwyABAukfiopwEEHJJECzAzAzukd57dmqqqqqm0333570d07359fgighgbejkkjehbaa74[[(!';;;;'!{(__22669dgggfjhhgggggffddddggkkmlnmnmmrrrnrqrmmmmmmmmmmmmjjgea8622_(^^!'';;--;;--,)<<('''^]({(1688chnqqwBHEIKIIMOPPPPPPPPPQ",
+"QPPOMLFBzwqqnmlloiiffcccfiilptwAEIIIEAywtpi9714370fltwyABymfflptyBEEHHEAzAAAxpfd00goqqqqqk055670dd95770gflkggeejkmjjhbaa74[[^'';;''{([[}2260cdfggjjhjgggffgfgfhhhiilloqnnnrrvnnokkmmmqmqmmmmmmjkkebba21_^]!!'''--===*;>)/</'''!]^{(_3a8ciioqyEHEIIIKNOOOOPPPPPQQ",
+"QOOONLFCzvsmjghbffccfffffilloptwyHIKIHBAyytof05770dfluyABApkgiptwyAEHIHCAzzAzwoddddkoqqqumgd90070dc0570dcimmkjjjjkmnjha884}[^^^!!^^^[[[}2799cffghejigggiiggggggffhilorrnnqqqnllhkkhmmmqqoqqqqqnmkjh8661_^{!''';-*****->,]<~';'){{!{[3389cnnqAEHHIHHMNONNOPPPPPQQ",
+"QPOOOLIFzvsmedgbab989cfiifiilptwwAEKMKIEBAAwoi9550dfimwAEEyqiiotwAAAEHIHEAyAAwtlcddgmppquumkcd999dggd00dggomnmjjjkmmjjjb864<_^^!!^^^:<13779cdgiheeehhggggffdhheijjjnrrqrvrrrnnhhkkmejnrprppqppqqmkidaa4[:{''';;--=&&&=;,/<~>;''!^^^_|388fllpAEEIEEIMOONMOPPPPPQQ",
+"QPPOOLHEzvsmmedb886868cfffiiilptwyAHKMMKHEAwtplfbbcffiqwBHEytppptyAAAEHHHBAAzzwuifgilqqquuupigd9dddgggddhhomqpnknkmmmljeb8621(({{((_|17790cfhhghheeheeehjjeheeheihjnonmrqppnnhkkkejjorpspppppppqoikfb05}_/!,>;--==%%%%;'{<{>;''!!^^:<158cfltBEHIGEKNNMMMNOPPPQPQ",
+"QPPONLHFzvssmed8a662a689bccfiilptyABIKMNMIBywwtpibdfiiipyEKEAwpppwAAzAEHHGBAAAzwuiiilopuuuuupkcddcdgggggjkmmmqnnnnmmmmnjea662__((__14479acefffhhfeehhhehhheehhehjjnnnmmqrrorkhkhhhjnqqqqppprpppmokjgcd06|<~!,--=%%%%$%*>{/);-;,''^^[:159cfltBEEHBHMNMIKMNNOPQPPQ",
+"QPPPNLLFzzvsmeeda666268b988fiiilpwyAEKMMMKHByyywplfffiiowAEIHBwpopyAAyAEEHGAAAACytolmmpuxtxxtuidddgggggjjloomnqnnnmmmmmjefa622}[[}2266a8cbffffhhhehhghehehehhhhjhjnnnmmnqnnhmmmjjknmqqmmmmpprppmmijcc0763|<~,>=*%%%&&%*>)()-->'''!^[[:40cciwBEEECINNKHIKNNOOPPPQ",
+"QPPPNMLHCzvsmmedbb66886a9668fppptwyAEIMMNNMIEAAytplifiilowAEHHBwttyAAyyAEEHBAAACBzwqlmqxxxwxxxpkgggiggkkgilljmmloommmnmmjhbba6}[[}22a6abcfffffhhheehhghhhehhehjjjhmnqnnnjnkhkjjkmmooollllmmnnlnmifea90221||<~'>*%&&&&&&-)~'-=-''''{:::40c9iyEEByBIMMHGIKMMOOPPPQ",
+"RQPPOMLFFzvsmmeddb6668abbbadiptwwyAABHKMMNNMIEAwtpoiiiijiptyEHHEAyAAAyyyAEHECAyABBAyuqquxzyxxzxumkkkijkkkjjjkkmjnommmmmmmhbbba2}}226a89bhffhffheeeehhhheeehhhjjjjnnrrmmmlnhheegklpolijhhjjkkknnkhhh8a3}1___(/{,>*&&&&&&-)~'-=;''''{_:1250clABEAwEKKKEGIKKLOOPPQQ",
+"RQQPONLIFzvssmeedbb6666a88bciopwyAAABEKNNNNNNKBytpillllifipwAEEEEEBAAywwyAEHHAAzABCAxpmpxAAzAzzxxqmmkjjkkkjjjhmmnnpmmnmmmmhha886688bbhfjieffhffeeehhhhheeehehjjjjhmmmnrlnhhbhdbiiolliieeehhkkkjkeb666|[_(({{~{~,>-&$$&&;)~!=*-'''){(_}250coyAAzyHKIIEGFFKMOOPPQQ",
+"RQQPONLIEzvssmmhddbbb666889jloopwyyAABIMNNNNONKEypoiopoiffipwyABEHEEAwtwwABGIHAAAzCCzwuquyzACzAzzxuqnmmllljnhhkmhnrmmmmmmmkkeb86688bbbejiffefhheeejhhhhhhhheehhjjmmqmrnnghhbdbbhiiffc9ahbbbeegggeb6661[{{!)!)!)),'-%$$&;)~);*=-;''{/(}437cpyAAwAIIIIEGGIILNOOPQR",
+"RQQPONLHFzvvsmmeeddb88bbbbhimmmmqttyAABHMNNNOONKEypplptoiffotwAAAABBAwttwABEIIGBAAAzzzxtwwyACAzzzAyuqpqoonkjkkhmjnnmmmmmmmkkggb88bbehhfhifhehfehehhfhhhhhehhhhhhhmqqmmnnhhba88bebcbd8aaa8bbbeghgebb62_[{!'''>,,,',>-*&%-'~);*=>''')//_227cpwywwBKIEHEGGFILNOOPQR",
+"RQQPONKIFzzvummhjgdddbbbbhgkmmkjnpptwyyyEMNNNOONMEytppttpigjowyyyyAAywtptyBEEIIHEBBAAAzAyyAABAAAzzzzxtppppmmnmmqqnnnmmmmmmkkjggddgggechfjihfhgeehehhhhhheehhjhhmmrqmnjjhhba888bc9098aa66aa8bbhkgebb62_^{!',>;--->>,,-**;'~);-;;'''!((<227ftwtttBKHEEEGEIILNOOPQR",
+"RQQPOOLIFBCAwwqqjjgggdddddgknnijjqptwwwuwBKMNNOONKHBwwwwwoifotwwwwwwwttttwABEEIKIEEBAAAAAzBBBCCzzzAAAytppmqqqqqqqnnnmmmmmmkkjjjedgggejeehihfhhheeehehhhhhhhjhhmmnmqnnjhgba8aa8aa8aa4316666a8cbekhba62[^{!'';;**==;>>>>->,~)>-;>'''!~/<126fpwttwEIEEEEGHIIMNOOPQR",
+"RQQPOOMKKHCByyuuornkkgggddfjnjmmmqpttwwwuxAHKMNNONMIEBABAwolmptAAAwttpttttyAEEHKKIHEBBBAAACCEGGEECAAAAwttpqpqqononnnonmmmkkkjjjeehggejeejhhhfeheeeghhhhehhhhhhmmmmmnjjgb0a68a8a86531_111266aabbheba62}^{!'>;-=%%&%*->>,'~/~'-->'''!{(<<26ittppwEHEEHEGGFILNOOPQR",
+"RQQQPONMKECAwyuuuppprmmnjjhjqqnmmqupwwwywtuABIKMNONMKIHEBAtolnpyAAwwtppttptyBBEHKKIHEEEBAAABEEHIIEECBAywuuptuprprnnnrmmmmkknjjjeehggejhehihhfefhehhhhhhhhhhhhjmmmmmnjhgb086266873}[[:[__112aa8bhebb861^^!'>;-=*&&&%%=>,)/</,-;>,''!{((|39ittptwHHEEHECEFIMNOOPQR",
+"RRQQPONKFCzzwwuuqnnnnnooonqqqqmmmmqppttwAwutyAEIMNNNMKKIEBAtoopyABAwtpooppptyABEHIIIEEEBAAAAEHIIKIHEEAAAxutuptttpprnrnmmmkknjjjedggghhbhehieffehehehhhhhhhhhjhkhhnnljhba8662aa53}:[]^^^^__12aa8bbhbaa1_^{!';-=*%&&$$%=;)(||)>;>'''!{(/|39iptppAIEAyBEGIFILNOOPQR",
+"RRQQPOLIFCzyzwyqqqjjjjnnouuquqtmmmqloppwxAyttwABHMNNMIHHEEByppptAAAywtpooppptwAEEHIIGEBAyAABEHIKKIIHEBEBywwttttttuqmmmmmmmknjjgddgbebbbhhehheheechhhhhhhhhhhkhkhhjnjhhba6622634}[:^]^^^^^(_12288bhba64_[{!'>-=*%&&&$$%*'~|3(,>>'''!{{(<39lppppAIEwxAEGIIILOOOPQR",
+"RRQQOOLIFFzyAyyqqmmmmmmmqquuyywqmmqnlotwwyywttwABIKMMIBABEEBwpoptyABAytpnoppptwBHHIIIEBAyyAEEHIKIIIIIEEAAAAwtttutuqqpqqmmmkkgggd8b88bbbhaabbbbcbbhhhdhhhhhhhhhhjjhjjhba8662244}[[{!]!]{^^^(_1228bbbaa41[{!';-=*%&$&##$&=,<3<~,,'''){((<49lppopAHAwxAEGIIILOOOPQR",
+"RRQPOOLLFFzzzwwqrnmmmmmmmmqtwyyuqqqqnpwyxyAyvtwABBEIKKHAAAAEAwpoppyABAytppoppptAEIIIKIHCAyyBEIIIKIIIIHHEECAywttutuqquupqqmmkkbb8668aa888aaa8bbbbbdddddddddddgghkjkjggb8662224}[[]]!!!!!!{^^(_122abba64|[{!'>-=%%$&&###&&>~|_/))!''!~((<39lpploAEAtxABGIIIMOOOPQR",
+"RQQPONLLFFEGCCAyqqqrqqqmmmpuuwyuuupupwyAAAAAAwwwABBEKKKEywwyBytpootyBEAytpqppptwAHKKKKIHEByABHHHIHIIKIIHHEBAxwttuqpopoppnoljhe8666a6aaaaaa880999dc9000aa0dddggggghhh8a862}221[[({,,',,'!!{]^__222ab8631:{!'>-=%%$&&###$%*)/</~~~',){(_|3coppooABytxACCHIKLNOPQQR",
+"QQPPOOLMKKIIEEBBAuxxupqmtpppwuwwuttwywyyAAAAAAywwAEEHKKIAwtwyywpomotABEAwppppttwyEIKMMMMIHEAABEEEEHIKKKIIHEBAzwtttppqljjjiiihba86222666a85667700000a6a6a8a0dddddhgdd86662211}[:{!'''''',!!!^^(_}26baa4|[{!',-=*%&&&###$&*>~/~{/(~'){(_|5coppooAAwtxyCCEIKMNOPQRR",
+"QQPPOOONMMKIEEAAAAzywuwttpqwvwttquwyABywyyyAABAwwyEEEIKKIytptttppoopxAAAAtpmpptwAABHKMNNMKIEBABEBGHHHIHIHEEEEBAyvwpponijjiffefb66222264434244226aaaaaaaaaaaaaaabddda066}}2}:::(]'''>;''','!^^(_}22aa6|1:{!',>-*%%$&###$&&>){)'~(/{~~(_|5coppooAywtxyCCCIKMNOPQRR",
+"QQQQQOPOMMLHHEEAAABBAAyywtxwvxptmqtyBEAwuttwAEEBwwBEHHIKKHytppopppopuwAAAytpoptwyyABHKMOONMKIEBBEEHHEEEEEEBBEEEBAywtppllijgeb8886626|14111}}}}222644477770aaaaab800a722}2}_[_<]!'>>>;;>''''!^^(_}26a24_[{!',>=*%&&$####$&-){)',{/((((/|5copplpwwptxuyABFKMOOPQQQ",
+"QQQQPPPONNMKKIIIEEEEBAAyyAAywwqttmqwAEEypolptwEEBAAEHHIKKKHAtppopporpuwzAAypprtwwwyAEHKMNOONMIHEEEHEBBAABAAABBEEEBAwwtpniec8662226434||::[}}}1|11111444377770008aa67a2}[}[[[:({'';;;;;;;;','^^^[}}2221:[{]!'--*%&&$$###$&=,)'->){{(___|3coppopttpsxuyABFIMOPQQQQ",
+"QQQPPPPOPOOOOOONMKKIHEBEBBACywpttmmuzEEyplfilpwBHEBBEIIKMMMIBwtptrpopqtwABzwsqppwwwyAEHKNOOONMMKHEEEBAzAAyyAAAABEEBBAtpoljca662}2|3||}}}}____<|:_1111}42277700067a622}}[_[:_:(!''-;;=-;;;;''!]^(_}2221_[{{''-=*%&&$$$##$&=>),>>''!(_11|39oppoptpoqxuyzzFIMOPQQQQ",
+"RRQQQPQPQQQQQQPPPOOONNKIEEBCAAytttqqwBBAtofcffowEHHEEHKKMNNMKEywttppputwAEEAyuqutwtwyEEIMNOOONNNKHEEEEAAAyyxywyyAEEEAywtolfc862<_((:[}21<:<((_______11144777776777a2}}[[[^[([{!,---===-;;;;''^^^[}2}21^[{!''-=*&%&$$$$#$$%>),>;>''!_34350ltppoppoqxuyzzFIMNPQRRR",
+"RRRQQQQQQQQQQPPPOOOPPOOMKIECCAAwwwwtwAAAwpjiccfltBHHBEIKMMNNNKEAwwtptuwwCEEBAwtuutwtwAEKMNOOOONMKKIHHHEEBAAwxwttwAAAAAywtpoib531_(^^[_<|<<___(((__::[1}1227777767342}[[[^][(({'>;;===**=;;;''^^^__}}}_^{!!,;>;*%&$$$$$$#&%-,)>;>'''{1459dotpppppppxuyAzFKNOQQRRR",
+"RRRRRRRRRQQPONMMKMMNNNNOONKHEAABAAAyyBAAwtpoifffltAEEAEIKMNNNMIBywtptwwwABEHHEzwvwyywyEKMNOOOONMMKKKIIHEHEEAAwtttwtwwwyyywtpic53::^(]{{/___<<__///____<1}}244734733}}[[(^^((^{'>-=====*=;;;;''^^][}}}[^{!'';;**&%$$$$$$#&%-,),;;'''!_|59iptpppttpuxuyAzFKNOQQRRR",
+"RRRRRSSRQQONMIGGGEHIIIKMNONMIEEEBBBAAEBAwtptpliffltAEBBEKMNNNMKEAwwtstwwyACEHHEAyAABBBBIKMMNNOONNMMMMKIIIIIHEBAwwtppppttwywtpic5|}_/(~{{{{(/<<<<((((__<:1}}24421144}1[^(^^]{]!,;===%=====;;;''^^{_}}}_^!!''>;**%%$$$####&&*,{);>,''!(_|9ipwtpptttttuyAzFKOOQQQQR",
+"RRRRSRRQQPNKIHBCCCCGGGHIKNOOMKHEEEEEBEEAtppttpoifiipAEEBEKNNNNKHAwywwwttxAEHIKHEEBEEEHEIMNNNNNOONNNNNNKKKKKMKKHEBytpooooptttpoif95|<_((~~)~~((_<<<(/<_<<<:111|}1}12|:[[{^^{({!';==*%%==*=;;;;'!^{[}}__^!''>-=**&%$$######&=>~)>>'''!{<|5ipywppttswtuyAzHFOOQQPQQ",
+"RRSSRRQPPONMKFFBCCCCCCGGIKNNNNMKIIIIHHHEAtptwwwplifipAEBBEKNNNMIBwyyyzutuyABEIIHHHEEEHIIMNONNNNOONONNONNNMNNONNMKIBytollilopppoolf933|__~~~~~~/</</(<__<<:}}}}_<:1|1::^{]{](]!'==**%%%&&=;;;;'!!^[[[_^^]'';-=*&%$$$######&%>))>>''''~/<3coyytptttwwuwzzFKOOPPPPQ",
+"QRSRRQQPOOOMMKKHEGGGGGGEHKKMMNOONNMKKIIIEwpwAEEAwoiiltBEEEIKMNNKEAAwAAwtuyyEEHHIHHEEEHHIMNOOONNNNNNNNNOOOOOOOONONNMHBwpiffiiloppplif953|<<<</{~{(((<</______<::___|<:](^^~](])';**%%%%&&**=;;>'!^{[[[^^!',;-=%&&$$$######&&-)),;;''')(<|9lwAwtwwwywxyAzFLOOPPPPQ",
+"QRRRQQPOOOOONNMMKIKIIIHHIILKKMOPPPOMKIIIIBwyBHEBAwpllpyEHHHIKMNMKEAyyyxtwyABEEEHHEEEHEHIMNOONNNNMMMMMMNNOQQPONMMNONKIBwoic9cffiiiillifc53||</{)]]~~//<<<//___<:](_:<]^{^^{^[/]';***%%%%&=*=;;>'!!^[[^^{''>;-*%&&$$########&*,));>'''!(/19ftyywAywywxyACIKMOPOOOP",
+"QRRQQPOOOOOOOOOOOOONNMKKIKIIKKNOPQPOMIEIMIBBEEBBEBAtppyEIKIIKMNNNKEAAAyyzAABEBEEEEEEEHIKKMNNNNNNMMMMMKMKNOPQPNMKKMMKKHBtlf63333359ciiiic953|/~)))))~{/<<<<<_<__](:::]]!!!!(_:{';**%%%%%&%==;;>'!!^{^^^''>;-=*%&$$#########&&>))'>'''!((|6cpwwwBAAAwxyACFKMONNNOP",
+"RRRQPPOOPPPQQQQQQQQPPOONMKKKKMMMNPPPOKIIMMHEEEEIKIHBwtyEIMMKIKNOONMEBAyyAAyACCCBEEEEGEHIKMMNNMMMNNNNMKKKIMNOOONMKIIKKIEAtlc6}/~~(<|59fffc953<~))!!!!!!{((<|<<(_(:::(]^!'!'{(:~'--**%%%%&&%=;;>'!!^^^^^'';;-=%&%$########$#$&-)~'>,''!(_}29ottwABBByxyCGFKNONNOPQ",
+"RRQQPOOOPQQRRQQQQQQQQPOOONNMMMMKKNOPOMIHIIHEEEHIKIIIEBBBHMMMIIMOPPONHBAyABABACzzEEEEEHEHKMMMMNMNOOOONNKKIKKMNNNONMKKIHEBAwof9<~)')~/|599c9953<//~~)!)'!{(___</::(<_(]]''!'!{]!'---**%%%&&*=;;;>!!{^{^^'';=*=%&&$#########$&&*)),;'',!//}29ltttyBHHAxyCGKKNONMOPQ",
+"QQQOOOPQQQRRRQQQQQQQQQPPOPOOONNMKKMNNOMHEHHEEEEHEBEHIIIEHKNNMIKNOQQPNHBABEEHEEBCBEEEEHHIKMMNNNNNPPPPOOMMKIKIIIKNNNNMIEAAABAti9<{',,))/|3599995|<///~)!)){{(__<<]((<_/{!'',!]~);***&&**%&===;;;>!!{^!!!';-=*%%&$$#########$&&*,))>''')~_}29lttpwBIIByACHKLNNNOOPQ",
+"QQONNNOQQRRQQQQQQQQQQQQQPPPPPOONMKIIKMMKHEHHEHHEAwwAHKMKKKNOOMKMOPPPONIEHHIIKIIHEEEEHIIKMNOOOOPPPPPPPOONNMMKEEEIIIMMKIBwwABByo9|/~))!)~(<|59cc953|</~~))!{{((_</(]//(/{!'''!{';**%&&%*%===;;;;'!!!!!!'>;;*&%$&$##########$$%*>))'>''){_}29ltwtwAEHBAAEGKKNNNOOOP",
+"PPNKKMOPQQQQQQQQPPPQQQPQQQQQPPOONKHEHHIMKIHEEHIHBwwAEKNNOOOOONKKMOPPPPOKKIKMNMKKIIHEHHIKMOOPPPPPPPPPPPPOOONMIEBAAAEEIKIAtptAAwpf5|/~~~!)~/|59ccc93|</~){~~~~(((/(((//{{!',!{]);**%&&%%%*=-;;>''!!!!!!';;=*&%$$#####@##@@@$$&%>)~'>'')![:}5iwwtwyEEBABEJKLMNNNNNO",
+"ONKKKNOPQQQQQQQQPPOOOOOOOPQQPPOONKHBBABIKKIHHHIIIEBBEKMNOOOOONMIINOPQQQPOKKNNONNMKKIIIIKNOOOOOOOONONOPPPOONMKHBywtwAAEEAwppptwywl9|/~~!)))~<39ccc953|</~~)~{{(]{//(/]~!,'!!//!;-%%%%%%%&*=;;>'']]!!!!';;=*&$$##@####@#@##@#&&-,~)'''!{::}0itywwwBBAzAEIKKKNNMKLN",
+"OMHCHMOPPOPQQQPQQOOOOOOOOOPPPPOONKIBAyBEHKMKIHIMMKIEHIKMOONNNMKIEINOPQQQQOOOPPPPOOONMMMNNNNONNONNNNNNOOPOONNMKHBywtttwwyyywtpptwwo9|/~)),,,)~<39ccc995|<//~~~~{{]](<:~!'',!{~{'-*%%%%%%&%&=;;''!^]]]!,;-=*%$$#@@@##@@@##@@#$$*'~~''''{^:[5fpywwwBBAyAEJKKLMKIHIN",
+"NKECGINPOOPQQPPPPPNNMMNNOOOOOOOONMKEBBBEEIKMMKKMNMKBAAEIMNMMKKKIEEHMNOOPPPPPQQQQQQPPOONNNNNNNNNNNNNNMMNNNNNNNNKIEAwttppptyAAwpllopl9|/~),'>->,~<|59ccc53|<//((({{]]]</{!',,)~~'>-**%%%%&%%=;;;'!!]^!'';-*&%$$#@###@@@@@@@@#$&%>~{)'''!]::4dpwwwwBEAzAEHKIIKKHEIM",
+"NKHEHMNPOOPQQPOONOOOMMMNNOOOOOONNNMKHHEHIIKMNMMKKIEwpptAEIKMKKKKKEBHKNOOOOPPPQQQRRRQQPOONNNNNMNNNNNNNMMMMMNNMMMKHEBwtolootwBEApfciolc3<~),,-;=-,)/|5999953|<<<<(]~]]/_/^''''!)'>---***&%%===;;''!!!',;;-*=*&%$###@@+@@@@#@#$$%;)~~'''!^[:39ltwwwBHBAyBGIHIKIEEIM",
+"MIEIKNOOOOPQPONMMNOONNNNNOOOOOOOONNNKKIIKMMMNNMIEAwpliotwAHKKKKKMKEEIMOOOOOPPPPQQQRRQQPPOONNONNNNNNMNNMKMMMKMKKKIHEBAwpooptAHIEtiilifc9|~)',-==;-,)<3599953|<<<_/~]{]//]!)!!)]'-*********=*;;;,',!'';;;=*&%&$$####@@@@#####$$%='~~!'']^^|39ipwwwBHEAACGGGHKIEEEK",
+"MKIHINOOOOPPONMMMMNNNNNNNOOOPPOOOOOOONMMMMMMMMMIEytpliklopwEIIIIKKKKKNOOPOOOOOOPPPPQQQQQQPPPOONONNNNNONMKKKKIKIKIIIHEEAAwptyEKMKHApf9cc9|(~)>-**=*>,~<3599971|<<<///]({{{!]]{~'-*%%%%%=**--;;;!!,';;;;=&%$$#######@@######$$&%*>)/{!!!^]|39ipwywAHHBACCCAEKIBAEI",
+"KKEHIKNNMMNNMKMMMMKMMMNNNOOOPPOOOOOOONNNMMKKIIKKIEwpoikiilpwEIIHIIIIKMNOPPOOOOOOOOOOOOOOPPPPPPPOOOOONOONMKKIIEHHIIIIIIIIEBABEHKOPOEl539c93</)>;==**->)~|359953||<]]]](/!!'!)~~)'-*%%%%&*=;;;;'!]!'';;=*%$$###@@@@+@@@##$$$%%&**;~</{{~][|39fowywAEHBACCzACEEEBAH",
+"NKEABKMNMIKIIIKMKMMMMMMNNNNOPPPONNNNONONMMKKEEIKMKHwploollopwEHHHHHHIKMNOOONNNNOOONNNNNNOOOOPPQQQPPPOPOOONMKIHEHEEEHHIIIIIHHEEBIOQNAi9555953<)>--****->)/|559553|//]](/{!'',)~),-**%%&%&%*=;''!]]'',;-*%&###@+++++++++@###%&%**;)<<_/([:|79fowAyAEHEBBBAwAEHzAEK",
+"OMEABHNNIHEGGHEHKKKKMKKMNNOOOOPONNNNOOONMMKIEBEIKMKEwpttppootAEHIIIHHHIKKKMMKMMNNONNMMNNNNOOOPQQQQQQPQPPOONNMKKHEEBEEEHHHHHEEAAAEKONEpf5|3599|~,>-****->,~<359905|<]{(/]!'''))!'-**%%&&%===-;',!'''';-=*&$#@@++++++++++@##$$%%*;,(<_//::179flwBAAEIHEAAyyAEBAAGM",
+"NKAwAEKKHAzCBGCCEIKMKMKMMNNOOOOONNNNNNNNMKIHEBBEIKMKEywwwwtppwAIIIIHEEEEEEEHEEEIKMMMNNONOOOPPPPPPQQQQQQQQQQPONMIIEEBBEEBEAAAAywyyBKNNHwi5||5cc5<),>----->,)<|599933<(//]{''')!)'>*%%&&**==;;>'''''>;;-=&%$$#@@@++++++++@@@##$%%=-)<_(~:[_|5cipwAABHIBBAyyxzzyzAI",
+"KIAwwAIIEAzABCzzCHIKMNNMMNOOOOOONNNNMMMNMKIHHEEBEIKMKBywwywtttwEIKIHBAAAAAAAAABBEIKKMNNOOOOPPPPQPQQQQQQQRRRRQPONKKIHEEEBBAABAywyABEHKMHwi5<|3cfc3/),>>>>>>,~<|599993<</(^,>',)),>-=*&&%%==;;;','';;;=*%&$#$#@@#@@@++@+@#@@##$%%=-,/_({]^_|38cltyyzEIBxuuuuyzrrwE",
+"IIBwwAEIAAyBBCCCGHIKNOOOOOOOOOOOONONMKKMMKKIIHHHHIKMMKEAwtwwtpwAHKKIEAwyyAyAABBBBEEIKNNOOOPPQQQQQQQRQQRRRRSSSRQPOOOMMKKKKKIIKIEEIKIEEKNKAo9|<|9ff5<~,,>>>>,)~/|599953||<],'>>,),,>--***%*==;-''';;;;=%$$###@+@@+++@@@###$#&&%%==-,{_</^^_<38bipywAEIExuuuuxtrouA",
+"EHByyAHHBAAAyCEEGHIKMNOPPPOOOOOOOOOOMKIIIKKKKIIKKKKMNNKEwppttoptyEIIIEAywyyAABBEBBBEHKMNOOPQQQQQQQQRRRRRRRSSSSRQQQQQOOOOPOOPQPPOPPOHAHOPOEtf5|3ciic|~,,>>>>,,)(|3599555|:),';',,,>>>;>---;;>;'''>;;=%&$$##@@++++++@@@@###$%==-->>)/11_::_1379fpyyAzEBtpruuttqmuA",
+"EEByAEHIAyxAAAHEEGGHKMNOPQPPOOOPPPPONMKHHIIKKKMMMKKKMMMIypoopoolotBEHHEAwtwwAAABBBEBEIKMNOOPPQPPPQQRRRRRRSSSSSRRRRRRQQQQQQQQQRRQQQOHAEOPPOKAti99fopi9|/~)),,!!~<|3555953|~,,>,,,>--->>>,;>>>'','>-==%&$$##@@++++@@@+++@###$&&*;>')(|33}::|35cfoyyAAAAtpprpttqqpy",
+"ABAwyEIIAxuyABEBEEHIKKMNPQQQQPPPPPPOOONIIEEIIKKMKKKIIKKKEtllloliiotABEEBwtptwyyAABEHHHIIKMNOOOPPPQQRRRRRRSSSSSSSRRRRRRRRQRRRRRRQQPOIBEIOPPOKBwl9cflppi9|</////<<1|5559955|~'>,,,>****->,,,,,'!!,;;;=%$$#@#@++++@##@+@++@##$&%*;-;,{<|72[[||59clwAAzAzwqqmpqtpnpw",
+"yBAwwBKKEwxwzEEEEIIIHKMNOOPQQQQQQPPPPONKHAyABHIIIIIIHHIKIApolooolopwABEBAtpptwwwwyEKKIIKKMNNOOOOPQQQQQRRRSSSSSSSSRRRRRRRRRSSSSSRQQQOMHHIOQQOHAti999iptoc5|<<<<||||33599995|/)))),>****->,,,){]]!'>;=&$$##@+++++@#@@+++@###%*->',,)/_3952}|159cityAAAywrqqqutpoot",
+"yBEAyAIMIBwAzAyEEEEECEIKMOPPPQQQQPPOOONKEAwtwyAEHIKKIHHIKIAtoopoooptyBEBAywttttttwAHIKKMMNNNNNNOOOPQQQQQRRRSSSSSSSSRSSRRSSSSSSSSRRRQQPNNOQQQMBwti955fotof5|<<<<||<|||355c95|<///~)>>-;;;'',))]]{),;-*%$###@++++++++++++##$%-,~)){/|35fc94335bcipyAAAytppppwwtrot",
+"yABAwyBIIByAAyzAEAyAABEIKNNOOPQQQPPPOOMKEBytttwyBIIKKIIIIIHAtpooooopwBEEBAwtttppopwyBEIKMNNNNMMMMNOOOOPPQQQRRSSSSSSSSSSSSSSSSSSSSRRQQQQQQQRQOHAAwof99fptpi93<<<<|<<<<1||555||<<//~,,>>>>'')!{{]))),>>-=$##@++++......+++@$&=>!)~/<|35ff953799fiowABBAwtpppwytppt",
+"tyBAwwAEEAAywyAzyywAACzEFKMOOPQQQQPPPPNMHBAwwwwwwBHIKKIIIIHEAtpooollpwAEEByttpolloptyABEIKMMMMMMMMNNNNNNOPPQQQQQRRRRRRRSSSSSSSSSSRQPOQQQQQQONEwAEyof99fpwwof53||11<</]//<|3||<<</~),,>,>'',){]])'',,'>-*=*%###@++....++++#$&*->,)/(_|5cc52459fiopyAAywtppptwwppp",
+"twBAwwABEBzyyyBAwuyyzyzAEKMMOPQQQQQQPPNKIBBAwtppptAEHIKIHHHEBypoopoilptABBAwpolffilptwyAABHIIKKKKMMMNMMMMNOOPPPPQPPPPPQRRRSRRRRRRQPOKMNPQPOIyoipBBti933cowwpf95|33||<(/~/<|||<<<</~,,'>;',,)!{]),',>--;*=**%%%$##@@+++@@+#$$$&*;;,'!/|7952|70filpwBBAAwpoptwwtop",
+"ptyAwtyABBAxzBEAzxwywyzzFKMNOPQQQQPPPOMIHAAywpoiilptBHIHHEEEBAtppttoiiopwAAytpliffilptwyyABEHIIIIMNNMNNMMNNOOOOOPOOOOOOPPQQQQQQQPPPOMKKMNNKAoc9iyHyi5<<|5fpplc53333|<(~))~/<<<<|||/),',''''',){)''>--*=%%%%$%%%%$$########$$%&*=;;''!{122}:457filtABBBAtolowwoop",
+"opwAwttyBEBAzAEAwxxuwwzBEKMNOOPPQQPPPOMIHAAwupokiilptAEHHEEEEBAwtwwtoiiloptwwtplifdgioptwyBEEHHIIMMNNNNOOOOOOOOOOOOOONNNNOOOPPQQQQPONMMMNNMIAoioAIAi9|/~/|9ili933||<<~)>;'))~~/<|||/)),,,'',,,,'',>-*&%%$####$$$$$$$$%$$%%&***---;'!!!{13}[_1|85cipwAywpiijopoll",
+"iopwwtptyABwtwzywtwuqwAAEKKNMOOPPPPPPONMIEAyutpolllootAHHHHHHEEBAAAytpliiilptttplifdfilotwABEEEHIKMMNOPPQPPOOOOOOOOONONMMMMKNOPQRQQPOMKMNNNNNHAwAAti93/~~~<9iiic53|</],;*;->>,)~/<</~),'''',,,',''>;*&$$$##@@@@@@@@#$$$$*=*->->,''!!{){<43:^_1|439iptppifccgiifi",
+"filpwpootyAtppwxptpuqwxABEIKMOOPPQPPPOOMKICAywtqpppppptBIKIIIIIIHEBAwtpoiiilptwtpolifiilmpwABEEHIKKKMNPQQQQPPPPPOONMMMMMMMNMKKMOPQQQOMIKMKIKNNHApof993</~)~<5fiic93</~,>**%**=->)////)),>;;;;>>';;>-*&%$##@+@@@++++@@@##$%*->>,)~{//~(/<|52:<<__|29looli9589cfcc",
+"cfiottllpwAtlltpqqpoqqwAyzEIKMNOOPPPOONMKKEBywttqpppoppwEIIHEHIIIIEAwwwtplilotwAAywwtppoopwyBEHHIHKKKMOQQQQPQQQQQPONMMMKMNNNNKIKMNOPPONMMHBBEHEypf953|||/~))/5iolc5|/~)>**%%*&*->)///~),>>-;;;>>;;--*&&$###@+++++++++++##$$%*->,'{{////||5832}:}269ioolic977cc99",
+"fiiowwpoopAwpopplmmlqqwuxzBFKKMNOPOOOONKKKHEyttpppooolotwBEEBBEEHHEBwtttpoiilowAEEEEAAyyyyABEHIIKKIIKKNPRQQPPQRRRRQQONMKKMMNNMMMMMMNOOOOOKEAyyAwtof5|<<|3<),~<9lpi9|</)>-*%%*&%*-,~//~~),,>>;;;>;;*=%%&$##@+++++++++++@###$&&*-;''''!!~~_|593321359fptpoic90dcfc",
+"illpwAwpotwywtpolikinuuwxzAEIKNNOOOOOONKKIEBytuoolololooptwBBAABBBAAwpllllifcflpwyAAAAABBABEEIIKMMMMKMNPQRQQPQQRSSSSRQPONNMMNMMMNNMKKKNOOONKEAwtttpi93|353/))/3cilf5|<~,-=*%%&%&*-,~///~)),,>;;;;;-*%%%$##@@+++++.++++@@##$&*=-;'';''''')/|3|<<<<|39ipppoic9cfif",
+"iilpyEBwttyEEywpiikgjquwtxzFIKMNOOONONMKHEBAytplkilllollloptyAywwwywwtoifiif999cilptttttwwwAABEIIKKMKKNOQQRQQQQRSSSSSSSRQPPONKKKMMMIIEEHINOPPNHyttwwpi9995|///|39ilf5|/)-*%%*%$$$%-,~~~)~)),,>>;;;-*%%%%$#@@@++++...++@###$&%=*;;;;;;;''''/<<~~!){/|5ioolifc9cff",
+"cciltAEAwtwEIHAyoiigjiqqtwzDEKKMMONNNNKIEBAxwtqplkllllliililpwwwtptttpplififc55599floooppppwyyAABEEEIIIMNOQQQQQQSSSSSSSSSSRQQONMKKIHHHBBABIMOPOIBAABAwoc53|<<<<|39ilc3<~,*%%%%$###%*,,)))))),'>--;-*=%&%%$$#@@+++++++@@###&%%*;;;;;;;;;;;')/({''''!{_5fifc95599c",
+"59cciwBBwptAIIEAtligdemmtwzAEIIMMMNNNNKIEAyuuppqollifeffiiiiiptwtppppppoliffc955555cilloppptwwyAyyAAAEEHIKMOPPPPQSSSSSSSSSSSRRQPOMKHHIEEBABEIMMMMIHHEBwoc5|<<<<|35fiic|/)>%$%*%####&=>>>,)))),,>>--*=%&%$$$##@+++..+@@####&%&*;;;;;;;;;;;;'!~{';;;''{<0cc953|359",
+"95359lyBypptBIEAtiebdemmquxAEHIMMMMMMMKIEAAuqomqpomiicccfffgilpttppopppooifffc9553359filooppptvwywyyyABEHHIMOPPPPQRRRSSSSSSSSSRRQPNKIIHIIEEEEEEHIKMMKIEyoc53|||5559fol9|/)-%%%%$#@@#%*-->,,))),,>>>-*%&$#####@+++..+++##@#&%&*;*;;;;;;;;;;;')),---->,~|9995||||5",
+"95259fpAypopyEBypicedeempvuAEHIKMMKMKMKIECAwuqmmoppoifccccffiilpttppoooooiifffc9533599fillopptwwwwwwxwyAAEEHKNOOOPQQQQQQQPPPPQQRRQPNIHEHHEEEEBAyAEIMNMMKApic5339c95cotl9|/,-%%*%#@@##%***-,)))),,>>-*%$########+++++++@#@$&%*******;=;;;;;;->),;===->,~39995||<3",
+"35359flwytolpwwppifeggjmpqvxDHIIKKKKKKKIECAysrnjoppuplfccccfilllppppooollliifffc9555559cilopttwwwwwwwxwwyyCEIIMNOOPQQQQPONMMMNNOPPPOMIIEBAwAAywwttyEKMNNNIAtlc9cfc9cltti5<)>*%%*%#@@#$%%%*-,))),,,;=*%%$###@###@+@+@+@###$%&***=*&%&**==;=*==',>-*%*=>)<5c905||3",
+"5559ccfowwoifooppofffgjmmrsuDFHIIIKKKIIICCAvurnkmnpppolfcccfloolloppplllliiifffcc9557550cfipptttwwwwwyywwyABBHIMNNPPQQQPOMKKKKKKNNNONNMKHAwwttttpoopwBIMNNNMHAtppoolotwo9|~,-***%$#@@#%%%%*>,,,,,,>=*%%$$###@##@@@@@@##@#$%&***%%%%%%&*=**&%%-,,>****->{3cc99953",
+"5555599fopofdilptpihhgjmmruuDDEEIIIIIIIHCByvqqmnmolilllifccfioooooooooliiiffffcc9955333599fiopppptttwwyyyyyAAEEIKMOPPPPPONMKKIHEHEHIMNOONKEAytpoliiffipBKMOOOOMIHEAywAytf5/)>>**%%##@#$%$$%*->,,,,>-*%&%$$$#@@@#@@@@+###$&%&****%%%%%%**%&%%&&;'>==&&->,<9ffffc5",
+"333||425fomgc9ipwtibegemmrtuxDBFEIIHHHIHEAyvuqqnmoifgiiifffffioppolooooliifffcc95595533335afilooooppppwwxwyAAAEHIKNOPPPPONNMKKHEBAAABHMOOONKIEwoifcc99cltBINOOONMKIHBBAyo9|~),-*%%$###$%$$$%*->,,,,>-*&%%$$#@@@@##@@####&&%%******%%%**&%%%&&=*>,,-;;->)<5iiiif9",
+"1<<|_<139ipld0fowwocfgjmmrsuuxDBEEEHHHIHHBDvtqropomfddgfifcccfiopololloliifcc9955555553337adfjilllllppptwwwwzzBBEIINOOOOOONMKIIIBAwwwyAIMNOOOMHwof999599flpwEKNMKIHHBBAyti5|/~)>-*%%$$%%%%$%*->,)),,>=*%%$#@@@@########$&%%****%******&%%&==***>)~),>,'!/|ciffc5",
+"_(<<<<122cloidcitypffhhmmrvvsuxDBEEEHHHIIEDyuusppmlfc0cdfffc99cioooolllliifc99553355557735a0behiikilooooputwAyAAEEJMNNNOOONMKIKICytqpptABHIKMMKEwof953599ccfowBEEAwwwwwwti953</)>-*%%%%**%%%*=->))),>-;*%$$####$##$$$$$$&%&****===*===**=;--**->)//)>>>,)/|9c995",
+"<((<</(_25foofcfowtihkjmmrnorquwDDEBEGHIIEEAwuutppolcb0ddffcc99cfilliiiiiifcc95533559957756d0c9hhiilionopupwAAyAECGIMMNNOOOMKIIEBuuomorpwwwyABEEBypf5||39999cipwytpoooooi9355|<~)>-%%%%***%%%=->,))),,>-*%&$$$%%%$$&&&$%%*=*--*=--=-;-*=;--*=**=-,)'-*-->,~|9995",
+"|_(__<(_}39loifciopifkljmmponrruuABBBBEHHHEBywxttpoofb99cffifc9059cffffififfc955333599990999ddcchgeiijonlrqptxxzECCHIMNNNNNOMKIHAuqjjkhinloooptyBBypf5||35559clpwwplifc99|<|3|/~~)>-*%****%%$&*=>>,,,,>>-*%%%%%%%$$&&&%%&*****=*==*=**&&*%%&&%%&%=>';%%**>)/3999",
+"5|_(<</_}}6foliccioiifkljmmkonvuuxABBBEEEEEEAwwwwppolfccdffffc9533399cfffiiiffc9955599c90ccccc9gdhggijomnrqqpxxABCCEIKNNMNNNNMKIByqmjggeebbcccipwyAytof5553335clpwwtof95|</<||~))))>*%%*-*=&%%%**->>>>---=&$$$$$$$#$$$$%&%&*%%&&&&&&%$$$$$#$&$###$*;;*&%%=;,<599",
+"93<_<<</}}29iplfccffcfilonqmmppssxwABABEEEEEzyywwwtpolfffcccdc99533359ccfiiiiffc995355999c988090cciiilnoorqqpxxAACCHFIKNNMMNNNMKHAuqjhgba663239flpttyAwoic5|||5citBBypf93|<<|<~',,,>-*%*---*&%%%**---;-***&$#######$###$$$%%%%$$$&&$$#@####$####@@#%=*%$#$&>)<55",
+"953:_<|<}}}5fooic9c9bcijmolqmmppuwxAABABEEEEAyywwwttpoieccdcc999997333599ffffffcc99535599ccc88a99cdhfilonorqpxxAACEHIKMMMNMMNNMMKEAuqjjg8664}||59fiopyBBytl93||39iwBBtlf953|3|/),,,>-*%%=>,>-*******--**=%%$############&%&%%%$$$$#$###@#######@@@@#%=&$#$&=>)|5",
+"5954||3|22239ipoicc9acfiooolqpqttwwyAABABEEEAyywwttpplkicccfc99999553|3559ccffiiiffc99cccjiiffcccdchiklooorqtxwyyBCEKKNNMMNMMNNMKIEAuqjg8a24:<<<|359ipyBEEAti93339ipwtplic533|</~)>>-**%*-,,>=*-*==**=***=%$$##########$$%&%&%$$$$###@@#####@@@+++@@$&=%$$&&->~|",
+"35553|3352226fotoifccciioooolpmmttwyAABEEEEEAyxtttqoooiiifcfc995999955559cffiloooooliiiiilloliiifiilloopppttwyxAABCHIKNNNNMNMMMNMKKEwuigaa21:_(///<|9ipwAEIHAof5535ciptpoic533|</)>>--*%&=>,,---*=***=*****%$##@@######$$%%%%%&$$####@@@####@+++..+@#$==&$$&*-'<",
+"|599955555559cittoieciilioomlnmopttwyABEEEEBAwtprrppoookggf9c999999cccfcciiiilppppppoollliiiiiiiiillooopttwyyAAEEEHIFMNNONMMNMMNMMMIExuke861[_(~////|9fowAEIHAtf95559ipttpif953||~)>-*****-,,,-*=&%%%=***--*%$$#@@#######$&=&%%$$###@@@#####@@++..+@@#%;*%%&*-'~",
+"<59ff99999599cfowtlfffiiilooonlomttpxwAAEBBBAytpqqpqplllgccdfcccffiiioliiiiilillloooolllliicddccfgiillloppswyAAEEIIKMNOOPPONNNMMNKMMIEymib64_[]{//(/||5iptyBEHBtic999cipttpiffc95|/)>**%%%*-,,>**%%%$&%**---**%$#######$#$&**=%&$###@@@@@##@@@@++++++#$=;-*==-')",
+"/39fifcc999599cipwplfifffilooolimmoouutwyADAAAywtrrmmmiiiggdgiiilpptpppliiiiiiifiilllllooolic9099cfigiiknopuwzzBEHIKMNOOPPPPOONNMKKMMKEwoia61[]/<||||||9fiopyBEBwoicccflppoiffffc95<)--***=-,),-*%%$$&%%**----*%$###$####$&%%**%$$#@@@@#@#####@+++++@#$*;,>>;>,)",
+"~|5fiifc9999559fottpliiffcilllkikkglnrpuuyAAAAywwpqrnliiiilikllmopwAywtplliifififiilllloooolic0899dffiijnlrutxxAEEGKMMNOPPPPPOOOONKMMKIBwof94}<_|33|</<|59cfipwAAytpicfilolfcccccc9|~,>>>>>>,~~>-=%%&$$%%*->->--*%$$&%$$$$$%****%&&####@###$$###@@@@@$$=>)))>,,)",
+")<3ciiiifccc999ciottoifc988fffgdhgggmlrquwAAABAwturpqomoploollllopwyyttptplliiffffffiiillliiifd99999fiijnloqtxwABEGILMNNOPPPPPOPOONMMMKIEtic62<_|33</~)~<|5999fotyAAtlilopoi95999553<)>>>,,>,)~)>-*%&%%%%-->>>>>-;**&**&&%%*;**=*&&%%$&$$$%%%%$######$%%=,~{),,,",
+"~/|0ioooiiffc95559iolfc986a9cfegfbggijmmquyAAAAwuqquuttttpoooiiiilopttttttpplic99999ccfiiifcfccdc800cffilloqtxxACBCIKKNOOPPPOPOOONMKKKMMKEtl92__<|3</~))~/<35599iotAAwtppttoc5555555|~>->,,,,,)~,-**&%%%%*->->>>>>------=*=--*****&%%&&$%$%**%%$#####$%&&-)//),)",
+"/<|5cioolic995|||19fic999626bcfgdbgggiinmqwyAyyytpquttwttuppllifffiloopttwttplf955599ccffffc9c9cc990dccfjjmqsuuyCEEHFMMOOPPQPOPOONMKJHHIKIEyoc3|/_|<</{~~~~/|5999cipwAAAyywti53555555|~,,)),,,)~)>-&&%%$$%**;->>>>>-----------***==%%&&$$$%***%%$$$$$%*=*-,/</~~",
+"/~(_|5cffc54|41_<||9cc95762aaccfghdggnlqqqpwwyyyywwututpppppolliiccfiilopttttpofc599ccfffccccc99cccccecfijoqrusyCCBFIMMOOOQQQPOPOOMKHEEEEEHEypf93|||</~~/////|5999ciotwBEEBwo9||333333|/~~~),,,~~)>-==%%%&&&*-->>>>>--->>>>>>-;--=*%%&$%$$%*---=%%%%%*--->,)<<</",
+")!!{{/|9c953||1____|7cc977626bcfgdfkkkmrrqqtwyyAAAywtuqpmmloooliifcccfffilopptttplfcccfffcccccc9ccddgfeiliqqpuyyBBGHILMOOOPQQPPONNMMHEBAwABBAwoi9343|<///|||<|359cciloptBIIBwl9||||||||</)~),>>,~~,>==*%%%%*-->>,,,,,>>>;,,>>>>>---***%*%%*-->--**&%%**=**->,~/~",
+")'''')/|9993|<<<((/(<7c9056266dcfghgkkooqrqtwyABBAAywtpommlkiiiiffcc99ccfiiiiopwyytlfccfccc99ccccccfiiiiloqppxAEEGFFIMMNOOPPPPOONMKKHEAywwwyAywoc53353|<|553|3359fflliiltBHHEyo933333||</)),,;*-,),>=&%%%%%%*-->>,,,,,,,>>>>>>>---**=*%%%$$%**%%%%####$&&%%&-,)~",
+"!!''>,){|553|<<<_({~(|9c90566689ffgfkknlqrqtyBEEBBAywwpolkkfggccfcfccc9cffffffipwAAwpiffc9999c9cccfgifilloqpxwBHHHIFILNNOPPPQPOOOLIFCBAxtpptwAAtl9533533599533359fiiliiopyAEEBApc99993||</),,;**>,,>&$######$%**-->-----;--*=-***&%%%&$$#####$$#$###@##$$$&&*;>!",
+"!!';-;''~|553|<<__{{{(|9cc0866889fgikklinnqtABEEEEAAywtrllidd90999cfiiifffcc9cffiotwwtoif9999c9ccccfiiilinmpuwAEIIKKMMONOPPPQPPOOLIFAAyurmmoptAytof5||||59fccc99cciiloopptABAABApifff53||<~),>**-,,>*$$#@@####%%**=------=*%**%%%&$##$###@@@#######@@#####&%%&*>",
+"'!!>;;;-,~|553|<__({]{_49cc066aa0fkifkglnrptyABEEBBBAAwpolif9999099ccffffffc99c9ccfiotttoi999c9dccffiiilnnmruuAEHIMMNMOOOPPQQPPOOLLFBvwqrmieiiptwwplc5|||39fiopppiiiloopppwBAAABAplii9533|/))>--;>>>-&#@#@@@@@#$%**-----;=&%%&%%%$######@++++@@##@@++@@#@#$$&%%-",
+";'!,';--;,~|5531<_</{](/38cc966a8fkkikkmrputwyyABBEEBAywpoiffc9c9995559cffiffcc99599cipwtpicc9ccccgiiiioooqpuuzBEGKMNOOOPPPQQQPOOMLFFzvqnmebb9ciotttoi953359itHMHwtpollollpAEBBEBwoif95595<~))>>-->>-&#@@+++++@#$$%*----*=&%$$&$##@@@@@@@.+++++@@@@+@@##@##$&%==",
+";;'),'-=->,~|553|<|<_(~][20cc969afgkimioptuuwwwyzAAAAAwwtpoifffc995573559cfiiifc955599flppoliccccgfiiiooopqppuyyBGFKNNOOPPPQQQPOOOLIFzvtqkeb96259iopoic99599ftINIAwwtpoollowBEHEEAtlf955993<//~),->>-*$#@@@++++@##$%******&&$$$####@+++++....+++@@@++@##@##$&%==",
+";;;,',>--=;,(|5353|1<_]/_}29cc98ccfiommpptuuwwwxwyxwxwwwttpolifcc9533333559ciilic953599cfloollicccfiiiiolpqqpuuyACHKNNOOPPQQQQPPOOMKFzzwqkij96}||5ciif93359cipEKEtooppttpoopwAEEEBwpif99cf93|<</),>>--&$#@@@++++@##%%*****=&$$#$$##@@++++++.+.++@@@@#@##@$#$%%=;",
+";;;;,,,>===;,(|35533|1_/(:}5cffccbfipppupsuuwwwywwwwtpptttppolifc99533333559cfilli955559cfiilooliiiiiiillloqrwuyCCEKMNOPQPQQQQPPOONMKCByumjjc9}<_|39cc9|<<39flAIBpc9cipwwtppttwyAAytoifffi93|<<//))>--*&##@@+++++@#$$%**%%%*&$$$$##@@++++.+++++++@@@#####$$&%==;",
+";;;=>>,,-==*-,~|35577|1</[:49fiffbcgouutppqqswwywwwwttppppqpolliifc953333355599fllifc979cdffiopppoiiiiiilloqpwuyAACIKNOOQQQQQQQPOOOOKHByxrljc921_/_|5993<//|5cpBEtc335cltwtttppoptwwtoiiff93|<////~,-***$##@+++++@##$%%**%%*&&$$$###@@+++.+++++++++@#####$$&%==;",
+";;==;->,';***-,~|555733||}:15ciilfffltutppqptvwwttttttpppoomoliiiifc955333355559fillif9909ccflottpoolnlmlloqqpuyyACFKMNOPQRQQQQPPOOOKHBAupojeb52<(/<<399|<~/|9iwEAl9599cilptwwtliiottpifc95||</~/</)-=***$#@++++++@#$%%**%%%=&%$#$##@@@++++++++++++@#$###$$&%=;;",
+";;===*->,'-***-,/|55557552}|38dfllikipqqppqpttttttttttppppollliiiiiffc953333353359filiic9009cflpttpppppppoooppxuyBCFLNNOOQQRQQQPQOONMICwurmjeb564|(]{<355|/~~3fpABtfcffiiilopwwtiffiptoic93<//(~)~/)>-****$#@++++++#$$%%%%%%&&%$$##@@@@++++++++++++#####&%$%==;;",
+";;===**->>>-***-,/|59599c96|458ciloooqmpoqqpsttttttttttpppooliiiffiiifcc955333333559fiilic909cloptwtwwwwtpppptwwABGHKMNOPQQQRQQQPOONMICzqlkfa85434_~{~<355|~~/5iwAwicfltwpolipwwtlffiptpof5|/~/~,,)~)>*&**%##@+++.+@#$$%%%%%%&&%$##@@@@+++++++++++@@@#$$&%&&=;;;",
+";;;===**=->>-***-,~|5599cfc556a8flpttpmooqqpppputttttttpppooomiffccfffiic995553335599cflolifcdiotwABEEEAwwtwwwAABEHIMMOPPQQQRRRQQOONMICAwqkbb67}<1|</~~/|33|//<9lttoffoyBAwtpopwywplilptwpi9<~~~),')~,-*&=*%#@+++..+#$$$%%%*%***%$###@@@++++++++++@@###$&%&*=;;;",
+";;;;==**=*->>--*-;,/|599cfid9a66cipwwwppopqqprpuuttttpttpppoollifcccccffiiffc955755999cfloppollotyBHIKIEAywwyAEBHIIIMNOPPQQQRRRQQPOONLEztqjhb64[_/(/</~~/|53|//|9iopifitABEEBwtwyywtolopwwti5<~~),,,)),**&=%$#@++..+@#$$$%%%%&&*%%###@##+++++++++@@@###$&%*;=;;;",
+";;;;==***==->>>-*;;,(|599cfifc66bfopwwtttuqmopppoppttptttppoooliiifcccfffiillfc99999cccfilppttpppwAEIIIHEAyyyAAEHHIKNNOOQQRRRRRRQQPOOMIBxqjhb62_[{{{~//~~/|53|<<|5cooiipyEIKIHAywywwtpllpttof3/~)),>,))>*%%*%#@++..+@#$$$$%***&**%$#@###@++.+++++@@@###&*=-;;;;;",
+";;;;;-=**&==->>>;;>>)/|55ccggf99ccimpwwywtpmmmponoppptpttpppoooiiiifffiiiiloolifcdf9ccffiiilpttttwwABEEEEEBAAyAEHHIKNNOOQQRRRRSSRQQPONMJAulkb861[({'!)~~~~<|33|<||5fiiilwBHHBAAAAAywwtplllopoc|/~/~,,'~)>*%%%&@++..++#$$#$%%*=&***%#@@##@@@+++++@@@####&%=-;';';",
+";;;;;-=***===->,';-;''(|59ccgffcfehklptywtppopmmnnoooppttpppppolliiiiiiilllooooliiiffcdcff9bfltwyyyyyAABBEEEECAEBHKKMNOOQQRRRRSSRRQPOONKHzrmf861[({!,,,)))~<3553|||5cfiltAAwppttyBAywwwplilptpf3|</{))~~)-*%%&$@++++@####$$%**=****&#@###@@++++@@@@##@#$%=*;''''",
+"';;;;;=;***===>',';-''!{|99cfefilifgjmqttwtppoomlnoopopppttppppoooooliiiiiiopppooolifc999d99ciotwAAywyAAAEEIIHEGBEIIIMNOPPQRRRSSSRQQOOOMKHAulia7}_({),,,,))~<3995|||39fopwyplillpwBAyyyypliowwtic53|//~/~,-&%&%#@++@@@####$%**=****%#@@##@@@+++@@@@##@#$%*;;''!!",
+"!'';;;=;;***===;',,',''{_26cifiopplkiimoppppololkinoopoppppttpppppoliifffffoptpopmlic97759a99cfiotyyyywwyABBEEHHEEHEHKMNOPPQQRRSSRRQQONMKIBysric0a|_~)',',,,)<3995|||3clptwtoiffiptwAyyAytllpwywpi953|<//~>*%&%%#@@@@@@##$$%*-*****&&####@@@@++@@@###@$%%*=;''^^",
+"^!'';;;;;****--;>,,!'''!{:29fiipptpojiiimmopooiiikiolooppppptttttpoliififfiottplifcc99079909099dioptwttttyAABEEIHHHEGKKNNOPQQRRRRRQQPONMKIEywpolfc93|(~))',),~<3999|||5fllopplc99foptwwyAytpopwwwtof99|<<<)-%$$%$#@@@++@##$$%*=-***=&$@##@@@@@@@@@####$%&*=;;'^^",
+"^^!,';;;;;;**----;,!{!!)^]16bflppwwplkifhfllmlliiggilloppppttwwwtpoiiiiiiilpwtlfc055999c05508888cfilpppptwAABEEIIKIIHKMMNOPQQQRRRRQPPOMLIIEAwtolffc953|<~))))){<59c93<|9fffillc559fioptwyAywwwwwwwwpic53||/,*%$$%$#@@++@##$$%==--=*=*$####@@@@@@@@####$%&*=;;'!]",
+"!^^!''';;;;;*----;>'{]{{^]_16cipptwtpokddccfililfffgfilmopttwwwttpoliiiiloottoic933375599009d909ccfflopttwyABEHHIKKMKKMMNOOPQQRRRRQQONMFGEEAwppigcdc9953</~~/~~/|5cc9||39c9cfif9539ciilptyAABBAywtttplfc5|<~,*&&%%%#+++@#$$%%&=---*&=%####@@@@@@@@####$$%*-;'>!!",
+"{!]^!'''';;;;;;;;;;'!~]:^(:228ioopptpplgcd09ciiiiffddfilmptwwwtttpolliilppptpic9553|433599ccccccccfcilptwyyAEHKIKKNNNMMNOOPPQRRRRRQQPONLEBAxtplfifcc99554|<</<//<|5cc93|39999fif53359fiilpwAEEEAywttppooi9|/)>%&%%%$@++@##$%%&*---*&=%$###@@@@@@@@@####$%&*=;;!!",
+"{!!^{{!!''';;;;;;;'',!{[::_}26biopppppolgd00a9fffiffddfilpttwwtttpooolopttttoic9554|}1|35dfcfffeffgilopwAEEEIMNOOOOPOOPOOPQQRQRRRRRQPONMHCAxtnied9999555543||||<</|5ccc533599cii93||59fffiotAEHEBAywtpppof3/~,-&%%%$#@+@##$%&&*;>--&&%%###@@@@@@@+@@####$%*=;;'!",
+"!{{!^^{!)''''';;'''''']^:11}26bbeiloooooifd0786ddgfffddiiopppptttppppopttttpofc95511<|13559cfilliloptwyBEKMNOPQQQQQRQQQQQQQQRRRSSRRQQPNMKECxsqib8967575555533333|<<|59fc53599ciof5|||5cfiffioyEEEEBywtpoli9</)>**%$$$#@@#$$&&**----=&%%$##@@@@++++@@@###$%&%=;;!",
+"!!{{{]^^!!!''''''''''!^^_162668abcfilllliic9776500dfifgillliopptttttpptppttplfc953|||3543559ilptttttwAAEIKNOPQQQQQQRRRRRRRQRRRRSSSRRQQOONIHBytpkb85633755555337553|<|3cc9559ccili93<|5cfili99itAEHIBAwtplic5|~,--%%$$$###$$&&**-;--=&%%&##@@@+++++++@@###$%&==;;",
+"'!!{{(^^^{!{{!)'''''^^^(_}2aaab888bffiiiiiic9725500cfiiiiifiiloppttwwwtppppoic9555333555559fiottwttwyBEHIKKNOPPPPOPPPPQQQQQQQRRRSSRRRQPONKIEAywplf9a4773334333335553||599559cfiiic3<<3ciilic59fowBEEAywtoic95<~,;*%$%%%%$$&$%%*----==%%%$#@@+++++++++@@#@#$%%=;;",
+";!!{{{({^^^^({{!!'!^^^^(_}}26cba8aa99cfjffffc9732357ciiiiifffiilpptwywtpptplf995555595999ffiiloptwwyAEHHEEEEIKMMMKMNOOPPQQQQQQRRSSRRQQQOONKHBAAwtoi995573||||33||3555359c95559fiif9|<3ciloif9559fpyBBAwtplc95|/~,>*%%***%&&$%%*=----=%%%$##++++++.++++@@#@#%&%=;",
+";;!!{{((({^^^[[[^^^{^{(_}}}28bb98aa868accffccc9743570ciifffffiiloppwwttttwpic953559999cfiiiffioptABBBBAywyyyAEHKKMKNOPPPQQRQQQRRSSRRQQQPONKKEAywytqlf9053<<_<<||||335359cc95359fiif9339ciolic54|39ltAAyytpi95|</~)>*%*->>*&%%***-->>==%%&#@++++....++++@##@#$&%=",
+"=;;!{{((_(((^^^^^[^_[(__}}2268ca698a6a6689cccfc976357ccccfffffiilptttpptwwpic95359cffiiifccciotwAAAywwwwtwyABEIMNOOPPQQQRRSSSRSSSSSSRRQQPOMMIBwwtttplc997|<<(//<<|||33359ffc5339ilif9559ciiif951<|9ityyywtpi93<//~)>**->>-*%%%***;>>;=%$$#++++.+.....+++@##@#$%=",
+"=;;'!{{(____(((__1111122}}}66866a6aa2}}}65999cc9d959999999cfffiilptpooptwwpic9559cfilifc99flpwyAywtppwyAAABEHIMNOPQQQQQQRSSSSSSSSSSSSSSRQPONKHAwpppoifd0554|_/(/~/<||33359fic535cilifc959cccfc9|<<|5fptywtplf93</~),>--;>>-****=*->>;=%#$#@++..+++....+++@#@@#$%",
+"%=;'!!{___}}__[___1122222266a22226662}[:[2355999cc99d95559ccffiioppollpttplifc9ccfiiic999ipwAytppppttyEHIIHEEEIKMOOPQQPQQRSSSSSSSSSSSSSSRQPONKHBwtpoifc9577553<<{//<||33|39iif959fiiffc99959cc93<</<3cottpplif93<~','>;-;>>>-;;***->>;%$#@@@...++++....++++@@#$&",
+"&%=;'!{___}}}}}}}}}2226a686a222222662}}:[:}225799cccd9955799cfilopplilpppliifffiillc535clwAAypllotwyyBEIIHEAAyBEKMNOPPPPQRRSSSSSSSSSSSSSRQQQPONKHEAyplifd5559553|<///<||||39iif999cfiiccc9559995|///<3clopoiiif9|~,>>>--;-->>>>*=*;>>;%$#@@+............+.++@@#$",
+"$&%=;'!(__}}}}2}}}}}}2268aa86622}22222}[:[[}}32399dff99555599cflppolilopliffffiopof5|3fpABBytooptyAAyAAyAABAAAEIMNOOPPPPPQQRSSSSSSSSRRRRRQQQQQQPPNKKEAwtlf95555953||<</|||||9flic99ciiffcc553555|<</<<|9iooliffc5<{,;>-->>>->,,>**->>;*$#@@@+..............+@@@#",
+"#$&=;>'!(}}}}2222222226866626662222}1}}}1::}}[}|300c9999955999fipolliiooiffffiiooi935cpAEAywtttwwyyytppptAEHIIMMNNNNNOPPPPQQRRSSSSSSRRQQQQQQQQQQQQPOOMIEypic53|33|33||<|3|||39ilfc9cfiiffc553553|<<<///|9iloifc995|~,>->>>>>>),,--->>-*&#@@+++..............+@+@",
+"@#$%=;'!^:}}22886666666666626662222}}}}:_:::__::|3795999c9999cfloliiilooiffifillf999coAEBwtwwwwwwwtoiiopAEKMNNNMKIIIKKNOOPPQQQRRRRRRRQQPPPPPPQQQQQQQPOOMIEwpic53|<<|33335955|39fifccfiliic93|333|<<//~~/|9iooi955993/),>,,'>,,),,--;>-*%#@@+++...............++@",
+"@@#$%=;']{_}}2866666666666}222222222}}::::<:}[::}|3335799999cciiiiifiioliiiiiiic559coAHEAttwwwttpliffotAHKMNNMMIHBEEEHKMNOPPPQQRRQQQQQPOONNNMNNOPPPPOOOOOMIEAwpi9|/<||3335993335cfccfiooli953|<|<//~~~~~/|9ioic535cc5<~)))),)!!)'>--;-=%#@+++.................++",
+"+@#$&*=;'^]_}}866666666666}}22222221}1[_::_:}}:_||11|439999cffiliiiffilliiilllf559ciwEHBwwwtttplfcciowBHIKKIHEHEBABAAEEIMNOPPQQQQQQQQQPNNMKKIHIKMMMKMKMOONNMKKIApc3<<<|||35555335cfccflopoic9|//~~~)))~//<39iif9335995|/~~{)){!)),>---*%$@++++.......... .. ...+",
+"++@#$&*;;'](_}266666666666}}222}22}}[:[::[[/}||:|}1<<||55999filliifffilifiloplc59fltAEAwtwtpptlc79itAHKHHEByyABABABAABEIKMOPPQQQQQQPPPONNMKIIHHHHIEBBABIMMMMNNNMEti93<///<<|333||5cfcfioppoic3/~)))))))/<<|39cfc93335995|<//({~{)),>;--%$#++++...... .  . .  ..+",
+"++@@#%*;;'!^(_}26666666666}}222}22}[::::]]]:<<||334_|||33559filliifcfiiifioppicciopAAyttptpttof50fpBIMKEEAwptwyyAACBABBHIKNOPQQQQPPOOOMMMKKIIHHEEHEAAwtwABBEIMNNMHyoc5|////<<||||59cfffloppoi93/!,,)),,)<<<<|59c953||5cc93|<</{~{)),'>-*$#++++......     . . ...",
+".+@@@$%*;;'^^(}}2666666662}}222}}2}[::^^]]]::::}363||||1|355cilliifffiiiilopiccipwAEytppppptpi99itBHKMKHAwpoppwwyAEEBEBEHHKNOPPQOOOONKKIIHEEBBCBAEBAAwttppptwBHKKIEwpi93|///<<|3359ffffiloppoi9|/))))),,)/(//<35995335cffc95|</{{{))',-*$$@+++..... .    .     .",
+"..+@@#$&*;;'^^_}}266666662}}222}22}[[::^^]::_<:<3331|311|3379iiliifffllilooofcclwBHEwppoloppiccitEHHKKHAwpoooutwyyECBEBEGCILMOOPOONNNKIHBByAwwwwwwwwwwwtpllllotAEHHBytoic5|<<<|||35fiiffiiopplf5|/~)))),>,)~~~/<|595559fiifc93</{{)))),-%$@@++....          .  .",
+"..++#@&%&=;',^{_}}26666a62}}222222}[[::^:::[<:::||1|}33|35359fiiifffioooppplfcitBHIBtpollpoid9kwEEEEEAwppoooptwwwwyABHEECCFIKNOPPONMKKIHBAxxtqpoolooooptpolliiiotABEEAywpoi93|<|||59iiliiiilllic5|<~))),>-',))))~<359999fllif93</~)''),>*%@@++...               ",
+" ..+@##&%=;''!^(_[}66666666226222a642}}}<<::_::}|1_<:|1|3557cfiiffffioopptplffoAHIHypollppi95fpEHBywtpolproppwywttuzEHIECCFFKNOOOONMHIIEBxxppmlhjffffgfloomlliffiotwAABAAwtpf53||350ciopifcfiiiic5|</~),>---,,),,)/|59555fioif93</~),),,-*#@++...               ",
+"....+###&%*;''^](_}26666666889886067222}}::::]]:}<(/:_<||3559fffccccioopptpiioyIKKEtoliotpf59lAIBytploloprpwyytpnquzEEHHEEFIKNOONNMIGEHEEyzsqmleebbc9909gfiiliiffiilopwABBAyplf9597559iolc99fiillf5|</~)>>-;->,,,,)~|55559fillf95_/!)),>>-$#++...             ..",
+" ....+#@#%=*;''^^_}}}6a6a99899889b99652|}1:_:]:<<_(//<_|||359fffcc99flopppliltEMMKApifipti95iwHIAtpopptwwwwAzwpnnquAEAEEJHIFKNNOMMMIHEEEAAAtqqlgeba87976809cgiifffiffilpwBEBAtplic95439cfc99cfioolc5|</~,>>>---,,,,)/|3559cfiolic5<{~),>--*$@+....              ",
+"  ...+@##&%=;;''^(_[26a688aa99cccfg99522|||<:<:||<__/__|<||59cfc9999floppoiioAKNMEwlfclto939oAIEwpppwBBBAABAwppnquwEBAABGKKKKLNMKIHHHHBBAAwtpooiica8774263779ccccfcffccfltAABAwtof9533|599ccciiopoi95|</),>>>>>',)),)/|399cfioooic5|<~,>--*%$@+++...            ",
+"  ..++@##$&%*;;'^^{[}}6689aaabbcfif9956333|||||4|||<|_<|<||79ccc9959flopoiilpEMNIApiffpti53fpAHEwppwEIIEBAytuprrtxAEACzCCKMMNMMKKICEHHBByAwwqroolfda573}24347759999cc989ciowyAAwplf957||359ciiloooic93||/),>>,>>>>,)))/<59cilooolic93<),>-**%$@++..             ",
+"  ..+@+@##$%=*;',^{_[26688a98999cif995532533}||||<|<1__|||359ccc9959flopoiiowHMIBtliflwwf90ltwBEAttAEEEAywtpqtttwyABAAAzBFLMNNKFFECBEEEAyywtupoooigca74}}1|14335355999999dgltwyAwpoif973359cffilooic9533<~!,>,,>-->,))~/|9cflllliiif9|/'>-*%%%#@+..             ",
+"  ...++#@##&%*;;,!](}}2aaa66809a9fic9966333}:1<|1:<___||||3599999559flopliotBIIBwoffipAtf9foptABAywwywttttptpttwuuAAEBCCGHKMOOMKIBCCCBEAAwwuupppplifc77}}211114|33369909999ciptyAywtoof95599999filif9533|</~,,,,>-->)///<39ciiiiifffc5<),>*%$$##@+..            ",
+"   ...++##$$&=-;'!^[_[266622aa86dcec9965334|1_<|}:<___|<||3399995559flopllpAEIEypifflwApcclooptyywtpojnoptttpspuuxyAEEGEIKMOOOONKCCBEBEBEAywwwtppoiie97322|1||1|||||7589999cfiotyAAAwtpic55555359ffc53||||<<~~),>>->)/<||359fiiffcccc9|<~,>%$#$###+...          ",
+"    ..+@@$%%=-;','^^(_}6662269989bb900077574|||||<|1__|<||1399995559fopplowBIIEwofcfowwlcflolloopligceiopptqttwxuAAEHIJIKMMOOOOOMIJEEEHEIHEAAAwwtpollc9722|1|11<||_<|2695099cfiopyABAytof953333|39c953||||||</),>>--,~/|35999cfcc9955553<~,-*%$#$$$#@@..        ",
+"   ..+@#$&&**=;-;>'!{[[26622a8888dd0076777734333341|<||<|14599995555flooiowEIIEwl99fpwti9fiiiififcc9cellopqqpzyzBBEEEHHKMMNOONOONMKKKKIKMMKIEEBAwtppplic96733|11<|_<<|||23350ccilpwyAAwpic53|33|||5553|<<<|||</),>->,)~<399999c99953||555|/,>*%$$$%%$@+.        ",
+" ..++@@###$&%=*-;;,!!([[226aa88d00d077424633333574||||||||4599955339flolipyEHHBti99fpwoc5cff999ccdccffijoomptAAABBEBCCILLMNOONNOOOOONMKKMMNMIEBAypppppolie0955|1|||||<<:<<|379dggilpwAAwpi933353|<|33||<//<||||/)>>>,)~<|59c99c99553||3595|/,>-%$####@+.        ",
+"....+++@@+##$%*=*;'!!([[286660dd000a666224233355531|3||3||3999975359flolipAEEBAoc59fpwoc59c03439cddchfiloqqpxwyBAEEGCEFFKNNNONOONOONKIHHIIMNKHAAypolloollfe9090334|||<<_<::|25ciiifiptyAytlc55995|<|||<<~~~<|33|/),>>,)/<|3599c995553|||555|/)-%$#@@@@+..     ..",
+".......+++@##$&*-;>'!([[286000ddbbca6622}}}43435311|||3|||3999995359flolltABAyti959itwl939c931409999cfiioqrpwwBEHEEHIKKMNOOOPOOONNNMHEAAABHKMKEBAwpoiliiifc999099953||<|<<|<}39fifffiptyAAyof9ccc9|</<</~))~/|33|/),,,)~<|||359955533|<<||33|/,*%$#@@@@@++++....",
+"    ....++@@##&%-;;'!{[[28a0a0dccceba60a6744444331||||||||3999995555flplltAAwtof539lwwi937905337675dfiimmopuxyEEIIKKMNNOOOPPPPONMMMMIHAyzyAEKMMKIEAtooilifc955709995533|||<|||59cc99cfipwAAAtlfcff5<~~//~),,)/|33|/~),,)/<||13675334||<<(//<|3<)-*%$$$$$$#@+..  ",
+"     ...++@@##&%&;;'!{[[26000abbchkgd00a64441114||||<||<||3599955335flployAytplc559oywi533553|1|246cilkjmmouxBEIIKKNNNNOOPPPPNMKIIIKKKEEBABEHMNNNMKEytppoiic9577790c99953|}}||35553755cfotyAAwoiiic|/~~{~,>>,,{<|||</~)!~/||466373|1|<<<//))<|33/)>-*%$$##@+.   ",
+"     ...+++@##$%&*;'^{[[260088bbggkkgd07744411355||<|||_<|3599995335flolpBEytoi955coAwf3|3|||<||279fiigikopxAEHIIHIKMMOOPPPONKIHCGEIIKIHHEEHIKMOOOONIBywttolfc909999cccc963||2|433||||359ipwABAwpoi9|{]~)'>,>>,~/|3||<//~/<|5632|}|1|<<|<<~)~<355|~>*%$#++++..  ",
+"     ....++@##$&&*;']{([28088bbkggkkgd07a46662553|||||<<_|3599995333clolwEEwpif535coAtc||31_<13769fffffjmpwAEBEBBEHIKNOOPPOONIFECGEHEIHIHEEEIIMOPPPPOMHEAwwtpliilifcccffcc86532||4|<_<<||3dotABBAtoic|~!)),,,,>,)/|33||</(_|5962|<333333||<~)))/|3|~>%$#@+..... ",
+".    ....++@##$&%*;;!{^[280b8ggkgggklifd98676265334||||_<|3599995333clllyIEwlfc5|3coyt9||3|</_4769fhbejmtwAyAAzzAEFIMNOOPOOONKKIHIIIEEEHHEEEIKNOQQQQQPONKEBAwtppttplifgffc999a5||||1_/(/<<|9ftAEBytoi9|/~))),,>--'/|3331|<||39c97|555553|<<~,>->)<||~>%$#@+.....",
+"........+++@##$&%==;!!([28abghggggmlligfd866533952||||1_||3599995333ciloyIEwlc9||3coyp93334</_|429cfjilpwAwywvzzDEHKMNPPPPPOONNNMMKIEHEIMKKKMMNOPQQQQQQPPONMIAywyywtpliifc999985|1||_(/<<|<15fpyAAwtpi9|/~~),,>-=;,/|35533559cgf953333||<//~,>-%*,~||/,*$#++....",
+".++.....+++@##$&%==;!!([280hhggglljmliffd9668a6952||||1|||35999953339ioowEEwic9||5cpyp93334|<<|769fillpxwwutwvxzDFIMNPPPPPOOONOONKIIHIMNOOOOONNNOPQQQQQQPPPPPNIHEBywtpollf99999553|1|_/_<|3|359ipwywtpic|/~~),>;-=-)<39c9c99cfffc72|<<<///~{)>;*%%-)/|<)-%#@+...",
+"..+++...+++@###&%*=;'!(:2a0ghhgllllmliffcd95607055|4|1||||3599c953339ioowBBtic9||5cpwo931|4555099filopttuqsrvxzDHILNPPPOOOONONOOKIIIKMNNOPPPONMKKMNOOOOPOPPQPPPOMKEBAtpoolif97565533|<<<<<|353|5citwwtpl93<//),>>>>,/|59ccccc9c99931</~~~~~~),>>-%%*>~<|/,*%#@+.",
+"+..++++++++@###&%*=;!!([280gghilllplmifdcd997868554|1|||||3599c953|39ioptAApfc5|39ftwo93||49filliiiottuommrtvxCFILMOPOOONOONOOONKKKNNNONOOOONMIEEEEEHHHIKMMOOPPPPONMIEwpppoic85555753|1<<<|5333|49iptwwtlc5|<~,,,>>>)~|359cc9999053|<_())!~~~),>>-*%%*,/||~>*$@+",
+"@+..+@##@+@####&%*;;!!(:2abkgjjjopqlmkfcd90870600541||||||35999953339ioopywoc95||5fpwoc53|4cioppoioptpmhmqrvxBEFKKNOOOONNOONONNMKMOPPOOOOONMKEAywwwwAAAABBEEHIKNONNOONIEywtoic9975355573|||33|33435cotwwtof9|/,>>>>->)~<359dcc999572_(/),',,!)),,>>-%$%-~<|<)-%#",
+"##@+@@#########&&*;;!!([28bknjjnrrrmlifcb90990850541||3|3|35999953|39foopwwi953||5fpwofc535copppoopwpmjmmrswzEHILKNOOOOOOOOOONMMNOPQPPPPONIHEAwwpppttAAAAAAABABEIIIKNNNMKEAtpiiif955559053|||||333339lpttoif5<)>>>>>-')/||7ccfcc99721<(~]!'>,')),,,>-%$$%>/||/>%",
+"-%$##@@@##$$$#$&&*;'!{[[26bknmjmrrrmllggc9009d09055533333|35999953335flopwti953<|5ftypic9|3clppootwpnkjmrpxzBHHLKNOOOOOOOOOOOMMNOPQPPPQPNKHBAAAwpooptyEHEEEEBBBBEHEEEHIKMMKEAtoolf995590953|||1437|||9ilpoli93/,>>>>;;,):<359iifcc964|</~)''>,',)),,>-*%$%-~|3|)",
+"~,*%$##@@#$%%$&%&;;'!{[[2abknlrmqrqmllkgc9089dddd055553333359ccc53335floptti553<<3ftytif9330lpplpwtlhghmrwyzFEILMNOOOOOOPOOOOMMOPQPPPQPOMIEAAABAwptttyEIKKKIIHHHIKKEBAAEHIKKIEytplf953335555||11273||35ciooif5|/)'>>';'']_|30fiigc95241<~!)',>;'',),,>--%$$*,/||",
+"|<~>*%%$$#$&%%=*=;;'!{[}20bkorqrqrrrlmifgc988cgfcd59555553559fff95559floptwl553/<3ftAwoif530lppotwpfggmmszzBFEIKNOOOOOOPPOOOONOPQQPPQQPOKHEABBEBAywwywAEKMMNMMKMNOONKEAAAyABHIEBwpic953||35553345993||35ciiif95|/)>;',,!]/|26bcfiff9631|</))',>;>,,,,,,>>=%$%-)/",
+"/||<~>-*%&&$%%*->;''!{[}60bkosrquusromliifc9cdggigc999955599ciiic9559foptwyo993/<3ftAytpi95cmoopwpihgemmtAzDEIIMNOPOOPPPPPPOOOOQQPPQQPNMIEEBBAEEEAywyyAEKNOPPPOOOPQQPNIBytpppwBEBytlf953|1|35555dfg9933359fifc95|/),,))]!(}269ccecfc9534|_(~!,>>>;>'>,,,,,>-**-,",
+">)<||/)>-=&%%=*;;''!^_[}a0bhutsuussuooolifd9dddfkigc99999599fiilic999fptwABpcc5||5iwAAAwofciooowtlhhgemqwzzBCHIMNPPPPPPPQPPOOOPQQPPQPNKHEABBAACEEAyyAAEKOPPPPPPOOOPQQQPMEypliiowABAtoic931||359ccfiic953339cfc953|/!))~]{([}0accbcc999053|<<~!',>>>--;''!),,>-**",
+";>)/|||(!'>-*=-;>'){]<}a6dkovtuuuusuroolifcccccdgiicc9995999filiic999fptwBEtic5||5iyBBBBwliopptwplehgjmqwyzDCHILOPPPPPPPQPPOOPQQPOOPOKHBEAzzwyAAyyABEHKNOOPPOONMMMNOQQQPNKBtlffiotyAwplf931||359dfiif9993||5ccc93||</~]^(_:}abcccb85090973|<//{!,,>>;;;-',,),,;;",
+"'',,~<1|</),'>>>,'!]_126adknvtxuuusqqqoiifgc900ddiifc9955559cfiif9959clptAEtic5||5iwByAByoopptwwolfegjqwwyzBEJIMOPPPPPPPQPPOPPQQPOONKHBBzwxptwxwwAEHKMNMMMMKIIHHIIIMNPPPPONKApiccfltyywoic73|359cgiliic953|35ccc5|||||:<_}}}6bbebc8a5269977||</{!,,,>-=*;->,)))'",
+"~~),,)/<|||(!)),'!!^_228bbknruuuuuuqpqpokgga90009iifc95555559cfff95359iptyBti95|<3ftytpppopppwwpolhhknuywzzDEJKMOPPPPPQPPPPOPQQPONMIHBBywuurpttutyEKNOMIIKIHEBBEEEEHMOPPPPOONIyoiccfltwwtlf055559dillifcc93|55ccc53333|1|21668bheca97424375541<<({),>>-==%*->,)!",
+"~~~~))~/<|3|<//~{{(]:226bhknvuvutqqqrmmlkfha80009cffc85535339cccc53339fotwBwi95</|cpwpliioolotpolihjmpwywyzDEIMNOOPPPPQPPPPOPQQPOMIHBEEzxuonpuupotAKOOMIKMIEBBBEEBABIOPQQPPOOOMEwpiccfowwwoic99559gioif99953|59cc9533537222a6dbbhba874111355553|<</~),--*=%%%;''",
+",{{(((__1||||||<__[[}2268ekoruuuuqqqomolkfd900099cccc955353359ccc53335cltAEwi93/~<9lpplillfiopoiiifjmpwwzyADEIMOOOOPPPPPPOPOQQQPNKIHEHBwurnnmuqmjpwHNNNMNNIBBEEEEEEBBIOPQQPPPOONMHyoffflpwwtlfc9990cilf555553359cfc955555669bddghbb8a7}}<<|45555||</~)>;=*=%&&=;",
+"->)~{(<|55||<|34||}|4268dbhnvuuttuqqqnlnkhdda0999ccc9995353359ccc93335citBHyi93/~<9iooooofcilifggeeknrtwwyyEEINOPOOPPPPPPPOPPQPOMKHEHEAxprnnmpmkiopAKNMMNMHAABHHHHEBABEKOPONOOOOOONHwoifiotwtoicc990ciid3|355335cffc909c99dchgggghb8877}2__<|35554|<((),--==&&&%",
+"*=>,)~/<|7|<<|14376786bbhhknquvtvvqqqqmmmkgd09b9cccc8995353359ccc953359itEHAi95/~<5floooicflifddfchkruqtwxzDEINOOOOOPPPOOPOPQQOOMIEHHHApprnkmqmhkjltEKKKKIByyAEHIHEAyyyBHKKIIMNOOOONMEtlffipttpifc9599fc9|<355559cfcfc9cccffkllkkeeb985321_<__|7555||_~)'>;==&&%",
+"*=>;','{/<<(_<|436509cffgjmnrvvtvwwtuqmmmkfdccbccccc9599553359ccc953359itEHAoc5<~/3fiopliiloicabbbhknqqptxzDILNNOOOOPPOOPOPPQPOONIIKKHtppnkkmqmkkjiotBHKKHBAyyAEHIEBAwwwAEEEBEHKMNNNONHwoicflppoifc955cfc3<<|3595cfiiiiffcfimppnmmffb953}}1_<(__|333|_</~)'-=&%%",
+"=-;>,,,,)~(/__|36709cfgiknnstssuwvvvttqmmmiifcbbcccc9999995599cffc9555citEHEpf5<//3cipttpttoiba8bbjmommpsuyDJIMNONNOPPOOOOOPQPOPNKMNNEtpqlkkkmqmkeihlpwEIIHEBBBEHIIEBAwwyBEAywyBHIKMNONIApf9dioplifc90cgf92_:|5999fillliiiiimopppmljfc954}}1<//(<_<|||1</~),;=**",
+";>>''',,'!{((<|589cfcfiloqttxtutvvwvwwuppoliifbcbccc9999cd999cfiiic999fltEKIwi9|<<5fipwABAtlcb88bcimlmprsuDDJIMMONNOOONONOOPQOOPNMMOMEvqqmkkkmmmmhefhiopyAAyyyAAEHIIEAwtwyAytpptwABEINNMIAof09cilliffc9cfc92||359ccilllliiiiloopppqiif9953}}<__/({(/(<_1<</~),--",
+"',,)!{!!!!!{/_125ddfeiimopswxxwwxyvtvwtttpplifcccbccccffgfc9ccillif959cipEKIwl93<<5cfitAEApifcbhhjomjmpsvtDBHKMMNNNNONNNNMNOPONOOMMNMEwtpmnkejmpmmhbheiioppolooopwBEBAwttttwtollooptwEIKKIypg009flollifcfic953|35ccfilloolommnqopppoiibb953}[:((({))))~_||<</))!",
+"/~)){~{{{)]{~:[[70cchilmopwyyyxyyywtswwtttpnifcc9cbcccccfddcccilolf9559ipEMIwi5|//309cfptpicc99bflpommquuxDEHKMMNNNOONNMMMNOOMMOONNMIAwwtolnijjqqmjbbbhehloiec9dciptwtttpppwwtoiiiiiotwBIIEypi959foppoiiilic95|||59cfioopoomnqqroppqolec9553}::(({{),,,'{_||</((",
+"<(/_/_((/{([[[:13669fhloptwyyyyAAAywsvwtttpolieeccbbc999dcdcccfiloic999ioEMIAl5<~~|95559dc89898ccnoonmrsuDDHHKMMNNNONMNMKKNNNKINPPNKEzwwtponljjnuuonebbehfiif9969fiopppoooopwytoiifcfilpwABBAtld99ipttpolllf9953|359cilppppqpuqmqmpqnlngd99531[[{!!',>;>''{<<11<",
+"1|44322}[[[[:_12|226bekopuwyyyyABBAyvwywtttrliffccccc8990999999fiifc99cioBMMEp9</~|753557957a8bbbmmimrsvtDEHIKMNNNNONNKMKKNNNKHKPPNKEwpttpnnllloutwplhjijejif98cfilpttpoliiipwwtoiiffffioptwAytofcfltwwwqolif9956269cfoppttppuuqrqopmollifc9741[:])''>;;->;'{_<|",
+"|35599652}[1142a6268abhiottwzyyyAABAyyAywwwpolifeccfcc990509999cffc9559ciyKMIwc|</|55599995688bbjlomknvuxDBGIKMNNNNONNKMIKKNOKHIOONMEtpppoinlnnpttwttponihflliiliiiloppoiiffiptwtoliif9cfiimtyAwpliipwyytpolifcc98259jilotttpuuuqmnmnmnlniieb53_[])'''-;;-->>,~<",
+"~|49cccdd0755766aa8abhhjmpuxxxxwyAAAAABBAAywpoiifffffcc90999999ccfc93335ftHMIwc3|<|9959fgb968bbcioomkoruyDGGIKMNNNNNMMKKIIKNOKCEMOONHtoioonilnoptuuptttpollpttpoffccfiolfcccfiotwtpooic99cffmtyAwtpoppwAytpooifcccc9cfjioptwtuuuqqqnnmmjiliifc0|[:!'';;------->,",
+"'!_49ciifdefc898abbbbgehmptxwxxxxyAAAABEEBBAwpolieffiffcc909999cffc95335coBKIyf|</_5550dgccb9bbelolmosvtyBEHIKMNNNONMKKIIEINOMBBINONHpjkloliinonmmmqrtwwwttwyytlc9909cfif9999ciptttppoic9999flpwyAAwtppwwyuopoifciifccfloptwzxyuuqqnonkjjiliifc5}:(!'';;*-=-==--",
+";'!/20filiiiiffcffcegjemqrutuuuuuwwyyzAEEEEEAwpliifffffcc99c9ccfiifc9555clAKIAi3//_33||5b9c9ffejmppmpsvwABGIKKMNOOOMMILIHBHMNMBwAHMKApjjloliionikkmmjoopppwtttpic97755cffc99999flptppolifcc9dfipyBEEytppwwxtoomiioolecfilqpwAyAwuuuqnokmjejfiffc52[{!',;;**-**-;",
+";'!^[|9giioollolinikjjmnpususuuvuuwwywyAAAAAAwtplliiiifgd9cc99cciifc9555clAKKBo5|<<73||36988bcikmpqtptuAAEEIKKNOOOOMMJKFEzGKMKEwtABBwpjiioolnlojkkkkkjijiloolliig973359fiifcc959ciopooollifc9cflwAEEBwtttwyttopoooppoiijloptAABAwuuuunnmjjhjcchd972}{~'';;;;;-;;",
+";''^(16acilppppooqoolqqppsuuuuussuwwwywyAAyAAwttpolllliifcccccffiiic9555clAKKEp9|||5553599899bikouptwxwDEEIKKMOOOONMMJLHFzAHKKHyttwtpolgfioonlpqmmkkhhbhcfgcccfiif95359iooifff9959ippolllolfccclptyABAAwtttwttpppopollmmloptyABAywuuuoommjehfc999573}/{!'';;==;;",
+";'^^_22abchilrtttpppuuwtwwwxuuuuuuxwxwxwyyyyywtpplllllliififffffilifc555clAMMIwc3|15990ccdcecjimppputuABHEIKMNNOOONNMJHFHzAAKMMEtoppppoieekllloptpqmmjh8ab07659foic059fippliffc999fopoiiiloofdfioptwyBEBytppwttpppoomppmmopwwyBBAyuuuuprmjjhe988857321_/)'';;;;;",
+";!!{_268aehfkmquwwwwxwwAyzzwxxxuuuutuwwwwyywywtpoliiillliiiifffiillic999ciyKNKyf3319cfgffiefhjorptwwwxABEHIKNNOOOOONMJHFFzyyHKNKApilopoibbeiljnottwtqnjeh95}}||9iic559fiillifc99559iooiffiloliilloptwEHHBwpppttupppoqqpppppwwwBBBAyuuurpmmjeee98aa3342||({!,';';",
+"!!!{}}28bggkknopswzzAAyAAzAyxxxuuuuquuuutwwwwwtpoliiiiiiififffffiiif95559fpHMKAi5339ciiiiifefkopwtwyzABEGIKMNNNOOOONMKHHECywAINOIynilrojhhheilnjmpwwwtplif7}<:<|9fc559cffilifc995559illfcfiloppoloptAEEEEAwutttttpppptttpruwwAAEBBAyuuuppmmihffaa6a|1|[|}[_{!'''",
+"^!{_}}88gjkjjnqqruuyABBBCCzAxwuuuuqqquuqquutwwtpoliiiiiigfffcfccfiif953359lBMKAi3|15diokifchekppwwwyyBEHIKKNNNOOPOONMKHHECAwxEMPOIwollolifhbeinjmmrsttwtpl82_(]_|09555999ciliicc9955ciolifcflpwpooptABEEEBAwtpttuwwttttttuuwxAAEEBBAuuuurrmmjhff8622|1<__:}}:[^^",
+"___}}28bgjmmmmqmttttyAAAEBAAzwxttuuqqqqqquuutttpoiifffigffffccc9cfff95||39iAKIyi3||39iliiefhgkrttwyAADEHIKNNOOOPPOONMKHHEGBwuAIOQPKypololifeehoommoprotttoc6__(_<455735335cillicc9959flppicciptwpoptyABBBBAAwtpttwxxwttxwuxwxAABEEBAAuuuurrmmiffb86222|1__[:[:[[",
+"436268abgmmmmpspppwwwxzABzAAywwwtttpqqqqqruuuttpoiifffiigfgfcccc9cfc953|39iwIIyi5||49gfkgcbbgjotwwyABDGHIKNNOOOPPOONNKHHECByuxAKOQPMBtoooolijinpqmnkjiilllf93|:_<159533|||5cillifc959ciptoifilpttpptwyBEEBBAAwttwwwwwwwwutxxAAACCEEBAAuuuprrmmhhbc8a2222____<1||",
+"a889cbhghmsqrprvttuxxxyDAyxzyxxwtttuqqppqqptuttpojifffiiiiffffccccff953||9itEIAl53479cgfcbabgiqttwyABEHKKKNNOOOPPPOONKIFECEyqqpyHNPPNHwpppproopuutmkjfbefdcd531|3339953|<<|5ciiifcc99ciptpiiiliottttwyAEEEEEEAywwywywwywttuxAAAEBBEEAAAuuuponmkjbcbbaa2}}}}__114",
+"2a89ehkkjmpxvtvvtuvuyDADAwuutuuuuttpppquppputtttpoliiikkliiiifffffffc933|5fpBIBp95509ccfdcahjjpttwxABHHIIKNNOOOPPPONNMIFGEEAuqnqtAKNOOMHBywtptttwwumjhaad099953353359953<<<|3cfffcccccipttpppoikopwwwwAEEBBEHEBAAyAByyyyxuuAAAEEECCEEAAAxuuurokkeebaa86222}}}}}2",
+"228bhimoqquvxxxxuwxyDDDDyxtuuqqqqqqqpppttqptuwwwtpoliiillliiifffccffc93||5coAEBtc579ccfbbhhkjptywwzBEHGIIKNNNOOPPOONNMKFHCEBwuomlotAHIKMKKHBywttutuoehaa5657555505555955|_<<|5ccccccccipwyyywoliiotyyAAEEEEEIHEEBBABEEAAAAAABBEEEGCBEEAAAxuuuonkkkeha8882222}}}}",
+"6aa8bknqqxAzzAzDDDDDDAADvwuqqqqqqmmmqpqtttptwwwwwpoliiiilliiiffccccfc95||39lwBEtc7379c900bhkjqtyzyAEEIHKKKNNNOOOPONMKKKFECBBywsqlilopwAEIKKIHEAzwtpoifa642a73555995345955|__<35ccc9999fowAEEAtollmpwzAABBBBEHIHHEEEBEEEEEBAABHHHHHGGEEEAAAAuuuonnkkkeha8a88662}6",
+"668agjjquwAzFEFBDDAAACAywwuqqqqqnnmmmomqpppptwwwwtpolliiliiiifffcccfc954139iwBEwf7509db8bagjmqwwwxEFEIIMKMNOOOOOOONKKKIHFzAyxxtpoollllopwyABEHHEBywpnfa73}4333355553355553<__|59cc9555cipyEHEwpoolptABBAEEEEHIIIIHEHEEEEEEEBBHHHHHJGGEEEEAAAuuuqnnnkkkebb8a66a66",
+"88ddeemmsvwzFHHEEHGGCCDywvtqqqqqmmnnmkkkmolopttwywpolliillliliifccccfc54|39ipAEyl550ddb8bbgjnpwywzDEEIIMMNOOOOOOOONKLKIHDzvwwxtqqollliillooptwACEEAywoi932||143555553559531<_|39cc95559cipAIHAwtppttAEEEEHHHHKKKKKIIIIEEEEEEHHHHIIHJGEEEEEAAyyuuqqnnljgggbbbb888",
+"dddeemhrrvxzEGIIJIHEECBAywvuqqmmmmhkkkkgkkkkmptwwwtpolllllollkiffcccfc95|35fpwBAo968cfcbbhgjmtwyxyAEEHIMMNOOOOONOOMKKIIFFzvvtqpmmoinlilllliinlqutwAAAwpld6||}|||33599559953<__159cc95599ciwEHBAwtptyAEHIKKKIIKKMKKKIIIIIIIIHHEHHIIIIHGEEEEEByyyyqqqqqjjjhggddddd",
+"eeemmmrrsxxDDJJILKIIHEEAAywtqqmmhmkkkggggkkgiopttwtppolloooolliiffccff95345cowBApc70ffhfekjmmtAyxyBEEHHKKMOOOOONNOMKHIHFFzzxtqnlmijiiiiilllijmmjnloppttplf93|<|||359c999995||__|5cfc99909ipBBAAAwwwyBEHIKMMKMKKKKKKKIIIIIIHHEEEHIIIKKIHGGGEBBCCywwwqqqqmmjheehee",
+"mmmmmrrvvxDDEJIKKIKIIEGAAAvvqrmmhkkkgggggggggiopptppoollooooolliiffcffc9335cotAAtf9ciffejjmmmtAzxAEEEHHKKMNOOOMMNMMIHFHFFCzytqqjgeebbceffiinnnjihhfifillooif53|<||55cffcfc94||<|49cfffc99foyAwAyywwAABEHIKMKKKKKIKIKKIIIIIHEEEGEHJIKKKKIHEGGGCAAAxwuttmmmmmmmmmm",
+"mmmsrrvvxzABJHKKKKKIIECBAywwtpqmmkkkgggdggggfilppppoomlllooooolliifffff9735cotABwicciiiiillmttAzyDFHEHHKKMNOOOMMMMMIFFEFEAzytqmjggb8889abbhijmifgef9b880ciiiic5|||359ffiiif53||||5cfiifccfowytwyywwAADEEHKKKKKKKIIIIIIIHHHHHEGGEGHKKKMKKKIHGGCCCAAAyvsuusssmmmmm",
+"ssssvvvxzDDEJIKMNMKIHHCCyvvwsuprmmlkggggdddfffloppppolkillopopoliffffiid055cotAEwoffiiijmnrqtyzAADEHHIJKKMMNOMMMKMKIFEFEECzyssmjggbba8888bhfkeebbbaaa854239ciiic53||59cilolc53||170ciifdciowwwtwywyyAAEEHKKKKKKKIIKIIIIHHHIIJGGGGHIKKMMMKKFKHEECCzzzzvvvvsssssss",
+"vvvvvvxzDFEIJKMMNMKIHEAzzwvtsppppoliifgddddfffjooppplmjklmoppooliigfffic955cotAEypiflolimnqqtAzzABEHKIHKKMMOONMKKMMKFDACCCzwvsmeedgbbb88bbbghebba68a6a4|}||35cfiic7|135ciopoc5|1||5cilidciowywttyAAyAABEHKKKMMMMKKIKKIIHHHIIIHEEHIKKMMMMKLKKIIIIEBBzzzzzwxwvvvvv",
+"vvvzzxzDFHIJKMMNNMMIHEBzzxtsspppppolkiffcddfggilopppomjmlmpppppolificfic9559otyEBtlglpomnmmsuACzDDFIKKIIKKMONNMILKKKHAzzCCzzvsmmeggbbbbeeehkeebaa66aaa1[}<<}|35cilf9|||5cipwpc5|1339fllifiowwtttwABBBAAEEIKKKMMNNKKIKKIHHHHIIIJHHIKKMMNMMMMMKKKKIFFEECzzzzzzzzvv",
+"zzzzzDDFHHJJMMMNNMMKHEEzzwwsrrprppoliiifcccgiiilopppolmimoopppppolfffiigd08bipyEEwojoppmmqqsyACzEEEIMKJIKKMNNMKJHIMKHCzzzzzzytmmjjggbehehkkkjehca866a31:}<<_<<<39fii93||5coyAo933355cllliiowwwttwABEBBEGEHHIKMOONMKHIIIKIIIIKKIIIKKKMMMOOONNMMKKKFFHEFDDEFCCzzzz",
+"FDDDDFFHHLIMMMNMMMMKHEEzzzussrrrponllgfffccgllijoopppomkmopppppppliiffifc86aipyBEyplotppoqutABCBEFFIMKIIKKMMNMJJHIKKHCzzvvyzAttqqjgkkkkkkkmnnjjifb98a73}1<(((_/<|79ffc9335fpAwl93350dioollpwywtwyABEEBBEEEHJKNOONMKIIIKMMKKKKKKMKKKMLMMOOONNNNNMMMIIHFFEFFFFFDDF",
+"FFFFFHHLLLMMMNMKKIKIHHEAzztsssrnooolijifcccdiiiilopppommoqpptpppooiiggffca9dfpwABApljpqmqmutzBCEEEHIMMKKMMMNMMJIHFKKIGzwxwvvvvuqqjjkkmmmmqqoonollijfcd76|<:_(~/<<<359fc9559itAwi0559dilpoopyAwxtwyBEEEBCCEEGIMNNNKKIIIIKMMMMMMMMKKKMLMOOOOOONNNMMLMLHHHHFIIIIFFF",
+"IHHHHKLLLMMNMMMKKIIIHHEBzzxtssroonoliifecc0dfgfiiooptpomoopptptppooiikkig99cfpwAEAwnlqpoqqpwzCADFFHIMMKKMMMMMKJEFEHIJEAyvvwvvvssmqjnmmptttwtpppliiififc953||<///(/_<35cfc99fowAti970dfiopptyAAywwAAEIHEGEGEGIIKKMMKKIIIKMMMMMMMMMKMMMMNOOPPOOOOOOMMLLLHHIIILKLHI",
+"LLLLLLKMNMNNMMMKKIIIHHEBAzxsssrponooijfc9900dffdfiopppoooppptwwtpponkiiigcdbjrwAEBwpnqpumprtzzADEFEKKKIIKKMMMJJEEEEIIEBzvvvvvvstqurrtwwwyttponfebcc0dd9c99053|<<//(<<|9cfc99fpyAti99dgilptwABAAyyABEIIKHCGHHHJHIIKIIIIIIMNNNMMNNNMMMMMNOOPPPOOOOOOLMMLLKKLLLLLLL",
+"MLLLMMNNMNNNMMMKKIIIHHEBCxxxtsrroooliigc90000cdddjlopppolqpuwwwttpollilllhebeowAEEypmpxuursuAADDDFEIKMIIKKLMKJIDDBCEHHEBzAvvyAAyuwywwwwwtqlief866643||233755553|<////<|5cifccitBBticciiipwAEEAAABBEHIKKIIIIHEGEEHIIHIIIFKMNNNNNNNMMMMNNNOPOPPPOOONNMLLLLLMLLLNNM",
+"ONNNNNNONNNMMMLIIIHHGHECCAxxupprrnlnigcc0008999ddciloppmlpppwwwwttpollmmlhebeowBEEAuopxuurvxzBDDEEGJKKKKKKKIJIEDDACEEHHEECAACBEBEABAwtsppmiba86222}1_[[(]__||3553|//~/<|5ciifflyEBpifiiiowAEEBAEEEHIKMMKKKIGGCCGEJJIIIIKKMNNNNNNNNMMMNNNOOOPPQPOOONNONMLMMLMNNNO",
+"OOOOOOONOONNMKKKIIHHGEEBBAxxpsprnnliigcc0070999ddcfilooomoqpwwywwtppmlmllihhjpwAEEEuruuwtwtxAEBDEEIIKMKKLKKIIJFDDAzAEEHHEBEEEHIIHBAyxxpomkebba6222}__^^{{{{((<|333|</~(_|39iiiipyBAtllilotAEEEEEIIIKKMMMMMIHCCECGGIKKKKKKKMNNNNNNNNMNNNNOOPPQPPPOONNNOOOOOOONNOO",
+"POOOOOOOONNMMKKKIIHHGEEBByxxsrronliigfcdd0009099d0cilloolpqpwwyyywppppnoolijjowBEHEyuuwyzvwvCFFDEIIIKMKKMKHIIEEEBzAACEHEEEHIIIIKEEyxxuunkeecb62221}_^^({{!!)))/(||3||/~~/<3cilllpABAtploppyEEHEHIMNNMKMNNMJHECCCCGIKKKKKKKMNNNNNNNNONNNNOOPPQPPPPOONNNOOOOOOOOOP",
+"PPPPPPPOONNMMKKKIIEECzzzzxxssrponljgfgddd0899989d0ciiloomoqptwyyywtppnppppnijnwBHHHAwuAAzwzAFHEEEJIIKMMMMMHIEEDDzxzzAEEEEEHKIIIHHBAxxuungbbbea2221::^^{{{!!,))){~/<|33<///<3ciloowBEAwopptyBIIIHIMNNNMMNNMIEEECCCGKKKKKKKKMNOOONNNOONNMOOOOPQPPPPPOOONNOOOOOOOPP",
+"QPPPPPPOONNMMKKIGGCCCzzzzxxpprronlggfdddd0999660c09filoomoppwwyAAwutpmnqppnjjosBEHHEwwABzzzAEFHGJJKKKMMMMIJIHDDDzxzyzBEEEEHIIHEEEAAAxxplgb8ba62211::^^{!!!!)))))))~/|33|<//<39ioptAHHAtptwyBIKKKKNNNNNNNNKIHGGBCCHIKKKLKLKMMNOOOOOOOONNONOOPPPPPPPOOOOOOOOOOPPPP",
+"RQQQQPPOONMMKIGGGEEDDyywtttprrnlliggddddd0885560dd9dfilpoopptwyAyyuuqrnoqpnnnnuAEHIExwyECzzCHHHJIIKKKNNNLJJEFEDBzxzyAAAEHEEHEEEEEBywuuokgb886222_1:^^{{!!!,,,,))))))~<||||_<|3ciotAHKHytptyBIKMMNNNNONNMMKIHGGBCGIIJIKKKKMMMMNOOOOOOOOOONNOOPPPPOPPPPOOOOOPPPPPQ",
+"RQQQQPOONNMMJJGGDADDyvvsssrrrooniigdddddd0665566c989filopmpptwyABywuuprppprnmmuAEIHEAwABBzzCHFHJJJLLMOONMJJHEDBzxzzAAAABBBAEBBACBBwwuungb8a822221_(^^{!!!!,)''')))))))/<|||<<|3cipwEKKEAwwyBHKMNNMNNNNNMIIIIHEGCCHHGIJILLMMMMNOOOOOOOPOOOONOOOPOOOPPPPPOOPPPPPQR",
+"RQQQQPONNMMJJJEBDDyvvvssrrrrnolkkigddddd00566255cd99cilopopptwzABzwwuuuuuuuqnmtAEHIHAzABEAzEEHEJJJKMMNONKJIEFDzxxzyABBBAAABCAAzACzzwqqjgb88262211__^^{!!!,,'',))))),)))~/||||||5clpyHKKEAwyAEIMNONNNNNNIIIIIIGGBGEEEGHJLKMMMMNNOOOOOOPOOOOONOOOOOOOPPPPPPPPPPQQR",
+"RQQQPPONMMJJEEDDDyxwtqqqmmmllmkkkigddd09007672600d979floppputwxBBCwwwuquuuuqrrsAEHKIEAzBEEAEHEEIJKMMMNONLJEFDBzxzxvzABBCBCAAAAzzzAwxqiggb88622211_^^{{!'!,',,,)))))!,),)~/<||||39fltAIKIEAAABHMOOOONNNKIIIIIIHECGEGCGJJIKMMNNNNOOOOOPPPPOOONNOOOOOOOPPPPPPPQQQQR",
+"RQQQPONMLJJEBDDAxuvuuqmmmmkkkkgggggddd089007666599809fioptpptwxBBAzwwttquuturrxAEKKIHAABEEEEFFGJJMMLMNONKIEDBzzzvvzAAABECCAAzyzzzAwqqjgb8a8622}___^^)!!',,,,,,)))))))))))~/|34||59ipwEIIIEBBEEKOOOOONNKIIIHHIIHEGEGGGGHIIKKMNNNNOOPPPPPOONONNOOOOOOOPPPPPQQQQQQR",
+"RQQPPNMMJIFEDDzxuuvrqrmhhjkggghhggfgdd9a9086775559090cioptpptwyCCAzzwttttwutrutABIKKHBABEGEEHFEJJMMMMNONKIFFDAzzyyAAAAAzAAvyxyyzAAwqjhgc8a2222_|__^({{!!)',,,,,)))))),))))~/|33|35citAHIHEEEEEINOOOOOKKKIHEEHIHHEGEGGJGIKKKKMNNNNNOPPPPPOONNNOOOOOOOOPOPPPQQQQQR",
+"RQPPONMKJJEDDxuuvvrvqqmhkkkhhhghhhhhd08a89967767880909inptpptxyCCCAAzztttwwxuuxzEHKKHCACEHEEEEEJJMMMNNOOMIHFFAzzzAzztttutvvvvyvAAummjgbb8822}21|}|}</_/~/{~~))',))))))!!))~{/|35337fowEHIHEEEEIMNOOOMKKKIHGGGHIIHEEGJGHIKKKKMMNNNNOPPPPPOONMNNOOOOOOOPOOPPPQQQQR",
+"QQPPOMMJJEDDzvuvvsvmnkjhhfcccdd09a0aaaa0a8905775895900flpptpuxyCBCAzzzzxxzzxxuuCEIKKICzCGHEHEEEJJMMNNNOOMKHEFAzzzyyutttttttvvyzAztmmjgb882222333322|1<<<</<///~~~~~)))!!!{~~/<|59779ipAEHIIIHIIMNNOOMKKIIIHEEEIKHHEJHHJIKKMKKKKMMMNOPPPPOONMMNNOOOOOOOOOOPPPPPPQ",
+"PPPOOMJJEDDDuvsvsnolljjhd00cbaa00a99058a7a895236905600cjpttttxyACBAzAzzxxzzzxzyAJIKMIGCCCHIIEEEIJMMMNNOONMHFFBzzzvvsssttttttxzAzwtmhggb886668095321|_(~{~~~/(////</(~~~)!~~~~(|39999coyEHKKKKIIKKMNMKKKIIHHEGGGKKHEHHHIKKMMMKKKMMMMNOPPPOONMMMMOOOOOOONNNOOPPPPP",
+"PPPOLMJJEDDxvvsvnnnggggdd000777777777a6aa6659656586700djptwwwxwAzCAEzzzzxzzzzzzBHIKMKGCCEGIIHEEEJKMMOOOONMHFEEAzyvvuustutuwwwwwwxqqjgb8868a99053}}/]{{),,',!))~(/<<<</~~~~~((<<|7dcccltAEIMMMKKKKKKMKKKIEEGGGECHKIIJIIIKKKMKMKKKMMMMOPPOOOONMMMNOOOONNMNNNOOOPPP",
+"OPPOLKJEDDzvussnnnkggggdd0007777777774657a3599559556a0ahotwwxxzAzACEBBzzxxBAAAACHKKMKGCACEIIHFFEJKMMOOOOOMIHHGAzvvwstssttwwwwwwwwqjggbbc9ccc954|[:{!,,,>>;;>>,,)~~/<<<<</(((<<|139cfgltyEEIKKKKKKHIKKKKHECGEHGEHIIIJJIIIFIKMKKKKMMLMNOPOOOONMMMMNOOOONMMMMNNOOOO",
+"OOONLIJEDDwvsvnnhkkggb88aaa222222222274132259999953700adoswywxzzzAAAEBAAAACBABCCHKMMKHCzCGIIHEFGJIMMOOOOONMIHEzzwwytsuuttwwwwwwtqmjghbfbccc05||<[{)!,>;>;;->->>,,)~/<|||||<<<11375cfiiowABHIKKMKIHHKKIHHECGEHGEHIIKIKIIIFIKKMMKKMLKKMOOOOOOMKKIIJKMMMKKMKNNNNNNO",
+"ONNNMIJEDzxvvnnnhggbbbaa7744411111112}411423599cc52200adiptwywzAzzzAEEBAABCBECCCGMMMMJCzCEEHEBFGIIMNNOOOONMKIEAzwwwttstttxwwwwttmhgghbiec8833|_[^{)!',>>;>>>>>>>,!!~/<|||33111|3779cioopwAEIKMMIHHIIIHHHEGEGGGGHHIKKKIIIFIIIKKKIKLLKKMNNNNNNMKKIJIKLMLLLLLLLMMNO",
+"LMNNLIEEDxxvvnnkhgbbb0a7774441}[[[}111}11134459cc5220dadjpwwzwywzzAAzEBBAAEEECCCHMNNMIGBBEEEEDFGIJMMNNOOONMKFFzxzvwvssssuwwwwtummegbcfb906|1_(^^^!!',;>;;>->->>>,'!~~/_||3373||376acglpttzEIKMKIIHHHGEEHHHGGCCHHIIKKMKIFFHFIFKKKIIKKKKMNNNNNMMKKIJJKMMLKLLLLLLLL",
+"LLLLLJEEDvuvrnkggaaba0aa222}}}}[[:}}[1_:1112239995345badiowwyzwwwzAAzBBEEEEHGGCGIMNNMKHCCGBEDDFEIJMMNNOOONMIFDzxzxwxsssstxwwussmedgebe8622_(((]]{'''>;>;-*-=---->>,))~/__1137337aa9dilptwzAHKKKKIHEEGEGHIHEECCHHIKIKMMKIHHHFFFKIHIIIIIKMMKKMKKIHHEEHIIIIHHHHLLLL",
+"ILLLLHDDzvvvrnghbab00a6a6}}[[[[[[::[[_1_:11211|441247adhhmtwyzwwwvzzAzBBEEEHHGEIIMNNMKIFCCEEEDEEIIKMMMNOOOMLHFDzzwwxssstwwwtsummegecba62}__({^^^'''>;--=**======->',)){(__<|4508600chkptyACEKKKKIECCEECHIIHEEEHHKKIKLMMKFHFFFFFHHHFFIIIKMKKLKKIFFFDFFHFHHFEFHHHI",
+"FFHHHHDDwvvvrkghba0066622}}[[[::[::[:[[__[11|1|111135a0henpwyxwwxwwzzzBBEEHJHHIFKMNONMIHFHEEDDDEEIIMMMNNOOMKHFDzxzvvvsstwwwtmmmeggccaa2}_({{!!^^'';-=*=***&=====->>,,!){_<_|4609ddhbflowyAzEHIKKIECCCBzBHIHEEGHHIKKKKMMKFFFFFFHHFFFHHHHIKKIKKKHEEDBBBFFFFDDDFFFF",
+"FDFFEFDDxvvrnkgbb00662222}}[[]]^]^^][[::__[1111111112a0hhjrwywxuwwwwzzBBEEGJIKFFKMOONNKHEHFEFBFEEIIMKKNNOOMKHEDDxzxvvsstwwwsmmmeghfb62}[(^{!!!^!';;-=*&%%&&&=====->',!){(<1}2269cfhehjruABAEBHIKIECzAzzAEHHHHIIIIKKIKMMKFFHEEEBEFEEEEEEEIIIIIIIFBCAAzzAACCCzDDDF",
+"CCDDDDDzxvvrnkgbb00a22222:[[[]^]^^]^^^:^[__:|111111124abhjqwyyxuuxwwyyzBEEJIKKKFKNOOONKIHHHFEFFEHJKKKIKMMMKKJHFDzzzvvwtwwwttmmegkbb62}[(({{!!!!'';;-**&%%%&&&====->','){(_}}2770bhfinjnqyCBBEEHIIHCAzyAzBEEHIKKIIKKIKIKKIIHECCCCCBBFEEEEHIIEHHEBzzzxxzzzzzzzzzzz",
+"zzxxxzzxxvvrhkgb006a2222[[:[:]]]^]]]^^^]^:_[:1111114277bhjnuwwxuuuwwwzzBBEJIKMKKMNOOONKIHEFHEFFEHKKKKIKMMMMKIEDDzzzvvvtwwwummmjkicb2}[(({{!!!!!'';-=*&&%%&&&&====->','){(_}}7559bchlmrqszCECAAEHIIEAAzAAzAEHIKKKKKKHJIKKIHCCCCCCCzAzBEEEBEECCECCzzzzxxwzyyvzzzzz",
+"vvvxxvxxxvrrhkbb00a2222}}:::]]^^^!^]]^{]]^:_[111[[124770hhnptwvuuuutwzzBBEGIKMMMMNOPONMIHFFHFEEEHKKKKKLMMMMKIJEFDzzzvwywwusmmjgkeb6}[[({{!!!!!'';;==*&%%&%&%%%===--;,'){(_}270aabhjnpqtxzEECAzzEHHEEAAAzzzAGIKKKKKIJJHIIHGCCGGCCCzzzzCCCCCGCCCCCAzyxwvwwyvwvvvvv",
+"vvxvvvvvvvrrhhbba66222}}[[[:]]{!!!!!^]^{^]]__:_[_:}}47a0hhnpuwwtuuuwwzyzBEEJKMNMMOOOOOMKHFHFEFDHHKKKHHHKKKIHHEFEFBzzvxzwwtsmejkjb82}[(({!!!!!''';;==*&%%&$%$%%===*-;,'){(_}27aaabjhnqqtxAEEBBxzCEEHEBAzAyAzEIKKIIKIJGEHHEGCGEEEBAzzzzCCCCCCGCACBCzyzwwwvsttsssvv",
+"srrrrrvvvvrrhkb0a6222}[}[[[:{{{!!!''!!^^^^]]_[[[[:}}26aahhhnttwtpuuuttzzBEEJLMLMNOOPOOOKIIHEEFEHHKHIHHHIKIFEFEFDFFzzzvAAttmmhkjcb2}[[({!!!!!''';;;==%&%%$&&$$%&==*-;,'!{(<}478bbhjjmmqxxABBBBCzzBEEEEEAzyyzEHIIIIKIIHEFECCCEEEEEAAzzxzBGCzCBBzCBCAAutusstuusssss",
+"srrrrrrrrrrkhbb0a6222[::[:(^]{!!!''''!!^^{^^:_}[:}}}466ahhjiputspuuuttxzBAEGKMMMOOOPPOONIIIFEFEHHHFHHFFFFIFDBDDCAzzzvvAwtmmejkhc82:[({!!!!!'''';;;=%%&%$$$$$$%&==*-;,'!{(_}45abhhjmmruxzAEBBBCCzBEHIIHBzyAAEEHIIIKIIHEECCCCBEEEEBBzxwwzBBABBBCAAyywtttsspmmmmmmm",
+"mmmmmmmkkkkkhbb08622[[[[:((^{{!!''',''!!^^^^[_1__}}4a666hheipputrrruutxzBAEGIMMNOOPPPPONMIIHHHEHIHFFHEEHIIHEBAACCzvvvtwtmmjjkic92}[[({!!!!''>'';;==%&&$$$$&$&%%&=*-;,'){(_}47abhjmmruuyzAEEBCCAAAEHIIIEBAAACEEHIKKIIHFEAzzzCBBEEEBBzwwyBEBCBBByyyywwtqmmmmmmmmmm",
+"mmmmmmmkkkhkkbb08222}[[:::(^{!!!''','''!^^^^^:111}}47666bghhlptpppquuttxxAEGIMMNOOPPPPONMLIHHGHHHHFHEEFHIIEAzzCCBzvvtwwqmjjgkjb82[[({!!!!'''''';==&%&&$$$$&$$$%&=*-;,'){(_}47abhjmruuwxzABEBCAAADBEHIIHEBAABCGEEIKKKHFEzzzzzAyAAABBBywzAEBBBAAyyyywqqqmmmmmmmmmm",
+"eeeeeeeeebbbbba08222[[[[__^]^^!!''',,','!^]]^]11}}}47a68bhghjppqpnppustxxAEGHKMLNOPPPPPNMKLLHHHIHIHHFEEHHECzzzCBAzvsuwqmmhggeca2}[[({!!!!;''''';=*&%&&$$#$&$$$&%&*-;>',{(_}47abhjmuuwwzzCABBAAAAADEHIHHEEBzBECEEHIIKHEECzzzywyyAAyBBzzyAEEAAAAyyyuuqqqqmmejjjeee",
+"eeeeeeeeebbbbb006222[[[[__({^^!!';;;'>,''!^]^^:1}}}78aa68bhgjnpppopqqqtxxAEGGKMLMOOPPPPOMKLLLLLLIIHFEDEEECCzzzzAAtstqqqmeeghcba2[[({!!!!';>'';;;==&%&&$$$$$&&&%%&*-;>',{{([4aahhmnuuxzzACzBBAAAAAABHHEEEEBAACECGGJIIHEGzAAzwwwyAAwyywytwAAAAAAAuuuuuqqjjjjjjjgdd",
+"dddddddddddaaa00822}}[[[_({^^^^',';;;''''!^^^]_}}}3666a6a88hhoppqoopqqtxxAAGGKMNNOOPPPPOOMKLLKLKIIHFEDAACCCyAzzywusmqqmjhggfba2}[[({!!!';;;;;;;;=*&%&&$$$#$$&%&&&*-;>'!{{_[4aahemnuxzzzAzAAAAAADAABEEEEEEEBACCEGGGHHHHBCAzAuwwyyAyywwuutwAAAAAxuuuuunnljjggggddd",
+"8888888888888888822}}[[(_((^]]!,'';;;;',,!!^^([}}2a66666aa8ahlpppnnpqqppxAACHIMMNOOPPPPOONMKLLKKIIHFFCAzCCCAzAzywumqqjjjggebb82[[((!!!!';;;;;;;;=*&%&&$$##$$$%&&%*;;>'!{]_:78ahjmnuxzCzzzCAzyzAAABBDEEEEEEBBBBGGGGGGEEBCAzwuxwyAAAAywwtttyAAAwxwuuuoonnkgggdbbb8",
+"8888888866666666622}[[[[[(^^^{!''>;;;;;,,'!^^^[[}26a6666aa8abhopqnnppqssxxAEGIMMNOPPPPPPOONMLLKKIIHEFCzzBBCAAyAysmmqnjjghecb82}[[({!!!';;;;;;;;;=*&%$&$#$#$$$&&%%*;>>,!{([[788hjmnuxzCCzzBAAyyAABEBDBEFBEEEBCCGGGGGCABzzAAwxwwyAAAAyywuutwyAxwxxuuonllkkggbbbbb8",
+"6666666666666666662}[[:[({]^^!!',>;;;>''!!!{^^[:}46aa226aaaabhoppoorrqssxxACGHKMNOOPPQPPOONMMMKKIIFEFBzzCBBAyyAuqmmjnjggbebc82[[[({!!!';>;;;;;;;=&&%$&$####$$&$%**=>''!{([1468hjmvqwzzzzzCzAyyyABEBAABEEEEEEEHGGGGGBADxzAAyywywAAAAAyywtttwuwxwxuroolkkkebba6666",
+"66666a666666622}}}}}[[[[((]^^!{!'',''''']{{^[[[}25a66a6668abbeottppprqupxwACCGKMNNOPPQPPOONNMMKKKIFEEAzzABCyyywtqmjnngdbebcb22[[((!!!!;;>;;;;;;;=%&%%&#$####$%%%*=;-',!{([1488ejnvwwAzzzzCCAyyyyAEEAABEEEEEJGJHJGGGADDxxyAAyywyyBBBAAywwttqutxxwupnokkkeeb888666",
+"66666a22222222222}}2}}}__:^^{]]!!''',,''!]^^^^[}44a6666666a0cemtwtpppuuuxwAGCGKLNNOPPQQPPOOOMMMKLIFFFAzzABByyytuqjjnggabbhca2}[[({!!!!;;>;;;;;;;=%&%%$&$$#$$$%%*=;-;,'!{_[168bbknvwAAAzzzABAyyyAADBBAAEHHEHJGGJIIHEAAxxxxzyyywyAABBBAyywttquuxxxppomkkhfa8888666",
+"}}}}22}2}}}}}}}}}}}}}}}__(]^{~{]'''''','']^^^^[[}2222222266abckpttqpruuuxxABEHKMNNOPPQQPPOOONLNLLIIFFBAzBEAywquuqjjkggb8ceb22[[[({!!!';;;;;;;;;==%&%%$$$$%$$%%%%==-;,'!{[[266bjhnqwAAAzzzAAAyyyADAADAABHIHHHGGIIKIEBxxuusptwywAAAAEEBAyywqquuxwxpppmkfheb888822}",
+"}}}2}}}}}}}}}}}}}}}}}}}_:]]]{{!!!'''',',!{]^^[[1122222622260abkotprrrqqtxxAAGJKMMNOPPQQPPOOONNLLLIKHECAABEAwtquujjkkgbb8cf62}[[(({!!!';;;;;;;;;==%&&%%&&$%%%%%&==-;'''{{[_468bjhnvwAAAzzzyAAAyyAAyyABBBHIIJIHJIIKKHByxurspstuuyAAAEEEBAAuuquuuxpprmmmjfbbaa8222}",
+"[[}}}[[}}}}}}[___[[[_}}::]^]({{{!'',,!!]]]:[_122aaa66aaaaaabfhlpttpppquuxxAzBGIMMNOPPQQQPPPOONLMLMKHEEzCBEAwqqunjjkkbbabfb62[[[(({!!!';;;;;;;;;==%&&%%&&&&%&&&&&**;>'!{{[1468benqvwAAAAwwzzCAyAAxuuAABCEJIIIIIHHIIIBzxxsspquqquAAAAEEEBAxuuuuuxpppmmijbccb8222}[",
+"[[[[[}}}}__[_:_:([(__[[___[:_//(({!!]{{((<1|1356988999a9cccfjiotyywttxuuzzAAEGHKMNOOPQQQQPPPPONNLMKFEHAAEEAwqqunikkkbb8bf62}[[[(({!!!';;;;;;;;;==%&&%%%&&&%&&&***;-',!{[[166bbknqsyAAAwwyAAAzAAwwuutACEEJKKIIJJHIIKEEAxwwuutquuyAAyABEEAyxuuuuxpspmmjjbbbb62}}}[",
+"[[[[[}}____(([((((((:_1:|1:}1____({{{{(((_1|}34688a8abda9ecchmptAAyyyAAACAEEHJIMMLNOPQQQQQPPOOOOMMMKIHBBEEAwqqunjjkeb88bc62}[[[(({!!!';;;;;;;;;==%%&&%*%%%&%%%**=;;''!{^_166bhknqsyyAwwwxAACAAzxutuuxBEEIKKIIKIKIKHHEAAywtttuuxyAAwwABEAyxxuuupppqomiicbb6a2}[[[",
+"[[[[[____((((^^^^:[:[[[1|}[[_<<__({{{{{((_<11|366a68899a8bbdflouwAAyyAAACCCEIIKNNOOPQQQQQQPPOOONONMKIHCCEEAxqqunjkkbb8acc62[[[[(({!!!';;;;;;;;;===%%&=%%%%%%%%==;;;''!{^_166aekvqwyyAwwwxzCBCBzxxuxxxAEHHKKKKMMMKIEEEAAwxtuuquuyAzxwyAyAyyxpprpppqqmjfbcba62}[[[",
+"[[[(___]]((^^^^[[[:[[[:[[1:[_<___{{!!{{(((_}_|266a6668668aa9filotyAyzzAACCCHIIKNOOOPQQQQQQPPOOONOMMKIIEEEHAyuuunjjkb88bb822[[[[(({!!!!;;;;;;;;;===&%*&&&&%%&&=*-=;;''!^^126bagjrtvyywwwxxzCEEAzxuuuxxCCHHKMMMMNNKIEBDyyxxuupqquwyAwtwuwyztprppprrqqlifbb6622}}[[",
+"((((__(](^^^^^^[(((((:[[:[:[}__<</~{{{{{((_|}}}22226aa66a8abhhiltwywwwyyzCAEIILMOOOPQQRRQQQPPOOOOOMMIIHEIHAyuuunnjhb88cc622[[[[(({!!!!';;;;;;;;;===%***&&&&&=***;;''!{^_126bhgjqtvyywwwxxzBEBAxxuuuxxzEHIMNONMMMKHBByxxuxtspqrquwyxtuuttwtqmmmommmmljfbb662}}}[(",
+"(((__(((^^^^^{{{{{{(((]([[[:}_<<__{{{{{{((:_[:[12222226aa6abbejlpyywtuwwzzzBHHJMNNOOQQRRQQQQPOOOOOMMIIHHIHEyuxxpnkkb8abb622[[[[(({!!!!';;;;;;;;;====***=******;;;'''!^^_266bhgjqtvvywwwxxzBEBzxuuuxxzzEHKNOOONMKIEBAwuuuspppmqruwwwuqqrpttpmiinlllmlifba6622}}((",
+"(((_(((^^^^^{{{{{{{((((((_:[:<<<<_]{!]]]^]]][[[[}}}2}222268a8bhipwwxuwwwzzBBEGJKMMOOPQRRQQQQPPPPPOONMKIIIHBwzwzppmkeabcc62}[[[[[({{!!!!;;;;;;;;;=======**%===;;;;>,'^^_122bbgjmstvvywwwxxzAEzxxxuxxzzzEIKMNOOMMKIECvvqqqronppoqtxywuqlnmptpoiiijjllliecba222}}((",
+"((((({^^^^^!{{{{{{{{]{{]{(([:_((:<]]!!!!]^{]:[^[:[:_2}2}266a8ahimpwxustwzxAAEEGIMMMOPQQQQQQQPPPPPPPOOMMMKIEyyxxppmmjbbhba2}[[[[[(({!!!!';;;;;;;;;===;=-=====;;;;'''^^(_2268hgjmvvvvywwwwyzABzxxxxxzzzBIIIMMNNMMKIGzvtqqqmnnnonquwyxuqnkklppoifiifiiifecb622}}_((",
+"(({(({^^^^{{{!!]!]]{^{{{{{(](_((__]]!!!!^^]^(^^_[[1[[}}2226668gelqwttupwxxAACBGGKMMNOPQQQQQQQPPPPPPPONNNNKHAAxwpomkiififa22}[[[[(({{!!!!;;;;;;;;;==*=;====;;;;;;,'^^^(_2288bgmmsvvvvwwxwyzzAxxxxxzzzCEHIIKKMMMKIEGCvsqqmnnnnnhmquwwuonkjiiooliiijiiiief86222}_((",
+"({{({^^^^{!{!!!!!!!!{{{{]{](]((](<(!!]!]^^^]]^^[[[[[[122226668bgkqtwsrtuuuyyBCGGILKMOPQQQQQQPPOOPPPPOOOOONKIEAyxokkhjhifb622}[[[[(({!!!!';;;;;;;;;;;;;;;;;;;;;','!^^(_}228bgjmvvvvvvywwwyzAAAxxxxzzCEEHHHIIKMMKKEEAwuqqmnjnnnjhmqtuunkkjfiloiffffccbife8622}}_((",
+"{{{({^^^^!!!!!!!!!!!{!!!{{{]]//(/_(]]!]!{^^]^[[[[[_[[222222888hghmwwsruuuuyxzACCHFIMNPPQQQQQPPOOOPPPOOOOONNMIIBAtpkkeffbb8622}}[[[(({!!!!';;;;;;;;;;;;;;;;;;;''!!!^(_}}2aabgjmvvvvvvywwwyzzAzxxxzzCEGHHHEIIIKMKIEEAvuqmmmjjjnhjjmuuonkheheiiifcfccc9bb98622}__((",
+"{{{({^^^{!!!!!!!!!!!{{!]!{^]{]:<:::]{]^]^^]]]][^[[[}2}2222668adghottsuuuuzyxzzACHIFKNOPQQQQQPPOOPPPPPOOOOOMMKIECwtqmiifbaa866a22}[(({{!!!';;;;;;;;;;;;;;;;;;>!!!!!{__}}28bdjmmvvvvvvyzwwwyAAzAxzzzCEEHHEHIIIJKKHEBAvuqmnmjjjjjjhmqunkkhbb8bfffbccc999988a62}__({",
+"{{{({^^^{!!!!!!'!!!'!!{]]!{^]]:::::(]]]]^^]^]^[^[}}}}}2}2666a0dhjotxxuuuuwxxAzzCEIFILNPQQPQPPPPOOPPPPOOOOOMKKIHBBywtponc888826a22}[(({!!!!';;;;;;;;;;;;;;;'!!!!!{{([[}2a8bdhmsvzzvvvvzzwwzAAzAzzABEEHHEEHHIIHHIHGEDvuqmnnjjjjjhhmquokfbbb888ffc9cc998866662}__({",
+"{{{(^^^^{!!!!!''!'''!!!!]]{{{(:_:::({]^]^^^]:[[[[}}}}}}266aaaaeejnuwxuuuwwwwzzACGIIKMNOPPPPPPPOOOOPPOOOOONMMKHHCAwwxwwplhba8a226222}_({!!!!';;;;;;;;;;;;;;'!!!!{{^([[26aabhmmsvzzzvvvzzzwzAAAAABEEHHEEEEHHHIHEIHHEDwuqmnnjjjjjhhmqomkjcb8a68bc99995555866222__({",
+"{{{({^^^{]!!!!'!]'!'!!!!{]]{{(:_:_<_]]]^{^^^[[[[[}}}}}226aaabbehmquywuuwwwwwzzzCGFHFKNOPPPPOPPPOOOOOOOOOOOOMKIEEAytwwxtpoheb888222222_{!!!!';;;;;;;;;;;;;;',!^^(([[[}266ademvvxzzzzvvzzzABzAACBEHHHEEEEHGHHIHEHEEBDwuqmnhjjjjjhkkmomjeh888a85095555335544222__({",
+"{{{({^^^{!!!!!'!'')!!]{!{{]{{(_<<<1_(]]^{^^^::_[[[}}2227aaa8bbhkmquxxvwwvwwzAzACGHHFKNOPPPPOOOPOPOOOOOPOOOOMKIEEzxxtwwtppplifba8222}2<(]^!!';;;;;;;;;;;;';'!,^(([[[[}668bhhhvuxzzzzzvvzzzCCzzBEHHHEEEEHHHHGHECBCEBAyuqnnnjjjjjhkkmomifea6aa475534224443||||2__({",
+"{{{({^^^{!!]!!!!'!!!]{{{{{{]](__|_1__]^]^^]::::[[[}2227778888hhkmquyAxwwwwxzzzACGHFFKNOOOOPOOOOPPOOOOOOOOOONIHHBBwxxwwuqqppolihha22}__(^^^^';;;;-;;;;;;;'''!,{([[[[}668abekrvuzDzzzzzzzzAABBABEHHEEEEHHHHHHHEEzBEBDyturnnjjjjhkkmnnmkjjc8a744432}22}}}}|1<_<<_((",
+"({{({^^^{!{]^!]!')!]!!]~{({((:[<}|11_]]]^^^:::_[[22277777888bgkkmpuyyyxxwDAzyACCGHHFKMOOOOOOOOOOPPOOOOOPOOOMIHEEAAxxttpqqqnopllih8a2__(^^]^!'';>;;;;;;>;'''!!{([[}}6668abkkqvxDDDzzzzzzzACBCCEHHIEEHHHHHJEHBEEzCGBDAxurmmjjjjkkkmmnmkhheba541}22}}22}}}::^(_((((",
+"{{{({^^^{{]!^!]!!]]!]!{]{/(((_1|}}111:::_([_::}222277777a888bghkqptyAywzyDAAyyCCGHFFFKMOOOONONOOOPOOOOOPOPONKGCByyuxyyppmmmmooplmfc61_{!^]^!!!!''>;;;;;;;;'!!{([[[2228abkhrvvxAADDzzzzzzzACABEEEHHHHHHHIHGHBCAAzAAAAxuqrnjjjmkkknmlmlfcfec74[}2221111_}:::]^]{{{",
+"!!{{(^^^^{{!!!!]!!]{{!{{(/(_<_143|||1<::__[[}22222777770a888bghmmrtzCBAzAAAAAzzCGHFFFKMNOOONNNNOOOOOOOPPPPPNKHCzzwwuxxupormmmmoolifc9|_^]!!^{~{{'';;;--;;;'!!{(:[222600bkknvuDBBBDDDzzzzzAzABEEEEGEEHHHIHGEBEACCAAAAxxsqmjmnkkkmmmlmlifiic04}}}1_<<<<<//(:]^]^!!",
+"!!!^^]^^^{{{{!]{!]{{{]{(/(/_||144|33411_:}1}}337a7788a00bbbbbbhmmptABCzAzzDAAzzCGHFFFKMNOOONMNNNOOPOOOPPQQPOMFBzzxtwuuuunorommmligffc03:^^^^^]^]!'';;;;;;;,'!{{[_22600bhhnvvxDEEBDDBzzyvzwAAEEEBBGEEHHHHHGEEzCCCAAAyxxuqnnnmkkhhmmjmlifiif07}}1||<<<<<//{~){^^!!",
+"'!!^^^^]^{{{{{{{]]{{{{((</__<|1143|2411_11}14347a78a99dbcbbhefjmmpsyBCzAzzAzzAzCHHHFFFMNNNONMLNNOOOOOOPPQQQPNKHzzvvtwwqqqquoppmefc0c00722|:(]^^^^''''>;-;;'''!{[[2260bagnnvuDDBECDBCzzyADzAAEEBAAAEEHHHHHEEECBBAADAyxxuummnmkkkkkmjmmifiic92}}_<|</////~~{)','''",
+";''!^^^^]({{{{{{{{~{{{]](____}11|4|221____1114446aaaa0adbeffehmmmqtwEECCAzzzzzzCEHIFFIMNNNNNMKLNOOOOOOPQQQQOMKFBzzwytusmmmqqurmfea8877759952:^^!!!,),,';>',''!{[[2260bhgmvutyCGEBDBzzzyDxyABBBAzAAAEEHHIHHHCBCAAADAAzzxupmnmmhkkkmjklifffd922}_<<<(((/{{{)),''>;",
+";;'''{^^^:{({{{{{{{{({]((__:__|114414}_____111226666aaaa9behjilqqqtyEECCCzCAzzzCEHEFFIKNNNNMMKLMOOOOOOPQQQQONKHFAzzyywprssmqqlife9aa7445cd95}<]^]!'''''';',''!{[:22a0ahnnvvvDBGBBDBzzwyzyDBEzxxAzAABHIIHHIHGCEABAAAAAAAzturmnhhkkkjkiidccd5221_<<__((({{{!'',;;;",
+";;;'''{^:[{]{{{{{{{{{{{^(__::<|11442|}[[[_[}}222aaaa0898abbbejlquuwyBEEEEEEEBBBEEHEEFIKNNNNMIKLKNOOOOOPQQQPONMIFDAzzzvvvrrsmhgfbe8a85375955743}:^]!''''''',''!]^[22608gnjvuvDAGBBDzzzwvwyABAzxxxzAABHIHHHHHEEBAAAAABAAAAwuqmnmhkkhkkiicccd963|<<<<_(~~~)),''';;;",
+"=;;;'']{:[(({]^]{{~{{{(((_::<1|4443332}[[}}1222000aa9c9aaaabejoquuuyBEECHFIHHEGEEHEEEHKMNNNMKLKLMOOOOOPQQQPPNMIHFDAzzzvvvvrmegbabaa777753}}}3437}_]!'''''!!!'!{^[2260agljqqwDADBBDzzzwywzAzzxxxxxABBEEEEBHHHBAAzyyAAAAAzwtqrqnmhhhkkiifcccc654|____~{~~))''>;;;=",
+"==;;'''{([[((]((]]{/(((((__<:11|4353552}}}42770ddabbdccccdhgiopptxwABEGEIHIFIFFFEHECEHIMNNNMKIKLMOOOOOPQQQPPOMKHHEEEAzxxvvrmedaa222|7572[<[:|1|742|[!)'''!]!!{]][22678gjjqqwDDDDDDxzwxvxzAzxuuuxxzBEEEEBEHHBAAwxyyyAAAAwttqrqqljkhkkkiiecdc954|___//{~)),>>>;-==",
+"%==;;''!](:((](((]]/(((((_<_<1|435575955775700ddihhggfffikimopptwwxABHEEHIKKKIFFEIEECEIMNNNMFILMMNPOOOPQQQQPONKLHHHEFzzxxxrmed862}}1774[[:[::[|4443|:{!''!!]^{([[}}6a8gjjqquDAADDDxzwwuwzwxuuuuxxxBEEEEEHHBAyyxxzyyyzAzwwtpqpooljjjkkiifcdc993|<__//)))),>>--*%%",
+"%%*;;;,!{{(_((:(((:(/<:__<_1|4377590990775000ddijifikfiiimmmmpqppwwABHHHHIKKKIIIHIHECEIKNNNMIIIMMOOOOOPQQQQPOOMLKHIFHDDzxvrmed862}}131_^]:^::_14|1233}({'!!!](__:}2778gjjrquDAADDDxxwwwwzxusuuuxxzzBBBEHHByyxxxxxywwyyAwwupuqnoomkkkmiieffc995|<__//~))),>;--*%%",
+"&&**-;'!]]([(__:_::/_<<<<|11|4355599900557909ciiiigggkfiikkkkmnnrtxxBHHHIKKLLKIIKKIEEEIKMNNKIFILMOOOOPPQQQPPPOOMKLKIHFDzxvrmed862}}1|_{^^]^_<_1111:}334<^]!!!{(:}22778dikmquwADDADxxwwwyyuuqvvuxzzzBzEEEAAwuuuuxxwwuxxxwwtrqooopmmmmmllffffc97||<//~~),,,>;-=%&&",
+"$&&=--'']{]_______<<<<||||3||47579999990099ccgiiiijgggcfghhgggijjquuyBEEEIKMKKKKKKIHEHIKNNNMIHIIMOOOOOPQQPPPPOONMLLMLHDzxvrmed862}2__{{{{{((__111<_[}323|:]!!{{[}62088djjmqtwAADAxxxxzwyuuqvvvuxzzzzBEEAywuuuuuupstpuxxtwuqqlnnmmmmmmoliffc9673|_//~~),,,>-**%$$",
+"$$%==-''!{((1<_<1<<|<||||||33347799ccffdccccfgjkkggddggcdbbdhheehmqqwAEECGIKFFLKKKKIHIKMNNNMKFIILOOOOPQQQPPPPOONNNMMLHDzxvrmed86222_({{!!{((_11311_[<:}2|11:({/:[220agdjmmqtvAADDyvxxywyuqqvvuuxxxzBEEAywutuxuspppsqutxuwtrnmlkmomliloonifc9663|1</~~),>>>-**%$$",
+"#$%%==>''{(_1<|<|111||||||33357709cccffcc99cghhhhjghddgdbbhbdgeehmmqwABBCBHIKIFIIKKIHIKMNNONKFFIMNOOPPQQQQQPPOOONLNMLHDzxvrmed8622}[(({{{{{{__2221__](:<11|||1_::220bghjmmquvyADDyuxwzyyvqqqqrruxxzGEAywxuxxtpprrppquuxtwtqqnjkjjillnilolif9a63||</~~),>>>-*&&##",
+"##$%*=>>'!{(__1_111||11||33355900ddccfgc99ddhehhhhhhddddbbbabheeemmmtyCBCCHIFIFIIKIHEHKMNNOOMKFKKOOOPPPQQQQPOOOOOONMLHFzxvrmed8a22}[(({{{{((([}}2|__^](::<||752}}2609gglmnqtvyADDxvxwAyxqqqqsrquxzBEBAyxxuuxtutsssppstxtwtummkhkehijiilolij9aa3|1</~~),>>>==&&##",
+"##$&**;>,!{(_|||||1||1|33335599990dccfffddhhhghhhhhghdddabbbhheeehmmqyABBCEHFKIIIKIEEHKMNNOONKKKMOOOPPQQQPPPOOPPOONMKHFzxvrmed88a}[[(((((({{[[[}}_1<<]^]^[_1459556678gglqqqtvyADyAvxxAwwqqqqvrruxzBEAywxwxxttwwyvvwwtxywyutpmmkheehhiiloilic9673|_<~~),>>;==&&##",
+"@@$&&*-;'){{(_|11|||11133555569990cccghfebhhhghkkhjfgdgggbbehhhjjhmqqyABCCEFIIFIIKKIHIKMNNOONMKMNOPOPQQQPPPPOOPPPONNKHFzxvrmedb8a2[[[(((((([:[[}[}<__]^^]^]_|3999990adgjqqquwAADDDwxwzwwmmqqunruzACyyywxwxwyAEEEEBAAAAAAAwwsomkhhbbbejliiiif9673|_</~),>;===%$@@",
+"@@#&%=*>>'!)(__1<1||43347555599999ddghfifghggklnjmmmiigghhfhghggjjqquyAEBCCHFKKIFKKIHIKNNOOONNMMNPPOPQQQQPQPOOPPPONNLLFDxvrmmhb88}[[[[((([[[::1}}}_|__]/](^<<1599cfdbggkqpqwyAAADDxxyAwtsmqqquoxzzywwxwyAABEHKMKIIHEEBAAAAAwpmmjjbbbfiiiiiifc953||</~),>-==%%$#@",
+"@@#$%%=;;,,!~(__|_|||33555550999cccdggiiijkjlooommmollkkkffghghkjjnquAAEBCEFIKKKKKKHHIKMNOOONNMNNOPOPQQQQQQPPOPPPPONLLFDxvrmmjga6}[[[[[[[[::}22}}}}_<_<_:/(__137ccfgfigimmqvyACADDzzzAztsmqqqquxAAvtwwABEEHIKMMIEEBAAywwyABytqnjjgbhhhgiiiifd99531</~),>;==%%$@@",
+"@@##$%%*;;,!{/_<<||1|145559709cccffiillllllopprpppppoommiiikkkkkknmuuAAEECEFIKKKKFKFHHKMNNOONNNNNOOOPQQQQQQPPPPPPPONLLHDxvrrmhgba6}[[[[[::[}22662}}(//<_<__<_}|580fiimomrqqwyAEADDAzAywusmqqqvxzAwtwxyBEHIKKKKEBAwwwxwtwyyAywqmoijijhfhfiijif8853|<<~)),;=%%%#@@",
+"@@##$&&**-')){/<_<<|||3755999dcfffiilooooooooppppqppppopllommmpmmpptwABEEGCIFKKKKLKIHIKMNNOONNMNNOOOOPQQQQQQPPPPPOONMLHFzxvrmjgb66}}[[[[[}}2288864}}({{(1||1_}|298fgiopprqqvvACADDDzzvvsssqqquxzzttwyAEIIMKIHBAywtttxwwwyyAywtpmlmihehcfiiiff9973||</)),-=%%$#@@",
+"+@##$&&==->'!~/_<<|||3355999ccdgfgiillllollnoorrpmoqoommoloompqpqttyyEHIHGHKKKKKLKKFFIKMNMNONNMNNOOOOPQQQQPPPPPOOOOONLHFzxvsmhdd666}}[[}}266ccff996}(({/<||1_|2269dfmotttutvyACEBBBBzxvvstqqqtwzxtwyAEHIKKIEBAyAAyyyyAyAAAAywtpmlnlgfhfeeifgfc8953|</~),-=%%$#@+",
+"+@###$&==;>,!~/<<<<||3335599ccggfiijllnnlloooopppqqpoomomlmmmopqqttyAEIKKIIMMMMMKKLKIKKMMMMNMMMNOOOOPPQQQQPPPPOOOPPOOKLFBxvsmmed8666}222a6bbfeifif92[((/_|<_}}2269dfmmpwwwwwyABEBDEEzxvvtutqqxwxxwyABHIIHHHEEEEEHEEEEEBBABAAytpoliiiighceffgcc8953|</~),>;%%$#@+",
+"+@@##$%%*;>,){//<<||||355599ccggfiijllonpppppttwwtxwttpttpppppputtwAAEIKKKKNOOONNMMKKKLNNNNNNMMNOOOOPPPQQQPPPOOOOPPPOMLIDzvssmed86666226bbbccjjefc6|[(((((/(::2669dckkptwwAAAACEGEHEAxxxwstuuxxxxwAEEIIHEHIKIKIIIHIIHIEEBEBAAwppojhfiffcddddc88653|</~),>;*%$#@+",
+"+@@#@#$%*->,,)//<<<||||35599ccfiiillooppttwwwwyyyyAAyywwywwwtxzzyyABCHIMKKMNOOOOOOOMMMMNNNNNNMMNOOOOPPPQQPPPPOOOOPPPOOMIFBzytmmed86688abcbccehgif86}}[(({{{^:[}659dekoouuwABEBEEEEHEEzxvvwswyDuxzBBEHIHHIKMMMKKIIEHIHIIIHHEBBAwponijijfcccccc98655||<~),>;*%$#@+",
+"++@@@#$$*--,,)~//<<||||35599ccfiiloppttwwywwwwyyywyyywwtwwtttwAAAAEEEIKMMMNNOOPPOOOOOOOOONNNNMNNOOOOPPPPPPPPPOOOPPPOOONNIHzztmmeddba88bbcciikggfc82}[:[{{^]^^::27dffkooptwABEHHGHIEEBAxzvvwwzyuxABBHHHHIKMKKKMKIIHHIHIIKIHHEEBAtpnjffefffcd9c996533|</)),;*%$#@+",
+"++@+@#$$%*->,)~///<|||335599cfiilopppttwwwwwwwwywwwwywwuppppptwwyzABEHMNNMOOOPPPPPPPOPPPPPOOONNOPPPPPPPPPPPOPOOOPPPOOOONMIEAzsmmeggbehchfilokkkf962}::::::[][:}2a0ckkmrpuwAAEJIIIKIEBCAzzyyAzyAzCEIHHIIKKKIIKMKIIEEHHIIKIHHEEBBypljfbeffcc9cc95333||</),,-=%$#@+",
+"++++##$%%*->,)~//<<||3355599cffillppptwwwwywwwyyyywyywwwutttttwwwyyABEIMMMNOOPPQPQQQPPQQQQPPOOOPPPOPOOOPPPPOOOOOPPPOOOONMMKGAwtqjjkkkhfhgkmmonkg6a6[::[:[[[:::2}60agkoupuwyABHIKMKIHBDDzzzACAyACEHIKHIIIIIHIIIIHHEBBAEEEEEHEEEBytoifbhcfdcccc9533|||</~),-=%$#@+",
+"+++@@#$%%*--,)~/(<||||355999ccfiilopptttwwwwwwyyyyyAAAyywwwyyyAAAAzEEIKMMMNNOOPPOPQQQPQQQQQQQPPPQPPPOOOPPPPOOOOOOPPOOOOONMKGEBwqqnokkkggggillqjg862[}[[:::[[[222788glouuuyAAEGGKNNKIEBBDzzBBAABEEIIKIIIKKIHHEHHEEAAyyAyyAAEEBEBAwpljeedcc9ccc953||||<<~),>;%$#@+",
+"+++@@##$%*-->)~/<<<|||355599ccffiiloptwwwwywwwyyAAAyyywwywyyAAAAACEHHKMNNNNOOOOOOOPPPPQQQQQQQQQQQQQPOOOPPPPOOOOOOOPOOOOOOMMKGEAAxuronljeejjjqmhd8666}:[:[::[[22608ggjppuwyAAEEEKMNMIIEBDEBEEBEEHIIKKKIIKKHEEBBBBBAzyywtwwwAEBBBAwpoijedd99cc9953|||<<<~),>;%%#@+",
+"+++@@@#$%*->,,~/<<<||||335599ccfiiloppwwwwyAyyyyyyywwwwwwwtwwxyyAEEEKKNOOOOOOPOOOOOOOOPQQQQQQQQRQQQQPOOOPPPOOOOOOOOOOOOOOONKHHHEEywuoljeemmqmmed8aaa}}[[:[:[422a08ggioqqwyAAEEHKMMMKKIEEEEEGGHIIKMKKKKMKIEBAAAAAAAAAywttpuwAABAAwtolifdda8c995531|<<<<~~,>;=%#@+",
+"+.+@+@#$%%->,)~//<<<|||3355999cfiilopptwwyyywwwyvwwuutttpstquuuxAAAEHIMOOOOPPPPPPOPPOOOPQQQQQQQQQQQQQPPOPPPOOOOOOOOOONOOONMMMJIIHHAyuqqmmqqqpmhdd8662}:[:[:2226788glinqqwAAEEEIKMMMMKKKHHHFHHFKKKMKIKMKIEBAABzAAABAAAwxupqtwyAAAwtpoljgd890999541<<<<//~,>;=%$@+",
+"+.+@+@#$%*->,))~//<<<||335599ccfiillopptwwwwwwwywwwvxxwwwwwwwwyAAACEGHKNOOOOOPPPPQPPPPPPQPPPOPPQQQQQQQQPPPPPOOOOOOONNNNOONNMNNMKKHHEwuuqqqwtpkked82222[:[:22}267agglrrqtwyAEEHKKMMMMMMKKKIIIHKMNNMKMMKIHGEABBAAyyDyyyyuupttwwyyAywtpoifd09999953|1<//~~~,>>=%$@+",
+"+.++@##$%*-->))~//<<|||355599ccffiilllpptwwyyyyAAABBAABBEBABBBBEEHGIIKMOOOOOOPOOPPPQQQQQQQPOOOOPQQQQQQQQQQQPOOOOOOOONNNOOOMNNNNNMKEEEBAyyywtpkmeda82222222222607aggkqrqvvAACEIKKMMMMMMMMMMKKKMNNNNMMMKEEEECAywwstsstzwuuutwwwwwyywtpplic98999953|<<//~~~),>=&$#+",
+"+.++@##$%*-->,)~~//<<<||35599cccgffiloptwwAABBBEEEEEEEEEHHHHGHHKKKMMNOOOPPPOPPPOPPPPPQQQQQQQPOOPQQPPQQQQQQQQPOOOOOOOONNOOOOMMMNNMKIEEEBBABzypmkb0082266689889909ggkjmquvvABBEIKMMMNMMMMNMMMMMMNNNNONKIHIBBzzzxssrrruuuuuputwwwwwywwtolifcb955553|<//~~))),>=&$#+",
+"+.++@##%%*-->,,~~/<<<|||335599ccfiiloppwyABBBBBEEEEHHHHHHEEHHHIKKMMNOOOPQQPQQQQPPPPPPPQQQQQQQPPQQQPPPPPQQQQQQPPPPPPOOOOOOOONMMMMKKKHHEHIIEAAtmme0088688cccfjiigfkglmnqtvwyBBIIKMMNNNNMNMNNONOONNNOONMIHEEAzxxuuuuuuqusuuttuwtwtwwwwtooiib9955553|<</~~))),>-&&#+",
+"++++@##%%*-->,,~~//<<|||333599ccfilopttwwyAABBEEEEEEEEIHEEEEEEHHIIKMNOOPQQQQQQQQQQQQPPQQQQQQQQQQQQPPPPPPQQQQQPQPQPPPOOOOOOOOMNMLKIJIKIIIIIHBwtmefd9ccffccfiilklqmporqqwvyCAEHIMMNNNNNNMNNOOOOOONOONNKKJEBzAxuuuuuvvqqqqtuspttttwwywwpoliec957533|<</~))),,>-&&#+",
+"+++@@##%%*-->,,~///<<<||335599cfilloppptwwyyAABBBBEBBEEEEAACCBCCEIKMNNOOPQPQPQQPPPQQQQQQQQQQQPQQQQQPPPPPPPOOPPPQQQQPPPPOOOOOONMKFIIIKMKIIIHECwmmigkilifccffkkllpptupqtvvyCBHHIMMNNNOONONNOOPPPPOPOMMMIHHGAzAxuvuuuvqqqsttqutttwwwyywppliec95733||</~{),,,,>-*&#+",
+"+++@@##%%*->>,))~//<<<||335599cfiloooppptwwwAAAAAAAAAADBBBAAAAEEHIKMMNNOPPPPPPPPPPPQPPQQQQQQPPQQQQQQQQQQQPOOOOOPQQQQPPPPPOOOOOMMKIIILMNNMKEEEAupnomoijfeccgggjomttxxuvyAyCBBHIKMMNNOOOOOOOOPPPPPPONMKIJGECzyxywvuvuqqvsuupuwwwwwwyywtplif9997731<<({~!),,>>-*&$@",
+"+++@@##%%*->>,)~~///<<||355599cfiloooppptwwwyAABBBBBBAAABEDBDEEHHIKMNNOOPPPPPPPPOOPPPPPQQQQQPPQQQQQQQQQQQPOONNOOPQQQQQPPPPPPPOOMMLIKKMNNNKHCBAxxttqoifbc9dddeekmpuwwyAAyAACBIIKMMMNOOPOOOOPPPPQQPONMKIJJECBzxwwwwwtttvstqstuwwwwwyywwtoifc9973||<//~)),,,>--**$@",
+"+++@@#$%%*->,,)~~~/<<|||355559cfiioooopptwyAAEEEBEEBEEEBEEEEEHFIKKMMMOOOPPPPOPPOOOOOOOPQQQQQPPPQQQQQQQQQQQPOONNOPPQQQQQQQQPPPPOOLMMMKKMMMKIGCAyBywpokgddd00bbggoostxAAADyABEEIIKMMNNOPPPOPPPPPQQPONMKKIGGGCzzzvvwttttsvsuvttttwywyyywtplicc053|||</~),,,>>-=**$@",
+"+++@@#$%%*->,,))~~/<<<|||35559cfiilooopptwyAABEEEEEEEEEEHEHHHIIKMMMNOOOPQQPPOPPOOOOOOOPPQQPPPPPQQQQQQQQQQQQPPOOOPQQQQQQQQQQPPPPOONMMMMMMKKHEEABABywmkgdd00bbgggmlpuwAAAADAAEHIIIKMNOOOPPPPQQPQPQPPONKKIIGGCCCzDytuutssvtvusuutvwwwwywttoicc973||<</~),,>>--;=*$@",
+"++@@##$%*-->,,))~//<<<<||35559ccfiillmopptwwyBBEEEEHIEHHHIIIIKKKMMNNNOOQQQPPPOPPOOOOOOOPPPPPPOPPQQQQQQQQQQQQPPPOPQQQQQQQQQRQQQQPPOOONLMLIIEEEEEAzwtpmgdd0bbbggllqruwAAAAAAAEHHIIIMMNOOOPPPQQQQQPPPOOMKLKIHGCCAAAxvvvvvvtwuusuttvvwwwwttplic973||<//~'',>--**=*%@",
+"@#@@##$%*-->,,)~~//<<<<||355559cffiikllopppwwAABBBEHHHIHEGJHJJIIMMNNOOPQQQPPPOOOOOOOOOOPPPPPOOOPQQPPPPQQQQQQPPQQQQQQQQQQQQQQQQQQPPOOOOOMIFECEEHAytpppligecbgggnmrqquwwADDAABHHHIKKMNOOOPPQQQQQPPPPOOONKKKIIGCBAAzvvvvvvtwxxvutwwwwwwwwtpoifc95||<</)),,>-;**%&%#",
+"@##@#$$%*-->,,)~~///<<<||335559cffiiiillooptwyAzAAzEEHHHIIJIIIMMMLNOOPPPQQPPOOOOOOOOOOOPPPPOOOOOPPOPPPQQQQPPPPPQQQQQQQQQQQQQQQQQQQPPPOOLIFBCEEEAywppppoljekggnlrvqttttxDABDEEHGIIKMNNOOPPQQQQQQPPPPOOONKKKIIHGGCCzzzzxwvxxxuuwwwyytwwwtpoifc95|1<</~!,,>--=*%&$#",
+"@##@#$$%**->,,)~~///<<<||3355599fffiiillopptwwyAAzABEHHIJIIIKKMMOOOPPPPQQQPPOOOOOOLNNOOPPPPPOOOOPPOOOPPQQPPPPPPPQQQRRRRRRQQQQQRRQQQQPPOMIHECBEAwwwpooppolmmkknnquutuutuwDDEEEHEHIKKNNOPPPQQQQQQPPPOOPOONNMKKKKHGCCCCzzzxxxxxvwvyyywtttwtoifc9531</({!,>--;=%%$$#",
+"@####$$%*-->,,)~~///<<|||3355599ffiffiiloppptwyyAAzBHHHIIKIKMMNOOOPPPPPPQQPOOOOOONMNNNOOPPOOOOOPPPNNOOPPPPPOPPPPQQQRRRRRRRRRRRRRRQQQQPOMKIHCCAwwuuuoooppuqmmqmrruttqqqutwDBEEBGEIIKNNOOPPQQQQQQQPPPPOPOOOOMMFIIHGCzzzAAzzxxxvwyyAAywwtttolfc9531<//{),>>-*=%&$$#",
+"@@#$#$%%*->>,))~~///<<<|||355599ffifgiiloooppwwyAAABEHHIIKKMMNNOOOOPPPPPQQPOOONNONMMMMNOOOOOOOOPPPNNNNOPPPOOOOPPPQQQRRRRRRRRRRSRRRRQQPONMKKCzytuqqtuoooutuqtqqvvutuuuqqquwBEEBGEEIIKNOOPPQQQQQQQQQPPOOPPOOOMKIIHFECzzzAAAzzyyyyAAAywwtttplfc953|<//~),>>-*%&&$##",
+"#@#$#$%%*->>,))~////<<<||335599cfffgfiiloloopwwyAAABEGEIIKMNNOOOOOPPPPPPQQPOOONNNNMMMMNOOOOONNOOPPONNNNOOOONOOOPPPQQQRRRRRRRRRSSRRRQQPPOOMKEAxutmqqutuuquuuwtxuuuuqquqqquwAEEBAECHIKMNOOPPQQQQQQQQQQPPPPPOOMLIFFHEEzAzzzABAAzAAABBAyywttpoic953|<//~),>--*%%&#@#",
+"#@#$$$%%*->>,,)~////<<|||335999cffifiiililopptyyAABEEEHIIKMNNOOOPPPPPPPPPQPOOONOONMMMLNNOONONNNOOONNNNNNNNNNNNNOPPQQQQRRRSSRRRSSSRRQQPPOONNHCyputmqquuutupwywyxxwuuqqqquuuyEEEBAEEIKKNOOPPPQQQQQQQQQQQPPOPNNMMKIHHEEDDDDABBBBABEEEBAywwtpoic9531<//~),>-**%%&#@@",
+"###$%$%**->>,,)~//<<<<||3335599cfffffiililooptyyAABEHHHIKMMNOOOOPPPOOOOPPQPOOONNONNNNMMNOONMMMNOOOMMNMMMNNNMKMMNOPPQQQQRRRSSSSSSSSRQQPPOOONKEAyttmmqquuuupwwAAyxwuuuuqqquuyAEEBBGEHIMNOOOPPPPQQQQQQQQQPOPOOONNMKIIIHEDAAABBEEEEEEEEBAAwwpoic953|<//~),>-**%%$#@@",
+"###&%$%**->>,,)~//<<<|||3335599ccfcffiiiilopppwyyAAEEEHIKMNNOOOOOOOOOOOPPPPOOONNONNNLMMNONNMMKNOOOMMMKKKKMMMMKKMNOOPQQQRRRRSSSSSSSSQQPPOPONKJEAttmmqmqquuwwwAAAzyxuuuqqqquxyDDEEBEHHKNNOOOPPPPPPQQQQQQQPPPPPPONMKKIHHEDAABBEEEEEBEEBBAwwtplf953|<//~),>-*%%%$##@",
+"#$$&%%%**->>,))~~/<<||||||3359cccfcffiiiloopptwAAAAEEEEIIKMNNOOOOOOOOOOOOPPOOONNOMMMMKKMNNMMKKKNOOMMMKIHHKKMKKKKMNNOOPQQRRRRSSSSSSSQQPPOOOMKIHEwutqqqmqqwwwwyAAAAyxxuuqquuwyyABEEEHIKNNNOOOOOPPPQQQQQQQQQPPPPOONMKKIHHBBACBDEIHBBABEBAywtpoic95|<</~),>-*%%%$##@",
+"@#$&%%%*-->,,)~~//<<||33333559cfffffiillloopttwyAAAEHEEEIIKMNOOOOPOONNOOOOPOOONNMMMLMIKMNNKKKKKMNMMMMKIEEJHIKKIKKNNNOOPQQRRRSSSSSSSRQQPOONMIIHHAwwwqqqqttwwAyzAABAxxxuuuuuwwwyABEEEIKMNNNNOOOOPPQQQQQQQQQQPPPPOONMMIIHEEBCCBEIHBAAAABBywwppif953|<//),>-**%$$##@",
+"@#$&&*%*->>,))~~//<|||3333559cffiffiiilllopptwxAABBCEHHHHIKKKMMNOOOOOOOOOPPOOONNMMMMKIKKMMKKKIFMNMKKKKIHEECGHHIIKMNNOOOPPQRRSSSSSSSRRQQOOMKKHHEEywwwyywtttwAAzzABAzxxuuuuuxwwyyAEEHIMNMMNNNOONOOPPQPQQQQQQQQQQQPOOMKIHHEGBAEEHEBAAAABAAywtplfc53|<//)),--*%$$##@",
+"@@$&&**-->>,))~~/<<|||3335599cffffffiiiillooptwyABBEEHHIIIIKKMMNNNNNNNNOOPPPONNNMLLMKIIKMMKKIFKMNMKKMKFHEECCCEGHIKMNNOOOPPQRRRSSSSSSRRQQPMKFEGCByywwwywtppzAAzzDEBAzxxuuuxxwwwyABEHIKNMMMNNNNNOOPQQQQQQQRRRRRQQQPPONMIHEEEEEEEEEAAyyAAyyywpoic95||//~),--*%$$##@",
+"@@$%%*--->>,,)~~/<<||333355599ccfccfgfiiiiloopptwAABEGHIIKKKKMMNMNNNNNNOOOPOOONNMKLMKKIKMMKKIIIMMKIKMKFEEEzzzzCGGIKMNNOOPPQPQRRSSSSSRRRQPOMMIGAzAyyywwwtuxwxzAAEDAAAzyxxxxywtuwDBEHIKMMMMMNNLNOOPQQQQQQRRRRRQQQQPPPONKIIIHHEEEGBBAyywwywwwtpif993|<//),>-*%%$##+",
+"@@#%&---->,,,)~~/<<||3|3335559ccc9ccffifiiiloopptwyABCEHHIKKMMMNNNNNONOOOPPPOOOONLMMKKKKMMKIIHFKMKIKKKFFFEzzzzzzEEHHKNNOOPPPPQQRRSRSRRRQQPONMICAAzyAywwtxtttzABEEEAAAAxxxzyxuttxBEIKKKKMMMMMNNOPQQQQQQRRRRRQQPPOOOOPONKIHIIIHHEEAAyytwwttttplfc953|</~),>**%$##+",
+"@#$&==--->,)))~~//<<||33333559ccccccdfffiiiilnrptwyyAEEHHHIKMMNNOOOOOOOOOOPPOOONNNMMKKKMMMKIHHFKMKIFKKIFHEzzzzzzCCCGGINNOOPPPPQQRRRRRRRRQPPONKHBzAzyAyzywttxxAEEEEEAAAAyzAyxutuxAEIMMKKKMMKKKNPPPPQQQRRRQQQQPPONNONOONMKIIKIIHEEBBAwttwttppplfc953|<</~),>--%$#@",
+"#$&&*-->>>,))~~~~//<<||3333599ccfdcffcfffiinnrpttwyAABEHHHHIIIKMMNNNNNNOOOOOOOOOOOOOMKKMNNKIIHIKKFFHIIIIHEBzzvxxzCCCCGHKNOOOPPPQQQQRRRRQQQPONMIEAzAzBBBzywxxuzBEHDEDAAzAAAAxuuxyABIMMKKKMKKKKMOOOOPQRRQQQQPPPPOONNNMNNNMKKKKKIHEEEBywtttpppolfc953|<//~)),>>-%%#",
+"$&**;>,,,,))))~~~//<<||335559ccfccfffffiilnlnpptwyyAABEEHHEEHHIIKKKMMMNNNNOONNNNOOOOONMNOOMIIEEHIIEEIIIHIIBzzzxwxyzzCCCEKMNOPQPPPPQQQRQQQQQPONKHEAzAABEBAzxxwDAEEHEDAAAAEBAxxuxxzEIMMMKKKKLKMMOOOPQQRQQPPPPPPPPOONMMKMNNMKIIKIIHHHBAytwtppoolic953|</~~),>>-*%%$",
+"##%=;>,)))))~~~~//<<|||355999cccccffffeiiiloppttwwwAAAABEEHGEGGJIIJIKKMNNNONMMKKMMNOOOOOOONKIEEHIHBEHIIHIICzzzwwvvvvyzzCCIKMOPQPPOPPQQQQQQPPPONKHEAAyAABBCAxwyAAEDEAAyzAEECzxxxzAEIMMMMKKIKKMNNOOPQQQQPPPPPQPQQPONMMKMNNNMIIIIEHEHEBAwwttpoolif953|</~),>>-*%%$#",
+"+@#%*-,,))))~~///<<||33559cccffccffcfeiiilloopppptwwwAABBEEEHJHHIIJIIKKMNNOOMKIIKKMNOOOOOONMKIIIKIGCGIIEIIEzzzxvvvvvvxyzCCELNOPPPOPPOOOPPPPPPPONMKHAzxzzBBCzzyADEDDBAyAzBEEAzxxzAEKMMMMKIIIKMNNOOQQQQPOOPQQQQQQPPONMKKNNNNKIIIEHEEBAyywtwppoolic933|<~))>--*%$#+",
+"+@#$%=->,,,,))~//<||335599ccfffcfffffiiiillllmmooqssvyADBEHIIHIIILIIKLKLMNNNNMKFIIIKMNOOPONKKIKKMKHGGHEEHIECzzvvwvvwwvxyAzCHMNOOPOOONNMNOOOPPPPOONMHAxxyzAACAzADDDEBAzAABCCBAzzzAEKMMNNKIIKKKMMOPQQPPPPPQQRRRRQQPPONMMMMNMMKIHHHHBAAywtttpooolif955||/~),>-*%#@+",
+"++#$%%;>>>,,,))~/<<||335559cccccffffiiiijliiiiillmqtwwDABEHIKKKIIMKKKKKKMMNNMMKKKIIKMMNOPPNKIIIKMIHEGHECEHECzzxxwvvwvvwzyyzCIMMNOOOOOMKIKNOOOOPPONNKBwxwxzABCzAABBAAAzAACEBBBAAzBHKMMNNMIIKKMMOOPQPOOPQQRRRRRRRQQPPOOMKKKMMKIHHHEBAAAywtpoolllifc9953|/~),>-%#@+",
+"++@#%&=;>'>,)))~/<<<||33555999ccfffiiiffffgfggkkmmqptwyDBEHIIIIIIIIIKKKKIKMNMMKKKLKKKMMNPPOMKHEIIIEEGJHHHHICCzwwvvrrrppwyzzCGHKKNNOONKIHIKMOOOOOOONMIBwxwwyACCCBBEAyzAzAEEAABBBBEIKKMNMMKIFKMNOPPPONOPQRRQRRRRRQQQQPONKIIKMKKIHIEEBBByywtpoiiiffc9553|</~),-*%@+",
+"+@#$%**;>'',){~~//<|||33355999ccfffffccfccccggkkmoqqutwyABBEEHHIHHHIIIKKKKMMKKKKKKKMMMMNOPONMIHIIHBCBEIJIIIECzxwvqrrrrrssxzzGGEIMNONKIHJEHIMONNOONNMKEAAxxwzACBCBBAzzAzBEEBAABEHIKMMMMMMKKKKMNOOOOMNOPQQQQQQQQQQQQQPPOMKIKMMKIIIHEBAAAyttpoiiifc9953|<</~),>-%#+",
+"@#$%%*->''){~{///<<||||3555999cfcccccccccccgggimmpquutuwyABBEHHIIIIIIKMKMMMMMKKIHIKKMMMNOPPOOMKKIHDzABEEIIIHGCyvvqrrrrrsssvzBCCEKMMMIIHEEEHKKNNNNNNNKHEAzwxwyCBCBBAAyABBEECAAAEIKNMMMMKIMMMMNNNOOMMNOPQQQQQQQPQPPQQPPONMKKMMMKKKIEBAAywttpoiiifc995|<</~),>*%$@+",
+"+@#$%*>>)!~{/(/(<<|||3355599ccfccccc9cccccgggkkmmqqqqutuwyBEEHIKKKKKKMMMNNNNNMKKIIIKMMMNOPPOOONNKIDzzzACEIHHHEAAussrrrrssstzBAzCEHIIIIHEEHHEHKNNNNNNKIEEAAwwwyACBCBBzCCGEBzACAEINONNNMIIKMNNNNOONKMOOPPQQQPPPPPPPPPPPOONMMNNNMMKIEAyywwtppoiiffc9953|<~),>*%$#+.",
+".+##$&*>,){~//<__|||335559ccfccccccccfcccfggilmoomqquuxwyAEHIKKMMMMMMMMMNNNONNMMMKKMNNNOOPPOOOOOOMEBAzAzBHEEGEEBwtsummmmssswCAvzCHHGCEHHHHEEEEIMNNNNMKIEBBzwwwyABCBBBCEHHBzzCEEIMOONNMIHKMNNNOOOMMNOOPQQPPPOPOOPPPPPPOOONMNNNNMKIEAywwwtppoliffc953||/~),-*%$#+.",
+"+@#$%&*>>,!)]~(((<|2335999ccfffffffffffffkilooooppptwxzACEEHIKMMMNNNNNNMMNNONNNNNMMNNOOOPPPPOOOOONIEABAABGEEEEEBwwummqqmmmtwwzvzCEECCBEEBBBEEEEHKNNNNMKIEBBAwwwyAACBEEHIIEAAAEHINOOOOMIFIMNNNOOONNOPPPPPOOOOOPOOPPPPPPOONNNNNMMKIHBywwwttpoliifc953|</~)>-*%$#@+",
+"+#%%=*=>>,!~{](/__<|335999cccfccffffffffiiloloppptwzAABEEEEEHIKKMNNNNNMMMMNNNNNMNMMMNNNOPQQPPPPOOOMHEBEEEHGCCEBzxxwuuuqqmmqwwtwvABBAzCABBAABBBBBEINNNNMKIHEEAwxwxzzzBEHIKHBBBEKMNOOOOMIIIMNNNOPOOOOOOPOONNOOOPOOPPPPOPOOOONMMMMKIHEAywwwwtpliffc933|</~,>-*%$#@+",
+"+@$%**->,'!!~]/<__135999ccccccccfccfccdfiilllopptwyAAAABEEEEHIKMMNNNNMMMKMMMMMKKKKMMNNNOPPQPPPPOOONKIHHHHHGCCBAwttquuuuqmmqquspvAAAzwwyABAAAABBBBEIMNNNMMKIEEAxwwwzzyBGHIHEEAEIMNOOOONKIKMNNOOPOOOONNNNNNNNNOPPPPPPPOOOOOONNMKMKIEEAywwwwwtplic9553|</),>-*%$@+.",
+".+@$&%=->,,']/<<<1|5cfffccccffffffffcdfiililoptwwyyAAAAAEEEHHIKMMNMMMMKIIKIIIIIHHHIKMMMNOPPPPPPPPOONMKHIIKIECBBwtuqquuuuqqqqqssuwwusuwyAABAAAAAAAAEIMNNNMMMKIEAzxwzzyyAEHEEEAzEKNOOOONMKKMMNOPONNOOMKKKMMMMNNOPPPPPOOOPOOONNMKKKIEEAywwtwwtpoifc993|</~),>*$#+. ",
+" .+#$%&->,')]]_1||79filiffffiiiiiiiiiiilllopttwwwyyyyyAEEEEEEEIKKMMKKKKIIHHHHHEEEEEHIKKKNOPOOPPOPPOONNKKKMKIHEEwtumqquuuuuuuqtswwwssstwyABBAAAAAABBEIMNNNNNMKIEAAyzAyyAEEEEECABHMNOOONMMMMMNOPONNONKIKKIKMMONOPPPPPOOOPOOONNMKMKIHEBAwtpttpoliffcc93|</~,-*$#+. ",
+" .+##&%*;>,')]_<1359dfifcfiilllliiiiiilloopwwwwwwwwyyAABBAAAABEIIKKKKKIIIHEHHGEBBACBEHEEIMNMNOOOOOOOOONNMNMKIHEAwtmqquuuutxxqmtwwwtssttwyAAAAAAAABBBEIMNNNNMMKHByzyAAAAEEEBBAACHKMNNNMMMNMMNOPOMNNMKIIKFKMNOOOPPPPOOOOOOOOONNMMMIHEBAwtpppplifcc99953|</~,-%$@. ",
+"..+#$&%*;>,')]_<|359900009dfiiiiiiiiiilooptwwwwwwwwwwyywwxxxzzAEEIKKKKIIIIHIIHEBAAzzCABEHKMKIKNNOOOOOOOOOONMKIIByuquuuomnpzyuqquuqmmmmstwyyyyABAAAAABEIMNNNMMKKHEywwwyyAABBBBBBHKMNNMKKNNMMOOOONNMKIKKKKMNOPPPPPPPPOOOOOOOONNNMMMIEAAwtpppplfc99553333|</~,>*$@.",
+"@@#$%&**-''')~(<}357527755799ccffffilloppttttwwttppttwtttutxxxABEEIIKIIIIIIKKIEEBAAAyAABHKMIHIIKMNNNOOOOPPONMKKEEzyyAtrnnrtzxuuuuqmmmmmmswwtwwAAAAAABEHKMNNNMKKKIEAwwyABAyyABEHIKMMMKKKMONNOOOONNMIJIKMMMNOPQQQPPQPPPONOOOOONNMMKIEAywtpppolif955||<<<</~~),>*%#",
+"#$%*;>>,,))!~](<|35772447777709cccfiiopptptttttptppppuwwwwwxwyyAEEEHHHIIHHIKKKHEEEEAABBBHMNMIIIIKMMMNOOOPPPPOMMIHEEGEytnlopxxuuxuqmmmmmmmsttuuwAAAAABEHHIKNNMMKKKIEAAABEBAyAEHIKMMKKKKKMNOOPOOOONKIIKMMNNNOPQQQQQPQPPOONNOOONNMMKIHAAwwpppplifc95||<</~),,>-*%$#",
+"+#%*>,,~~~~///<|2552243277777090ccgiloppopttttppppppptwyywwwwxxADBFFHHIIIHHIKKIEEEEABEEEHMONMKKIIKKKKNNNOPPPPOOMKEEHHEwprptxuuxzxqmmmmmmmssssstyAAABBEHHHIMNNMKIHHHEBABEEAAAEIKNMMMKKKMMMOPPOOOONKIIKMMNNNNOPQRQQQQPPOOMMNNONNNMKKIEAwwttppoifc953|</~),>-*%$#@+",
+".+@$=-,)~//<<11555575a7657509099cgfiooolopppppoloppptttwxttuuuuyAEEEEEHHHEEHIIIHEEEBEEEEHIMNMMKKKKIIIKKKNOPPPOOONIHEEEAtpptpuuxyxuqmmmmmmsssssswyABBABEHIIKNNNMKHEEEAwwAAywwAEMNONMKIKMNMNPQPOOPOKIIKMMMNMNOOPQQQQPPPONMKKMMONNNMMIHBywwttpolic953|</~),>-%$#+. ",
+" .@#$*->,!~]<149999909a888999ddcffilollloppooooopptttppprqpuuuuwDEFEEEEEEEGHIKIIIHHEHIIIIIMMMMMKKMKIIKKIKNPPPOOOOMKHEEBwtttpppptsuuqqmmmmpspssutwABEBAAEHIKMNNNMIEACAwwwwwwwyBINOONKIKMNNNOPPOOONMIIIIIKMMNNNOPQQQPPPONMMKKMNNNNMMKIEAywttpplic953|</~),>*%$#+. ",
+" .@#$%-->,)~/<|56596999cdccffggiilooliloppooloptttutpollqrqruquwAEBBDBDDABEIKMMKKKKIKKMMKMNNNMNNMMMKKKKMKMNOOOOOONNMIHAwwwwtpppppnuuqqmmmrssusttyABEEBAABHIKMNNNMHEEEBywwtttwAEMOOOKIIKMNOOPPPPONMKKIIHIMMNNOOPQQQPPOONMKKIKMNNNNMMKHEAwttppoif953|<//),>-%$#+. ",
+" +@#$%-;;'!](_||322565599gfffiiloppolllppplooptwwtpollllprprqquwABAAADDAABEIMNNNMMMKKMMNMNOONNNNNNNMKMMNNMOONMNNONOONMEwtwwwtpppnjnquuqmmsssupuwBCEEHHHAABHIKNNNMKIHHHEAwtuttwBINNMIIIIMNOOOPPPOMMMMIHGHIMNOOOPPPPPPOONMKIIIKMNNNMMKIEBywppooifc53|<//),>-%$#+. ",
+".+@#$*=;>,!](_<}}|346769099cfiiooppoilpttppoptwwtpplllooprrmqquyBADyDxxyAAEIMNNNNMMMKKMMKMNOONNNNNNMMMOOOOPPOMIIIMNONNKAwwwwupppnjhqqquqqssspuwACBBBEEHEAAEHKKNMMMKIIIIEypopptyEKKIEEHIINOOOOOPONMMMIGEEHKMOOOOOPPPPOONKKKIHIKNNNNMKKHEAwtpollic953<</~,>*%$#+. ",
+".+@#%=-;',](_<|:|||776599989fiilooliiotwtttptwwttpooooollqrqquuABADxtuxxzAEIMNNNNMKKKMMMIIMNNNNNNNNMNNNOOPPQPOKIEHKNNNMIEBwutwtqnhjjmqquwttpsvwzABAwwyABAABEIKMMMMKIHEHEBwtptwAEEEHEEEHIMNOONNPPNMMKIGCCEFKMNNOOOPPOONNMKKIIHKMNNMMKKIEAwtpollif993|</~)>-%$#@..",
+".+@#&=;>,)](_<1:}|4114700099filoolffiotttppttttppoopooolnqqvvuxABDxuuuxxxzGKMNNMNNMMKMMMHHKMKIIKKKMMKNNOOPQQQPNKGEEIKMMKKIBxuwxupjhemmqqwwwuvxwtwywtutxAAAABHKMKMMKKHEAABywptwAEHEEHHIIIKNOONNOONMKIHGCCBHIKKMNOOOOOOONMKKKIIIMNNNMMKKEAywpollifc953</~),-*%#@+.",
+".+@$&--')]((<<_1}|114770799cfilolfffiopttpppopoooopoolmllrvrruxEBzuxuutwwxBIMNMMMNNNMMMKEHKKKHEEHHIIIMNNOOPQQQOMHEEHHHIIKMKBywxxqnjhmmmqwwwwypsuwywtpqtwyAAAEIKKKMMMKEAAAtpptwAEEEEEIKMKMNOONNOONMKHEECCBGHIIKNNOOOOOONMMKKKIIKMNNMMMKHEAwtplliifc93|</~,>-%$#+.",
+".+#&%;;,]((<<:<||1114770770fioollffgkpppqppooigllooolikilrprruxEBwuxvstwwxzEKNNMKMMMNKIIEHKMKIHEHHHHEHKMNOPQQQPOKHHEEBAAHKMKGCAxuppnqqmmtwwwxtsmquuqmmmmwyyyAEIKKKMMMIEBxqoputyBBAABEKMMNOPONOPOONKIEEEBCGHHIIKMNNNOOOMMMKKKKKKMNNMMMKKEAywpoliifc953</~),-*$#+.",
+".@#&=;>,]((_::<|_114470770dflooiifcgmppppqpoiigglmolikjiimmnruwAAxussvvupptyHMNNMKKKKIIHHEIMMKIIIIHEABIKMOOPQPPONKEEEAtuwEIKKKHAutttxuquttxwqqqmquqqmmmmmwywwyEIMKMMMKIHAqmmuuAAAwxwAEIKNPPPOOPPONMIEGGECBHFFIIMNNNNNNMMKMKMMKKKNNNMMMKIEAytpliiifc93|/~),>*$#+.",
+"+@#&=->){((___<|__14770070cilpliggdflpppppplggggkoolikikjnmmqqwAAxsstunqqpptyEKNMMKIIIHEEEIMNMKIIIIEAAEIMOPPPPOOOMIHEAumotAEKMMHAwwyAAxwwuqqquuqlnnjmhmmmqwwwwyAIMMMMMKKEumlptABywttyAAHMOPPOOPPONKIJECCCEHIIIKKKKMMMMMMMMKKKMKKMONNMMKIHBywpoiiffc953|/),>*%#@.",
+"+#&&->'!{(((___|__1477770dgimoliiddglloppoigggggkkolikjkkmmnqqtwyzutvoonoppttyEIIKKKIIEEEBEKNMKKKKKIEABIMOPPPOOONMKKKHwolootAIMMHBAABAzAyqqqqnorooonjemmmqqwwwwuAIMMMMNMKApopwBEAwtttyyBINPOOOPPOMIIHGECCEGIIIKIKKKMMKMMMMKKKKKMMNONNMMKHEAytpoiffc953|<~),-%$@+",
+"+#&*->!{{(((__<_[_1}23246dklopmliddfiilllifc9agkkiollillknqpuuuwxxwunnoookkmqwABBAEHHIHIHHEIMMMKKIIIHEEIKOOPOOONNMKMMKEwpojipyIKKHEBCAyxuuunnlmmmmmkifjjqqpwywwquCIMKMNNMHytpwBIHAtttwyAEMOONNNONKHHHJGBBGEIIKIIIIIIIIMNNMMKKKMMMNOONMMKIHBAwpoiifc955|</),>*$#+",
+"+#%*>'!{{((::___[_1}34226bkmppoliddciiigifc9a8akmkkollllmprsuuuuxwzxrnnkkkkmmqtwywwyyEHHIIHKMMMMKIHHEEEIKMOOOOONMMMKMMKAwpiiipyGIIIHEAzxxrookkmmqqqmkgjjjqquAyywqwBIKMNONMHAwtBKMHytuwyyEINNKKMMMIJEEEGBCEHHHIIIIIIIIIKMNNNMMMNNNNOONNMMIHEAytplifc995|</),>*&#+",
+"@#%-''{{({](<:<__:<}3222adjouuqligd9fiddddd9aaakmkglolmomrqpuuuuuuyttqkkmmmmmmtwuqtutuAAEEEKMNMMKIHIHEEEIKKNOOONNMMMMMKIEApfhlpxzEIMICztppmkkfjiloppmkkjjquwAAAyuuyEHMNOONMIBAEMNKBttttwyHKKIKMMKJHEBEEECCEHHHHIIHHIIIKMNNNMNMOOOOOOONNMKIEBywpoifc9953|/~)>-%#+",
+"@$=;,){(~/]<:<:___:}422269iotwtmig9acgddgdd0788cmkgloooomqqqqsuvuswtwtmmmmkjmmuwuqmmppuwwyABIMMMMKIIHEEEIEIMNONNMMMNMMMKIIAoooopuyEMMJAwqqmjeecbcfopomkgjnwwwAAAuutABHMNOONKIHIMNNHwppptwEIIEHMMIHHEBCBCEEEEHEHIIHHHIIIKMNMMMNOOPOPOOONNKIEEAwtolicc953|<~),;*$@",
+"#&=>,!~(](/(:<::__<}211179iotxwpmg9a0ggggfd07a8cmkggoooooqrmqquurrtpwtuqmmmmhjuwwuqmmmutuwwxCIKKKKIIEEEEEEIIMKKKIKKMNNMKKKIAttpmmpwHIKHzuomiec9abbfiolkggluuuwyAAtuuyAHMOONMKKKKMMHypqptwEIEEEMNIEBEEAABEGEBEHHIHHHHIIIIIKMMMNNOPPPPOOONMIHEBywpolfc955|</),-*$@",
+"#%->))~(]//<</<(::}|111147fmtyywqkc90dgfgd0077ackkgglopppqqrqquuqvnrtqpupqijloptwwuqqqqwwwwyzEEEJHHHHBBEEBHKKIHHEBEKNNNMMMKIEBwummpwBHIEApmkifba88beinikglnqquwyAwuuutyEMNNNKKKMMMIBtomqtEIEEEMMIEABEBzAEHEBBHHIIHHIIFIHHIKMMMNOPPPPPOOOMKHEEBytpolfc953|<~)>;&#",
+"%*;,){/]/</_<<<(_:}1|11147dltwzAwnfd0dggca00009dfmkhnlppppurquuussopqmmquppppptyAwtxuuuuuAAAAEEBCBBEEEBBAABIIHEBAAAEKNNMMMMMKMHAtmpmuACHEwpmlgcaaa89fiokkkoqqqwyABwuqptzHMNNKKMNNNKHypmmtAIEEEKIECAABBAABHHEBEIFHIIIKIIFFHKMMMMMOPPPOPOOMKHEEBAwtplifc995|<~,>*%",
+"*;,)~((/::<<<<<_::11211147dipwAAztlgdddccca0008aemkklooputxussuuuuorpkmmqoppptwyAyttpuuuxxxxCEEEBBAABBBAAwAEHEywwwyAEKMMMMMMMNMIBwqmoptAEEyolifca668ciilmmonqqwyAAyxuoptzIKMMMMNONMKBwqotAIEEEHEEEBABBBADEIHEEIIIIIKKKKIIIKKMMKKMNOOOOPONKHEBBAwtpoifc9953|<~)>*",
+"-,)~/_|<||||1__<}|2|4411470gmtyCBypkgbdfgfdd008bbmmkkonpptywwttusuvookkmmlnoopptwwprolluutuuzEHEEEAzAwtwwwwBHEypppptwBHIIMKKMNNNKGzpooptAEBwpiif9a6aceiinqpnuuxAAAByxtopxEIKMMMNOONMIAwqtyHHEBEEEEEBABEEEHIIHEHKKIIKKMKKIIKKKMKKKMNNOOOOOMIEEAywwtoigc9953|</),-",
+";>)~/(_||||1||__}|14434}470dkpyzEAzulfhffffgdddabmmmkkorppwyyxwuustprmmmmiikillmptplnjinqqqquAEEBEAwwwptttwAIHAtlilptwyAEIKKMNOONKEwpoolpyEEyplifd866fiioqqpxzAEEEByxwppuAEIMNNNOOONKHAttyHHHBEEEEEByAAEHHIKIHHIIIIKKKKKFIIKKMKKKKKMNOOPONKIEAyywtplid995||/~)>-",
+"*-,)~/_<|}|||<__:<|2442}}470dlpwABAAtoifcffggdhbbkmmmkgoopuxyzywwuuppummmeefefgkopmkijhijijquyBAAywttuuuppowHIAwpliloppptBEIIMNONMIBwpiiiowEEAtliff98biilotwwAEIKIHEAywptyBEKNNNOOOOMKEywAIKIEHEEEEAAyAEEIIKKKIIIIIIFFKIIHIIIKMMKKKKMNOOPOMKEEyywtpoifc0531</!'*",
+"=-,!~/__|||___(__:_1442}}2770diqtyAzytplffcgggifkkmmmkklmoptwyAAAyxtttmmkkehbhgkmpplkgheehjjnpwwwwwqquppollpAEBytoliloliitABBIMNNMKIBtoifipyEEApliifeciijotwAEHIKKKIBAytwyBEIMNOOOOONNKHBEKKIEHIHHBAAyAAEHKKKMKIIHIHHIFIHHHHFIKMMLIKKMNOOOOMIHByywtplif9771<({'=",
+"=>,!~/<_|}|___<_<:_<1422}}2770cilpuxwwwtplifggikmmmmomkoloouuwAABAAAwtmkkkbbbcdgmtplggddeijjnpwwvttqmoollllltABAwpoiillfflttyBIKMMKIEAtoffipyEEypliiifiiilpwBIKKKKKKIECwwAEEHKNOOOONNNNKEHKMKEIIHEEBAyyAAEHIIKMIHEEEHIIFFHHHIIKMMKKIKMNOOOONKIHByytpolic054|(~';",
+"=;,)~/_<|}|<1<<__((<14222227770bhkmoptttupolkgjimmqqqqmkllmmppwAABBBwupkkkbbbbdglpumgddddgkknpxzwwwqlolnlifipyAAAwpolllifioopyBHIKKIEAwpicccmwBBxpllliillootBIMMKKKKHHEAyABEEHKOPPONNNNNIIKMMHEHHEEBAywwyAEIIIKKHFEFFEIIFHIIKKMNNMKIKMNNOOOOMKIHBAwtpolid571_/';",
+"=;,~/<<||||11<|__::_1}222227777abdgekloptttpqmlimmqpqqqknnnorppwyAABwtpkkkkbbb0glppmgdddggmmmuwAAywtolnllecclwAAAywpoopoiiiiltyABHHHEEAtof57dipyypoiiillllotzHMNKKKKKKEEABBBEEINPPPONONNMIKMKEBEEBBAwwtttwAHIIKKHBBEEEFIIIIIMMOONMMKIKMNOOOONMKHHBAytpoifc96}_!;",
+";'!~/<<|||21|1|__:___}}22227777880888bfioopputpoqmmmpqqmomnnrppuwyAzAtpmkgkhcb0dkoqmgdddgkmmmqtAAyywooooif98fotyywwtpopplifciowwtwBEEEByti0730gmutpiiiillilotCKMKIIIKIIEEBBAABEKOPPONMNNMIKKEEDAABAywttpptyEIIIKHEABAFGHIIIKKNOONNNMKKKMNOOOONMIHBAAytpoif952_!-",
+";')~/<|1||3114|<1:[_[1}12267000a0aaa66aadfloqutttppommmmprnoopqpwxwyywtpkkkfehddkmqmggggkkkkkmqtwwwpolollic89ilotwwwtqptpoiccippoptyBEBAxqf5347dltwoiiiiliifowEKKHEAEEHHEEAyyAAHMOPONKKIIIIIEBAAyABAwtuuqutAIIIKIHBAzACFHIIKKNNOOOOONKKMOOPOOONMIHBAywtpoif97:);",
+";'~/<1|1453442|11::___:[}227000bdaaaaaa6a8cfkmutwxtuqmmmqprnnopptwxxzzwtmmmmheedgmpmkbcfffbbbeipttopllillif99fcipyywtpopmpof9flpoilpwABAAuld3||7dlutoiiiififioyEIJAwwABEHEBywwwAINOPNIEHHHIIEAyAyABAwqprpptyEIIIIHECzAABEGHIKMNNOOOOOONNOPPPPOONKIHBAywttlif5}{'",
+"'!~<<|347555333311:___1:[}47770008a6aaa66a0adglowwyxuupmpppronpppwxxwywwtmmqjjedgmoojeeehbbbbhfoooooljfiiifccddcowywpilommplccilliilptAAAyuid7|47dmwtoiifffbilwAEEAtppxAEEEAwpwAHKOOOMHCBEIIIBAwwAEEwqmprptwEHHHJHHBzzzzABEEIKNOOOOOPPPONOOOOOONMKIEEAywtpol92[,",
+"!~(||355055957|211}}__1}[}447787066aaaa8668a0degmuwwxwwuttppqrqppwwwxxywwqqpllidgkmpjffhfb9bhbfiopooofccffcb50ccitAypiglllppiffiiifilptyAAytmf0770itzwpliiifcipwBEypolqtwBHEwppyEKNOONKBABHIIEyywxAEwumpqqtwAEHHEHHECzzzzzCCGKNOONNOPPQPONOOOOOONMKIEEAywtpof7}!",
+"~/1435990999577314}}1111}44247a76222666a6868ddbkkmquuwwwywttpprrqxxxzxwtwpqqqonggkmqljfeea8bbb8elponifccccc770dcfpywoffiiklpoliififiioqtyAAzwpmd77dmwAwmgiiiffotAAwtoiilpyEIBtotAIMOONMHyABEHHAtwwyBytqppruwAEHHHHHHECzzzzzCCGKNONNNNOOOONONOOOONNMKHEBAAwtpi93:",
+"~<|7599cddcc099544}22114244477776}22226a66a8ddekkkkmmquwAzywwupqqwwxzyxttwuutlliggmqoiiheb8ba88clpoolibcccc5750dfltwofdfifimpppliffiiimptwAAAyulc0dkuAAwoimoilotwwtplifcipAEIAtpyHKNOONKBwyzEEBxwwwAxwutrpptyEHIIHHHHECCACzCCBHMNNNMKKKMNOONOOONONNMKIEBAywplc|:",
+"]<|5559ccdfcc9a90772244444477776622222226268ddekkkkkkmmqwAAAywttpwwxzzzytwquuojigkmooljieb8a888ciopoli999cc95|399fowpf9cfdglotwticcfffgouwABEEBwpifipwAAwpppqppwyytpplffeioyHIAttBIMNONNIywAAEAzxtuwwwuwsrpuwBEIIHEEEEGBCCCAABEIMNNMIIHHIKNNNOOONNNMKKHEBywpid3]",
+":|35099dfdgbc0d9975224477777787a2222[}22622a00bkkkkkkkmmtwyAAAywtwwvxzzzwuwqtuljkkmmoliifb678889fopliic88c097||59clwwofcfccilqwwofcfiiiotAAEEHHEApliipwAAyttttpwAytpppliccipAIIytyHMNOONMEwyAEBAwwwzwxuytprptyBEHIEEEEEEBAAzAABHKMNKHHHEEGIMNNONNMNMMKKIEBypli5:",
+"}6599ccfffgfc0dd9706657777777776222}1}16666800bkkkkkkkmmpputAAAAyAwwxzzyytuquuoojkmmooiihc666888elpllic9999951|45clwywpif99cgipwwlfiopootyAABEHHEwpiiiowAAytututyytolopoiiiltHKHzwEKNOOONKAwAEEAyyAzwtuwwtrrpwABEEEEEEHEBAzAzABEEMOMIEEEBGGKMNONNMKKKKIHHEAwpic4",
+"|609cgiiiliiecdd0000675777708066266}2226a66800bkkkkkkkmmqpuqwwAAABAzzxywyttqquppoklmqoljheaa68aabjplllic99055|||5fotyAwoi9599glwBypopppoptwyyAEEEAtmifglwAAtpqptwAwlcfiooifflwIIEABKNOOOONIAABEEwyyAwuuwywpppswzAEEEBEEHEAzyzzAAEKNNKEFEBCCIKMNNNMMKKKHHEEAtoib5",
+"_}599fgiklliifgd9c006665500cb0aa6a4242228aa8dehkkkkkkkkprqrsstwyACBAAzzvxxttquxppmmoppojifb666aabfolloic99575|1|5iptyAtoic509clwEEypoppplotwwyAEEAwplf99itzypompwAwofcfqoliffoAIIEAHNOOOPOMHABHHBvxwuuutxwtppptwwAEEEBEHECyyvwwzBHMMMIEECCCHIKMMNNMMKIIIHBAwpi81",
+"_|290cggiiiiifdcdc90d0899bcfdgc9807a666a8a8bghemkkkkkkkrrrqpuuutwBEEEEAzvxtwquxttpmppppniee866a88elllllf997553115iptwAtliiccfilpAEAwpoppootwAAABEBAyulf99iwzwpllpyAtf9ioolkdfipAEByBKOOPPPOMHBHKHytwtuquttwtqqtwwyAEEBBEHEAytwwyAEIIKIEECCGIIKMMMMMMMMIIHEAwpj82",
+"}478dcggfiiiifdchd00d09cdfffggeff9b99999fccfhjmmmmmmkkkprrrpruptyAAGEHEzxwttquutttqqttpojfeb668a8ciillif885553335fpwABApoooliigipyAAtooppopyEEEEBEBAwpf979iuxulgipyti9ciolffcdipABAwENOOPPONMIHKKBwppuqqutuqmmpswwyBBEBEEHEwxwwwyzABHHEEEEHKMNNMMMMMKKKIEEAwpj9}",
+"[458ccfgiiiliifhfffdggcfffiigffffcc9dcccffhimnqqmmmmmmprqrrrrrqqwvzCGIIECzwttquupttttxwplfehb6a88bfllliic885557339lwABEAwwtoic9fotwwwpoppptAHIEBAAAzwpg5413guuogditwlc9cillfc0cipyAyAINOOPOONKIKKIAtppopttupqmmqqwyABDBBEHEzxxwyuxzAAEEEHHIKNOONMMMMKKIIHHBwpj8}",
+"[659cffiiilllikiiiigkkfffiiigc9cc8956aa9bfgimouuqqqqmmpprpprrrrrxxzzBIKHGAzttqqupptuwwwtnifhbb6a8aclloiic9959994}6ftwAEIHAticccfloppxwtpptwyEHEyxwwwwpk0|<_4gqpicfpwticcktttld9dltAAAEKNOOOONMKIKIEwttppppptqmmmquuyABABEEEByxxzuxyzzAABHHIIMNONNNNNMKKKHHBwulb}",
+"}6addfgiillolllmlilikikffffdd96622|2327689ahknqquuuuqttutrrrrprtvwxzAEIHHEAttuqquppuxAzypjfhbbb888bioollfc909954[3cpwAHKHyof9cccfilotAAtpwwwAEEAwwpppqmd4_/<9kqofcmyApifoAAAwof9iqwBAAHMOOOONMKIHKHAwuttttttpolmquuuwABAABEEAywsuxxyxwAAFEGHKMNNNOONNMKKKIEAtqc6",
+"669ddfiilmmpooollilffffg9bc0d056}}:}[}2}a68dhhmnmqpswwwwtttuprrvvxxAEDEEGGEBwtmqqopstABCyoifbbbb88bfllollfcfd95333cpAEIHBtlfccc9ciiopyAAwtttwBEEAwpoomif5|<_49mqkfiwytiipAAAAtlfcfpwBABKNOOONMKIHIIBwwwtutwwwtooouttuxBBABEEEAuuuuxzxuyyyCBGKKMNNOOONNMKIIEAtqh6",
+"6abfiikllmpqppomlmiigffgf9906622}}[[::[}66addbkmmmmtttxvwwwttuwvvxxzBFEEBCEEAwqmqqnotyEIEwmhbbbb888cipopoiff995756cpEHEytpliif959clpptAEAwttyEEEAwpmkmmg93<<<|9mmgfmwwoiotwttwplccfqyAyBKNOOONKHHHIHAwtpttwyywttppttuxAEEEEEEExxxxxzzxywwAzCEIKMNNNNNNMKIIHEzrk8",
+"6bhilllomppppppmllilgggig997a222}}}_[[:[22adbbkkkkrrquttwwwwvyxvxxyDBEFEBzCEAAwqqqooptBIICtlgbbaba8biooptofcb90799ftEEypopplifc55cloptyEHyttyBEywpoomlmld7|_((|dolcfqupllliilptpicfipyyyEMOOONKIEEHIEwtppptwwwwwwyywwyzEEEEEHBAzxxxzzyxywAAzCHIMMNMNNMMKKIHEzxk8",
+"8bjilooopppppppmloiifgkkica76222}}2}}[[[2280bkkkrrqrrrrpttwwzzzyzxzDDEFEEzzAEBAuqqqoppxEKHymkggbdb88fltttof990900flwBAtiiopoifc569iotwwEIEwtwyAtpooomopplc51_(/3goicippliiiflpttpfciowAyAIMOOOMIBABIIBwoilpttttyAEEBAACEIHHEHBBAxwyzzAyAyAzzCFIKMMKMMMMMMMIHBxnd",
+"dhinommppqppprrmloiigggkkf00a222}}22}}[22280bkkppprrrrvqrqvxzAACzAEEFEEFDzzzAAByuqqnprtAHIBtmgggbbb8cltwtpiccc90cipwywpfcippifc959fopwwAHKBwtwwplmllmoptpod7|</|9kmggoolllllpwwwtoiflpAAyEKNOONKEyyEIIApiiipppwABIKIIEHIIIHEHEEAzxwwyAADAAzCCEHLKMIKKKKMKKKHBAqe",
+"eklopopppqtppprmmoiiiggike006222}}}}[[[22280bkhrprppqvvvtvwvwwzzCEFHHHEDDzzwzwAByxuqoptwEIHzqkgggbhhbjtwtoieccc9ipttppof9copifd9999iptwwBKIBywytoiikikotttpg93147gmmklmklppopwwwwplfipwBBBKMOOONIywyEIHwlfflptwyBHKMMMMMMMKIIGGEAxuxxzzEBBCCCEHKLKIIKKKKKKKHEAqm",
+"enmpupptttutpprommokiggggc006222[}[:[[:22800bkrrrrrprtuvvvvvxvzzBHIHILHFBzxzzyxAAAxuqoptAHIExqkgggbejiptpoliccdflttpllic99lpoifcc95clpppwBEHEEEBwooliilptttpi000ddkoomikottpptwwwtoiiowBEEHKNOOOKBwtyEHAoffipwyyABEIIKMNNNONKIIHCAxxxwyBBACCzEFHKIHIIKIKKKKFGCwm",
+"mnmuttttuuuutppomoollgggg800a222[[[[[[[2260bbkrqrrrrvvvwxvvsvxxzDEHIMMKHFDyzwytxAAAxuuptwBIIEwpggggfjilppoolfdfiottofccc99ipplfff969ffiilpyEHHHEEyttpopttuttpiddkkkqpqoilptttpopttpiiowEEHEIMOOONIAwtyBBtlffltywtttwAEIKNOPOMMKKIEzxxxxxABECCFFJLHHHIKKKKKKKHBws",
+"sqquwwwtuxxwtsppqqrmllggg807a222:[[[[}222a0bkkrrrrrttvvvvsvxxxyADEHIMMMIHDzxvwxuwxAzzxupwAHIHAtnggkmlefllppoifiotwtoc99955clppiiic579cfcfiotABAABAywtwtwwxywuuoilpmmquupoqtttlfcippllpwBEHEEKNOOOMHyttyBypieipwwtoolpwCHINOPNMMMMKEzzwxwAAEEGFHHKHHHIKKKKKMMICzs",
+"squuxyyyxxxxtwtpqqrlmjggg8006222[[[}}}2268dbkkrrrrvvvvvwvvxxxxzDFEHKKMMKIFCxxxwttwxzzyxtxyBIIEypnjkmlebciopplilpwwtof965335fppliif929d9c99gipttptwwttttpwyyAzyxppupmquxtpptwwpf99fopptwyBEEBEKNOOOMEwttyAwpliotwpoiiitABEKOPOMMMMMIEEBAxDAEEHIKKKIIIIKKKKKKMKHCv",
+"vwuzyzAyzxzzxwssqrqjjjgggbb06222}}}}}26680dbkkqrpvvwvvvxxxxxxzDFFHLLLLKKIIHzzxxsutqxAzyxxyBHKKBtonmmlcc9flpppppttpolf9555439lplfff950cd9599fiopolottppoiltxzAAzywxwuquxxtpuwwwoc99itwwwtyEEBAEKNOOOKAtptwAytpptwtlliiptwyBKNNMKKKMMIHHEBEBHHIKMMKKKKKKKMMKKLKFCz",
+"vzzzCzCBAyAzAywuuqqjlngggab066222[[[[22280bbkrrrvvvvvzxxxxxzzDDFHLLKNMLKIIHBzxwxstuuxzzyxxzCIKIBtrmmibb8cippttpppoili95553|5folc9c9999c0735cfkloilpptplffipwzzAzyyywttxAwttwywtlfcityywttAEEyyBKNPONHwpopwAAwttwpliiioppuwEKMKIIKKMMIHHEHEHHIKMNNMMMMMMMMMMNLKFz",
+"zACBCCCCEBAACAvtqrqmnngggbb06a2222[}222280bkkrrvvvvvxxxxvzAzDDFHHLLMNMLKIFHECzwvsttwuxzAzxzAEIKHBtqmibc68foottpppliiic99993|9lof999550d0||2559ciiilptpplfcitxyyxwywyyyzBCAwyAywtolowAAywtyEEAtwEMOPOMEtoopwAywwtollinllopwAINKIIIKMMKIHHIHIIIKMNNNNNNMMMNNOONMFF",
+"FCCBEGEGHECBCAwtuvrnmlnggga00622226666a8ddhkkrvvvvvwxxvzzzADDFFHLLMNNNLLHFFFCCzwwsttwuxzAzzAEIKKJApmhbc68cioptppoifiiic999539iplfc963595}:(<437giilotwtpmccmtwxwwyyAAAACIIEABBAwtpwABBAAAAEEEtotHNOPOMBtoopwAAwwpooliiilmtAIMNKKKKMMKIEEIIHIIKMNOONNNNNNOOOOONKF",
+"FGGEGHHHHHEEGADwuvvnnnmgggb00a866688888bgghmpuvwxvvxxxzzzCDDFFHLLLLNNNKLHHFFBCzAtssstuwxAAAACIKKKEymhbb889flppppoicfilic9cc9cippoic65552}_~/137flpptwAywpiccotttwwwyywtyCGEAAEEBytyAEEEEEEEHHAolwINOONKwpoopwABAwtpliihilpBKMNNKIIIIIHEBBHEHHIMNNONNNNNNOOPPPOLI",
+"IFEIIIIIIIIGGDDxxsvnonnkkkbeddc9bbcbbchekjqqttzzyzyzzzzADDEFEHLLLNNONNMLKHFFzzAAwusmmmquABBEEKKMMHAqjbb9889iptpppiccioplifffilptwpf973}32<<<39cflppptttpoi95cmputppppplpxBCywyBBytwBEHIKKKIIIHwllwINOONIwpoptwyBBwtoiceenpAHMNOMHEABEEAzxAAEBGHKNNNNMMNMOOPPOONL",
+"LIIJLKKIKILHHDDxxturprrkknmhggfiffchcffkkjqqwzAzAACCBCBFFFFFHHLKMNNONNMLLHDzzyzwwwqmmmmquABBEHMNNKEwocb8987cotppplfcfotwtooollotwtlc9525553355999fiiiiiiif9539loplllolffotAwpotwtllwBEIMNNMMMKEploAKNOOMHwpppptwyywtlf8eeoxEKMNMHAzAEEAxuyyzACEIKMMMMMMMNOOPPOOL",
+"LLKKKKMKKLKJJDAyxuvpqqummqqlokkifbbbeeggjiqqtyyyAzCCBHFHHFFIILKLLNOOONNLLFDxzvstwuqqmmmqqyABBEKNNMEzpib9b830iopptpliiltABytpollpwywoifcc995|<||<<|7555559553||0klliikkc7cmtxtliii99fpAEKMNNNNNMEppwHKNONMHytpoppptwwplfifltAHKMNKBzABCAxqwwzACCIMNNMMMMMOOOPPPOO",
+"OLMMMMMMMLKIJBAyxtvqutuquutuomkhfebdbbgghmmppwwxyzzzEFFFIIKKMMLNNOOOONNLHFzxvvqtquuqqmmmqqyABEHMNMHAwof89875ciopptpooopyEAtppoopwAAypif553|/)))'))/|||||444|<<|dilmiiig79guxtpifc5|3cpAEIMNMMNNKBwtAIKNNNKHBwpppmlpwytpniopyBIKNMHBzABBxutwxACGIKNNMMMMMNNOOOPPO",
+"ONNMNMNNMMJIEDDzxvvtuwwuuuuunokkhebbbddehmmqwwvwzzzzEFFFFKKMMMOOOOPPONLKHDzxvrrsmqquqqmmmqwyABEIMMICyplc99575floppppoootwytpptttwyAypf93|_/),>>>->!<1<(_||||/~/4cilkggiddfoxAtpic7||3fpAEIKMMKMKIAwyHKMNMMKIBAywoilpwwwtpotAHKKNNKHBABBAxwuwACEIKKMMKKKMNNNOOPPO",
+"OOLNNNNNLKIIEDDzxxwtwwwuuqqqqnigggggggeemmrrvvvwxxzzDFFFIIMMMNOOOPPPONLHFDzvvprmmmqquuqmmmqwyAIIKKIBypof997735illooliiiloptpptttppwwof5|(~~),>>-=='!<_{)///~~,,{3gklkgiigfotyytpi95335fpwBIKIIKKIBwyEKMNMMKKIIHEyplloptwywyBKNNNNNKIEEEEzuwwzCGGKKKKIIIMLMNOOPPP",
+"POOOOOOMMJIJEEDzzwywwwwqqqmmmjhjhggggiijmmtsvvvvzzzDDFFHHLLMMOOOOQQQOOLIFCzvpsmmmmmjnuuqmmmtwAHHIHEEztpic99542cllopoiiiiilpppppollptof3<())))'>;=&*>~<~,)~~)),>,~5ilkiliiiopuyywpf95599kowEIIHHIIEwwAIKMNNMKIKMMIAtolllpwAyEKNNMNNMKKIKIEzAwwCBEHIKKKIILLLMNOPPP",
+"POOOOOONKLLHFFDzzyAwwttmmmmmmmeeedgghjjmmsswxyzzzzzEFHFIIKMMOOOOQQQPONLIEzzvppmmmmejjnruqmmtuyBHIEHEBwpofc95439iopttpolliiopolliffilli5|~),,'-*==%%;~11(~//~)~),)<floqommlmppxAAwic9cc9fipAIIIHIIHytwBIKMMMKIKMNNKEypllnptwEKNONMNMKKKMMKHEAyCCCEIKKKKKLMMMNOPPQ",
+"PPOOOONNLLLHFDFzzyzuutummmmmmmmehheeeemmmsuxwwyzzzBFFFIIMMMNOOOPQQQPOMMFHzwvsmmmmeeejjnruqmmtxAEIEEBBAtplfc5313clptwwtpolilllifffcffloc|/);-;*%=-*-,/|3</<<<<<<~)/5iopupomooquAAwpfccc959itEKKIIIIBtpwEIKIIKIIKNNNNKAtpllopAHMOONNNIHIKMNMIHEEEGCEIFKKKMMMLOOPQR",
+"QPPPOONNLLHFFFCzzAzssssmmmmmmmmmeeeeemmmssvvvwxzzzFFFIIMMMMOOOOPQQQPOMKKECAtummmjjjjhjjouuqquwAEIEBABBywplf00725fotwywtollliliffiifcfol9<)>;**=-,)),)~<<~~/<<<|<))<5fluqqoommuxAyticcf9335itEKIIKKIAttyHIHHHHHIKMNOOMBwoliowBHKOOOOMIHIIMNMKIHIIHHIKKKKMMMNOOPQR",
+"RQPPOONLLLIFFFECCyvtsrrmmmmmmrmmmmmmmmmpssvvvvvzzAEFFIILLLMOOOPPPPQOOLKFECAwwqqjjjjjjjjnpxuqqwyBHEEEEEEAtpic0975cipwwwtplililllllif99flf3~,>***-,),-*-)~~),)~~~~)>)<3clqqmmikmtyytlfffc5|39lAIIIIKKIAtwEIIHEEEEHKMOONMEwpoptABEMNOOOKHIHIMMIIHKMMKKMMMMNNNNOPPQR",
+"RQQOOONLLIFFFGCzyxvsrrrmmmmmmmrmmmmmmmmrrvvvwvzzzzFFFIKKKLOOOOPPQPPOOLIFCAzwuqqjjjggggjjnuuuqwyAEBCBBEEAytof009669ipttplifiioloolid3}5fi9/)>*&*-->*#@#*>,>-->,',,>>)/|dlqqmkggmtxuiccffc559itEIIIIKKHytyEIIHHHHEHKMNNMIEywwyBEEIKMNMKIHIIKMKIHHMMMMOOOOPPPPPQQQR",
+"RQPOOOMLLIFHFECzvvvssssmmmmmmmssmmmmmsssvvvvvxzzzCFFIILLLMOOOPPPQPPOMMFFzyzxuuljjggggggjjjuuuqwABEAAyABAwtpi0097269lppoifffiliilii93:<5ff|~,-=***%#+.+@%--*%-),,,---,{|foqqmkgkqtul959fif99fpEKKKKKKKEwwBEIIIKKIHHIKKMMKEBEBEIKIMKKKKIHEIIKKIHHKMMMNOOPQQQQQQQRR",
+"RQOOOOLLLKFFEzzxvvvssssmmmmmmmssssssssssvvvvvvzzzCFFILLLLOOOOPPPQPOOLLFFzvstqqllkgggddgdehquuuwyAAxzyyzAwwplf777225foolifffifccili93::|9ic|{>-%%%$+.  .@%-*%*,),,>-%*>~3gquqmmikuupc3|3cg95coAIMMIKKKIEABEIIIKKKHEBEHIKMIEHEIMNMNNKKIHEEEHIKIEEEKKKIKNOOPQQPQQQR",
+"RQOOOOLLKFIHBzzvvvvsrrrmmmmmmmrrrrrrrrrrrvvvvvzzzCDFHLLLMNNOOPPQQPONLLFDzvspmmjjkkggddddhehqquuyAyuxzwxywwpoi9576329ioliffffc99cfi953}<3fl9<,>%#$#+.   .#**%%-)),,>%$*,_0kqqqmkkqupi1(/|0c59itEKMKIIIHHEEIIIIHIIHBwwAAEIHEEEKNNNOOONMKHEBEIKIGEAAHEGHFKMMOOOPPQR",
+"RQPOONMLKKIHzzvvvvsssrrmmmmmmmmrrrrrrrrrrvvvvvzzzCDFHLLLNNNOPPPQQPONLHFCzvrrmmjjkkkggddddeejquuuAyuuxwwyAwwpof950059iooifcifd098b0c955|<5ff3~>*###@+....@%*%%%>,,,,-%%-)_cmquqmkkuuo9<)~|9550iwEKKIIIHHEEIIKIHEEEBwwAwABEBBEIKKMOOOOONKHEEHKMIBBAEEEGEFKMNOOPPPR",
+"RPPOONMMKKHEzzvvvsssssrmmmmmmmmmrrrrrrrrrrvvvvxxzDDFHLLMNNOOPPQQQPONLHFCzvrmmmedggkkkggddeeemquxxAxqutwwywwpolf00cdcciiiccffc988799dc9|(/|99<,-%#@@#@+++@$**%%*>>,,,-%*>~3gmqumkkmuul3/!/35379iwEIIHEEEBBEHIHEEBBBAAAAyAAAAAABEHMNOOOONKIHIKNNKEHEIIIHKMNNOOOPPQ",
+"QPPOOMNNKLFEzzvvvsssssrmmmmmmmmmhrrrrrrrrrvvvvxxzDDFHLLMNNOPPPQQQPONLHFzzvrmmeeddggffkggddeemmuxyxwqqxtwwywwpoif99cd999cccfff99599ccc9|(!)|95/>*$@#$$##@#$*-*%%*->>,,>->)/0kmqqkgluuuf1!)_7||39lAHHEEAwwtyABEBAyAAAABBywyyAywAABEKNNNNMKIIIIMONMKKIKKIIMMNNOOOPP",
+"PPPOONNNMFFCzzvvssssssmmmmmhhmmmmmrrrrrrrrrvvvxxzDDFHLLNNOOPPQQQPPONLHFzzvrmmeeddddbhhkgggeeemqtAyutqqpwxzwwpoif9500d079cffiicc99955553_),~393)-%##%*--%%%->>-%%*->>)~)>,~|fmqumkkquxm7{)(3|<13ctBEEByppttwyyytolpwyAAwtppwwwyAAAEKKKKKHEEEEHKMKHHHIIEEHIKKMMNOP",
+"PPPPONNMKIFCzxvvssssmmmmmmmmmmmmmmmmrrrrrrrvvvxxzDFHLLMNNOPPPQQQPPONLHDzzvrmmeeddddbbbgkkgjeemmuzAuqmqupwxwwwpif9569d0779fillif992||333|/),~39|,-%%*>,>-**>)),-%%*->)/~,,)/7imuqkmmuxug<){|3<_19mAEEEypoptwtttpidfltyAwpoioppttwwAHIHHHBAAAyBEHEzyAAEBCCEEFIKLNO",
+"PPPPPONMKHHzzvvxsssmmmmmmmmmmmmmmmmmmmrrrrqvvvxxzDFHLLNNOOPPQQQQPPONLHDzzvrmmeedddd88bbgkkgjeemqwzxqtmquttwwwwofc645d07|5coppof92|:::|||<~,,~35<,-->,>>-*%-,~~,-%%*->)~,>,~<cmquqmmuuuo7{~<4|_(1cwEECAtllptpppplg9fpyytpoilllomptxBHHEGByyyzAEEEzxuyzBzzzEFFILNO",
+"OOOPOONMKFFzzyvtussmmmmmmmmmmhmhmmmmmmmrrrrvvvxxzDFHLLNNOOPPQQQQPPNNLHDzzvrmmmeeddd888dggkkjjjmquzzuqsmqptuwywtlfaaa507479lttoi93}:_//<||<~',/33/,,,,-*%$#$*)(~,-%%*->),->)~3gquqmqqtuqc_~{|4<~/5lAEEByoilpppppoicclwAwtollloomrqqwBBABAwswwyAEEBxuwwyAzzzEFFLLO",
+"OOOOOONMKHECzAyttsmmmmmmmmmmmkkkkkkhmmmmrrrrvvxxzDFHLLNOOPPQQQQQPONMLHDzzvrrmmeedddd88dddgknjjjquxxxuqmmqptuwwwpic8a634439iptof9221<<//<<|/~))/||/~~,*#@@@+#*)(~,*%%--,>**,)(9kuqmmqpuuo7/(<|1{{<5pBEBAtiiotpopppi9ftAAytoolooqqmqtyyyAAtpsttwABAyuqtxzzzzCEHILM",
+"ONNOOONMLIGCzzztusmmmmmmmmmhmkkkkkkkkhmmrrrruvxvzDFHLLNOOPPQQQQQPONMLHDzzvrrmmeeddddddddddgjjjjquxuuuqmmquutxwwtpica666859cilof959553<(//<<<~))/|33<)*#+....+*~//,-%*->,-*>)~|fqumopuuuuk3_/<|/){_fyBCBypfgoolopqoifowBAwppqppttppwAywwyupoooqtAAwxuqtwxwzADFFIL",
+"LLNNOONMKFGCCzAttsmmmmmmhmmkeebbbkkkkkkmmrrrvvxxzDFHLMNOPPQQQQQQPONMLHDzzvrrmmeeeddddddddddjjjlouxuquuqmmqotuxwwtpfa6aa9cc99ciic9cff93|(~~/</~)~<353~-#.  ...@-~//,*%*-,>--,)(9kqqomquuuqc|((__~)<5oABCAwmcfigkooppllpyEAwwttuuwwyAywtwytlinllpxywxuqtxzwwzCBFFL",
+"LLNNOONMKIGCCAztutmmmmmmhmmeebbbbbbkkkkhmrrrvvxxzDFEJKMNPPPQQQQPPONMLHFCzvrrmmmeeddddddddddeejnopxuqquuqmmqptuxwttofc9ccc9575cffffiic731/))~~/~/<|59<-$@.  ...#>~<~,**->,,->,~|gmqmmquuuuk5<~/_({(5fpABAAtg9ccglmptpoouAABByyyyAEEAAwtwAwojjiiouwwsuqrtwxwxzABFI",
+"ILLNNNNMLFGCCzztttmmmmmeeeeeebbbbbbbkkkkkrrrvvvxzDEJJMMNPPPPQQQPPONMLHFzzvvrrmmeeeddddddddeeeejoptuqqqqqqmquutuwwttplie98655379cfilic541<~),,)~<<<39|,%#@..  .+%,~/~--*>,,>>>!/9kqqmmtuuuqc|/~///(49iwAAAypc90dioppwpolpwEEEEEBEHEBAytwAyplliinuwxtpqqttyxxzzAFF",
+"FILMNNMKFIHCCAzuttmmmmeeeeeeebbbbbbbbkkkkkrrvvxxDDEJJMMNPPPPPPQPPONMLHFDzvvrrmmmeeeedddddeeeeejnptxuqmqqqqmquttutwwwtlf866444426cilic5||</),->>)~~<3|~-%$#@...+#-)~),---,,,>,)~|gmqolquuuuk7_((///<7ftyAyyti059floqppogioyEHIHEEHEBAyttwypooihjpttwpqqqtuzxyzDzF",
+"FHKMLLMKKHHCzzAtttmmmmeeeeeeebbbbbbbbbhkkkrrvvxxDDEJJMNOOOPPPPPPPONMLHFDxvvrrrmmmeeeeeeeeeeeeeejotpuqqqqqqmmqutwwyBBypc662|11[}}3clic54<<<~'-**--,~||~,>--*$+++#*,)),,;-,,))))~{5kpmllquuuq0|<(((~/3gpyAywwpf70fiiiioplcfpyEIIEHHEBAwolptpookfeotttsommqtxxyxAzz",
+"zFIKMLLKKIHCzzvtttqmmmheeeeeebbbbbbbbbkkkkrrvvxxDDEJJMNOOOOPPPPPPONMLHFDzxvvrrmmmmmeeeeeeeeeeeejoppouqqqqqqmquxwxABAypf96221__[:<3fif93|</~)>*%%%-~||/))),>*%#+@%>)),>,>,,)//~~~<dmmlimuuuui3||_<{~<9ltyywwtoc9ckgccilofcipAHHHHHEEAtlflpooolffiptttpmmmrpwuxxzz",
+"zzHIKLLKKIHCzAysstmmmmjeeeebeeddddbbbbbkhkrrsvxxDDEJKMNOOOOOPPPPPONNLLHDzxxvvrrmmmmmmeeeeeeeeeejnponqqqqqqqqqquzAzAwtppf8a21__[:(<5cf953</~),;%$#%,|3<~~~),--*$##*,),>,,>,)/<</~~7kmmgkquuuqc733|(!~|cpwywwtulffli96dioloiipwBEEEEEEtiflpoillheipttuplmmqrstuttv",
+"vzCHIILLKIHCCzvttsmmmmjeeeeebddddddbbbbkkkrrvvxxDDEJKMNOOOOOOPPPPONNKLHFDzxvvrrrmmmmmmmmmmmmmmmmqunjqqqqqqqqqquzAAwtppplfa6|_([[/(<359953|/{),*$@#*~<///~~)),>-%%%>))>>,>,)~/</~~|domkfkuuupl9905|{'/9owAywtppllol979fiotoiilpwyABBAtiflppllmiffltttponmrruruqts",
+"svCCHILLIIHEzzyytsmmmmjeeeedbdddddddbbbkkkrrvvxxADEJMMNNOOOOOOPOPNMNLLHFDzxxvvvrrrmmmmmmmmmmmmmmquqmmmqqqquuquxABywurpppic6|1(][((/_<|5993<{))>%##$-))~//~/<|</)>*-)~,>>>,)~{/<(~(7kmmfgmquuqi9995<{)|fpyAyppqpppof059cittrififiopttpiiptpllljifisttqomljmmrnqms",
+"stzCCIIKIIHGzzyxuvmmmmjeeeddddddadadbbbkkhrrvvxxADJJMMNNNOOOOOOOONMMMLLHFDAxxvvvrrrrmmmmmmmmmmmmquqmmmmqqloppppttttsqolpli86|_^[/~~(~~<5953<~),-$##%-->)~~<39c93/)>,),>->,~/<<||(~|gmmgckpquuog9997<~/5ityywpoppolic76acottpf9889fiiilouwtooleiiiottppjjhnmqrnmm",
+"mtwCCGJIHFIFAzyvussmmmhjhedddddddadabbbkkkrrwvvzDEIIMNNNNNOOOOOOONNMKLLHFFDzxxvvvvrrrrrrmmmmmmmmquqmmmmjjlopttpnopttqmlloic84<^]{~~{{))<|55|/~),*$#%*%%*>)<3cff93<~)),>-->~/|353<~<cmmkcdmquuqmc5597_~<5iwyytooolifd960bioptpi96659cilpyAwpliffjilppppmjhjnmmmjm",
+"mqwzBCGHFHFFAzxxusvmmmhhhhbdddddddaddbbhkkrrsvxzDEJJMMMNNNNOOOOOONNMMILLHFDDzxxxvvvvrrrrrrrmmmmmquqmmmmmjnptwwpnjoptqmifiifc5|^]({){{,,,~<33|<~)>*%%*$##%>~|355955|</~,-=*,/|9dd3/(7imlg9gmquumg53993(/|5iwAypmmigc998a69fiptplf989cipwAAyoicccjiloppqnkhhjnmmje",
+"eqqzzCCGJFFFCzzxvsvmmmmhhheddddddddadbbkkmrpvvxDDEJJMMMMNNNNOOOOOONMLKJLLHFFDzzxxxvvvvvrrrrrrrmmquqmmmmmjlptwtpnjjrqqqmififcc7|:({!!!,'>>)/|3|/~)>**-%@+#*,///<39fc9|</,*$*)|9ii9|/|dmom00kqupql047d9|//<5oyAwolf905888668ciottpoiiipwyAAtlc9cccflpppolmhhhhjkge",
+"ejquzzCGGEFFFzzxvsssmmmhhheeddddddddbbbhhhrrvxvDDGJIMMMMMMNNNOOOOONNMMKJLLHFFDDzzxxxvvvvvvrrrrruquqmmmmmjnpppppojgkmqqqjfifcc93}:/!!!';-->,~<|<~~),>>-$@@%>,,)/|9fiif93/>$$-/9ili5||0gmmg7dkquumg517c7</(|9tAAwogc00a88666a9fopwttptwyAyypg99ccceiopooojhhjhhhhd",
+"djnuxzBGGEEFFzzvvvssmmmmheeeeeddddddbbbkkmrpvxxDDEJIMMMMMMMNNNOOOONNMMMJJJLHFFFDDAzxxxxvvvvvrrqswyqmmmmmqnoolnppkggmquqqific953}}</!!'>;--->,~///~~)),%#@$*--,~<359cili9/-%%,|ioli515gmqk75gmquqmd1|5c3/{/3iwAytlgf9566862259dflptwwwwywtpicbc999fnppooihdeheheb",
+"bgnrxzBCGGCBBzzvvvsrmmmmeeeeeeedddddbbbkmmrvvxxDDFIIIIMMMMMMNNNOONNNNMMMKJJLLFHFFDDDzzxxxxvvvvstwywmmmmquonjjjnmmkgkmqunjefd967}3|1/{';-*--**;>)/////~>%#%***,~|||||3cooc/-*-~9lpoi59giqmg40mmppqi3<|00|{~19pyAytif9566762223099dimopppppolfcc988biooolihhhbgbab",
+"bbkrszzzCCBBBBzvvvvrrmmkheeeeeeddddbbbemmrrvvxxDDIJJJJIIMMMMMMNNONNNNNMMMMJJLLLHHFFFDDDzxxxxvvvyyywummqquujeehjmmmkkkqppoieb963|253|_{';**-*&%*-,~<<||~>%*-->)/<33|</|cll9/,>)3lppof9fkqpi77fmqpumc|<5d3_/<5itAAypid76266|}1|1|4509d9cdgklkiif9669flomligbhbbhb8",
+"6ejmqxzzzCCBBDzvxvvrrrkkhheeeeeeddbbbbkmmqrvvvzDEJIJJJJJIMMMMMMNNNNNNNNNMMMMKLLLLKHHFFFDDzzxxxvyBAwtsqquuqheeedgmmmkkipppmiida31}55531/)>--*=%&%*-~<35|~>>,,)~/|5995|/|9fc|~))|iptpidflqqmd7dkouuum9|7dc3<~|dowAAwoi9311||1__(__37777750ciillf9268cjlollihcabaa8",
+"8bjnquwzzzCADBDzxvvvrrkkkhheeeeeeeebbemmmprvsxDDEJJJJJHJJIIMMMMMNNNNNNNNNNMMMMMLLLLLHHHFFDDzzxzyBEAtuwuuqjheeeddgmmmjjmpplllifc32359993<~,>-=***%*>)|99|~)~/<<|59fff9|<|59|~))<ftwtoiflqqqk99gmquuqi55dfd|/_7dpyAAtog0341_<__(((<1341144359fig6268bfilmlifcbaaa8",
+"2aehnuxzzzzAADDzxxvvqrrkkkhheeeeeeeeehhmmrrvxxDDEJJJJJJHJJJMMMMMMNNNNNOOONNNNMMMNMLLLLLHHFFDDCzzCEBwwAuumheeeddddkmljimptpoooif01}|3595|/)>-=*&%%%%>)|c9|<|335cfc9cfic5|373~,>~3pwwtpllqqpmicgkquuuof0cif9</<5gtyAwpod731_((]:]]^[:__(___140f964269ciiilihb88a62",
+"26hhlruxzxzzADBDwuuvvrrrkkkhhhheeeeeehhhrrvvxxDDFJJJJJJJHJJIMMMMMMNNNOOOOOOONNNNNNNNMLLLLHHFFDCzCEEAAAuqmeeeeddddgklonoppppomif03::_|595|/)>=%$####%%,|95559cfllifffilf9355<,--)9ptwtppuutpmgilqquuulddiif5<_|0qwAytplf91^]^^^[::(]]!{!{{(159a2}26abfgiiigbaaa22",
+"}68hnouxxyzzCADDAuuvvsrrrkkhhhhheeeekmmmrrvvvzDDEJJJJJHJJHJJIMMMMMMNOOOOOOOOOOOONNONNNNLLLLHFFFCCHIHEAqmmeeedddddgklooompppomiiid56359cfc9|<~,=%$####%>/||9flpttpoollllf5593/>*-~9opttuuxxwumikmmqqpplfioic3<<4ipyyytog92[{!!^^]::^]!!!{{(|462}}228cffiiifc9aa2}",
+"}6ablnrtxzyzCABADxuuvvvrrrkkhhhhhmmmkmmrrrvxxDDEJHDEDEEHJJHJJMMMMMMNNOOOOOPOOOOOPPOOOONNNLLLHFFECIIIAwmmmeeeddddggkinonmptwwttptpigfccfiifcc5|/)>*%%%$*,))/5lwyywttttpoid955|~>-,<9iotutxzywtmmmmmqqpploqof951|9lwyywoi93[^^!!!^](^]]^{{(_1||2}2268bffkgigc0082}",
+"}28bhnqsxzxzzCADDyxuuvsrrrrkkhhhhmmmmmmrquvxxDDEEEEEEEEEJJJHJIMMMMMNOOOOOPPPPPPPOPPPPOOONNLKHFFFCJIHztmmmeeeddgggggeiopptABAAywttpllc99cccffc03<~))>>->,),,/9oyAAyyAywtpli953<)>,/39copqtxxzxuomqqmmqqopqplg9547fpwAytlc6}:^^!!!]]^]^(____||<}22270dfiiiifc9071}",
+"}2aahjpqpwxzzCABAyyxvuvvrrrrrrhhmmmmmmrprvuxxDDEEEEEEEEEEJJJHJKMMMMNOOOOPPPQQQQQQPPPPPOONNMLKHFFEGEBtsmmmeeedgggggghlpttwAEEAwpptolic57555555953</~))))~//)~|ftwABBBBAAwtpi953<~)/355fppquxyxuqmqqppqppppppid9730ipAAztlc641_{!^^^^]^::_<<<__}22669cfiiiifc9071_",
+"_268hinqqttxzzCBBDyxvuusvvrrrrrhmmmmmrrrvvxxzDDEEEDDDDEEEEJJJHIKMMMNOOOOPPQQQQQQQQQPPPPOONNKLHFFECCzwspmmmejgggggkknotwttwABAwtppoigc7311<<<|3|3||/~)),~<<<|3copwAAABBBAAwpifc5<~/|539oupuuxwupoquqpqttutxwpid0559lwAAAulc03|/{{]^]]]]](_(___}|7699cilliigc9741_",
+"_1aabhkrrquxxzCCBAAyxvuvsvvsrrrrvmmqrrrvvvvxABEEDDDDDDDDEEEJJJHKLMMNOOOPPPQQQQQQQQQQPPPPONNMKLIHHBzvvsrmmmjjggggkmqppptpppwAAytolmkc95|__///~//<<<//),,,~/<|5foptwtptyBEEBytpof9|/|559iuutuxxxtqmqppqtutwwywpifc99fpABBApif97|/({^]{]]((_(<<_}3559ccfiliid9074__",
+"_128bhgmrqsuxzzCGADAvxuuvvvvsvrvvvqqssvvwxxADDEDDDDDDDDDDDEJJJJKKLMMOOOPPPPQQQQQQQQQPPPPOONNLLIFFBzxvrrmmmjjggkmpppqnoooooptyytoiik987|/{{)))))))~~~~,,>,~~<3copttofflpABEEAywpi933999fpwuuyAAyuppqppqppuwyywoigfdflwEEEAwoic93<<:[::::<__11|23559ccfilifdc954_(",
+"{}47bhhjnruuwxACCAzADvwuvvvvvvvrvvvqsvvvvxzDDDDBDDDDDDDDDEDEJJJIKKMMOOOPPPPPQQQQQQPPPPPPPOONLLIFFFzzvvpmmqjjgkmpqpqmlnlollilpwwpifgd52_~!!,,>;>--->,)),,,))~<5fqttogccfltAEEBAypic99fiiptwuwzAzxpqpuqqppppwywpiffifgpAHHEAwoif954}|}<<<|1_|__}|3659cfgiiffc951_(",
+"{_47ahhjmnrpsxwACCzAAyvwuvuuvvvvvvvvvvvvvxzDDDDDDDDDDDDDDDEDJJJIKKMMOOOPPPPOOOOPPPPPPPPPPOONNLKIFFAzvvsuqqjjoqppqmmmmiiiiifhipwtlfdd961(!!';;=*&%&%*->>,,)~)~|clppofc99cfpwABBAytlfcfllltwwxzCzyuqpputpppptyywojfifcitBHHEAplfc953}:<<__<_<<}123559cfiiifgc95}_{",
+"{(120hhhjnrrstxvAzCAADyvvtvuxxvvvuuvvvvvvzDDEDADDDDDDDDDDDEEJJJJKKMMNOOOOOOOOOOOOOOOPPPPPPOONKLHFECzvvstqqqppqqqmmmmkeeehhebhlttoifdd94_{!'>;-*&$$$$$$%*-,~~/|ciopi953359fptwAAyytoilpolpwyyCGCzwtputppppoqwyywmmlifflwEHHBypiffc93|}:<_||||2355599cfiifgff92:^{",
+"![1700hejnnrrstvzAACAzADvywzxxxxvvuvvvxxzzBDEDDDDDzzDDDDDDDEEJJJKKMMNOOOONONNNNNNOOOPPPPPOOONNKLHFEzzytuqquttqqmmmkkggbbbfebbfottlgdd56_~!'';=**&$$$#####%>)/|clpoi5|<<<|9iptwwwtollottttyAABEHEAwtttupmqpptyAytoiiffipAEHHEAtoiikf953|1||4355555cccffiigfd52[^!",
+"!(1400behjnrrstvyyzAAzAADADDAzxxxxwxxxxxADDEDDDzzzxzzyDDDDDDEJJJKKKMNONMMMNNMMMMMNNNOOOOOOOONNLLHFECzzvtwuxtpmmmmkggggdbbbhbbafopoid055_/!'';;*%&%$$##@@@@%->/5lppi9|/~)~<5ipwwwti9cipwwwyABEHIIGAywwwuopxwwyAAyumifilotBEHHEEypppolf905755599090cccfifffc96}[^!",
+"!^_270deejnnrrssvyyAzAAAADADAAzxxxxxxxzzBDFDDDzzzxwxxzyDDDDEEJJJIKKMMMMMLMMMMMMMMMMMNNOOOOOOONMLLHFFzyywyxxppomkkgggddddbbehbabipolfd071_{'';;%&%&$####@+@#$%><cpplf5|~,,)/5itwAxm5|9fotwwwAEGKKIGCAAAyptyAAABAAypliloptwBEHHHEAwwttplifccc9cc99999cdff9c952}[^!",
+"!^_1700eejjjrrssswyDzACCCAAADAAzyvxvxzADBFDDDzzxxxxxxxzDDDDDEJJJIMKMMMMMMLJJJJJJJIJKMMNOOOOOONOMLHFFBzAyAxxuookgggddeddddbbeehaelpiicd74_/)';;=%$$$###@@+@##$%>|gifc93<),,)/3itzAtg3|5foppotyBJKKHEEAAzywACEEEBBBAtooppttyBEHHHEBAAwtppoliiffcc95559cd990962}[^!",
+"!]_1700deejjnrrssvwyAAACGGACBDADAzzzzADBFDDDzzxxxxxxxxxyDDDDEIJJIKMMLMMKJJJJJJEEJIJJLLLNNLLNOOOMLKFFCCBEAAuunjjgddddeedddddbhhbbflligd541({!';;%&$$####@@@@#$$*!59953|<~~~~~<5itxxtf430floiitxAEJEEBAAAAtwAEEEBBBAytpoopptABEEEEEBAwtpoolifffc9955550d050762}[^!",
+"!]_17709eejjnnrqsvwvDAAzCGGGGBBDDADDDADFBDDzzzxxxxxxxxxzDDDDEIJJJKLMMKIJJJEEEDDDDEEHILLMNNLNNNNNLLIHFCEEAyuqqjjedddeeeeeddddgfehbiiiid061/{!''-=%&%$$####@@@#$%'|95</)),)~~//|9owAAtf99ciiffmtwAGEBAywwwpopAABAAyywtoicfilpwyABBBAywpliifc9c99995999fd900532}:^!",
+"!^^176adeejjnnrqsxwvyADACGGGGEEDDDDDDBDDDBzzzzvxxxxxxxxwDDDDEEIJJMKMIJJJEEDDDDDDDDFFFHLKLNNNNNNNKMIIIEGCyyqqmjheeeeeeeeeedddgkhehfligd095_({!'>;%&$$&$$$##@##$%;_57_!>-=-,)~/<3ftxBAuifiomigipwABGBzwtttmfimwyywtppoic5590cipwwwwywttoiifdc957590cfiifc9d95|[[]!",
+"!^^1470abeehhnhqqsxDvAAAzCGGHJEEBDDDDBDADzxxzzzxxxxxxxxxzDDDEEJIJMIJIIEEDDDDzzxyzAzDDEFHKKNNNNNNMMMKIIGCAxummmeeeeeeemmeeeedggkkeciiid999|</{!,;*%&$$%%$#####&&=!351{-**->>,,)/3iwACAwptttpoiluyBECywtppmg0dipuupmomkc953459iutttttttpoliigc9009cffffcccc9531[^!",
+"]]_177a0behhhhhmqsxDvyADzGGHHJHEEBDDDDDAAxxxxzvvvvuxxxxxzDDDEEJJIJJIJEEDDDzxxxvxxxvxzDFHHLLMNNNNOMMKKICCAtummmmeeeeemmmmmeeejgkkkehffd99971({!'';&%&$$$%$###$&&&,|77(;*-,,;--;;)|fwABAwwyAywpmpxAEEAxwtpok05cimliiiiigc05337doutpptttttpppoifcccccc99599905531:]",
+":}|45799aeehhhhmqvuyDyAACBHJHGGGEEEDDADzzxxxxvvvvvuvxxxxzDDDEFJJJJJJEDDDzxvxvsvvsvvvvzCDFHLLMNNOOLMMLIECyyusmmmmeeemmmmmmmhjhjnmmhccffd5903_({!,;***$%&&$$$#$%**>/77<,;,{,*%%%%*>|iwAAtptyAAywtwCGJCzzwtpog59fkkkgikgfffc959cipttppppttpppplifd9995537535433||1}",
+"}35509dbeehhhhhmqvuyDDyDCEHGHGGEEEBDDAzxxxxxvvvvvvvuxxxxzDDDDEJJJJFEDDDzvxvvvvvvvsvvxzzzDFHLKMOOONNNKIEzvvspmmmmmmmmmmmmmmqqqnnomlfdgfd06873<{!',;**&%%&&$$$%%---)104),~_!*$$&$$*,|owAwlltyCBAwyACJJEzAwwtoc0dkmqmiiiffkifcccfmptwtpolooppolifcc955333|||1<__<<}",
+":}79ccffjjhhhhhmqvuxyDDBEEEGGBEEEAADDzxxxxxvvvvvvvvvuxxxxDDDDEIJJEEDDDxxxvvvrrrrrrrrvwwzzDFHKKNOOONNMIFzzvrrrmmmmmmmmmtwwqqssuuppolicfd02505|_{'';--*=%%&&&%%=;;-,<75()~<_'=%$$$%*{5pwxofityAAyzAAGHEAAAwtui75gquumkkfccffgcd0diopppliiilooliiffc95531_<</({{{{)",
+"':}59cfijjjjjmhmqvuxyADDEEBBBBBBDDAAzxxxxuuvvvvvvvvvuxxxwDDDDEEIEEDDDxxxvsrrrrrhmrrrrpwvzzDFHMMNOPNNKIFAzvvrrrmmmmmmqwwyyyuuuuuuppoicdf0659531(!';;*-;==%%&&=;;;>>{45<~~(||~>=&**%>{9pxtifowyyyyyABEEAyzwtum0|5gquqggd73570d0579fiilllilloolliifc995|1|<//~~!!,'",
+"'{:|0dcfjnlolnnqqvuxyDABDABBBDDAADAxwvuuvvuuvvvvvvvvvxxxxzDBDEEEFDDDxxvvvrrrkkhhmmmmrsswvzxDFIMMOOONKFFCzvvrrsmmmqqqxwyCAABAxuuupupiccigd9d9531(!';----;;%%**=;'>>!|7|/~~_33(),>-%=;/cuuiffotxwxxzBGGzwxwttti415iomdd051<14507770ddgfiilolollliiic953||<_{~)!'';",
+";'^[400eejllqmruquuxyzBAAABDADDAADwuuvvvvvuuvvvvvvvvvuxxxzDDBDEDDDDzxxvvrrrmmkkhhmmmmmptvvzzFFIMNOOMMIFDzzvvspstqqqwwwwABEEBAAxxxupoffiikccgc541_)'-;--;>=%%*=;'>>,/44_~!{390|<{>;=*,|lpofciuwutwzABGBxttuutp9<<39c90901_(_|3777590099cfilllooooolif953|<(~~)';;",
+";'{[}0bbehjjnnquuuxxzzBDADDDAyDDxuvuuuvsvvvuuvvvvvvvvvxxxxADBDDDDDzxxsvrrrmmkkeeeeemmmmspwvzzFIKNNOMMIFFzzvvwstwwwwwuuyABEHBBAAxwtpooiiiliiiif997</!'>,,,>*%%&=;>>'{451~~/7mpi9|)>**>(9opkdfpwtutwyAEGAuppptuo5</1500993<(~_1|47500099580dgloooooollifc53|/~),';",
+";!{_}70bbejnnnmqvxxzCCCBBBBADyywtuuuuvvvuvvrvvvssvvvvvxxxxDDDBDDDzxxvsvrrmmkeeeeeeeeemmmpsxwzAHKKNMMLIFFCzzvvuuwwwwwwuACHHIHEAAAurmolfcilliiiiffc93_~~~!';*%%&&=->,!|7|/~|dqtpoc|!;->{3kppfciutttxwzAEBypooptug4{~_47007|_({(_1359000077670cfiiffffffffcc93|/),'",
+"){{<}20beejnjjmqvuuzCCCDBBDAyxtvuuuvvrvvurrrrvvqsvvvvvuxxzzDDBDDyxxxvvrrmmkeeeebdddeeemmmptyyzEIFKMKKHFFEzzzyzwutttwxABEIIHEECywqlkllicfkmiiiigccc95|</{''-*%&&=*-;'/34/~|coqpog0|!,>!<9ouodfotwwxxwyCEAwpommpqf|~/<3555|_{{!{<|35999d97243230995595555599995|/~",
+"|||||60dejnnnmmmquuxzzzCDDAzxuvuuvrvvvvnnrqrrrvvssvvvvvxxxyDDDDzxxxvvrrhhmkeebbbbddddeeemmttyAEEHIIKLLHHFAzzzAyststwCEHJIJGCAzAwqqomloiffilkifgc9553|<//~)>-*&&%%*-'~|3<~<3dlf09d9|~!!~|dpukciptwxxwwzCCywpmioppc|<_|1353_]~)){_|359cdd06||2122|3||||<||||459553",
+"59999d9dfhjnnnqqquwwzzAAADzxuuuurvqqqqnnnnmrrrvvvsqvvvvxxxzzDDzxxxvuvrrhhheedbbbbbddddeeemmstzCEEFFLLLHFFCzCzAvvwvzCEHHHGECzzzzAwqomolifffkifdfd0743|<////~)>;=%%*->!/4|~/<507||499|{!)(3mtpfdltwwxuwxzCAwtpiiopm91____471(~]))~/<159dgd967321|||<<<_((/(((<<|33",
+"<39fiiiilljnnrqruuxxzxywyxxvvuuvsvrvnnnnnnnrrrrvvqqvvvvxxxxyDzxxxvvurrkhheeddbb88888dddeeemqxyBCCBDHHHHFFFCCzyxxyzBEHEGCEFBzzzvAwqomlilfc9dggddfd0333|</////~''-**-;'~11(~/|7|13|155_~)~_dutmggptwwwuwyzAxupoimqqi01_/(174_{!'''!~]<79cgd9056332}|<<_((~~~))~{~~",
+",~|5cflopppprrrqvuuxwxxxxuuvuvssssnnnnnnnnnmrrrvvvqvvvvvxxxzzxxxxvvqqrkhheeddd88888888ddeeqquyyAyzzFFHJHFEEzzxyvzBEHECCzCFFBzzzzAwunkefd990ddd09cc9533|_<<<<<(~,>-;'')<|/~/|4|7d03354<{~_5muukdiqutuutxyzwtpollqupf3<//_75<~!'''',']_39ccc006573|||<<((~~~)),,'>",
+"->)<|5clopttttppqvxuxwxuuvvvvqvqrornnnnnnnnnrrrvvvqqvvvsxxvvxxxxvvvqqmkkeeddd8886666888ddhjquuywywxDFEEFHFEzzzvABEHEBCCzCFFFBzzCAwqnkhb9aa3589575093|||||||||<<~~)',))/||~~|449mqf5573_/_4gtwpgflpututuxyxupomlqppoc|<<|75|/)'>>''''~_|0900765342||||<_/~~)),>;=",
+"=>'~_25dioptwwvwuutuuuuuvvqqqrrnnjlnnnnkkhhknrrrvvvqvvvsxxxvvxxssvrrqmmkeedd888666666688dgjnuusstwxxDDEHHFDCzzzGEHHGCCzCHFFFFCCCAxqqkhab9644307||774_//<_|||3||///({{{/|4</<79dqupld051__40luxodfmpuuttuxxupmiilppqm9||3707_{,,>>'>'!{_3a9006332}<<<_<<<</~)>>-=",
+"=>,](<|7cfiostywyxxwxxussqqqqnjnjjjjghhkkkkkkrqrqvvqvvvvsxxvvxxvsvrrmmmeeddd886666666668bggopwuqurvxzDEFEFDEAzCGHHHGCCBCFFFIFFBCzzwqjkhb88634704|4751~~~~~/<|33||<</<<<|73<<49glpttod971117gpxpgcgmquuuttxwpmkdfipuql9779dd7_!';,,>>')/:77657633|}__<(<<<</~,>-*",
+"->,)/<|35bginpswwyzxxztvuvqqjjjjjjhhghhhkkhmmmrrrrqvvvvvsxxxvvvvvrrrmmmeedd8886666666666bbgmppummpvvxzACFDDDCCCGHGGCCzCFFFKFFHEECAwsnkie999535873|703_)),)))/_1333<//135093130dfptwtoc95447fmxwlddglqtttutwupmd99ippqld00dkg4{!''',,',!(14a732334|_</((~~~)),,>-",
+"-'']/<|25dcfinnpttwxxzzxusvnnnjjjhhghgghkhhhmnrrqrrrvvvvvvuuxvvvvrrrmmmeedd886666666666a8bhmqpommhrvvzzzzzDFHHHGGCCzzCEFFFKKIFIIGEAwxtqijfd0539d73799|~),,,,),{_|53</<|9fgc5509glpuutlc9770fmuxpg0dklquuqpttqmic59iqqqmf9gmmc1{!,''>,'!{_|22322|4|__//{),,>>>>>-",
+"*>'~_<|279cfijjoppqsxxzzwwsnnjjghgghhgghkkmnnnutpsurvvvvuvvuvvvvrrrmmmeeedd886666666666688ilomnjmmppvzzzzzAFIIIECzzzBEIIIFKMMMMNNMMKIBzytpolgccfd97905<~,'>,,>'')<||<<<|0iic00dfiikmtpi9900imuxwpfcgkmptqqqqupoi539iqppoikmmk9_{',',,',{:|42732|1<_(]{~),>-;*=&%",
+"$*;)(<3359ffginnoporvuxwtupppohgghgghghhhkhjknrputttutttvvvvvvvrrrrmmmeeddd886666666666688ellmgjemmstwwvxzzBIIIHBACBEIIILMNOOOOOPOPPONIIHEAwtoillidcc93/~',>,,;;>>)/||<<3clkfgiif95cimoicddioptwtmfcfmppqooqqqold3|9fmppppmqmg9</,,'''!!(:}275221__(]]),,>;;=&&$",
+"#%=,)]<35cfffilnoonmnrsrrspppmmkkggggggghghkhkrrqtuutwwvvvvvvvvrrrmmmmeedd88666666666666aafiifhgehmmtwvvvzzCHIIHECEEIIFMNOOPPPPPPPQQOMIIIIEBAtooppliifd3<{'>,,,;--->)<1||5fliilol9459gmolmklmquxwulggippuqomqqoom91|0imqpppupof7|~~!)!]{][:}652641_(]]'>,>;==%$#",
+"#%=;,]/|29cijlloonnqqqqnqnnojmmmmmkkgggkkjkjkhrrrusuwywvvvuvvvqrrrmmmmeedd886666666}}}}68bfihebddejmmsvvvyzCGHHFFFFFFKMNOOPQQQQQQPOOKEAzAAwttpiiloolilof5<~',,)''-*--)/|359fiiotpi9339fmppppommtwxtidfkoqqqmmmmomm0|40gmquttupi97|//~!!]]]:}473a71|:]]''>--=%%$#",
+"#%=->!~_170dijlororoqrrnmjjjgkkmmommmmmlmnmmmkrqrrptwyywxvuvvurrrrmmmeeedd886666666}}}}28biih8b8dgjmmrprvAACGCHFFFFFKMNNOOQQQQQPPOMKEzAwuppligf9cfiiilptl9|/),)))'-**>)/|55cfiotwpf5459iptutqplqxwwqgdgmqqpmmmmlmmk5159imptuupmg77|<(({{{[_[}26672}:({]'>-*=%$$#",
+"#%=;,!~::479hfioprrrpqqnnjhhhggkkmmqpppoomqqmrrrrrpvxwwvvwvvvrrrrkmmmeeeddb8666666}}}22268iiba68bggjmmrptzCCCzAFFIIKNNNNOPQQQQPONNMIHEAwtpoifiid9cgiilptpi9|(~~~/{,;;->)/|5cfikpxwofc09cmtttqqolqwwui9dfopppmmmkkmmc||5cgoqputqic5311<_((_:[1a5a731<]{{''>-*&$#@",
+"@$=;>!]_<435dbgilnnrprrnjjihhggggklmpppqpqpprrpqrrsuvwtvvvvvrrrrqmmmmeeeddbb666666}}}2226bccc8666bggemmstwyBAzzEFKMNNNOOOPPPPPOONNNKIHBAxwtoooooliiopoppplc5||//<</!,;'!)/|0gkiltwwpifffmuwtpuqmqxxwqg0cimqpmlmmkklf5|7ddfmqqupoc77713111}_}}2777731_({)'>>-*&#@",
+"$%==>'{/:4750cbginnnmnnniijggggggkkkklmqqutttrqprruvwutvvvvvrrrqmmmnmeeeddbbb666662}}226acc9666668egehmnwwyzyyzBFMMNNOOOOPPOOPPPOOONNMMKIHEEAywwwttttwtppof053|||33|{'')~/_3cillotutpommmuwtqptpqtxxumd9ckmpqqmligki91|7ddgkoppoi97733377742}2677a311_{!'>--*%$#",
+"$%=>>'~~_4790bbgginnihnnjihhggggggggggkmmptttprprpsvvsvvvuvrrrrrmmmmmeeeddbbb6666622}22aacc862}6a8hbdemqquwwvyzCIMMMNOPOPOOPQQQQQQPPOONMMKMKIHHEEAwtwyxtppl0533|3553|////(<<3flloptwwtpquwzxppuuttxwxqf90dkpqqmmkgggd7<|0dgglmolic077|335066aa65723|1<({)'>-*%$#",
+"$==>,')]_1359dddfhjjkhjhhjgggkgggggggggkmqqtttttprxuvvvvvvrrqrrmmmmmeedddb888a6222}2}}}26cc662}2688bdgjquuwtsyCGIKMNOOOOOOPPQRQQQQQPOONMKIKKIIIIIIEAABAywwtl53||3|33|<<<||</<5flmptwwwtttyAAxttxwuuxwtld750ipqommkddg0|<39fgikiffcc0731|470d8a6a7aa11_{~),;;**%#",
+"&&->''{/_1457bhbggijikhjejdfgkgggggkkkgkkmpprtstswvvvuvvvrrrrqqmmmmeeggbb888222}}}[[[[}26bc62}[22866bgjnuuqstzBJHKNOOONOPPPQQQQQQQQQPOONKIIIIIIIKIIIHHHEAAAyo9333<</<<|||4<(~<5iopwywttuwAAzzyyyyywwxwuf535clqqookgdd03<_40fikgcc999997||47acb9a9074|_(~),>;;=%&",
+"&*--']~(_1375abcfikjhhejefddgggggkkmkkkkkrrnrrrwwwvwxvvvrrrrrrkkkmeeddb88aa2}}}}}}_____16b96}}}}22666bkoouqmsyEEHKNOOOOPPPPQQQQQPQQQQOONMKIIIHKMKKKKKKKIHEEEAtig9|/{~<|353</~{|9iptyytpptyBCAAAAAzyxuwwm9437gmqqmmkd005|<<39iiic975579033247dbccddaa|1_/~'>>==&&",
+"%*-;,)](<1357acdgfinhjhjgfddddggggkkkkkkkmooopstxwxyywxrrrrqqmkkkeeddb888222}}___(((((([79562[[}2226aekmooqquABEIKOOOOPPPPPPQQQQPPQQPOONKIHEEEHIKMKMMKKMKIIIIEypi5</{~/|553</(_3clpwyytpotABBBEEEBzywxxug7439imqpmmkd7741<|5dfff9005579967276abccd9a4|<(/),>-*&$",
+"$%->,)(/1|350ddcgfinjjnnfgddddddddggkkkkoonnnssvvwvyywtttpprmmmmeedbb88a2222__(({^^^!^^(|774_[[}}2}28bimonqquAAEIMNNOPPPPOPQQQQQPPPPPONKIIEBAAAAEIIIIIKKMKKKKIEApg5|/~{_|7974|<19gltyAyplltEEEHHHGEzyxywqc3379mqqqmmg05731147dcgfcc03790d05a7888ab07241_{~,;;*%$",
+"&&->,{(_11550cbbgfgjhnnqiigddddd0ddggkkooonovsvvuvvvttutttsmmmmmeeddb6622}}___^^^^^^^^^[}32|(_[}}}}26bflmniuwxAEKKMNOPPOOPQQQQQQQPPPOOMMIEAzwtppwwwtyEHIKKKKKMKHBpic3({!(<7907770diowBBwoipyHIIHHHHEzzyxum0445cmqqqmkd033113500diiic5750d998008a8aa722</({!,>*&&",
+"%=-'']{_|450acbggghjhjlmllgggddd0dddggmonmnrvsssttvsussttqmmmmmghggb882}}}_((^^^''''''!]12}:{{_:}}}26bfimklpxwBIKKKOOOOOPQQQQQQPPPPONMKIHEAwwttpplikipwEHIKKKMMKIEwoc|(!!{_7999ccfiipAAypootBIIHHHHECAyzwug7345gqqqqmk0744|43570diif97570dcdcdc8bac0522_({!'>-*%",
+"%=;'!{{_<159abcggiijhhfiiilggdddddddgiljnlqvrsstusrsspummqmqqmmjegbb886}}_(^^]!!''','''{<||]^!(::_[269eeikmpwxBIKKMNNNOPQQQQPQPPPPPOOMIIEBEyywwtpogc9flpwEIIIKKMMIEwl93/{)~<59cfilllowAwpoopwEIIIJHGEBAAAxqd3439mqqpqmg74414409779cfcc090dhcfegbb0a857}}({{'';*%",
+"==;'!{{_<1789cfggggjhhggfiigggddddddikiljnrqrsvvrrrusmmmmmmmqqmjggb88622_(^^{'','''''''{_|_{]^^(:__26c9fimqtpzEIHKMMMNOPQQQPPPPPPPPOONKIIHEAzywppolf09ccflyEIIKKKKHApi93<{{/<39ciopptyAAtollpwEHIHHEEAAAzAum0775cmqqqqld741347007359dgddddd9figgbbb8a53}:({!';;=",
+";;''!{(_12a8a9ggiijjhgggfggigggdddgiilkinmmqvvsrrqrmmmmmmmmmmmjjggb88621_^^{!''';>;;>;'!<_/]'^^((__<69cfciqptBHIIKKIMNOPQPPPPPPPQPPPONMHHEAyxwttpllfd99999iwBHIKKIIEwplf92:::269ciptwAABypiiopwEHHHHECAAzAzumc075iqqqqpkc743479093379fffidbdhejkjhhbaa7|[[{]'';;",
+";;'!{(__22669dgggfjhhgggggffddddggkkmlnmnmmrrrnrqrmmmmmmmmmmmmjjgea8622_(^^!'';;--;;--,)<<('''^]({(1688chnqqwBHEIKIIMOPPPPPPPPPQQPPONKFCCAuwttppollicdccdcfmtyEHIIIEAtpoic5}:}268clpwyABAukfiopwEEHJJECzAzAzukd57dmqqqqqm0333570d07359fgighgbejkkjehbaa74[[(!';;",
+";''{([[}2260cdfggjjhjgggffgfgfhhhiilloqnnnrrvnnokkmmmqmqmmmmmmjkkebba21_^]!!'''--===*;>)/</'''!]^{(_3a8ciioqyEHEIIIKNOOOOPPPPPQQQPPOMLFBzwqqnmlloiiffcccfiilptwAEIIIEAywtpi9714370fltwyABymfflptyBEEHHEAzAAAxpfd00goqqqqqk055670dd95770gflkggeejkmjjhbaa74[[^'';",
+"!^^^[[[}2799cffghejigggiiggggggffhilorrnnqqqnllhkkhmmmqqoqqqqqnmkjh8661_^{!''';-*****->,]<~';'){{!{[3389cnnqAEHHIHHMNONNOPPPPPQQQOOONLFCzvsmjghbffccfffffilloptwyHIKIHBAyytof05770dfluyABApkgiptwyAEHIHCAzzAzwoddddkoqqqumgd90070dc0570dcimmkjjjjkmnjha884}[^^^!",
+"!^^^:<13779cdgiheeehhggggffdhheijjjnrrqrvrrrnnhhkkmejnrprppqppqqmkidaa4[:{''';;--=&&&=;,/<~>;''!^^^_|388fllpAEEIEEIMOONMOPPPPPQQQPOOOLIFzvsmedgbab989cfiifiilptwwAEKMKIEBAAwoi9550dfimwAEEyqiiotwAAAEHIHEAyAAwtlcddgmppquumkcd999dggd00dggomnmjjjkmmjjjb864<_^^!",
+"{((_|17790cfhhghheeheeehjjeheeheihjnonmrqppnnhkkkejjorpspppppppqoikfb05}_/!,>;--==%%%%;'{<{>;''!!^^:<158cfltBEHIGEKNNMMMNOPPPQPQQPPOOLHEzvsmmedb886868cfffiiilptwyAHKMMKHEAwtplfbbcffiqwBHEytppptyAAAEHHHBAAzzwuifgilqqquuupigd9dddgggddhhomqpnknkmmmljeb8621(({",
+"(__14479acefffhhfeehhhehhheehhehjjnnnmmqrrorkhkhhhjnqqqqppprpppmokjgcd06|<~!,--=%%%%$%*>{/);-;,''^^[:159cfltBEEHBHMNMIKMNNOPQPPQQPPONLHFzvssmed8a662a689bccfiilptyABIKMNMIBywwtpibdfiiipyEKEAwpppwAAzAEHHGBAAAzwuiiilopuuuuupkcddcdgggggjkmmmqnnnnmmmmnjea662__(",
+"[}2266a8cbffffhhhehhghehehehhhhjhjnnnmmnqnnhmmmjjknmqqmmmmpprppmmijcc0763|<~,>=*%%%&&%*>)()-->'''!^[[:40cciwBEEECINNKHIKNNOOPPPQQPPPNLLFzzvsmeeda666268b988fiiilpwyAEKMMMKHByyywplfffiiowAEIHBwpopyAAyAEEHGAAAACytolmmpuxtxxtuidddgggggjjloomnqnnnmmmmmjefa622}[",
+"[}22a6abcfffffhhheehhghhhehhehjjjhmnqnnnjnkhkjjkmmooollllmmnnlnmifea90221||<~'>*%&&&&&&-)~'-=-''''{:::40c9iyEEByBIMMHGIKMMOOPPPQQPPPNMLHCzvsmmedbb66886a9668fppptwyAEIMMNNMIEAAytplifiilowAEHHBwttyAAyyAEEHBAAACBzwqlmqxxxwxxxpkgggiggkkgilljmmloommmnmmjhbba6}[",
+"}226a89bhffhffheeeehhhheeehhhjjjjnnrrmmmlnhheegklpolijhhjjkkknnkhhh8a3}1___(/{,>*&&&&&&-)~'-=;''''{_:1250clABEAwEKKKEGIKKLOOPPQQRQPPOMLFFzvsmmeddb6668abbbadiptwwyAABHKMMNNMIEAwtpoiiiijiptyEHHEAyAAAyyyAEHECAyABBAyuqquxzyxxzxumkkkijkkkjjjkkmjnommmmmmmhbbba2}",
+"688bbhfjieffhffeeehhhhheeehehjjjjhmmmnrlnhhbhdbiiolliieeehhkkkjkeb666|[_(({{~{~,>-&$$&&;)~!=*-'''){(_}250coyAAzyHKIIEGFFKMOOPPQQRQQPONLIFzvssmeedbb6666a88bciopwyAAABEKNNNNNNKBytpillllifipwAEEEEEBAAywwyAEHHAAzABCAxpmpxAAzAzzxxqmmkjjkkkjjjhmmnnpmmnmmmmhha886",
+"688bbbejiffefhheeejhhhhhhhheehhjjmmqmrnnghhbdbbhiiffc9ahbbbeegggeb6661[{{!)!)!)),'-%$$&;)~);*=-;''{/(}437cpyAAwAIIIIEGGIILNOOPQRRQQPONLIEzvssmmhddbbb666889jloopwyyAABIMNNNNONKEypoiopoiffipwyABEHEEAwtwwABGIHAAAzCCzwuquyzACzAzzxuqnmmllljnhhkmhnrmmmmmmmkkeb86",
+"8bbehhfhifhehfehehhfhhhhhehhhhhhhmqqmmnnhhba88bebcbd8aaa8bbbeghgebb62_[{!'''>,,,',>-*&%-'~);*=>''')//_227cpwywwBKIEHEGGFILNOOPQRRQQPONLHFzvvsmmeeddb88bbbbhimmmmqttyAABHMNNNOONKEypplptoiffotwAAAABBAwttwABEIIGBAAAzzzxtwwyACAzzzAyuqpqoonkjkkhmjnnmmmmmmmkkggb8",
+"dgggechfjihfhgeehehhhhhheehhjhhmmrqmnjjhhba888bc9098aa66aa8bbhkgebb62_^{!',>;--->>,,-**;'~);-;;'''!((<227ftwtttBKHEEEGEIILNOOPQRRQQPONKIFzzvummhjgdddbbbbhgkmmkjnpptwyyyEMNNNOONMEytppttpigjowyyyyAAywtptyBEEIIHEBBAAAzAyyAABAAAzzzzxtppppmmnmmqqnnnmmmmmmkkjggd",
+"dgggejeehihfhhheeehehhhhhhhjhhmmnmqnnjhgba8aa8aa8aa4316666a8cbekhba62[^{!'';;**==;>>>>->,~)>-;>'''!~/<126fpwttwEIEEEEGHIIMNOOPQRRQQPOOLIFBCAwwqqjjgggdddddgknnijjqptwwwuwBKMNNOONKHBwwwwwoifotwwwwwwwttttwABEEIKIEEBAAAAAzBBBCCzzzAAAytppmqqqqqqqnnnmmmmmmkkjjje",
+"ehggejeejhhhfeheeeghhhhehhhhhhmmmmmnjjgb0a68a8a86531_111266aabbheba62}^{!'>;-=%%&%*->>,'~/~'-->'''!{(<<26ittppwEHEEHEGGFILNOOPQRRQQPOOMKKHCByyuuornkkgggddfjnjmmmqpttwwwuxAHKMNNONMIEBABAwolmptAAAwttpttttyAEEHKKIHEBBBAAACCEGGEECAAAAwttpqpqqononnnonmmmkkkjjje",
+"ehggejhehihhfefhehhhhhhhhhhhhjmmmmmnjhgb086266873}[[:[__112aa8bhebb861^^!'>;-=*&&&%%=>,)/</,-;>,''!{((|39ittptwHHEEHECEFIMNOOPQRRQQQPONMKECAwyuuuppprmmnjjhjqqnmmqupwwwywtuABIKMNONMKIHEBAtolnpyAAwwtppttptyBBEHKKIHEEEBAAABEEHIIEECBAywuuptuprprnnnrmmmmkknjjje",
+"dggghhbhehieffehehehhhhhhhhhjhkhhnnljhba8662aa53}:[]^^^^__12aa8bbhbaa1_^{!';-=*%&&$$%=;)(||)>;>'''!{(/|39iptppAIEAyBEGIFILNOOPQRRRQQPONKFCzzwwuuqnnnnnooonqqqqmmmmqppttwAwutyAEIMNNNMKKIEBAtoopyABAwtpooppptyABEHIIIEEEBAAAAEHIIKIHEEAAAxutuptttpprnrnmmmkknjjje",
+"dgbebbbhhehheheechhhhhhhhhhhkhkhhjnjhhba6622634}[:^]^^^^^(_12288bhba64_[{!'>-=*%&&&$$%*'~|3(,>>'''!{{(<39lppppAIEwxAEGIIILOOOPQRRRQQPOLIFCzyzwyqqqjjjjnnouuquqtmmmqloppwxAyttwABHMNNMIHHEEByppptAAAywtpooppptwAEEHIIGEBAyAABEHIKKIIHEBEBywwttttttuqmmmmmmmknjjgd",
+"8b88bbbhaabbbbcbbhhhdhhhhhhhhhhjjhjjhba8662244}[[{!]!]{^^^(_1228bbbaa41[{!';-=*%&$&##$&=,<3<~,,'''){((<49lppopAHAwxAEGIIILOOOPQRRRQQOOLIFFzyAyyqqmmmmmmmqquuyywqmmqnlotwwyywttwABIKMMIBABEEBwpoptyABAytpnoppptwBHHIIIEBAyyAEEHIKIIIIIEEAAAAwtttutuqqpqqmmmkkgggd",
+"668aa888aaa8bbbbbdddddddddddgghkjkjggb8662224}[[]]!!!!!!{^^(_122abba64|[{!'>-=%%$&&###&&>~|_/))!''!~((<39lpploAEAtxABGIIIMOOOPQRRRQPOOLLFFzzzwwqrnmmmmmmmmqtwyyuqqqqnpwyxyAyvtwABBEIKKHAAAAEAwpoppyABAytppoppptAEIIIKIHCAyyBEIIIKIIIIHHEECAywttutuqquupqqmmkkbb8",
+"66a6aaaaaa880999dc9000aa0dddggggghhh8a862}221[[({,,',,'!!{]^__222ab8631:{!'>-=%%$&&###$%*)/</~~~',){(_|3coppooABytxACCHIKLNOPQQRRQQPONLLFFEGCCAyqqqrqqqmmmpuuwyuuupupwyAAAAAAwwwABBEKKKEywwyBytpootyBEAytpqppptwAHKKKKIHEByABHHHIHIIKIIHHEBAxwttuqpopoppnoljhe86",
+"6222666a85667700000a6a6a8a0dddddhgdd86662211}[:{!'''''',!!!^^(_}26baa4|[{!',-=*%&&&###$&*>~/~{/(~'){(_|5coppooAAwtxyCCEIKMNOPQRRQQPPOOLMKKIIEEBBAuxxupqmtpppwuwwuttwywyyAAAAAAywwAEEHKKIAwtwyywpomotABEAwppppttwyEIKMMMMIHEAABEEEEHIKKKIIHEBAzwtttppqljjjiiihba8",
+"6222264434244226aaaaaaaaaaaaaaabddda066}}2}:::(]'''>;''','!^^(_}22aa6|1:{!',>-*%%$&###$&&>){)'~(/{~~(_|5coppooAywtxyCCCIKMNOPQRRQQPPOOONMMKIEEAAAAzywuwttpqwvwttquwyABywyyyAABAwwyEEEIKKIytptttppoopxAAAAtpmpptwAABHKMNNMKIEBABEBGHHHIHIHEEEEBAyvwpponijjiffefb6",
+"6626|14111}}}}222644477770aaaaab800a722}2}_[_<]!'>>>;;>''''!^^(_}26a24_[{!',>=*%&&$####$&-){)',{/((((/|5copplpwwptxuyABFKMOOPQQQQQQQQOPOMMLHHEEAAABBAAyywtxwvxptmqtyBEAwuttwAEEBwwBEHHIKKHytppopppopuwAAAytpoptwyyABHKMOONMKIEBBEEHHEEEEEEBBEEEBAywtppllijgeb888",
+"26434||::[}}}1|11111444377770008aa67a2}[}[[[:({'';;;;;;;;','^^^[}}2221:[{]!'--*%&&$$###$&=,)'->){{(___|3coppopttpsxuyABFIMOPQQQQQQQQPPPONNMKKIIIEEEEBAAyyAAywwqttmqwAEEypolptwEEBAAEHHIKKKHAtppopporpuwzAAypprtwwwyAEHKMNOONMIHEEEHEBBAABAAABBEEEBAwwtpniec86622",
+"2|3||}}}}____<|:_1111}42277700067a622}}[_[:_:(!''-;;=-;;;;''!]^(_}2221_[{{''-=*%&&$$$##$&=>),>>''!(_11|39oppoptpoqxuyzzFIMOPQQQQQQQPPPPOPOOOOOONMKKIHEBEBBACywpttmmuzEEyplfilpwBHEBBEIIKMMMIBwtptrpopqtwABzwsqppwwwyAEHKNOOONMMKHEEEBAzAAyyAAAABEEBBAtpoljca662}",
+"_((:[}21<:<((_______11144777776777a2}}[[[^[([{!,---===-;;;;''^^^[}2}21^[{!''-=*&%&$$$$#$$%>),>;>''!_34350ltppoppoqxuyzzFIMNPQRRRRRQQQPQPQQQQQQPPPOOONNKIEEBCAAytttqqwBBAtofcffowEHHEEHKKMNNMKEywttppputwAEEAyuqutwtwyEEIMNOOONNNKHEEEEAAAyyxywyyAEEEAywtolfc862<",
+"_(^^[_<|<<___(((__::[1}1227777767342}[[[^][(({'>;;===**=;;;''^^^__}}}_^{!!,;>;*%&$$$$$$#&%-,)>;>'''{1459dotpppppppxuyAzFKNOQQRRRRRRQQQQQQQQQQPPPOOOPPOOMKIECCAAwwwwtwAAAwpjiccfltBHHBEIKMMNNNKEAwwtptuwwCEEBAwtuutwtwAEKMNOOOONMKKIHHHEEBAAwxwttwAAAAAywtpoib531",
+"::^(]{{/___<<__///____<1}}244734733}}[[(^^((^{'>-=====*=;;;;''^^][}}}[^{!'';;**&%$$$$$$#&%-,),;;'''!_|59iptpppttpuxuyAzFKNOQQRRRRRRRRRRRRQQPONMMKMMNNNNOONKHEAABAAAyyBAAwtpoifffltAEEAEIKMNNNMIBywtptwwwABEHHEzwvwyywyEKMNOOOONMMKKKIIHEHEEAAwtttwtwwwyyywtpic53",
+"|}_/(~{{{{(/<<<<((((__<:1}}24421144}1[^(^^]{]!,;===%=====;;;''^^{_}}}_^!!''>;**%%$$$####&&*,{);>,''!(_|9ipwtpptttttuyAzFKOOQQQQRRRRRRSSRQQONMIGGGEHIIIKMNONMIEEEBBBAAEBAwtptpliffltAEBBEKMNNNMKEAwwtstwwyACEHHEAyAABBBBIKMMNNOONNMMMMKIIIIIHEBAwwtppppttwywtpic5",
+"95|<_((~~)~~((_<<<(/<_<<<:111|}1}12|:[[{^^{({!';==*%%==*=;;;;'!^{[}}__^!''>-=**&%$$######&=>~)>>'''!{<|5ipywppttswtuyAzHFOOQQPQQRRRRSRRQQPNKIHBCCCCGGGHIKNOOMKHEEEEEBEEAtppttpoifiipAEEBEKNNNNKHAwywwwttxAEHIKHEEBEEEHEIMNNNNNOONNNNNNKKKKKMKKHEBytpooooptttpoif",
+"lf933|__~~~~~~/</</(<__<<:}}}}_<:1|1::^{]{](]!'==**%%%&&=;;;;'!!^[[[_^^]'';-=*&%$$$######&%>))>>''''~/<3coyytptttwwuwzzFKOOPPPPQRRSSRRQPPONMKFFBCCCCCCGGIKNNNNMKIIIIHHHEAtptwwwplifipAEBBEKNNNMIBwyyyzutuyABEIIHHHEEEHIIMNONNNNOONONNONNNMNNONNMKIBytollilopppoo",
+"plif953|<<<</{~{(((<</______<::___|<:](^^~](])';**%%%%&&**=;;>'!^{[[[^^!',;-=%&&$$$######&&-)),;;''')(<|9lwAwtwwwywxyAzFLOOPPPPQQRSRRQQPOOOMMKKHEGGGGGGEHKKMMNOONNMKKIIIEwpwAEEAwoiiltBEEEIKMNNKEAAwAAwtuyyEEHHIHHEEEHHIMNOOONNNNNNNNNOOOOOOOONONNMHBwpiffiilopp",
+"iillifc53||</{)]]~~//<<<//___<:](_:<]^{^^{^[/]';***%%%%&=*=;;>'!!^[[^^{''>;-*%&&$$########&*,));>'''!(/19ftyywAywywxyACIKMOPOOOPQRRRQQPOOOOONNMMKIKIIIHHIILKKMOPPPOMKIIIIBwyBHEBAwpllpyEHHHIKMNMKEAyyyxtwyABEEEHHEEEHEHIMNOONNNNMMMMMMNNOQQPONMMNONKIBwoic9cffii",
+"59ciiiic953|/~)))))~{/<<<<<_<__](:::]]!!!!(_:{';**%%%%%&%==;;>'!!^{^^^''>;-=*%&$$#########&&>))'>'''!((|6cpwwwBAAAwxyACFKMONNNOPQRRQQPOOOOOOOOOOOOONNMKKIKIIKKNOPQPOMIEIMIBBEEBBEBAtppyEIKIIKMNNNKEAAAyyzAABEBEEEEEEEHIKKMNNNNNNMMMMMKMKNOPQPNMKKMMKKHBtlf633333",
+"(<|59fffc953<~))!!!!!!{((<|<<(_(:::(]^!'!'{(:~'--**%%%%&&%=;;>'!!^^^^^'';;-=%&%$########$#$&-)~'>,''!(_}29ottwABBByxyCGFKNONNOPQRRRQPPOOPPPQQQQQQQQPPOONMKKKKMMMNPPPOKIIMMHEEEEIKIHBwtyEIMMKIKNOONMEBAyyAAyACCCBEEEEGEHIKMMNNMMMNNNNMKKKIMNOOONMKIIKKIEAtlc6}/~~",
+"')~/|599c9953<//~~)!)'!{(___</::(<_(]]''!'!{]!'---**%%%&&*=;;;>!!{^{^^'';=*=%&&$#########$&&*)),;'',!//}29ltttyBHHAxyCGKKNONMOPQRRQQPOOOPQQRRQQQQQQQQPOOONNMMMMKKNOPOMIHIIHEEEHIKIIIEBBBHMMMIIMOPPONHBAyABABACzzEEEEEHEHKMMMMNMNOOOONNKKIKKMNNNONMKKIHEBAwof9<~)",
+"',,))/|3599995|<///~)!)){{(__<<]((<_/{!'',!]~);***&&**%&===;;;>!!{^!!!';-=*%%&$$#########$&&*,))>''')~_}29lttpwBIIByACHKLNNNOOPQQQQOOOPQQQRRRQQQQQQQQQPPOPOOONNMKKMNNOMHEHHEEEEHEBEHIIIEHKNNMIKNOQQPNHBABEEHEEBCBEEEEHHIKMMNNNNNPPPPOOMMKIKIIIKNNNNMIEAAABAti9<{",
+"/~))!)~(<|59cc953|</~~))!{{((_</(]//(/{!'''!{';**%&&%*%===;;;;'!!!!!!'>;;*&%$&$##########$$%*>))'>''){_}29ltwtwAEHBAAEGKKNNNOOOPQQONNNOQQRRQQQQQQQQQQQQQPPPPPOONMKIIKMMKHEHHEHHEAwwAHKMKKKNOOMKMOPPPONIEHHIIKIIHEEEEHIIKMNOOOOPPPPPPPOONNMMKEEEIIIMMKIBwwABByo9|",
+"5|/~~~!)~/|59ccc93|</~){~~~~(((/(((//{{!',!{]);**%&&%%%*=-;;>''!!!!!!';;=*&%$$#####@##@@@$$&%>)~'>'')![:}5iwwtwyEEBABEJKLMNNNNNOPPNKKMOPQQQQQQQQPPPQQQPQQQQQPPOONKHEHHIMKIHEEHIHBwwAEKNNOOOOONKKMOPPPPOKKIKMNMKKIIHEHHIKMOOPPPPPPPPPPPPOOONMIEBAAAEEIKIAtptAAwpf",
+"l9|/~~!)))~<39ccc953|</~~)~{{(]{//(/]~!,'!!//!;-%%%%%%%&*=;;>'']]!!!!';;=*&$$##@####@#@##@#&&-,~)'''!{::}0itywwwBBAzAEIKKKNNMKLNONKKKNOPQQQQQQQQPPOOOOOOOPQQPPOONKHBBABIKKIHHHIIIEBBEKMNOOOOONMIINOPQQQPOKKNNONNMKKIIIIKNOOOOOOOONONOPPPOONMKHBywtwAAEEAwppptwyw",
+"wo9|/~)),,,)~<39ccc995|<//~~~~{{]](<:~!'',!{~{'-*%%%%%%&%&=;;''!^]]]!,;-=*%$$#@@@##@@@##@@#$$*'~~''''{^:[5fpywwwBBAyAEJKKLMKIHINOMHCHMOPPOPQQQPQQOOOOOOOOOPPPPOONKIBAyBEHKMKIHIMMKIEHIKMOONNNMKIEINOPQQQQOOOPPPPOOONMMMNNNNONNONNNNNNOOPOONNMKHBywtttwwyyywtpptw",
+"opl9|/~),'>->,~<|59ccc53|<//((({{]]]</{!',,)~~'>-**%%%%&%%=;;;'!!]^!'';-*&%$$#@###@@@@@@@@#$&%>~{)'''!]::4dpwwwwBEAzAEHKIIKKHEIMNKECGINPOOPQQPPPPPNNMMNNOOOOOOOONMKEBBBEEIKMMKKMNMKBAAEIMNMMKKKIEEHMNOOPPPPPQQQQQQPPOONNNNNNNNNNNNNNMMNNNNNNNNKIEAwttppptyAAwpll",
+"ciolc3<~),,-;=-,)/|5999953|<<<<(]~]]/_/^''''!)'>---***&%%===;;''!!!',;;-*=*&%$###@@+@@@@#@#$$%;)~~'''!^[:39ltwwwBHBAyBGIHIKIEEIMNKHEHMNPOOPQQPOONOOOMMMNNOOOOOONNNMKHHEHIIKMNMMKKIEwpptAEIKMKKKKKEBHKNOOOOPPPQQQRRRQQPOONNNNNMNNNNNNNMMMMMNNMMMKHEBwtolootwBEApf",
+"iilifc9|~)',-==;-,)<3599953|<<<_/~]{]//]!)!!)]'-*********=*;;;,',!'';;;=*&%&$$####@@@@#####$$%='~~!'']^^|39ipwwwBHEAACGGGHKIEEEKMIEIKNOOOOPQPONMMNOONNNNNOOOOOOOONNNKKIIKMMMNNMIEAwpliotwAHKKKKKMKEEIMOOOOOPPPPQQQRRQQPPOONNONNNNNNMNNMKMMMKMKKKIHEBAwpooptAHIEt",
+"HApf9cc9|(~)>-**=*>,~<3599971|<<<///]({{{!]]{~'-*%%%%%=**--;;;!!,';;;;=&%$$#######@@######$$&%*>)/{!!!^]|39ipwywAHHBACCCAEKIBAEIMKIHINOOOOPPONMMMMNNNNNNNOOOPPOOOOOOONMMMMMMMMMIEytpliklopwEIIIIKKKKKNOOPOOOOOOPPPPQQQQQQPPPOONONNNNNONMKKKKIKIKIIIHEEAAwptyEKMK",
+"POEl539c93</)>;==**->)~|359953||<]]]](/!!'!)~~)'-*%%%%&*=;;;;'!]!'';;=*%$$###@@@@+@@@##$$$%%&**;~</{{~][|39fowywAEHBACCzACEEEBAHKKEHIKNNMMNNMKMMMMKMMMNNNOOOPPOOOOOOONNNMMKKIIKKIEwpoikiilpwEIIHIIIIKMNOPPOOOOOOOOOOOOOOPPPPPPPOOOOONOONMKKIIEHHIIIIIIIIEBABEHKO",
+"OQNAi9555953<)>--****->)/|559553|//]](/{!'',)~),-**%%&%&%*=;''!]]'',;-*%&###@+++++++++@###%&%**;)<<_/([:|79fowAyAEHEBBBAwAEHzAEKNKEABKMNMIKIIIKMKMMMMMMNNNNOPPPONNNNONONMMKKEEIKMKHwploollopwEHHHHHHIKMNOOONNNNOOONNNNNNOOOOPPQQQPPPOPOOONMKIHEHEEEHHIIIIIHHEEBI",
+"EKONEpf5|3599|~,>-****->,~<359905|<]{(/]!'''))!'-**%%&&%===-;',!'''';-=*&$#@@++++++++++@##$$%%*;,(<_//::179flwBAAEIHEAAyyAEBAAGMOMEABHNNIHEGGHEHKKKKMKKMNNOOOOPONNNNOOONMMKIEBEIKMKEwpttppootAEHIIIHHHIKKKMMKMMNNONNMMNNNNOOOPQQQQQQPQPPOONNMKKHEEBEEEHHHHHEEAAA",
+"yBKNNHwi5||5cc5<),>----->,)<|599933<(//]{''')!)'>*%%&&**==;;>'''''>;;-=&%$$#@@@++++++++@@@##$%%=-)<_(~:[_|5cipwAABHIBBAyyxzzyzAINKAwAEKKHAzCBGCCEIKMKMKMMNNOOOOONNNNNNNNMKIHEBBEIKMKEywwwwtppwAIIIIHEEEEEEEHEEEIKMMMNNONOOOPPPPPPQQQQQQQQQQPONMIIEEBBEEBEAAAAywy",
+"ABEHKMHwi5<|3cfc3/),>>>>>>,~<|599993<</(^,>',)),>-=*&&%%==;;;','';;;=*%&$#$#@@#@@@++@+@#@@##$%%=-,/_({]^_|38cltyyzEIBxuuuuyzrrwEKIAwwAIIEAzABCzzCHIKMNNMMNOOOOOONNNNMMMNMKIHHEEBEIKMKBywwywtttwEIKIHBAAAAAAAAABBEIKKMNNOOOOPPPPQPQQQQQQQRRRRQPONKKIHEEEBBAABAywy",
+"IKIEEKNKAo9|<|9ff5<~,,>>>>,)~/|599953||<],'>>,),,>--***%*==;-''';;;;=%$$###@+@@+++@@@###$#&&%%==-,{_</^^_<38bipywAEIExuuuuxtrouAIIBwwAEIAAyBBCCCGHIKNOOOOOOOOOOOONONMKKMMKKIIHHHHIKMMKEAwtwwtpwAHKKIEAwyyAyAABBBBEEIKNNOOOPPQQQQQQQRQQRRRRSSSRQPOOOMMKKKKKIIKIEE",
+"PPOHAHOPOEtf5|3ciic|~,,>>>>,,)(|3599555|:),';',,,>>>;>---;;>;'''>;;=%&$$##@@++++++@@@@###$%==-->>)/11_::_1379fpyyAzEBtpruuttqmuAEHByyAHHBAAAyCEEGHIKMNOPPPOOOOOOOOOOMKIIIKKKKIIKKKKMNNKEwppttoptyEIIIEAywyyAABBEBBBEHKMNOOPQQQQQQQQRRRRRRRSSSSRQQQQQOOOOPOOPQPPO",
+"QQOHAEOPPOKAti99fopi9|/~)),,!!~<|3555953|~,,>,,,>--->>>,;>>>'','>-==%&$$##@@++++@@@+++@###$&&*;>')(|33}::|35cfoyyAAAAtpprpttqqpyEEByAEHIAyxAAAHEEGGHKMNOPQPPOOOPPPPONMKHHIIKKKMMMKKKMMMIypoopoolotBEHHEAwtwwAAABBBEBEIKMNOOPPQPPPQQRRRRRRSSSSSRRRRRRQQQQQQQQQRRQ",
+"QPOIBEIOPPOKBwl9cflppi9|</////<<1|5559955|~'>,,,>****->,,,,,'!!,;;;=%$$#@#@++++@##@+@++@##$&%*;-;,{<|72[[||59clwAAzAzwqqmpqtpnpwABAwyEIIAxuyABEBEEHIKKMNPQQQQPPPPPPOOONIIEEIIKKMKKKIIKKKEtllloliiotABEEBwtptwyyAABEHHHIIKMNOOOPPPQQRRRRRRSSSSSSSRRRRRRRRQRRRRRRQ",
+"QQQOMHHIOQQOHAti999iptoc5|<<<<||||33599995|/)))),>****->,,,){]]!'>;=&$$##@+++++@#@@+++@###%*->',,)/_3952}|159cityAAAywrqqqutpootyBAwwBKKEwxwzEEEEIIIHKMNOOPQQQQQQPPPPONKHAyABHIIIIIIHHIKIApolooolopwABEBAtpptwwwwyEKKIIKKMNNOOOOPQQQQQRRRSSSSSSSSRRRRRRRRRSSSSSR",
+"RRRQQPNNOQQQMBwti955fotof5|<<<<||<|||355c95|<///~)>>-;;;'',))]]{),;-*%$###@++++++++++++##$%-,~)){/|35fc94335bcipyAAAytppppwwtrotyBEAyAIMIBwAzAyEEEEECEIKMOPPPQQQQPPOOONKEAwtwyAEHIKKIHHIKIAtoopoooptyBEBAywttttttwAHIKKMMNNNNNNOOOPQQQQQRRRSSSSSSSSRSSRRSSSSSSSS",
+"SRRQQQQQQQRQOHAAwof99fptpi93<<<<|<<<<1||555||<<//~,,>>>>'')!{{]))),>>-=$##@++++......+++@$&=>!)~/<|35ff953799fiowABBAwtpppwytpptyABAwyBIIByAAyzAEAyAABEIKNNOOPQQQPPPOOMKEBytttwyBIIKKIIIIIHAtpooooopwBEEBAwtttppopwyBEIKMNNNNMMMMNOOOOPPQQQRRSSSSSSSSSSSSSSSSSSS",
+"SRQPOQQQQQQONEwAEyof99fpwwof53||11<</]//<|3||<<</~),,>,>'',){]])'',,'>-*=*%###@++....++++#$&*->,)/(_|5cc52459fiopyAAywtppptwwppptyBAwwAEEAAywyAzyywAACzEFKMOOPQQQQPPPPNMHBAwwwwwwBHIKKIIIIHEAtpooollpwAEEByttpolloptyABEIKMMMMMMMMNNNNNNOPPQQQQQRRRRRRRSSSSSSSSS",
+"RQPOKMNPQPOIyoipBBti933cowwpf95|33||<(/~/<|||<<<</~,,'>;',,)!{]),',>--;*=**%%%$##@@+++@@+#$$$&*;;,'!/|7952|70filpwBBAAwpoptwwtoptwBAwwABEBzyyyBAwuyyzyzAEKMMOPQQQQQQPPNKIBBAwtppptAEHIKIHHHEBypoopoilptABBAwpolffilptwyAABHIIKKKKMMMNMMMMNOOPPPPQPPPPPQRRRSRRRRR",
+"PPPOMKKMNNKAoc9iyHyi5<<|5fpplc53333|<(~))~/<<<<|||/),',''''',){)''>--*=%%%%$%%%%$$########$$%&*=;;''!{122}:457filtABBBAtolowwoopptyAwtyABBAxzBEAzxwywyzzFKMNOPQQQQPPPOMIHAAywpoiilptBHIHHEEEBAtppttoiiopwAAytpliffilptwyyABEHIIIIMNNMNNMMNNOOOOOPOOOOOOPPQQQQQQQ",
+"QQPONMMMNNMIAoioAIAi9|/~/|9ili933||<<~)>;'))~~/<|||/)),,,'',,,,'',>-*&%%$####$$$$$$$$%$$%%&***---;'!!!{13}[_1|85cipwAywpiijopollopwAwttyBEBAzAEAwxxuwwzBEKMNOOPPQQPPPOMIHAAwupokiilptAEHHEEEEBAwtwwtoiiloptwwtplifdgioptwyBEEHHIIMMNNNNOOOOOOOOOOOOOONNNNOOOPPQQ",
+"RQQPOMKMNNNNNHAwAAti93/~~~<9iiic53|</],;*;->>,)~/<</~),'''',,,',''>;*&$$$##@@@@@@@@#$$$$*=*->->,''!!{){<43:^_1|439iptppifccgiifiiopwwtptyABwtwzywtwuqwAAEKKNMOOPPPPPPONMIEAyutpolllootAHHHHHHEEBAAAytpliiilptttplifdfilotwABEEEHIKMMNOPPQPPOOOOOOOOONONMMMMKNOPQ",
+"PQQQOMIKMKIKNNHApof993</~)~<5fiic93</~,>**%**=->)////)),>;;;;>>';;>-*&%$##@+@@@++++@@@##$%*->>,)~{//~(/<|52:<<__|29looli9589cfccfilpwpootyAtppwxptpuqwxABEIKMOOPPQPPPOOMKICAywtqpppppptBIKIIIIIIHEBAwtpoiiilptwtpolifiilmpwABEEHIKKKMNPQQQQPPPPPOONMMMMMMMNMKKMO",
+"MNOPPONMMHBBEHEypf953|||/~))/5iolc5|/~)>**%%*&*->)///~),>>-;;;>>;;--*&&$###@+++++++++++##$$%*->,'{{////||5832}:}269ioolic977cc99cfiottllpwAtlltpqqpoqqwAyzEIKMNOOPPPOONMKKEBywttqpppoppwEIIHEHIIIIEAwwwtplilotwAAywwtppoopwyBEHHIHKKKMOQQQQPQQQQQPONMMMKMNNNNKIK",
+"MMMNOOOOOKEAyyAwtof5|<<|3<),~<9lpi9|</)>-*%%*&%*-,~//~~),,>>;;;>;;*=%%&$##@+++++++++++@###$&&*-;''''!!~~_|593321359fptpoic90dcfcfiiowwpoopAwpopplmmlqqwuxzBFKKMNOPOOOONKKKHEyttpppooolotwBEEBBEEHHEBwtttpoiilowAEEEEAAyyyyABEHIIKKIIKKNPRQQPPQRRRRQQONMKKMMNNMMM",
+"NNMKKKNOOONKEAwtttpi93|353/))/3cilf5|<~,-=*%%&%&*-,~///~)),,>;;;;;-*%%%$##@@+++++.++++@@##$&*=-;'';''''')/|3|<<<<|39ipppoic9cfifillpwAwpotwywtpolikinuuwxzAEIKNNOOOOOONKKIEBytuoolololooptwBBAABBBAAwpllllifcflpwyAAAAABBABEEIIKMMMMKMNPQRQQPQQRSSSSRQPONNMMNMMM",
+"MMMIIEEHINOPPNHyttwwpi9995|///|39ilf5|/)-*%%*%$$$%-,~~~)~)),,>>;;;-*%%%%$#@@@++++...++@###$&%=*;;;;;;;''''/<<~~!){/|5ioolifc9cffiilpyEBwttyEEywpiikgjquwtxzFIKMNOOONONMKHEBAytplkilllollloptyAywwwywwtoifiif999cilptttttwwwAABEIIKKMKKNOQQRQQQQRSSSSSSSRQPPONKKK",
+"KKIHHHBBABIMOPOIBAABAwoc53|<<<<|39ilc3<~,*%%%%$###%*,,)))))),'>--;-*=%&%%$$#@@+++++++@@###&%%*;;;;;;;;;;;')/({''''!{_5fifc95599ccciltAEAwtwEIHAyoiigjiqqtwzDEKKMMONNNNKIEBAxwtqplkllllliililpwwwtptttpplififc55599floooppppwyyAABEEEIIIMNOQQQQQQSSSSSSSSSSRQQONM",
+"OMKHHIEEBABEIMMMMIHHEBwoc5|<<<<|35fiic|/)>%$%*%####&=>>>,)))),,>>--*=%&%$$$##@+++..+@@####&%&*;;;;;;;;;;;;'!~{';;;''{<0cc953|35959cciwBBwptAIIEAtligdemmtwzAEIIMMMNNNNKIEAyuuppqollifeffiiiiiptwtppppppoliffc955555cilloppptwwyAyyAAAEEHIKMOPPPPQSSSSSSSSSSSRRQP",
+"QPNKIIHIIEEEEEEHIKMMKIEyoc53|||5559fol9|/)-%%%%$#@@#%*-->,,))),,>>>-*%&$#####@+++..+++##@#&%&*;*;;;;;;;;;;;')),---->,~|9995||||595359lyBypptBIEAtiebdemmquxAEHIMMMMMMMKIEAAuqomqpomiicccfffgilpttppopppooifffc9553359filooppptvwywyyyABEHHIMOPPPPQRRRSSSSSSSSSRR",
+"RQPNIHEHHEEEEBAyAEIMNMMKApic5339c95cotl9|/,-%%*%#@@##%***-,)))),,>>-*%$########+++++++@#@$&%*******;=;;;;;;->),;===->,~39995||<395259fpAypopyEBypicedeempvuAEHIKMMKMKMKIECAwuqmmoppoifccccffiilpttppoooooiifffc9533599fillopptwwwwwwxwyAAEEHKNOOOPQQQQQQQPPPPQQR",
+"PPPOMIIEBAwAAywwttyEKMNNNIAtlc9cfc9cltti5<)>*%%*%#@@#$%%%*-,))),,,;=*%%$###@###@+@+@+@###$%&***=*&%&**==;=*==',>-*%*=>)<5c905||335359flwytolpwwppifeggjmpqvxDHIIKKKKKKKIECAysrnjoppuplfccccfilllppppooollliifffc9555559cilopttwwwwwwwxwwyyCEIIMNOOPQQQQPONMMMNNO",
+"NNNONNMKHAwwttttpoopwBIMNNNMHAtppoolotwo9|~,-***%$#@@#%%%%*>,,,,,,>=*%%$$###@##@@@@@@##@#$%&***%%%%%%&*=**&%%-,,>****->{3cc999535559ccfowwoifooppofffgjmmrsuDFHIIIKKKIIICCAvurnkmnpppolfcccfloolloppplllliiifffcc9557550cfipptttwwwwwyywwyABBHIMNNPPQQQPOMKKKKKK",
+"HEHIMNOONKEAytpoliiffipBKMOOOOMIHEAywAytf5/)>>**%%##@#$%$$%*->,,,,>-*%&%$$$#@@@#@@@@+###$&%&****%%%%%%**%&%%&&;'>==&&->,<9ffffc55555599fopofdilptpihhgjmmruuDDEEIIIIIIIHCByvqqmnmolilllifccfioooooooooliiiffffcc9955333599fiopppptttwwyyyyyAAEEIKMOPPPPPONMKKIHE",
+"BAAABHMOOONKIEwoifcc99cltBINOOONMKIHBBAyo9|~),-*%%$###$%$$$%*->,,,,>-*&%%$$#@@@@##@@####&&%%******%%%**&%%%&&=*>,,-;;->)<5iiiif9333||425fomgc9ipwtibegemmrtuxDBFEIIHHHIHEAyvuqqnmoifgiiifffffioppolooooliifffcc95595533335afilooooppppwwxwyAAAEHIKNOPPPPONNMKKHE",
+"BAwwwyAIMNOOOMHwof999599flpwEKNMKIHHBBAyti5|/~)>-*%%$$%%%%$%*->,)),,>=*%%$#@@@@########$&%%****%******&%%&==***>)~),>,'!/|ciffc51<<|_<139ipld0fowwocfgjmmrsuuxDBEEEHHHIHHBDvtqropomfddgfifcccfiopololloliifcc9955555553337adfjilllllppptwwwwzzBBEIINOOOOOONMKIII",
+"CytqpptABHIKMMKEwof953599ccfowBEEAwwwwwwti953</)>-*%%%%**%%%*=->))),>-;*%$$####$##$$$$$$&%&****===*===**=;--**->)//)>>>,)/|9c995_(<<<<122cloidcitypffhhmmrvvsuxDBEEEHHHIIEDyuusppmlfc0cdfffc99cioooolllliifc99553355557735a0behiikilooooputwAyAAEEJMNNNOOONMKIKI",
+"BuuomorpwwwyABEEBypf5||39999cipwytpoooooi9355|<~)>-%%%%***%%%=->,))),,>-*%&$$$%%%$$&&&$%%*=*--*=--=-;-*=;--*=**=-,)'-*-->,~|9995<((<</(_25foofcfowtihkjmmrnorquwDDEBEGHIIEEAwuutppolcb0ddffcc99cfilliiiiiifcc95533559957756d0c9hhiilionopupwAAyAECGIMMNNOOOMKIIE",
+"AuqjjkhinloooptyBBypf5||35559clpwwplifc99|<|3|/~~)>-*%****%%$&*=>>,,,,>>-*%%%%%%%$$&&&%%&*****=*==*=**&&*%%&&%%&%=>';%%**>)/3999|_(__<(_}39loifciopifkljmmponrruuABBBBEHHHEBywxttpoofb99cffifc9059cffffififfc955333599990999ddcchgeiijonlrqptxxzECCHIMNNNNNOMKIH",
+"ByqmjggeebbcccipwyAytof5553335clpwwtof95|</<||~))))>*%%*-*=&%%%**->>>>---=&$$$$$$$#$$$$%&%&*%%&&&&&&%$$$$$#$&$###$*;;*&%%=;,<5995|_(<</_}}6foliccioiifkljmmkonvuuxABBBEEEEEEAwwwwppolfccdffffc9533399cfffiiiffc9955599c90ccccc9gdhggijomnrqqpxxABCCEIKNNMNNNNMKI",
+"HAuqjhgba663239flpttyAwoic5|||5citBBypf93|<<|<~',,,>-*%*---*&%%%**---;-***&$#######$###$$$%%%%$$$&&$$#@####$####@@#%=*%$#$&>)<5593<_<<</}}29iplfccffcfilonqmmppssxwABABEEEEEzyywwwtpolfffcccdc99533359ccfiiiiffc995355999c988090cciiilnoorqqpxxAACCHFIKNNMMNNNMK",
+"KEAuqjjg8664}||59fiopyBBytl93||39iwBBtlf953|3|/),,,>-*%%=>,>-*******--**=%%$############&%&%%%$$$$#$###@#######@@@@#%=&$#$&=>)|5953:_<|<}}}5fooic9c9bcijmolqmmppuwxAABABEEEEAyywwwttpoieccdcc999997333599ffffffcc99535599ccc88a99cdhfilonorqpxxAACEHIKMMMNMMNNMM",
+"KIEAuqjg8a24:<<<|359ipyBEEAti93339ipwtplic533|</~)>>-**%*-,,>=*-*==**=***=%$$##########$$%&%&%$$$$###@@#####@@@+++@@$&=%$$&&->~|5954||3|22239ipoicc9acfiooolqpqttwwyAABABEEEAyywwttpplkicccfc99999553|3559ccffiiiffc99cccjiiffcccdchiklooorqtxwyyBCEKKNNMMNMMNNM",
+"MKKEwuigaa21:_(///<|9ipwAEIHAof5535ciptpoic533|</)>>--*%&=>,,---*=***=*****%$##@@######$$%%%%%&$$####@@@####@+++..+@#$==&$$&*-'<35553|3352226fotoifccciioooolpmmttwyAABEEEEEAyxtttqoooiiifcfc995999955559cffiloooooliiiiilloliiifiilloopppttwyxAABCHIKNNNNMNMMMN",
+"MMMIExuke861[_(~////|9fowAEIHAtf95559ipttpif953||~)>-*****-,,,-*=&%%%=***--*%$$#@@#######$&=&%%$$###@@@#####@@++..+@@#%;*%%&*-'~|599955555559cittoieciilioomlnmopttwyABEEEEBAwtprrppoookggf9c999999cccfcciiiilppppppoollliiiiiiiiillooopttwyyAAEEEHIFMNNONMMNMMN",
+"NKMMIEymib64_[]{//(/||5iptyBEHBtic999cipttpiffc95|/)>**%%%*-,,>**%%%$&%**---**%$#######$#$&**=%&$###@@@@@##@@@@++++++#$=;-*==-')<59ff99999599cfowtlfffiiilooonlomttpxwAAEBBBAytpqqpqplllgccdfcccffiiioliiiiilillloooolllliicddccfgiillloppswyAAEEIIKMNOOPPONNNMM",
+"MKKMMKEwoia61[]/<||||||9fiopyBEBwoicccflppoiffffc95<)--***=-,),-*%%$$&%%**----*%$###$####$&%%**%$$#@@@@#@#####@+++++@#$*;,>>;>,)/39fifcc999599cipwplfifffilooolimmoouutwyADAAAywtrrmmmiiiggdgiiilpptpppliiiiiiifiilllllooolic9099cfigiiknopuwzzBEHIKMNOOPPPPOONN",
+"ONKMMKIBwof94}<_|33|</<|59cfipwAAytpicfilolfcccccc9|~,>>>>>>,~~>-=%%&$$%%*->->--*%$$&%$$$$$%****%&&####@###$$###@@@@@$$=>)))>,,)~|5fiifc9999559fottpliiffcilllkikkglnrpuuyAAAAywwpqrnliiiilikllmopwAywtplliifififiilllloooolic0899dffiijnlrutxxAEEGKMMNOPPPPPOOO",
+"OONMMMKIEtic62<_|33</~)~<|5999fotyAAtlilopoi95999553<)>>>,,>,)~)>-*%&%%%%-->>>>>-;**&**&&%%*;**=*&&%%$&$$$%%%%$######$%%=,~{),,,)<3ciiiifccc999ciottoifc988fffgdhgggmlrquwAAABAwturpqomoploollllopwyyttptplliiffffffiiillliiifd99999fiijnloqtxwABEGILMNNOPPPPPOP",
+"ONMKKKMMKEtl92__<|3</~))~/<35599iotAAwtppttoc5555555|~>->,,,,,)~,-**&%%%%*->->>>>>------=*=--*****&%%&&$%$%**%%$#####$%&&-)//),)~/|0ioooiiffc95559iolfc986a9cfegfbggijmmquyAAAAwuqquuttttpoooiiiilopttttttpplic99999ccfiiifcfccdc800cffilloqtxxACBCIKKNOOPPPOPOO",
+"ONMKJHHIKIEyoc3|/_|<</{~~~~/|5999cipwAAAyywti53555555|~,,)),,,)~)>-&&%%$$%**;->>>>>-----------***==%%&&$$$%***%%$$$$$%*=*-,/</~~/<|5cioolic995|||19fic999626bcfgdbgggiinmqwyAyyytpquttwttuppllifffiloopttwttplf955599ccffffc9c9cc990dccfjjmqsuuyCEEHFMMOOPPQPOPO",
+"OOMKHEEEEEHEypf93|||</~~/////|5999ciotwBEEBwo9||333333|/~~~),,,~~)>-==%%%&&&*-->>>>>--->>>>>>-;--=*%%&$%$$%*---=%%%%%*--->,)<<<//~(_|5cffc54|41_<||9cc95762aaccfghdggnlqqqpwwyyyywwututpppppolliiccfiilopttttpofc599ccfffccccc99cccccecfijoqrusyCCBFIMMOOOQQQPOP",
+"NNMMHEBAwABBAwoi9343|<///|||<|359cciloptBIIBwl9||||||||</)~),>>,~~,>==*%%%%*-->>,,,,,>>>;,,>>>>>---***%*%%*-->--**&%%**=**->,~/~)!!{{/|9c953||1____|7cc977626bcfgdfkkkmrrqqtwyyAAAywtuqpmmloooliifcccfffilopptttplfcccfffcccccc9ccddgfeiliqqpuyyBBGHILMOOOPQQPPO",
+"NMKKHEAywwwyAywoc53353|<|553|3359fflliiltBHHEyo933333||</)),,;*-,),>=&%%%%%%*-->>,,,,,,,>>>>>>>---**=*%%%$$%**%%%%####$&&%%&-,)~)'''')/|9993|<<<((/(<7c9056266dcfghgkkooqrqtwyABBAAywtpommlkiiiiffcc99ccfiiiiopwyytlfccfccc99ccccccfiiiiloqppxAEEGFFIMMNOOPPPPOO",
+"OLIFCBAxtpptwAAtl9533533599533359fiiliiopyAEEBApc99993||</),,;**>,,>&$######$%**-->-----;--*=-***&%%%&$$#####$$#$###@##$$$&&*;>!!!''>,){|553|<<<_({~(|9c90566689ffgfkknlqrqtyBEEBBAywwpolkkfggccfcfccc9cffffffipwAAwpiffc9999c9cccfgifilloqpxwBHHHIFILNNOPPPQPOO",
+"OLIFAAyurmmoptAytof5||||59fccc99cciiloopptABAABApifff53||<~),>**-,,>*$$#@@####%%**=------=*%**%%%&$##$###@@@#######@@#####&%%&*>!!';-;''~|553|<<__{{{(|9cc0866889fgikklinnqtABEEEEAAywtrllidd90999cfiiifffcc9cffiotwwtoif9999c9ccccfiiilinmpuwAEIIKKMMONOPPPQPPO",
+"OLLFBvwqrmieiiptwwplc5|||39fiopppiiiloopppwBAAABAplii9533|/))>--;>>>-&#@#@@@@@#$%**-----;=&%%&%%%$######@++++@@##@@++@@#@#$$&%%-'!!>;;;-,~|553|<__({]{_49cc066aa0fkifkglnrptyABEEBBBAAwpolif9999099ccffffffc99c9ccfiotttoi999c9dccffiiilnnmruuAEHIMMNMOOOPPQQPPO",
+"OMLFFzvqnmebb9ciotttoi953359itHMHwtpollollpAEBBEBwoif95595<~))>>-->>-&#@@+++++@#$$%*----*=&%$$&$##@@@@@@@.+++++@@@@+@@##@##$&%==;'!,';--;,~|5531<_</{](/38cc966a8fkkikkmrputwyyABBEEBAywpoiffc9c9995559cffiffcc99599cipwtpicc9ccccgiiiioooqpuuzBEGKMNOOOPPPQQQPO",
+"OOLIFzvtqkeb96259iopoic99599ftINIAwwtpoollowBEHEEAtlf955993<//~),->>-*$#@@@++++@##$%******&&$$$####@+++++....+++@@@++@##@##$&%==;;'),'-=->,~|553|<|<_(~][20cc969afgkimioptuuwwwyzAAAAAwwtpoifffc995573559cfiiifc955599flppoliccccgfiiiooopqppuyyBGFKNNOOPPPQQQPO",
+"OOMKFzzwqkij96}||5ciif93359cipEKEtooppttpoopwAEEEBwpif99cf93|<</),>>--&$#@@@++++@##%%*****=&$$#$$##@@++++++.+.++@@@@#@##@$#$%%=;;;;,',>--=;,(|5353|1<_]/_}29cc98ccfiommpptuuwwwxwyxwxwwwttpolifcc9533333559ciilic953599cfloollicccfiiiiolpqqpuuyACHKNNOOPPQQQQPP",
+"OONMKCByumjjc9}<_|39cc9|<<39flAIBpc9cipwwtppttwyAAytoifffi93|<<//))>--*&##@@+++++@#$$%**%%%*&$$$$##@@++++.+++++++@@@#####$$&%==;;;;;,,,>===;,(|35533|1_/(:}5cffccbfipppupsuuwwwywwwwtpptttppolifc99533333559cfilli955559cfiilooliiiiiiillloqrwuyCCEKMNOPQPQQQQPP",
+"OOOOKHByxrljc921_/_|5993<//|5cpBEtc335cltwtttppoptwwtoiiff93|<////~,-***$##@+++++@##$%%**%%*&&$$$###@@+++.+++++++++@#####$$&%==;;;;=>>,,-==*-,~|35577|1</[:49fiffbcgouutppqqswwywwwwttppppqpolliifc953333355599fllifc979cdffiopppoiiiiiilloqpwuyAACIKNOOQQQQQQQP",
+"POOOKHBAupojeb52<(/<<399|<~/|9iwEAl9599cilptwwtliiottpifc95||</~/</)-=***$#@++++++@#$%%**%%%=&%$#$##@@@++++++++++++@#$###$$&%=;;;;==;->,';***-,~|555733||}:15ciilfffltutppqptvwwttttttpppoomoliiiifc955333355559fillif9909ccflottpoolnlmlloqqpuyyACFKMNOPQRQQQQP",
+"QOONMICwurmjeb564|(]{<355|/~~3fpABtfcffiiilopwwtiffiptoic93<//(~)~/)>-****$#@++++++#$$%%%%%%&&%$$##@@@@++++++++++++#####&%$%==;;;;===*->,'-***-,/|55557552}|38dfllikipqqppqpttttttttttppppollliiiiiffc953333353359filiic9009cflpttpppppppoooppxuyBCFLNNOOQQRQQQP",
+"POONMICzqlkfa85434_~{~<355|~~/5iwAwicfltwpolipwwtlffiptpof5|/~/~,,)~)>*&**%##@+++.+@#$$%%%%%%&&%$##@@@@+++++++++++@@@#$$&%&&=;;;;;===**->>>-***-,/|59599c96|458ciloooqmpoqqpsttttttttttpppooliiiffiiifcc955333333559fiilic909cloptwtwwwwtpppptwwABGHKMNOPQQQRQQQ",
+"QOONMICAwqkbb67}<1|</~~/|33|//<9lttoffoyBAwtpopwywplilptwpi9<~~~),')~,-*&=*%#@+++..+#$$$%%%*%***%$###@@@++++++++++@@###$&%&*=;;;;;;===**=->>-***-,~|5599cfc556a8flpttpmooqqpppputttttttpppooomiffccfffiic995553335599cflolifcdiotwABEEEAwwtwwwAABEHIMMOPPQQQRRRQ",
+"QPOONLEztqjhb64[_/(/</~~/|53|//|9iopifitABEEBwtwyywtolopwwti5<~~),,,)),**&=%$#@++..+@#$$$%%%%&&*%%###@##+++++++++@@@###$&%*;=;;;;;;;==**=*->>--*-;,/|599cfid9a66cipwwwppopqqprpuuttttpttpppoollifcccccffiiffc955755999cfloppollotyBHIKIEAywwyAEBHIIIMNOPPQQQRRRQ",
+"QQPOOMIBxqjhb62_[{{{~//~~/|53|<<|5cooiipyEIKIHAywywwtpllpttof3/~)),>,))>*%%*%#@++..+@#$$$$%***&**%$#@###@++.+++++@@@###&*=-;;;;;;;;;==***==->>>-*;;,(|599cfifc66bfopwwtttuqmopppoppttptttppoooliiifcccfffiillfc99999cccfilppttpppwAEIIIHEAyyyAAEHHIKNNOOQQRRRRRR",
+"RQQPONMJAulkb861[({'!)~~~~<|33|<||5fiiilwBHHBAAAAAywwtplllopoc|/~/~,,'~)>*%%%&@++..++#$$#$%%*=&***%#@@##@@@+++++@@@####&%=-;';';;;;;;-=**&==->>>;;>>)/|55ccggf99ccimpwwywtpmmmponoppptpttpppoooiiiifffiiiiloolifcdf9ccffiiilpttttwwABEEEEEBAAyAEHHIKNNOOQQRRRRSS",
+"RRQPOONKHzrmf861[({!,,,)))~<3553|||5cfiltAAwppttyBAywwwplilptpf3|</{))~~)-*%%&$@++++@####$$%**=****&#@###@@++++@@@@##@#$%=*;'''';;;;;-=***===->,';-;''(|59ccgffcfehklptywtppopmmnnoooppttpppppolliiiiiiilllooooliiiffcdcff9bfltwyyyyyAABBEEEECAEBHKKMNOOQQRRRRSS",
+"SRQQOOOMKHAulia7}_({),,,,))~<3995|||39fopwyplillpwBAyyyypliowwtic53|//~/~,-&%&%#@++@@@####$%**=****%#@@##@@@+++@@@@##@#$%*;;''!!';;;;;=;***===>',';-''!{|99cfefilifgjmqttwtppoomlnoopopppttppppoooooliiiiiiopppooolifc999d99ciotwAAywyAAAEEIIHEGBEIIIMNOPPQRRRSS",
+"SRRQQONMKIBysric0a|_~)',',,,)<3995|||3clptwtoiffiptwAyyAytllpwywpi953|<//~>*%&%%#@@@@@@##$$%*-*****&&####@@@@++@@@###@$%%*=;''^^!'';;;=;;***===;',,',''{_26cifiopplkiimoppppololkinoopoppppttpppppoliifffffoptpopmlic97759a99cfiotyyyywwyABBEEHHEEHEHKMNOPPQQRRS",
+"RRQQPONMKIEywpolfc93|(~))',),~<3999|||5fllopplc99foptwwyAytpopwwwtof99|<<<)-%$$%$#@@@++@##$$%*=-***=&$@##@@@@@@@@@####$%&*=;;'^^^!'';;;;;****--;>,,!'''!{:29fiipptpojiiimmopooiiikiolooppppptttttpoliififfiottplifcc99079909099dioptwttttyAABEEIHHHEGKKNNOPQQRRR",
+"RRQPPOMLIIEAwtolffc953|<~))))){<59c93<|9fffillc559fioptwyAywwwwwwwwpic53||/,*%$$%$#@@++@##$$%==--=*=*$####@@@@@@@@####$%&*=;;'!]^^!,';;;;;;**----;,!{!!)^]16bflppwwplkifhfllmlliiggilloppppttwwwtpoiiiiiiilpwtlfc055999c05508888cfilpppptwAABEEIIKIIHKMMNOPQQQRR",
+"RRQQONMFGEEAwppigcdc9953</~~/~~/|5cc9||39c9cfif9539ciilptyAABBAywtttplfc5|<~,*&&%%%#+++@#$$%%&=---*&=%####@@@@@@@@####$$%*-;'>!!!^^!''';;;;;*----;>'{]{{^]_16cipptwtpokddccfililfffgfilmopttwwwttpoliiiiloottoic933375599009d909ccfflopttwyABEHHIKKMKKMMNOOPQQRR",
+"RRQQPONLEBAxtplfifcc99554|<</<//<|5cc93|39999fif53359fiilpwAEEEAywttppooi9|/)>%&%%%$@++@##$%%&*---*&=%$###@@@@@@@@@####$%&*=;;!!{!]^!'''';;;;;;;;;;'!~]:^(:228ioopptpplgcd09ciiiiffddfilmptwwwtttpolliilppptpic9553|433599ccccccccfcilptwyyAEHKIKKNNNMMNOOPPQRRR",
+"RRRQPONMHCAxtnied9999555543||||<</|5ccc533599cii93||59fffiotAEHEBAywtpppof3/~,-&%%%$#@+@##$%&&*;>--&&%%###@@@@@@@+@@####$%*=;;'!{!!^{{!!''';;;;;;;'',!{[::_}26biopppppolgd00a9fffiffddfilpttwwtttpooolopttttoic9554|}1|35dfcfffeffgilopwAEEEIMNOOOOPOOPOOPQQRQRR",
+"SRRQQPNMKECxsqib8967575555533333|<<|59fc53599ciof5|||5cfiffioyEEEEBywtpoli9</)>**%$$$#@@#$$&&**----=&%%$##@@@@++++@@@###$%&%=;;!!{{!^^{!)''''';;'''''']^:11}26bbeiloooooifd0786ddgfffddiiopppptttppppopttttpofc95511<|13559cfilliloptwyBEKMNOPQQQQQRQQQQQQQQRRRS",
+"SSRRQQOONIHBytpkb85633755555337553|<|3cc9559ccili93<|5cfili99itAEHIBAwtplic5|~,--%%$$$###$$&&**-;--=&%%&##@@@+++++++@@###$%&==;;!!{{{]^^!!!''''''''''!^^_162668abcfilllliic9776500dfifgillliopptttttpptppttplfc953|||3543559ilptttttwAAEIKNOPQQQQQQRRRRRRRQRRRRS",
+"SSRRRQPONKIEAywplf9a4773334333335553||599559cfiiic3<<3ciilic59fowBEEAywtoic95<~,;*%$%%%%$$&$%%*----==%%%$#@@+++++++++@@#@#$%%=;;'!!{{(^^^{!{{!)'''''^^^(_}2aaab888bffiiiiiic9725500cfiiiiifiiloppttwwwtppppoic9555333555559fiottwttwyBEHIKKNOPPPPOPPPPQQQQQQQRRR",
+"SSRRQQQOONKHBAAwtoi995573||||33||3555359c95559fiif9|<3ciloif9559fpyBBAwtplc95|/~,>*%%***%&&$%%*=----=%%%$##++++++.++++@@#@#%&%=;;!!{{{({^^^^({{!!'!^^^^(_}}26cba8aa99cfjffffc9732357ciiiiifffiilpptwywtpptplf995555595999ffiiloptwwyAEHHEEEEIKMMMKMNOOPPQQQQQQRR",
+"SSRRQQQPONKKEAywytqlf9053<<_<<||||335359cc95359fiif9339ciolic54|39ltAAyytpi95|</~)>*%*->>*&%%***-->>==%%&#@++++....++++@##@#$&%=;;!!{{((({^^^[[[^^^{^{(_}}}28bb98aa868accffccc9743570ciifffffiiloppwwttttwpic953559999cfiiiffioptABBBBAywyyyAEHKKMKNOPPPQQRQQQRR",
+"SSSSRRQQPOMMIBwwtttplc997|<<(//<<|||33359ffc5339ilif9559ciiif951<|9ityyywtpi93<//~)>**->>-*%%%***;>>;=%$$#++++.+.....+++@##@#$%==;;!{{((_(((^^^^^[^_[(__}}2268ca698a6a6689cccfc976357ccccfffffiilptttpptwwpic95359cffiiifccciotwAAAywwwwtwyABEIMNOOPPQQQRRSSSRSS",
+"SSSSSSSRQPONKHAwpppoifd0554|_/(/~/<||33359fic535cilifc959cccfc9|<<|5fptywtplf93</~),>--;>>-****=*->>;=%#$#@++..+++....+++@#@@#$%=;;'!{{(____(((__1111122}}}66866a6aa2}}}65999cc9d959999999cfffiilptpooptwwpic9559cfilifc99flpwyAywtppwyAAABEHIMNOPQQQQQQRSSSSSSS",
+"SSSSSSSSRQPONKHBwtpoifc9577553<<{//<||33|39iif959fiiffc99959cc93<</<3cottpplif93<~','>;-;>>>-;;***->>;%$#@@@...++++....++++@@#$&%=;'!!{___}}__[___1122222266a22226662}[:[2355999cc99d95559ccffiioppollpttplifc9ccfiiic999ipwAytppppttyEHIIHEEEIKMOOPQQPQQRSSSSSS",
+"SSSSSSSSRQQQPONKHEAyplifd5559553|<///<||||39iif999cfiiccc9559995|///<3clopoiiif9|~,>>>--;-->>>>*=*;>>;%$#@@+............+.++@@#$&%=;'!{___}}}}}}}}}2226a686a222222662}}:[:}225799cccd9955799cfilopplilpppliifffiillc535clwAAypllotwyyBEIIHEAAyBEKMNOPPPPQRRSSSSS",
+"SSSSRRRRRQQQQQQPPNKKEAwtlf95555953||<</|||||9flic99ciiffcc553555|<</<<|9iooliffc5<{,;>-->>>->,,>**->>;*$#@@@+..............+@@@#$&%=;'!(__}}}}2}}}}}}2268aa86622}22222}[:[[}}32399dff99555599cflppolilopliffffiopof5|3fpABBytooptyAAyAAyAABAAAEIMNOOPPPPPQQRSSSS",
+"SSSSRRQQQQQQQQQQQQPOOMIEypic53|33|33||<|3|||39ilfc9cfiiffc553553|<<<///|9iloifc995|~,>->>>>>>),,--->>-*&#@@+++..............+@+@#$&=;>'!(}}}}2222222226866626662222}1}}}1::}}[}|300c9999955999fipolliiooiffffiiooi935cpAEAywtttwwyyytppptAEHIIMMNNNNNOPPPPQQRRSS",
+"RRRRRQQPPPPPPQQQQQQQPOOMIEwpic53|<<|33335955|39fifccfiliic93|333|<<//~~/|9iooi955993/),>,,'>,,),,--;>-*%#@@+++...............++@@#$%=;'!^:}}22886666666666626662222}}}}:_:::__::|3795999c9999cfloliiilooiffifillf999coAEBwtwwwwwwwtoiiopAEKMNNNMKIIIKKNOOPPQQQRR",
+"RQQQQQPOONNNMNNOPPPPOOOOOMIEAwpi9|/<||3335993335cfccfiooli953|<|<//~~~~~/|9ioic535cc5<~)))),)!!)'>--;-=%#@+++.................++@@#$%=;']{_}}2866666666666}222222222}}::::<:}[::}|3335799999cciiiiifiioliiiiiiic559coAHEAttwwwttpliffotAHKMNNMMIHBEEEHKMNOPPPQQR",
+"QQQQQQPNNMKKIHIKMMMKMKMOONNMKKIApc3<<<|||35555335cfccflopoic9|//~~~)))~//<39iif9335995|/~~{)){!)),>---*%$@++++.......... .. ...++@#$&*=;'^]_}}866666666666}}22222221}1[_::_:}}:_||11|439999cffiliiiffilliiilllf559ciwEHBwwwtttplfcciowBHIKKIHEHEBABAAEEIMNOPPQQQ",
+"QQQPPPONNMKIIHHHHIEBBABIMMMMNNNMEti93<///<<|333||5cfcfioppoic3/~)))))))/<<|39cfc93335995|<//({~{)),>;--%$#++++...... .  . .  ..+++@#$&*;;'](_}266666666666}}222}22}}[:[::[[/}||:|}1<<||55999filliifffilifiloplc59fltAEAwtwtpptlc79itAHKHHEByyABABABAABEIKMOPPQQQ",
+"QPPOOOMMMKKIIHHEEHEAAwtwABBEIMNNMHyoc5|////<<||||59cfffloppoi93/!,,)),,)<<<<|59c953||5cc93|<</{~{)),'>-*$#++++......     . . ...++@@#%*;;'!^(_}26666666666}}222}22}[::::]]]:<<||334_|||33559filliifcfiiifioppicciopAAyttptpttof50fpBIMKEEAwptwyyAACBABBHIKNOPQQQ",
+"OOOONKKIIHEEBBCBAEBAAwttppptwBHKKIEwpi93|///<<|3359ffffiloppoi9|/))))),,)/(//<35995335cffc95|</{{{))',-*$$@+++..... .    .     ..+@@@$%*;;'^^(}}2666666662}}222}}2}[::^^]]]::::}363||||1|355cilliifffiiiilopiccipwAEytppppptpi99itBHKMKHAwpoppwwyAEEBEBEHHKNOPPQ",
+"OONNNKIHBByAwwwwwwwwwwwtpllllotAEHHBytoic5|<<<|||35fiiffiiopplf5|/~)))),>,)~~~/<|595559fiifc93</{{)))),-%$@@++....          .  ...+@@#$&*;;'^^_}}266666662}}222}22}[[::^^]::_<:<3331|311|3379iiliifffllilooofcclwBHEwppoloppiccitEHHKKHAwpoooutwyyECBEBEGCILMOOP",
+"PONMKKIHBAxxtqpoolooooptpolliiiotABEEAywpoi93|<|||59iiliiiilllic5|<~))),>-',))))~<359999fllif93</~)''),>*%@@++...               ..++#@&%&=;',^{_}}26666a62}}222222}[[::^:::[<:::||1|}33|35359fiiifffioooppplfcitBHIBtpollpoid9kwEEEEEAwppoooptwwwwyABHEECCFIKNOP",
+"OONMHIIEBxxppmlhjffffgfloomlliffiotwAABAAwtpf53||350ciopifcfiiiic5|</~),>---,,),,)/|59555fioif93</~),),,-*#@++...                ..+@##&%=;''!^(_[}66666666226222a642}}}<<::_::}|1_<:|1|3557cfiiffffioopptplffoAHIHypollppi95fpEHBywtpolproppwywttuzEHIECCFFKNOO",
+"NNMIGEHEEyzsqmleebbc9909gfiiliiffiilopwABBAyplf9597559iolc99fiillf5|</~)>>-;->,,,,)~|55559fillf95_/!)),>>-$#++...             ......+###&%*;''^](_}26666666889886067222}}::::]]:}<(/:_<||3559fffccccioopptpiioyIKKEtoliotpf59lAIBytploloprpwyytpnquzEEHHEEFIKNOO",
+"MMMIHEEEAAAtqqlgeba87976809cgiifffiffilpwBEBAtplic95439cfc99cfioolc5|</~,>>>---,,,,)/|3559cfiolic5<{~),>--*$@+....               ....+#@#%=*;''^^_}}}6a6a99899889b99652|}1:_:]:<<_(//<_|||359fffcc99flopppliltEMMKApifipti95iwHIAtpopptwwwwAzwpnnquAEAEEJHIFKNNO",
+"KIHHHHBBAAwtpooiica8774263779ccccfcffccfltAABAwtof9533|599ccciiopoi95|</),>>>>>',)),)/|399cfioooic5|<~,>--*%$@+++...              ...+@##&%=;;''^(_[26a688aa99cccfg99522|||<:<:||<__/__|<||59cfc9999floppoiioAKNMEwlfclto939oAIEwpppwBBBAABAwppnquwEBAABGKKKKLNM",
+"KICEHHBByAwwqroolfda573}24347759999cc989ciowyAAwplf957||359ciiloooic93||/),>>,>>>>,)))/<59cilooolic93<),>-**%$@++..               ..++@##$&%*;;'^^{[}}6689aaabbcfif9956333|||||4|||<|_<|<||79ccc9959flopoiilpEMNIApiffpti53fpAHEwppwEIIEBAytuprrtxAEACzCCKMMNMMK",
+"FECBEEEAyywtupoooigca74}}1|14335355999999dgltwyAwpoif973359cffilooic9533<~!,>,,>-->,))~/|9cflllliiif9|/'>-*%%%#@+..               ..+@+@##$%=*;',^{_[26688a98999cif995532533}||||<|<1__|||359ccc9959flopoiiowHMIBtliflwwf90ltwBEAttAEEEAywtpqtttwyABAAAzBFLMNNKF",
+"IBCCCBEAAwwuupppplifc77}}211114|33369909999ciptyAywtoof95599999filif9533|</~,,,,>-->)///<39ciiiiifffc5<),>*%$$##@+..              ...++#@##&%*;;,!](}}2aaa66809a9fic9966333}:1<|1:<___||||3599999559flopliotBIIBwoffipAtf9foptABAywwywttttptpttwuuAAEBCCGHKMOOMK",
+"KCCBEBEBEAywwwtppoiie97322|1||1|||||7589999cfiotyAAAwtpic55555359ffc53||||<<~~),>>->)/<||359fiiffcccc9|<~,>%$#$###+...             ...++##$$&=-;'!^[_[266622aa86dcec9965334|1_<|}:<___|<||3399995559flopllpAEIEypifflwApcclooptyywtpojnoptttpspuuxyAEEGEIKMOOOON",
+"MIJEEEHEIHEAAAwwtpollc9722|1|11<||_<|2695099cfiopyABAytof953333|39c953||||||</),>>--,~/|35999cfcc9955553<~,-*%$#$$$#@@..            ..+@@$%%=-;','^^(_}6662269989bb900077574|||||<|1__|<||1399995559fopplowBIIEwofcfowwlcflolloopligceiopptqttwxuAAEHIJIKMMOOOOO",
+"NMKKKKIKMMKIEEBAwtppplic96733|11<|_<<|||23350ccilpwyAAwpic53|33|||5553|<<<|||</),>->,)~<399999c99953||555|/,>*%$$$%%$@+.           ..+@#$&&**=;-;>'!{[[26622a8888dd0076777734333341|<||<|14599995555flooiowEIIEwl99fpwti9fiiiififcc9cellopqqpzyzBBEEEHHKMMNOONOO",
+"OOOONMKKMMNMIEBAypppppolie0955|1|||||<<:<<|379dggilpwAAwpi933353|<|33||<//<||||/)>>>,)~<|59c99c99553||3595|/,>-%$####@+.         ..++@@###$&%=*-;;,!!([[226aa88d00d077424633333574||||||||4599955339flolipyEHHBti99fpwoc5cff999ccdccffijoomptAAABBEBCCILLMNOONNO",
+"NOONKIHHIIMNKHAAypolloollfe9090334|||<<_<::|25ciiifiptyAytlc55995|<|||<<~~~<|33|/),>>,)/<|3599c995553|||555|/)-%$#@@@@+..     ......+++@@+##$%*=*;'!!([[286660dd000a666224233355531|3||3||3999975359flolipAEEBAoc59fpwoc59c03439cddchfiloqqpxwyBAEEGCEFFKNNNONOO",
+"NNNMHEAAABHKMKEBAwpoiliiifc999099953||<|<<|<}39fifffiptyAAyof9ccc9|</<</~))~/|33|/),,,)~<|||359955533|<<||33|/,*%$#@@@@@++++...........+++@##$&*-;>'!([[286000ddbbca6622}}}43435311|||3|||3999995359flolltABAyti959itwl939c931409999cfiioqrpwwBEHEEHIKKMNOOOPOOO",
+"MMMMIHAyzyAEKMMKIEAtooilifc955709995533|||<|||59cc99cfipwAAAtlfcff5<~~//~),,)/|33|/~),,)/<||13675334||<<(//<|3<)-*%$$$$$$#@+..      ....++@@##&%-;;'!{[[28a0a0dccceba60a6744444331||||||||3999995555flplltAAwtof539lwwi937905337675dfiimmopuxyEEIIKKMNNOOOPPPPON",
+"IIIKKKEEBABEHMNNNMKEytppoiic9577790c99953|}}||35553755cfotyAAwoiiic|/~~{~,>>,,{<|||</~)!~/||466373|1|<<<//))<|33/)>-*%$$##@+.        ...++@@##&%&;;'!{[[26000abbchkgd00a64441114||||<||<||3599955335flployAytplc559oywi533553|1|246cilkjmmouxBEIIKKNNNNOOPPPPNMK",
+"CGEIIKIHHEEHIKMOOOONIBywttolfc909999cccc963||2|433||||359ipwABAwpoi9|{]~)'>,>>,~/|3||<//~/<|5632|}|1|<<|<<~)~<355|~>*%$#++++..       ...+++@##$%&*;'^{[[260088bbggkkgd07744411355||<|||_<|3599995335flolpBEytoi955coAwf3|3|||<||279fiigikopxAEHIIHIKMMOOPPPONKIH",
+"CGEHEIHIHEEEIIMOPPPPOMHEAwwtpliilifcccffcc86532||4|<_<<||3dotABBAtoic|~!)),,,,>,)/|33||</(_|5962|<333333||<~)))/|3|~>%$#@+.....      ....++@##$&&*;']{([28088bbkggkkgd07a46662553|||||<<_|3599995333clolwEEwpif535coAtc||31_<13769fffffjmpwAEBEBBEHIKNOOPPOONIFE",
+"HIIIEEEHHEEEIKNOQQQQQPONKEBAwtppttplifgffc999a5||||1_/(/<<|9ftAEBytoi9|/~))),,>--'/|3331|<||39c97|555553|<<~,>->)<||~>%$#@+......    ....++@##$&%*;;!{^[280b8ggkgggklifd98676265334||||_<|3599995333clllyIEwlfc5|3coyt9||3|</_4769fhbejmtwAyAAzzAEFIMNOOPOOONKKI",
+"MMKIEHEIMKKKMMNOPQQQQQQPPONMIAywyywtpliifc999985|1||_(/<<|<15fpyAAwtpi9|/~~),,>-=;,/|35533559cgf953333||<//~,>-%*,~||/,*$#++............+++@##$&%==;!!([28abghggggmlligfd866533952||||1_||3599995333ciloyIEwlc9||3coyp93334</_|429cfjilpwAwywvzzDEHKMNPPPPPOONNN",
+"NKIIHIMNOOOOONNNOPQQQQQQPPPPPNIHEBywtpollf99999553|1|_/_<|3|359ipwywtpic|/~~),>;-=-)<39c9c99cfffc72|<<<///~{)>;*%%-)/|<)-%#@+....++.....+++@##$&%==;!!([280hhggglljmliffd9668a6952||||1|||35999953339ioowEEwic9||5cpyp93334|<<|769fillpxwwutwvxzDFIMNPPPPPOOONOO",
+"KIIIKMNNOPPPONMKKMNOOOOPOPPQPPPOMKEBAtpoolif97565533|<<<<<|353|5citwwtpl93<//),>>>>,/|59ccccc9c99931</~~~~~~),>>-%%*>~<|/,*%#@+...+++...+++@###&%*=;'!(:2a0ghhgllllmliffcd95607055|4|1||||3599c953339ioowBBtic9||5cpwo931|4555099filopttuqsrvxzDHILNPPPOOOONONOO",
+"KKKNNNONOOOONMIEEEEEHHHIKMMOOPPPPONMIEwpppoic85555753|1<<<|5333|49iptwwtlc5|<~,,,>>>)~|359cc9999053|<_())!~~~),>>-*%%*,/||~>*$@++..++++++++@###&%*=;!!([280gghilllplmifdcd997868554|1|||||3599c953|39ioptAApfc5|39ftwo93||49filliiiottuommrtvxCFILMOPOOONOONOOON",
+"KMOPPOOOOONMKEAywwwwAAAABBEEHIKNONNOONIEywtoic9975355573|||33|33435cotwwtof9|/,>>>>->)~<359dcc999572_(/),',,!)),,>>-%$%-~<|<)-%#@+..+@##@+@####&%*;;!!(:2abkgjjjopqlmkfcd90870600541||||||35999953339ioopywoc95||5fpwoc53|4cioppoioptpmhmqrvxBEFKKNOOOONNOONONNM",
+"NOPQPPPPONIHEAwwpppttAAAAAAABABEIIIKNNNMKEAtpiiif955559053|||||333339lpttoif5<)>>>>>-')/||7ccfcc99721<(~]!'>,')),,,>-%$$%>/||/>%##@+@@#########&&*;;!!([28bknjjnrrrmlifcb90990850541||3|3|35999953|39foopwwi953||5fpwofc535copppoopwpmjmmrswzEHILKNOOOOOOOOOONMM",
+"OPQPPPQPNKHBAAAwpooptyEHEEEEBBBBEHEEEHIKMMKEAtoolf995590953|||1437|||9ilpoli93/,>>>>;;,):<359iifcc964|</~)''>,',)),,>-*%$%-~|3|)-%$##@@@##$$$#$&&*;'!{[[26bknmjmrrrmllggc9009d09055533333|35999953335flopwti953<|5ftypic9|3clppootwpnkjmrpxzBHHLKNOOOOOOOOOOOMMN",
+"PQPPPQPOMIEAAABAwptttyEIKKKIIHHHIKKEBAAEHIKKIEytplf953335555||11273||35ciooif5|/)'>>';'']_|30fiigc95241<~!)',>;'',),,>--%$$*,/||~,*%$##@@#$%%$&%&;;'!{[[2abknlrmqrqmllkgc9089dddd055553333359ccc53335floptti553<<3ftytif9330lpplpwtlhghmrwyzFEILMNOOOOOOPOOOOMMO",
+"QQPPQQPOKHEABBEBAywwywAEKMMNMMKMNOONKEAAAyABHIEBwpic953||35553345993||35ciiif95|/)>;',,!]/|26bcfiff9631|</))',>;>,,,,,,>>=%$%-)/|<~>*%%$$#$&%%=*=;;'!{[}20bkorqrqrrrlmifgc988cgfcd59555553559fff95559floptwl553/<3ftAwoif530lppotwpfggmmszzBFEIKNOOOOOOPPOOOONOP",
+"QPPQQPNMIEEBBAEEEAywyyAEKNOPPPOOOPQQPNIBytpppwBEBytlf953|1|35555dfg9933359fifc95|/),,))]!(}269ccecfc9534|_(~!,>>>;>'>,,,,,>-**-,/||<~>-*%&&$%%*->;''!{[}60bkosrquusromliifc9cdggigc999955599ciiic9559foptwyo993/<3ftAytpi95cmoopwpihgemmtAzDEIIMNOPOOPPPPPPOOOOQ",
+"QPPQPNKHEABBAACEEAyyAAEKOPPPPPPOOOPQQQPMEypliiowABAtoic931||359ccfiic953339cfc953|/!))~]{([}0accbcc999053|<<~!',>>>--;''!),,>-**>)<||/)>-=&%%=*;;''!^_[}a0bhutsuussuooolifd9dddfkigc99999599fiilic999fptwABpcc5||5iwAAAwofciooowtlhhgemqwzzBCHIMNPPPPPPPQPPOOOPQ",
+"POOPOKHBEAzzwyAAyyABEHKNOOPPOONMMMNOQQQPNKBtlffiotyAwplf931||359dfiif9993||5ccc93||</~]^(_:}abcccb85090973|<//{!,,>>;;;-',,),,;;;>)/|||(!'>-*=-;>'){]<}a6dkovtuuuusuroolifcccccdgiicc9995999filiic999fptwBEtic5||5iyBBBBwliopptwplehgjmqwyzDCHILOPPPPPPPQPPOOPQQ",
+"POONKHBBzwxptwxwwAEHKMNMMMMKIIHHIIIMNPPPPONKApiccfltyywoic73|359cgiliic953|35ccc5|||||:<_}}}6bbebc8a5269977||</{!,,,>-=*;->,)))''',,~<1|</),'>>>,'!]_126adknvtxuuusqqqoiifgc900ddiifc9955559cfiif9959clptAEtic5||5iwByAByoopptwwolfegjqwwyzBEJIMOPPPPPPPQPPOPPQQ",
+"ONMIHBBywuurpttutyEKNOMIIKIHEBBEEEEHMOPPPPOONIyoiccfltwwtlf055559dillifcc93|55ccc53333|1|21668bheca97424375541<<({),>>-==%*->,)!~~),,)/<|||(!)),'!!^_228bbknruuuuuuqpqpokgga90009iifc95555559cfff95359iptyBti95|<3ftytpppopppwwpolhhknuywzzDEJKMOPPPPPQPPPPOPQQP",
+"OMIHBEEzxuonpuupotAKOOMIKMIEBBBEEBABIOPQQPPOOOMEwpiccfowwwoic99559gioif99953|59cc9533537222a6dbbhba874111355553|<</~),--*=%%%;''~~~~))~/<|3|<//~{{(]:226bhknvuvutqqqrmmlkfha80009cffc85535339cccc53339fotwBwi95</|cpwpliioolotpolihjmpwywyzDEIMNOOPPPPQPPPPOPQQP",
+"NKIHEHBwurnnmuqmjpwHNNNMNNIBBEEEEEEBBIOPQQPPPOONMHyoffflpwwtlfc9990cilf555553359cfc955555669bddghbb8a7}}<<|45555||</~)>;=*=%&&=;,{{(((__1||||||<__[[}2268ekoruuuuqqqomolkfd900099cccc955353359ccc53335cltAEwi93/~<9lpplillfiopoiiifjmpwwzyADEIMOOOOPPPPPPOPOQQQP",
+"MKHEHEAxprnnmpmkiopAKNMMNMHAABHHHHEBABEKOPONOOOOOONHwoifiotwtoicc990ciid3|355335cffc909c99dchgggghb8877}2__<|35554|<((),--==&&&%->)~{(<|55||<|34||}|4268dbhnvuuttuqqqnlnkhdda0999ccc9995353359ccc93335citBHyi93/~<9iooooofcilifggeeknrtwwyyEEINOPOOPPPPPPPOPPQPO",
+"MIEHHHApprnkmqmhkjltEKKKKIByyAEHIHEAyyyBHKKIIMNOOOONMEtlffipttpifc9599fc9|<355559cfcfc9cccffkllkkeeb985321_<__|7555||_~)'>;==&&%*=>,)~/<|7|<<|14376786bbhhknquvtvvqqqqmmmkgd09b9cccc8995353359ccc953359itEHAi95/~<5floooicflifddfchkruqtwxzDEINOOOOOPPPOOPOPQQOO",
+"NIIKKHtppnkkmqmkkjiotBHKKHBAyyAEHIEBAwwwAEEEBEHKMNNNONHwoicflppoifc955cfc3<<|3595cfiiiiffcfimppnmmffb953}}1_<(__|333|_</~)'-=&%%*=>;','{/<<(_<|436509cffgjmnrvvtvwwtuqmmmkfdccbccccc9599553359ccc953359itEHAoc5<~/3fiopliiloicabbbhknqqptxzDILNNOOOOPPOOPOPPQPOO",
+"NKMNNEtpqlkkkmqmkeihlpwEIIHEBBBEHIIEBAwwyBEAywyBHIKMNONIApf9dioplifc90cgf92_:|5999fillliiiiimopppmljfc954}}1<//(<_<|||1</~),;=**=-;>,,,,)~(/__|36709cfgiknnstssuwvvvttqmmmiifcbbcccc9999995599cffc9555citEHEpf5<//3cipttpttoiba8bbjmommpsuyDJIMNONNOPPOOOOOPQPOP",
+"NMMOMEvqqmkkkmmmmhefhiopyAAyyyAAEHIIEAwtwyAytpptwABEINNMIAof09cilliffc9cfc92||359ccilllliiiiloopppqiif9953}}<__/({(/(<_1<</~),--;>>''',,'!{((<|589cfcfiloqttxtutvvwvwwuppoliifbcbccc9999cd999cfiiic999fltEKIwi9|<<5fipwABAtlcb88bcimlmprsuDDJIMMONNOOONONOOPQOOP",
+"OMMNMEwtpmnkejmpmmhbheiioppolooopwBEBAwttttwtollooptwEIKKIypg009flollifcfic953|35ccfilloolommnqopppoiibb953}[:((({))))~_||<</))!',,)!{!!!!!{/_125ddfeiimopswxxwwxyvtvwtttpplifcccbccccffgfc9ccillif959cipEKIwl93<<5cfitAEApifcbhhjomjmpsvtDBHKMMNNNNONNNNMNOPONO",
+"ONNMIAwwtolnijjqqmjbbbhehloiec9dciptwtttpppwwtoiiiiiotwBIIEypi959foppoiiilic95|||59cfioopoomnqqroppqolec9553}::(({{),,,'{_||</((/~)){~{{{)]{~:[[70cchilmopwyyyxyyywtswwtttpnifcc9cbcccccfddcccilolf9559ipEMIwi5|//309cfptpicc99bflpommquuxDEHKMMNNNOONNMMMNOOMMO",
+"PPNKEzwwtponljjnuuonebbehfiif9969fiopppoooopwytoiifcfilpwABBAtld99ipttpolllf9953|359cilppppqpuqmqmpqnlngd99531[[{!!',>;>''{<<11<<(/_/_((/{([[[:13669fhloptwyyyyAAAywsvwtttpolieeccbbc999dcdcccfiloic999ioEMIAl5<~~|95559dc89898ccnoonmrsuDDHHKMMNNNONMNMKKNNNKIN",
+"PPNKEwpttpnnllloutwplhjijejif98cfilpttpoliiipwwtoiiffffioptwAytofcfltwwwqolif9956269cfoppttppuuqrqopmollifc9741[:])''>;;->;'{_<|1|44322}[[[[:_12|226bekopuwyyyyABBAyvwywtttrliffccccc8990999999fiifc99cioBMMEp9</~|753557957a8bbbmmimrsvtDEHIKMNNNNONNKMKKNNNKHK",
+"OONMEtpppoinlnnpttwttponihflliiliiiloppoiiffiptwtoliif9cfiimtyAwpliipwyytpolifcc98259jilotttpuuuqmnmnmnlniieb53_[])'''-;;-->>,~<|35599652}[1142a6268abhiottwzyyyAABAyyAywwwpolifeccfcc990509999cffc9559ciyKMIwc|</|55599995688bbjlomknvuxDBGIKMNNNNONNKMIKKNOKHI",
+"MOONHtoioonilnoptuuptttpollpttpoffccfiolfcccfiotwtpooic99cffmtyAwtpoppwAytpooifcccc9cfjioptwtuuuqqqnnmmjiliifc0|[:!'';;------->,~|49cccdd0755766aa8abhhjmpuxxxxwyAAAAABBAAywpoiifffffcc90999999ccfc93335ftHMIwc3|<|9959fgb968bbcioomkoruyDGGIKMNNNNNMMKKIIKNOKCE",
+"INONHpjkloliinonmmmqrtwwwttwyytlc9909cfif9999ciptttppoic9999flpwyAAwtppwwyuopoifciifccfloptwzxyuuqqnonkjjiliifc5}:(!'';;*-=-==--'!_49ciifdefc898abbbbgehmptxwxxxxyAAAABEEBBAwpolieffiffcc909999cffc95335coBKIyf|</_5550dgccb9bbelolmosvtyBEHIKMNNNONMKKIIEINOMBB",
+"AHMKApjjloliionikkmmjoopppwtttpic97755cffc99999flptppolifcc9dfipyBEEytppwwxtoomiioolecfilqpwAyAwuuuqnokmjejfiffc52[{!',;;**-**-;;'!/20filiiiiffcffcegjemqrutuuuuuwwyyzAEEEEEAwpliifffffcc99c9ccfiifc9555clAKIAi3//_33||5b9c9ffejmppmpsvwABGIKKMNOOOMMILIHBHMNMBw",
+"tABBwpjiioolnlojkkkkkjijiloolliig973359fiifcc959ciopooollifc9cflwAEEBwtttwyttopoooppoiijloptAABAwuuuunnmjjhjcchd972}{~'';;;;;-;;;'!^[|9giioollolinikjjmnpususuuvuuwwywyAAAAAAwtplliiiifgd9cc99cciifc9555clAKKBo5|<<73||36988bcikmpqtptuAAEEIKKNOOOOMMJKFEzGKMKEw",
+"ttwtpolgfioonlpqmmkkhhbhcfgcccfiif95359iooifff9959ippolllolfccclptyABAAwtttwttpppopollmmloptyABAywuuuoommjehfc999573}/{!'';;==;;;''^(16acilppppooqoolqqppsuuuuussuwwwywyAAyAAwttpolllliifcccccffiiic9555clAKKEp9|||5553599899bikouptwxwDEEIKKMOOOONMMJLHFzAHKKHy",
+"toppppoieekllloptpqmmjh8ab07659foic059fippliffc999fopoiiiloofdfioptwyBEBytppwttpppoomppmmopwwyBBAyuuuuprmjjhe988857321_/)'';;;;;;'^^_22abchilrtttpppuuwtwwwxuuuuuuxwxwxwyyyyywtpplllllliififffffilifc555clAMMIwc3|15990ccdcecjimppputuABHEIKMNNOOONNMJHFHzAAKMME",
+"Apilopoibbeiljnottwtqnjeh95}}||9iic559fiillifc99559iooiffiloliilloptwEHHBwpppttupppoqqpppppwwwBBBAyuuurpmmjeee98aa3342||({!,';';;!!{_268aehfkmquwwwwxwwAyzzwxxxuuuutuwwwwyywywtpoliiillliiiifffiillic999ciyKNKyf3319cfgffiefhjorptwwwxABEHIKNNOOOOONMJHFFzyyHKNK",
+"Iynilrojhhheilnjmpwwwtplif7}<:<|9fc559cffilifc995559illfcfiloppoloptAEEEEAwutttttpppptttpruwwAAEBBAyuuuppmmihffaa6a|1|[|}[_{!'''!!!{}}28bggkknopswzzAAyAAzAyxxxuuuuquuuutwwwwwtpoliiiiiiififffffiiif95559fpHMKAi5339ciiiiifefkopwtwyzABEGIKMNNNOOOONMKHHECywAINO",
+"OIwollolifhbeinjmmrsttwtpl82_(]_|09555999ciliicc9955ciolifcflpwpooptABEEEBAwtpttuwwttttttuuwxAAEEBBAuuuurrmmjhff8622|1<__:}}:[^^^!{_}}88gjkjjnqqruuyABBBCCzAxwuuuuqqquuqquutwwtpoliiiiiigfffcfccfiif953359lBMKAi3|15diokifchekppwwwyyBEHIKKNNNOOPOONMKHHECAwxEMP",
+"QPKypololifeehoommoprotttoc6__(_<455735335cillicc9959flppicciptwpoptyABBBBAAwtpttwxxwttxwuxwxAABEEBAAuuuurrmmiffb86222|1__[:[:[[___}}28bgjmmmmqmttttyAAAEBAAzwxttuuqqqqqquuutttpoiifffigffffccc9cfff95||39iAKIyi3||39iliiefhgkrttwyAADEHIKNNOOOPPOONMKHHEGBwuAIO",
+"OQPMBtoooolijinpqmnkjiilllf93|:_<159533|||5cillifc959ciptoifilpttpptwyBEEBBAAwttwwwwwwwwutxxAAACCEEBAAuuuprrmmhhbc8a2222____<1||436268abgmmmmpspppwwwxzABzAAywwwtttpqqqqqruuuttpoiifffiigfgfcccc9cfc953|39iwIIyi5||49gfkgcbbgjotwwyABDGHIKNNOOOPPOONNKHHECByuxAK",
+"HNPPNHwpppproopuutmkjfbefdcd531|3339953|<<|5ciiifcc99ciptpiiiliottttwyAEEEEEEAywwywywwywttuxAAAEBBEEAAAuuuponmkjbcbbaa2}}}}__114a889cbhghmsqrprvttuxxxyDAyxzyxxwtttuqqppqqptuttpojifffiiiiffffccccff953||9itEIAl53479cgfcbabgiqttwyABEHKKKNNOOOPPPOONKIFECEyqqpy",
+"tAKNOOMHBywtptttwwumjhaad099953353359953<<<|3cfffcccccipttpppoikopwwwwAEEBBEHEBAAyAByyyyxuuAAAEEECCEEAAAxuuurokkeebaa86222}}}}}22a89ehkkjmpxvtvvtuvuyDADAwuutuuuuttpppquppputtttpoliiikkliiiifffffffc933|5fpBIBp95509ccfdcahjjpttwxABHHIIKNNOOOPPPONNMIFGEEAuqnq",
+"lotAHIKMKKHBywttutuoehaa5657555505555955|_<<|5ccccccccipwyyywoliiotyyAAEEEEEIHEEBBABEEAAAAAABBEEEGCBEEAAAxuuuonkkkeha8882222}}}}228bhimoqquvxxxxuwxyDDDDyxtuuqqqqqqqpppttqptuwwwtpoliiillliiifffccffc93||5coAEBtc579ccfbbhhkjptywwzBEHGIIKNNNOOPPOONNMKFHCEBwuom",
+"lilopwAEIKKIHEAzwtpoifa642a73555995345955|__<35ccc9999fowAEEAtollmpwzAABBBBEHIHHEEEBEEEEEBAABHHHHHGGEEEAAAAuuuonnkkkeha8a88662}66aa8bknqqxAzzAzDDDDDDAADvwuqqqqqqmmmqpqtttptwwwwwpoliiiilliiiffccccfc95||39lwBEtc7379c900bhkjqtyzyAEEIHKKKNNNOOOPONMKKKFECBBywsq",
+"oollllopwyABEHHEBywpnfa73}4333355553355553<__|59cc9555cipyEHEwpoolptABBAEEEEHIIIIHEHEEEEEEEBBHHHHHJGGEEEEAAAuuuqnnnkkkebb8a66a66668agjjquwAzFEFBDDAAACAywwuqqqqqnnmmmomqpppptwwwwtpolliiliiiifffcccfc954139iwBEwf7509db8bagjmqwwwxEFEIIMKMNOOOOOOONKKKIHFzAyxxtp",
+"qollliillooptwACEEAywoi932||143555553559531<_|39cc95559cipAIHAwtppttAEEEEHHHHKKKKKIIIIEEEEEEHHHHIIHJGEEEEEAAyyuuqqnnljgggbbbb88888ddeemmsvwzFHHEEHGGCCDywvtqqqqqmmnnmkkkmolopttwywpolliillliliifccccfc54|39ipAEyl550ddb8bbgjnpwywzDEEIIMMNOOOOOOOONKLKIHDzvwwxtq",
+"moinlilllliinlqutwAAAwpld6||}|||33599559953<__159cc95599ciwEHBAwtptyAEHIKKKIIKKMKKKIIIIIIIIHHEHHIIIIHGEEEEEByyyyqqqqqjjjhggddddddddeemhrrvxzEGIIJIHEECBAywvuqqmmmmhkkkkgkkkkmptwwwtpolllllollkiffcccfc95|35fpwBAo968cfcbbhgjmtwyxyAEEHIMMNOOOOONOOMKKIIFFzvvtqpm",
+"mijiiiiilllijmmjnloppttplf93|<|||359c999995||__|5cfc99909ipBBAAAwwwyBEHIKMMKMKKKKKKKIIIIIIHHEEEHIIIKKIHGGGEBBCCywwwqqqqmmjheeheeeeemmmrrsxxDDJJILKIIHEEAAywtqqmmhmkkkggggkkgiopttwtppolloooolliiffccff95345cowBApc70ffhfekjmmtAyxyBEEHHKKMOOOOONNOMKHIHFFzzxtqnl",
+"geebbceffiinnnjihhfifillooif53|<||55cffcfc94||<|49cfffc99foyAwAyywwAABEHIKMKKKKKIKIKKIIIIIHEEEGEHJIKKKKIHEGGGCAAAxwuttmmmmmmmmmmmmmmmrrvvxDDEJIKKIKIIEGAAAvvqrmmhkkkgggggggggiopptppoollooooolliiffcffc9335cotAAtf9ciffejjmmmtAzxAEEEHHKKMNOOOMMNMMIHFHFFCzytqqj",
+"ggb8889abbhijmifgef9b880ciiiic5|||359ffiiif53||||5cfiifccfowytwyywwAADEEHKKKKKKKIIIIIIIHHHHHEGGEGHKKKMKKKIHGGCCCAAAyvsuusssmmmmmmmmsrrvvxzABJHKKKKKIIECBAywwtpqmmkkkgggdggggfilppppoomlllooooolliifffff9735cotABwicciiiiillmttAzyDFHEHHKKMNOOOMMMMMIFFEFEAzytqmj",
+"ggbba8888bhfkeebbbaaa854239ciiic53||59cilolc53||170ciifdciowwwtwywyyAAEEHKKKKKKKIIKIIIIHHHIIJGGGGHIKKMMMKKFKHEECCzzzzvvvvsssssssssssvvvxzDDEJIKMNMKIHHCCyvvwsuprmmlkggggdddfffloppppolkillopopoliffffiid055cotAEwoffiiijmnrqtyzAADEHHIJKKMMNOMMMKMKIFEFEECzyssmj",
+"edgbbb88bbbghebba68a6a4|}||35cfiic7|135ciopoc5|1||5cilidciowywttyAAyAABEHKKKMMMMKKIKKIIHHHIIIHEEHIKKMMMMKLKKIIIIEBBzzzzzwxwvvvvvvvvvvvxzDFEIJKMMNMKIHEAzzwvtsppppoliifgddddfffjooppplmjklmoppooliigfffic955cotAEypiflolimnqqtAzzABEHKIHKKMMOONMKKMMKFDACCCzwvsme",
+"eggbbbbeeehkeebaa66aaa1[}<<}|35cilf9|||5cipwpc5|1339fllifiowwtttwABBBAAEEIKKKMMNNKKIKKIHHHHIIIJHHIKKMMNMMMMMKKKKIFFEECzzzzzzzzvvvvvzzxzDFHIJKMMNNMMIHEBzzxtsspppppolkiffcddfggilopppomjmlmpppppolificfic9559otyEBtlglpomnmmsuACzDDFIKKIIKKMONNMILKKKHAzzCCzzvsmm",
+"jjggbehehkkkjehca866a31:}<<_<<<39fii93||5coyAo933355cllliiowwwttwABEBBEGEHHIKMOONMKHIIIKIIIIKKIIIKKKMMMOOONNMMKKKFFHEFDDEFCCzzzzzzzzzDDFHHJJMMMNNMMKHEEzzwwsrrprppoliiifcccgiiilopppolmimoopppppolfffiigd08bipyEEwojoppmmqqsyACzEEEIMKJIKKMNNMKJHIMKHCzzzzzzytmm",
+"qjgkkkkkkkmnnjjifb98a73}1<(((_/<|79ffc9335fpAwl93350dioollpwywtwyABEEBBEEEHJKNOONMKIIIKMMKKKKKKMKKKMLMMOOONNNNNMMMIIHFFEFFFFFDDFFDDDDFFHHLIMMMNMMMMKHEEzzzussrrrponllgfffccgllijoopppomkmopppppppliiffifc86aipyBEyplotppoqutABCBEFFIMKIIKKMMNMJJHIKKHCzzvvyzAttq",
+"qjjkkmmmmqqoonollijfcd76|<:_(~/<<<359fc9559itAwi0559dilpoopyAwxtwyBEEEBCCEEGIMNNNKKIIIIKMMMMMMMMKKKMLMOOOOOONNNMMLMLHHHHFIIIIFFFFFFFFHHLLLMMMNMKKIKIHHEAzztsssrnooolijifcccdiiiilopppommoqpptpppooiiggffca9dfpwABApljpqmqmutzBCEEEHIMMKKMMMNMMJIHFKKIGzwxwvvvvuq",
+"mqjnmmptttwtpppliiififc953||<///(/_<35cfc99fowAti970dfiopptyAAywwAAEIHEGEGEGIIKKMMKKIIIKMMMMMMMMMKMMMMNOOPPOOOOOOMMLLLHHIIILKLHIIHHHHKLLLMMNMMMKKIIIHHEBzzxtssroonoliifecc0dfgfiiooptpomoopptptppooiikkig99cfpwAEAwnlqpoqqpwzCADFFHIMMKKMMMMMKJEFEHIJEAyvvwvvvss",
+"qurrtwwwyttponfebcc0dd9c99053|<<//(<<|9cfc99fpyAti99dgilptwABAAyyABEIIKHCGHHHJHIIKIIIIIIMNNNMMNNNMMMMMNOOPPPOOOOOOLMMLLKKLLLLLLLLLLLLLKMNMNNMMMKKIIIHHEBAzxsssrponooijfc9900dffdfiopppoooppptwwtpponkiiigcdbjrwAEBwpnqpumprtzzADEFEKKKIIKKMMMJJEEEEIIEBzvvvvvvst",
+"uwywwwwwtqlief866643||233755553|<////<|5cifccitBBticciiipwAEEAAABBEHIKKIIIIHEGEEHIIHIIIFKMNNNNNNNMMMMNNNOPOPPPOOONNMLLLLLMLLLNNMMLLLMMNNMNNNMMMKKIIIHHEBCxxxtsrroooliigc90000cdddjlopppolqpuwwwttpollilllhebeowAEEypmpxuursuAADDDFEIKMIIKKLMKJIDDBCEHHEBzAvvyAAy",
+"EABAwtsppmiba86222}1_[[(]__||3553|//~/<|5ciifflyEBpifiiiowAEEBAEEEHIKMMKKKIGGCCGEJJIIIIKKMNNNNNNNNMMMNNNOOOPPQPOOONNONMLMMLMNNNOONNNNNNONNNMMMLIIIHHGHECCAxxupprrnlnigcc0008999ddciloppmlpppwwwwttpollmmlhebeowBEEAuopxuurvxzBDDEEGJKKKKKKKIJIEDDACEEHHEECAACBEB",
+"HBAyxxpomkebba6222}__^^{{{{((<|333|</~(_|39iiiipyBAtllilotAEEEEEIIIKKMMMMMIHCCECGGIKKKKKKKMNNNNNNNNMNNNNOOPPQPPPOONNNOOOOOOONNOOOOOOOOONOONNMKKKIIHHGEEBBAxxpsprnnliigcc0070999ddcfilooomoqpwwywwtppmlmllihhjpwAEEEuruuwtwtxAEBDEEIIKMKKLKKIIJFDDAzAEEHHEBEEEHII",
+"EEyxxuunkeecb62221}_^^({{!!)))/(||3||/~~/<3cilllpABAtploppyEEHEHIMNNMKMNNMJHECCCCGIKKKKKKKMNNNNNNNNONNNNOOPPQPPPPOONNNOOOOOOOOOPPOOOOOOOONNMMKKKIIHHGEEBByxxsrronliigfcdd0009099d0cilloolpqpwwyyywppppnoolijjowBEHEyuuwyzvwvCFFDEIIIKMKKMKHIIEEEBzAACEHEEEHIIIIK",
+"HBAxxuungbbbea2221::^^{{{!!,))){~/<|33<///<3ciloowBEAwopptyBIIIHIMNNNMMNNMIEEECCCGKKKKKKKKMNOOONNNOONNMOOOOPQPPPPPOOONNOOOOOOOPPPPPPPPPOONNMMKKKIIEECzzzzxxssrponljgfgddd0899989d0ciiloomoqptwyyywtppnppppnijnwBHHHAwuAAzwzAFHEEEJIIKMMMMMHIEEDDzxzzAEEEEEHKIIIH",
+"EAAAxxplgb8ba62211::^^{!!!!)))))))~/|33|<//<39ioptAHHAtptwyBIKKKKNNNNNNNNKIHGGBCCHIKKKLKLKMMNOOOOOOOONNONOOPPPPPPPOOOOOOOOOOPPPPQPPPPPPOONNMMKKIGGCCCzzzzxxpprronlggfdddd0999660c09filoomoppwwyAAwutpmnqppnjjosBEHHEwwABzzzAEFHGJJKKKMMMMIJIHDDDzxzyzBEEEEHIIHEE",
+"EBywuuokgb886222_1:^^{{!!!,,,,))))))~<||||_<|3ciotAHKHytptyBIKMMNNNNONNMMKIHGGBCGIIJIKKKKMMMMNOOOOOOOOOONNOOPPPPOPPPPOOOOOPPPPPQRQQQQPPOONMMKIGGGEEDDyywtttprrnlliggddddd0885560dd9dfilpoopptwyAyyuuqrnoqpnnnnuAEHIExwyECzzCHHHJIIKKKNNNLJJEFEDBzxzyAAAEHEEHEEEE",
+"BBwwuungb8a822221_(^^{!!!!,)''')))))))/<|||<<|3cipwEKKEAwwyBHKMNNMNNNNNMIIIIHEGCCHHGIJILLMMMMNOOOOOOOPOOOONOOOPOOOPPPPPOOPPPPPQRRQQQQPOONNMMJJGGDADDyvvsssrrrooniigdddddd0665566c989filopmpptwyABywuuprppprnmmuAEIHEAwABBzzCHFHJJJLLMOONMJJHEDBzxzzAAAABBBAEBBAC",
+"Czzwqqjgb88262211__^^{!!!,,'',))))),)))~/||||||5clpyHKKEAwyAEIMNONNNNNNIIIIIIGGBGEEEGHJLKMMMMNNOOOOOOPOOOOONOOOOOOOPPPPPPPPPPQQRRQQQQPONNMMJJJEBDDyvvvssrrrrnolkkigddddd00566255cd99cilopopptwzABzwwuuuuuuuqnmtAEHIHAzABEAzEEHEJJJKMMNONKJIEFDzxxzyABBBAAABCAAzA",
+"zAwxqiggb88622211_^^{{!'!,',,,)))))!,),)~/<||||39fltAIKIEAAABHMOOOONNNKIIIIIIHECGEGCGJJIKMMNNNNOOOOOPPPPOOONNOOOOOOOPPPPPPPQQQQRRQQQPPONMMJJEEDDDyxwtqqqmmmllmkkkigddd09007672600d979floppputwxBBCwwwuquuuuqrrsAEHKIEAzBEEAEHEEIJKMMMNONLJEFDBzxzxvzABBCBCAAAAzz",
+"zAwqqjgb8a8622}___^^)!!',,,,,,)))))))))))~/|34||59ipwEIIIEBBEEKOOOOONNKIIIHHIIHEGEGGGGHIIKKMNNNNOOPPPPPOONONNOOOOOOOPPPPPQQQQQQRRQQQPONMLJJEBDDAxuvuuqmmmmkkkkgggggddd089007666599809fioptpptwxBBAzwwttquuturrxAEKKIHAABEEEEFFGJJMMLMNONKIEDBzzzvvzAAABECCAAzyzz",
+"AAwqjhgc8a2222_|__^({{!!)',,,,,)))))),))))~/|33|35citAHIHEEEEEINOOOOOKKKIHEEHIHHEGEGGJGIKKKKMNNNNNOPPPPPOONNNOOOOOOOOPOPPPQQQQQRRQQPPNMMJIFEDDzxuuvrqrmhhjkggghhggfgdd9a9086775559090cioptpptwyCCAzzwttttwutrutABIKKHBABEGEEHFEJJMMMMNONKIFFDAzzyyAAAAAzAAvyxyyz",
+"Aummjgbb8822}21|}|}</_/~/{~~))',))))))!!))~{/|35337fowEHIHEEEEIMNOOOMKKKIHGGGHIIHEEGJGHIKKKKMMNNNNOPPPPPOONMNNOOOOOOOPOOPPPQQQQRRQPPONMKJJEDDxuuvvrvqqmhkkkhhhghhhhhd08a89967767880909inptpptxyCCCAAzztttwwxuuxzEHKKHCACEHEEEEEJJMMMNNOOMIHFFAzzzAzztttutvvvvyvA",
+"ztmmjgb882222333322|1<<<</<///~~~~~)))!!!{~~/<|59779ipAEHIIIHIIMNNOOMKKIIIHEEEIKHHEJHHJIKKMKKKKMMMNOPPPPOONMMNNOOOOOOOOOOPPPPPPQQQPPOMMJJEDDzvuvvsvmnkjhhfcccdd09a0aaaa0a8905775895900flpptpuxyCBCAzzzzxxzzxxuuCEIKKICzCGHEHEEEJJMMNNNOOMKHEFAzzzyyutttttttvvyzA",
+"wtmhggb886668095321|_(~{~~~/(////</(~~~)!~~~~(|39999coyEHKKKKIIKKMNMKKKIIHHEGGGKKHEHHHIKKMMMKKKMMMMNOPPPOONMMMMOOOOOOONNNOOPPPPPPPPOOMJJEDDDuvsvsnolljjhd00cbaa00a99058a7a895236905600cjpttttxyACBAzAzzxxzzzxzyAJIKMIGCCCHIIEEEIJMMMNNOONMHFFBzzzvvsssttttttxzAz",
+"xqqjgb8868a99053}}/]{{),,',!))~(/<<<</~~~~~((<<|7dcccltAEIMMMKKKKKKMKKKIEEGGGECHKIIJIIIKKKMKMKKKMMMMOPPOOOONMMMNOOOONNMNNNOOOPPPPPPOLMJJEDDxvvsvnnnggggdd000777777777a6aa6659656586700djptwwwxwAzCAEzzzzxzzzzzzBHIKMKGCCEGIIHEEEJKMMOOOONMHFEEAzyvvuustutuwwwwww",
+"wqjggbbc9ccc954|[:{!,,,>>;;>>,,)~~/<<<<</(((<<|139cfgltyEEIKKKKKKHIKKKKHECGEHGEHIIIJJIIIFIKMKKKKMMLMNOPOOOONMMMMNOOOONMMMMNNOOOOOPPOLKJEDDzvussnnnkggggdd0007777777774657a3599559556a0ahotwwxxzAzACEBBzzxxBAAAACHKKMKGCACEIIHFFEJKMMOOOOOMIHHGAzvvwstssttwwwwwww",
+"qmjghbfbccc05||<[{)!,>;>;;->->>,,)~/<|||||<<<11375cfiiowABHIKKMKIHHKKIHHECGEHGEHIIKIKIIIFIKKMMKKMLKKMOOOOOOMKKIIJKMMMKKMKNNNNNNOOOONLIJEDDwvsvnnhkkggb88aaa222222222274132259999953700adoswywxzzzAAAEBAAAACBABCCHKMMKHCzCGIIHEFGJIMMOOOOONMIHEzzwwytsuuttwwwwwwt",
+"mhgghbiec8833|_[^{)!',>>;>>>>>>>,!!~/<|||33111|3779cioopwAEIKMMIHHIIIHHHEGEGGGGHHIKKKIIIFIIIKKKIKLLKKMNNNNNNMKKIJIKLMLLLLLLLMMNOONNNMIJEDzxvvnnnhggbbbaa7744411111112}411423599cc52200adiptwywzAzzzAEEBAABCBECCCGMMMMJCzCEEHEBFGIIMNNOOOONMKIEAzwwwttstttxwwwwtt",
+"megbcfb906|1_(^^^!!',;>;;>->->>>,'!~~/_||3373||376acglpttzEIKMKIIHHHGEEHHHGGCCHHIIKKMKIFFHFIFKKKIIKKKKMNNNNNMMKKIJJKMMLKLLLLLLLLLMNNLIEEDxxvvnnkhgbbb0a7774441}[[[}111}11134459cc5220dadjpwwzwywzzAAzEBBAAEEECCCHMNNMIGBBEEEEDFGIJMMNNOOONMKFFzxzvwvssssuwwwwtum",
+"edgebe8622_(((]]{'''>;>;-*-=---->>,))~/__1137337aa9dilptwzAHKKKKIHEEGEGHIHEECCHHIKIKMMKIHHHFFFKIHIIIIIKMMKKMKKIHHEEHIIIIHHHHLLLLLLLLLJEEDvuvrnkggaaba0aa222}}}}[[:}}[1_:1112239995345badiowwyzwwwzAAzBBEEEEHGGCGIMNNMKHCCGBEDDFEIJMMNNOOONMIFDzxzxwxsssstxwwussm",
+"egecba62}__({^^^'''>;--=**======->',)){(__<|4508600chkptyACEKKKKIECCEECHIIHEEEHHKKIKLMMKFHFFFFFHHHFFIIIKMKKLKKIFFFDFFHFHHFEFHHHIILLLLHDDzvvvrnghbab00a6a6}}[[[[[[::[[_1_:11211|441247adhhmtwyzwwwvzzAzBBEEEHHGEIIMNNMKIFCCEEEDEEIIKMMMNOOOMLHFDzzwwxssstwwwtsumm",
+"ggccaa2}_({{!!^^'';-=*=***&=====->>,,!){_<_|4609ddhbflowyAzEHIKKIECCCBzBHIHEEGHHIKKKKMMKFFFFFFHHFFFHHHHIKKIKKKHEEDBBBFFFFDDDFFFFFFHHHHDDwvvvrkghba0066622}}[[[::[::[:[[__[11|1|111135a0henpwyxwwxwwzzzBBEEHJHHIFKMNONMIHFHEEDDDEEIIMMMNNOOMKHFDzxzvvvsstwwwtmmme",
+"ghfb62}[(^{!!!^!';;-=*&%%&&&=====->',!){(<1}2269cfhehjruABAEBHIKIECzAzzAEHHHHIIIIKKIKMMKFFHEEEBEFEEEEEEEIIIIIIIFBCAAzzAACCCzDDDFFDFFEFDDxvvrnkgbb00662222}}[[]]^]^^][[::__[1111111112a0hhjrwywxuwwwwzzBBEEGJIKFFKMOONNKHEHFEFBFEEIIMKKNNOOMKHEDDxzxvvsstwwwsmmme",
+"kbb62}[(({{!!!!'';;-**&%%%&&&====->','){(_}}2770bhfinjnqyCBBEEHIIHCAzyAzBEEHIKKIIKKIKIKKIIHECCCCCBBFEEEEHIIEHHEBzzzxxzzzzzzzzzzzCCDDDDDzxvvrnkgbb00a22222:[[[]^]^^]^^^:^[__:|111111124abhjqwyyxuuxwwyyzBEEJIKKKFKNOOONKIHHHFEFFEHJKKKIKMMMKKJHFDzzzvvwtwwwttmmeg",
+"icb2}[(({{!!!!!'';-=*&&%%&&&&====->','){(_}}7559bchlmrqszCECAAEHIIEAAzAAzAEHIKKKKKKHJIKKIHCCCCCCCzAzBEEEBEECCECCzzzzxxwzyyvzzzzzzzxxxzzxxvvrhkgb006a2222[[:[:]]]^]]]^^^]^:_[:1111114277bhjnuwwxuuuwwwzzBBEJIKMKKMNOOONKIHEFHEFFEHKKKKIKMMMMKIEDDzzzvvvtwwwummmjk",
+"eb6}[[({{!!!!!'';;==*&%%&%&%%%===--;,'){(_}270aabhjnpqtxzEECAzzEHHEEAAAzzzAGIKKKKKIJJHIIHGCCGGCCCzzzzCCCCCGCCCCCAzyxwvwwyvwvvvvvvvvxxvxxxvrrhkbb00a2222}}:::]]^^^!^]]^{]]^:_[111[[124770hhnptwvuuuutwzzBBEGIKMMMMNOPONMIHFFHFEEEHKKKKKLMMMMKIJEFDzzzvwywwusmmjgk",
+"b82}[(({!!!!!''';;==*&%%&$%$%%===*-;,'){(_}27aaabjhnqqtxAEEBBxzCEEHEBAzAyAzEIKKIIKIJGEHHEGCGEEEBAzzzzCCCCCCGCACBCzyzwwwvsttsssvvvvxvvvvvvvrrhhbba66222}}[[[:]]{!!!!!^]^{^]]__:_[_:}}47a0hhnpuwwtuuuwwzyzBEEJKMNMMOOOOOMKHFHFEFDHHKKKHHHKKKIHHEFEFBzzvxzwwtsmejkj",
+"b2}[[({!!!!!''';;;==%&%%$&&$$%&==*-;,'!{(<}478bbhjjmmqxxABBBBCzzBEEEEEAzyyzEHIIIIKIIHEFECCCEEEEEAAzzxzBGCzCBBzCBCAAutusstuussssssrrrrrvvvvrrhkb0a6222}[}[[[:{{{!!!''!!^^^^]]_[[[[:}}26aahhhnttwtpuuuttzzBEEJLMLMNOOPOOOKIIHEEFEHHKHIHHHIKIFEFEFDFFzzzvAAttmmhkjc",
+"82:[({!!!!!'''';;;=%%&%$$$$$$%&==*-;,'!{(_}45abhhjmmruxzAEBBBCCzBEHIIHBzyAAEEHIIIKIIHEECCCCBEEEEBBzxwwzBBABBBCAAyywtttsspmmmmmmmsrrrrrrrrrrkhbb0a6222[::[:(^]{!!!''''!!^^{^^:_}[:}}}466ahhjiputspuuuttxzBAEGKMMMOOOPPOONIIIFEFEHHHFHHFFFFIFDBDDCAzzzvvAwtmmejkhc",
+"2}[[({!!!!''>'';;==%&&$$$$&$&%%&=*-;,'){(_}47abhjmmruuyzAEEBCCAAAEHIIIEBAAACEEHIKKIIHFEAzzzCBBEEEBBzwwyBEBCBBByyyywwtqmmmmmmmmmmmmmmmmmkkkkkhbb08622[[[[:((^{{!!''',''!!^^^^[_1__}}4a666hheipputrrruutxzBAEGIMMNOOPPPPONMIIHHHEHIHFFHEEHIIHEBAACCzvvvtwtmmjjkic9",
+"2[[({!!!!'''''';==&%&&$$$$&$$$%&=*-;,'){(_}47abhjmruuwxzABEBCAAADBEHIIHEBAABCGEEIKKKHFEzzzzzAyAAABBBywzAEBBBAAyyyywqqqmmmmmmmmmmmmmmmmmkkkhkkbb08222}[[:::(^{!!!''','''!^^^^^:111}}47666bghhlptpppquuttxxAEGIMMNOOPPPPONMLIHHGHHHHFHEEFHIIEAzzCCBzvvtwwqmjjgkjb8",
+"}[[({!!!!;''''';=*&%&&$$#$&$$$&%&*-;>',{(_}47abhjmuuwwzzCABBAAAAADEHIHHEEBzBECEEHIIKHEECzzzywyyAAyBBzzyAEEAAAAyyyuuqqqqmmejjjeeeeeeeeeeeebbbbba08222[[[[__^]^^!!''',,','!^]]^]11}}}47a68bhghjppqpnppustxxAEGHKMLNOPPPPPNMKLLHHHIHIHHFEEHHECzzzCBAzvsuwqmmhggeca2",
+"[[({!!!!';>'';;;==&%&&$$$$$&&&%%&*-;>',{{([4aahhmnuuxzzACzBBAAAAAABHHEEEEBAACECGGJIIHEGzAAzwwwyAAwyywytwAAAAAAAuuuuuqqjjjjjjjgddeeeeeeeeebbbbb006222[[[[__({^^!!';;;'>,''!^]^^:1}}}78aa68bhgjnpppopqqqtxxAEGGKMLMOOPPPPOMKLLLLLLIIHFEDEEECCzzzzAAtstqqqmeeghcba2",
+"[[({!!!';;;;;;;;=*&%&&$$$#$$&%&&&*-;>'!{{_[4aahemnuxzzzAzAAAAAADAABEEEEEEEBACCEGGGHHHHBCAzAuwwyyAyywwuutwAAAAAxuuuuunnljjggggddddddddddddddaaa00822}}[[[_({^^^^',';;;''''!^^^]_}}}3666a6a88hhoppqoopqqtxxAAGGKMNNOOPPPPOOMKLLKLKIIHFEDAACCCyAzzywusmqqmjhggfba2}",
+"[((!!!!';;;;;;;;=*&%&&$$##$$$%&&%*;;>'!{]_:78ahjmnuxzCzzzCAzyzAAABBDEEEEEEBBBBGGGGGGEEBCAzwuxwyAAAAywwtttyAAAwxwuuuoonnkgggdbbb88888888888888888822}}[[(_((^]]!,'';;;;',,!!^^([}}2a66666aa8ahlpppnnpqqppxAACHIMMNOOPPPPOONMKLLKKIIHFFCAzCCCAzAzywumqqjjjggebb82[",
+"[({!!!';;;;;;;;;=*&%$&$#$#$$$&&%%*;>>,!{([[788hjmnuxzCCzzBAAyyAABEBDBEFBEEEBCCGGGGGCABzzAAwxwwyAAAAyywuutwyAxwxxuuonllkkggbbbbb88888888866666666622}[[[[[(^^^{!''>;;;;;,,'!^^^[[}26a6666aa8abhopqnnppqssxxAEGIMMNOPPPPPPOONMLLKKIIHEFCzzBBCAAyAysmmqnjjghecb82}[",
+"[({!!!';>;;;;;;;=&&%$&$####$$&$%**=>''!{([1468hjmvqwzzzzzCzAyyyABEBAABEEEEEEEHGGGGGBADxzAAyywywAAAAAyywtttwuwxwxuroolkkkebba66666666666666666666662}[[:[({]^^!!',>;;;>''!!!{^^[:}46aa226aaaabhoppoorrqssxxACGHKMNOOPPQPPOONMMMKKIIFEFBzzCBBAyyAuqmmjnjggbebc82[[",
+"((!!!!;;>;;;;;;;=%&%%&#$####$%%%*=;-',!{([1488ejnvwwAzzzzCCAyyyyAEEAABEEEEEJGJHJGGGADDxxyAAyywyyBBBAAywwttqutxxwupnokkkeeb88866666666a666666622}}}}}[[[[((]^^!{!'',''''']{{^[[[}25a66a6668abbeottppprqupxwACCGKMNNOPPQPPOONNMMKKKIFEEAzzABCyyywtqmjnngdbebcb22[[",
+"({!!!!;;>;;;;;;;=%&%%$&$$#$$$%%*=;-;,'!{_[168bbknvwAAAzzzABAyyyAADBBAAEHHEHJGGJIIHEAAxxxxzyyywyAABBBAyywttquuxxxppomkkhfa888866666666a22222222222}}2}}}__:^^{]]!!''',,''!]^^^^[}44a6666666a0cemtwtpppuuuxwAGCGKLNNOPPQQPPOOOMMMKLIFFFAzzABByyytuqjjnggabbhca2}[[",
+"({!!!';;;;;;;;;==%&%%$$$$%$$%%%%==-;,'!{[[266bjhnqwAAAzzzAAAyyyADAADAABHIHHHGGIIKIEBxxuusptwywAAAAEEBAyywqquuxwxpppmkfheb888822}}}}}22}2}}}}}}}}}}}}}}}__(]^{~{]'''''','']^^^^[[}2222222266abckpttqpruuuxxABEHKMNNOPPQQPPOOONLNLLIIFFBAzBEAywquuqjjkggb8ceb22[[[",
+"({!!!';;;;;;;;;==%&&%%&&$%%%%%&==-;'''{{[_468bjhnvwAAAzzzyAAAyyAAyyABBBHIIJIHJIIKKHByxurspstuuyAAAEEEBAAuuquuuxpprmmmjfbbaa8222}}}}2}}}}}}}}}}}}}}}}}}}_:]]]{{!!!'''',',!{]^^[[1122222622260abkotprrrqqtxxAAGJKMMNOPPQQPPOOONNLLLIKHECAABEAwtquujjkkgbb8cf62}[[(",
+"({!!!';;;;;;;;;==%&&%%&&&&%&&&&&**;>'!{{[1468benqvwAAAAwwzzCAyAAxuuAABCEJIIIIIHHIIIBzxxsspquqquAAAAEEEBAxuuuuuxpppmmijbccb8222}[[[}}}[[}}}}}}[___[[[_}}::]^]({{{!'',,!!]]]:[_122aaa66aaaaaabfhlpttpppquuxxAzBGIMMNOPPQQQPPPOONLMLMKHEEzCBEAwqqunjjkkbbabfb62[[[(",
+"({!!!';;;;;;;;;==%&&%%%&&&%&&&***;-',!{[[166bbknqsyAAAwwyAAAzAAwwuutACEEJKKIIJJHIIKEEAxwwuutquuyAAyABEEAyxuuuuxpspmmjjbbbb62}}}[[[[[[}}}}__[_:_:([(__[[___[:_//(({!!]{{((<1|1356988999a9cccfjiotyywttxuuzzAAEGHKMNOOPQQQQPPPPONNLMKFEHAAEEAwqqunikkkbb8bf62}[[[(",
+"({!!!';;;;;;;;;==%%&&%*%%%&%%%**=;;''!{^_166bhknqsyyAwwwxAACAAzxutuuxBEEIKKIIKIKIKHHEAAywtttuuxyAAwwABEAyxxuuupppqomiicbb6a2}[[[[[[[[}}____(([((((((:_1:|1:}1____({{{{(((_1|}34688a8abda9ecchmptAAyyyAAACAEEHJIMMLNOPQQQQQPPOOOOMMMKIHBBEEAwqqunjjkeb88bc62}[[[(",
+"({!!!';;;;;;;;;===%%&=%%%%%%%%==;;;''!{^_166aekvqwyyAwwwxzCBCBzxxuxxxAEHHKKKKMMMKIEEEAAwxtuuquuyAzxwyAyAyyxpprpppqqmjfbcba62}[[[[[[[[____((((^^^^:[:[[[1|}[[_<<__({{{{{((_<11|366a68899a8bbdflouwAAyyAAACCCEIIKNNOOPQQQQQQPPOOONONMKIHCCEEAxqqunjkkbb8acc62[[[[(",
+"({!!!!;;;;;;;;;===&%*&&&&%%&&=*-=;;''!^^126bagjrtvyywwwxxzCEEAzxuuuxxCCHHKMMMMNNKIEBDyyxxuupqquwyAwtwuwyztprppprrqqlifbb6622}}[[[[[(___]]((^^^^[[[:[[[:[[1:[_<___{{!!{{(((_}_|266a6668668aa9filotyAyzzAACCCHIIKNOOOPQQQQQQPPOOONOMMKIIEEEHAyuuunjjkb88bb822[[[[(",
+"({!!!!';;;;;;;;;===%***&&&&&=***;;''!{^_126bhgjqtvyywwwxxzBEBAxxuuuxxzEHIMNONMMMKHBByxxuxtspqrquwyxtuuttwtqmmmommmmljfbb662}}}[(((((__(](^^^^^^[(((((:[[:[:[}__<</~{{{{{((_|}}}22226aa66a8abhhiltwywwwyyzCAEIILMOOOPQQRRQQQPPOOOOOMMIIHEIHAyuuunnjhb88cc622[[[[(",
+"({!!!!';;;;;;;;;====***=******;;;'''!^^_266bhgjqtvvywwwxxzBEBzxuuuxxzzEHKNOOONMKIEBAwuuuspppmqruwwwuqqrpttpmiinlllmlifba6622}}(((((__(((^^^^^{{{{{{(((]([[[:}_<<__{{{{{{((:_[:[12222226aa6abbejlpyywtuwwzzzBHHJMNNOOQQRRQQQQPOOOOOMMIIHHIHEyuxxpnkkb8abb622[[[[(",
+"({{!!!!;;;;;;;;;=======**%===;;;;>,'^^_122bbgjmstvvywwwxxzAEzxxxuxxzzzEIKMNOOMMKIECvvqqqronppoqtxywuqlnmptpoiiijjllliecba222}}(((((_(((^^^^^{{{{{{{((((((_:[:<<<<_]{!]]]^]]][[[[}}}2}222268a8bhipwwxuwwwzzBBEGJKMMOOPQRRQQQQPPPPPOONMKIIIHBwzwzppmkeabcc62}[[[[[",
+"(({!!!!';;;;;;;;;===;=-=====;;;;'''^^(_2268hgjmvvvvywwwwyzABzxxxxxzzzBIIIMMNNMMKIGzvtqqqmnnnonquwyxuqnkklppoifiifiiifecb622}}_((((((({^^^^^!{{{{{{{{]{{]{(([:_((:<]]!!!!]^{]:[^[:[:_2}2}266a8ahimpwxustwzxAAEEGIMMMOPQQQQQQQPPPPPPPOOMMMKIEyyxxppmmjbbhba2}[[[[[",
+"(({{!!!!;;;;;;;;;==*=;====;;;;;;,'^^^(_2288bgmmsvvvvwwxwyzzAxxxxxzzzCEHIIKKMMMKIEGCvsqqmnnnnnhmquwwuonkjiiooliiijiiiief86222}_(((({(({^^^^{{{!!]!]]{^{{{{{(](_((__]]!!!!^^]^(^^_[[1[[}}2226668gelqwttupwxxAACBGGKMMNOPQQQQQQQPPPPPPPONNNNKHAAxwpomkiififa22}[[[[",
+"[(({!!!!';;;;;;;;;;;;;;;;;;;;;','!^^(_}228bgjmvvvvvvywwwyzAAAxxxxzzCEEHHHIIKMMKKEEAwuqqmnjnnnjhmqtuunkkjfiloiffffccbife8622}}_((({{({^^^^{!{!!!!!!!!{{{{]{](]((](<(!!]!]^^^]]^^[[[[[[122226668bgkqtwsrtuuuyyBCGGILKMOPQQQQQQPPOOPPPPOOOOONKIEAyxokkhjhifb622}[[[",
+"[[(({!!!!';;;;;;;;;;;;;;;;;;;''!!!^(_}}2aabgjmvvvvvvywwwyzzAzxxxzzCEGHHHEIIIKMKIEEAvuqmmmjjjnhjjmuuonkheheiiifcfccc9bb98622}__(({{{({^^^^!!!!!!!!!!!{!!!{{{]]//(/_(]]!]!{^^]^[[[[[_[[222222888hghmwwsruuuuyxzACCHFIMNPPQQQQQPPOOOPPPOOOOONNMIIBAtpkkeffbb8622}}[",
+"}[(({{!!!';;;;;;;;;;;;;;;;;;>!!!!!{__}}28bdjmmvvvvvvyzwwwyAAzAxzzzCEEHHEHIIIJKKHEBAvuqmnmjjjjjjhmqunkkhbb8bfffbccc999988a62}__({{{{({^^^{!!!!!!!!!!!{{!]!{^]{]:<:::]{]^]^^]]]][^[[[}2}2222668adghottsuuuuzyxzzACHIFKNOPQQQQQPPOOPPPPPOOOOOMMKIECwtqmiifbaa866a22",
+"2}[(({!!!!';;;;;;;;;;;;;;;'!!!!!{{([[}2a8bdhmsvzzvvvvzzwwzAAzAzzABEEHHEEHHIIHHIHGEDvuqmnnjjjjjhhmquokfbbb888ffc9cc998866662}__({{{{({^^^{!!!!!!'!!!'!!{]]!{^]]:::::(]]]]^^]^]^[^[}}}}}2}2666a0dhjotxxuuuuwxxAzzCEIFILNPQQPQPPPPOOPPPPOOOOOMKKIHBBywtponc888826a2",
+"222}_({!!!!';;;;;;;;;;;;;;'!!!!{{^([[26aabhmmsvzzzvvvzzzwzAAAAABEEHHEEEEHHHIHEIHHEDwuqmnnjjjjjhhmqomkjcb8a68bc99995555866222__({{{{(^^^^{!!!!!''!'''!!!!]]{{{(:_:::({]^]^^^]:[[[[}}}}}}266aaaaeejnuwxuuuwwwwzzACGIIKMNOPPPPPPPOOOOPPOOOOONMMKHHCAwwxwwplhba8a226",
+"22222_{!!!!';;;;;;;;;;;;;;',!^^(([[[}266ademvvxzzzzvvzzzABzAACBEHHHEEEEHGHHIHEHEEBDwuqmnhjjjjjhkkmomjeh888a85095555335544222__({{{{({^^^{]!!!!'!]'!'!!!!{]]{{(:_:_<_]]]^{^^^[[[[[}}}}}226aaabbehmquywuuwwwwwzzzCGFHFKNOPPPPOPPPOOOOOOOOOOOOMKIEEAytwwxtpoheb8882",
+"222}2<(]^!!';;;;;;;;;;;;';'!,^(([[[[}668bhhhvuxzzzzzvvzzzCCzzBEHHHEEEEHHHHGHECBCEBAyuqnnnjjjjjhkkmomifea6aa475534224443||||2__({{{{({^^^{!!!!!'!'')!!]{!{{]{{(_<<<1_(]]^{^^^::_[[[}}2227aaa8bbhkmquxxvwwvwwzAzACGHHFKNOPPPPOOOPOPOOOOOPOOOOMKIEEzxxtwwtppplifba8",
+"a22}__(^^^^';;;;-;;;;;;;'''!,{([[[[}668abekrvuzDzzzzzzzzAABBABEHHEEEEHHHHHHHEEzBEBDyturnnjjjjhkkmnnmkjjc8a744432}22}}}}|1<_<<_(({{{({^^^{!!]!!!!'!!!]{{{{{{]](__|_1__]^]^^]::::[[[}2227778888hhkmquyAxwwwwxzzzACGHFFKNOOOOPOOOOPPOOOOOOOOOONIHHBBwxxwwuqqppolihh",
+"h8a2__(^^]^!'';>;;;;;;>;'''!!{([[}}6668abkkqvxDDDzzzzzzzACBCCEHHIEEHHHHHJEHBEEzCGBDAxurmmjjjjkkkmmnmkhheba541}22}}22}}}::^(_((((({{({^^^{!{]^!]!')!]!!]~{({((:[<}|11_]]]^^^:::_[[22277777888bgkkmpuyyyxxwDAzyACCGHHFKMOOOOOOOOOOPPOOOOOPOOOMIHEEAAxxttpqqqnoplli",
+"mfc61_{!^]^!!!!''>;;;;;;;;'!!{([[[2228abkhrvvxAADDzzzzzzzACABEEEHHHHHHHIHGHBCAAzAAAAxuqrnjjjmkkknmlmlfcfec74[}2221111_}:::]^]{{{{{{({^^^{{]!^!]!!]]!]!{]{/(((_1|}}111:::_([_::}222277777a888bghkqptyAywzyDAAyyCCGHFFFKMOOOONONOOOPOOOOOPOPONKGCByyuxyyppmmmmoopl",
+"lifc9|_^]!!^{~{{'';;;--;;;'!!{(:[222600bkknvuDBBBDDDzzzzzAzABEEEEGEEHHHIHGEBEACCAAAAxxsqmjmnkkkmmmlmlifiic04}}}1_<<<<<//(:]^]^!!!!{{(^^^^{{!!!!]!!]{{!{{(/(_<_143|||1<::__[[}22222777770a888bghmmrtzCBAzAAAAAzzCGHFFFKMNOOONNNNOOOOOOOPPPPPNKHCzzwwuxxupormmmmoo",
+"igffc03:^^^^^]^]!'';;;;;;;,'!{{[_22600bhhnvvxDEEBDDBzzyvzwAAEEEBBGEEHHHHHGEEzCCCAAAyxxuqnnnmkkhhmmjmlifiif07}}1||<<<<<//{~){^^!!!!!^^]^^^{{{{!]{!]{{{]{(/(/_||144|33411_:}1}}337a7788a00bbbbbbhmmptABCzAzzDAAzzCGHFFFKMNOOONMNNNOOPOOOPPQQPOMFBzzxtwuuuunorommml",
+"fc0c00722|:(]^^^^''''>;-;;'''!{[[2260bagnnvuDDBECDBCzzyADzAAEEBAAAEEHHHHHEEECBBAADAyxxuummnmkkkkkmjmmifiic92}}_<|</////~~{)',''''!!^^^^]^{{{{{{{]]{{{{((</__<|1143|2411_11}14347a78a99dbcbbhefjmmpsyBCzAzzAzzAzCHHHFFFMNNNONMLNNOOOOOOPPQQQPNKHzzvvtwwqqqquoppme",
+"ea8877759952:^^!!!,),,';>',''!{[[2260bhgmvutyCGEBDBzzzyDxyABBBAzAAAEEHHIHHHCBCAAADAAzzxupmnmmhkkkmjklifffd922}_<<<(((/{{{)),''>;;''!^^^^]({{{{{{{{~{{{]](____}11|4|221____1114446aaaa0adbeffehmmmqtwEECCAzzzzzzCEHIFFIMNNNNNMKLNOOOOOOPQQQQOMKFBzzwytusmmmqqurmf",
+"e9aa7445cd95}<]^]!'''''';',''!{[:22a0ahnnvvvDBGBBDBzzwyzyDBEzxxAzAABHIIHHIHGCEABAAAAAAAzturmnhhkkkjkiidccd5221_<<__((({{{!'',;;;;;'''{^^^:{({{{{{{{{({]((__:__|114414}_____111226666aaaa9behjilqqqtyEECCCzCAzzzCEHEFFIKNNNNMMKLMOOOOOOPQQQQONKHFAzzyywprssmqqlif",
+"e8a85375955743}:^]!''''''',''!]^[22608gnjvuvDAGBBDzzzwvwyABAzxxxzAABHIHHHHHEEBAAAAABAAAAwuqmnmhkkhkkiicccd963|<<<<_(~~~)),''';;;;;;'''{^:[{]{{{{{{{{{{{^(__::<|11442|}[[[_[}}222aaaa0898abbbejlquuwyBEEEEEEEBBBEEHEEFIKNNNNMIKLKNOOOOOPQQQPONMIFDAzzzvvvrrsmhgfb",
+"baa777753}}}3437}_]!'''''!!!'!{^[2260agljqqwDADBBDzzzwywzAzzxxxxxABBEEEEBHHHBAAzyyAAAAAzwtqrqnmhhhkkiifcccc654|____~{~~))''>;;;==;;;'']{:[(({]^]{{~{{{(((_::<1|4443332}[[}}1222000aa9c9aaaabejoquuuyBEECHFIHHEGEEHEEEHKMNNNMKLKLMOOOOOPQQQPPNMIHFDAzzzvvvvrmegba",
+"222|7572[<[:|1|742|[!)'''!]!!{]][22678gjjqqwDDDDDDxzwxvxzAzxuuuxxzBEEEEBEHHBAAwxyyyAAAAwttqrqqljkhkkkiiecdc954|___//{~)),>>>;-====;;'''{([[((]((]]{/(((((__<:11|4353552}}}42770ddabbdccccdhgiopptxwABEGEIHIFIFFFEHECEHIMNNNMKIKLMOOOOOPQQQPPOMKHHEEEAzxxvvrmedaa",
+"2}}1774[[:[::[|4443|:{!''!!]^{([[}}6a8gjjqquDAADDDxzwwuwzwxuuuuxxxBEEEEEHHBAyyxxzyyyzAzwwtpqpooljjjkkiifcdc993|<__//)))),>>--*%%%==;;''!](:((](((]]/(((((_<_<1|435575955775700ddihhggfffikimopptwwxABHEEHIKKKIFFEIEECEIMNNNMFILMMNPOOOPQQQQPONKLHHHEFzzxxxrmed86",
+"2}}131_^]:^::_14|1233}({'!!!](__:}2778gjjrquDAADDDxxwwwwzxusuuuxxzzBBBEHHByyxxxxxywwyyAwwupuqnoomkkkmiieffc995|<__//~))),>;--*%%%%*;;;,!{{(_((:(((:(/<:__<_1|4377590990775000ddijifikfiiimmmmpqppwwABHHHHIKKKIIIHIHECEIKNNNMIIIMMOOOOOPQQQQPOOMLKHIFHDDzxvrmed86",
+"2}}1|_{^^]^_<_1111:}334<^]!!!{(:}22778dikmquwADDADxxwwwyyuuqvvuxzzzBzEEEAAwuuuuxxwwuxxxwwtrqooopmmmmmllffffc97||<//~~),,,>;-=%&&&&**-;'!]]([(__:_::/_<<<<|11|4355599900557909ciiiigggkfiikkkkmnnrtxxBHHHIKKLLKIIKKIEEEIKMNNKIFILMOOOOPPQQQPPPOOMKLKIHFDzxvrmed86",
+"2}2__{{{{{((__111<_[}323|:]!!{{[}62088djjmqtwAADAxxxxzwyuuqvvvuxzzzzBEEAywuuuuuupstpuxxtwuqqlnnmmmmmmoliffc9673|_//~~),,,>-**%$$$&&=--'']{]_______<<<<||||3||47579999990099ccgiiiijgggcfghhgggijjquuyBEEEIKMKKKKKKIHEHIKNNNMIHIIMOOOOOPQQPPPPOONMLLMLHDzxvrmed86",
+"222_({{!!{((_11311_[<:}2|11:({/:[220agdjmmqtvAADDyvxxywyuqqvvuuxxxzBEEAywutuxuspppsqutxuwtrnmlkmomliloonifc9663|1</~~),>>>-**%$$$$%==-''!{((1<_<1<<|<||||||33347799ccffdccccfgjkkggddggcdbbdhheehmqqwAEECGIKFFLKKKKIHIKMNNNMKFIILOOOOPQQQPPPPOONNNMMLHDzxvrmed86",
+"22}[(({{{{{{__2221__](:<11|||1_::220bghjmmquvyADDyuxwzyyvqqqqrruxxzGEAywxuxxtpprrppquuxtwtqqnjkjjillnilolif9a63||</~~),>>>-*&&###$%%==>''{(_1<|<|111||||||33357709cccffcc99cghhhhjghddgdbbhbdgeehmmqwABBCBHIKIFIIKKIHIKMNNONKFFIMNOOPPQQQQQPPOOONLNMLHDzxvrmed86",
+"22}[(({{{{((([}}2|__^](::<||752}}2609gglmnqtvyADDxvxwAyxqqqqsrquxzBEBAyxxuuxtutsssppstxtwtummkhkehijiilolij9aa3|1</~~),>>>==&&####$%*=>>'!{(__1_111||11||33355900ddccfgc99ddhehhhhhhddddbbbabheeemmmtyCBCCHIFIFIIKIHEHKMNNOOMKFKKOOOPPPQQQQPOOOOOONMLHFzxvrmed8a",
+"a}[[(((((({{[[[}}_1<<]^]^[_1459556678gglqqqtvyADyAvxxAwwqqqqvrruxzBEAywxwxxttwwyvvwwtxywyutpmmkheehhiiloilic9673|_<~~),>>;==&&####$&**;>,!{(_|||||1||1|33335599990dccfffddhhhghhhhhghdddabbbhheeehmmqyABBCEHFKIIIKIEEHKMNNOONKKKMOOOPPQQQPPPOOPPOONMKHFzxvrmed88",
+"a2[[[(((((([:[[}[}<__]^^]^]_|3999990adgjqqquwAADDDwxwzwwmmqqunruzACyyywxwxwyAEEEEBAAAAAAAwwsomkhhbbbejliiiif9673|_</~),>;===%$@@@@$&&*-;'){{(_|11|||11133555569990cccghfebhhhghkkhjfgdgggbbehhhjjhmqqyABCCEFIIFIIKKIHIKMNNOONMKMNOPOPQQQPPPPOOPPPONNKHFzxvrmedb8",
+"8}[[[[((([[[::1}}}_|__]/](^<<1599cfdbggkqpqwyAAADDxxyAwtsmqqquoxzzywwxwyAABEHKMKIIHEEBAAAAAwpmmjjbbbfiiiiiifc953||</~),>-==%%$#@@@#&%=*>>'!)(__1<1||43347555599999ddghfifghggklnjmmmiigghhfhghggjjqquyAEBCCHFKKIFKKIHIKNNOOONNMMNPPOPQQQQPQPOOPPPONNLLFDxvrmmhb8",
+"6}[[[[[[[[::}22}}}}_<_<_:/(__137ccfgfigimmqvyACADDzzzAztsmqqqquxAAvtwwABEEHIKMMIEEBAAywwyABytqnjjgbhhhgiiiifd99531</~),>;==%%$@@@@#$%%=;;,,!~(__|_|||33555550999cccdggiiijkjlooommmollkkkffghghkjjnquAAEBCEFIKKKKKKHHIKMNOOONNMNNOPOPQQQQQQPPOPPPPONLLFDxvrmmjga",
+"a6}[[[[[::[}22662}}(//<_<__<_}|580fiimomrqqwyAEADDAzAywusmqqqvxzAwtwxyBEHIKKKKEBAwwwxwtwyyAywqmoijijhfhfiijif8853|<<~)),;=%%%#@@@@##$%%*;;,!{/_<<||1|145559709cccffiillllllopprpppppoommiiikkkkkknmuuAAEECEFIKKKKFKFHHKMNNOONNNNNOOOPQQQQQQPPPPPPPONLLHDxvrrmhgb",
+"66}}[[[[[}}2288864}}({{(1||1_}|298fgiopprqqvvACADDDzzvvsssqqquxzzttwyAEIIMKIHBAywtttxwwwyyAywtpmlmihehcfiiiff9973||</)),-=%%$#@@@@##$&&**-')){/<_<<|||3755999dcfffiilooooooooppppqppppopllommmpmmpptwABEEGCIFKKKKLKIHIKMNNOONNMNNOOOOPQQQQQQPPPPPOONMLHFzxvrmjgb",
+"666}}[[}}266ccff996}(({/<||1_|2269dfmotttutvyACEBBBBzxvvstqqqtwzxtwyAEHIKKIEBAyAAyyyyAyAAAAywtpmlnlgfhfeeifgfc8953|</~),-=%%$#@++@##$&&==->'!~/_<<|||3355999ccdgfgiillllollnoorrpmoqoommoloompqpqttyyEHIHGHKKKKKLKKFFIKMNMNONNMNNOOOOPQQQQPPPPPOOOOONLHFzxvsmhdd",
+"8666}222a6bbfeifif92[((/_|<_}}2269dfmmpwwwwwyABEBDEEzxvvtutqqxwxxwyABHIIHHHEEEEEHEEEEEBBABAAytpoliiiighceffgcc8953|</~),>;%%$#@++@###$&==;>,!~/<<<<||3335599ccggfiijllnnlloooopppqqpoomomlmmmopqqttyAEIKKIIMMMMMKKLKIKKMMMMNMMMNOOOOPPQQQQPPPPOOOPPOOKLFBxvsmmed",
+"86666226bbbccjjefc6|[(((((/(::2669dckkptwwAAAACEGEHEAxxxwstuuxxxxwAEEIIHEHIKIKIIIHIIHIEEBEBAAwppojhfiffcddddc88653|</~),>;*%$#@++@@##$%%*;>,){//<<||||355599ccggfiijllonpppppttwwtxwttpttpppppputtwAAEIKKKKNOOONNMMKKKLNNNNNNMMNOOOOPPPQQQPPPOOOOPPPOMLIDzvssmed",
+"d86688abcbccehgif86}}[(({{{^:[}659dekoouuwABEBEEEEHEEzxvvwswyDuxzBBEHIHHIKMMMKKIIEHIHIIIHHEBBAwponijijfcccccc98655||<~),>;*%$#@++@@#@#$%*->,,)//<<<||||35599ccfiiillooppttwwwwyyyyAAyywwywwwtxzzyyABCHIMKKMNOOOOOOOMMMMNNNNNNMMNOOOOPPPQQPPPPOOOOPPPOOMIFBzytmme",
+"ddba88bbcciikggfc82}[:[{{^]^^::27dffkooptwABEHHGHIEEBAxzvvwwzyuxABBHHHHIKMKKKMKIIHHIHIIKIHHEEBAtpnjffefffcd9c996533|</)),;*%$#@+++@@@#$$*--,,)~//<<||||35599ccfiiloppttwwywwwwyyywyyywwtwwtttwAAAAEEEIKMMMNNOOPPOOOOOOOOONNNNMNNOOOOPPPPPPPPPOOOPPPOOONNIHzztmme",
+"eggbehchfilokkkf962}::::::[][:}2a0ckkmrpuwAAEJIIIKIEBCAzzyyAzyAzCEIHHIIKKKIIKMKIIEEHHIIKIHHEEBBypljfbeffcc9cc95333||</),,-=%$#@+++@+@#$$%*->,)~///<|||335599cfiilopppttwwwwwwwwywwwwywwuppppptwwyzABEHMNNMOOOPPPPPPPOPPPPPOOONNOPPPPPPPPPPPOPOOOPPPOOOONMIEAzsmm",
+"jjkkkhfhgkmmonkg6a6[::[:[[[:::2}60agkoupuwyABHIKMKIHBDDzzzACAyACEHIKHIIIIIHIIIIHHEBBAEEEEEHEEEBytoifbhcfdcccc9533|||</~),-=%$#@+++++##$%%*->,)~//<<||3355599cffillppptwwwwywwwyyyywyywwwutttttwwwyyABEIMMMNOOPPQPQQQPPQQQQPPOOOPPPOPOOOPPPPOOOOOPPPOOOONMMKGAwtq",
+"qnokkkggggillqjg862[}[[:::[[[222788glouuuyAAEGGKNNKIEBBDzzBBAABEEIIKIIIKKIHHEHHEEAAyyAyyAAEEBEBAwpljeedcc9ccc953||||<<~),>;%$#@++++@@#$%%*--,)~/(<||||355999ccfiilopptttwwwwwwyyyyyAAAyywwwyyyAAAAzEEIKMMMNNOOPPOPQQQPQQQQQQQPPPQPPPOOOPPPPOOOOOOPPOOOOONMKGEBwq",
+"xuronljeejjjqmhd8666}:[:[::[[22608ggjppuwyAAEEEKMNMIIEBDEBEEBEEHIIKKKIIKKHEEBBBBBAzyywtwwwAEBBBAwpoijedd99cc9953|||<<<~),>;%%#@++++@@##$%*-->)~/<<<|||355599ccffiiloptwwwwywwwyyAAAyyywwywyyAAAAACEHHKMNNNNOOOOOOOPPPPQQQQQQQQQQQQQPOOOPPPPOOOOOOOPOOOOOOMMKGEAA",
+"Eywuoljeemmqmmed8aaa}}[[:[:[422a08ggioqqwyAAEEHKMMMKKIEEEEEGGHIIKMKKKKMKIEBAAAAAAAAAywttpuwAABAAwtolifdda8c995531|<<<<~~,>;=%#@++++@@@#$%*->,,~/<<<||||335599ccfiiloppwwwwyAyyyyyyywwwwwwwtwwxyyAEEEKKNOOOOOOPOOOOOOOOPQQQQQQQQRQQQQPOOOPPPOOOOOOOOOOOOOOONKHHHE",
+"HHAyuqqmmqqqpmhdd8662}:[:[:2226788glinqqwAAEEEIKMMMMKKKHHHFHHFKKKMKIKMKIEBAABzAAABAAAwxupqtwyAAAwtpoljgd890999541<<<<//~,>;=%$@++.+@+@#$%%->,)~//<<<|||3355999cfiilopptwwyyywwwyvwwuutttpstquuuxAAAEHIMOOOOPPPPPPOPPOOOPQQQQQQQQQQQQQPPOPPPOOOOOOOOOONOOONMMMJII",
+"KHHEwuuqqqwtpkked82222[:[:22}267agglrrqtwyAEEHKKMMMMMMKKKIIIHKMNNMKMMKIHGEABBAAyyDyyyyuupttwwyyAywtpoifd09999953|1<//~~~,>>=%$@++.+@+@#$%*->,))~//<<<||335599ccfiillopptwwwwwwwywwwvxxwwwwwwwwyAAACEGHKNOOOOOPPPPQPPPPPPQPPPOPPQQQQQQQQPPPPPOOOOOOONNNNOONNMNNMK",
+"MKEEEBAyyywtpkmeda82222222222607aggkqrqvvAACEIKKMMMMMMMMMMKKKMNNNNMMMKEEEECAywwstsstzwuuutwwwwwyywtpplic98999953|<<//~~~),>=&$#++.++@##$%*-->))~//<<|||355599ccffiilllpptwwyyyyAAABBAABBEBABBBBEEHGIIKMOOOOOOPOOPPPQQQQQQQPOOOOPQQQQQQQQQQQPOOOOOOOONNNOOOMNNNNN",
+"MKIEEEBBABzypmkb0082266689889909ggkjmquvvABBEIKMMMNMMMMNMMMMMMNNNNONKIHIBBzzzxssrrruuuuuputwwwwwywwtolifcb955553|<//~~))),>=&$#++.++@##$%*-->,)~~//<<<||35599cccgffiloptwwAABBBEEEEEEEEEHHHHGHHKKKMMNOOOPPPOPPPOPPPPPQQQQQQQPOOPQQPPQQQQQQQQPOOOOOOOONNOOOOMMMNN",
+"KKKHHEHIIEAAtmme0088688cccfjiigfkglmnqtvwyBBIIKMMNNNNMNMNNONOONNNOONMIHEEAzxxuuuuuuqusuuttuwtwtwwwwtooiib9955553|<</~~))),>-&&#++.++@##%%*-->,,~~/<<<|||335599ccfiiloppwyABBBBBEEEEHHHHHHEEHHHIKKMMNOOOPQQPQQQQPPPPPPPQQQQQQQPPQQQPPPPPQQQQQQPPPPPPOOOOOOOONMMMM",
+"KIJIKIIIIIHBwtmefd9ccffccfiilklqmporqqwvyCAEHIMMNNNNNNMNNOOOOOONOONNKKJEBzAxuuuuuvvqqqqtuspttttwwywwpoliec957533|<</~))),,>-&&#+++++@##%%*-->,,~~//<<|||333599ccfilopttwwyAABBEEEEEEEEIHEEEEEEHHIIKMNOOPQQQQQQQQQQQQPPQQQQQQQQQQQQPPPPPPQQQQQPQPQPPPOOOOOOOOMNML",
+"FIIIKMKIIIHECwmmigkilifccffkkllpptupqtvvyCBHHIMMNNNOONONNOOPPPPOPOMMMIHHGAzAxuvuuuvqqqsttqutttwwwyywppliec95733||</~{),,,,>-*&#++++@@##%%*-->,,~///<<<||335599cfilloppptwwyyAABBBBEBBEEEEAACCBCCEIKMNNOOPQPQPQQPPPQQQQQQQQQQQPQQQQQPPPPPPPOOPPPQQQQPPPPOOOOOONMK",
+"KIIILMNNMKEEEAupnomoijfeccgggjomttxxuvyAyCBBHIKMMNNOOOOOOOOPPPPPPONMKIJGECzyxywvuvuqqvsuupuwwwwwwyywtplif9997731<<({~!),,>>-*&$@+++@@##%%*->>,))~//<<<||335599cfiloooppptwwwAAAAAAAAAADBBBAAAAEEHIKMMNNOPPPPPPPPPPPQPPQQQQQQPPQQQQQQQQQQQPOOOOOPQQQQPPPPPOOOOOMM",
+"MLIKKMNNNKHCBAxxttqoifbc9dddeekmpuwwyAAyAACBIIKMMMNOOPOOOOPPPPQQPONMKIJJECBzxwwwwwtttvstqstuwwwwwyywwtoifc9973||<//~)),,,>--**$@+++@@##%%*->>,)~~///<<||355599cfiloooppptwwwyAABBBBBBAAABEDBDEEHHIKMNNOOPPPPPPPPOOPPPPPQQQQQPPQQQQQQQQQQQPOONNOOPQQQQQPPPPPPPOOM",
+"LMMMKKMMMKIGCAyBywpokgddd00bbggoostxAAADyABEEIIKMMNNOPPPOPPPPPQQPONMKKIGGGCzzzvvwttttsvsuvttttwywyyywtplicc053|||</~),,,>>-=**$@+++@@#$%%*->,,)~~~/<<|||355559cfiioooopptwyAAEEEBEEBEEEBEEEEEHFIKKMMMOOOPPPPOPPOOOOOOOPQQQQQPPPQQQQQQQQQQQPOONNOPPQQQQQQQQPPPPOO",
+"ONMMMMMMKKHEEABABywmkgdd00bbgggmlpuwAAAADAAEHIIIKMNOOOPPPPQQPQPQPPONKKIIGGCCCzDytuutssvtvusuutvwwwwywttoicc973||<</~),,>>--;=*$@+++@@#$%%*->,,))~~/<<<|||35559cfiilooopptwyAABEEEEEEEEEEHEHHHIIKMMMNOOOPQQPPOPPOOOOOOOPPQQPPPPPQQQQQQQQQQQQPPOOOPQQQQQQQQQQPPPPO",
+"POOONLMLIIEEEEEAzwtpmgdd0bbbggllqruwAAAAAAAEHHIIIMMNOOOPPPQQQQQPPPOOMKLKIHGCCAAAxvvvvvvtwuusuttvvwwwwttplic973||<//~'',>--**=*%@++@@##$%*-->,,))~//<<<<||35559ccfiillmopptwwyBBEEEEHIEHHHIIIIKKKMMNNNOOQQQPPPOPPOOOOOOOPPPPPPOPPQQQQQQQQQQQQPPPOPQQQQQQQQQRQQQQP",
+"PPOOOOOMIFECEEHAytpppligecbgggnmrqquwwADDAABHHHIKKMNOOOPPQQQQQPPPPOOONKKKIIGCBAAzvvvvvvtwxxvutwwwwwwwwtpoifc95||<</)),,>-;**%&%#@#@@##$%*-->,,)~~//<<<<||355559cffiikllopppwwAABBBEHHHIHEGJHJJIIMMNNOOPQQQPPPOOOOOOOOOOPPPPPOOOPQQPPPPQQQQQQPPQQQQQQQQQQQQQQQQQQ",
+"QQPPPOOLIFBCEEEAywppppoljekggnlrvqttttxDABDEEHGIIKMNNOOPPQQQQQQPPPPOOONKKKIIHGGCCzzzzxwvxxxuuwwwyytwwwtpoifc95|1<</~!,,>--=*%&$#@##@#$$%*-->,,)~~///<<<||335559cffiiiillooptwyAzAAzEEHHHIIJIIIMMMLNOOPPPQQPPOOOOOOOOOOOPPPPOOOOOPPOPPPQQQQPPPPPQQQQQQQQQQQQQQQQQ",
+"QQQQPPOMIHECBEAwwwpooppolmmkknnquutuutuwDDEEEHEHIKKNNOPPPQQQQQQPPPOOPOONNMKKKKHGCCCCzzzxxxxxvwvyyywtttwtoifc9531</({!,>--;=%%$$#@##@#$$%**->,,)~~///<<<||3355599fffiiillopptwwyAAzABEHHIJIIIKKMMOOOPPPPQQQPPOOOOOOLNNOOPPPPPOOOOPPOOOPPQQPPPPPPPQQQRRRRRRQQQQQRR",
+"RQQQQPOMKIHCCAwwuuuoooppuqmmqmrruttqqqutwDBEEBGEIIKNNOOPPQQQQQQQPPPPOPOOOOMMFIIHGCzzzAAzzxxxvwyyAAywwtttolfc9531<//{),>>-*=%&$$#@####$$%*-->,,)~~///<<|||3355599ffiffiiloppptwyyAAzBHHHIIKIKMMNOOOPPPPPPQQPOOOOOONMNNNOOPPOOOOOPPPNNOOPPPPPOPPPPQQQRRRRRRRRRRRRR",
+"RRRQQPONMKKCzytuqqtuoooutuqtqqvvutuuuqqquwBEEBGEEIIKNOOPPQQQQQQQQQPPOOPPOOOMKIIHFECzzzAAAzzyyyyAAAywwtttplfc953|<//~),>>-*%&&$##@@#$#$%%*->>,))~~///<<<|||355599ffifgiiloooppwwyAAABEHHIIKKMMNNOOOOPPPPPQQPOOONNONMMMMNOOOOOOOOPPPNNNNOPPPOOOOPPPQQQRRRRRRRRRRSR",
+"RRRQQPPOOMKEAxutmqqutuuquuuwtxuuuuqquqqquwAEEBAECHIKMNOOPPQQQQQQQQQQPPPPPOOMLIFFHEEzAzzzABAAzAAABBAyywttpoic953|<//~),>--*%%&#@##@#$#$%%*->>,))~////<<<||335599cfffgfiiloloopwwyAAABEGEIIKMNNOOOOOPPPPPPQQPOOONNNNMMMMNOOOOONNOOPPONNNNOOOONOOOPPPQQQRRRRRRRRRSS",
+"SRRQQPPOONNHCyputmqquuutupwywyxxwuuqqqquuuyEEEBAEEIKKNOOPPPQQQQQQQQQQQPPOPNNMMKIHHEEDDDDABBBBABEEEBAywwtpoic9531<//~),>-**%%&#@@#@#$$$%%*->>,,)~////<<|||335999cffifiiililopptyyAABEEEHIIKMNNOOOPPPPPPPPPQPOOONOONMMMLNNOONONNNOOONNNNNNNNNNNNNOPPQQQQRRRSSRRRSS",
+"SSRQQPPOOONKEAyttmmqquuuupwwAAyxwuuuuqqquuyAEEBBGEHIMNOOOPPPPQQQQQQQQQPOPOOONNMKIIIHEDAAABBEEEEEEEEBAAwwpoic953|<//~),>-**%%$#@@###$%$%**->>,,)~//<<<<||3335599cfffffiililooptyyAABEHHHIKMMNOOOOPPPOOOOPPQPOOONNONNNNMMNOONMMMNOOOMMNMMMNNNMKMMNOPPQQQQRRRSSSSSS",
+"SSSQQPPOPONKJEAttmmqmqquuwwwAAAzyxuuuqqqquxyDDEEBEHHKNNOOOPPPPPPQQQQQQQPPPPPPONMKKIHHEDAABBEEEEEBEEBBAwwtplf953|<//~),>-*%%%$##@###&%$%**->>,,)~//<<<|||3335599ccfcffiiiilopppwyyAAEEEHIKMNNOOOOOOOOOOOPPPPOOONNONNNLMMNONNMMKNOOOMMMKKKKMMMMKKMNOOPQQQRRRRSSSSS",
+"SSSQQPPOOOMKIHEwutqqqmqqwwwwyAAAAyxxuuqquuwyyABEEEHIKNNNOOOOOPPPQQQQQQQQQPPPPOONMKKIHHBBACBDEIHBBABEBAywtpoic95|<</~),>-*%%%$##@#$$&%%%**->>,))~~/<<||||||3359cccfcffiiiloopptwAAAAEEEEIIKMNNOOOOOOOOOOOOPPOOONNOMMMMKKMNNMMKKKNOOMMMKIHHKKMKKKKMNNOOPQQRRRRSSSS",
+"SSSRQQPOONMIIHHAwwwqqqqttwwAyzAABAxxxuuuuuwwwyABEEEIKMNNNNOOOOPPQQQQQQQQQQPPPPOONMMIIHEEBCCBEIHBAAAABBywwppif953|<//),>-**%$$##@@#$&%%%*-->,,)~~//<<||33333559cfffffiillloopttwyAAAEHEEEIIKMNOOOOPOONNOOOOPOOONNMMMLMIKMNNKKKKKMNMMMMKIEEJHIKKIKKNNNOOPQQRRRSSSS",
+"SSSRRQQOOMKKHHEEywwwyywtttwAAzzABAzxxuuuuuxwwyyAEEHIMNMMNNNOONOOPPQPQQQQQQQQQQQPOOMKIHHEGBAEEHEBAAAABAAywtplfc53|<//)),--*%$$##@@#$&&*%*->>,))~~//<|||3333559cffiffiiilllopptwxAABBCEHHHHIKKKMMNOOOOOOOOOPPOOONNMMMMKIKKMMKKKIFMNMKKKKIHEECGHHIIKMNNOOOPPQRRSSSS",
+"SSSSRRQQPMKFEGCByywwwywtppzAAzzDEBAzxxuuuxxwwwyABEHIKNMMMNNNNNOOPQQQQQQQRRRRRQQQPPONMIHEEEEEEEEEAAyyAAyyywpoic95||//~),--*%$$##@@@$&&**-->>,))~~/<<|||3335599cffffffiiiillooptwyABBEEHHIIIIKKMMNNNNNNNNOOPPPONNNMLLMKIIKMMKKIFKMNMKKMKFHEECCCEGHIKMNNOOOPPQRRRSS",
+"SSSSRRRQPOMMIGAzAyyywwwtuxwxzAAEDAAAzyxxxxywtuwDBEHIKMMMMMNNLNOOPQQQQQQRRRRRQQQQPPPONKIIIHHEEEGBBAyywwywwwtpif993|<//),>-*%%$##+@@$%%*--->>,,)~~/<<||333355599ccfccfgfiiiiloopptwAABEGHIIKKKKMMNMNNNNNNOOOPOOONNMKLMKKIKMMKKIIIMMKIKMKFEEEzzzzCGGIKMNNOOPPQPQRRS",
+"RSRSRRRQQPONMICAAzyAywwtxtttzABEEEAAAAxxxzyxuttxBEIKKKKMMMMMNNOPQQQQQQRRRRRQQPPOOOOPONKIHIIIHHEEAAyytwwttttplfc953|</~),>**%$##+@@#%&---->,,,)~~/<<||3|3335559ccc9ccffifiiiloopptwyABCEHHIKKMMMNNNNNONOOOPPPOOOONLMMKKKKMMKIIHFKMKIKKKFFFEzzzzzzEEHHKNNOOPPPPQQR",
+"RRRRRRRRQPPONKHBzAzyAyzywttxxAEEEEEAAAAyzAyxutuxAEIMMKKKMMKKKNPPPPQQQRRRQQQQPPONNONOONMKIIKIIHEEBBAwttwttppplfc953|<</~),>--%$#@@#$&==--->,)))~~//<<||33333559ccccccdfffiiiilnrptwyyAEEHHHIKMMNNOOOOOOOOOOPPOOONNNMMKKKMMMKIHHFKMKIFKKIFHEzzzzzzCCCGGINNOOPPPPQQ",
+"QQQRRRRQQQPONMIEAzAzBBBzywxxuzBEHDEDAAzAAAAxuuxyABIMMKKKMKKKKMOOOOPQRRQQQQPPPPOONNNMNNNMKKKKKIHEEEBywtttpppolfc953|<//~)),>>-%%##$&&*-->>>,))~~~~//<<||3333599ccfdcffcfffiinnrpttwyAABEHHHHIIIKMMNNNNNNOOOOOOOOOOOOOMKKMNNKIIHIKKFFHIIIIHEBzzvxxzCCCCGHKNOOOPPPQ",
+"PPQQQRQQQQQPONKHEAzAABEBAzxxwDAEEHEDAAAAEBAxxuxxzEIMMMKKKKLKMMOOOPQQRQQPPPPPPPPOONMMKMNNMKIIKIIHHHBAytwtppoolic953|</~~),>>-*%%$$&**;>,,,,))))~~~//<<||335559ccfccfffffiilnlnpptwyyAABEEHHEEHHIIKKKMMMNNNNOONNNNOOOOONMNOOMIIEEHIIEEIIIHIIBzzzxwxyzzCCCEKMNOPQPP",
+"POPPQQQQQQPPPONKHEAAyAABBCAxwyAAEDEAAyzAEECzxxxzAEIMMMMKKIKKMNNOOPQQQQPPPPPQPQQPONMMKMNNNMIIIIEHEHEBAwwttpoolif953|</~),>>-*%%$###%=;>,)))))~~~~//<<|||355999cccccffffeiiiloppttwwwAAAABEEHGEGGJIIJIKKMNNNONMMKKMMNOOOOOOONKIEEHIHBEHIIHIICzzzwwvvvvyzzCCIKMOPQP",
+"POPPOOOPPPPPPPONMKHAzxzzBBCzzyADEDDBAyAzBEEAzxxzAEKMMMMKIIIKMNNOOQQQQPOOPQQQQQQPPONMKKNNNNKIIIEHEEBAyywtwppoolic933|<~))>--*%$#++@#%*-,,))))~~///<<||33559cccffccffcfeiiilloopppptwwwAABBEEEHJHHIIJIIKKMNNOOMKIIKKMNOOOOOONMKIIIKIGCGIIEIIEzzzxvvvvvvxyzCCELNOPP",
+"POOONNMNOOOPPPPOONMHAxxyzAACAzADDDEBAzAABCCBAzzzAEKMMNNKIIKKKMMOPQQPPPPPQQRRRRQQPPONMMMMNMMKIHHHHBAAywtttpooolif955||/~),>-*%#@++@#$%=->,,,,))~//<||335599ccfffcfffffiiiillllmmooqssvyADBEHIIHIIILIIKLKLMNNNNMKFIIIKMNOOPONKKIKKMKHGGHEEHIECzzvvwvvwwvxyAzCHMNOO",
+"OOOOOMKIKNOOOOPPONNKBwxwxzABCzAABBAAAzAACEBBBAAzBHKMMNNMIIKKMMOOPQPOOPQQRRRRRRRQQPPOOMKKKMMKIHHHEBAAAywtpoolllifc9953|/~),>-%#@+++#$%%;>>>,,,))~/<<||335559cccccffffiiiijliiiiillmqtwwDABEHIKKKIIMKKKKKKMMNNMMKKKIIKMMNOPPNKIIIKMIHEGHECEHECzzxxwvvwvvwzyyzCIMMN",
+"NNOONKIHIKMOOOOOOONMIBwxwwyACCCBBEAyzAzAEEAABBBBEIKKMNMMKIFKMNOPPPONOPQRRQRRRRRQQQQPONKIIKMKKIHIEEBBByywtpoiiiffc9553|</~),-*%@+++@#%&=;>'>,)))~/<<<||33555999ccfffiiiffffgfggkkmmqptwyDBEHIIIIIIIIIKKKKIKMNMMKKKLKKKMMNPPOMKHEIIIEEGJHHHHICCzwwvvrrrppwyzzCGHKK",
+"MNONKIHJEHIMONNOONNMKEAAxxwzACBCBBAzzAzBEEBAABEHIKMMMMMMKKKKMNOOOOMNOPQQQQQQQQQQQQQPPOMKIKMMKIIIHEBAAAyttpoiiifc9953|<</~),>-%#++@#$%**;>'',){~~//<|||33355999ccfffffccfccccggkkmoqqutwyABBEEHHIHHHIIIKKKKMMKKKKKKKMMMMNOPONMIHIIHBCBEIJIIIECzxwvqrrrrrssxzzGGEI",
+"KMMMIIHEEEHKKNNNNNNNKHEAzwxwyCBCBBAAyABBEECAAAEIKNMMMMKIMMMMNNNOOMMNOPQQQQQQQPQPPQQPPONMKKMMMKKKIEBAAywttpoiiifc995|<</~),>*%$@+@#$%%*->''){~{///<<||||3555999cfcccccccccccgggimmpquutuwyABBEHHIIIIIIKMKMMMMMKKIHIKKMMMNOPPOOMKKIHDzABEEIIIHGCyvvqrrrrrsssvzBCCE",
+"EHIIIIHEEHHEHKNNNNNNKIEEAAwwwyACBCBBzCCGEBzACAEINONNNMIIKMNNNNOONKMOOPPQQQPPPPPPPPPPPOONMMNNNMMKIEAyywwtppoiiffc9953|<~),>*%$#+.+@#$%*>>)!~{/(/(<<|||3355599ccfccccc9cccccgggkkmmqqqqutuwyBEEHIKKKKKKMMMNNNNNMKKIIIKMMMNOPPOOONNKIDzzzACEIHHHEAAussrrrrssstzBAzC",
+"CHHGCEHHHHEEEEIMNNNNMKIEBBzwwwyABCBBBCEHHBzzCEEIMOONNMIHKMNNNOOOMMNOOPQQPPPOPOOPPPPPPOOONMNNNNMKIEAywwwtppoliffc953||/~),-*%$#+..+##$&*>,){~//<__|||335559ccfccccccccfcccfggilmoomqquuxwyAEHIKKMMMMMMMMMNNNONNMMMKKMNNNOOPPOOOOOOMEBAzAzBHEEGEEBwtsummmmssswCAvz",
+"CEECCBEEBBBEEEEHKNNNNMKIEBBAwwwyAACBEEHIIEAAAEHINOOOOMIFIMNNNOOONNOPPPPPOOOOOPOOPPPPPPOONNNNNMMKIHBywwwttpoliifc953|</~)>-*%$#@++@#$%&*>>,!)]~(((<|2335999ccfffffffffffffkilooooppptwxzACEEHIKMMMNNNNNNMMNNONNNNNMMNNOOOPPPPOOOOONIEABAABGEEEEEBwwummqqmmmtwwzvz",
+"ABBAzCABBAABBBBBEINNNNMKIHEEAwxwxzzzBEHIKHBBBEKMNOOOOMIIIMNNNOPOOOOOOPOONNOOOPOOPPPPOPOOOONMMMMKIHEAywwwwtpliffc933|</~,>-*%$#@++#%%=*=>>,!~{](/__<|335999cccfccffffffffiiloloppptwzAABEEEEEHIKKMNNNNNMMMMNNNNNMNMMMNNNOPQQPPPPOOOMHEBEEEHGCCEBzxxwuuuqqmmqwwtwv",
+"AAAzwwyABAAAABBBBEIMNNNMMKIEEAxwwwzzyBGHIHEEAEIMNOOOONKIKMNNOOPOOOONNNNNNNNNOPPPPPPPOOOOOONNMKMKIEEAywwwwwtplic9553|</),>-*%$@+.+@$%**->,'!!~]/<__135999ccccccccfccfccdfiilllopptwyAAAABEEEEHIKMMNNNNMMMKMMMMMKKKKMMNNNOPPQPPPPOOONKIHHHHHGCCBAwttquuuuqmmqquspv",
+"wwusuwyAABAAAAAAAAEIMNNNMMMKIEAzxwzzyyAEHEEEAzEKNOOOONMKKMMNOPONNOOMKKKMMMMNNOPPPPPOOOPOOONNMKKKIEEAywwtwwtpoifc993|</~),>*$#+. .+@$&%=->,,']/<<<1|5cfffccccffffffffcdfiililoptwwyyAAAAAEEEHHIKMMNMMMMKIIKIIIIIHHHIKMMMNOPPPPPPPPOONMKHIIKIECBBwtuqquuuuqqqqqssu",
+"wwssstwyABBAAAAAABBEIMNNNNNMKIEAAyzAyyAEEEEECABHMNOOONMMMMMNOPONNONKIKKIKMMONOPPPPPOOOPOOONNMKMKIHEBAwtpttpoliffcc93|</~,-*$#+.  .+#$%&->,')]]_1||79filiffffiiiiiiiiiiilllopttwwwyyyyyAEEEEEEEIKKMMKKKKIIHHHHHEEEEEHIKKKNOPOOPPOPPOONNKKKMKIHEEwtumqquuuuuuuqtsw",
+"wwtssttwyAAAAAAAABBBEIMNNNNMMKHByzyAAAAEEEBBAACHKMNNNMMMNMMNOPOMNNMKIIKFKMNOOOPPPPOOOOOOOOONNMMMIHEBAwtpppplifcc99953|</~,-%$@.  .+##&%*;>,')]_<1359dfifcfiilllliiiiiilloopwwwwwwwwyyAABBAAAABEIIKKKKKIIIHEHHGEBBACBEHEEIMNMNOOOOOOOOONNMNMKIHEAwtmqquuuutxxqmtw",
+"uqmmmmstwyyyyABAAAAABEIMNNNMMKKHEywwwyyAABBBBBBHKMNNMKKNNMMOOOONNMKIKKKKMNOPPPPPPPPOOOOOOOONNNMMMIEAAwtpppplfc99553333|</~,>*$@...+#$&%*;>,')]_<|359900009dfiiiiiiiiiilooptwwwwwwwwwwyywwxxxzzAEEIKKKKIIIIHIIHEBAAzzCABEHKMKIKNNOOOOOOOOOONMKIIByuquuuomnpzyuqqu",
+"uqmmmmmmswwtwwAAAAAABEHKMNNNMKKKIEAwwyABAyyABEHIKMMMKKKMONNOOOONNMIJIKMMMNOPQQQPPQPPPONOOOOONNMMKIEAywtpppolif955||<<<</~~),>*%#@@#$%&**-''')~(<}357527755799ccffffilloppttttwwttppttwtttutxxxABEEIIKIIIIIIKKIEEBAAAyAABHKMIHIIKMNNNOOOOPPONMKKEEzyyAtrnnrtzxuuu",
+"uqmmmmmmmsttuuwAAAAABEHHIKNNMMKKKIEAAABEBAyAEHIKMMKKKKKMNOOPOOOONKIIKMMNNNOPQQQQQPQPPOONNOOONNMMKIHAAwwpppplifc95||<</~),,>-*%$##$%*;>>,,))!~](<|35772447777709cccfiiopptptttttptppppuwwwwwxwyyAEEEHHHIIHHIKKKHEEEEAABBBHMNMIIIIKMMMNOOOPPPPOMMIHEEGEytnlopxxuux",
+"xqmmmmmmmssssstyAAABBEHHHIMNNMKIHHHEBABEEAAAEIKNMMMKKKMMMOPPOOOONKIIKMMNNNNOPQRQQQQPPOOMMNNONNNMKKIEAwwttppoifc953|</~),>-*%$#@++#%*>,,~~~~///<|2552243277777090ccgiloppopttttppppppptwyywwwwxxADBFFHHIIIHHIKKIEEEEABEEEHMONMKKIIKKKKNNNOPPPPOOMKEEHHEwprptxuuxz",
+"xuqmmmmmmsssssswyABBABEHIIKNNNMKHEEEAwwAAywwAEMNONMKIKMNMNPQPOOPOKIIKMMMNMNOOPQQQQPPPONMKKMMONNNMMIHBywwttpolic953|</~),>-%$#+. .+@$=-,)~//<<11555575a7657509099cgfiooolopppppoloppptttwxttuuuuyAEEEEEHHHEEHIIIHEEEBEEEEHIMNMMKKKKIIIKKKNOPPPOOONIHEEEAtpptpuuxy",
+"suuqqmmmmpspssutwABEBAAEHIKMNNNMIEACAwwwwwwwyBINOONKIKMNNNOPPOOONMIIIIIKMMNNNOPQQQPPPONMMKKMNNNNMMKIEAywttpplic953|</~),>*%$#+.  .@#$*->,!~]<149999909a888999ddcffilollloppooooopptttppprqpuuuuwDEFEEEEEEEGHIKIIIHHEHIIIIIMMMMMKKMKIIKKIKNPPPOOOOMKHEEBwtttppppt",
+"pnuuqqmmmrssusttyABEEBAABHIKMNNNMHEEEBywwtttwAEMOOOKIIKMNOOPPPPONMKKIIHIMMNNOOPQQQPPOONMKKIKMNNNNMMKHEAwttppoif953|<//),>-%$#+.  .@#$%-->,)~/<|56596999cdccffggiilooliloppooloptttutpollqrqruquwAEBBDBDDABEIKMMKKKKIKKMMKMNNNMNNMMMKKKKMKMNOOOOOONNMIHAwwwwtpppp",
+"njnquuqmmsssupuwBCEEHHHAABHIKNNNMKIHHHEAwtuttwBINNMIIIIMNOOOPPPOMMMMIHGHIMNOOOPPPPPPOONMKIIIKMNNNMMKIEBywppooifc53|<//),>-%$#+.  +@#$%-;;'!](_||322565599gfffiiloppolllppplooptwwtpollllprprqquwABAAADDAABEIMNNNMMMKKMMNMNOONNNNNNNMKMMNNMOONMNNONOONMEwtwwwtppp",
+"njhqqquqqssspuwACBBBEEHEAAEHKKNMMMKIIIIEypopptyEKKIEEHIINOOOOOPONMMMIGEEHKMOOOOOPPPPOONKKKIHIKNNNNMKKHEAwtpollic953<</~,>*%$#+. .+@#$*=;>,!](_<}}|346769099cfiiooppoilpttppoptwwtpplllooprrmqquyBADyDxxyAAEIMNNNNMMMKKMMKMNOONNNNNNMMMOOOOPPOMIIIMNONNKAwwwwuppp",
+"nhjjmqquwttpsvwzABAwwyABAABEIKMMMMKIHEHEBwtptwAEEEHEEEHIMNOONNPPNMMKIGCCEFKMNNOOOPPOONNMKKIIHKMNNMMKKIEAwtpollif993|</~)>-%$#@...+@#%=-;',](_<|:|||776599989fiilooliiotwtttptwwttpooooollqrqquuABADxtuxxzAEIMNNNNMKKKMMMIIMNNNNNNNNMNNNOOPPQPOKIEHKNNNMIEBwutwtq",
+"pjhemmqqwwwuvxwtwywtutxAAAABHKMKMMKKHEAABywptwAEHEEHHIIIKNOONNOONMKIHGCCBHIKKMNOOOOOOONMKKKIIIMNNNMMKKEAywpollifc953</~),-*%#@+..+@#&=;>,)](_<1:}|4114700099filoolffiotttppttttppoopooolnqqvvuxABDxuuuxxxzGKMNNMNNMMKMMMHHKMKIIKKKMMKNNOOPQQQPNKGEEIKMMKKIBxuwxu",
+"qnjhmmmqwwwwypsuwywtpqtwyAAAEIKKKMMMKEAAAtpptwAEEEEEIKMKMNOONNOONMKHEECCBGHIIKNNOOOOOONMMKKKIIKMNNMMMKHEAwtplliifc93|</~,>-%$#+..+@$&--')]((<<_1}|114770799cfilolfffiopttpppopoooopoolmllrvrruxEBzuxuutwwxBIMNMMMNNNMMMKEHKKKHEEHHIIIMNNOOPQQQOMHEEHHHIIKMKBywxx",
+"uppnqqmmtwwwxtsmquuqmmmmwyyyAEIKKKMMMIEBxqoputyBBAABEKMMNOPONOPOONKIEEEBCGHHIIKMNNNOOOMMMKKKKKKMNNMMMKKEAywpoliifc953</~),-*$#+..+#&%;;,]((<<:<||1114770770fioollffgkpppqppooigllooolikilrprruxEBwuxvstwwxzEKNNMKMMMNKIIEHKMKIHEHHHHEHKMNOPQQQPOKHHEEBAAHKMKGCAx",
+"utttxuquttxwqqqmquqqmmmmmwywwyEIMKMMMKIHAqmmuuAAAwxwAEIKNPPPOOPPONMIEGGECBHFFIIMNNNNNNMMKMKMMKKKNNNMMMKIEAytpliiifc93|/~),>*$#+..@#&=;>,]((_::<|_114470770dflooiifcgmppppqpoiigglmolikjiimmnruwAAxussvvupptyHMNNMKKKKIIHHEIMMKIIIIHEABIKMOOPQPPONKEEEAtuwEIKKKHA",
+"AwwyAAxwwuqqquuqlnnjmhmmmqwwwwyAIMMMMMKKEumlptABywttyAAHMOPPOOPPONKIJECCCEHIIIKKKKMMMMMMMMKKKMKKMONNMMKIHBywpoiiffc953|/),>*%#@.+@#&=->){((___<|__14770070cilpliggdflpppppplggggkoolikikjnmmqqwAAxsstunqqpptyEKNMMKIIIHEEEIMNMKIIIIEAAEIMOPPPPOOOMIHEAumotAEKMMH",
+"HBAABAzAyqqqqnorooonjemmmqqwwwwuAIMMMMNMKApopwBEAwtttyyBINPOOOPPOMIIHGECCEGIIIKIKKKMMKMMMMKKKKKMMNONNMMKHEAytpoiffc953|<~),-%$@++#&&->'!{(((___|__1477770dgimoliiddglloppoigggggkkolikjkkmmnqqtwyzutvoonoppttyEIIKKKIIEEEBEKNMKKKKKIEABIMOPPPOOONMKKKHwolootAIMM",
+"KHEBCAyxuuunnlmmmmmkifjjqqpwywwquCIMKMNNMHytpwBIHAtttwyAEMOONNNONKHHHJGBBGEIIKIIIIIIIIMNNMMKKKMMMNOONMMKIHBAwpoiifc955|</),>*$#++#&*->!{{(((__<_[_1}23246dklopmliddfiilllifc9agkkiollillknqpuuuwxxwunnoookkmqwABBAEHHIHIHHEIMMMKKIIIHEEIKOOPOOONNMKMMKEwpojipyIK",
+"IIIHEAzxxrookkmmqqqmkgjjjqquAyywqwBIKMNONMHAwtBKMHytuwyyEINNKKMMMIJEEEGBCEHHHIIIIIIIIIKMNNNMMMNNNNOONNMMIHEAytplifc995|</),>*&#++#%*>'!{{((::___[_1}34226bkmppoliddciiigifc9a8akmkkollllmprsuuuuxwzxrnnkkkkmmqtwywwyyEHHIIHKMMMMKIHHEEEIKMOOOOONMMMKMMKAwpiiipyG",
+"zEIMICztppmkkfjiloppmkkjjquwAAAyuuyEHMNOONMIBAEMNKBttttwyHKKIKMMKJHEBEEECCEHHHHIIHHIIIKMNNNMNMOOOOOOONNMKIEBywpoifc9953|/~)>-%#+@#%-''{{({](<:<__:<}3222adjouuqligd9fiddddd9aaakmkglolmomrqpuuuuuuyttqkkmmmmmmtwuqtutuAAEEEKMNMMKIHIHEEEIKKNOOONNMMMMMKIEApfhlpx",
+"uyEMMJAwqqmjeecbcfopomkgjnwwwAAAuutABHMNOONKIHIMNNHwppptwEIIEHMMIHHEBCBCEEEEHEHIIHHHIIIKMNMMMNOOPOPOOONNKIEEAwtolicc953|<~),;*$@@$=;,){(~/]<:<:___:}422269iotwtmig9acgddgdd0788cmkgloooomqqqqsuvuswtwtmmmmkjmmuwuqmmppuwwyABIMMMMKIIHEEEIEIMNONNMMMNMMMKIIAoooop",
+"mpwHIKHzuomiec9abbfiolkggluuuwyAAtuuyAHMOONMKKKKMMHypqptwEIEEEMNIEBEEAABEGEBEHHIHHHHIIIIIKMMMNNOPPPPOOONMIHEBywpolfc955|</),-*$@#&=>,!~(](/(:<::__<}211179iotxwpmg9a0ggggfd07a8cmkggoooooqrmqquurrtpwtuqmmmmhjuwwuqmmmutuwwxCIKKKKIIEEEEEEIIMKKKIKKMNNMKKKIAttpm",
+"mmpwBHIEApmkifba88beinikglnqquwyAwuuutyEMNNNKKKMMMIBtomqtEIEEEMMIEABEBzAEHEBBHHIIHHIIFIHHIKMMMNOPPPPPOOOMKHEEBytpolfc953|<~)>;&##%->))~(]//<</<(::}|111147fmtyywqkc90dgfgd0077ackkgglopppqqrqquuqvnrtqpupqijloptwwuqqqqwwwwyzEEEJHHHHBBEEBHKKIHHEBEKNNNMMMKIEBwu",
+"tmpmuACHEwpmlgcaaa89fiokkkoqqqwyABwuqptzHMNNKKMNNNKHypmmtAIEEEKIECAABBAABHHEBEIFHIIIKIIFFHKMMMMMOPPPOPOOMKHEEBAwtplifc995|<~,>*%%*;,){/]/</_<<<(_:}1|11147dltwzAwnfd0dggca00009dfmkhnlppppurquuussopqmmquppppptyAwtxuuuuuAAAAEEBCBBEEEBBAABIIHEBAAAEKNNMMMMMKMHA",
+"BwqmoptAEEyolifca668ciilmmonqqwyAAyxuoptzIKMMMMNONMKBwqotAIEEEHEEEBABBBADEIHEEIIIIIKKKKIIIKKMMKKMNOOOOPONKHEBBAwtpoifc9953|<~)>**;,)~((/::<<<<<_::11211147dipwAAztlgdddccca0008aemkklooputxussuuuuorpkmmqoppptwyAyttpuuuxxxxCEEEBBAABBBAAwAEHEywwwyAEKMMMMMMMNMI",
+"KGzpooptAEBwpiif9a6aceiinqpnuuxAAAByxtopxEIKMMMNOONMIAwqtyHHEBEEEEEBABEEEHIIHEHKKIIKKMKKIIKKKMKKKMNNOOOOOMIEEAywwtoigc9953|</),--,)~/_|<||||1__<}|2|4411470gmtyCBypkgbdfgfdd008bbmmkkonpptywwttusuvookkmmlnoopptwwprolluutuuzEHEEEAzAwtwwwwBHEypppptwBHIIMKKMNNN",
+"NKEwpoolpyEEyplifd866fiioqqpxzAEEEByxwppuAEIMNNNOOONKHAttyHHHBEEEEEByAAEHHIKIHHIIIIKKKKKFIIKKMKKKKKMNOOPONKIEAyywtplid995||/~)>-;>)~/(_||||1||__}|14434}470dkpyzEAzulfhffffgdddabmmmkkorppwyyxwuustprmmmmiikillmptplnjinqqqquAEEBEAwwwptttwAIHAtlilptwyAEIKKMNOO",
+"NMIBwpiiiowEEAtliff98biilotwwAEIKIHEAywptyBEKNNNOOOOMKEywAIKIEHEEEEAAyAEEIIKKKIIIIIIFFKIIHIIIKMMKKKKMNOOPOMKEEyywtpoifc0531</!'**-,)~/_<|}|||<__:<|2442}}470dlpwABAAtoifcffggdhbbkmmmkgoopuxyzywwuuppummmeefefgkopmkijhijijquyBAAywttuuuppowHIAwpliloppptBEIIMNO",
+"NMKIBtoifipyEEApliifeciijotwAEHIKKKIBAytwyBEIMNOOOOONNKHBEKKIEHIHHBAAyAAEHKKKMKIIHIHHIFIHHHHFIKMMLIKKMNOOOOMIHByywtplif9771<({'==-,!~/__|||___(__:_1442}}2770diqtyAzytplffcgggifkkmmmkklmoptwyAAAyxtttmmkkehbhgkmpplkgheehjjnpwwwwwqquppollpAEBytoliloliitABBIMN",
+"MMKIEAtoffipyEEypliiifiiilpwBIKKKKKKIECwwAEEHKNOOOONNNNKEHKMKEIIHEEBAyyAAEHIIKMIHEEEHIIFFHHHIIKMMKKIKMNOOOONKIHByytpolic054|(~';=>,!~/<_|}|___<_<:_<1422}}2770cilpuxwwwtplifggikmmmmomkoloouuwAABAAAwtmkkkbbbcdgmtplggddeijjnpwwvttqmoollllltABAwpoiillfflttyBIK",
+"IKKIEAwpicccmwBBxpllliillootBIMMKKKKHHEAyABEEHKOPPONNNNNIIKMMHEHHEEBAywwyAEIIIKKHFEFFEIIFHIIKKMNNMKIKMNNOOOOMKIHBAwtpolid571_/';=;,)~/_<|}|<1<<__((<14222227770bhkmoptttupolkgjimmqqqqmkllmmppwAABBBwupkkkbbbbdglpumgddddgkknpxzwwwqlolnlifipyAAAwpolllifioopyBH",
+"BHHHEEAtof57dipyypoiiillllotzHMNKKKKKKEEABBBEEINPPPONONNMIKMKEBEEBBAwwtttwAHIIKKHBBEEEFIIIIIMMOONMMKIKMNOOOONMKHHBAytpoifc96}_!;=;,~/<<||||11<|__::_1}222227777abdgekloptttpqmlimmqpqqqknnnorppwyAABwtpkkkkbbb0glppmgdddggmmmuwAAywtolnllecclwAAAywpoopoiiiiltyA",
+"twBEEEByti0730gmutpiiiillilotCKMKIIIKIIEEBBAABEKOPPONMNNMIKKEEDAABAywttpptyEIIIKHEABAFGHIIIKKNOONNNMKKKMNOOOONMIHBAAytpoif952_!-;'!~/<<|||21|1|__:___}}22227777880888bfioopputpoqmmmpqqmomnnrppuwyAzAtpmkgkhcb0dkoqmgdddgkmmmqtAAyywooooif98fotyywwtpopplifcioww",
+"optyBEBAxqf5347dltwoiiiiliifowEKKHEAEEHHEEAyyAAHMOPONKKIIIIIEBAAyABAwtuuqutAIIIKIHBAzACFHIIKKNNOOOOONKKMOOPOOONMIHBAywtpoif97:);;')~/<|1||3114|<1:[_[1}12267000a0aaa66aadfloqutttppommmmprnoopqpwxwyywtpkkkfehddkmqmggggkkkkkmqtwwwpolollic89ilotwwwtqptpoiccipp",
+"oilpwABAAuld3||7dlutoiiiififioyEIJAwwABEHEBywwwAINOPNIEHHHIIEAyAyABAwqprpptyEIIIIHECzAABEGHIKMNNOOOOOONNOPPPPOONKIHBAywttlif5}{';'~/<1|1453442|11::___:[}227000bdaaaaaa6a8cfkmutwxtuqmmmqprnnopptwxxzzwtmmmmheedgmpmkbcfffbbbeipttopllillif99fcipyywtpopmpof9flp",
+"liilptAAAyuid7|47dmwtoiifffbilwAEEAtppxAEEEAwpwAHKOOOMHCBEIIIBAwwAEEwqmprptwEHHHJHHBzzzzABEEIKNOOOOOPPPONOOOOOONMKIEEAywtpol92[,'!~<<|347555333311:___1:[}47770008a6aaa66a0adglowwyxuupmpppronpppwxxwywwtmmqjjedgmoojeeehbbbbhfoooooljfiiifccddcowywpilommplccil",
+"iifilptyAAytmf0770itzwpliiifcipwBEypolqtwBHEwppyEKNOONKBABHIIEyywxAEwumpqqtwAEHHEHHECzzzzzCCGKNOONNOPPQPONOOOOOONMKIEEAywtpof7}!!~(||355055957|211}}__1}[}447787066aaaa8668a0degmuwwxwwuttppqrqppwwwxxywwqqpllidgkmpjffhfb9bhbfiopooofccffcb50ccitAypiglllppiffi",
+"fifiioqtyAAzwpmd77dmwAwmgiiiffotAAwtoiilpyEIBtotAIMOONMHyABEHHAtwwyBytqppruwAEHHHHHHECzzzzzCCGKNONNNNOOOONONOOOONNMKHEBAAwtpi93:~/1435990999577314}}1111}44247a76222666a6868ddbkkmquuwwwywttpprrqxxxzxwtwpqqqonggkmqljfeea8bbb8elponifccccc770dcfpywoffiiklpolii",
+"iffiiimptwAAAyulc0dkuAAwoimoilotwwtplifcipAEIAtpyHKNOONKBwyzEEBxwwwAxwutrpptyEHIIHHHHECCACzCCBHMNNNMKKKMNOONOOONONNMKIEBAywplc|:~<|7599cddcc099544}22114244477776}22226a66a8ddekkkkmmquwAzywwupqqwwxzyxttwuutlliggmqoiiheb8ba88clpoolibcccc5750dfltwofdfifimpppl",
+"iccfffgouwABEEBwpifipwAAwpppqppwyytpplffeioyHIAttBIMNONNIywAAEAzxtuwwwuwsrpuwBEIIHEEEEGBCCCAABEIMNNMIIHHIKNNNOOONNNMKKHEBywpid3]]<|5559ccdfcc9a90772244444477776622222226268ddekkkkkkmmqwAAAywttpwwxzzzytwquuojigkmooljieb8a888ciopoli999cc95|399fowpf9cfdglotwt",
+"ofcfiiiotAAEEHHEApliipwAAyttttpwAytpppliccipAIIytyHMNOONMEwyAEBAwwwzwxuytprptyBEHIEEEEEEBAAzAABHKMNKHHHEEGIMNNONNMNMMKKIEBypli5::|35099dfdgbc0d9975224477777787a2222[}22622a00bkkkkkkkmmtwyAAAywtwwvxzzzwuwqtuljkkmmoliifb678889fopliic88c097||59clwwofcfccilqww",
+"wlfiopootyAABEHHEwpiiiowAAytututyytolopoiiiltHKHzwEKNOOONKAwAEEAyyAzwtuwwtrrpwABEEEEEEHEBAzAzABEEMOMIEEEBGGKMNONNMKKKKIHHEAwpic4}6599ccfffgfc0dd9706657777777776222}1}16666800bkkkkkkkmmpputAAAAyAwwxzzyytuquuoojkmmooiihc666888elpllic9999951|45clwywpif99cgipw",
+"BypopppoptwyyAEEEAtmifglwAAtpqptwAwlcfiooifflwIIEABKNOOOONIAABEEwyyAwuuwywpppswzAEEEBEEHEAzyzzAAEKNNKEFEBCCIKMNNNMMKKKHHEEAtoib5|609cgiiiliiecdd0000675777708066266}2226a66800bkkkkkkkmmqpuqwwAAABAzzxywyttqquppoklmqoljheaa68aabjplllic99055|||5fotyAwoi9599glw",
+"EEypoppplotwwyAEEAwplf99itzypompwAwofcfqoliffoAIIEAHNOOOPOMHABHHBvxwuuutxwtppptwwAEEEBEHECyyvwwzBHMMMIEECCCHIKMMNNMMKIIIHBAwpi81_}599fgiklliifgd9c006665500cb0aa6a4242228aa8dehkkkkkkkkprqrsstwyACBAAzzvxxttquxppmmoppojifb666aabfolloic99575|1|5iptyAtoic509clw",
+"AEAwpoppootwAAABEBAyulf99iwzwpllpyAtf9ioolkdfipAEByBKOOPPPOMHBHKHytwtuquttwtqqtwwyAEEBBEHEAytwwyAEIIKIEECCGIIKMMMMMMMMIIHEAwpj82_|290cggiiiiifdcdc90d0899bcfdgc9807a666a8a8bghemkkkkkkkrrrqpuuutwBEEEEAzvxtwquxttpmppppniee866a88elllllf997553115iptwAtliiccfilp",
+"pyAAtooppopyEEEEBEBAwpf979iuxulgipyti9ciolffcdipABAwENOOPPONMIHKKBwppuqqutuqmmpswwyBBEBEEHEwxwwwyzABHHEEEEHKMNNMMMMMKKKIEEAwpj9}}478dcggfiiiifdchd00d09cdfffggeff9b99999fccfhjmmmmmmkkkprrrpruptyAAGEHEzxwttquutttqqttpojfeb668a8ciillif885553335fpwABApoooliigi",
+"otwwwpoppptAHIEBAAAzwpg5413guuogditwlc9cillfc0cipyAyAINOOPOONKIKKIAtppopttupqmmqqwyABDBBEHEzxxwyuxzAAEEEHHIKNOONMMMMKKIIHHBwpj8}[458ccfgiiiliifhfffdggcfffiigffffcc9dcccffhimnqqmmmmmmprqrrrrrqqwvzCGIIECzwttquupttttxwplfehb6a88bfllliic885557339lwABEAwwtoic9f",
+"loppxwtpptwyEHEyxwwwwpk0|<_4gqpicfpwticcktttld9dltAAAEKNOOOONMKIKIEwttppppptqmmmquuyABABEEEByxxzuxyzzAABHHIIMNONNNNNMKKKHHBwulb}[659cffiiilllikiiiigkkfffiiigc9cc8956aa9bfgimouuqqqqmmpprpprrrrrxxzzBIKHGAzttqqupptuwwwtnifhbb6a8aclloiic9959994}6ftwAEIHAticccf",
+"filotAAtpwwwAEEAwwpppqmd4_/<9kqofcmyApifoAAAwof9iqwBAAHMOOOONMKIHKHAwuttttttpolmquuuwABAABEEAywsuxxyxwAAFEGHKMNNNOONNMKKKIEAtqc6}6addfgiillolllmlilikikffffdd96622|2327689ahknqquuuuqttutrrrrprtvwxzAEIHHEAttuqquppuxAzypjfhbbb888bioollfc909954[3cpwAHKHyof9ccc",
+"ciiopyAAwtttwBEEAwpoomif5|<_49mqkfiwytiipAAAAtlfcfpwBABKNOOONMKIHIIBwwwtutwwwtooouttuxBBABEEEAuuuuxzxuyyyCBGKKMNNOOONNMKIIEAtqh6669ddfiilmmpooollilffffg9bc0d056}}:}[}2}a68dhhmnmqpswwwwtttuprrvvxxAEDEEGGEBwtmqqopstABCyoifbbbb88bfllollfcfd95333cpAEIHBtlfccc9",
+"9clpptAEAwttyEEEAwpmkmmg93<<<|9mmgfmwwoiotwttwplccfqyAyBKNOOONKHHHIHAwtpttwyywttppttuxAEEEEEEExxxxxzzxywwAzCEIKMNNNNNNMKIIHEzrk86abfiikllmpqppomlmiigffgf9906622}}[[::[}66addbkmmmmtttxvwwwttuwvvxxzBFEEBCEEAwqmqqnotyEIEwmhbbbb888cipopoiff995756cpEHEytpliif95",
+"5cloptyEHyttyBEywpoomlmld7|_((|dolcfqupllliilptpicfipyyyEMOOONKIEEHIEwtppptwwwwwwyywwyzEEEEEHBAzxxxzzyxywAAzCHIMMNMNNMMKKIHEzxk86bhilllomppppppmllilgggig997a222}}}_[[:[22adbbkkkkrrquttwwwwvyxvxxyDBEFEBzCEAAwqqqooptBIICtlgbbaba8biooptofcb90799ftEEypopplifc5",
+"69iotwwEIEwtwyAtpooomopplc51_(/3goicippliiiflpttpfciowAyAIMOOOMIBABIIBwoilpttttyAEEBAACEIHHEHBBAxwyzzAyAyAzzCFIKMMKMMMMMMMIHBxnd8bjilooopppppppmloiifgkkica76222}}2}}[[[2280bkkkrrqrrrrpttwwzzzyzxzDDEFEEzzAEBAuqqqoppxEKHymkggbdb88fltttof990900flwBAtiiopoifc5",
+"59fopwwAHKBwtwwplmllmoptpod7|</|9kmggoolllllpwwwtoiflpAAyEKNOONKEyyEIIApiiipppwABIKIIEHIIIHEHEEAzxwwyAADAAzCCEHLKMIKKKKMKKKHBAqedhinommppqppprrmloiigggkkf00a222}}22}}[22280bkkppprrrrvqrqvxzAACzAEEFEEFDzzzAAByuqqnprtAHIBtmgggbbb8cltwtpiccc90cipwywpfcippifc9",
+"999iptwwBKIBywytoiikikotttpg93147gmmklmklppopwwwwplfipwBBBKMOOONIywyEIHwlfflptwyBHKMMMMMMMKIIGGEAxuxxzzEBBCCCEHKLKIIKKKKKKKHEAqmeklopopppqtppprmmoiiiggike006222}}}}[[[22280bkhrprppqvvvtvwvwwzzCEFHHHEDDzzwzwAByxuqoptwEIHzqkgggbhhbjtwtoieccc9ipttppof9copifd9",
+"c95clpppwBEHEEEBwooliilptttpi000ddkoomikottpptwwwtoiiowBEEHKNOOOKBwtyEHAoffipwyyABEIIKMNNNONKIIHCAxxxwyBBACCzEFHKIHIIKIKKKKFGCwmenmpupptttutpprommokiggggc006222[}[:[[:22800bkrrrrrprtuvvvvvxvzzBHIHILHFBzxzzyxAAAxuqoptAHIExqkgggbejiptpoliccdflttpllic99lpoifc",
+"f969ffiilpyEHHHEEyttpopttuttpiddkkkqpqoilptttpopttpiiowEEHEIMOOONIAwtyBBtlffltywtttwAEIKNOPOMMKKIEzxxxxxABECCFFJLHHHIKKKKKKKHBwsmnmuttttuuuutppomoollgggg800a222[[[[[[[2260bbkrqrrrrvvvwxvvsvxxzDEHIMMKHFDyzwytxAAAxuuptwBIIEwpggggfjilppoolfdfiottofccc99ipplff",
+"ic579cfcfiotABAABAywtwtwwxywuuoilpmmquupoqtttlfcippllpwBEHEEKNOOOMHyttyBypieipwwtoolpwCHINOPNMMMMKEzzwxwAAEEGFHHKHHHIKKKKKMMICzssqquwwwtuxxwtsppqqrmllggg807a222:[[[[}222a0bkkrrrrrttvvvvsvxxxyADEHIMMMIHDzxvwxuwxAzzxupwAHIHAtnggkmlefllppoifiotwtoc99955clppii",
+"if929d9c99gipttptwwttttpwyyAzyxppupmquxtpptwwpf99fopptwyBEEBEKNOOOMEwttyAwpliotwpoiiitABEKOPOMMMMMIEEBAxDAEEHIKKKIIIIKKKKKKMKHCvsquuxyyyxxxxtwtpqqrlmjggg8006222[[[}}}2268dbkkrrrrvvvvvwvvxxxxzDFEHKKMMKIFCxxxwttwxzzyxtxyBIIEypnjkmlebciopplilpwwtof965335fppli",
+"ff950cd9599fiopolottppoiltxzAAzywxwuquxxtpuwwwoc99itwwwtyEEBAEKNOOOKAtptwAytpptwtlliiptwyBKNNMKKKMMIHHEBEBHHIKMMKKKKKKKMMKKLKFCzvwuzyzAyzxzzxwssqrqjjjgggbb06222}}}}}26680dbkkqrpvvwvvvxxxxxxzDFFHLLLLKKIIHzzxxsutqxAzyxxyBHKKBtonmmlcc9flpppppttpolf9555439lplf",
+"9c9999c0735cfkloilpptplffipwzzAzyyywttxAwttwywtlfcityywttAEEyyBKNPONHwpopwAAwttwpliiioppuwEKMKIIKKMMIHHEHEHHIKMNNMMMMMMMMMMNLKFzvzzzCzCBAyAzAywuuqqjlngggab066222[[[[22280bbkrrrvvvvvzxxxxxzzDDFHLLKNMLKIIHBzxwxstuuxzzyxxzCIKIBtrmmibb8cippttpppoili95553|5folc",
+"999550d0||2559ciiilptpplfcitxyyxwywyyyzBCAwyAywtolowAAywtyEEAtwEMOPOMEtoopwAywwtollinllopwAINKIIIKMMKIHHIHIIIKMNNNNNNMMMNNOONMFFzACBCCCCEBAACAvtqrqmnngggbb06a2222[}222280bkkrrvvvvvxxxxvzAzDDFHHLLMNMLKIFHECzwvsttwuxzAzxzAEIKHBtqmibc68foottpppliiic99993|9lof",
+"fc963595}:(<437giilotwtpmccmtwxwwyyAAAACIIEABBAwtpwABBAAAAEEEtotHNOPOMBtoopwAAwwpooliiilmtAIMNKKKKMMKIEEIIHIIKMNOONNNNNNOOOOONKFFCCBEGEGHECBCAwtuvrnmlnggga00622226666a8ddhkkrvvvvvwxxvzzzADDFFHLLMNNNLLHFFFCCzwwsttwuxzAzzAEIKKJApmhbc68cioptppoifiiic999539ipl",
+"oic65552}_~/137flpptwAywpiccotttwwwyywtyCGEAAEEBytyAEEEEEEEHHAolwINOONKwpoopwABAwtpliihilpBKMNNKIIIIIHEBBHEHHIMNNONNNNNNOOPPPOLIFGGEGHHHHHEEGADwuvvnnnmgggb00a866688888bgghmpuvwxvvxxxzzzCDDFFHLLLLNNNKLHHFFBCzAtssstuwxAAAACIKKKEymhbb889flppppoicfilic9cc9cipp",
+"wpf973}32<<<39cflppptttpoi95cmputppppplpxBCywyBBytwBEHIKKKIIIHwllwINOONIwpoptwyBBwtoiceenpAHMNOMHEABEEAzxAAEBGHKNNNNMMNMOOPPOONLIFEIIIIIIIIGGDDxxsvnonnkkkbeddc9bbcbbchekjqqttzzyzyzzzzADDEFEHLLLNNONNMLKHFFzzAAwusmmmquABBEEKKMMHAqjbb9889iptpppiccioplifffilpt",
+"wtlc9525553355999fiiiiiiif9539loplllolffotAwpotwtllwBEIMNNMMMKEploAKNOOMHwpppptwyywtlf8eeoxEKMNMHAzAEEAxuyyzACEIKMMMMMMMNOOPPOOLLIIJLKKIKILHHDDxxturprrkknmhggfiffchcffkkjqqwzAzAACCBCBFFFFFHHLKMNNONNMLLHDzzyzwwwqmmmmquABBEHMNNKEwocb8987cotppplfcfotwtooollot",
+"wywoifcc995|<||<<|7555559553||0klliikkc7cmtxtliii99fpAEKMNNNNNMEppwHKNONMHytpoppptwwplfifltAHKMNKBzABCAxqwwzACCIMNNMMMMMOOOPPPOOLLKKKKMKKLKJJDAyxuvpqqummqqlokkifbbbeeggjiqqtyyyAzCCBHFHHFFIILKLLNOOONNLLFDxzvstwuqqmmmqqyABBEKNNMEzpib9b830iopptpliiltABytpollp",
+"wAAypif553|/)))'))/|||||444|<<|dilmiiig79guxtpifc5|3cpAEIMNMMNNKBwtAIKNNNKHBwpppmlpwytpniopyBIKNMHBzABBxutwxACGIKNNMMMMMNNOOOPPOOLMMMMMMMLKIJBAyxtvqutuquutuomkhfebdbbgghmmppwwxyzzzEFFFIIKKMMLNNOOOONNLHFzxvvqtquuqqmmmqqyABEHMNMHAwof89875ciopptpooopyEAtppoop",
+"wyAypf93|_/),>>>->!<1<(_||||/~/4cilkggiddfoxAtpic7||3fpAEIKMMKMKIAwyHKMNMMKIBAywoilpwwwtpotAHKKNNKHBABBAxwuwACEIKKMMKKKMNNNOOPPOONNMNMNNMMJIEDDzxvvtuwwuuuuunokkhebbbddehmmqwwvwzzzzEFFFFKKMMMOOOOPPONLKHDzxvrrsmqquqqmmmqwyABEIMMICyplc99575floppppoootwytppttt",
+"ppwwof5|(~~),>>-=='!<_{)///~~,,{3gklkgiigfotyytpi95335fpwBIKIIKKIBwyEKMNMMKKIIHEyplloptwywyBKNNNNNKIEEEEzuwwzCGGKKKKIIIMLMNOOPPPOOLNNNNNLKIIEDDzxxwtwwwuuqqqqnigggggggeemmrrvvvwxxzzDFFFIIMMMNOOOPPPONLHFDzvvprmmmqquuqmmmqwyAIIKKIBypof997735illooliiiloptppttt",
+"llptof3<())))'>;=&*>~<~,)~~)),>,~5ilkiliiiopuyywpf95599kowEIIHHIIEwwAIKMNNMKIKMMIAtolllpwAyEKNNMNNMKKIKIEzAwwCBEHIKKKIILLLMNOPPPPOOOOOOMMJIJEEDzzwywwwwqqqmmmjhjhggggiijmmtsvvvvzzzDDFFHHLLMMOOOOQQQOOLIFCzvpsmmmmmjnuuqmmmtwAHHIHEEztpic99542cllopoiiiiilpppppo",
+"ffilli5|~),,'-*==%%;~11(~//~)~),)<floqommlmppxAAwic9cc9fipAIIIHIIHytwBIKMMMKIKMNNKEypllnptwEKNONMNMKKKMMKHEAyCCCEIKKKKKLMMMNOPPQPOOOOOONKLLHFFDzzyAwwttmmmmmmmeeedgghjjmmsswxyzzzzzEFHFIIKMMOOOOQQQPONLIEzzvppmmmmejjnruqmmtuyBHIEHEBwpofc95439iopttpolliiopolli",
+"fcffloc|/);-;*%=-*-,/|3</<<<<<<~)/5iopupomooquAAwpfccc959itEKKIIIIBtpwEIKIIKIIKNNNNKAtpllopAHMOONNNIHIKMNMIHEEEGCEIFKKKMMMLOOPQRPPOOOONNLLLHFDFzzyzuutummmmmmmmehheeeemmmsuxwwyzzzBFFFIIMMMNOOOPQQQPOMMFHzwvsmmmmeeejjnruqmmtxAEIEEBBAtplfc5313clptwwtpolillliff",
+"iifcfol9<)>;**=-,)),)~<<~~/<<<|<))<5fluqqoommuxAyticcf9335itEKIIKKIAttyHIHHHHHIKMNOOMBwoliowBHKOOOOMIHIIMNMKIHIIHHIKKKKMMMNOOPQRQPPPOONNLLHFFFCzzAzssssmmmmmmmmmeeeeemmmssvvvwxzzzFFFIIMMMMOOOOPQQQPOMKKECAtummmjjjjhjjouuqquwAEIEBABBywplf00725fotwywtollliliff",
+"lif99flf3~,>***-,),-*-)~~),)~~~~)>)<3clqqmmikmtyytlfffc5|39lAIIIIKKIAtwEIIHEEEEHKMOONMEwpoptABEMNOOOKHIHIMMIIHKMMKKMMMMNNNNOPPQRRQPPOONLLLIFFFECCyvtsrrmmmmmmrmmmmmmmmmpssvvvvvzzAEFFIILLLMOOOPPPPQOOLKFECAwwqqjjjjjjjjnpxuqqwyBHEEEEEEAtpic0975cipwwwtplilillll",
+"lid3}5fi9/)>*&*-->*#@#*>,>-->,',,>>)/|dlqqmkggmtxuiccffc559itEIIIIKKHytyEIIHHHHEHKMNNMIEywwyBEEIKMNMKIHIIKMKIHHMMMMOOOOPPPPPQQQRRQQOOONLLIFFFGCzyxvsrrrmmmmmmmrmmmmmmmmrrvvvwvzzzzFFFIKKKLOOOOPPQPPOOLIFCAzwuqqjjjggggjjnuuuqwyAEBCBBEEAytof009669ipttplifiioloo",
+"ii93:<5ff|~,-=***%#+.+@%--*%-),,,---,{|foqqmkgkqtul959fif99fpEKKKKKKKEwwBEIIIKKIHHIKKMMKEBEBEIKIMKKKKIHEIIKKIHHKMMMNOOPQQQQQQQRRRQPOOOMLLIFHFECzvvvssssmmmmmmmssmmmmmsssvvvvvxzzzCFFIILLLMOOOPPPQPPOMMFFzyzxuuljjggggggjjjuuuqwABEAAyABAwtpi0097269lppoifffiliil"};

=== added file 'hacks/images/timetunnel2.xpm'
--- hacks/images/timetunnel2.xpm	1970-01-01 00:00:00 +0000
+++ hacks/images/timetunnel2.xpm	2005-12-08 16:00:22 +0000
@@ -0,0 +1,599 @@
+/* XPM */
+static char * timetunnel2_xpm[] = {
+"256 512 84 1",
+" 	c #100A08",
+".	c #120C13",
+"+	c #171021",
+"@	c #18112D",
+"#	c #1C150F",
+"$	c #18103A",
+"%	c #1A1049",
+"&	c #1B105D",
+"*	c #1B1076",
+"=	c #241492",
+"-	c #21149D",
+";	c #2012AC",
+">	c #2112C7",
+",	c #332A1C",
+"'	c #382A2F",
+")	c #36245C",
+"!	c #39274A",
+"~	c #331F8A",
+"{	c #372375",
+"]	c #2714F8",
+"^	c #2B15EE",
+"/	c #2E17E3",
+"(	c #4021D9",
+"_	c #441DFC",
+":	c #4B2AC6",
+"<	c #5031B4",
+"[	c #5728F7",
+"}	c #6822FD",
+"|	c #5A4382",
+"1	c #5B3CAE",
+"2	c #5E439A",
+"3	c #5E34ED",
+"4	c #60514F",
+"5	c #655D38",
+"6	c #7A2FFA",
+"7	c #665471",
+"8	c #9027FE",
+"9	c #7540F9",
+"0	c #8D38FB",
+"a	c #7748EC",
+"b	c #6E4FE4",
+"c	c #784ED8",
+"d	c #9447F8",
+"e	c #AB3BFD",
+"f	c #A340FC",
+"g	c #9559FA",
+"h	c #B052FC",
+"i	c #9A64E7",
+"j	c #9267F5",
+"k	c #8D72CE",
+"l	c #8E6EE3",
+"m	c #BF5AFC",
+"n	c #AC64FB",
+"o	c #907EBF",
+"p	c #9386A0",
+"q	c #999C57",
+"r	c #D066FD",
+"s	c #B978FB",
+"t	c #AD83F7",
+"u	c #CD72FC",
+"v	c #A19F91",
+"w	c #CF84FB",
+"x	c #B197F3",
+"y	c #C793F9",
+"z	c #B2A8C4",
+"A	c #B2A8E4",
+"B	c #DE8FFC",
+"C	c #CAACF7",
+"D	c #DAA7FB",
+"E	c #D1BEF8",
+"F	c #CDC7EB",
+"G	c #DFBCFB",
+"H	c #CED1C5",
+"I	c #CECEDA",
+"J	c #E5CBFA",
+"K	c #DBE2A4",
+"L	c #E6D7FB",
+"M	c #E4DEF9",
+"N	c #E6E9DF",
+"O	c #EAE7F6",
+"P	c #EDF1D0",
+"Q	c #F2F0FC",
+"R	c #F9F8FC",
+"S	c #F9FAF6",
+"_[[0nDJMOOOMMMMMOOQQQQQQOMJCysngggitCJLMMLLGDwumhff0000fhsyCCCtc<bclAMOQRQQQOOOQQQQRRRRRRRRRRRRRRRRQOMLLLMMMLLJDBuh03>~%$$$&=:agc).              ..+$%&**=-;>>/////>;=****=-;;>:blAFOOOOMMMOQRRRRRSSSSSSSSSRRRQMFCtjad9ddnniic2!'#     ..++@$%&&&&%$$$%&=>///^^^",
+"__}0gBGLLMMMLLMMOQQQQQQOMLGysngdggixELMMMLJGywmhdf006660hsyCCDtccclxFORRRRRQQQQQQQQRRRRRRRRRRRRRRRRQOMLLLLLLJJDBumf93(={%%&~:3dhg~+             ..+@%&*=-;>>//^^^^^/>;-==--;;;::lAFOQQOOMMMOQRRRRRSSSSSSSSSRRRQOLCtjg999dgggb1)+.#    ...+$&&**=**&%%$%&=;///^^^",
+"__[6dsyGJJJLLLMOOQQQQQOOLEDtngd9dgsxELMMMLJDyshd006}}}60hsyCCCxlllxFORRRRRRRQQQQQQRRRRRRRRRRRRRRRRRQOLLJJJJGGDBurhf63(-~{*~:(dhmd:)..          ...+$&*->>//^^^]]]]^^//>;;;;;>(blAMOQQQQOOMOQQRRRRRSSSSSSSSSRRRROMEyjg999999:<)+.#    ...@%*=;;>;;-*&&%&*=;>//^^^",
+"]__[0hsyDDGJJLMOOQQQQOMLGysnd9399gtCLMOOMLGDwnh006}}}}}0hsDGECCkkxEORRSSSRRRRRQRRRRRRRRRRRRRRRRRRRQQOLLJGGGDDBurhf063(:=~=:(0dmmh3~@+............+@&=;>//^^]]]]]__]^^//>>>>((bkFOQRRRQQOOOOQRRRRRRRSSSSSSSSRRRROMEyja93333(<)@+.     ..@%*;>////>>-=*&**=;>>////",
+"^]_}6dhuwyDGJLMOOOOOMLJCysg96[[39jyELOOOMLGysgd06}}___[6dsDEJEACCAMORSSSSRRRRRRRRRRRRRRRRRRRRRRRRRQQOLJGGDDBBurmef063(::::33dmrmh0:&@+++..++.+++@$&=;//^^]]_______^^^///(((alxFORRRRRQQQOOQQRRRRRRRRSSSSSSSRRRQOLCtj933((>=%@..     ..+%*;/^^^^^/>>-=**=--;;;>>>",
+"^^^^[6dhmuBDGJLLMMLLJCysg93[[[[3aixFOOOOMLGysh06}}____}6gtCELFEEEFORSSSSSSRRRRRRRRRRRRRRRRRRRRRRRRQQOLJGDDBwurmef00633:::33dhrrrh0(=&%$@@@@@@@@$%*->/^^^_______[[[[[33333ackFMQRRRRRRRQQQQQRRRRRRRRRRSSSSSRRRRQMExja3(/>-*%+..     ..+$*;/^]]]]]^/>;-=========--",
+"//^^[}60dmuBDGGJJGGDysg96[[[[/(3btEMOQQOMLCynd06}_____[6gtGJMLFFFMORSSSSSSRRRRRRRRRQRRRRRRRRRRRRRRRQOLJGDBwurmeef00033::3adhmuurm03>-**&&&******-;//^^_____}[[669999aaaaclAFORRSRRRRRQQQQQRRRRRRRRRRRRRSSRRRRROLCla3((;=&$+..     ..+$*;/^]]]]]]^/>;-==***&&&&&&",
+";>/^^[}60dmuwyyyywsng96[[^^^//(3iCLOQQQOMLCtnd6[[_____[6gtGLMMFFMORRSSSSSSRRRRRRRRQQRRRRRRRRRRRRRRRQOLJGDBurmhee000093aaaddmruuume6/>>;;;;;;>>>>//^^^[[[}66660dgnjtjiiltCFORRSSSRRRRRQQQQRRRRRRRRRRRRRRRRRRRRQMEtb3((-*%@+..     ..+$*;/^]]]]]]]^/>;-=**&&%$$$$%",
+"-;//^^_}}0dhmnnngd06[[[^^^^^//3bxJOQQQQOMJCtnd6[_____^[6gtELMMMMMQRSSSSSSSRRRRRRQQQQQRRRRRRRRRRRRRRQOLJGBwummeee00099aaaddhruwuume6[/////////////[[[[660000ddnsyDCCCxCAFMORSSSSSRRRRQQQQRRRRRRRRRRRRRRRRRRRRQOFxj93(;=&$+...    ..+$*;/^]]]]]]]]^/>;=**&&$@@++@@",
+"*->/^^^__}6600066[[[^^___^^^/3atEMOQQQQOMJCwn06[_____^[3gyELMMMMOQRRSSSSSRRRRRRQQQQQQRRRRRRSSRRRRRRQOMJGBwrmeee00009daaddhmruuwume6[////////[33399aggnnnnnnswyGJLMLLFFMORRSSSSSRRRRRQQQRRRRRRRRRRRRRRRRRRRRRQMCta3((;~&@+..     .+@&;/^]]]]]]]]]^/>-=**&%$@++++@",
+"*->/^^]_____[[[_^________^^[39iCLOQRRQQOLJDwg06[[_^^^^[9nyEMMMMOQRRRSSSSRRRRRRQQQOQQQRRRRRSSSRRRRRRQOMJDBurmfe000099dddddhmruwurme6[[////[33ajitxxCCCCCCDDDCGJLMOOOOOORRSSSSSSSRRRRQQQQRRRRRRRRRRRRRRRRRRRRQMExj33((;=&$+..    ..@&->^]]]]]]]]]]^/>-=**&%$@++++@",
+"*-;>/^^]]_______]]]]]___^[[[9jxJOQRRQQQOLGysh06[^^^^^^[9sCLMMOOOQRRRSSSRRRRRRQQOOOOQQRRRRSSSSSRRRRRQOMJDBumhee000099aadddhmruuurme6[[//(3ajtxEFMMMMOMMMMLLLLLMOQQRRRRRSSSSSSSSSRRRQQQQRRRRRRRRRRRRRRRRRRRRROLCla3[//>-*$@+......+%*>/^]]]]]]]]]]^/>;-=**&%$@@@@@",
+"*->>/^^]]]]]]]]]]]]]___[[[39jyEMOQQQQQOMJDwnd0[[^^^^^^[gtEMOOOOQRRRSSRSRRRRRRQOMLLMOQRRRRSRRSSRRRRRQOLJDyumhff000099aaddhmruuuurhe6[[(3abtCFMQQQQRRRRRQQQOOOOQQQRRRRSSSSSSSSSSRRRRQQQQRRRRRRRRRRRRRRRRRRRRQMEtj93[//(;~%@+.....+$*;/^]]]]]]]]]]]^/>>;;-=*&%$@@@$",
+"=;>//^]]]]]]]]]]]]]]__[[39ajtALOQQQQQOMJGBsh06}^^^^^^[3nCLMOQQQQRRRSRSSSRRRRQQMLJLLOQRRRRRRRSRRRRRQQOLJDyumhf000009daaddhmruuurme06333bckEMORRRRRRRRRRRRRQQQQQQRRRRSSSSSSSSSSSRRRQQQQQRRRRRRRRRRRRRRRRRRQQMExia96[[//>-&$@+...+@&->/^]_]]]]]]__]^^//>>>;-*&$$$$$",
+";>>/^^]]]]]]]]]]]]]__[[39ajtCJMOQQQQOMLGDwnf6[_^^^^^^[9sEMOQQQQQRRRSRSSSRRRRQOLJGGLOQRRRRRRRSRRRRRQQOLJDBumff0000099adddhmrrurrhe033:<1kAIRSSSSSSSSRRRRRRRQQQQQQRRSSSSSSSSSSSRRRRQQQQQRRRRRRRRRRRRRRRRRQQMExsg936[[[/>;*%@+++@@&=>/^]]_]]]]]___]^^^^///>;=&%$$%%",
+">>/^^]]]]]]]]]]]]]]__[39gjtxEMOQQQQOMLGDwrf0}__^^^^^^[gtJMQQQQQQRRRSRSSSRRRRQOLGDCJMQRRRRRRRSRRRRRQOMLJDBsmff000099999ddhmrrrrme003:<1koINNSSSSSSSSSSSRRRRQOOMOQQRRSSSSSSSSSRRRRQQOOQQRRRRRRRRRRRRRRRRQOMExtgd966[[[/(;*%@@@@$&~;//^]]]]]]______]^^^^^^/>-*&%&&*",
+"/^^]]]]]]]]]]]]]]]__[39gitxELMOQQOOLJGDwrh06}__^^^^^^[gyLOQQQQQQRRRSRSSRRRRRQMJDyDGMQRRRRRRRSRRRRRQOMLEDBsmhff00099999ddhmmrmme003:<2||pINNSSSSSSSSSSRRRRQOMLJLMOQRRSSSSSSSRRRRQOOMOOQRRRRRRRRRRRRRRQQOLExiga93666[[/(;*%@@@$&~;(/^]_]]]]]______]]]]]^^/>-*&&*=-",
+"^^]]]]]]]]]]]]]]]__[[9gitxEFMOQQOOLLGDwuhf6}__]]^^]]^[gDLOQQQQQQRRRSRRSRRRRRQMGyByGLQRRRRRRRSRRRRRQOMLGDBsnhdf000099900dhhmmme063:<{||7pHNNSSSSSSSSSRRRRQQMJGCCGLMQRRSSSSSRRRQQOMLLMOQRRRRRRRRRRRRRRQOLExiga9900666[/(;*%@@$%*;>/^^_]]]]]________]]]]]^/>-***-;>",
+"]]]]]]]]]]^^]]]]]_^[9gjtxEFMOQQQOMLJDBumf0}___]]]]]__6gDLOQQQQQRRRRSRRSRRRRROLCywyCLQRRRRRRRRRRRRQQOLJGDBsnhdf000009900fhhhhe06[(:~{)!7pvNNSSSSSSSSRRRRRQMJCtsstDEMQRRRRRRRRQOMLJJJLOQQRRRRRRRRRRRRQOMExigd9999d006[/(-&%$$%&=>/^^]__]]]]_____^__]]]]]^/>-==->>/",
+"]]]]]]]]]^^^]]]]__[9gjtxEFMOQQQQOMJGyumd06}__]]]]]]__[dyJOQQQQQRRRRSRSSRRRRROLDwswDLORRRRRRRRRRRRQOOLJGDysnhdd000066660fffff06[[(-{)!!7pzHNSSSSSSSSRRRQOMEDwnggmsyGLOQRRRRRQOLJGDDGJMQQRRRRRRRRRRRRQMJCtja999ddddd6[/>-&%$%&*;>/^]]]]]]]______^^^^^^^^/>;--;>>/^",
+"]]]]]]]]^^^^]]]__[9gtxCELMQQRRQQOMJDBuh06[[__]^^]]]__[dwEMQQQRRRRRSRRSSRRRRROJDwswDLORRRRRRRRRRRRQOMLJGDwumhdd0006666600fff06}[/>=))!!77zIRSSSSSSRRRRQOLEDsnhdddhnwDJMQQQQQMLGDBBBDJMQQRRRRRRRRRRQQMJCtjg999dhgmhd06/>-&%%%*->/^^]]]]]]]____[[^^^^^^^//>;;;>>/^]",
+"]]]]]]]^^/^^^]]_[3gtxEFMMQRRRRRQOLGDsnd06[__]]^^^]]]_[9sGMQQRRRRRRRRSSSSSRRROJysnsDLOQRRRRRRRRRRRQOMLJGDwumhf00066[[[6000006}_^/;*%!!!77zIRSSSSSRRRQQOLGyshdd0000fhsyGLMOMLJDyuuuBDJOQRRRRRRRRRRQQMLGysgd99dhnnnnh06/(;*&&*=;>/^^]]]]]]]____}[^//////>>>;;>>/^]]",
+"____]]^^///^^^^[3gtCFMMOQRRRRRRQOLCtnd06[___]^^^^^]]_[9sGMQQRRRRRRRSSSSSSRRROJysssDLOQRRRRRRRRRRQQOMLJGDwumff0066[[[}}60006}__^/-&%$!!|ozIRSSSRRRRQOMJCyshd00000000dnwCJJJGDwumruwDLOQRRRRRRRRQQOMJCysga999dhnnnmd0[/(;=**=->/^^]]]]]]]_____[[//>>>>>>;;;>>/^^]]",
+"____]^^////^^^^[atELMOOQRRRRRRRQMEynd66[___]^^///^]]_[9sEMQRRRRRRRSSSSSSSRRROLCwwwDLOQRRRRRRRRRRQOOMLLEDBumff066[[[}}}}66}}__]^>=&$@!)|ozORRRRRRQQOLEDwnhd0000086660dmsyDDywummmuBGLOQRRRRRRRQQOMECtjgd9000ddhggd9[[/(>-=-->>/^^]]]]]]]_____^//>;;;;;---;>>/^^]]",
+"__[^^^//>>//^^[9lCLMOQQRRRRRRRQOLCsd0[}___]^^/>>>/^^^[9tEOQRRRRRRSSSSSSSSSRROLGyByGMQRRRRRRRRRRRQOOMMLJCysmf006}}}_}}}}}}}___]^>*%$@!)|oIORRRRRQQMLEDsndd00000886}660dmswwsrmhhmuyJMQRRRRRRRQQMLEDsng996666000096[[//>>;;;>>//^]]]]]]]]_____^/>;-----==-;;>//^^^",
+"[[[[//(>>>//^[3jxFMOQQRRRRRRRQQLGtg0[}____]^>;;;>>/^^[gyLORRRRSRSSSSSSSSSRRRQMECDDJMQRRRRRRRRRRQQOOOMLJCysnf006}}____}}}}___]^/;*%@@!|ozIQRRRRQOMJCysgd000008888}}}}60hnusumhhhmwDJOQRRRRRRRQOLEDsn9966[[[[[[[[[[////>>>>>>>/^^]]]]]]]______^/>;;--=====-;>>//^^",
+"[[[[/(>;;;>//3atEMOQQRRRRRRRRQMJyn96}____]^/;=*=->/^^3jCMQRRRRSRSSSSSSSSSRRRQMJGGGLOQRRRRRRRRRRRQOOOMLJGywnf06}}______}_____]^/-&$@@!|pzORRRRQOMJCtjgd0000088886}}}}60hnsuurmmmuBGMQRRRRRRRRQMLCtja9[[[[[[[[[^^^///>>>>>>>>/^^]]]]]________^^/>>;;--=***=--;>>//",
+"////(>-=~-;((3jxFMQQRRRRRRRRQOLCsd6[____]^/;=&&*=;//[atJORRRRSSSSSSSSSSSSRRRQOLJJJLOQRRRRRRRRRRQQOOOOMLGDwnd06}}___________]]^>-&$@@!|pIORRRQOMJCtng906600088886}}}60dnswBwwuuuyDJOQRRRRRRRQOLEyia93[[[[^^^_^^//>;;;;;>>>//^^]]]___________^^//>>>;-=******==;;>",
+"(((>;=*&&*->(atEMOQQRRRRRRRQQMGtg3[^__]]^/>=&%%&*;>/3jCMQRRRRSSSSSSSSSSSSRRRQOLLJLMOQRRRRRRRRRRQQQQQOMLJDwnd06}___________]]]/>=&$@!!7zIQRRRQOLCtja9666600088886}}66dmwDCGGDDDDGJMQRRRRRRRROMExlb93([//^^^^^^//;-==-;;>>//^^]]]_____}}}}____^^///>>;=**&&&&&&**=",
+"----~&%$%&=:3jxFMOQQRRRRRRQQMEyn3[/^^^^^/;=&%$%&*;>(ayJORRRRRSSSSSSSSSSSSRRRQOMLLLMQQRRRRRRRRRRQQQQQQOMJDwnd0}[___________]]^/;*%@@!!pzIQRRROMEyia96666600888886666dhsCJLLLLLJLLMOQRRRRRRRQIFxlc:((((////^^//>>-=*=-;>>//^^]]____}}66686}}__^^^^^/>>-**&&&%%%%%&",
+"&&&&%$@@@%*<btEMOQQQRRRRRQQMJxi:(>>>>>>>-*&$$$%&=;(3jCMQRRRRRSSSSSSSSSSSSRRRQOMMMMOQQRRRRRRRRRRRQQQQQOMJDwnd6[[__________]]]^/;*%$@!7pINRRROOFCtg93[666000888886660hsCLOOQQQOOOOQQRRRRRSSNIzok11<==--;>(////>>;-==-;>>/^^]]]___}60feeee06}}__^^^^^/>;=*&&%$$@@@@",
+"@@@@+++++$&1cxFOOQQRRRRRRQMJxi<~{&&&****&%$@@$%*->(atEOQRRRRRSSSSSSSSSSSSRRRQQOMMOOQRRRRRRRRRRRRQQQQQOMJDwnd6[___________]]^^>-&%$!!7zHNNNQOMExia96[6600088888060fhsDLOQRRRRRQQQRRRRRRSNNHp77))))%&&{~-;>(((>>;;;;>>//^^]]]___}0fhmmmmhe06}}_^^^^^/>;-**&%$@++++",
+"........+@)2kAMOQQQRRRRRQMExl1)$@@@@@$$$@@@@@%&=;((ayJORRRRRRSSSSSSSSSSSSRRRQQOOOOQQRRRRRRRRSRRRRQQQQOMJCwg96[[^________]]]^/>=&%$!7pHNNNNQOFAtja3666000eee88800dhuyJOQRRRRRRRRRRRRRSSNHvv4''!@@@@@$){~-:>((>>>>///^^^]]]____}0fmuuwwwumh06[[^^^^^/>>;=*&%@+++..",
+".........+!|AFOQQQQRRRQQMFxl2)@+....+++++++@$&*;>/3gyLOQRRRRRSSSSSSSSSSSSRRRRQQOOQQQRRRRRRSSSRRRRRQQQOMJDsg9[[[^_______]]]^^/;=&$$!7vHNNNNNOFAtja366600eeeee800fhnyGMQRRRSRRRRRRRRRRSNHv54'''++++++@!)~<<:(((////^^^]]]_____}0dmuwBDDDBwnh0[[[^^^//>>;=*&%@++...",
+"       ..''pzIQRRRRRRQQMFxk2)@+........++++@%*->//3gyLOQRRRRRRSSSSSSSSSSSRRRRQQQQQQRRRRRRRSRSSRQQRQQQOMJDsg9[[[^^^^^^^_]]]^/>;*&$!!pHNNNNNNOFAtca936000feeeeeefhnyGMQRSSSSSSSRRRRRSSNHv5,,##....++@!){21cba3(//^^^]_______}}0fmuwBDGGGGDwnd6[//////>>;=*&$@+....",
+"        #'4vHNNRRRRRQQMJxl2)!+..    ....++@$&=>/^[6gyJOQQRRRRRSSSSSSSSSSSRRRRQQQQQQRRRRRRRRSSRRQQOQQQOMJCsg9[[[^^^^^^^^]]^^/>-&%$!7vHNNNNNNIFAtca9900000ee0e0edmwDLORSSSSSSSSSSSSSSNHv5,,##....++@!)|2kkliga3[[^^_______}}}00hmuBDGJLLLJCtga33(///>>;;=*&$@+... ",
+"        #,5KHNSSRRRQQMJxl1{)+..      ...++@%*;>/^^6gyGMOQRRRRRSSSSSSSSSSSRRRRQQQQQQRRRRRRRSSSRQOOOQQQOMJDsg9[[^^^^^^^^^^^^^>;*&%$!7vHNNNNNNIFClca990000000000fhnDJORSSSSSSSSSSSSSSNHv5,,##...+++@))22kxxytia9[[[[_____}}}600fhmuyDJLMOMLExib33(((>>;;-*&%@+.... ",
+"       #,5qPNNSSRRRQOFClc1{$+..      ...++$&=>/^^[6hsCLOQQRRRRSSSSSSSSSSSRRRRRQQQQQRRRRRRRRRRQOIIOOQQOMExia3[[^^^^^^^^^^^^/>-*%$!!4HPPNPNPNIzxlba366600000000fmwGMQRSSSSSSSSSSSSSNHv5,,##..++@@$%{11lyDxytng96[[}}}}}}}66000ffmsyGLMOOOMLCtiaa3((>;;-=*&$@+...  ",
+"       #,5KHNSSRRRQOMAlb:~%@+..       ..++$&->/^^[6dsDJLOQRRRRSSSSSSSSSSSRRRRRQQQQQRRRRRRRRRRNIIIOOOOOMExja3[^^^^^^^^^^^^//;=&$$!7vHPPPPPPHIzklb9366666666660dsxJORSSSSSSSSSSSSSNHv44'#...+@@$%{~<<ctyyyysngd066}}}}}}880800fdhsyGLOQQQOMExlbaa3(:;-=*&$@+...   ",
+"      #,,vHNNSRRRQOMExb:=&$+..        ..++$&->/^^[6dnyCJMOQRRSSSSSSSSSSSSRRRRRRQQQQRRRRRRRRRRIIIIIOOOMFAtb93[^^^^^^^^^^^^/>;*%$@!4vKPPPPPPHIAkia93[[[}}66666dgtGMQRSSSSSSSSSSSSRIvp4'#...+@@%&*=-:acittwssnhdd000666686886800fhwCLMQQQQOMExtiga::;-=*&$@++...   ",
+"      ##4vHNRRRQQOMFxja-{$+...        ..++$&->/^^[6dgsyGLMQRRSSSSSSSSSSSSRRRRRRQQQQRRRRRRRRROFzzzIIIIMFxla3[^^^^^^^^//^//>>-&%$@!4vPPPPPPPHzAkca36[[[}}}}}60dnxFORSSSSSSSSSSSSNIzp4''...+@@%&*-;:(3agnissnnmhhdff00068886}6600hwGLOQQQQOMExtljba:;=*&%@++....   ",
+"      .'7pFOOQQQOMLCla:~%@..          ..+@%*->/^^[60hnsyGLORRRSSSSSSSSSSSRRRRRRQQQQRRRRRRRROIzppzIIIIIAxia3/^^^^^////////>;*&%$!!4vPPPPPPHHzolca3[[[[}}}}}69gtCMORSSSSSSSSSSSNHIp4''...+@$%&*=;;>((3agnnususurmhffe0066}}}}}6dnyJMQQQQOMLExytica:-~&%@@+......  ",
+"    ..+!2kAFOOOOMLExb:-&@+..          ..+@%*;>/^^[60dgnyCJORRSSSSSSSSSSSSRRRRRRQQQQRRRRRRRQOFAoppvHHIIAkca(/^^^/////////>>-*%$@!7vHPPNNPPHIzxlcd3[[[____}[6diyJMQRSSSSSSSSSNNHHp4''...+@$%&=-;;>>((33dhnwByyywwumhf006}}}}}}0gwGLOQQQQOMJGCCxtib:=*%$@+........ ",
+"   ..+${<lCJMMMMLExja:~$+..           ..+@%*;>/^^[69dhnsDJOQRSSSSSSSSSSSSRRRRRRQQQQRRRRRRQOMAooopvHHIzAkc3(/^^////((////>;=&%$$!4vHNNNNNNNIAxlg93[[[____[[9gtEMORRRSSSSSNNNNHvp4'''+++@$&*=;;>>>>((30dmwDDGGGDDwumhf06}}}}}6dsDJMQQQQOMMJEECCxlc<~{$@++.........",
+" ...+@&-:bxCJLLLExia3-&@..            ..+$&=>//^/[660dhsyJORRSSSSSSSSSSSSRRRRRRRQQQRRRRRRQMJxkkopvIHIzAkc3(/^///(((((//>>-*&%$!7pHNNNNNNNIIAxlga3[[[___[[6aiCJMORRRRRNNNNNHHvp7'!'++@$%&=;>>>>>((((3dnwDGJLLLJGDwuhf06}}}[69nyJMOQQQQOMMLLLLECxl1~)$@+..........",
+"...+@&=>(alxEJEExta3(=%@..            ..+$&->///[[669dhsDJORRSSSSSSSSSSSSRRRRRRRRRRRRRRRQOMExkkozzHIIFAkca(///(/(((((>>>;-*&%$!7vHNNSSNNOIFExtja9[[[__[[[9jxEMOOQRRQNOIIHHvp77!!!@@$%&~->>////////39hsDGLMOOMLJDysmd06[}}[6gtEMQQQQQQOMMMMMMLJCl1{)!@+..........",
+"..+@%*;/(9ixCEExtg3(:*$+..            ..+$*->///[339ddgsDLORSSSSSSSSSSSSSRRRRRRRRRRRRRRRQOMCklkozIIIIFAkca3///(((::(>>>>;=&%$$!pHNNSSRRQOMFECysgd6[[[[[[9jtCFMOOOOOIIFzzzpp7|)))))%&~-;>////////[3dnwDJLMOOOOLJGysgd6[[[[[9sCMOQRRRQQOOOOOOOOMAk2{)!@++.........",
+".+@%*;>/[9ixCECyja3(-&@+.             .+@%*;>///[39dddnwCMQRSSSSSSSSSSSSSRRRRRRRRRRRRRRRQOFAxkkozIIIIFAkca3//(((:::>>>>;-*&%$!7pHNNRRROOMMFECytjgd6[[[[9gtxEFMMMMIFFAAooo|22{{{{~~~=;>(///[[[[[39gsyGJLOOOOOMLJCysh0[[[[[9gxLOQRRRRRQQQQQQQQOMFo2{)$@+++........",
+"+@%*;>//[atCEECtj3(;~%@..            ..+$&=>///[39ddddnyGMQRSSSSSSSSSSSSSRRRRRRRRRRRRRRRQMFCxkkAzIIIIFAtb33//(((::::>>;-*&%$@@7vHNRRROOMMLJJECDtsg99669ajxCEFMFFFAAokkkl11<<<----:::((([[[[[[39gsyCJLMOOOOOMLJCysg96[[[[[9tEMQRRRRRRRRRRRRRRQOFo2{)$$@++........",
+"$%*;//^[6gtCEECta3(-&@+..            ..+$*;>///39ddddgsyEORRSSSSSSSSSSSSSRRRRRRRRRRRRRRQQMJCkkoAzIIIFFxlb33//(((::::;;;=*%$@@+4vHNNQOOMLLJJJJECDtng9999gtxCEEFEACxkkllicc::((((((::a33333[639gsyCJLMOOOOOMLLECysg9[[[^^[[atFOQRRRRRRRRRRRRRRROFk2{{)$@++........",
+"&~;(/^^[9nxEEExla(;*%@..             ..@%=>///[6ddggdgsyGMQRSSSSSSSSSSSSSRRRRRRRRRRRRRRQOMExkkoAFIIMFAxja33[/((:::;;;;-*&%@@++'vHHOOMLJJEJJJJEGCysgd999gjxCCCCCxxklllicba333(333aaaaa993339gntCJLMOOOOOMLLGCysnd6[[^^^^^3gxLOQRRRRRRRRRRRRRRQOAk1~{%$@++........",
+"=;(/[[[[9jyCECxja:=&@+..             .+@&->//[39dddddgsyJMQRSSSSSSSSSSSSSSRRRRRRRRRRRRRQOLCxlkoAFIMFFCtb33[//(((:;;;;-=*&$@++''4vIILLJGCCGEEJEGDysg9999ajttxxxxxtktttliga933339abbjbba9999gntCJMOOOOOMLJGDtsgd9[[[^^^^^^3jxLOQRRRRRRRRRRRRRROMAl1~{)$@+........+",
+":(([[[[6djtyxtia(;*%@...             .+$*;(/330ddddddgsyJMQRSSSSSSSSSSSSSSRRRRRRRRRRRRQOMExlllkAFFFFAxia3[///(((:;;;;-*&%$@+++'4pzJJGDDyDDCGGGDywnd96[39ajitttxxxCCCxytjga999abjjiijbaa9dgnsDGLMOOOOMLECysgd96[[^__]]^^^3jxLOQRRRRRRRRRRRRRQOFxl<~{$@+........+@",
+"(([[[[[69gjssja3>=&@+..             ..+%~:(330dddddddgsDJOQRSSSSSSSSSSSSSSSRRRRRRRRRRQQMJCtjclkCEFFECtb33[^^///(>;;;;-*&%$@+++'7pAADywwwwyDDDDDBshd6[[[39abiltxCAEEECCytjgaagjjillijbaaaggnwDELMOOOMLGDwnh06[[[____]]]^[[gyJOQQRRRRRRRRRRRQOFAlc<{)@+...   ..+@$",
+"(([[[[[[69dga93(-*$+..              .+@)<:339ddd9399dgtCLORRSSSSSSSSSSSSNNNRRRRRRRQQQQOLExibbilxAEECxia3[^^^^//(>;;;;-*&%$@+++'77oyysiinswwyyDywnh06[[[[39ajitxEEFFJECxtijjjjltllljjbbjgjnsyDGJLLLLECyshd06[[[_____]]__[6gyEMOQQQQQQRRRRRRQMEkc<~{$@+..    ..@%{",
+"[[[[[[[[[[66[[(;~%@+..              .+!{<:aaddda3339dnyGMQRRSSSSSSSSSSNNHHIINRRQQQQQOOMExlbabblxCCCxtj93[^^^^//(>>>;;-=&%$@+++'!|2linggdgnswBywsnd0[[[[[[39gitxEEFFJECyttiillttllliiilltstwyyDGGGGDysnh0066[[[_________[6hwGLOOQQQQQRRRRQQMExib<~%@+..    ..+$*-",
+"[^^^^^[__[[[[/>=&@+...             .+@)21ccgdaa33339gsDJOQRRSSSSSSSSSNHHzppzIOOQQOOOMLECtjaaabltxCxtig9[[^^^^^//>>>>;-=&%$@++++!)21caa39dhnswwwsnd0[[[[[[[9ajtxCEEEECxyttiitttlllllltxxxyyyyyyyyywsnhd066[[[[__________}6hsDJMOQQQQRRRQQQOLClb:<~%@+..   ..+@&->",
+"^^^^^_____^^//;&$+...             ..+!22lligaa:::(39gtCLORRSSSSSSSSSNHvp777pzIOOOOMMLECtja99agitxxytna3[[^^^^^///>>>;-=&%$+++.+@){1<::(33dhnuwwsnh96[[[[[[69gjttxxxxtttiiiiiliiilltxCAECCDyywsssnhdd0666[[[[[__________}0hsDELOOQQQRRQQQOLEyib:-*%@+... ..+@&=>/",
+"^^^________^/>*%@...             ..+$)2kkktic::::(3aiyEMQRRSSSSSSSSNHzp7777ozIOOOMMLECtjg999ajityytig9[[[^^^^^////>>;-=&%$+++.+@!{~<:::((3dhswywsgd6[[[[[[[39gjjjiiijjjjjjjjjjjilxCEFFFJECyysnnhd0066}[}[[[[[[________}0fmwDGLOQQQRRRQQOMJCtb::-*%@+.....+@%=>//",
+"__________]^/-&@+..             ..+@)2koACxtic<<::abtCLORRRSSSSSSSRIzp7!!!|ozFOOMMLECysg9999ajittttig9[[[^^^^^^///>>>-=&%$++..++!{~==--;:(9giwywsnd0[[[[[[[669dggggaaaaaggggjjjlxCEFMMMLJCywshd0066}}}}[[[[[[[______}}0dmuyDJLOQQRRRRQQOMJxib::-~&$@+...+@%=>//[",
+"_^________^/>*%@....            ..@%~1kAFFAxlc<<::aixEMQRRSSSSSSSNIzp|!!!!)|AFMMMLECtjg99399ajitttsnd6[[[^^_^^^////>>;=&%@++..++@%{*~===-::anwwwsnd96[[[[[[6699999999999aaaabjitCEMOOOMLJCysnd066}}}___[[[[[[[____}}60hnwyDGJMOQRRRRRRQOMExlc::-~&$@++++!{=:(/[[",
+"[[[}}}____^/;*$+...            ..+${<lAFMMFAk1<<:abtCLOQRSSSSSSSRNIo|!!@@!)|oFFMFECtjg933339gjtttsjg96[[[^__^^^^///>>;=&%@++...+@$%&&&**~=:aisttsng906[[[[[6669999999999999aajtCEMOOOOOLECysg966[}____}[[[[[[[}}}}}60huBDCGJLMOQRRRRRRQOMGxlc:<=*&%@@+!){1:3366[",
+"6666[}}}__^/-&@+...           ..+@%~<kAMOOIAk1<<:ajxEMORRSSSSSSSRIz7!!@@@!)|oAFFECtjg93[[339gjitsjgd6[[[_^__^^^^///>>;=&%@++...++@$%%%%&&~<:ciwtsngd96666666999993366663339aglxEFMOOOOMLCysnd06[______}[[666[[}}}}60hsyDGJJLLMQQRRRRRRQOLEkl<<=~{%$$!!)21cgddd00",
+"000066}}__/>=%@...            ..+$&=cxFOOOIAk1<bablxEMQRRRSSSSSNIzp|!@++@@)|oAAACxia93[[[33aajiijgg9[[[_____^^^^^//>>;=*%@+.....+@@$%%%%%{~<cittsngdd000000099999336[[[[399ajtCEMOOOOMLEytnd96[[______[[666666}}660huyDGJJJLLMOQRRRRRRQOLCkc<<~{&%))!||kytsnhdd0",
+"0000066}_^/>*$+...            ..+$&<lAIOOOIAk1baablxJMQRRRSSSSRNIp|!!++++@)|koAAxlg9[[[[[339agjjgg96[[_______^^^^//>>;=*%$+.....++@$$$%%%&{1clttsingdddddddddd99936[[[[399ajtxCJMMOOMFExtng9[[[______[[6666666}}60fnwDGJJJJLLMOQRRRRRRQMFCl1<~~{&)))|ooCCDysnhdd",
+"dfff06}}_^/;&@+..            ...+${<kAIOQOIAkc:aaaixEMQRRRSSSSQIzo|!@+++@@)|ooAxtja3[[[[[339aagaa96[[________]^^^//>>;-*&$+.....++@$%%%%%%{11kxyttinggggghhgddd993[[[[699gjstyCELMMLJCxsgd0[[[______[[669000666660dnBDGJJJJLLOQQRRRRRQOMAkl1~~{{{{{2oAEJJCywnhdd",
+"fff006}__^/-&@...            ...+${1kFOQQNIAlb:39aiyEMQRRRRRRRIzo|)!@+++@!)|oAAxtj93[[[[3339aaaa93[[[________]]^^^//>>-*&$++....++$%&&&%%%{2kkxxytsssssnnnnngad93[[[[69agjttyDCCEEEGDyig96[[_______[[660ddd000000fhsyGJJJLLLMOQRRRRRRQOFok11~~~*~~1kAFMLLGysnhfd",
+"ff006}}__^>=%@..             ...@${1oINRQIFola333ajyEMQRRRRRRIFpo|)!@+++@!)|oAAAtj93[[[[339aaaa99[[[[_________]^^^///>;-*%@+....+@%&***&&%{2koCCxxttttssssinga933[[[[9ajjttyyyyyDDytsgd96[[[______[[[69dddddd000ffnwDGJLLLMOQQRRRRRRRQIAk2~~~~~=<1kAFOOMLEDsnhdf",
+"ff00}}__^/>*$+..             ..+@%{2AINNNIFkca3339jtGMOQRRRROIAo|))@@@+@@!|oAFFAtj93([[339aaaa993[[[[_________^^^^^^//>;=&$+++++@%*=--=*&&)|2oAACCyytttwtsngga33[[[[39gstyyyyywwssngd96[[[^_______[[69ddgnhhfdfdhnsyGJLLMOOQQRRRRRSSSNIo|{{~~==-<lxFOOOOLEDsnhdd",
+"ff06}___^/;&@+..             ..+@%~kAINNOIAlb3[[[9gtCLOQQRQOIAo||)!@@@@@@!|ozFFAxj93((339aaaaaa93[[[[_____^^^^^^^^^^^^/>;*&$@++@%*-;;;-*&&){2oAEECDyyywtsngaa33(/[[[9gjtyyyyyssnggd93[[^^_______^[[69ddgnnnhhhhmnsyDJLMMOQQRRRRRSSSSNHp7|){{~-::cxFMQQQOLEDwshhh",
+"ff0}}__^/>*%+..              ..+${1kzIOOIFxia3[[[6gsCLMQQOOIAo||))$@@@@@!)|zIIFFxia3((33aabbba996[[[[___[[[^^^^^^^^]]^^/>;*%$$$%*->>>>;=&&%{2oAEEECDyttsnga33(((//[[9gstyyyysnghd06[[[^^________[[[99gnnnsnnnnuwBDCJLMOOQQRRRRRRSSSSNHp7)){~=::cxFOQQQQOLJCysunm",
+"hf0}__^^/;&$+...             .+@%~1kzIIIFAkb33[[[6dsyJMOOOIzo|))!@@@@@@@!)7zIIMExia3(33aajjjgad966[[}}}[[[[[^^^^^]]]]]]^/>-*&&&*;>///>>=*&%{2kAFFECDytigaa3((>>(//[39gsyyyysnhd06[[[^^^]]]]]___[[[69ggnnssssswyDGEJLMOQQRRRRRSSSSSSNNv7!)){~<blxFOQRRQQOMLGDywwu",
+"hf0}_^^/>=%@+..             ..+$&~1kAFIFAxla3[[[[6dnyELMMFzp|!!@@@+@+@@@!|pzIIIFxlb:33abjjjjgad000666}}}[[[[^^^^^____]]^^/>-==-;>/^^^/>-*&%{2kAFFJECysga33((>>>>(((3djstytsngd06[[/^^^^]]]]]___[[69dgnsssswwyDCELLMOOQQRRRRRSSSSSSSNHv7!){~<<lAFORRRRRQOMLECDyyB",
+"hf0[^^/>;*%@...            ..+@%*=<lAFFFAkia93[[60dsxEFFFzp7!!++++++++@@)|pIIIIFxlc::abjltiingddd000000006[[[^^^_______]^//>;;>//^^^^/>=&%%)2kAFFJECtia3((>>;;;;>((3ajsttssgdd6[[/^^^^^]]]]]]__[[69gnjsttyyyDGJLMOOOQQQRRRRRSSSSSSSNHp7|{~<<lAMORRRRRRQOMLJGCDDB",
+"h06[^//>=&$+....          ...+$&=-:lkAAAxklja9000dhsyGJFzp7!'++++++++@@$)|pFIIFAxlcbbbittttsnghhffeeeeeee066[[[[_______]^^/>>>//^^^^//;=&%$){2oEFJCxiba::>;;;;;;;>(3ajsttsngd96[[//^^^^^^]]]]_^[[99gjstyDDCCGELLMOOOQQQRRRRSSSSSSSNNHp|211ckAMORRRRRRRQOMLJEGCDy",
+"d0[[//>;*&@+....         ...+$&*;>:blkxxxxttigdddhnwDGEFzp7''.+...+++@@)||AFIFFAklcccitxxxytsnmhhhheeeehff06[[[[}}}}____]^//////^^^//>-*%$$!)|oAEACtcb::;;;;;;---;::acittingd33[/////^^^^^]]]^^[[9gjttDCGGGEJJLLMMOOOQQRRRRRSSSSSSNNIpk11lkAMORRRRRRRQQOMLLJGCDB",
+"0[[//>>-*%@+...         ...+$&*;>((:clkxxCCCytnmmnsyDGEzp74''....+++@@$)2oAFFFExklccitxCCCxytsnmmmmhhmmmmmff06[}}}}}____]^//////////>-*%$@@+!!|oAokl<<===--;;;--==-:bcitlingd33/////////^^^^^^^[39jtyCEJLLLLLLLLLLLLMMOQRRRRSSSSSSNNzokllkAFORRRRRRRRQOMLLJEGDBw",
+"[[//>>-*&$++...        ...+$&=;>///(ablxAEJJGDywsswDCGEzp4''.....++@@$){2oAFFFAxllcilxCCCCDywsurmmmmmmrrrrmhff0066}}}___^^//(3333((>-*%$++++''77oo22{{{**=-----====<<ciiliiga33(///////////^^^^[3aiyCJMMMMMMLLJJGGGEJLMOQRRRRSSSSSNIzoklkAFORRRRRRRRQQOMLJEGCDwu",
+"[[/>>-*&%@+....       ...+@&*;>////(3alxEMMMLJCDyyDDGGzzp4''#....++@$){2koAFFEAxliiltxCEECDywuurrrrrrrruuurrmhhfe00}}___^^/39ajga3:={)@++.##''4477|)))%%&*=---=***~~<cilliiba3(((>>>>>>>>>>////[9jtCFMOQQQQOMLJCDyyxCEMOQRRRRRSSSSQIAokxAFORRRRRRRRRQOMLJJEGDysn",
+"[/(>-**&$++...        ..+@%*;>/^^^//3alAMOOOOLJGDDDGGEzp44''#...++@@$)22kAAFEACtliilxCCEECDywwuurrrrrruuwuuwuumhffe0}}__^[[9gtytlc<{)!+.###,,,,447!!@@@$%&*===*****~~1cilicba:(>>>>>>;;;;;;>>/(3atCFMQQRRRQQOLEDttttCEMOQRRRRSSSSROFAoxAFORRRRRRRRRQQOLLJEGDywnh",
+"//>-=*&%@++...       ...+$&->//^^^^/3atEMQQQQOLJGGGGJJzp44''#...++@$){2koAEEEAxliiltxCEEECDyBwuurrrrrruwwBBBBwwurhf06}}_[[9gtxDxtl2)!''###,,,,,44'''++@@$%&******&&*~<1ccccb:::;;;;;;-==**=-;>(3ixJMQRRRRRRQOLEDtttxELOQRRRRRSSRRROFAAAFOQRRSRRRRRRQQMLJEGCDysh9",
+"/>;=*&&%@+....       ..+@%*;>/^^^^^/3bxLOQRQQOMLJGGJJJzp4'''#..+++!))22koAAAAxtliiltxCEEEGDyywuurrrrruuwBBDDDDDBwrmf06}}[6dntDCxk2|!'''##,,,,5544'''+++@$%&&***&&&&{{~<<ccc::---=====**&&&**-:(btEMQRRRRRRRRQMECytxEMOQRRRRSSRRRROMFEEFOQRRSSRRRRRRQOMLEGCDysnd6",
+"/>;=*&&%@+....       ..+@&=>//^^^^/[9iCMQRRRQQOLJJGJJFzp4,''#..++!!)||oooCACxtijjjlxCEEJEGCDywuuurrruuwBBDDGJJGGDBumd06669ditxxtk2|!'''',',,555544''+++@@$%&&&&&&&&&{~<<<<<<==~*****&&&%%%&*=:blCMORRRRRRRRRQMECxCEMOQRRRSSSRRRRQOMFFMOQRRSSRRRRRRQQOLJGCDysnd0[",
+"/>-**&%$@+....       ..+$&->//^^///3atFORRRRQQOLJJJJJFzp44,,''''!!77ooooCCCxtljbjitxCEJJJEGDDBBuuuuuuuwBBDGJLLLJGDyumd0009gnstll2|)!!+''''445vvv477!++@@@$%%&&%%%%%%&*~=<--=~*&%%%%%%%$$$$%*-:cxEMQRRRRRRRRQOMJEEFMOQRRSSSSSRRRQOMMMMOQRRSSSSRRRRRQQMLECDysnd9[[",
+">>-**&%$@+...        ..+$*->//////(3jCMQRRRRRQOMLJJJFFzv44,,,''477ppzzAAACxxtijbjlyCELLLLJGGDDBwuuuuuwBBDGJLMOOMLJDBuhdd9ddgnic12))!!!!!)77ppvvzpp7!!!@@$$$%%%%%$%%%%&*~==~*&%$$@@@$$$$@$%&~:biCJOQQRRRRRRQOMLJJLMOQRSSSSSSSSRRQOMMOOQRRRSSSSSRRRRQOMLGCywsg96[[",
+">;=*&&%$@+...        ..+%*;>////>((btFORRRRRRQOMLLJLLIIvv555555vvHHIIIFFAAxtljjjitCELLLMLLJGDDBwuuuuuwBBDGLMOQQOMLGDwsghdddaab12)))))){22|ozzIIIzpo|))$$$$$$$$$$$$$$%%&*~**&%$@@+++@@@@@$%*-:aiCJMOQQRRRQQOMMLLLMOQRSSSSSSSSRRRQOOOQRRRRSSSSSRRRRRQOMLGCysnd9[[^",
+";=*&&%%$++...       ..+@&=;>//(>>::iAIRRSSRRRQOMLLLLMIIHvqqqqqKPPNNNNNIFEAxtljjitxELLMMMMMLJGDDBwuuuuwBBDJLOQQQQOMLGDwngddda:<2)))){21<clkAFIIIIFAo2{))$$$@@@@@@@@@@$%%&&&&%@@++++++++@@$&=;(aixGLMOOQQQOOMLLLMMOQRRSSSSSSSSRRRQOOQRRRRRSSSSRRRRRRQOMLECywnd6[^^",
+"**&%%%$@+...        ..+%*;>///>;;<1kFQSSSSSRRROMLLLMOOHHKKKKKPPPNNSSSROMJAxtljjiyCJLMOOOOMMLJDDBBwuuuwBBDJLOQQRQQOMJGywngaaa<2{)!||21cclxAFMOOOOMFAk2{)$$@@@++++++++@@$%%%$@@+++.+++++@@%&->3ajtDGLLMOOMMLLLLMOQQRRSSSSSSSSSRRQQQQRRRRRRRSSRRRRRRRQOOLLGDtnd[[^/",
+"%%$$$$$@+...       ..+@&=>>//(>;-12oINSSSSSSRROMLLMMONNNPPPPPPNSSSSSSSRMFExtljitxGLMOOOOOOMLJGDDBwuuuwBBGJMQQRRRQQOLJGDtigbc12|777okktxxEFMOOQOOOIzo2{)$@@++++++..++++@@@@@+++....++++@@%*-(3djsyCGJLLLLLLLLMOQRRRSSSSSSSSSRRRQQQRRRRRRRSSRRRRRRRRQQOMLEDtg9[///",
+"@@@@@@@@+...      ..+@%*;>//((:;=12zISSSSSSSRROMMLMOQRNNNNNNNSSSSSSSSSROFCxtiistCELMOOQQQOMLJGDBwwuuuwBBGJMQRRRRRRQOMLECyti1277ppzzAACCELMOQQQQQOOIAo|!@@++..........+++++++......++++@@%*;(3ajsyDCGEJJJJLLMOQRRRSSSSSSSSSSRRRQQRRRRRRRRRRRRRRRRRQQQOMLGysa3[//;",
+"+++++@@++...     ..+@%*;>///((:;<1kzNSSSSSSSRROMLLMORRSSSSSSSSSSSSSSSSROFCttiisyCJLMOQQQQOOLJGDBwuuuuuBBGJMQRRRRRRRQOOMJGCxopvvHHIIFFJFLMOQQQRRRROIzp|!+++........................++++@$&=>(3antyDCGEEJJLLMOQRRRSSSSSSSSSSRRRQQQRRRRRRRRRRRRRRRRRQQOOLJCtg9[//>=",
+"++++++++...     ..+@%*;>////((>:<<kFQSSSSSSSRQOMLLMORSSSSSSSSSSSSSSSSRQMJCtiiityCJLMOQQQQOMLGDBBuuuuuuBBGJMQRRRRRRRRQQOMLFzzHHHNNROOMMMMOQQQRRRRRROIp7!++.........................+++@@%&->3djsyDCCGEJJLLMOQRRRSSSSSSSSSSSRRQQQRRRRRRRRRRRRRRRRRQQOOMJCtn9[[/>;*",
+"....+++....    ..+@%*;>//////(>::<lFOSSSSSSSRQOLJLMORSSSSSSSSSSSSSSSRRQMExsinstyCJLMOQQQOOLJGDBwuuruuuBBDJMQRRRRRRRRRRQOOIIHNNNNSRQOMMMMOQQQRRRRRRRIz7!'+.........................++@@$%*;(agsyDCGGJJLLLMOQRRRSSSSSSSSSSSRRQQQQQRRRRRRRRRRRRRRRQQOMLJCyj9[[^/>=&",
+"...........   ..+@%*;//^^/[[/((>(:lFORSSSSSSRQOMLLMRSSSSSSSSSSSSSSSRRRQMCtsinssyDJLMOQQQOMLGDywurrrruuBBDJMQRRRRRRRRRRRRQONNNNSSSRRQOMMOOQQQQRRRRRRNIp7''+............         ...++@$%&=:3gsyCGGEJLLLMOOQRRRSSSSSSSSSSSRRQQQQRRRRRRRRRRRRRRRRQOMMLECynd6[^^>-&%",
+"..........   ..+@%*;//^^^[[[//(((3iEORSSSSSSRQOMLMORSSSSSSSSSSSSSSSRRROLCtsnnswyDJLMOQQOOMJGDBwurrrruuBBDJMQRRRRRRRRRRRRRNNNSSSSSRRQOMMOOQQQQQRRRRRNIz4''++.++.........         ...+@$%*-:bixCGEJLLLMOOQQRRRRSSSSSSSSSSRRQQQQRRRRRRRRRRRRRRRQQOMMLJCysg9[^^/;*%@",
+".......... ....@%*;/^^^__[[[/((((3bCMRSSSSSSROOMLMORSSSSSSSSSSSSSRRRRROLCytssswyDGLMOOOOOLJCywwurrruuuBBDJMQRRRRRRRRRRRRNSNSSSSSSRRQMMMOOQQQQQQRRRRRIzp7!+++@@++++.....         ...+@@%*<ciyCEJJLLMMOQQQRRRRSSSSSSSSSSSRRQQQRRRRRRRRRRRRRRRRQQOMLJGDwnd6[^/>=&@+",
+"..............+$&->/^^__}}[[/(((/3bxMQRSSSSRROMLLMORSSSSSSSSSSSSSRRRRROLGCytwwByDJLMOOOOMLGDywwurrruuuBBDJMQRRRRRRRRRRRRSSSSSSSSRRQOMMMMOOQQQQQRRRRROIp7!!@@@$$$@@++....         ...+@%{<ctxCEJLLMOOQQRRRRRSSSSSSSSSSSSRQQQRRRRRRRRRRRRRRRRRQQOOMLGDwn9[[/>=&@+.",
+".............+@&=>/^^__}}[[(((>(/(axLQRRSSSRROMLMMORSSSSSSSSSSSSSRRRRROMLGCDyyyDGJLMOOOOMJGDywwuuruuuwBBDJMQRRRRRRRRRRRRSSSSSSSSRRQMMLLLMMOOOQQQRRRROFo|!$$$%%%%%$@+....         ...+@){1ctDCEJLMMOQQRRRRRRSSSSSSSSSSSSRRRRRRRRRRRRRRRRRRRRRRQQOOLJDwn9[/>-&$+..",
+" ...........+@%*;/^^__}}6663((>//(9tEORRSSRROMLLMMORSSSSSSSSSSSSRRRRRRQOMLLEGCDGJLMOOQOOMLGDywwuuuuuwBBDGJMQRRRRRRRRRRRSSSSSSSSRRROMJEEJLLMMMOQQQRRQOzo|)$$%%&&&%$@++...          ..+@${1clxCGJLMOQQRRRRRRRSSSSSSSSSNSRRRRRRRRRRRRRRRRRRRRRRRRQQOMLGyn93(-&$+...",
+"  .........+@$*->/^^_}}60003(((//[9lEMQRRRRQOMJJLMQRRSSSSSSSSSSSRRRRRRQQOOMLLJJJLMOOQQOOMLGDywwuuuuuwBBDGJMQQRRRRRQQQRRSSSSSSSRRRQOLEGGGEJLLLMOQQQQOFA2{)$$%%&&&%$@+....          ...+${<bitCGJMMOQRRRRRRSSSSSSSSSSNNNRRRRSRSRRRRRRRRRRRRRRRRRQQQOLGyg9(:*$@... ",
+"  ........+@$&->/^^_}}60fd03(((//[3jxMOQRRQOMFEGJMORSSSSSSSSSSSSRRRRRRRRQQQOMMLMMOOQQQQOMLGDywuuuuuwBBBDGLMQQRRRRQQQQRRSSSSSSSRRRQMLEGCCGGGJLMOQQQQOFo2{)$$$%%%$$@++....          ...+$&<:bixCJMOQRRRRRRRSSSSSSSSSNNNNRRSSSSSRSRRRRRRRRRRRRRRRQQQMLCwg3(-&@+..  ",
+"  .......++$&=>/^^__}}0ddd03((////3atEMOOOOMFGCCGLORRSSSSSSSSSSRRRRRRRRRRRQQQOOOOQQQQQQOMLGDywuuruuwBBDDGLMQQRRRQQQQQRRSSSSSSSRRRQMLEGDDDDCGJLOQQQQMEk2)$$@$$$$@+++......         ...+$&-(ajtCJMOQRRRRRRRSSSSSSSSNNNNNNSSSSSRSSRRRRRRRRRRRRRRQQQOLJDsa3>~%@..   ",
+"  ......++$&=>/^^]__}60ffd03(///^^[3iCFMOMMJCDyDGLORRSSSSSSSSSSRRRRRRRRRRRRRQQQQQQRRRQQOMJCywurrruuBBBDGJLMQQQQQQOOOQRRRSSSSSSRRRQMLEGDDDDDCELOQQQOMAk2)$@@@@@+++........        ....@$&-(3gtCLMQQRRRRRRRSSSSSSSNNNNINNSSSSSSSSRRRRRRRRRRRRRQQQOMJCwg9(;*$+..   ",
+"  ....+++@%*;/^^]___}60ef03((//^^^/3axAFMFFAxywyDJORRSSSSSSSSSRRRRRRRRRRRRRRRRQQRRRRRRQOMGDwurrrruwBBDGGJLOOQQQOOMMOQRRSSSSSSRRRQOMLEGDyyyyDGLOOQQOFCl{)$@@++++..........        ...+@$*;(3bxEMOQRRRRRRRRSSSSSSNNNHHINSSSSSSSSSRRRRRRRRRRRRQQQOMJGynd3(-&@..    ",
+"  ....++@%*->/^]]__}}60e003(//^^^^^[9lxEEEAxtsswDJOQRRSSSSSSSRRRRRRRRRRRRRRRRRRRRRRRRRQOLGysrmmmruwBDDGJLLMOOOOMLLLMOQRRSSSSRRRRQMLJGDyywwwyGLMOQOMFx1{)$@+++.............       ...+@%*;(3jxFMQQRRRRRRRRRSSSNNNNHHINNSSSSSSRSSRRRRRRRRRRRRQQOMLGysg93:*$+.     ",
+"   ...+@$&->/^]]]__}}800063///^^^^^[3btCAAxysissDJOQRRSRRSSSRRRRRRRRRRRRRRRRRRRRRRRRRRQOLCwummmrrwBDDGJJLLMOOMLLJJJLOQRRRRSRRRRQOMJGCDywuuwyGLMOQOMAk1{)@@++...............    .....+@%*;(bxFMOQRRRRRRRRRRSSSNNHHHIINNSSSSSSRSSRRRRRRRRRRRRQQOLJDwnd3(=%@..     ",
+"   ..++@%*;/^]]]___}}66666[//^^^^^^^3alxxxxtinnsDJORRRSRRRRRRRRRRRRRRRRRRRRRRRRRRRSSRRROJDwnmmmruBDDGJJLLLMMMLJGGGGJMQRRRRRRRRQOMJGCDywuuusyGLMOOMFAl1{%@++........................++@%~:alEMQQRRRRRRRRRRRRRNNHHzzIHNNSSSSSSRSSRRRRRRRRRRRRQQOLGysg9(-{@+.      ",
+"   ..++$&->/^]]]____}}}6[[[//^^^]]^^39jtxxtijnnwDLORRRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSRRMJDwrmmmrwBGGJLLLLMMMLJGCCDGJMORRRRRRRQOMJCDyywwurrsyGLMOOMExl<{%@+.......................+++@$&=:lAMQRRRRRRRRRRRRRROIzzpppzHNNSSSSSSSSRRRRRRRRRRRRRQOMJDtna3:~$+.       ",
+"   ..+@%*;>^]]]]]___}}}}[[[/^^^]]]^^[3bltttinnsyGLQRRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSSQMJDwnmmruBDGJLLMMMLLJJGDDDDCELOQRRRRRQQMJCyyywwuumrsyGLMOMLAkc<~%@+...    .....+++....+++++@@$&*<cxMQRRRRRRRRRRRRQQOFAoo77pzHNNSSSSSSSSRSSSRRRRRRRRRQOLGyiga:=)@..       ",
+"   ..+@%*;/^]]]]]____}}}[[/^^^^]]]]^[3ajltiiiswDJMQRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSSSQMGywumruwDGJLMMMMMLJJGDDDDDCELOQQRRRQQMExtsswwwuuruwDELMMMFClb:~%@+...    ....++++++++@@$$$%%&*-:lFORRRRRRRRRRRRQOMAok|||7pIHNNSSSSSSSSSSSSRRRRRRRRQOMJDtga3:{$+.        ",
+"   ..+@%*;/^]]]]]______^^^^^^]]]]]]^^[9gjiiiswyGLOQRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSSSQLGywuruwBDJLMOOOMLLJGDyyDDDGELMOQQQQQMJxtsssuwwuuuswDJLMMMExj::=%@+..     ...+++@@@$$%%&&****~-:bxFORRRRRRRRRRRQOFAk22))|7pHNNSSSSSSSSSSSSSRRRRRRRRQOLGyia3:=&@+.        ",
+"   ..+@%*;/^]]]]]______^^^^^]]]]]]]_^[3ajiistyDJLORRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSSSOLGywuuuBDGLMOOOMMLJGDyyyDCGEJLMOQQQQMJCtsnnsuwwwuuwyCJLMMJClb3:-&@+...   ....++@$$%&&*=------;>:jAMQRRRRRRRRRRQOFAk12{))!7vHNNSSSSSSSSSSSSSRRRRRRRRQOJCtg93:~)+.         ",
+"   ..+@%*;>^]]]]______^^^^^]]]]]]]]_^[[9gnistDGJMQRRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSNNOLGywuwwBDJLMOOOMLJGDBwwyDGJJLLMMOOOMLGysnnruwBwwwuwyGJLLLExj3(>-&@+...  .....+@$%&*=-;>>>>>>>>(alAMOQRRRRRRRQQOLAkl1{)))|pvHNNSSSSSSSSSSSSRRRRRRRRQOMEDsa9(-{@+.         ",
+"   ...+$&->/^]]_____}[^^^^]]]]]]]]]__[[9dgntyCELOQRRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSNSNROLGywwwBDGLMOOOMLJGDwsstDGJLLLLLMMMMLEDtnnnuwBBBBwwBDGJLLExia3/(;&$+.........++$%&*-;>>////>>>/(atEMOQQRRRQQQOMLExl<1{{))7pHPNSSSSSSSSSSSRRRRRRRRRRQOLGyia3:~)+.          ",
+"    ..+$&->/^]]___[[[[^^^^]]]]]]]]]__[[69gntDCJLOQRRRRRRRRRRRRRRRRRRRRRRRRRQQQRRSNNNSQMLGDBBBBGJLMOOMMJGDwunsyCJLMMMMLLLLLECtsnnswBDDDBBBBDGJJECtb3///;*$+.........+@%&*-;>//////////(atCLMOOQQOOOMLJExlc<<~{{|7vHNNSSSSSSSSSRRRRRRRRRRRRQMJCtga3<{@+#          ",
+"    ..+@&=>/^^]_[[[[[[[^^^]]]]]]]]]___[60dntDGJMOQQRRRRRRRRRRRRRRRRRRRRRRRQOOMOORNNNQOMJGDyBBDGJLMMMMJGDwumnsyELMOOMMLLLJECyssnswBDDDDDBByDGGGCtj93^//;*$+........++$&*=;>>//////>>>/(aixELMMMMMMLJECxlca:<~{{|pHNNNSSSSSSSSSRRRRRRRRRRRQOLGysga:~!+.           ",
+"    ..+@&=>/^^^^[6666[[^^^^]]]]]]]]____}0dntCELMOQQRRRRRRRRRRRRRRRRRRRRRRQOMLFFMOOQQOMLECDBBDDGLLMMMLJDwughgsCJMOQOOMLJEGDysnnnuwyDGGDDByDDCCDtj93^^//;*$+........+@%&*-;>>/////>>>>//3btxCEEEEEECCxtlba::<~~2ozHNNSSSSSSSSSSSRRRRRRRRRRQMJCwna:<)@+# #         ",
+"    ..+$&->/^^^[[6666[[^^^^]]]]]]]]____[0dntCELMOQQQRRRRRRRRRRRRRRRRRRRRQOMJGCCEFMOOMLJGDDBBDGJLLMMLJDysngggtCLOQQQOMLECytsnghnsBDGGJGDDDDDDDyja3[^^^/;*%+.......++$&**-;>>>>>>>>;;>>((9jityxxxxxxttiba3(:<<12pIHNNSSSSSSSSSSSSRRRRRRRRQQLGDsna<{!+.            ",
+"    ..+%=>/^^^[[6666[[[^^^]]]]]]]]]]___[6dntCELMOQQQRRRRRRRRRRRRRRRRRRRRQMJCytyxCEFFJEGDDBBBDGJLLLLJGDwngdgiyEMOQQQOMJCysngddhnuBGJJJJGDDDDyysg9[^^^^/>*%+.......+@%&*==-;>>>>;;---;;>((3aggjiiiiiibaa3((:<<2ozHNNNSSSSSSSSSSSSSRRRRRRRQOLGysb:~)+.# ##         ",
+"    .+$*;>^^^^[[666[[[^^^^]]]]]]]]]]___}60ntDGJLOOQQQRRRRRRRRRRRRRRRRRRQOLCysiistDCCCCDyBBBBDGGJLLJJDBshddgixJMQQQQOLEDtngdddhuBGJLLLLJGDDywsg9[[^^^^/>=&@+.....++$%&**=---;;--=***==;>((333aaabccba:(((>:<12oINNNSSSSSSSSSSSSSSSRRRRRRQOLCyic1{!+## #          ",
+"   ..@&->/^^__}[[[[[[^^^^]]]]]]_]]]_____69gsyCJLMOQQQQRRRRRRRRRRRRRRRRQOMGDwngggiswyyywwwwwBDDGJJJGDyundaaaiCFOQQQQOLEDsndddhuBDJMOOOMLJDDBsgd6[^_]]^/>-&$+.....+@%&***======***&&&&**=;>>((::::::::((((>::1ozINNNSSSSSSSSSSSSSSSRRRRRRQOLCyic2)+.####          ",
+"  ..+%*>/^]]__}}}[[[^^^]]]]]]]]]_]______[0dntDGJLMOQQQQRRRRRRRRRRRRRRRQOLCysndddgnnsssuuuuuBBDGGGGDywnd93abiCFOOQQOOLGDsnghhrwDJMOQQQOMJGysnd6[[__]]^^/;*$++...+@$&**======***&&%$$$%%&*=----=<<<::((((((:blAINNNSSSSSSSSSSSSSSSSSRRRRRQOLGyl1)!'####           ",
+" ..+$*;/^^]____}}[[^^^^]]]]]]]___]_____}[9dnsyCGJLMOQQQRRRRRRRRRRRRRRQOMEDsnddddddhgmnrrruuwBDDDGDBwmd93::bixFOOQQOMLEDwsnnswDJMQQQQQQMLGysg9[[^__]]]^/>=&@++++@$&*=---===***&%$$@@@@@$%&&***~~=<::((((((:ckAIQNSSSSSSRRSRSSSSSSSSRRRRRQOJCk2|!'#####           ",
+"..+$&;>^^]________^^^^]]]]____________[[69dgswyCEJLMOOQQRRRRRRRRRRRRRQOLCyuhd00660ddhhmmrruwBBDDDBwrd03::::ixJMOOQOOLJGDBwwBDJMOQRRRQQOLGynd6[[^___]]^^>-&%@@@@$&*=;;;;--=**&%$@+++++++@@$%%&{*~=-:((((33alxFORRSSSRRRRRRRSSSSSSSSRRRRRQMJCk|!'####             ",
+"++$&->^^]]_____________]_____________[[69ddgnsyDDGJLMOOQQRRRRRRRRRRRQQLEDsmdd0666600ffhmmruuwBBBBwrh03(:-<<cxEMOOOOOMLJGDDDGJMOQRRRRRQOLCyn96[[[^___]^^/;*&$$$%&*-;>>>;;;-**&$@++......++@$%%&{~~<::(333aixEMOQRRRRRRRRRRRRSSSSSSSSRRRQOMAk2!'### #             ",
+"@%*;>^^]]___________________________[[6dggnnsswyyDGGJLOOQRRRRRRRRRRRQOLDBrhd0666[660ffhmmrruuuwwumh03(:-==<ckELMOOOOMMLJJJJLMOQRRRRRRQOLCwn93[[[[[^__]^/>=*&%&&*-;>>>>>;;-*&$@+..........+@$)){{~<<:aaagitCJMOQRRRRRQRRRRRRSSSSSSRRRRRQMJxk|!'##                ",
+"&=;/^^]]___________________________[[9gnsssssswwByDDGJMOQQRRRRRRRRRQOLGysmhe066[[[60ffhmmmmrrrmmhf03(>;===<cyGLMOOOOOMMMMMMMOQRRRRRRRQOLCtna936[[[[[^^^/>-*&&&*-;>>>>>>;;=&%@+.....    ..++@$)){211cccityCJMOQQRQQQQQQRRRRRRSSSSRRRRRQOFCl2!'##               ..",
+"->//^^________^____________________[9gsyDDDyywwwwwBDDJLMOQQRRRRRRRRQOLDBuhfe06}}}[60fhhhmmmhhhff033((;-===<cyGLMOOOOOOOOOOOQQQRRRRRRRQOLCyjggadd996[[^^/>;****=;>>>>>>>;=*%@+....       ..+@!!))|2kkkkxDGFMOOQQQQQQQQQQRRRRRRRRRRRRRQOLEt1|!'#               .+@",
+"(((/^^[[}}[^^^^___________________[6gsCEJEGCDywwsuwBDGJLMOQQRRRRRRQOLGDwrhee066}[[60dhhhhfff0063(((>>;===-:cyGLMMOOOOQQQQQQQQRRRRRRRRROLGytsjjnnng96[[//>;**&*=;>>>>>>;=*&$+....        .+++!!!!||ooCAEFMMOQQQQQQQQQQQRRRRRRRRRRRRRQOMExl1)@.               .+@)",
+"ba93[[[6[[[[[^^^__________________[dsCJLMMLJGDywsswwBDGJLMMOQQRRQQOMLDBumhee066}}660dhhhdd0633(((>>;-=~==-:ixGJMMMOOQQQQRQRRRRRRRRRRRRQMJCyyyyyttng96[//>-*&&*=-;>>>;-=*&$++...         ..++!!!77ppzzFMOOOQQRQQQQQQQQQRRRRRRSRRRRRQOMLCtc1)+.              .+@)~",
+"xtingdddd066[[^^_________________[0gyEMOOOMLJGDBwsswBDDGGEJLMOQQQOOLJDwumhee866}6600dddd0663((>>;;-=***=-:bixELLMMOOQQRRRRRRRRRRRRRRRRQMLECCCCCDysgd6[//;=*&&&*=;;;;-*&%$@+...         ...+@@!!77pzzFIOOOQQQQRQQQQQQQRRRRRRSRRRRRQOOLExi:~)+.             ..@)21",
+"JECyttsnngd96[[^________________}[9sCLOQQQOMLEDywsuswwBBByDCJMMOOOMLGywrmhee066666099d9033((>>;;-==****=;:btCELLMMOOQRRRRRRRRRRRRRRRRRQOLJEGGEGCysg9[[/>;*&%%%&*=--=*&%$@+....         ..+@@!!!77pzFIOOOOQQQQQQQQQQQRRRRRRSSRRRRQQOMJCtb:~$+.             .+!|2o",
+"OMLLECDytsgd3[[[________________[6dtEMOQQQQOLJCywsuuuuunnnntxELMMLLEDywrmhee006666699333(((>;;-==*****=;:3gtCELLLMOOQRRRRRRRRRRRRSSRRQOMLJJEGGCDtn9[[//>=&%$$$%&***&&%$@++....        ..+@@$))||opzFIOOOQQQQQQQOOOQQRRRRRRSRRRRRQOMLExja<&@+.            ..+)|oF",
+"RQQOOLJGDtna96[[_______________[[6gtEMOQQQOOLJCywsrnmhhd999ajtCELLJGDywrmmee80666[66333/(>>;-===***==-;>(3iyCJJLLMMQQRRRRRRRRRRSRSRRROMLJGGGCDysn9[[^/>-*%@@+@$$%&&%$$@++....       ....+@%&*~22kAEFMOOOOQQQOOOOOOQQRRRRRSRSRRRQQOMFCtb:~$+..            .+!|oFI",
+"RRRRQOMJGxig93[[[}__________^^[[[6dsCJMOOOOMLGDwsnmhhd06[[[39jtCEEGCDywummhee0066[[[[//(>>;-======-;;>>(3asyGJLLLLMQQRRRRRRRRRSSSSSROMJECDDyttjg9[[^//;*%@+++++@@$$$@@+++....     .....+@%*=-:<ckCEFLMOOOOOOOOMMOOQRRRRRRSRRRRRQOMLExlc~)@+.            .++!pINN",
+"SSSSRROMFxtgd96[}}}______[///////33glxEFLLLJGywsghdd06[[[^^/[9jtCCCDDywurmhff0066[[[///>>;-=====-;>>(//[3gtCEJLLLLOQQRRRRRSRRSSSSRROFEDytsnngg9[[^^^/>=&@++....+++++++++..... .. .....++$&=;>(actCEJLLMMMOMMMLLLMOQRRRRRSRRRRRQOMMFClc<{@+..            .+!7INSS",
+"SSSSSSQOFCtja9066}}}}}_[/////((>>((:bilkxxxytigdd0066[[/^^^^/3ajtyDDDyBwurmhhd006[[////>;;-===-;;>////[6dsDGJLLLLLOQRRRRRRSRSSSSSQIExljggdd96[[[^^^^>-&$++.......+++++++......  ......+@%*;>((ajtCCEJLLLLLLLJJJLMOQRRRRRRRRRRQOMMFAtc<~$+..           ..+!7zNSSS",
+"SSSSSRROFAxigd9066}}}[[//(>;;;------<<<<1cccaa33333[[[/^^^^^^[9gttyyyyBywwummhd06[[////>;;----;>>//[[[3dnyCJLLLLLMOQRRRRRSRSSSSSQFAlba336[[[[[__]^^>-&$++.........++++@++.............+@%*;(/39jtDCGGEJJJEGGCCELMOQRRRRRRRRRQOMFECxib<{$+..           .+!7pHSSSS",
+"SSSSRROOFAxtjgdd066}[[/(>;=********~~~~~~~<<::(((///////^^^^^/3ajsyyyDDDyywurnd96[[////>>;;;;;>(/([39dgntCELLLLLMOQQRRRRRRSSSSRQIClb3([[[[[^__]]^^>;*$++..........++@!!!@++...........+@%=;//3aitDCCCCCDCDDyyyCJMQRRRRRRRRRQOMJExtjb:=&$+..         ..+@!pINSSSS",
+"SSRRRQOMMJECysnhd06[[/>;=*&%%%&&&&&****{{**~=-;>>((//////^^^^^[9gstyyDDDDDyBsng93[[////>>>>>>>((33agjstDCELLLLLMMOQRRRRRRSSSSSOIxla((/^^^____]]^^>;*$@+.........++@!)))))!@++.........+@%*;(/3aiyDDDDyyBwwtstyCLOQRRRRRRRRQMLECxtjb::=&@+....     ...+!|oINSSSSS",
+"RRRQQOOOMMLJECyshd93(>-*&%%$%%%&&&&*&*&&&&&**==-;>>>>////^^^^^[9gjtyDDCGGGDywsg96[///////(>>(((39gitxCGELLLLLMMMOQRRRRRRSSSSSOFCla((/^^^]]]]]]^^>;*%@+.........+@$){22222{)$@++.......+@%*;>/3gsyDDDywwunnnisyELOQRRRRRRRQMFECxtjba(:=&$@+.........+@!|ozNSSSSSS",
+"RQQOOOOQQQOOMLGysh93:-*&%$$$%%&&&********&*****=-;>>>///^^^^^^[3gjtyDCGGEGGDysg9[[///////////[39gtCEJLLMMMMMMMMOQRRRRRSSSSSSQMAla3(/^^^]]]]]]^^/;*%@+........+@$&~1<1lcc<<~{%@+........@%*;>(3gsyDDywsnmhhgntxEMQRRRRRRRQOLECxtiba3(:=&$@++.....++@$)2kzIRSSSSSS",
+"OOOOOQQRRRQQOMLCyia:;~*&%%%%%&&**=====********==-;>>>//^^^]]]^[3antyDCGEEGGDysd9[[[[[[[[///[[69gtCJMOOOQOOOOMOOQRRRRRSSSSSSRIAkb3(/^^^^]]]]]^^/>=&$+.......+@$%*=::bbbcb::-~&$@+.......@%*->(3gsyyyBsnhdddgiyELOQRRRRRRRQMJCxtljba3(:-*%$@+++++@@%&~1kAIRSSSSSRR",
+"MMMOQQRRRRRRQOMExia:-~*&&&&&&**=--;;;;;---====--;;>>/^^^]]]]]_^[9nsyDGGEEEGDwnd6[[[[[[[[[[[669gsDEMOQQRQQQQOOOQQRRRRSSSSSNNIzkc33/^^^^^]]]]]^/>-*%@+......+@$&~->((33aa3(:-=*%@+.......+$&=;(3gsyywsnhd09djtCJMOQRRRRRRROMExtiija33(>-~&%%$$$$%&*=-:lAIRRSSSRRRQ",
+"FLMOQQRRRRRRQQMExib:-=**&***==-;;>>>>>>>>>>;;;;>>>//^^]]]]]]]_^[9nsyCGGEEGCysg9[[[[[[6660600dgsyELOQRRRRRQQQQQQRRRRSSSSSPPHzo1:((//^^^^^]]^^^/>-*%@+......+$&=;>(((333((>;-=&%@+.......+$&*->3aitssnhd069diyELOQRRRRRRRQOLExtija93((>;-=*&&&**=-;>(cxFORRRRRRQQO",
+"EFMOQRRRRRRRQOFCtc::-=~****=--;>>>>///////////////^^]]]]]]]]]__[9gsyCGGEGCytnd6[[[[60dfdhhdhmsyGLOQRRRRRRRQQQQRRRRRSSSNPKKv7|1:((/////^^^^^^//>-*%@+.....+@%~;>(/////((;-=~*&%@+.......+@%*-:(aninnd06669gtCJMOQRRRRRRRQOLCytjga33(/(>>;;--;;>>//3bxFOQRRRRQQOMF",
+"CELOQQRRRRROMFAklc:-=~*****=-;>>>///^^^^^^^^^^^^^^]]]]]]]]]]]]^[9gsyCCGGCDtsd96[[[60dhmrrmmruwDJOQRRRRRRRRQQQQRRRRSSSNPKq54'!{=;>(//////[[[[(/(;=&%@+...+@%*->((/[///(;-**&&%$@+.......+@%*=;:agggd06[[39gtCLMOQRRRRRRQOMEDtiga33(/////>>>>/////3bxEMOQRRQQOMFEC",
+"xEFMOQQOOOIFAolc<<<~~*&&&**=-;>>//^^^]]]]]]]]]]]]]]]]]]]]]]]]]^[3gsyDCCCDtsgd06[660dmuwwwuwwBDGLOQRRRRRRRQQQQRRRRSSNPKqq5,,'@){=;>(((33aabbbaa3::~&$@+++@$&=:(333[[/(>-*&%%%$$@++......+@%*=;(aagdd3[[[39gtCLMOQQRRRRRQOLCyiga33[////////^^^^^[3btEFOQQQQOMFAxtl",
+"tCEFMMMIFAokk211~~~{&%%%%&**-;>/^^^^___]]]]]]_________]]]]]]]]^^[ajtyDyytsgd906600dnuwBBBBwByDJMQRRRRRRRRQQQQQRRRSNNHq5,,##.+@%*-::abblxCCACxtib:<{%$@@@%*=:33aad333(:=&%$$$$$@@++.....+@%*=;:3ada33(/(39jtCJMMOQQRRQQOLGysga93[///^^^^^^^]^^[3btCFMOOOOMFAxijba",
+"ltxCAAAoo||22{{{{{&%%$$$%&*=;>//^^______]]]]]__[[[[[^^_]]]]]^^^^[9gjtttsngd99000dhnuBDDDDBBBDGLOQRRRRRRQQQOOQQQRRNHv5,,### ..@${~<cltCFMMOOMMExic1{)$$%&~-:abnjijga3(:~&%$$$%%$$@+++..+@$%*=;::aaa3((((39jtCEJLMOQQQQOLEDsg93[[/^^^^^^^]]]]^[3gtCEMMMMMFExlja999",
+"jjllll22|{))))))))%$$$$%%&~;>//^_______]]]]]__[39999[[^_]]^^^^^^[3dgnnggd990090dhnsBDDDDDDBDDJMOQRRRRRQQOOMMOOQOOIv4,###   ..+${1clxEMOQQRRQOMEyi1{))%{=::aityxxttja::={%%%%&&&&%$@++++@%&*=-:::a:3((((39gsyDGJLMOOOOLEDsg9[[^^^^^^^]]]]]_^[3gtCELMMFFECxja99339",
+"9aaab<1{{))))))))))%%%%&*=;>//^_________]]]__[9ajjjg93[^^^^^^^^^/[39dd99666609dhnswBDGGGDDDDGJMOQQRRRQOMLLLLMMMMzp4'##     ..+${1lkAMOQRRRRRROJx22{)&*=:agtxCCECCxtja:=~&&&&*****&%$@@@$%&*~=<<:::((((33dgityDGJLLLLLGDsg9[[^^^^^^^]]]]]_^[9gtCEJFFFECxtja9936[6",
+"333(::=~~{{{{{{{{{{{{*~=;>(//____}______]]__[6ajttttj9[[^^^^^^^^/[[6366[[[[660dgnsBDDGGGDDDDGLMQQQQQQOMLEGCCCECoo7'##      ..+${<cxEMQRRRSSRROzo||){{=:agtCEJLLJECxlb::==~~=--;;;-=*&&%&&*~~~<<<:::(((33dgnstyyCGEEGCynd6[[^^^^]]]]]]]__^[3gtxEEEEACxtjga999666[",
+"[[(/(>>;;---<<<::<:-:::((/[[}}}}}}_____]_]__[9nsyyytja3[^^^^^^^^/[[[[[[[[[[60dhnuwBBDGGGDDDCGLMOQQQQOLECyttttll2)!'.       ..@%~:ctEMQRRSSSRRIzo2{{{~::gtCELMMMLLECtb::;--;;;>>>>>>;-=~~~~~~~~1<<::((333dggnnswyDDDysnd6[[___]]]]]]]___[[3aitCAACxtljbaa99999936",
+"[[///////((333aa93333333[[}}}}}}}}_____]]__[[djtyyysnd6[^^^^^^^^^[[[[[[[[[[60dhnuuwBDDDDDDDGJLMOQQOMLGDsjgaac1{)++..      ...@%~:aiAMQRRRRRRIzo22{{~::btCJLMMMMMLECtb:::>>>>>////^//>>;;--=~~~11<::33339dghggnsswwsng96[____]]]]_____[[[3ajtxxCxklcbaa9dddddd996",
+"[[^^^^^[[[69dddhddd00066666}}}}}}}____]]]__[6dnswwsnh9[[^^^^^^^^[[[[[[[[[[[60dhmuuwBBBDDDDDGJLMOOOMLGyja93(:~{!@+..       ..+@&=>3bxFOQRRRROIAk2~~<::btCJMMOOMMMMEClc:(>>>////^^^^^^///>>;-=~~11<::33399dddhhgnnsnng96[[^___]]___^[[[[69agittkkllcbaaaddhhhhhd06",
+"[[[[_[}[660dhmmmmhhfee0008888}}}}____]]]]__[6dgnnngd06[__]^^^^^^[[[[[[[[[[60dhmrruuuwwBByyDGJLMMMMLGyja3((-*%$++..        ..+@&->(atEMOQQOOFAk1<<::abtCJMOOOOOMMLExlb:(((////^^^]]]^^^///>:-<111cba3999ddddhhhnnngg96[[________[[[699dgggjiiliccc:aadddhmmnmhd06",
+"[____[}60dhmmuuurmhfeee8888888}}____]]]]]__[60dhhdd06[___]]]^^^[[66[[[[[[[60dhmrrrruuuuuwwyCELLMLJGysa3((-*%@+....        ..+$*;((3jxJMMMMExlc::((3aiCJMOOOOOOMMFExia:(((///^^^^]]]__^^//((:<<<cbaaddddddhhhgnnnngd96[[______[[69dnnjjiijjcccc<<::addhmmrrrmhd06",
+"____}}60ffmuuuuurmheeee888888}}}___]]]]]]__}60000066}____]]]^^[[600666[[[60fhmrrrrrrmmmmrsyCELLLLGDsg9[/;~%@+...         ...@&=>//3aixEEAxtca3((33diyEMOQQQOOOMMJCtb:(((////^^^]]]]___^^//((:<ccbggggggnnnsssssssnd06[[[___}[60gntyyyttijcbc<:::a9ddhmrrrrmhf066",
+"__}}}600dhmuuwuurmheee888888}}}____]]]]]____}66066}}____]]]]^^[60ddd066600fhmuuurrmmhhfhhswCELLLEDtg93/(-&$@+..         ...@%*;///[3ajltiba33(/[39gyGLOQQQQQOMMLExib:(((////^^^]]]_____^^/((::bbcnnsssstyyyDDDyysngd006}}}}}0dgsyCCCCxticb<::::30dhhmrrrrmhf06}}",
+"___}}60fhmuuwwurmhfee088888}}}____]]]]]]____}}}}}}}____]]]]]^[60dhhdd0000dhrswwurmheee0ddntDGJJECyja3[/>-&$@+...      ...+@%*;///^[[[999933[/[[[6dsDLOQQRQQQOMLJCtja3((/////^^^]]]_____^^[(((:abnitwyyDCGEJJJJGDysnhdf006600dmsyCGEECylcc:::::300fhmrrrrmhe06}}_",
+"___}}60fhmuuwuurmfee00086}}}}}___]]]]]]]____}}}}}}_____]]]]_^[0dhmmhdd0ddhnwBBwwrmhe0000dntCGJJEDtj93[/>-&$@+..... .....+@&=>///[^^[[[[[[[^^^[[6dnyJMQQRRRQQOMLExlba3((////^^^^]]]]]]__^^[/(33agisyyDGEJLLMMMMLGDwsnhhfffefhmsyCGEECxlcb:::(3300femmrrmmhe06}}__",
+"____}60fhmuuuurmhf000666}}}}}____]]]]]]]____}}}}}______]]]__[60hmmmmhdddhuwyDyBumhe06660dntCEJEGytg93[//;*&@++........+@$*->//[[[[^^^[[[_^^___}0hBGMQQRRRRQQOMLExib33(////^^^^]]]]]]]__^^[/(3aansyDCGJLLMOOOOOMJCywurrmmhhhhnsyDCCCxlca::(33660eemmmrmmhe06}____",
+"____}}0dhmuuuurhd00666}}}}}}____]]]]]]]]___}}}}}_______]___[[6dhmmmmhhhmuwyDDDBumf06}}60dsyGEJECytg93[//>;*%$@+++++++@@%*;>/[[[[[[[^^^_______}6duDLOQRRRRRQQOMJCtja3(////^^^^]]]_]]]]___^//(3agsyDCGJLLMOOQQQOMLGDBwwwurrmmmnswyyytiba33336660eemmrrrmme06}}____",
+"____}}0fhmuuuumhf0066}}}}}}____]]]]]]]]____}}}}____________[}0fhmmmmmmnuwDCGGDBrh06}}[69gtCEJJECytg93[[//>;*&%$@@@@@@$&*;>//[666[[[/^^______}6fmBJOQRRRRRRQOMLGxia3((///^^^^^_____]]]___^^/(3aitDGJJJLLMOOQQQOMLGDDyyBwwuurmniiiicba:33336660eemmrrrrmhf06}____]",
+"____}}00hhnrrnhd006}}}}}}}_____]]]]]]]_____}}}}__________[[[60fhmmmmmnsyDGJJGDwnd6}}_[69jyCEJJECytja9[[^^/>;=&&%$@@$$&*;>//[[6663////^___}}}60hwGLQRRRRRRRQOLECtg93(///^^^^^_____]]]]]]]^^/(3atDGJJLLLLMOOQQQOMLGGCDDDDBwunnggaaa::(((3[[660eemruuwuumhf06}____]",
+"___}}60dhhnnnhd0066}}}}}}}____]]]]]]]]____}}}}}_______^[[[[600fhmmmmrswDELLLJDwh06}_[[6atxEEJEECytjg9[[^^//>-*&%%$$$%*=>///[6633(((/[[}}}}60fmuDLOQRRRRRRQOLECtg93(///^^^^^______]]]]]]]^^/(3btCJLLLLLLMOOQQQOMJJGGGGGDDBwngaa::::((([[[660efmrwBBBBwrh06[[____]",
+"___}}60dhhnnhhd0666}}}}}}}____]]]]]]]____}}}}}}}____[[[[[6600fhhmmruswDELMMLJCsh0[[^[[3gtCEEEEGCxttga9[[^//>;*&%$$$%&*;>/^/[333((((//[[600dhuwDJOQRRRRRRQOMJDtg93(/////^^^]______]]]]]]]^^//3cxGJLLLLLLLMOOOOMLJJGGJJGGDysic:::::((([[[660ehmuwBDDDywnh06[[____]",
+"___}[60ddhhhhd0066}}}}}}}_____]]]]]]____}}}}}}}}}_}[[[6999ddhhhmruuwBDELMOOMLGwg0[[^[[9jtCEEEEECCxtjg9[[///;=*%$$$$%&=>//^[[[3((>>(([66dhnwyDJLOQRRRRRRRQOLCtn93(//////^^^]_____]]]]]]]]^///3bxGJLLLLLLLMOOOOMJJGGGJJGGDBic<<:::((([[[60efhruBDGGGDysnd6[[[_____",
+"___}}60ddhhhdd0666}}}}}}}____]]]]]]____}}}}}}}}}}}6699ggnnnsssswwwyyDELOOQQOMEyn9[[[[39jtxCCCCCCCxtsg93[(/>-*%$@@@$&*->/^^^[///(>>(/[6dnwDGLMOQQRRRRRRRRQMJDjd3[///////^^^]]____]]]]]]]^^//((bxGJLLLLLLLMMOMMLJGCCGGGGDysic<:::((/[[660fhmuwDDGJJGDysg9[[[______",
+"___}}00ddhhdd006666}}}}}}____]]]]]____}}}}}}}}}}6609gnstyyDDDCDDDCGEJLOQQQQQOLDsd3[[[3ajtxxCCCCCCxyig93((>-*%$@@@$%&=>/^^^^^^///////6dnyGLOQQRRRRRRRRRRRQMEyg93(/((/////^^]_____]]]]]]]^^//((cxELLLLLLLMMOOMLJGDDDDDDDytic<::>(//[[60fhmuwBDGJJJJGysg9[[[______]",
+"__}}600dhhhdd00066666}}}}____]]]]____}}}}}}}}}}609dnstDCEJJLLLLLLLLMMOQQRRRQOMGtg93339ajittxxxCCCxtib33(;=*%$@@@@$&=;>/^^^^^^^/////[0myJMQRRRRRRRRRRRRRRQLGtg3(/(>>////^^^]_____]]]]]]^^//>>:lxJLMMMMMMMOOOMJGDwssswtttic<::((/[[[6dhmuwBDGJJLLJGDwn9[[[______]_",
+"__}}60ffhhfdf00006666}}}_____]]]]____}}}}}}}}6600dnsyCELMMOOOOOOOOOOQQRRRRRRQMJyia93399gjjiltxxCxysja::-~&%$@@@@$&*;>/^^^^^^^^^^^^[6hwJMQRRRRRRRRRRRRRRQQMCta3(((>(////^^]_______]]]]]^^/>>>:lCLMOOMOOOOOOOLGDtingniiiicc::((/[[60dhuwBDGGJJLLJGCynd6[[_____]]__",
+"_}}60fdhhhfff00000088}}}_____]]]____}}}}}}}66600dnsyCJMMOQQQRQQQQQQQQRRRRRRRQMJxia999999aaajityyytib:<~{%%@@@@@$&*;>/^^^^^^^^^^^^^[dsGMQRRRRRRRRRRRRRRRQOLCta3((((///^^^__________]]]]^//>;:bkEMOOOOOOQQQOMJCticaaacciccb:3([[[60hnwyDGJJLLLLJGDysd6[[______]___",
+"}}}60ffhhhfffe0000086}}______]]______}}}}}6000dhnsyCJMOQQRRRRRRRRRRRRRRRRRRRQMExja933333339ajistiib<<~{%$@@@@@$&*;>/^^^^^^^^^]]]_[9nCMQRRRRRRRRRRRRRRRRQOLCtb93((((//^^____________]]]^/>;;-ckFMOOOQQQQQQOMExl1<:::ccccba336[60dhsyCJJLLLLLLJGDysg9[[___________",
+"}}60efhhhhffee008086}}_____]]]_______}}}6600dhnstyCJMOQQRRRRRRRRRRRRRRRRRRRQOLCta93333[[3333abjjbb<1{)$@@@@@@$&*->/^^^^^^^^^^]]]^[gCLQRRRRRRRSSSSRRRRRRQMExtga99333[[[[____}}______]]^^/>;-<1kFMOOOQQQQQOOFAk21<<::acccgad9099hnwDGLMOOOMMLJGDBwnd0[[___________",
+"}800ehhhhhfeee0806}}}}__^^^]]]]______}}600dhnssyDEJMOQQRRRRRRRRRRRRRRRRRRRROMEtb933(///////3333a:<~{!@@+++@@$&*->/^^^^^^//^^^]]^[atLQRRRRRRSSSSSSRRRRRQOLExtjbggggad966[}}}}}}_____]]^^/;-==1kEMMOOOOQQOOMzo211<:::aagggggddhnsyCJMOOQQOOMLJGDwuhd6[[___________",
+"880ehhhhhefee0066}}}[^^^^^^^^^]]____}[60dhgnsyDGJLMOQQRRRRRRRRRRRRRRRRRRRQOMEtj93((/(//////((((:<~)!@++++@@$%*->//^^^^/////^^]^^3sEORRRSRRSSSSSRRRSRRRQMJCytiiitstsjndd0066}}}______]^//;-==<kCFLMMOOOOMLEok21<<:::adgnnnggnstDGLMOQQQQQOOLJDBunhd06[[________}}",
+"88eeehhheee006}}}[[/////>////^^^^^[[[60dgnstyCELMOQQRRRRRSRSRRRRRRQQQQQOOMFCtba3((((>>(//////(:={)@++..++@$%*->>/^^^//>>>//^^]^[axMQRRSRRSSSSRRRRSRRRQOLExttittyyDDytsnhdd006}_____]]^//>-==<lxGJLLLMMMLEok11<<::(3ddhnnnnswyDELMOQQRRQQOOLJDywnnd066[}_____}}}}",
+"88eeeeefe066[[[[////>>>;;>>///^^^[[[9dgnstyDCELMOQRRRSSSSSSSRRRRRRQQOMMLJCxlba::::::;>>(////(>-*%@++..++@$%*->>//^///>>>>>/^^]^[jEORRRSRSSSRRRRRRRRRQOMExttistyDCCCCCyyssnhd06}____]^^//>;-<<itDGGEJJJECxk11<-::(330dhhnuswyDGLMOQQRRRRQQOLJDysnndd066[[[}}}}}}}",
+"88eeeee066[[[////>>>;;-;;;>///^^[[[9gnsyDCCGJLMOQRRSSSSSSSSSSRRRRQQOMLGCylccc:<<<<<-;;>/////>;~&$++...+@@%*->>//^//>>;--;>/^^]^3tLQRRSRRRRRRRRRRRRRQOMExtjnnistyDCGGGCDyywshd6[___^^^///>;-<<clyDDCCCCxyl11<=;:((360ddhmnsyDGJLOQQRRRRRQQOLGDysnngd9066[[}}}}}}}",
+"8800066[[[////>>>;;----;;>(///^^[[9gstDCGGJLMOQRRSSSSSSSSSSSSRRRRQOMLGDtic<1111111<-->>/////>-*%@++..+@@%*->>/^^//>>-===;>/^]][9yMQRRRRRRRRRRRRRRRQOLEDsnggdgnswyDGGGGGGCDysg06[^^^^^///(>:::cityyDDyytic1<=-;>(/36660dhnsyDGLMOQQRRRRRQQOLGywsnggd9966666}}}}}}",
+"}}}}}[[////(>>;;;-----;>>/////[[[6dntyCGJLLMOQRSSSSSSSSSSSSSSRRRRQOMJCyic<1222|221<<:>//////>-*%@++++@$%*->>/^^^//>-***=;>^]]_[axMQRRRRRRRRRRRRRRQOMJDtndd0ddhnuwyDCGGGGGCDynd6[^^^^/////(((abittyyyttic<<~=-;>(/[[6600dhnwyGJLMOQRRRRRQOMEDwnnggdd99666666}}}}}",
+"___[[///>>>>;;;-----;>>/////^/[[[6dnsyCEJLMOQRSSSSSSSSSSSSSSSRRRRQOMJDtic122|oook1<:(///////>-*&$@@@@$%*=>>/^^^//>;=***=;/^]]_[gxMQRRRRRRRRRRRRRQQOLGyshd0000ddmmuwyDGGGJECysg9[[^^^/////((3agistwwssic<<~~=->(//[[}}660dhswDGJLOQQRRRQQMLCtngdddd999666666}}}__",
+"^^^//(>>;;;;;;----;;>///^^^^^^[[[0dgsyDGLMOQRSSSNNNSSSSSSSSSSRRRRQOMJDti112|ooooklb((/^^^^//>;-*&%$$%&*->>/^^^^//>-****=>/^]__[gxLOQRRRRRRRRRRRQQOMJCwnd0000000fhmrwBDGGJJGDtnd6[[[[[[[[[339agissssincc<~~~=;>(/[[}}}}660dgswyGJMOQRRQQOLCtnd9909999966666[}____",
+"^//>>;------;;;;;>>>//^^^^^^^^[[[60hntyCLMORSSNNNNNSSSSSSSSSRRRRRQOLExli1122kokklca3/^^^^^^//>;-=*&&*=->//^^^^//>;-***=;>/]]__[gyLMOQQRRRRRRRRRQQOLEDtnh00000000fhmuwBDGJJGDynd9[[[[[[66639agiisssinga:<~**=;>//[}}}}}}660dnstDGLMQQQQOLCtg96[[[66366[[[[[[____]",
+">>;;-=***=-;;>>>>///^^^]]]__^_}}}60dgsyGLOQSSNNNNNNSSSSSSSSRRRRRRQOLCxlcc<1lllllba3[^^^_^^^^///>;;---;>//^^^^^//>;-==-;>/^]]__6gyELOOQQQQQQQRRQQQOLECtsgdd000000ffhmuwDGGJGDysg99660999ddagjisttsinga:<~{{*-;(/[[}}}}}}}60dhnsyCJMOOOOLCtg9[[[[[[[[[[[[[[[^_^^^^",
+"-==******=;;>>///^^^^]]]_____}}}}60dgsyEMOSNNNNNNNSSSSSSSRRRRRRRQOLExlibbbbbccbb93[[^___]^^^^^////>>>//^^^^[[[//>;;;;>>/^]]___6dtGLLMMMMOOQQQRQQQOLECysngddddddddfhmuwDDGGGDysngdgggnnnnniistyytsngaa:~{&{~->//}}}}}}}}}00dhnwyCELMMMFAtb3((////[[[[[[[[/^^^^//>",
+"**&&&&**=;>///^^^^^]]_____}[[}}6600hsyCLOQSNNNNNNSSSSSSSRRRRRRQOMLECticbaaaaaa933[[[^____]]^^^^^^^///^^^[[[[[[/(>>>>>//^]]]___6dsDGJJJJLLOOQQQQQQOLJGDtsnngnnnnnnnmuuwyDGGGDyssnnsswttttttyxCCCxtiga:<{%%&~;(/[}}}}}}}}60fhnswyCELLMFAxl::>>>>>(((((((/////>>>;;",
+"&&&&&**->>//^^^^]]]___^[[[6600000dhnyCLMORSNNNNNSSSSSRRRRRRRQOOLJGxxtijgaa99933[[[[[____________]]^^^^[[60dd063(((>//^^]]]____6dnyDGGGGJLMOQQQQQOMLJGCytsssstyyywwwwwyDDGGCDyywwyyDDCDCDDCCEEEECxtcb<{)%%&~;(/}}}}}}}}800fmuBDCEJLLLFAk1<--------;:::::::;;;--=*",
+"****=-;>//^^_________[[[09dhhhhhhnsyGLMORSSSSNSSSSSRRRRQQQOOMLECDxytttsigga993[[[[[_________________[[0dgusnnd3((///^^]]]_____60nuBDDDDGJLOOQQQOOMLJGCytstyDGGGGCDyyyyDDGGCDDyyDDGEEEEGGGGELLMLJCxic~))$%&=>/[}}}}}88880ehuBDGJLMMMMFAk11=========<<<<--======~*",
+"--;;>(//^^__________[[9answtwwwwwyDGLMOQRRSSSSSSSRRQQQOOMLLECDytttyxDDxytijgd93[[[[[_______________[60hsByDysnd3(//^^]]_______}0huwBBBDDGLMOOOOMLLJEGCyttyCELLLLJEGDDDDDCCDDDDDCGJLLLJEGGEJLMMMMJCk1{)!$%{->/[}}}8888880fmwDGLLMOOOOMAok1<======<<<<<<111<<=----",
+"((////^__}}_______[[[9ntDCGEEEGGGJLLOOQQRRRRSRRRRQOMMLJGCDytsiiisyDGEEGCCytjga996[[[[___[[[[[[}}_}}6dmwDGJGCysg33/^^]_________}0hmuwBBDDGJLLMLLLJEGCDyttyCELMOOMLLJGCDDDCDDDDDGGJLLLLJEGGGJMMOOOLAk2|!!!%*;(/[}}6688880efuyGLMOQQQQOOFAkc<<::::::<c111l111<::>>>",
+"[[[[}}}}}}}______[[6ajxGLLMOOOMMMOOOQQQQQQRRQQQOMMFECxtsnnggagjiyCELLMLLECytsngd99[[[[[[[[66666}}}6dmwDJLLLECtg93[^^__________}0dmuuwBBDDGJJJGGCCDDyysssyCJMOOOOMLJGCDDCDGGGGGGJLLLLLJGCCCELMOOOMFo|!!!!)~;([[}}68888800hsDJMOQQRRRROOFCtca3333aacitkxCCxkiba333",
+"[}}}}}}}}}}}____[[3ajxEMOQQQQQQQQQQQQQQQQQQQOMMLECxtiga993399gixGFMOOOOMLJGCytjng9966[6660dddd0000fhuDJLMMLJCtg93[^^__________}6fhrruwBBDDDDDDBBwwwssnnstCLMOOOOMLEGCDDCGGGGGGJJLLLLJGDyyDCLMOQOOFA77!!!&=>([[}688866660hwCLOQQRRRRRROMJCwngdddgitxCEFFFECxigd66",
+"6}}}}}}}}}}}}__[[3aixEMOQRRRRRRRRRRRRQQQQOOMLLGCytjg93[[[[[3aixEMOQQQQOOMLJECytsjgd9999ddgnnnmhdfdhuyGLOOOMJDla3[^^____________60hmruuwBBBBBwwuuumnnhhhnwCJMOOMMLEGCDDDCGGGGGJJJLLLJGDywttCEMOOOOIzp7!!){<((66600086}}60hyGLOQRRRRRRRROMJDysnnnswyGJLMMMLECtnd00",
+"666}}}}}}}}}}}}66ajtAFOQRRRRRRRRRRRRRQQQOOMLJCytjg93[[[//[3aiCFOQRRRRQQOOMLJECytsjggdggnswByBwummmuBGLMOOOLExia3[^^____________}0fhrruwwBBBwuummhhhhddhnsyGLLLLJECyyyyDDGGGGGJJJJJJGDyssnsyEMOOOOIzp77!)~:(360000006}66dnyJMQQRRRRRRRRQOLGDBwsswyDGLLMMLLGDsgd00",
+"666}}}}}}}}}}}60dgtxEMORSSSRRRRRRRRRRQQQOMLJGysnd9[[////((alCMORRRRRRRQQOMMLJECysjnggnswyDCGDDBwwwBDJMOQQOLGtg33^^_________]]__[6fhmruwByyBBurmhfff000ddnsyCGGCxytssswyDGGGGGGGJJJJDywnggntCFOOOOIIpp7|21:addhhhhf00660hwCLOQQRRRRRRRRQOLJDBwwuwBDCJLLLJGDwnd006",
+"8888}}}}}}}}6600gjxCFINNSSSSRRRRRRRRRQQOOMLGDynd93(/(>>::blAIRSSSSRRRRQOOMMFJECytsnnnstDCEJJJJGDDDGJMOQQQOLCta3[^^______]]]]]^^[6fhmuByDGGDDwumhd0006600dgnstssnnggnswyDGGGGGGGGGGDDwngddgtCJMOOOIIvpp721innssuurmhd00hsDJOQQRRRRRRRRRQOLJDBwuuuuwyDGEEGDwnh0000",
+"66888888888800dhntxEFINNNSSSSRRRRRRRQQQOOMLGDsgd3((:--=<<kAINSSSSSRRRRQOOMFFJECxtsnnswyCELLLLLJJGJLMOQQRQOLCia3[^^______]]]^^^^[6dmsyDGJLLJGDwnhd066[[[[6699999999dgnsyDGGGDDDDDDDywuhd99aixEMOOIIIzppookyyDDDDDyysnnnsyEMQQRRRRRRRRRRQOLGDwurmmmuwyDDDDysnd0000",
+"088888888800edhnsxCEIINNNNNRRRRRRRQQQQQOOLJGysg3(:-=~{~2|AINSSSSSSRRRROOIFFFFECysjnnsyDGLLMMMMMLLLMOQRRRQOMCia3/^^____]]]^^////[0hsyGLMOOMLJCyuhd06[[[[[[[[[[[[[[69dnsyDDDDDBBBBBBurhd0669gtAFIIIIIzzzAAEEJJLLLLJGCyyyDEMOQQRRRRRRRRRQOMJCyumhhfhmnwyDDywsndd000",
+"008880008eeffhnsyDCFMINNNNOOOOOOQQQQQQOOMLJCtia::=~{{{|ozHNSSSSSSSRRRQOMFFFFEECysjnnsyCELLMMOMMMMMOQRRRRRQMAla3/^^^^]]]^^/>>>>(3dsDJMOQQQOMLGysh06[[^^^^______[[[69dnsBDDDBBwuuuuumh06[[[3alCFFIIzzzzzFFLMOOOQQQOMLJEELMOQRRRRRRRRRRQQOLGDwuhffffhnwyDDDywsnddf0",
+"66686000effhmuwyDCJLMOOOOOMLLLLLMMOOOOMMLJCyib::<~{{||pzHNNSSSSSSSRRROMFAzAFEECxtsnswyCJLLMMMMMMMOQQRRRRRQOEtb3(//^^^^^//>;==;(aiDJMQQRRQQOLGysh06[[^^^^_______[[60dnswyBBwurmmhhd006[[^/(3btCAzzzzAAzFMOORRRRRRRQOMMMMOQRRRRRRRRRRRQOMJDBumhfffdhsyCGGGCDtsnhdd",
+"[[[[[6660fhmuwyCGJLMMOOOMFJGCCCGJJLLLLLLECxiba:<~~{||pzHNSSSSSSSSSRRQOFAAAAAEECCtssstyGEJLLLMMMMMOQQRRRRRRQMCia3(//////>;=*&*=:cxJOQRRRRRQOLGysh06[^^^^^_^[[[[[[600hnuuwwwumhff0066}___^//(aikooooooAEFOQRRRRRRRRRQQOOQQQRRRRRRRRRQQQOMJDBumhffdhnyCEJJJGCysngd0",
+"////((336ddmsyCGJLMMMOMMFECxywwyyDCGGGGCxtja::<<~22ozINNSSSSSSSSSRRRQMFAooAFFFECytssyDCGJJJJLLLLLOQQRRRRRRQOFxc::((>>>;-*&%%&~<kEMQRRRRRRQMJDwnd0[[^^^^^[[3999990dhhmuuuurmhf006}}____]^//(:<1lkookkAFFORRRRSRRRRRRQQQQQRRRRRRRQRRQQQOLGDwumhdffmsyGJLLJECysna93",
+";;;;;::((3aiwDELLMMOMMLLEDywsnnnstwyyyttjaa3::<<12ozIONSSSSSSSSSSSRROFAoooAFFFJExtttyDDGGGGGGGGJLMOQRRRRRRRQMAk1<::>;;=&%$@@%{1CMQRRRRRRQOLGysh06[[[[/[39gjjjjnnnnnmmrrmmhff06}}_____]]^/>>:<11222kkxEMORRRSRSSRRRRRQQQRRRRRRQQQQQQQQOLJDwumhddhnsDGJJEECxlca:::",
+"**&***~=<:ciDELMOOOOMMLJCywsnhdddgggggga33(:--<11kAINSSSSSSSSSSSRRRQOEoooozFMMMJCyttyyDDDDDDDDDGJLOQRRRRRRRROFAk1<:--~&%$@@@${kEOQRRRRRQOMGysg96[[[//[3btxCEECDywwuurrmmhee0}}_____]]]]^/>;--<1111llxAMORRRSSSSRRRRRRRRRRRRRQQQQQQQQQOLJDwumhfddgsyDCCDxlcc<<-=~",
+"%%%%%&{~<<iyELMOOOOOMLJGDysmdd903399933((>;--=<1kAIORSSSSSSSSSSSRRRQMAooopzIOOMLECyyyyyyBBwwwwBBDJMQRRRRRRRRROFok1<==*&$@++@!|kEMOQRRRQOLCtng96[[[//(3bxELMMMLJGDywuummhe00}}____]]]]]]^/>;--=<111clkAFOQRRSRSSRRRRRRRRRRRRRQQQQQQQQOOLGDwnhdddddgistiicb<<~~*&&",
+"%%&&&*~~<1kALOOQQQOMLLGDBumhd0333((((((>;--==<1kAIORSSSSSSSSSRRSRRROFoo7pzIIOOOMJCyytyBBwwuuruuwBGLORRRRRRRRROMAk1<~*&%@@++@!{kCFMOOOOFExig96[[[///(3btFMQQQQOMLGDBwurhee0}}_____]]]]]^//>;;--<<<<cclCFOQRRRRRRRRRRRRRRRRRRQQQOOOQQQOMJCyshd06669aaaaa:::-=~**&&",
+"***==-;:clCLOQQQQQOMLJCysnhd633((/(((>>;-===<1kAIORRSSSSSSSSSRRSSRROzp77pvINRQOMLEyttssuurmmmmrrwDJOQRRRRRRRROLCk11{&%$@+++@${1kxGEEACklba3(//^^///(3lEMQRRRRQOLJDBwrmhe0}}_____]]]]]]^//>;;::<<::bclxEMQRRRRRRRRRRQQQQQRRQQQQOOOOOOMLGysgd063[((3333((>>;---==*",
+">>>>((3alCLOQQQQQOMLJCysnhd66[///(((>;-=~~~11kAIORRRSSSSSSRSSRSSSSRIzpppvHNNRQQMLCyssnnnmhheeehmrBGMQRRRRRRRQMJCk1{)!@+++.++${1cittlicb::((////////(axFQRRRRRQOLJDBurme06}_____]]]]]]^^/>>::::::::bbjtAFOQRRRRRRRRQQQQQQQQQQOOMMMMLLJCysh96[[//(((((/////>>>>>>>",
+"^^^^/[9iCLOQQQQQOMLEDBsmd06[[///((((:-=~~~1koFOQRRRSSSSSSSSSSSSSSSSIzppvHHNRRQOMFCtjgdddffeeeeeehuDLOQRRRRRQOLGk22)@++....++${~<bgaa::::>>(////////(axMQRRRRRQOLGDwumhe0}}_____]]]]]]^//>:::bbbb:::bblxEMOQRRRRRQQQOOQQQQQOOMLLJGGCCxtia93[///(((///////////^^^^",
+"]__^[9nyJMOQQQQOMLGDwnh006[[[//((((::<1122oAIORRSSSSSSSSSSSSSSSSSSSNHvvvHNSRRQOMExjg990000088880fmyJOQRRRRQOLCy12)@+.......+${~<baa:((>>>(//^^^^^^/[gxMQRRRRRQOLGBwrmee6}_____]]]]]]^^/>::ccllccb:::bclCFOQQRRRQQQOOOOOOOOMLJGCyttsijga3[/////((///^^^^^^^^^__]]",
+"___[6gtGLOQQQOOLJCysg006[[[[[/((3abc112oozIIRSSSSSSSSSSSSSSSSSSSSSNNHHHHNNSRRQOLCtg96[[[}}}}}}660hBGMOQQQOMJDtc1)@+.......+@${1ccba3((((//^^^^^^^^^[gyMQRRRRRQMJDBurme86}______]]]]]^/(>:clkkklc<<:::bixEMOQQRQQQOMMMMMMMLJGDtiggdd9933//////>>///^^____________",
+"__[[9sCJMOOOOMLGysgd06[[[[^^[[3abclkoAzIIINSSSSSSSSSSSSSSSSSSSSSSSNNHHHNNSSRRQMEyj93[[[______}}}6dsCLMOOMJCtib<~)@+......++@)22lliba3(///^^^]]]]__[6gyLOQRRRQOLJDwumhe06}______]]]]]^/>:<koAAxkl<<<<::blCFOQQQQQOMLJJJJJJGCtigd96[[[[[///////////^______________",
+"__[9gtGLMOOMLJDwnd6[[[_[^^^[333blkAAIINNNNSSSSSSSSSSSSSSSSSSSSSSSSNNHNNNSSSRROMCta3[[^^_________}0nyGJLJGDsg::=*%$@++..++@$){2oCxxib93[[^^^_______}6dwEMQQQQQMLGBwrmhe06}______]]]]^//:<lozFFAkl11~~<:bjxEMOQQQOMLECCCCCDysgd0[[[[[[[[[^^^^/////^^______________",
+"__[9jyELMMLJGysd0[[____^^^[[33blxAFIQNSSSSSSSSSSSSSSSSSSSSSSSSSSSSQNNNNSSSRRQOFxj9[[^^^^^_______}0hsyCCDtna::;-=*&$@@++@@$){2oEFFCxja3[[^^________}6dsDLOQQOOLJDBurmhe06}_______]]]^/>:1kzIIIzo22{{~=<:clALOOOOMLGxtttsssng96[[[[_^^_^^^^^^^///^^______________]",
+"_[6gtCELLLEDwnd6[_____^^^[[33blxFMORSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRONNNSSSSRRQMEta3[^^^^^^^^]]]___[0gsssiga::;;;;-=*&%$$$%&~1oFMMMECta93[[[[[[[___}}6fnyGLMOMLJDBwurmee06}}______]]^//:<2ozIIIzoo|)){~<:bjxEMMMMLEytjngggd90[[[___________]^^^^^^^_____________]]",
+"_[9jyCEJJGDwnd6[^^^^^^^^^[33ajxAMORSSSSSSSSSSSSSSSSSSSSSSSSSSSSRROOOQSSSSRRRQMCl9[^^^//////^^^]]_[[9daaa::;;;>>>>>;-**&&&~1kAMOOMFCtb93[[[[[[[}}}}}6fhuDJJLJGDBBurmmhe06}}______]^^/>:1ozIIHHIp7|)){~-::blxEFLECxtja999066[[[_____________]^^^^^]___________]]]]",
+"[9gtCEEEGCynd0[^^^^^^^^^[339blCFORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSROOOORRSSRRRQOFxj3[^^//>>>>>//^^^^^/[3(::---;>>/////>;=**~=1kFOOOMFCla3[[[[[[[[[}}}}60hrBDGGGDBwurrmhe006}}}}____^^/>:<2oIHNNHHv77!){~-((3aixCCCtjg99666[[[}}}}}}__________]^^^^]]__________]]]]]",
+"6atxEJJJCDsg96[/////////[33ajxEORRSSSSSSSSSSSSSSSSSSSSSSSSSSSSRQOOMOQRRRRRRQMEta[[^^/>;;--;>>//////>;;-==~=;>/^^^^//>-=*~~1oFOOOMExja3[[[[[[6666}}600fmuBDDBBwurrmhee0066}}}}___^//>:1kzINNNNHv47!){=;(((3ajlttja96[[[[[}}}}}}}6}[}_______^^^^^^]_________]]]]]]",
+"gtxEJLJECyia3(((>>>>(//((3abtAMQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRQOOOOQRRRRRQMJxj9[^^//>;=**=-;>>>>>;-=*****-;>/^]]]^/>-***~2AFIMMExla3[[[[[66666666600emruwwuurrmmeee0066666}}__^^/(>:lAINNNNNHvv7!{~->//^[39aga99[[[}_[_[_}[6660666[[____^^^^^^^]]]_______]]]]__",
+"txELLLLExtja::-====-;>((3ablCFORRSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRQOOOOQQRRQQOLxj9[[_^^/>-=***=-;>>;-**&&&**=;>/^]]]]^/>-*&{{2ozFFExla3[[[[[399900666000ehmruurrmmheee006666666}}_^^//(bkFNNSNNNPHv7){=>//^^[[[366[[[[_____[[[660ddd906[[[^^^^^^^^^^]]_______]]]__[",
+"xEJLMLJCxic<<~{{&{{~=<::bckAFORRSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRQQOOOOQQQOMLCsa6[__^^/>;=***-;;;;-**&&&&*=->/^]]]]]^/>=*&&{|oAAAxla3[/^[[[9dddd000000eehmrrrrmmheee0066666666}}_^^//3cCMRSSSNNPHv7){->/^^^^[[[[[[[_______[[69ddnnngd0[[[[//////^^^^]___________[[",
+"EFLMLJCxlc11{)!!!!)){~11koAIORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRQQOOOOOOOMJCtg9[[___]^/>;---;;;;-=*&&&&**-;>/^]]]]]^/>=&%%)||ookcb((///[[9dgggdd0000eeemrrurrmmeee8088666686}}___^/(alFORSSSNNPHv7)~;(/^^____[__________[[[69gnsssng96[[////////^^^^^^^^______[39",
+"EEFJECkl12{)!!!+'+!!!||ozIINSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRRQQQOMMLLLEDsg9[____]]]^//>>>>>>;-**&&&**-;>/^]]]]]]^/;*&%$))||21<::>>///39dggghd0000eehruuuuurheee0006666866}}___^/3bxFORSSSSNPKv7|~:(/^^______________[[[39gjsttssga3[(/////////^^^^^[[[____[[9g",
+"CCCxxkl22{)!!++''''''4pvHPPNNSSSSSSSSSSSSSSSSSSSSSSSSRRRRRRRRRRQQQOLLEGCyjg6[____]]_]^^/////(>;-*&&&**-;>/^]]]]]]]^>-*%$$@!)){{{*~=;>(/3dhhhhdf000eeemuwBBBwrmfee8000666066}}__^^[9lAORSSSSSNPKv72<((/[[____________[[[[39ajjstttsga33(((>>>(////^^^[[[[[___[[9g",
+"tllic11{{)!!!+''''',45qKKPPPNSSSSSSSSSSSSSSSSSSSSSSRRRRRRRRRRRRRQOMLGDysn96[[___]]]__^^[[3993(:=*&&**-;>//^]]]]]]^/>=&$@@@@$)))%%%&~;>(6dhhhdfe000eemrwBDDDBumhffee80800006}}__^[3bxFORSSSSSNPHvo2<33[[[[[_^_______^[[[399gjtttttiga33((>>>>>(////^[333[[[__[[39",
+"aaa:<~{{%)$!@+++'',5qqKKKPPPNSSSSSSSSSSSSSSSSSSSSSRRRRRRRRRRRRRRQOLEDwnd9[[___]]]____[[9gistib:=*&&*=;>>/^]]]__]]^/-&$@+++@@@@@@@$%&=>(0fffffe0088eemuBDGGDywuhhfeeee800806}}_[[3alAORRSSSSSNNHzolba36[[[[[^^^___^^[[[339aajjtttija93((>:>>>>>(///[33993[[^^^[[3",
+"(((;=~{&%%$$@++'',5qqKKKKPPPSSSSSSSSSSSSSSSSSSSSSRRRRQQQRRRRRRRRQOLGynd9[[___]]]____[9gsxGEEClc<~**=-;>/^^]]___]^/>*%@+++++++++++@$&=(30fffee8008eemrBDGJJGDwrhffeeeee80806}}[[39jxFORSSSSSSSNHzolca9996[[[^^^^^^^^[[3333aabjjijjba3(::::;;>>>>(/(3aaaa3[[^^^^^[",
+"/>>-=*&&&%%$@++',5qqKKKKPPPPSSSSSSSSSSSSSSSSSSSSRRRRQQQQRRRRRRRRQOJCsg9[[[___]_____69nyELMMLJxl1~~=-;>//^^]___]]^>=&@++.....+++++@$&;(600eee80888eemuBGJJJGDwnhdfeeee88008}}}[[3bxFORSSSSSSSSNIFAkiggd996[[^^//^^^^^//(3333aaaabaa:::---;;::>>>>((abjjja3[^^^^^/",
+">>;-=**&&%%$@@',5qqKKKKPPPPSSSSSSSSSSSSSSSSSSSSRRRRQOOOQRRRRRRRRQMJDsd9[[^_______}6dsDJMOOOOLCk11=-;>//^^]____]^/;&$++.........++@%~:(6608e88888eehrwDGJJJCyshdf0000008086}}}[3alAORRSSSSSSSSROFAxljgg996[[///////^////(((33333:::<=~~~==-;;;;:::aclxtlb93//////",
+">>;-=**&&%%$!!45qqKKKKPPPPSSSSSSSSSSSSSSSSSSSSRRRRQOOOQQRRRRRRRRQMEysg9[[[______[6dsDJMOQQQOLGlc<-;>(/^^^_____]^>=%@+..........++$&-([668888888eeemuBDGJJGDwnd00000000686}}}[[3jxFQRSSSSRSRRRROFAxtjgd96[[[//>>>//////((((((((:;=~{&&{{~~<<<<-::<lkCCCxib33(////",
+"(>;-=~*&&%)!!45qKKKKPPPPPSSSSSSSSSSSSSSSSSSSSRRRRQOOOOQRRRRRRRRRQMJDwnd0[[[[_[[60gwCJMOQQQOMJxib::>(//^^______^/;&$+...........+@%=>/[68888888eeehmuBDGJGDysh0066}}}}}}}}}}}[6atEORSSSSSSRRRRROLCyigd96[[[//>---;>>>>>>;;;;;;;-~&%$$$$){~11<<<11koAFFFAxia3((((/",
+"((>;-=~{{))74vKKKKKPPPPSSSSSSSSSSSSSSSSSSSSSRRRRQOMMOQRRRRRRRRRRQMLGywnh906660dgsyGLMOOQQOMLCtga(((///^^_____^^>=%@+..........+@%*;/[}6888888eeeehruBDGGDysh066}}}}}}}}}}__[[3jCMQRRSSSRRRRRRROFCtja96[[[^/>-*&**-;;;;-======*&%$@@++@!)|222222oAIIOOOFAtib:((((",
+"//(>;=~{{|7vvKKKKPPPPPSSSSSSSSSSSSSSSSSSSSSSRRRQMLLMOQRRRRRRRRRRQOMLECywsnggnswDGLMOOQQOOMLGynd3((///[^______^/;&$+.........++@$&;(/}}88888eeeeehmrwBDDDysnd06}}}}}}}}}}___[[atFORRSRSRRRRRRROMExia96[[[^^/>*&%%&&*===**&&&&&%%@@+++++!77ooooopzHNNRROOFClcb:333",
+"[//(:-~2|pvHKKKKPPPPPSSSSSSSSSSSSSSSSSSSSRRRRQQMLLLOQRRRRRRRRRRRQQOMLLJGCDyyDGJLMOOQQQOOMLGynd6[/////[[_}___^/>*%@+....++++++@$&=>/[}68888eeeeeemmuwyDDysnd06}}}____}}_____[3jCMQRRRSRRRRRRRQOJCtg93[[[__^/-&%$$$%&&&&&%%$$$$$@+++..+''7pppppzHHNNSSRROFAklca333",
+"[[((:<2|pvKKKPPPPPPPSSSSSSSSSSSSSSSSSSSSSRRRRQOLJJLOQRRRRSSRRRRRRQQQQOOMLLLLLMOQQQQQQOOLJCBnd6[//////[}}____^/-&@+...++@@@@$$%&=;/[[60888eeeeehhmruwyyBsnh06[}_____}}}}___[[9tEORRRRRRRRRRQQOLExia3[[[__^^>=&$@@@$%%%%$@@@@@@+++....''4vvzzzvHHNNSSSSROMExlcaa36",
+"[[((:1opvKKKKPPPPPSSSSSSSSSSSSSSSSSSSSSSRRRRQOLJJJMORRRRRSSRRRRRRRRRQQQQQQQQQQQRRRQQQOLJDwnd6[^^//////[}___^/>*%@+.+++!))%%%&&~;(/660eeeeeehhmmmmruwwwsnh066}_____}}}}}}__[3gxMQRRRRRRRRQQQOMJDib3[[[[^_^/>*%$@@@@$$$$@+++++++......'44vvIIHHHPNSSSSSRQMFxlca996",
+"[[(3ckpHKKKKPPPPPSSSSSSSSSSSSSSSSSSSSSSRRRRRQOLJGJMQRRRRRSSRRRRRRRRRRRRRRRRRRRRRRRQQOLJDwnd0[[^//>>>///___^^>=&@+++''!||{~***~->(6dhhhfeefhmmmmmmussssnhd06}}____}}}66}}}[[9tEMQRRRRRRRQOOMMJCtja3[[^^_^^/>*%$@@@@@$@@++...........''4vvIIIHHNNNSSSSSROMAxiaa6[[",
+"^[3bkzHPKKKPPPPPSSSSSSSSSSSSSSSSSSSSSSSRRRRRQMLGGJLORRRSSSRRRRRRRRRRRRRRRRRRRRRRRRQQMJDBuh0}_^^/>;;;;(//^^^/;*$@++''47po21~~~=:(dgussurmmmmmrrrmnnnsnngd06}}____}}}60006669jxLQRRRRRRRQOOMLJGDsb3(/^^^_^^/;*&$@@@@@@+++...........+'7pzIIIIIHNNSSSSSRROFCtca3[[[",
+"^3alAIHPPPPPPPPSSSSSSSSSSSSSSSSSSSSSSSSRRRRQOMJGCGLMQRRSSSSSSRRRRRRRRRRRRRRRRRRRRQQOLGBuhf6}_^^>;****->>//>;*%@@+''4vpzok1<==-:anyDCDDywuuuruurnnnnghd066}}}___}}}60df0069gtEOQRRRRRRQOMLLJJCxia3(/^^^^^^/>~&$@@@@+++............+'77pzIIIIIHNNSSSSRRQMExia3[[[_",
+"^3bxFNPPPPPPPSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRQOLJCDDEMORRSSSSSRRRRRRRRRRRRRRRRRRRRQQOLGDwrh0}}_^/;*&%$%&**==*&%@@++'4vvIIAkl<<<::ctGLLLJDywuuuurnhhddd0066}}____}}}600dddd0djCMQRRRRRRQQMLLLJECyia3(/^^^^^//>=&$@@++++....    ....''77ozFFFFIIINSSSSRRQOLClg9[[^__",
+"^3lFINNNPPNSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRRQOLGDyyxGFORSSSSSSSRRRSRRRRRRRRRRRRRQQOMJDBumf0}_^/>=&$@++@@$%%$@@@+@@7pzIIIAkl1<<:biDJMMLLGDwsunnhhdd0066[}}______}}}600dddddnyJOQRRRRRRQOMLLJJGCtib((//^^^[[(:=&$@@+++....     ###''77zzFMMFFIINNSSSSRRQMEyja3[^^__",
+"[axMRSSSNSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRRQOLGysiitCFIRSSSSSRRRRSSSRSSSRRRRRRQQOLJGDwume0}[//;*%@+....+++++++@@)|ozIIFAkc<::::ixJMMLLGysnnhdd00666[}}________}}}}6000ddntEMQRRRRRRQOMLLJJJGCtc<:>(///[33a:<{$@+++....     ###'44pzFMMMMMFIIRSSSSRRROLCtg33/^^__",
+"3jAORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRQOLCyigbclkAFIQSSSRSRSSSSSSSSRRRRRQOMLJGDBwumf0}[/>-&@+...........+@${2oAFFAkcb:::(3btCJLJGDtngd00666}}______________}}}6600hsCLORRRRRRRQMLLJJJGCxic<-;>//33bjll2|)!++....     ##,,5vvIIIOOMMMMOORSSSRRRQOLCtb33[[^__",
+"axMQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRQOLCwna:<122opzIIQRRSSSSSSSSSRRRQQMLGDDDBBBurhf6[(>=%@+...    ....+@%~<lxxxlcb::>>((3jtCCCysnd9666[}}__________________}}}60gtEMQRRRRRRQOMLJEEGCDtic<=->/(3btCAAAo7!''.#     ##,,55vHHNOOOOOOMOORRSSSSRRQOLCtja33[[[[",
+"tEORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRQOJDsb::=~{{)||opzIORSSSSSSSRRRQOLGDyyBBBBBwumd63(:~%@+...     ....@%=:bbbba:(>>>///[9gsssjnd9666}}}}___________________}}6dsCMQRRRRRRQOMLJGGGCDysc<<=->(3atAMMOIzp7'''#######,55qKPNNRRQOOOOOOORRSSSRRRQOMExlcba3399",
+"EMQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRQMJyia::=*&%))))||ozIQSSSSSSRRQMJCtsuuwBBBBBund03(:=&$+...      ...+%=:(((((>>>>//^^[[9gnnngdd9666}}}}__________________}}6dtJOQRRRRRQQOLJGGCDDyysg:<-;>(3jCLOQQOIIp44'#####,,5qqKPNNSRRQQOOOOOQRRRRRRRRQOLExkklcbjit",
+"MORRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRQOJCsb:(;=*&%%$$)){2koFIRSSSRRQMFxsnhhnuwBBBBsnhd93:-~%$+...     ...+$*;>>>>;;>>//^^^[[9dgnnnnngd00066}}}}__}}}}}}}}}_}}}}60nCLQRRRRRQQOLJGGCDDDywsg::;:((atEMQQRROIzp74'',,,5qqKKPPSSSRRQQOMMOQQRRRRRRRQOMFAoookkkxCE",
+"OQRRSSSSSSSSSSNNNNNNSSSSSSSSSSSSSSNNNNNNNOMJxib3((>-=*&%%%%{~<1loFIRRRRQOMExjgddhhuwwBwsngdda3:<~%$+..     ...+@&=;;;--;;>/^^_^[60hnswyyyysnhff0066}}}66006}}}}}}}}}0dwEMQRRRRQQOMLGGDDDDDyytna::>(3atJOQRRQQOMzpp7445qqKKKPNSSSSRRQOMMMOQQRRRRRRRQOLEAoo7oooAFM",
+"QQRSSSNNPPPPPKKKKKKPPNNNNNHHIIIIHHHPKKKHIAxlba3(((>;-=~***~=-::ixFIRRRRRQMLCtjgddhgnsssssngggga:<~%@+..     ..+@%&*====-;>^^]_[[0hnsBDGJJGGDwumhee00fffffee0066}}}60dnDLOQRRRQQOMJGDDDyyyDDyyib:(((3bxJMQQQQQOMFFAzpvvKKPPNSSSSSSRRQOMMMOQQRRRRRQQMLGxko777ooEMO",
+"QQRNPPKKKKKqqqqqqqqvvvpppooo||||||7744447|1<(((//>>>>;;;;::::actAMORSSRRRQOMExjgdddgnnsssssssiig:~)@+.     ....+$%&&&&*=;/^^^[[6dgnwDGJMMMLJDBwrmmmmmuuuurmhff000000hsCLOQQQQQOLJGDByBBBBDDDDtia:((3axEMOQQQOOMMMLLIINNNSSSSSSSSSRRQOMMMOQQRRRRQQMJCtl2|!!77oAMO",
+"QONKqqqqqq5555,,,,''!!)){){{{{{{{))!!'+'!){=;>>>>>((((3333adnsDJMRRSSSSSRRRQMJxjgd9ddgnnsswyyytic~)@..    .....+@$$%%%&=;/^^^[[9dhnwDJLOOOOLJDBwwuwwBDDDDBwumhff00fhnyELOQQQOMLJDBwwuuuwBDDGGDic:((3bxEMOOOOOOOOOOOORRSSSSSSSSSSSRRQOMMMOQQRRRQQOLCyic1)!!!)2xFO",
+"QIvq555,,,,,######.+@$%%&&&&&&&&&&%$$@+@@$&*-;>>>((:abjinnnwyGLORRSSSSSSSRRRQMJxtga9ddgnssyyDxti1{!+.     ....++@$$$$%&*;/^^^[[09dgsDJMOQQOMLJGDDDDGJJLJJGDyumhfddhnsDJMOOOOMLGDwurmmmmuwBCGGCtc::(3jxJMOOOOOOOOOQQQRRRSSSSSSSSRRRRROMMMOQQQQQQOLGynd:~)!@@)2lEO",
+"Oz5,,,########    .+@$%&&&&***====*&%$@@$%&*-;>>>(ajtxCCyDDGJMQRRRSSSSSSSSSRRQMExjga9ddgnstyyyl12!+.     ...+++@$$$$$$%*;>/^^[[[60dnBGLOQQOOLJJJJJJLMOOMMJGDwunhhhgsyCJMOOMLJGywumhhffhmsyCGECkc:::blAMOOQOOOOOOQQQQRRRRSSSSSSSRRRRQOMMMMOQQQQOLJDsh3:~)$@@)~cDM",
+"Jo'######        ..+@%&&**==-;>>>>;-*&&%&&*=-;;>:bkAFLLLJGJLOQRRRRSSSSSSSSRSRRQMEyjgaddggnsssi1|!+.     ..++@$$%%%%$$$%*->/^^^[[[[0dsDLMOOOMMLLLLMOOOOOOMLGDwsnhhgntDELMMMLJGywumhfe00ffnwDGGCkc<:biCFOQQQQOOOOQQQQRRRRRRRSSSSSRRRRQOMLLMMOOOMLJDwmd3:~%$$$&~btJ",
+"y1!#            ..+@$&*=-;>>>//^^//>;-=**==-;;>:lxFMOOOMLLMOQRRRRRRSSSSSSSSRRRQMFCtjg99dagggc1|!'#    ...+@%&&***&&%%%%*->//^^^^[[[0nyGLMMMLLLLMOOOQQQQOMLGysnhddgiyCLMMMLLGDwumff00000fhsyCCCtccccxFORRRRRQQOQQQQQRRRRRRRSSSRRRRRRQOMLLLLLLLJGDwrh03(={%%&~:anD",
+"n:)+.          ...+$&*-;>>//^^]]]]^^/>>;;;;;>(blAMOQQQQOMMOOQRRRRRRSSSSSSSSRRRQOMEyig999999a<)@.#    ...+$&=-;;;;-*&&%&*=;>//^^^__[6dsDGJLJLLLMOOQQQQQOMLGDsngd9dgsxELMMMLJDysmdf066}}60hsDCCCxlllxFORRRRRRRQQQQQQRRRRRRRRRRRRRRRRRQOLLJJJJJGDBwrhf63(-~{*~:3drB",
+"m3~$+............+@&=;>//^^^]]]]__]^^//>>>>>(bkFOQRRRQQOOOOQRRRRRRRSSSSSSSSRRRQOMEyja93333(<)@+      ..@%*;>////>>-=*&**=;>>//^^^__[0hsyDDGJJLMOOQQQQOMLGysgd9399gtCLMOOMLEDwnhd06}}}}}0hsDGEECkkxEORRSSSRRRRRQRRRRRRRRRRRRRRRRRRRQQOLLJGGGDDBurhf063(:=~=:(0huw",
+"h0:&@+++..++.+++@$&=;//^^]]_______^^^///(((alxFORRRRRQQQOOQQRRRRRRRRSSSSSSSRRRQOLCtj933((>=%@..     ..+%*;/^^^^^/>>-=**=--;;>>//^^^}6dhuwyDGJLMOOOOOMLJCysg96[[39jyELOOOMLGysgd06}}___[6dsDEJEACCAMORSSSSRRRRRRRRRRRRRRRRRRRRRRRRRQQOLJGGDDBBurmff063(::::33dmuB",
+"h0(=&%$@@@@@@@@$%*->/^^^_______[[[[[33333ackFMQRRRRRRRQQQQQRRRRRRRRRRSSSSSRRRRQMExja3(/>-*%+..     ..+$*;/^]]]]]^/>;-=========;>/^^^[6dhmuBDGJLLMMLLJCysg93[[[[3aixFOOOOMLGysh06}}____}6gtCELFEEEFORSSSSSSRRRRRRRRRRRRRRRRRRRRRRRRQQOLJGDDBwurmef00633:::33dhruB",
+"h0(>-**&&&******-;//^^_____}[[669999aaaaclAFORRSRRRRRQQQQQRRRRRRRRRRRRRSSRRRRROLCla3((;=&$+..     ..+$*;/^]]]]]]^/>;-==***&&&&*=>/^^[}60dmuBDGGJJGGDysg96[[[[/(3btEMOQQOMLCynd06}_____[6gtGJMLFFFMORSSSSSSRRRRRRRRRQRRRRRRRRRRRRRRRQOLJGDBwurmeef00033::3adhmuwB",
+"he6/>>;;;;;;>>>>//^^^[[[}66660dgnjtjiiltCFORRSSSRRRRRQQQQRRRRRRRRRRRRRRRRRRRRQMEtb3((-*%@+..     ..+$*;/^]]]]]]]^/>;-=**&&%$$$%&=>/^^[}60dmuwyyyywsng96[[^^^//(3iCLOQQQOMLCtnd6[[_____[6gtGLMMFFMORRSSSSSSRRRRRRRRQQRRRRRRRRRRRRRRRQOLJGDBurmhee000093aaaddmruBB",
+"he6[/////////////[[[[660000ddnsyDCCCxCAFMORSSSSSRRRRQQQQRRRRRRRRRRRRRRRRRRRRQOFxj93(;=&$+...    ..+$*;/^]]]]]]]]^/>;=**&&$@@+@@%*;>/^^_}}0dhmnnngd06[[[^^^^^//3bxJOQQQQOMJCtnd6[_____^[6gtELMMMMMQRSSSSSSSRRRRRRQQQQQRRRRRRRRRRRRRRQOLJGBwummeee00099aaaddhruwBB",
+"he6[////////[33399aggnnnnnnswyGJLMLLFFMORRSSSSSRRRRRQQQRRRRRRRRRRRRRRRRRRRRRQMCta3((;~&@+..     .+@&;/^]]]]]]]]]^/>-=**&%$@+++@$&=>/^^^__}6600066[[[^^___^^^/3atEMOQQQQOMJCwn06[_____^[3gyELMMMMOQRRSSSSSRRRRRRQQQQQQRRRRRRSSRRRRRRQOMJGBwrmeee00009daaddhmruwBB",
+"ee6[[////[33ajitxxCCCCCCDDDCGJLMOOOOOORRSSSSSSSRRRRQQQQRRRRRRRRRRRRRRRRRRRRQMExj33((;=&$+..    ..@&->^]]]]]]]]]]^/>-=**&%$@+++@$&=;/^^]_____[[[_^________^^[39iCLOQRRQQOLJDwg06[[_^^^^[9nyEMMMMOQRRRSSSSRRRRRRQQQOQQQRRRRRSSSRRRRRRQOMJDBurmfe000099dddddhmruwBw",
+"ee6[[//(3ajtxEFMMMMOMMMMLLLLLMOQQRRRRRSSSSSSSSSRRRQQQQRRRRRRRRRRRRRRRRRRRRROLCla3[//>-*$@+......+%*>/^]]]]]]]]]]^/>;-=**&%$@@@@$&=;>/^^]]_______]]]]]___^[[[9jxJOQRRQQQOLGysh06[^^^^^^[9sCLMMOOOQRRRSSSRRRRRRQQOOOOQQRRRRSSSSSRRRRRQOMJDBumhee000099aadddhmruwwu",
+"e06[[(3abtCFMQQQQRRRRRQQQOOOOQQQRRRRSSSSSSSSSSRRRRQQQQRRRRRRRRRRRRRRRRRRRRQMEtj93[//(;~%@+.....+$*;/^]]]]]]]]]]]^/>>;;-=*&%$@@$%&=;>/^^]]]]]]]]]]]]]___[[[39jyEMOQQQQQOMJDwnd0[[^^^^^^[gtEMOOOOQRRRSSRSRRRRRRQOMLLMOQRRRRSRRSSRRRRRQOLJDyumhff000099aaddhmruuwuu",
+"e66333bckEMORRRRRRRRRRRRRQQQQQQRRRRSSSSSSSSSSSRRRQQQQQRRRRRRRRRRRRRRRRRRQQMExia96[[//>-&$@+...+@&->/^]_]]]]]]__]^^//>>>;-*&$$$$&*->//^]]]]]]]]]]]]]]__[[39ajtALOQQQQQOMJGBsh06}^^^^^^[3nCLMOQQQQRRRSRSSSRRRRQQMLJLLOQRRRRRRRSRRRRRQQOLJDyumhf000009daaddhmruuuur",
+"0633:<1kAIRSSSSSSSSRRRRRRRQQQQQQRRSSSSSSSSSSSRRRRQQQQQRRRRRRRRRRRRRRRRRQQMExsg936[[[/>;*%@+++@@&=>/^]]_]]]]]___]^^^^///>;=&%%%%&=;>/^^]]]]]]]]]]]]]__[[39ajtCJMOQQQQOMLGDwnf6[_^^^^^^[9sEMOQQQQQRRRSRSSSRRRRQOLJGGLOQRRRRRRRSRRRRRQQOLJDBumff0000099adddhmrruurr",
+"63(:<1koINNSSSSSSSSSSSRRRRQOOMOQQRRSSSSSSSSSRRRRQQOOQQRRRRRRRRRRRRRRRRQOMExtgd966[[[/(;*%@@@@$&~;//^]]]]]]______]^^^^^^/>-*&%&*=;>/^^]]]]]]]]]]]]]]__[39gjtxEMOQQQQOMLGDwrf0}__^^^^^^[gtJMQQQQQQRRRSRSSSRRRRQOLGDCJMQRRRRRRRSRRRRRQOMLJDBsmff000099999ddhmrrrrmm",
+"3(:<2||pINNSSSSSSSSSSRRRRQOMLJLMOQRRSSSSSSSRRRRQOOMOOQRRRRRRRRRRRRRRQQOLExiga93666[[/(;*%@@@$&~;(/^]_]]]]]______]]]]]^^/>-*&&*=;>/^^]]]]]]]]]]]]]]__[39gitxELMOQQOOLJGDwrh06}__^^^^^^[gyLOQQQQQQRRRSRSSRRRRRQMJDyDGMQRRRRRRRSRRRRRQOMLEDBsmhff00099999ddhmmrmmee",
+"(:<{||7pHNNSSSSSSSSSRRRRQQMJGCCGLMQRRSSSSSRRRQQOMLLMOQRRRRRRRRRRRRRRQOLExiga9900666[/(;*%@@$%*;>/^^_]]]]]________]]]]]^/>-***->>/^]]]]]]]]]]]]]]]__[[9gitxEFMOQQOOLLGDwuhf6}__]]^^]]^[gDLOQQQQQQRRRSRRSRRRRRQMGyByGLQRRRRRRRSRRRRRQOMLGDBsnhdf000099900dhhmmmee0",
+":-~{)!7pvNNSSSSSSSSRRRRRQMJCtsstDEMQRRRRRRRRQOMLJJJLOQQRRRRRRRRRRRRQOMExigd9999d006[/(-&%$$%&=>/^^]__]]]]_____^__]]]]]^/>-==->/^^]]]]]]]]]^^]]]]]_^[9gjtxEFMOQQQOMLJDBumf0}___]]]]]__6gDLOQQQQQRRRRSRRSRRRRROLCywyCLQRRRRRRRRRRRRQQOLJGDBsnhdf000009900fhhhhee6}",
+"-~{)!!7pzHNSSSSSSSSRRRQOMEDwnggmsyGLOQRRRRRQOLJGDDGJMQQRRRRRRRRRRRRQMJCtja999ddddd6[/>-&%$%&*;>/^]]]]]]]______^^^^^^^^/>;--;>/^^]]]]]]]]]^^^]]]]__[9gjtxEFMOQQQQOMJGyumd06}__]]]]]]__[dyJOQQQQQRRRRSRSSRRRRROLDwswDLORRRRRRRRRRRRQOOLJGDysnhdd000066660fffff06}}",
+"=*%)!!77zIRSSSSSSRRRRQOLEDsnhdddhnwDJMQQQQQMLGDBBBDJMQQRRRRRRRRRRQQMJCtjg999dhgmhd06/>-&%%%*->/^^]]]]]]]____[[^^^^^^^//>;;;>>^^]]]]]]]]]^^^^]]]__[9gtxCELMQQRRQQOMJDBuh06[[__]^^]]]__[dwEMQQQRRRRRSRRSSRRRRROJDwswDLORRRRRRRRRRRRQOMLJGDwumhdd0006666600fff06}}^",
+"*&%!!!77zIRSSSSSRRRQQOLGyshdd0000fhsyGLMOMLJDyuuuBDJOQRRRRRRRRRRQQMLGysgd99dhnnnnh06/(;*&&*=;>/^^]]]]]]]____}[^//////>>>;;>>/^]]]]]]]]]^^/^^^]]_[3gtxEFMMQRRRRRQOLGDsnd06[__]]^^^]]]_[9sGMQQRRRRRRRRSSSSSRRROJysnsDLOQRRRRRRRRRRRQOMLJGDwumhf00066[[[6000006}__^",
+"&%$$!!|ozIRSSSRRRRQOMJCyshd00000000dnwCJJJGDwumruwDLOQRRRRRRRRQQOMJCysga999dhnnnmd0[/(;=**=->/^^]]]]]]]_____[[//>>>>>>;;;>>/^^]]]___]]^^///^^^^[3gtCFMMOQRRRRRRQOLCtnd06[___]^^^^^]]_[9sGMQQRRRRRRRSSSSSSRRROJysssDLOQRRRRRRRRRRQQOMLJGDwumff0066[[[}}60006}__]^",
+"%$$@!)|ozORRRRRRQQOLEDwnhd0000086660dmsyDDywummmuBGLOQRRRRRRRQQOMECtjgd9000ddhggd9[[/(>-=-->>/^^]]]]]]]_____^//>;;;;;---;>>/^^]]____]^^////^^^^[atELMOOQRRRRRRRQMEynd66[___]^^///^]]_[9sEMQRRRRRRRSSSSSSSRRROLCwwwDLOQRRRRRRRRRRQOOMLLEDBumff066[[[}}}}66}}__]^^",
+"%$@@!)|oIORRRRRQQMLEDsndd00000886}660dmswwsrmhhmuyJMQRRRRRRRQQMLEDsng996666000096[[//>>;;;>>//^]]]]]]]]_____^/>;-----==-;;>//^^^^^^^^^//>>//^^[9lCLMOQQRRRRRRRQOLCsd0[}___]^^/>>>/^^^[9tEOQRRRRRRSSSSSSSSSRROLGyByGMQRRRRRRRRRRRQOOMMLJCysmf006}}}_}}}}}}}___]^/",
+"$@@@!|ozIQRRRRQOMJCysgd000008888}}}}60hnusumhhhmwDJOQRRRRRRRQOLEDsn9966[[[[[[[[[[////>>>>>>>/^^]]]]]]]______^/>;;--=====-;>>//^^^[[^//(>>>//^[3jxFMOQQRRRRRRRQQLGtg0[}____]^>;;;>>/^^[gyLORRRRSRSSSSSSSSSRRRQMECDDJMQRRRRRRRRRRQQOOOMLJCysnf006}}____}}}}___]]^/",
+"@@@@!|pzORRRRQOMJCtjgd0000088886}}}}60hnsuurmmmuBGMQRRRRRRRRQMLCtja9[[[[[[[[[^^^///>>>>>>>>/^^]]]]]________^^/>>;;--=***=--;>>///[[[/(>;;;>//3atEMOQQRRRRRRRRQMJyn96}____]^/;=*=->/^^3jCMQRRRRSRSSSSSSSSSRRRQMJGGGLOQRRRRRRRRRRRQOOOMLJGywnf06}}______}_____]^/>",
+"@@@@!|pIORRRQOMJCtng906600088886}}}60dnswBwwuuuyDJOQRRRRRRRQOLEyia93[[[[^^^_^^//>;;;;;>>>//^^]]]___________^^//>>>;-=******=-;>(////(>-=~-;((3jxFMQQRRRRRRRRQOLCsd6[____]^/;=&&*=;//[atJORRRRSSSSSSSSSSSSRRRQOLJJJLOQRRRRRRRRRRQQOOOOMLGDwnd06}}___________]]^/>",
+"@@@@!7zIQRRRQOLCtja9666600088886}}66dmwDCGGDDDDGJMQRRRRRRRROMExlb93([//^^^^^^//;-==-;;>>//^^]]]_____}}}}____^^///>>;=**&&&&&&*=;>((>;=*&&*->(atEMOQQRRRRRRRQQMGtg3[^__]]^/>=&%%&*;>/3jCMQRRRRSSSSSSSSSSSSRRRQOLLJLMOQRRRRRRRRRRQQQQQOMLJDwnd06}___________]]]^>;",
+"@@@!!pzIQRRROMEyia96666600888886666dhsCJLLLLLJLLMOQRRRRRRRQIFxlc:((((////^^//>>-=*=-;>>//^^]]____}}66686}}__^^^^^/>>-**&&&%%%%&*=--=*&%$%&=:3jxFMOQQRRRRRRQQMEyn3[/^^^^^/;=&%$%&*;>(ayJORRRRRSSSSSSSSSSSSRRRQOMLLLMQQRRRRRRRRRRQQQQQQOMJDwnd0}[___________]]^/>;",
+"@@@!7pINRRROOFCtg93[666000888886660hsCLOOQQQOOOOQQRRRRRSSNIzok11<==--;>(////>>;-==-;>>/^^]]]___}60feeee06}}__^^^^^/>;=*&&%$$@@@$%&&&%$@@@%*<btEMOQQQRRRRRQQMJxi:(>>>>>>>-*&$$$%&=;(3jCMQRRRRRSSSSSSSSSSSSRRRQOMMMMOQQRRRRRRRRRRRQQQQQOMJDwnd6[[__________]]]^/>=",
+"@@@!7zHNNNQOMExia96[6600088888060fhsDLOQRRRRRQQQRRRRRRSNNHp77))))%&&{~-;>(((>>;;;;>>//^^]]]___}0fhmmmmhe06}}_^^^^^/>;-**&%$@+++++@@@+++++$&1cxFOOQQRRRRRRQMJxi<~{&&&****&%$@@$%*->(atEOQRRRRRSSSSSSSSSSSSRRRQQOMMOOQRRRRRRRRRRRRQQQQQOMJDwnd6[___________]]]^>;=",
+"@@!7pHNNNNQOFAtja3666000eee88800dhuyJOQRRRRRRRRRRRRRSSNHvv4''!@@@@@$){~-:>((>>>>///^^^]]]____}0fmuuwwwumh06[[^^^^^/>>;=*&%@+++..........+@)2kAMOQQQRRRRRQMExl1)$@@@@@$$$@@@@@%&=;((ayJORRRRRRSSSSSSSSSSSSRRRQQOOOOQQRRRRRRRRSRRRRQQQQOMJCwg96[[^________]]]^/>-*",
+"@@!7vHNNNNNOFAtja366600eeeee800fhnyGMQRRRSRRRRRRRRRRSNHv54'''++++++@!)~<<:(((////^^^]]]_____}0dmuwBDDDBwnh0[[[^^^//>>;=*&%@++............+!|AFOQQQQRRRQQMFxl2)@+....+++++++@$&*;>/3gyLOQRRRRRSSSSSSSSSSSSRRRRQQOOQQQRRRRRRSSSRRRRRQQQOMJDsg9[[[^_______]]]^^/>=&",
+"@!7pHNNNNNNOFAtca936000feeeeeefhnyGMQRSSSSSSSRRRRRSSNHv5,,##....++@!){21cba3(//^^^]_______}}0fmuwBDGGGGDwnd6[//////>>;=*&$@+....       ..''pzIQRRRRRRQQMFxk2)@+........++++@%*->//3gyLOQRRRRRRSSSSSSSSSSSRRRRQQQQQQRRRRRRRSRSSRQQRQQQOMJDsg9[[[^^^^^^^_]]]^/>;*&",
+"@!7vHNNNNNNIFAtca9900000ee0e0edmwDLORSSSSSSSSSSSSSSNHv5,,##....++@!)|2kkliga3[[^^_______}}}00hmuBDGJLLLJCtga33(///>>;;=*&$@+...         #'4vHNNRRRRRQQMJxl2)!+..    ....++@$&=>/^[6gyJOQQRRRRRSSSSSSSSSSSRRRRQQQQQQRRRRRRRRSSRRQQOQQQOMJCsg9[[[^^^^^^^^]]^^/>-&%",
+"@!7vHNNNNNNIFClca990000000000fhnDJORSSSSSSSSSSSSSSNHv5,,##...+++@))22kxxytia9[[[[_____}}}600fhmuyDJLMOMLExib33(((>>;;-*&%@+...          #,5KHNSSRRRQQMJxl1{)+..      ...++@%*;>/^^6gyGMOQRRRRRSSSSSSSSSSSRRRRQQQQQQRRRRRRRSSSRQOOOQQQOMJDsg9[[^^^^^^^^^^^^^>;*&$",
+"!74HPPNPNPNIzxlba366600000000fmwGMQRSSSSSSSSSSSSSNHv5,,##..++@@$%{11lyDxytng96[[}}}}}}}66000ffmsyGLMOOOMLCtiaa3((>;;-=*&$@+...         #,5qPNNSSRRRQOFClc1{$+..      ...++$&=>/^^[6hsCLOQQRRRRSSSSSSSSSSSRRRRRQQQQQRRRRRRRRRRQOIIOOQQOMExia3[[^^^^^^^^^^^^/>-*%$",
+"!4vHPPPPPPHIzklb9366666666660dsxJORSSSSSSSSSSSSSNHv44'#...+@@$%{~<<ctyyyysngd066}}}}}}880800fdhsyGLOQQQOMExlbaa3(:;-=*&$@+...          #,5KHNSSRRRQOMAlb:~%@+..       ..++$&->/^^[6dsDJLOQRRRRSSSSSSSSSSSRRRRRQQQQQRRRRRRRRRRNIIIOOOOOMExja3[^^^^^^^^^^^^//;=&$@",
+"'4vKPPPPPPHIAkia93[[[}}66666dgtGMQRSSSSSSSSSSSSRIvp4'#...+@@%&*=-:acittwssnhdd000666686886800fhwCLMQQQQOMExtiga::;-=*&$@++...         #,,vHNNSRRRQOMExb:=&$+..        ..++$&->/^^[6dnyCJMOQRRSSSSSSSSSSSSRRRRRRQQQQRRRRRRRRRRIIIIIOOOMFAtb93[^^^^^^^^^^^^/>;*&$@",
+"44vPPPPPPPHzAkca36[[[}}}}}60dnxFORSSSSSSSSSSSSNIzp4''...+@@%&*-;:(3agnissnnmhhdff00068886}6600hwGLOQQQQOMExtljba:;=*&%@++....         ##4vHNRRRQQOMFxja-{$+...        ..++$&->/^^[6dgsyGLMQRRSSSSSSSSSSSSRRRRRRQQQQRRRRRRRRROFzzzIIIIMFxla3[^^^^^^^^//^//>>-&%@@",
+"4vHPPPPPPHHzolca3[[[[}}}}}69gtCMORSSSSSSSSSSSNHIp4''...+@$%&*=;;>((3agnnususurmhffe0066}}}}}6dnyJMQQQQOMLExytica:-~&%@@+......        .'7pFOOQQQOMLCla:~%@..          ..+@%*->/^^[60hnsyGLORRRSSSSSSSSSSSRRRRRRQQQQRRRRRRRROIzppzIIIIIAxia3/^^^^^////////>;*&$@@",
+"vvPPPNNPPHIzxlcd3[[[____}[6diyJMQRSSSSSSSSSNNHHp4''...+@$%&=-;;>>((33dhnwByyywwumhf006}}}}}}0gwGLOQQQQOMJGCCxtib:=*%$@+.......      ..+!2kAFOOOOMLExb:-&@+..          ..+@%*;>/^^[60dgnyCJORRSSSSSSSSSSSSRRRRRRQQQQRRRRRRRQOFAoppvHHIIAkca(/^^^/////////>>-*%$@@",
+"vHHNNNNNNNIAxlg93[[[____[[9gtEMORRRSSSSSNNNNHvp4'''+++@$&*=;;>>>>((30dmwDDGGGDDwumhf06}}}}}6dsDJMQQQQOMMJEECCxlc<~{$@++.........   ..+${<lCJMMMMLExja:~$+..           ..+@%*;>/^^[69dhnsDJOQRSSSSSSSSSSSSRRRRRRQQQQRRRRRRQOMAooopvHHIzAkc3(/^^////((////>;=&%$@@",
+"HHNNNNNNNIIAxlga3[[[___[[6aiCJMORRRRRNNNNNHHvp7'!'++@$%&=;>>>>>((((3dnwDGJLLLJGDwuhf06}}}[69nyJMOQQQQOMMLLLLECxl1~)$@+..............+@&-:bxCJLLLExia3-&@..            ..+$&=>//^/[660dhsyJORRSSSSSSSSSSSSRRRRRRRQQQRRRRRRQMJxkkopvIHIzAkc3(/^///(((((//>>-*&%$@!",
+"HNNNSSNNOIFExtja9[[[__[[[9jxEMOOQRRQNOIIHHvp77!!!@@$%&~->>////////39hsDGLMOOMLJDysmd06[}}[6gtEMQQQQQQOMMMMMMLJCl1{)!@+.............+@&=>(alxEJEExta3(=%@..            ..+$&->///[[669dhsDJORRSSSSSSSSSSSSRRRRRRRRRRRRRRRQOMExkkozzHIIFAkca(///(/(((((>>>;-*&%$!!",
+"NNNSSRRQOMFECysgd6[[[[[[9jtCFMOOOOOIIFzzzpp7|)))))%&~-;>////////[3dnwDJLMOOOOLJGysgd6[[[[[9sCMOQRRRQQOOOOOOOOMAk2{)!@++...........+@%*;/(9ixCEExtg3(:*$+..            ..+$*->///[339ddgsDLORSSSSSSSSSSSSSRRRRRRRRRRRRRRRQOMCklkozIIIIFAkca3///(((::(>>>>;=&%$$!7",
+"NNSRRROOMMFECytjgd6[[[[9gtxEFMMMMIFFAAooo|22{{{{~~~=;>(///[[[[[39gsyGJLOOOOOMLJCysh0[[[[[9gxLOQRRRRRQQQQQQQQOMFo2{)$@+++.........+@%*;>/[9ixCECyja3(-&@+.             .+@%*;>///[39dddnwCMQRSSSSSSSSSSSSSRRRRRRRRRRRRRRRQOFAxkkozIIIIFAkca3//(((:::>>>>;-*&%$!!4",
+"NNRRROOMMLJJECDtsg99669ajxCEFMFFFAAokkkl11<<<----:::((([[[[[[39gsyCJLMOOOOOMLJCysg96[[[[[9tEMQRRRRRRRRRRRRRRQOFo2{)$$@++........+@%*;>//[atCEECtj3(;~%@..            ..+$&=>///[39ddddnyGMQRSSSSSSSSSSSSSRRRRRRRRRRRRRRRQMFCxkkAzIIIIFAtb33//(((::::>>;-*&%$@@'4",
+"NNNQOOMLLJJJJECDtng9999gtxCEEFEACxkkllicc::((((((::a33333[639gsyCJLMOOOOOMLLECysg9[[[^^[[atFOQRRRRRRRRRRRRRRROFk2{{)$@++.......+@%*;//^[6gtCEECta3(-&@+..            ..+$*;>///39ddddgsyEORRSSSSSSSSSSSSSRRRRRRRRRRRRRRQQMJCkkoAzIIIFFxlb33//(((::::;;;=*%$@@+'4",
+"NNOOMLJJEJJJJEGCysgd999gjxCCCCCxxklllicba333(333aaaaa993339gntCJLMOOOOOMLLGCysnd6[[^^^^^3gxLOQRRRRRRRRRRRRRRQOAk1~{%$@++.......+$*;(/^^[9nxEEExla(;*%@..             ..@%=>///[6ddggdgsyGMQRSSSSSSSSSSSSSRRRRRRRRRRRRRRQOMExkkoAFIIMFAxja33[/((:::;;;;-*&%@@+''4",
+"HIMLLJGCCGEEJEGDysg9999ajttxxxxxtktttliga933339abbjbba9999gntCJMOOOOOMLJGDtsgd9[[[^^^^^^3jxLOQRRRRRRRRRRRRRROMAl1~{)$@+.......+@&-(/[[[[9jyCECxja:=&@+..             .+@&->//[39dddddgsyJMQRSSSSSSSSSSSSSSRRRRRRRRRRRRRQOLCxlkoAFIMFFCtb33[//(((:;;;;-=*&$@+++'4",
+"IIFJGDDyDDCGGGDywnd96[39ajitttxxxCCCxytjga999abjjiijbaa9dgnsDGLMOOOOMLECysgd96[[^__]]^^^3jxLOQRRRRRRRRRRRRRQOFxl<~{$@+........+%~:([[[[6djtyxtia(;*%@...             .+$*;(/330ddddddgsyJMQRSSSSSSSSSSSSSSRRRRRRRRRRRRQOMExlllkAFFFFAxia3[///(((:;;;;-*&%$@+++'4",
+"zzGCywwwwyDDDDDBshd6[[[39abiltxCAEEECCytjgaagjjillijbaaaggnwDELMOOOMLGDwnh06[[[____]]]^[[gyJOQQRRRRRRRRRRRQOFAlc<{)@+...   ..+${;([[[[[69gjssja3>=&@+..             ..+%~:(330dddddddgsDJOQRSSSSSSSSSSSSSSSRRRRRRRRRRQQMJCtjclkCEFFECtb33[^^///(>;;;;-*&%$@+++''",
+"ooytsiinswwyyDywnh06[[[[39ajitxEEFFJECxtijjjjltllljjbbjgjnsyDGJLLLLECyshd06[[[_____]]__[6gyEMOQQQQQQRRRRRRQMEkc<~{$@+..    ..@%=(([[[[[[69dga93(-*$+..              .+@)<:339ddd9399dgtCLORRSSSSSSSSSSSSNNNRRRRRRRQQQQOLExibbilxAEECxia3[^^^^//(>;;;;-*&%$@+++''",
+"oklinggdgnswBywsnd0[[[[[[39gitxEEFFJECyttiillttllliiilltstwyyDGGGGDysnh0066[[[_________[6hwGLOOQQQQQRRRRQQMExib<~%@+..    ..+$~>//[[[[[[[[66[[(;~%@+..              .+!{<:aaddda3339dnyGMQRRSSSSSSSSSSNNHHIINRRQQQQQOOMExlbabblxCCCxtj93[^^^^//(>>>;;-=&%$@++++'",
+"|2ccaa39dhnswwwsnd0[[[[[[[9ajtxCEEEECxyttiitttlllllltxxxyyyyyyyyywsnhd066[[[[__________}6hsDJMOQQQQRRRQQQOLClb:<~%@+..   ..+$&;(//^^^^[__[[[[/>=&@+...             .+@)21ccgdaa33339gsDJOQRRSSSSSSSSSNHHzppzIOOQQOOOMLECtjaaabltxCxtig9[[^^^^^//>>>>;-=&%$@++.+'",
+"22<:::(33dhnuwwsnh96[[[[[[69gjttxxxxtttiiiiiliiilltxCAECCDyywsssnhdd0666[[[[[__________}0hsDELOOQQQRRQQQOLEyib:-*%@+... ..+@&->/^^^^^_____^^//;&$+...             ..+!22lligaa:::(39gtCLORRSSSSSSSSSNHvp777pzIOOOOMMLECtja99agitxxytna3[[^^^^^///>>>;-=&%$++..++",
+"){~<:::((3dhswywsgd6[[[[[[[39gjjjiiijjjjjjjjjjjilxCEFFFJECyysnnhd0066}[}[[[[[[________}0fmwDGLOQQQRRRQQOMJCtb::-*%@+.....+@%=>/^^^^________^/>*%@...             ..+$)2kkktic::::(3aiyEMQRRSSSSSSSSNHzp7777ozIOOOMMLECtjg999ajityytig9[[[^^^^^////>>;-=&%$++...+",
+"){~~=--;:(9giwywsnd0[[[[[[[669dggggaaaaaggggjjjlxCEFMMMLJCywshd0066}}}}[[[[[[[______}}0dmuyDJLOQQRRRRQQOMJxib::-~&$@+...+@%=>//^^^________]^/-&@+..             ..+@)2koACxtic<<::abtCLORRRSSSSSSSRIzp7!!!|ozFOOMMLECysg9999ajittttig9[[[^^^^^^///>>>-=&%$++....",
+"%%{*~===-::anwwwsnd96[[[[[[6699999999999aaaabjitCEMOOOMLJCysnd066}}}___[[[[[[[____}}60hnwyDGJMOQRRRRRRQOMExlc::-~&$@++++!{=:(/[[[^________^/>*%@....            ..@%~1kAFFAxlc<<::aixEMQRRSSSSSSSNIzp|!!!!)|AFMMMLECtjg99399ajitttsnd6[[[^^_^^^////>>;=&%@++....",
+"$%%&&&**~=:aisttsng906[[[[[6669999999999999aajtCEMOOOOOLECysg966[}____}[[[[[[[}}}}}60huBDCGJLMOQRRRRRRQOMGxlc:<=*&%@@+!){1:336[[[[[}}}____^/;*$+...            ..+${<lAFMMFAk1<<:abtCLOQRSSSSSSSRNIo|!!@@!)|oFFMFECtjg933339gjtttsjg96[[[^__^^^^///>>;=&%@++....",
+"@@$%%%%&&~<:ciwtsngd96666666999993366663339aglxEFMOOOOMLCysnd06[______}[[666[[}}}}60hsyDGJJLLMQQRRRRRRQOLEkl<<=~{%$$!!)21cgdd0066666[}}}__^/-&@+...           ..+@%~<kAMOOIAk1<<:ajxEMORRSSSSSSSRIz7!!@@@!)|oAFFECtjg93[[339gjitsjgd6[[[_^__^^^^///>>;=&%@++....",
+"@@@$%%%%%{~<cittsngdd000000099999336[[[[399ajtCEMOOOOMLEytnd96[[______[[666666}}660huyDGJJJLLMOQRRRRRRQOLCkc<<~{&%))!||kytsnhdd0000066}}__/>=%@...            ..+$&=cxFOOOIAk1<bablxEMQRRRSSSSSNIzp|!@++@@)|oAAACxia93[[[33aajiijgg9[[[_____^^^^^//>>;=*%@+.....",
+"+@@$$$%%%&{1clttsingdddddddddd99936[[[[399ajtxCJMMOOMFExtng9[[[______[[6666666}}60fnwDGJJJJLLMOQRRRRRRQMFCl1<~~{&)))|ooCCDysnhddd000066}_^/>*$+...            ..+$&<lAIOOOIAk1baablxJMQRRRSSSSRNIp|!!++++@)|koAAxlg9[[[[[339agjjgg96[[_______^^^^//>>;=*%$+.....",
+"++@$%%%%%%{11kxyttinggggghhgddd993[[[[699gjstyCELMMLJCxsgd0[[[______[[669000666660dnBDGJJJJLLOQQRRRRRQOMAkl1~~{{{{{2oAEJJCywnhdfdfff06}}_^/;&@+..            ...+${<kAIOQOIAkc:aaaixEMQRRRSSSSQIzo|!@+++@@)|ooAxtja3[[[[[339aagaa96[[________]^^^//>>;-*&$+.....",
+"+@$%&&&%%%{2kkxxytsssssnnnnngad93[[[[69agjttyDCCEEEGDyig96[[_______[[660ddd000000fhsyGJJJLLLMOQRRRRRRQOFok11~~~*~~1kAFMLLGysnhdffff006}__^/-&@...            ...+${1kFOQQNIAlb:39aiyEMQRRRRRRRIzo|)!@+++@!)|oAAxtj93[[[[3339aaaa93[[[________]]^^^//>>-*&$++....",
+"@$%&***&&%{2koCCxxttttssssinga933[[[[9ajjttyyyyyDDytsgd96[[[______[[[69dddddd000ffnwDGJLLLMOQQRRRRRRRQIAk2~~~~~=<1kAFOOMLEDsnhdfff006}}__^>=%@..             ...@${1oINRQIFola333ajyEMQRRRRRRIFpo|)!@+++@!)|oAAAtj93[[[[339aaaa99[[[[_________]^^^///>;-*%@+....",
+"$%*=--=*&&)|2oAACCyytttwtsngga33[[[[39gstyyyyywwssngd96[[[^_______[[69ddgnhhfdfdhnsyGJLLMOOQQRRRRRSSSNIo|{{~~==-<lxFOOOOLEDsnhdfff00}}__^/>*$+..             ..+@%{2AINNNIFkca3339jtGMOQRRRROIAo|))@@@+@@!|oAFFAtj93([[339aaaa993[[[[_________^^^^^^//>;=&$++...",
+"&*-;;;-*&&){2oAEECDyyywtsngaa33(/[[[9gjtyyyyyssnggd93[[^^_______^[[69ddgnnnhhhhmnsyDJLMMOQQRRRRRSSSSNHp7|){{~-::cxFMQQQOLEDwshhfff06}___^/;&@+..             ..+@%~kAINNOIAlb3[[[9gtCLOQQRQOIAo||)!@@@@@@!|ozFFAxj93((339aaaaaa93[[[[_____^^^^^^^^^^^^/>;*&$++++",
+"=;>>>>;=&&%{2oAEEECDyttsnga33(((//[[9gstyyyysnghd06[[[^^________[[[99gnnnsnnnnuwBDCJLMOOQQRRRRRRSSSSNHp7)){~=::cxFOQQQQOLJCyssnhff06}__^/>*%+..              ..+${1kzIOOIFxia3[[[6gsCLMQQOOIAo||))$@@@@@!)|zIIFFxia3((33aabbba996[[[[___[[[^^^^^^^^]]^^/>;*%$@@$",
+">>///>>=*&%{2kAFFECDytigaa3((>>(//[39gsyyyysnhd06[[[^^^]]]]]___[[[69ggnnssssswyDGEJLMOQQRRRRRSSSSSSNNv7!)){~<blxFOQRRQQOMLGDywumhd0}__^^/;&$+...             .+@%~1kzIIIFAkb33[[[6dsyJMOOOIzo|))!@@@@@@@!)7zIIMExia3(33aajjjgad966[[}}}[[[[[^^^^^]]]]]]^/>-*&&&&",
+"//^^^/>-*&%{2kAFFJECysga33((>>>>(((3djstytsngd06[[/^^^^]]]]]___[[69dgnsssswwyDCELLMOOQQRRRRRSSSSSSSNHv7!){~<<lAFORRRRRQOMLECDywumf0}_^^/>=%@+..             ..+$&~1kAFIFAxla3[[[[6dnyELMMFzp|!!@@@+@+@@@!|pzIIIFxlb:33abjjjjgad000666}}}[[[[^^^^^____]]^^/>-===-",
+"^^^^^/>=&%%)2kAFFJECtia3((>>;;;;>((3ajsttssgdd6[[/^^^^^]]]]]]__[[69gnjsttyyyDGJLMOOOQQQRRRRRSSSSSSSNHp7|{~<<lAMORRRRRRQOMLJGCDywmd0[^^/>;*%@...            ..+@%*=<lAFFFAkia93[[60dsxEFFFzp7!!++++++++@@)|pIIIIFxlc::abjltiingddd000000006[[[^^^_______]^//>;;>>",
+"^^^^//;=&%$){2oEFJCxiba::>;;;;;;;>(3ajsttsngd96[[//^^^^^^]]]]_^[[99gjstyDDCCGELLMOOOQQQRRRRSSSSSSSNNHp|211ckAMORRRRRRRQOMLJEGDywmf6[^//>=&$+....          ...+$&=-:lkAAAxklja9000dhsyGJFzp7!'++++++++@@$)|pFIIFAxlcbbbittttsnghhffeeeeeee066[[[[_______]^^/>>>//",
+"^^^//>-*%$$!)|oAEACtcb::;;;;;;---;::acittingd33[/////^^^^^]]]^^[[9gjttDCGGGEJJLLMMOOOQQRRRRRSSSSSSNNIpk11lkAMORRRRRRRQQOMLLJGDysh0[[//>;*&@+....         ...+$&*;>:blkxxxxttigdddhnwDGEFzp7''.+...+++@@)||AFIFFAklcccitxxxytsnmhhhheeeehff06[[[[}}}}____]^//////",
+"^///>-*%$@@+!!|oAokl<<===--;;;--==-:bcitlingd33/////////^^^^^^^[39jtyCEJLLLLLLLLLLLLMMOQRRRRSSSSSSNNzokllkAFORRRRRRRRQOMLLJEGDBrd6[//>>-*%@+...         ...+$&*;>((:clkxxCCCytnmmnsyDGEzp74''....+++@@$)2oAFFFExklccitxCCCxytsnmmmmhhmmmmmff06[}}}}}____]^/////[",
+"(((>-*%$++++''77oo22{{{**=-----====<<ciiliiga33(///////////^^^^[3aiyCJMMMMMMLLJJGGGEJLMOQRRRRSSSSSNIzoklkAFORRRRRRRRQQOMLJEGCysh0[[//>-*&$++...        ...+$&=;>///(ablxAEJJGDywsswDCGEzp4''.....++@@$){2oAFFFAxllcilxCCCCDywsurmmmmmmrrrrmhff0066}}}___^^//(339",
+"a3:={)@++.##''4477|)))%%&*=---=***~~<cilliiba3(((>>>>>>>>>>////[9jtCFMOQQQQOMLJCDyyxCEMOQRRRRRSSSSQIAokxAFORRRRRRRRRQOMLJJEGDBnd6[//>-*&%@+....       ...+@&*;>////(3alxEMMMLJCDyyDDGGzzp4''#....++@$){2koAFFEAxliiltxCEECDywuurrrrrrrruuurrmhhfe00}}___^^/39gii",
+"ic<{)!+.###,,,,447!!@@@$%&*===*****~~1cilicba:(>>>>>>;;;;;;>>/(3atCFMQQRRRQQOLEDttttCEMOQRRRRSSSSROFAoxAFORRRRRRRRRQQOLLJEGDysg9[//>-**&$++...        ..+@%*;>/^^^//3alAMOOOOLJGDDDGGEzp44''#...++@@$)22kAAFEACtliilxCCEECDywwuurrrrrruuwuuwuumhffe0}}__^[[9jtxC",
+"l12)!''###,,,,,44'''++@@$%&******&&*~<1ccccb:::;;;;;;-==**=-;>(3ixJMQRRRRRRQOLEDtttxELOQRRRRRSSRRROFAAAFOQRRSRRRRRRQQMLJEGCDynd6[/>-=*&%@++...       ...+$&->//^^^^/3atEMQQQQOLJGGGGJJzp44''#...++@$){2koAEEEAxliiltxCEEECDyBwuurrrrrruwwBBBBwwurhf06}}_[[9gsxCG",
+"k2|!'''##,,,,5544'''+++@$%&&***&&&&{{~<<ccc::---=====**&&&**-:(btEMQRRRRRRRRQMECytxEMOQRRRRSSRRRROMFEEFOQRRSSRRRRRRQOMLEGCDysg9[//;=*&&%@+....       ..+@%*;>/^^^^^/3bxLOQRQQOMLJGGJJJzp4'''#..+++!))22koAAAAxtliiltxCEEEGDyywuurrrrruuwBBDDDDDBwrmf06}}[6dntCGG",
+"22)!'''',',,555544''+++@@$%&&&&&&&&&{~<<<<<<==~*****&&&%%%&*=:blCMORRRRRRRRRQMECxCEMOQRRRSSSRRRRQOMFFMOQRRSSRRRRRRQQOLJGCDysnd6[/(;=*&&%@+....       ..+@&=>//^^^^/[9iCMQRRRQQOLJJGJJFzp4,''#..++!!)||oooCACxtijjjlxCEEJEGCDywuuurrruuwBBDDGJJGGDBumd06669ditxDx",
+"2))!!+''''445vvv477!++@@@$%%&&%%%%%%&*~=<--=~*&%%%%%%%$$$$%*-:cxEMQRRRRRRRRQOMJEEFMOQRRSSSSSRRRQOMMMMOQRRSSSSRRRRRQQMLECDysnd9[[/>;=*&%$@+....       ..+$&->//^^///3atFORRRRQQOLJJJJJFzp44,,''''!!77ooooCCCxtljbjitxCEJJJEGDDBBuuuuuuuwBBDGJLLLJGDyumd0009gnsttt",
+"))!!!!!!)77ppvvzpp7!!!@@$$$%%%%%$%%%%&*~==~*&%$$@@@$$$$@$%&~:biCJOQQRRRRRRQOMLJJLMOQRSSSSSSSSRRQOMMOOQRRRSSSSSRRRRQOMLGCywsg96[^/>-**&%$@+...        ..+$*->//////(3jCMQRRRRRQOMLJJJFFzv44,,,''477ppzzAAACxxtijbjlyCELLLLJGGDDBwuuuuuwBBDGJLMOOMLJDBuhdd9ddgnii1",
+")!!))){22|ozzIIIzpo|))$$$$$$$$$$$$$$%%&*~**&%$@@+++@@@@@$%*-:aiCJMOQQRRRQQOMMLLLMOQRSSSSSSSSRRRQOOOQRRRRSSSSSRRRRRQOMLGCysnd9[[^/>-*&&%$@+...        ..+%*;>////>((btFORRRRRRQOMLLJLLIIvv555555vvHHIIIFFAAxtljjjitCELLLMLLJGDDBwuuuuuwBBDGLMOQQOMLGDwsghdddaab<1",
+"!)){21<clkAFIIIIFAo2{))$$$@@@@@@@@@@$%%&&&&%@@++++++++@@$&=;(aixGLMOOQQQOOMLLLMMOQRRSSSSSSSSRRRQOOQRRRRRSSSSRRRRRRQOMLECywnd6[^/>;*&&%%$++...       ..+@&=;>//(>>::iAIRRSSRRRQOMLLLLMIIHvqqqqqKPPNNNNNIFEAxtljjitxELLMMMMMLJGDDBwuuuuwBBDJLOQQQQOMLGDwngddda:<~{",
+"7||21cclxAFMOOOOMFAk2{)$$@@@++++++++@@$%%%$@@+++.+++++@@%&->3ajtDGLLMOOMMLLLLMOQQRRSSSSSSSSSRRQQQQRRRRRRRSSRRRRRRRQOOLLGDtnd[[//;*&%%%$@+...        ..+%*;>///>;;<1kFQSSSSSRRROMLLLMOOHHKKKKKPPPNNSSSROMJAxtljjiyCJLMOOOOMMLJDDBBwuuuwBBDJLOQQRQQOMJGywngaa:<~{)",
+"ppokktxxEFMOOQOOOIzo2{)$@@++++++..++++@@@@@+++....++++@@%*-(3djsyCGJLLLLLLLLMOQRRRSSSSSSSSSRRRQQQRRRRRRRSSRRRRRRRRQQOMLEDtg9[//>*&%$$$$@+...       ..+@&=>>//(>;-12oINSSSSSSRROMLLMMONNNPPPPPPNSSSSSSSRMFExtljitxGLMOOOOOOMLJGDDBwuuuwBBGJMQQRRRQQOLJGDtigbc1||7",
+"vzzAACCELMOQQQQQOOIAo|!@@++..........+++++++......++++@@%*;(3ajsyDCGEJJJJLLMOQRRRSSSSSSSSSSRRRQQRRRRRRRRRRRRRRRRRQQQOMLGysa3[/>=&$@@@@@@+...      ..+@%*;>//((:;=12zISSSSSSSRROMMLMOQRNNNNNNNSSSSSSSSSROFCxtiistCELMOOQQQOMLJGDBwwuuuwBBGJMQRRRRRRQOMLECyti12|74",
+"NIIMFJFLMOQQQRRRROIzp|!+++........................++++@$&=>(3antyDCGEEJJLLMOQRRRSSSSSSSSSSRRRQQQRRRRRRRRRRRRRRRRRQQOOLJCtg9[//;*$@+++@@++...     ..+@%*;>///((:;<1kzNSSSSSSSRROMLLMORRSSSSSSSSSSSSSSSSROFCttiisyCJLMOQQQQOOLJGDBwuuuuuBBGJMQRRRRRRRQOOMJGCxoppvv",
+"NROOMMMMOQQQRRRRRROIp7!++.........................+++@@%&->3djsyDCCGEJJLLMOQRRRSSSSSSSSSSSRRQQQRRRRRRRRRRRRRRRRRQQOOMJCtn9[[/>=&@+++++++...     ..+@%*;>////((>:<<kFQSSSSSSSRQOMLLMORSSSSSSSSSSSSSSSSRQMJCtiiityCJLMOQQQQOMLGDBBuuuuuuBBGJMQRRRRRRRRQQOMLFzzHHPP",
+"SRQOMMMMOQQQRRRRRRRIz7!'+.........................++@@$%*;(agsyDCGGJJLLLMOQRRRSSSSSSSSSSSRRQQQQQRRRRRRRRRRRRRRRQQOMLJCyj9[[^/;*$@+..+++....    ..+@%*;>//////(>::<lFOSSSSSSSRQOLJLMORSSSSSSSSSSSSSSSRRQMExsinstyCJLMOQQQOOLJGDBwuuruuuBBDJMQRRRRRRRRRRQOOIIHNPNN",
+"SRRQOMMOOQQQQRRRRRRNIp7''+............         ...++@$%&=:3gsyCGGEJLLLMOOQRRRSSSSSSSSSSSRRQQQQRRRRRRRRRRRRRRRRQOMMLECynd6[^^>-&@+..........   ..+@%*;//^^/[[/((>(:lFORSSSSSSRQOMLLMRSSSSSSSSSSSSSSSRRRQMCtsinssyDJLMOQQQOMLGDywurrrruuBBDJMQRRRRRRRRRRRRQONNNNSS",
+"RRRQOMMOOQQQQQRRRRRNIz4''++.++.........         ...+@$%*-:bixCGEJLLLMOOQQRRRRSSSSSSSSSSRRQQQQRRRRRRRRRRRRRRRQQOMMLJCysg9[^^/;*$@+.........   ..+@%*;//^^^[[[//(((3iEORSSSSSSRQOMLMORSSSSSSSSSSSSSSSRRROLCtsnnswyDJLMOQQOOMJGDBwurrrruuBBDJMQRRRRRRRRRRRRRNNNSSSS",
+"RRRQMMMOOQQQQQQRRRRRIzp7!+++@@++++.....         ...+@@%*<ciyCEJJLLMMOQQQRRRRSSSSSSSSSSSRRQQQRRRRRRRRRRRRRRRRQQOMLJGDwnd6[^/>=%@+.......... ....@%*;/^^^__[[[/((((3bCMRSSSSSSROOMLMORSSSSSSSSSSSSSRRRRROLCytssswyDGLMOOOOOLJCywwurrruuuBBDJMQRRRRRRRRRRRRNSNSSSSS",
+"RRQOMMMMOOQQQQQRRRRROIp7!!@@@$$$@@++....         ...+@%{<ctxCEJLLMOOQQRRRRRSSSSSSSSSSSSRQQQRRRRRRRRRRRRRRRRRQQOOMLGDwn9[[/>=&@+...............+$&->/^^__}}[[/(((/3bxMQRSSSSRROMLLMORSSSSSSSSSSSSSRRRRROLGCytwwByDJLMOOOOMLGDywwurrruuuBBDJMQRRRRRRRRRRRRSSSSSSSS",
+"RRQMMLLLMMOOOQQQRRRROFo|!$$$%%%%%$@+....         ...+@){1ctDCEJLMMOQQRRRRRRSSSSSSSSSSSSRRRRRRRRRRRRRRRRRRRRRRQQOOLJDwn9[/>-&$+...............+@&=>/^^__}}[[(((>(/(axLQRRSSSRROMLMMORSSSSSSSSSSSSSRRRRROMLGCDyyyDGJLMOOOOMJGDywwuuruuuwBBDJMQRRRRRRRRRRRRSSSSSSSS",
+"RQOMJEEJLLMMMOQQQRRQOzo|)$$%%&&&%$@++...          ..+@${1clxCGJLMOQQRRRRRRRSSSSSSSSSNSRRRRRRRRRRRRRRRRRRRRRRRRQQOMLGyn93(-&$+...............+@%*;/^^__}}6663((>//(9tEORRSSRROMLLMMORSSSSSSSSSSSSRRRRRRQOMLLEGCDGJLMOOQOOMLGDywwuuuuuwBBDGJMQRRRRRRRRRRRSSSSSSSSS",
+"QQMLEGGGEJLLLMOQQQQOFA2{)$$%%&&&%$@+....          ...+${<bitCGJMMOQRRRRRRSSSSSSSSSSNNNRRRRSRSRRRRRRRRRRRRRRRRRQQQOLGyg9(:*$@...   .........+@$*->/^^_}}60003(((//[9lEMQRRRRQOMJJLMQRRSSSSSSSSSSSRRRRRRQQOOMLLJJJLMOOQQOOMLGDywwuuuuuwBBDGJMQQRRRRRQQQRRSSSSSSSSS",
+"QQMLEGCCGGGJLMOQQQQOFo2{)$$$%%%$$@++....          ...+$&<:bixCJMOQRRRRRRRSSSSSSSSSNNNNRRSSSSSRSRRRRRRRRRRRRRRRQQQMLCwg3(-&@+..    ........+@$&->/^^_}}60fd03(((//[3jxMOQRRQOMFEGJMORSSSSSSSSSSSSRRRRRRRRQQQOMMLMMOOQQQQOMLGDywuuuuuwBBBDGLMQQRRRRQQQQRRSSSSSSSSS",
+"QQMLEGDDDDCGJLOQQQQMEk2)$$@$$$$@+++......         ...+$&-(ajtCJMOQRRRRRRRSSSSSSSSNNNNNNSSSSSRSSRRRRRRRRRRRRRRQQQOLJDsa3>~%@..    ........++$&=>/^^__}}0ddd03((////3atEMOOOOMFGCCGLORRSSSSSSSSSSRRRRRRRRRRRQQQOOOOQQQQQQOMLGDywuuruuwBBDDGLMQQRRRQQQQQRRSSSSSSSSR",
+"QOMLEGDDDDDCELOQQQOMAk2)$@@@@@+++........        ....@$&-(3gtCLMQQRRRRRRRSSSSSSSNNNNINNSSSSSSSSRRRRRRRRRRRRRQQQOMJCwg9(;*$+..     ......++$&=>/^^]__}60ffd03(///^^[3iCFMOMMJCDyDGLORRSSSSSSSSSSRRRRRRRRRRRRRQQQQQQRRRQQOMJCywurrruuBBBDGJLMQQQQQQOOOQRRRSSSSSSRR",
+"OMMJEGDyyyyDGLOOQQOFCl{)$@@++++..........        ...+@$*;(3bxEMOQRRRRRRRRSSSSSSNNNHHINSSSSSSSSSRRRRRRRRRRRRQQQOMJGynd3(-&@..      ....+++@%*;/^^]___}60ef03((//^^^/3axAFMFFAxywyDJORRSSSSSSSSSRRRRRRRRRRRRRRRRQQRRRRRRQOMGDwurrrruwBBDGGJLOOQQQOOMMOQRRSSSSSSRRR",
+"MMLEGDyywwwyGLMOQOMFx1{)$@+++.............       ...+@%*;(3jxFMQQRRRRRRRRRSSSNNNNHHINNSSSSSSRSSRRRRRRRRRRRRQQOMLGysg93:*$+.       ....++@%*->/^]]__}}60e003(//^^^^^[9lxEEEAxtsswDJOQRRSSSSSSSRRRRRRRRRRRRRRRRRRRRRRRRRQOLGysrmmmruwBDDGJLLMOOOOMLLLMOQRRSSSSRRRR",
+"MLEGCDywuuwyGLMOQOMAk1{)@@++...............    .....+@%*;(bxFMOQRRRRRRRRRRSSSNNHHHIINNSSSSSSRSSRRRRRRRRRRRRQQOLJDwnd3(=%@..        ...+@$&->/^]]]__}}800063///^^^^^[3btCAAxysissDJOQRRSRRSSSRRRRRRRRRRRRRRRRRRRRRRRRRRQOLCwummmrrwBDDGJJLLMOOMLLJJJLOQRRRRSRRRRQ",
+"EGCCDywuuusyGLMOOMFAl1{%@++........................++@%~:alEMQQRRRRRRRRRRRRRNNHHzzIHNNSSSSSSRSSRRRRRRRRRRRRQQOLGysg9(-{@+.         ..++@%*;/^]]]___}}66666[//^^^^^^^3alxxxxtinnsDJORRRSRRRRRRRRRRRRRRRRRRRRRRRRRRRSSRRROJDwnmmmruBDDGJJLLLMMMLJGGGGJMQRRRRRRRRQQ",
+"CDyyywwurrsyGLMOOMExl<{%@+.......................+++@$&=:lAMQRRRRRRRRRRRRRROIzzpppzHNNSSSSSSSSRRRRRRRRRRRRRQOMJDtna3:~$+.          ..++$&->/^]]]____}}}6[[[//^^^]]^^39jtxxtijnnwDLORRRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSRRMJDwrmmmrwBGGJLLLLMMMLJGCCDGJMORRRRRRRQQM",
+"ttwwwwuumrsyGLMOMLAkc<~%@+...    .....+++....+++++@@$&*<cxMQRRRRRRRRRRRRQQOFAoo77pzHNNSSSSSSSSRSSSRRRRRRRRRQOLGyiga:=)@..          ..+@%*;>^]]]]]___}}}}[[[/^^^]]]^^[3bltttinnsyGLQRRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSSQMJDwnmmruBDGJLLMMMLLJJGDDDDCELOQRRRRRQQML",
+"ssswwwuuruwDELMMMFClb:~%@+...    ....++++++++@@$$$%%&*-:lFORRRRRRRRRRRRQOMAok|||7pIHNNSSSSSSSSSSSSRRRRRRRRQOMJDtga3:{$+.           ..+@%*;/^]]]]]____}}}[[/^^^^]]]]^[3ajltiiiswDJMQRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSSSQMGywumruwDGJLMMMMMLJJGDDDDDCELOQQRRRQQMJC",
+"nnsuwwuuuswDJLMMMExj::=%@+..     ...+++@@@$$%%&&****~-:bxFORRRRRRRRRRRQOFAk22))|7pHNNSSSSSSSSSSSSSRRRRRRRRQOLGyia3:=&@+.           ..+@%*;/^]]]]]______^^^^^^]]]]]]^^[9gjiiiswyGLOQRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSSSQLGywuruwBDJLMOOOMLLJGDyyDDDGELMOQQQQQMJCt",
+"nnsuwwwuuwyCJLMMJClb3:-&@+...   ....++@$$%&&*=------;>:jAMQRRRRRRRRRRQOFAk12{))!7vHNNSSSSSSSSSSSSSRRRRRRRRQOJCtg93:~)+.            ..+@%*;/^]]]]]______^^^^^]]]]]]]_^[3ajiistyDJLORRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSSSOLGywuuuBDGLMOOOMMLJGDyyyDCGEJLMOQQQQMJCtn",
+"nruwBwwwuwyGJLLLExj3(>-&@+...  .....+@$%&*=-;>>>>>>>>(alAMOQRRRRRRRQQOLAkl1{)))|pvHNNSSSSSSSSSSSSRRRRRRRRQOMEDsa9(-{@+.            ..+@%*;>^]]]]______^^^^^]]]]]]]]_^[[9gnistDGJMQRRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSSSNNOLGywuwwBDJLMOOOMLJGDBwwyDGJJLLMMOOOMLGysn",
+"ruwBBBBwwBDGJLLExia3/(;&$+.........++$%&*-;>>////>>>/(atEMOQQRRRQQQOMLExl<1{{))7pHPNSSSSSSSSSSSRRRRRRRRRRQOLGyia3:~)+.             ...+$&->/^]]_____}[^^^^]]]]]]]]]__[[9dgntyCELOQRRRRRRRRRRRRRRRRRRRRRRRRRRRRRSSSNSNROLGywwwBDGLMOOOMLJGDwsstDGJLLLLLMMMMLEDsng",
+"uwBDDDBBBBDGJJECtb3///;*$+.........+@%&*-;>//////////(atCLMOOQQOOOMLJExlc<<~{{|7vHNNSSSSSSSSSRRRRRRRRRRRRQMJCtga3<{@+#              ..+$&->/^]]___[[[[^^^^]]]]]]]]]__[[69gntDCJLOQRRRRRRRRRRRRRRRRRRRRRRRRRQQQRRSNNNSQMLGDBBBBGJLMOOMMJGDwunsyCJLMMMMLLLLLECtsng",
+"wBDDDDDBByDGGGCtj93^//;*$+........++$&*=;>>//////>>>/(aixELMMMMMMLJECxlca:<~{{|pHNNNSSSSSSSSSRRRRRRRRRRRQOLGysga:~!+.               ..+@&=>/^^]_[[[[[[[^^^]]]]]]]]]___[60dntDGJMOQQRRRRRRRRRRRRRRRRRRRRRRRQOOMOORNNNQOMJGDyBBDGJLMMMMJGDwumnsyELMOOMMLLLJECysnnn",
+"BDDGGDDByDDCCDtj93^^//;*$+........+@%&*-;>>/////>>>>//3btxCEEEEEECCxtlba::<~~2ozHNNSSSSSSSSSSSRRRRRRRRRRQMJCwna:<)@+# #             ..+@&=>/^^^^[6666[[^^^^]]]]]]]]____}0dntCELMOQQRRRRRRRRRRRRRRRRRRRRRRQOMLFFMOOQQOMLECDBBDDGLLMMMLJDwughgsCJMOQOOMLJEGDysnnnh",
+"DDGGJGDDDDDDDyja3[^^^/;*%+.......++$&**-;>>>>>>>>;;>>((9jityxxxxxxttiba3(:<<12pIHNNSSSSSSSSSSSSRRRRRRRRQQLGDsna<{!+.                ..+$&->/^^^[[6666[[^^^^]]]]]]]]____[0dntCELMOQQQRRRRRRRRRRRRRRRRRRRRQOMJGCCEFMOOMLJGDDBBDGJLLMMLJDysngggtCLOQQQOMLECytsngghm",
+"DGJJJJGDDDDyysg9[^^^^/>*%+.......+@%&*==-;>>>>;;---;;>((3aggjiiiiiibaa3((:<<2ozHNNNSSSSSSSSSSSSSRRRRRRRQOLGysb:~)+.# ##             ..+%=>/^^^[[6666[[[^^^]]]]]]]]]]___[6dntCELMOQQQRRRRRRRRRRRRRRRRRRRRQMJCytyxCEFFJEGDDBBBDGJLLLLJGDwngdgiyEMOQQQOMJCysngddhhm",
+"JJLLLLJGDDywsg9[[^^^^/>=&@+.....++$%&**=---;;--=***==;>((333aaabccba:(((>:<12oINNNSSSSSSSSSSSSSSSRRRRRRQOLCyic1{!+## #              .+$*;>^^^^[[666[[[^^^^]]]]]]]]]]___}60ntDGJLOOQQQRRRRRRRRRRRRRRRRRRQOLCysiistDCCCCDyBBBBDGGJLLJJDBshddgixJMQQQQOLEDtngdddhmu",
+"MMOOOMLJDDBsgd6[^_]]^/>-&$+.....+@%&***======***&&&&**=;>>((::::::::((((>::1ozINNNSSSSSSSSSSSSSSSRRRRRRQOLCyic2)+.####             ..@&->/^^__}[[[[[[^^^^]]]]]]_]]]_____69gsyCJLMOQQQQRRRRRRRRRRRRRRRRQOMGDwngggiswyyywwwwwBDDGJJJGDyundaaaiCFOQQQQOLEDsndddhrwB",
+"OQQQQOMJGysnd6[[__]]^^/;*$++...+@$&**======***&&%$$$%%&*=----=<<<::((((((:blAINNNSSSSSSSSSSSSSSSSSRRRRRQOLGyl1)!'####             ..+%*>/^]]__}}}[[[^^^]]]]]]]]]_]______[0dntDGJLMOQQQQRRRRRRRRRRRRRRRQOLCysndddgnnsssuuuuuBBDGGGGDywnd93abiCFOOQQOOLGDsnghhrwDG",
+"QQQQQQMLGysg9[[^__]]]^/>=&@++++@$&*=---===***&%$$@@@@@$%&&***~~=<::((((((:ckAIQNSSSSSSRRSRSSSSSSSSRRRRRQOJCk2|!'#####             .+$*;/^^]____}}[[^^^^]]]]]]]___]_____}[9dnsyCGJLMOQQQRRRRRRRRRRRRRRQOMEDsnddddddhgmnrrruuwBDDDGDBwmd93::bixFOOQQOMLEDwsnnswDGL",
+"RRRRQQOLGynd6[[^___]]^^>-&%@@@@$&*=;;;;--=**&%$@+++++++@@$%%&{*~=-:((((33alxFORRSSSRRRRRRRSSSSSSSSRRRRRQMJCk|!'####             ..+$&;>^^]________^^^^]]]]____________[[69dgswyCEJLMOOQQRRRRRRRRRRRRRQOLCyuhd00660ddhhmmrruwBBDDDBwrd03::::ixJMOOQOOLJGDBwwBDJLO",
+"RRRRRQOLCyn96[[[^___]^^/;*&$$$%&*-;>>>;;;-**&$@++......++@$%%&{~~<::(333aixEMOQRRRRRRRRRRRRSSSSSSSSRRRQOMAk2!'### #             .+$&->^^]]_____________]_____________[[69ddgnsyDDGJLMOOQQRRRRRRRRRRRQQLEDsmdd0666600ffhmmruuwBBBBwrh03(:-<<cxEMOOOOOMLJGDDDGJLOQ",
+"RRRRRQOLCwn93[[[[[^__]^/>=*&%&&*-;>>>>>;;-*&$@+..........+@$)){{~<<:aaagitCJMOQRRRRRQRRRRRRSSSSSSRRRRRQMJxk|!'##               .+$*;>^^]]___________________________[[6dggnnsswyyDGGJLOOQRRRRRRRRRRRQOLDBrhd0666[660ffhmmrruuuwwumh03(:-==<ckELMOOOOMMLJJJJLMOQQ",
+"RRRRRQOLCtna936[[[[[^^^/>-*&&&*-;>>>>>>;;=&%@+.....    ..++@$)){211cccityCJMOQQRQQQQQQRRRRRRSSSSRRRRRQOFCl2!'##               .+$*;/^^]]___________________________[[9gnsssssswwByDDGJMOQQRRRRRRRRRQOLGysmhe066[[[60ffhmmmmrrrmmhf03(>;===<cyGLMOOOOOMMMMMMMOQQR",
+"RRRRRQOLCyjggadd996[[^^/>;****=;>>>>>>>;=*%@+....       ..+@!!))|2kkkkxDGFMOOQQQQQQQQQQRRRRRRRRRRRRRQOLEt1|!'#               .+$*;(/^^________^____________________[9gsyDDDyywwwwwBDDJLMOQQRRRRRRRRQOLDBuhfe06}}}[60fhhhmmmhhhff033((;-===<cyGLMOOOOOOOOOOOQQQRR",
+"RRRRRROLGytsjjnnng96[[//>;**&*=;>>>>>>;=*&$+....        .+++!!!!||ooCAEFMMOQQQQQQQQQQQRRRRRRRRRRRRRQOMExl1)@.               .+${:((/^^[[}}[^^^^___________________[6gsCEJEGCDywwsuwBDGJLMOQQRRRRRRQOLGDwrhee066}[[60dhhhhfff0063(((>>;===-:cyGLMMOOOOQQQQQQQQRRR",
+"RRRRRRQMJCyyyyyttng96[//>-*&&*=-;>>>;-=*&$++...         ..++!!!77ppzzFMOOOQQRQQQQQQQQQRRRRRRSRRRRRQOMLCtc1)+.              .+!{<aa93[[[6[[[[[^^^__________________[dsCJLMMLJGDywsswwBDGJLMMOQQRRQQOMLDBumhee066}}660dhhhdd0633(((>>;-=~==-:ixGJMMMOOQQQQRQRRRRRR",
+"RRRRRRQMLECCCCCDysgd6[//;=*&&&*=;;;;-*&%$@+...         ...+@@!!77pzzFIOOOQQQQRQQQQQQQRRRRRRSRRRRRQOOLExi:~)+.             ..@)1lllijgdddd066[[^^_________________[0gyEMOOOMLJGDBwsswBDDGGEJLMOQQQOOLJDwumhee866}6600dddd0663((>>;;-=***=-:bixELLMMOOQQRRRRRRRRRR",
+"RRRRRRQOLJEGGEGCysg9[[/>;*&%%%&*=--=*&%$@+....         ..+@@!!!77pzFIOOOOQQQQQQQQQQQRRRRRRSSRRRRQQOMJCtb:~$+.             .+!2kxCCCyttsnngd96[[^________________}[9sCLOQQQOMLEDywsuswwBBByDCJMMOOOMLGywrmhee066666099d9033((>>;;-==****=;:btCELLMMOOQRRRRRRRRRRR",
+"SSSRRQOMLJJEGGCDtn9[[//>=&%$$$%&***&&%$@++....        ..+@@$))||opzFIOOOQQQQQQQOOOQQRRRRRRSRRRRRQOMLExja<&@+.            ..+!2oFMMLLECDytsgd3[[[________________[6dtEMOQQQQOLJCywsuuuuunnnntxELMMLLEDywrmhee006666699333(((>;;-==*****=;:3gtCELLLMOOQRRRRRRRRRRR",
+"SSSRROMLJGGGCDysn9[[^/>-*%@@+@$$%&&%$$@++....       ....+@%&*~22kAEFMOOOOQQQOOOOOOQQRRRRRSRSRRRQQOMFCtb:~$+..            .+!|oFOOQOOMLJGDtna96[[_______________[[6gtEMOQQQOOLJCywsrnmhhd999ajtCELLJGDywrmmee80666[66333/(>>;-===***==-;>(3iyCJJLLMMQQRRRRRRRRRRR",
+"SSRROMJECDDyttjg9[[^//;*%@+++++@@$$$@@+++....     .....+@%*=-:<ckCEFLMOOOOOOOOMMOOQRRRRRRSRRRRRQOMLExlc~)@+.            .++!pIOSRRRRQOMJGxig93[[[}__________^^[[[6dsCJMOOOOMLGDwsnmhhd06[[[39jtCEEGCDywummhee0066[[[[//(>>;-======-;;>>(3asyGJLLLLMQQRRRRRRRRRSS",
+"SRQOFEDytsnngg9[[^^^/>=&@++....+++++++++..... .. .....++$&=;>(actCEJLLMMMOMMMLLLMOQRRRRRSRRRRRQOMMFClc<{@+..            .+!7INSSSSSRRROMFxtgd96[}}}______[///////33glxEFLLLJGywsghdd06[[[^^/[9jtCCCDDywurmhff0066[[[///>>;-=====-;>>(//[3gtCEJLLLLOQQRRRRRSRRSSS",
+"ROIExljggdd96[[[^^^^>-&$++.......+++++++......  ......+@%*;>((ajtCCEJLLLLLLLJJJLMOQRRRRRRRRRRQOMMFAtc<~$+..           ..+!7zNSSSSSSSSSQOFCtja9066}}}}}_[/////((>>((:bilkxxxytigdd0066[[/^^^^/3ajtyDDDyBwurmhhd006[[////>;;-===-;;>////[6dsDGJLLLLLOQRRRRRRSRSSSS",
+"IFClba336[[[[[__]^^>-&$++.........++++@++.............+@%*;(/39jtDCGGEJJJEGGCCELMOQRRRRRRRRRQOMFECxib<{$+..           .+!7pHSSSSSSSSSRROFAxigd9066}}}[[//(>;;;------<<<<1cccaa33333[[[/^^^^^^[9gttyyyyBywwummhd06[[////>;;----;>>//[[[3dnyCJLLLLLMOQRRRRRSRSSSSS",
+"Akla3([[[[[^__]]^^>;*$++..........++@!!!@++...........+@%=;//3aitDCCCCCDCDDyyyCJMQRRRRRRRRRQOMJExtjb:=&$+..         ..+@!pINSSSSSSSSRROOFAxtjgdd066}[[/(>;=********~~~~~~~<<::(((///////^^^^^/3ajsyyyDDDyywurnd96[[////>>;;;;;>(/([39dgntCELLLLLMOQQRRRRRRSSSSSR",
+"lca((/^^^____]]^^>;*$@+.........++@!)))))!@++.........+@%*;(/3aiyDDDDyyBwwtstyCLOQRRRRRRRRQMLECxtjb::=&@+....     ...+!|oINSSSSSSSRRRQOMMJECysnhd06[[/>;=*&%%%&&&&&****{{**~=-;>>((//////^^^^^[9gstyyDDDDDyBsng93[[////>>>>>>>((33agjstDCELLLLLMMOQRRRRRRSSSSRQO",
+"a3(//^^^]]]]]]^^>;*%@+.........+@$){22222{)$@++.......+@%*;>/3gsyDDDywwunnnisyELOQRRRRRRRQMFECxtjba(:=&$@+.........+@!|ozNSSSSSSRRRQQOOOMMLJECyshd93(>-*&%%$%%%&&&&*&*&&&&&**==-;>>>>////^^^^^[9gjtyDDCGGGDywsg96[///////(>>(((39gitxCGELLLLLMMMOQRRRRRRSSSSSOMF",
+"3((/^^^]]]]]]^^/;*%@+........+@$&~1<1lcc<<~{%@+........@%*;>(3gsyDDywsnmhhgntxEMQRRRRRRRQOLECxtiba3(:=&$@++.....++@$)2kzIRSSSSRRRRQOOOOQQQOOMLGysh93:-*&%$$$%%&&&********&*****=-;>>>///^^^^^^[3gjtyDCGGEGGDysg9[[///////////[39gtCEJLLMMMMMMMMOQRRRRRSSSSSSQMAx",
+"(//^^^^]]]]]^^/>=&$+.......+@$%*=::bbbcb::-~&$@+.......@%*->(3gsyyyBsnhdddgiyELOQRRRRRRRQMJCxtljba3(:-*%$@+++++@@%&~1kAIRSSSSSRRQQOOOQQRRRQQOMLCyia:;~*&%%%%%&&**=====********==-;>>>//^^^]]]^[3antyDCGEEGGDysd9[[[[[[[[///[[69gtCJMOOOQOOOOMOOQRRRRRSSSSSSRIAki",
+"//^^^^^]]]]]^/>-*%@+......+@$&~->((33aa3(:-=*%@+.......+$&=;(3gsyywsnhd09djtCJMOQRRRRRRROMExtiija33(>-~&%%$$$$%&*=-:lAIRRSSSRRRQOMMOQQRRRRRRQOMExia:-~*&&&&&&**=--;;;;;---====--;;>>/^^^]]]]]_^[9nsyDGGEEEGDwnd6[[[[[[[[[[[669gsDEMOQQRQQQQOOOQQRRRRSSSSSNNIzkca",
+"///^^^^^]]^^^/>-*%@+......+$&=;>(((333((>;-=&%@+.......+$&*->3aitssnhd069diyELOQRRRRRRRQOLExtija93((>;-=*&&&**=-;>(cxFORRRRRRQOOMMMOQQRRRRRRQQMExib:-=**&***==-;;>>>>>>>>>>;;;;>>>//^^]]]]]]]_^[9nsyCGGEEGCysg9[[[[[[6660600dgsyELOQRRRRRQQQQQQRRRRSSSSSPPHzo1b3",
+"//////^^^^^^//>-*%@+.....+@%~;>(/////((;-=~*&%@+.......+@%*-:(aninnd06669gtCJMOQRRRRRRRQOLCytjga33(/(>>;;--;;>>//3bxFOQRRRRQQOMFFFMOQRRRRRRRQOFCtc::-=~****=--;>>>>///////////////^^]]]]]]]]]__[9gsyCGGEGCytnd6[[[[60dfdhhdhmsyGLOQRRRRRRRQQQQRRRRRSSSNPKKv7|1::",
+"(///////[[[[(/(;=&%@+...+@%*->((/[///(;-**&&%$@+.......+@%*=;:agggd06[[39gtCLMOQRRRRRRQOMEDtiga33(/////>>>>/////3bxEMOQRRQQOMFECEFLOQQRRRRROMFAklc:-=~*****=-;>>>///^^^^^^^^^^^^^^]]]]]]]]]]]]^[9gsyCCGGCDtsd96[[[60dhmrrmmruwDJOQRRRRRRRRQQQQRRRRSSSNPKq54'!{~-",
+">((((33aabbbaa3::~&$@+++@$&=:(333[[/(>-*&%%%$$@++......+@%*=;(aagdd3[[[39gtCLMOQQRRRRRQOLCyiga33[////////^^^^^[3btEFOQQQQOMFAxttxCFMOQQOOOIFAolc<<<~~*&&&**=-;>>//^^^]]]]]]]]]]]]]]]]]]]]]]]]]^[3gsyDCCCDtsgd06[660dmuwwwuwwBDGLOQRRRRRRRQQQQRRRRSSNPKqq5,,'+$&~",
+":::abblxCCACxtib:<{%$@@@%*=:33aad333(:=&%$$$$$@@++.....+@%*=;:3ada33(/(39jtCJMMOQQRRQQOLGysga93[///^^^^^^^]^^[3btCFMOOOOMFAxijjjtxEFMMMIFAokk211~~~{&%%%%&**-;>/^^^^___]]]]]]_________]]]]]]]]^^[ajtyDyytsgd906600dnuwBBBBwByDJMQRRRRRRRRQQQQQRRRSNNHq5,,##.+@%&",
+"<ccltCFMMOOMMExic1{)$$%&~-:abnjijga3(:~&%$$$%%$$@+++..+@$%*=;::aaa3((((39jtCEJLMOQQQQOLEDsg93[[/^^^^^^^]]]]^[3gtCEMMMMMFExlja99ajtxCAAAoo||22{{{{{&%%$$$%&*=;>//^^______]]]]]__[[[[[^^_]]]]]^^^^[9gjtttsngd99000dhnuBDDDDBBBDGLOQRRRRRRQQQOOQQQRRNHv5,,### ..+$%",
+"<clxEMOQQRRQOMEyi1{))%{=::aityxxttja::={%%%%&&&&%$@++++@%&*=-:::a:3((((39gsyDGJLMOOOOLEDsg9[[^^^^^^^]]]]]_^[3gtCELMMFFECxja99999ajjlll22|{))))))))%$$$$%%&~;>//^_______]]]]]__[39999[[^_]]^^^^^^[3dgnnggd990090dhnsBDDDDDDBDDJMOQRRRRRQQOOMMOOQOOIv4,###   ..+$%",
+"clxEMOQRRRRRROJx22{)&*=:agtxCCECCxtja:=~&&&&*****&%$@@@$%&*~=<<:::((((33dgityDGJLLLLLGDsg9[[^^^^^^^]]]]]_^[9gtCEJFFFECxtja9936639aaab<1{{))))))))))%%%%&*=;>//^_________]]]__[9ajjjg93[^^^^^^^^^/[39dd99666609dhnswBDGGGDDDDGJMOQQRRRQOMLLLLMMMMzp4'##     ..+$%",
+"clxEMQRRRSSRROzo||){{=:agtCEJLLJECxlb::==~~=--;;;-=*&&%&&*~~~<<<:::(((33dgnstyyCGEEGCynd6[[^^^^]]]]]]]__^[3gtxEEEEACxtjga9996663333(::=~~{{{{{{{{{{{{*~=;>(//____}______]]__[6ajttttj9[[^^^^^^^^/[[6366[[[[660dgnsBDDGGGDDDDGLMQQQQQQOMLEGCCCECoo7'##      ..+$%",
+"ackEMQRRSSSRRIzo2{{{~::gtCELMMMLLECtb::;--;;;>>>>>>;-=~~~~~~~~1<<::((333dggnnswyDDDysnd6[[___]]]]]]]___[[3aitCAACxtljbaa9999996[[[(/(>>;;---<<<::<:-:::((/[[}}}}}}_____]_]__[9nsyyytja3[^^^^^^^^/[[[[[[[[[[60dhnuwBBDGGGDDDCGLMOQQQQOLECyttttll2)!'.       ..@$&",
+"3alAMQRRRRRRIzo22{{~::btCJLMMMMMLECtb:::>>>>>////^//>>;;--=~~~11<::33339dghggnsswwsng96[____]]]]_____[[[3ajtxxCxklcbaa9dddddd006[[///////((333aa93333333[[}}}}}}}}_____]]__[[djtyyysnd6[^^^^^^^^^[[[[[[[[[[60dhnuuwBDDDDDDDGJLMOQQOMLGDsjgaac1{)++..      ...@%&",
+"(3jxFOQRRRROIAk2~~<::btCJMMOOMMMMEClc:(>>>////^^^^^^///>>;-=~~11<::33399dddhhgnnsnng96[[^___]]___^[[[[69agittkkllcbaaaddhhhhhd06[[^^^^^[[[69dddhddd00066666}}}}}}}____]]]__[6dnswwsnh9[[^^^^^^^^[[[[[[[[[[[60dhmuuwBBBDDDDDGJLMOOOMLGyja93(:~{!@+..       ..+@%*",
+"/3atEMOQQOOFAk1<<::abtCJMOOOOOMMLExlb:(((////^^^]]]^^^///>:-<111cba3999ddddhhhnnngg96[[________[[[699dgggjiiliccc:aadddhmmnmhd0[[[[[_[}[660dhmmmmhhfee0008888}}}}____]]]]__[6dgnnngd06[__]^^^^^^[[[[[[[[[[60dhmrruuuwwBByyDGJLMMMMLGyja3((-*%$++..        ..+@&=",
+"/(3jxJMMMMExlc::((3aiCJMOOOOOOMMFExia:(((///^^^^]]]__^^//((:<<<cbaaddddddhhhgnnnngd96[[______[[69dnnjjiijjcccc<<::addhmmrrrmhd0[[}___[}60dhmmuuurmhfeee8888888}}____]]]]]__[60dhhdd06[___]]]^^^[[66[[[[[[[60dhmrrrruuuuuwwyCELLMLJGysa3((-*%@+....        ..+$&-",
+"//39ixEEAxtca3((33diyEMOQQQOOOMMJCtb:(((////^^^]]]]___^^//((:<ccbggggggnnnsssssssnd06[[[___}[60gntyyyttijcbc<:::a9ddhmrrrrmhf06}}}__}}60ffmuuuuurmheeee888888}}}___]]]]]]__}60000066}____]]]^^[[600666[[[60fhmrrrrrrmmmmrsyCELLLLGDsg9[/;~%@+...         ...@&=;",
+"^/[3ajltiba33(/[39gyGLOQQQQQOMMLExib:(((////^^^]]]_____^^/((::bbcnnsssstyyyDDDyysngd006}}}}}0dgsyCCCCxticb<::::30dhhmrrrrmhf06}}__}}}600dhmuuwuurmheee888888}}}____]]]]]____}66066}}____]]]]^^[60ddd066600fhmuuurrmmhhfhhswCELLLEDtg93/(-&$@+..         ...@%*;>",
+"^^[[[999933[/[[[6dsDLOQQRQQQOMLJCtja3((/////^^^]]]_____^^[(((:abnitwyyDCGEJJJJGDysnhdf006600dmsyCGEECylcc:::::300fhmrrrrmhe06}}___}}}60fhmuuwwurmhfee088888}}}____]]]]]]____}}}}}}}____]]]]]^[60dhhdd0000dhrswwurmheee0ddntDGJJECyja3[/>-&$@+...      ...+@%*;(/",
+"^^^[[[[[[[^^^[[6dnyJMQQRRRQQOMLExlba3((////^^^^]]]]]]__^^[/(33agisyyDGEJLLMMMMLGDwsnhhfffefhmsyCGEECxlcb:::(3300femmrrmmhe06}}_____}}60fhmuuwuurmfee00086}}}}}___]]]]]]]____}}}}}}_____]]]]_^[0dhmmhdd0ddhnwBBwwrmhe0000dntCGJJEDtj93[/>-&$@+..... .....+@&=>//[",
+"[^^^^[[[_^^___}0hBGMQQRRRRQQOMLExib33(////^^^^]]]]]]]__^^[/(3aansyDCGJLLMOOOOOMJCywurrmmhhhhnsyDCCCxlca::(33660eemmmrmmhe06}_______}}60fhmuuuurmhf000666}}}}}____]]]]]]]____}}}}}______]]]__[60hmmmmhdddhuwyDyBumhe06660dntCEJEGytg93[//;*&@++........+@$*->/[[[",
+"[[[^^^_______}6duDLOQRRRRRQQOMJCtja3(////^^^^]]]_]]]]___^//(3agsyDCGJLLMOOQQQOMLGDBwwwurrmmmnswyyytiba33336660eemmrrrmme06}}________}}0dhmuuuurhd00666}}}}}}____]]]]]]]]___}}}}}_______]___[[6dhmmmmhhhmuwyDDDBumf06}}60dsyGEJECytg93[//>;*%$@+++++++@@%*;(/[[66",
+"[[[/^^______}6fmBJOQRRRRRRQOMLGxia3((///^^^^^_____]]]___^^/(3aitDGJJJLLMOOQQQOMLGDDyyBwwuurmniiiicba:33336660eemmrrrrmhf06}_________}}0fhmuuuumhf0066}}}}}}____]]]]]]]]____}}}}____________[}0fhmmmmmmnuwDCGGDBrh06}}[69gtCEJJECytg93[[//>;*&%$@@@@@@$&*;>/[[666",
+"(////^___}}}60hwGLQRRRRRRRQOLECtg93(///^^^^^_____]]]]]]]^^/(3atDGJJLLLLMOOQQQOMLGGCDDDDBwunnggaaa::(((3[[660eemruuwuumhf06}_________}}00hhnrrnhd006}}}}}}}_____]]]]]]]_____}}}}__________[[[60fhmmmmmnsyDGJJGDwnd6}}_[69jyCEJJECytja9[[^^/>;=&&%$@@$$&*;>//[6666",
+"(((/[[}}}}60fmuDLOQRRRRRRQOLECtg93(///^^^^^______]]]]]]]^^/(3btCJLLLLLLMOOQQQOMJJGGGGGDDBwngaa::::((([[[660efmrwBBBBwrh06[[________}}60dhhnnnhd0066}}}}}}}____]]]]]]]]____}}}}}_______^[[[[600fhmmmmrswDELLLJDwh06}_[[6atxEEJEECytjg9[[^^//>-*&%%$$$%*=>///[6663",
+":>((/[[600dhuwDJOQRRRRRRQOMJDtg93(/////^^^]______]]]]]]]^^//3cxGJLLLLLLLMOOOOMLJJGGJJGGDysic:::::((([[[660ehmuwBDDDywnh06[[________}}60dhhnnhhd0666}}}}}}}____]]]]]]]____}}}}}}}____[[[[[6600fhhmmruswDELMMLJCsh0[[^[[3gtCEEEEGCxttga9[[^//>;*&%$$$%&*;>/^/[[333",
+";;>([66dhnwyDJLOQRRRRRRRQOLCtn93(//////^^^]_____]]]]]]]]^///3bxGJLLLLLLLMOOOOMJJGGGJJGGDBic<<:::((([[[60efhruBDGGGDysnd6[[[________}[60ddhhhhd0066}}}}}}}_____]]]]]]____}}}}}}}}}_}[[[6999ddhhhmruuwBDELMOOMLGwg0[[^[[9jtCEEEEECCxtjg9[[///;=*%$$$$%&=>//^[[[[((",
+";>(/[6dnwDGLMOQQRRRRRRRRQMJDjd3[///////^^^]]____]]]]]]]^^//((bxGJLLLLLLLMMOMMLJGCCGGGGDysic<:::((/[[660fhmuwDDGJJGDysg9[[[_________}}60ddhhhdd0666}}}}}}}____]]]]]]____}}}}}}}}}}}6699ggnnnsssswwwyyDELOOQQOMEyn9[[[[39jtxCCCCCCCxtsg93[(/>-*%$@@@$&*->/^^^[///(",
+">///6dnyGLOQQRRRRRRRRRRRQMEyg93(/((/////^^]_____]]]]]]]^^//((cxELLLLLLLMMOOMLJGDDDDDDDytic<::>(//[[60fhmuwBDGJJJJGysg9[[[__________}}00ddhhdd006666}}}}}}____]]]]]____}}}}}}}}}}6609gnstyyDDDCDDDCGEJLOQQQQQOLDsd3[[[3ajtxxCCCCCCxyig93((>-*%$@@@$%&=>/^^^^^^///",
+"///[0myJMQRRRRRRRRRRRRRRQLGtg3(/(>>////^^^]_____]]]]]]^^//>>:lxJLMMMMMMMOOOMJGDwssswtttic<::((/[[[6dhmuwBDGJJLLJGDwn9[[[__________}}600dhhhdd00066666}}}}____]]]]____}}}}}}}}}}609dnstDCEJJLLLLLLLLMMOQQRRRQOMGtg93339ajittxxxCCCxtib33(;=*%$@@@@$&=;>/^^^^^^^//",
+"^^[6hwJMQRRRRRRRRRRRRRRQQMCta3(((>(////^^]_______]]]]]^^/>>>:lCLMOOMOOOOOOOLGDtingniiiicc::((/[[60dhuwBDGGJJLLJGCynd6[[___________}}60ffhhfdf00006666}}}_____]]]]____}}}}}}}}6600dnsyCELMMOOOOOOOOOOQQRRRRRRQMJyia93399gjjiltxxCxysja::-~&%$@@@@$&*;>/^^^^^^^^^^",
+"^^[dsGMQRRRRRRRRRRRRRRRQOLCta3((((///^^^__________]]]]^//>;:bkEMOOOOOOQQQOMJCticaaacciccb:3([[[60hnwyDGJJLLLLJGDysd6[[______]____}}60fdhhhfff00000088}}}_____]]]____}}}}}}}66600dnsyCJMMOQQQRQQQQQQQQRRRRRRRQMJxia999999aaajityyytib:<~{%%@@@@@$&*;>/^^^^^^^^^^^",
+"_[6nCMQRRRRRRRRRRRRRRRRQOLCtb93((((//^^____________]]]^/>;;-ckFMOOOQQQQQQOMExl1<:::ccccba336[60dhsyCJJLLLLLLJGDysg9[[____________}}60ffhhhfffe0000086}}______]]______}}}}}6000dhnsyCJMOQQRRRRRRRRRRRRRRRRRRRQMExja933333339ajistiib<<~{%$@@@@@$&*;>/^^^^^^^^^]]]",
+"[[gCLQRRRRRRRSSSSRRRRRRQMExtga99333[[[[____}}______]]^^/>;-<1kFMOOOQQQQQOOFAk21<<::acccgad9099hnwDGLMOOOMMLJGDBwnd0[[___________}}60efhhhhffee008086}}_____]]]_______}}}6600dhnstyCJMOQQRRRRRRRRRRRRRRRRRRRQOLCta93333[[3333abjjbb<1{)$@@@@@@$&*->/^^^^^^^^^^]]]",
+"[gyLQRRRRRRSSSSSSRRRRRQOLExtjbggggad966[}}}}}}_____]]^^/;-==1kEMMOOOOQQOOMzo211<:::aagggggddhnsyCJMOOQQOOMLJGDwuhd6[[__________}}}00ehhhhhfeee0806}}}}__^^^]]]]______}}600dhnssyDEJMOQQRRRRRRRRRRRRRRRRRRRROMEtb933(///////3333a:<~{!@@+++@@$&*->/^^^^^^//^^^]]]",
+"atEORRRSRRSSSSSRRRSRRRQMJCytiiitstsjndd0066}}}______]^//;-==<kCFLMMOOOOMLEok21<<:::adgnnnggnstDGLMOQQQQQOOLJDBunhd06[[________}}}88ehhhhhefee0066}}}[^^^^^^^^^]]____}[60dhgnsyDGJLMOQQRRRRRRRRRRRRRRRRRRRQOMEtj93((/(//////((((:<~)!@++++@@$%*->//^^^^/////^^]]]",
+"jCMQRRSRRSSSSRRRRSRRRQOLExttittyyDDytsnhdd006}_____]]^//>-==<lxGJLLLMMMLEok11<<::(3ddhnnnnswyDELMOQQRRQQOOLJDywnnd066[}_____}}}}88eeehhheee006}}}[[/////>////^^^^^[[[60dgnstyCELMOQQRRRRRSRSRRRRRRQQQQQOOMFCtba3((((>>(//////(:={)@++..++@$%*->>/^^^//>>>//^^]]]",
+"xJORRRSRSSSRRRRRRRRRQOMExttistyDCCCCCyyssnhd06}____]^^//>;-<<itDGGEJJJECxk11<-::(330dhhnuswyDGLMOQQRRRRQQOLJDysnndd066[[[}}}}}}}88eeeeefe066[[[[////>>>;;>>///^^^[[[9dgnstyDCELMOQRRRSSSSSSSRRRRRRQQOMMLJCxlba::::::;>>(////(>-*%@++..++@$%*->>//^///>>>>>/^]]]^",
+"CMQRRSRRRRRRRRRRRRRQOMExtjnnistyDCGGGCDyywshd6[___^^^///>;-<<clyDDCCCCxyl11<=;:((360ddhmnsyDGJLOQQRRRRRQQOLGDysnngd9066[[}}}}}}8888eeee066[[[////>>>;;-;;;>///^^[[[9gnsyDCCGJLMOQRRSSSSSSSSSSRRRRQQOMLGCylccc:<<<<<-;;>/////>;~&$++...+@@%*->>//^//>>;--;>/^^]__",
+"EMQRRRRRRRRRRRRRRRQOLEDsnggdgnswyDGGGGGGCDysg06[^^^^^///(>:::cityyDDyytic1<=-;>(/36660dhnsyDGLMOQQRRRRRQQOLGywsnggd9966666}}}}}}8800066[[[////>>>;;----;;>(///^^[[9gstDCGGJLMOQRRSSSSSSSSSSSSRRRRQOMLGDtic<1111111<-->>/////>-*%@++..+@@%*->>/^^//>>-===;>/^]]_[",
+"JMQRRRRRRRRRRRRRRQOMJDtndd0ddhnuwyDCGGGGGCDynd6[^^^^/////(((abittyyyttic<<~=-;>(/[[6600dhnwyGJLMOQRRRRRQOMEDwnnggdd99666666}}}}}}}}}}[[////(>>;;;-----;>>/////[[[6dntyCGJLLMOQRSSSSSSSSSSSSSSRRRRQOMJCyic<1222|221<<:>//////>-*%@++++@$%*->>/^^^//>-***=;>^]]__[",
+"JMQRRRRRRRRRRRRRQQOLGyshd0000ddmmuwyDGGGJECysg9[[^^^/////((3agistwwssic<<~~=->(//[[}}660dhswDGJLOQQRRRQQMLCtngdddd999666666}}}_____[[///>>>>;;;-----;>>/////^/[[[6dnsyCEJLMOQRSSSSSSSSSSSSSSSRRRRQOMJDtic122|oook1<:(///////>-*&$@@@@$%*=>>/^^^//>;=***=;/^]]_^[",
+"JMOQRRRRRRRRRRRQQOMJCwnd0000000fhmrwBDGGJJGDtnd6[[[[[[[[[339agissssincc<~~~=;>(/[[}}}}660dgswyGJMOQRRQQOLCtnd9909999966666[}_____^^//(>>;;;;;;----;;>///^^^^^^[[[0dgsyDGLMOQRSSSNNNSSSSSSSSSSRRRRQOMJDti112|ooooklb((/^^^^//>;-*&%$$%&*->>/^^^^//>-****=>/^]]_[[",
+"ELOQQQRRRRRRRRRQQOLEDtnh00000000fhmuwBDGJJGDynd9[[[[[[66639agiisssinga:<~**=;>//[}}}}}}660dnstDGLMQQQQOLCtg96[[[66366[[[[[[___]^^//>>;------;;;;;>>>//^^^^^^^^[[[60hntyCLMORSSNNNNNSSSSSSSSSRRRRRQOLExli1122kokklca3/^^^^^^//>;-=*&&*=->//^^^^//>;-***=;>/]]__[[",
+"ELMOOQQQQQQQRRQQQOLECtsgdd000000ffhmuwDGGJGDysg99660999ddagjisttsinga:<~{{*-;(/[[}}}}}}}60dhnsyCJMOOOOLCtg9[[[[[[[[[[[[[[[^_^^^^/>;;-=***=-;;>>>>///^^^]]]__^_}}}60dgsyGLOQSSNNNNNNSSSSSSSSRRRRRRQOLCxlcc<1lllllba3[^^^_^^^^///>;;---;>//^^^^^//>;-==-;>/^]]__[6",
+"CELLMMMMOOQQQRQQQOLECysngddddddddfhmuwDDGGGDysngdgggnnnnniistyytsngaa:~{&{~->//}}}}}}}}}00dhnwyCELMMMFAtb3((////[[[[[[[[/^^^///>;-=******=;;>>///^^^^]]]_____}}}}60dgsyEMOSNNNNNNNSSSSSSSRRRRRRRQOLExlibbbbbccbb93[[^___]^^^^^////>>>//^^^^[[[//>;;;;>>/^]]___[6",
+"DGJJJJJLLOOQQQQQQOLJGDtsnngnnnnnnnmuuwyDGGGDyssnnsswttttttyxCCCxtiga:<{%%&~;(/[}}}}}}}}60fhnswyCELLMFAxl::>>>>>(((((((/////>>>;-=*&&&&**=;>///^^^^^]]_____}[[}}6600hsyCLOQSNNNNNNSSSSSSSRRRRRRQOMLECticbaaaaaa933[[[^____]]^^^^^^^///^^^[[[[[[/(>>>>>//^]]]___}6",
+"yDDGGGGJLMOQQQQQOMLJGCytsssstyyywwwwwyDDGGCDyywwyyDDCDCDDCCEEEECxtcb<{)%%&~;(/}}}}}}}}800fmuBDCEJLLLFAk1<--------;:::::::;;;-==**&&&&**->>//^^^^]]]___^[[[6600000dhnyCLMORSNNNNNSSSSSRRRRRRRQOOLJGxxtijgaa99933[[[[[____________]]^^^^[[60dd063(((>//^^]]]____}6",
+"wByDDDDGJLOOQQQOOMLJGCytstyDGGGGCDyyyyDDGGCDDyyDDGEEEEGGGGELLMLJCxic~))$%&=>/[}}}}}88880ehuBDGJLMMMMFAk11=========<<<<--======******=-;>//^^_________[[[09dhhhhhhnsyGLMORSSSSNSSSSSRRRRQQQOOMLECDxytttsigga993[[[[[_________________[[0dgusnnd3((///^^]]]_____}6",
+"uwwBBBDDGLMOOOOMLLJEGCyttyCELLLLJEGDDDDDCCDDDDDCGJLLLJEGGEJLMMMMJCk1{)!$%{->/[}}}8888880fmwDGLLMOOOOMAok1<======<<<<<<111<<=------;;>(//^^__________[[9answtwwwwwyDGLMOQRRSSSSSSSRRQQQOOMLLECDytttyxDDxytijgd93[[[[[_______________[60hsByDysnd3(//^^]]_______}6",
+"muwwBBDDGJLLMLLLJEGCDyttyCELMOOMLLJGCDDDCDDDDDGGJLLLLJEGGGJMMOOOLAk2|!!!%*;(/[}}6688880efuyGLMOQQQQOOFAkc<<::::::<c111l111<::>>>((////^__}}_______[[[9ntDCGEEEGGGJLLOOQQRRRRSRRRRQOMMLJGCDytsiiisyDGEEGCCytjga996[[[[___[[[[[[}}_}}6dmwDGJGCysg33/^^]_________}}",
+"mruuwBBDDGJJJGGCCDDyysssyCJMOOOOMLJGCDDCDGGGGGGJLLLLLJGCCCELMOOOMFo|!!!!)~;([[}}68888800hsDJMOQQRRRROOFCtca3333aacitkxCCxkiba33[[[[[}}}}}}}______[[6ajxGLLMOOOMMMOOOQQQQQQRRQQQOMMFECxtsnnggagjiyCELLMLLECytsngd99[[[[[[[[66666}}}6dmwDJLLLECtg93[^^__________}}",
+"hmruuwBBDDDDDDBBwwwssnnstCLMOOOOMLEGCDDCGGGGGGJJLLLLJGDyyDCLMOQOOFA77!!!&=>([[}688866660hwCLOQQRRRRRROMJCwngdddgitxCEFFFECxig966[[}}}}}}}}}}____[[3ajxEMOQQQQQQQQQQQQQQQQQQQOMMLECxtiga993399gixGFMOOOOMLJGCytjng9966[6660dddd0000fhuDJLMMLJCtg93[^^___________}",
+"fhrruuwBBBBBwwuuumnnhhhnwCJMOOMMLEGCDDDCGGGGGJJJLLLJGDywttCEMOOOOIzp7!!){<((66600086}}60hyGLOQRRRRRRRROMJDysnnnswyGJLMMMLECtnd0066}}}}}}}}}}}__[[3aixEMOQRRRRRRRRRRRRQQQQOOMLLGCytjg93[[[[[3aixEMOQQQQOOMLJECytsjgd9999ddgnnnmhdfdhuyGLOOOMJDla3[^^____________}",
+"fhmrruwwBBBwuummhhhhddhnsyGLLLLJECyyyyDDGGGGGJJJJJJGDyssnsyEMOOOOIzp77!)~:(360000006}66dnyJMQQRRRRRRRRQOLGDBwsswyDGLLMMLLGDsgd06666}}}}}}}}}}}}66ajtAFOQRRRRRRRRRRRRRQQQOOMLJCytjg93[[[//[3aiCFOQRRRRQQOOMLJECytsjggdggnswByBwummmuBGLMOOOLExia3[^^_____________",
+"fdhmruwByyBBurmhfff000ddnsyCGGCxytssswyDGGGGGGGJJJJDywnggntCFOOOOIIpp7|21:addhhhhf00660hwCLOQQRRRRRRRRQOLJDBwwuwBDCJLLLJGDwnd006666}}}}}}}}}}}60dgtxEMORSSSRRRRRRRRRRQQQOMLJGysnd9[[////((alCMORRRRRRRQQOMMLJECysjnggnswyDCGDDBwwwBDJMOQQOLGtg33^^_________]]___",
+"0fhruByDGGDDwumhd0006600dgnstssnnggnswyDGGGGGGGGGGDDwngddgtCJMOOOIIvpp721innssuurmhd00hsDJOQQRRRRRRRRRQOLJDBwuuuuwyDGEEGDwnh00066888}}}}}}}}6600gjxCFINNSSSSRRRRRRRRRQQOOMLGDynd93(/(>>::blAIRSSSSRRRRQOOMMFJECytsnnnstDCEJJJJGDDDGJMOQQQOLCta3[^^______]]]]]^^^",
+"fhmuyDGJLLJGDwnhd066[[[[6699999999dgnsyDGGGDDDDDDDywuhd99aixEMOOIIIzppookyyDDDDDyysnnnsyEMQQRRRRRRRRRRQOLGDwurmmmuwyDDDDysnd000066888888888800dhntxEFINNNSSSSRRRRRRRQQQOOMLGDsgd3((:--=<<kAINSSSSSRRRRQOOMFFJECxtsnnswyCELLLLLJJGJLMOQQRQOLCia3[^^______]]]^^^//",
+"hnwDGLMOOMLJCyuhd06[[[[[[[[[[[[[[69dnsyDDDDDBBBBBBurhd0669gtAFIIIIIzzzAAEEJJLLLLJGCyyyDEMOQQRRRRRRRRRQOMJCyumhhfhmnwyDDywsndd000008888888800edhnsxCEIINNNNNRRRRRRRQQQQQOOLJGysg3(:-=~{~2|AINSSSSSSRRRROOIFFFFECysjnnsyDGLLMMMMMLLLMOQRRRQOMCia3/^^____]]]^^/////",
+"nwDJLOQQQOMLGysh06[[^^^^______[[[69dnsBDDDBBwuuuuumh06[[[3alCFFIIzzzzzFFLMOOOQQQOMLJEELMOQRRRRRRRRRRQQOLGDwuhffffhnwyDDDywshddf0000880008eeffhnsyDCFMINNNNOOOOOOQQQQQQOOMLJCtia::=~{{{|ozHNSSSSSSSRRRQOMFFFFEECysjnnsyCELLMMOMMMMMOQRRRRRQMAla3/^^^^]]]^^/>>;>>(",
+"yCJMQQRRQQOLGysh06[[^^^^_______[[60dnswyBBwurmmhhd006[[^/(3btCAzzzzAAzFMOORRRRRRRQOMMMMOQRRRRRRRRRRRQOMJDBumhfffdhsyCGGGCDtsnhd006686000effhmuwyDCJLMOOOOOMLLLLLMMOOOOMMLJCyib::<~{{||pzHNNSSSSSSSRRROMFAzAFEECxtsnswyCJLLMMMMMMMOQQRRRRRQOEtb3(//^^^^^//>;==-:(",
+"GLOQRRRRRQOLGysh06[^^^^^_^[[[[[[600hnuuwwwumhff0066}___^//(aikooooooAEFOQRRRRRRRRRQQOOQQQRRRRRRRRRQQQOMJDBumhffdhnyCEJJJGCysndd066[[[6660fhmuwyCGJLMMOOOMFJGCCCGJJLLLLLLECxiba:<~~{||pzHNSSSSSSSSSRRQOFAAAAAEECCtssstyGEJLLLMMMMMOQQRRRRRRQMCia3(//////>;=*&*=::",
+"MOQRRRRRRQMJDwnd0[[^^^^^[[3999990dhhmuuuurmhf006}}____]^//(:<1lkookkAFFORRRRSRRRRRRQQQQQRRRRRRRQRRQQQOLGDwumhdffmsyGJLLJECysgd333(//((336ddmsyCGJLMMMOMMFECxywwyyDCGGGGCxtja::<<~22ozINNSSSSSSSSSRRRQMFAooAFFFECytssyDCGJJJJLLLLLOQQRRRRRRQOFxc::((>>>;-*&%%%~<c",
+"OQRRRRRRQOLGysh06[[[[/[39gjjjjnnnnnmmrrmmhff06}}_____]]^/>>:<11222kkxEMORRRSRSSRRRRRQQQRRRRRRQQQQQQQQOLJDwumhddhnsDGJJEECxlca::::;;;;::((3aiwDELLMMOMMLLEDywsnnnstwyyyttjaa3::<<12ozIONSSSSSSSSSSSRROFAoooAFFFJExtttyDDGGGGGGGGJLMOQRRRRRRRQMAk1<::>;;=&%$@@${1k",
+"QRRRRRRQOMGysg96[[[//[3btxCEECDywwuurrmmhee0}}_____]]]]^/>;--<1111llxAMORRRSSSSRRRRRRRRRRRRRQQQQQQQQQOLJDwumhfddgsyDCCDxlcc<<==~******~=<:ciDELMOOOOMMLJCywsnhdddgggggga33(:--<11kAINSSSSSSSSSSSRRRQOEoooozFMMMJCyttyyDDDDDDDDDGJLOQRRRRRRRROFAk1<:--~&%$@@@${2o",
+"OQQRRRQOLCtng96[[[//(3bxELMMMLJGDywuummhe00}}____]]]]]]^/>;--=<111clkAFOQRRSRSSRRRRRRRRRRRRRQQQQQQQQOOLGDwnhdddddgistiicb<<~~*&&&%%%%&{~<<iyELMOOOOOMLJGDysmdd903399933((>;--=<1kAIORSSSSSSSSSSSRRRQMAooopzIOOMLECyyyyyyBBwwwwBBDJMQRRRRRRRRROFok1<==*&$@++@!{2o",
+"MOOOOOFExig96[[[///(3btFMQQQQOMLGDBwurhee0}}_____]]]]]^//>;;--<<<<cclCFOQRRRRRRRRRRRRRRRRRRQQQOOOQQQOMJCyshd06669aaaaa:::-=~**&&&&&&&*~~<1kALOOQQQOMLLGDBumhd0333((((((>;--==<1kAIORSSSSSSSSSRRSRRROFoo7pzIIOOOMJCyytyBBwwuuruuwBGLORRRRRRRRROMAk1<~*&%@@++@!{2k",
+"JEEEACklba3(//^^///(3lEMQRRRRQOLJDBwrmhe0}}_____]]]]]]^//>;;::<<::bclxEMQRRRRRRRRRRQQQQQRRQQQQOOOOOOMLGysgd063[((3333((>>;---==****==-;:clCLOQQQQQOMLJCysnhd633((/(((>>;-===<1kAIORRSSSSSSSSSRRSSRROzp77pvINRQOMLEyttssuurmmmmrrwDJOQRRRRRRRROLCk11{&%$@+++@${1l",
+"tttlicb::((////////(axFQRRRRRQOLJDBurme06}_____]]]]]]^^/>>::::::::bbjtAFOQRRRRRRRRQQQQQQQQQQOOMMMMLLJCysh96[[//(((((/////>>>>>>>>>>>((3alCLOQQQQQOMLJCysnhd66[///(((>;-=~~~11kAIORRRSSSSSSRSSRSSSSRIzpppvHNNRQQMLCyssnnnmhheeehmrBGMQRRRRRRRQMJCk1{)!@+++.++${1c",
+"icga::::>>(////////(axMQRRRRRQOLGDwumhe0}}_____]]]]]]^//>:::bbbb:::bblxEMOQRRRRRQQQOOQQQQQOOMLLJGGCCxtia93[///(((///////////^^^^^^^^/[9iCLOQQQQQOMLEDBsmd06[[///((((:-=~~~1koFOQRRRSSSSSSSSSSSSSSSSIzppvHHNRRQOMFCtjgdddffeeeeeehuDLOQRRRRRQOLGk22)@++....++$)~<",
+"caa:((>>>(//^^^^^^/[gxMQRRRRRQOLGBwrmee6}_____]]]]]]^^/>::ccllccb:::bclCFOQQRRRQQQOOOOOOOOMLJGCyttsijga3[/////((///^^^^^^^^^__]]]__^[9nyJMOQQQQOMLGDwnh006[[[//((((::<1122oAIORRSSSSSSSSSSSSSSSSSSSNHvvvHNSRRQOMExjg990000088880fmyJOQRRRRQOLCy12)@+.......+$)~<",
+"ica3((((//^^^^^^^^^[gyMQRRRRRQMJDBurme86}______]]]]]^/(>:clkkklc<<:::bixEMOQQRQQQOMMMMMMMLJGDtiggdd9933//////>>///^^_______________[6gtGLOQQQOOLJCysg006[[[[[/((3abc112oozIIRSSSSSSSSSSSSSSSSSSSSSNNHHHHNNSRRQOLCtg96[[[}}}}}}660hBGMOQQQOMJDtc1)@+.......++${11",
+"tiga3(///^^^]]]]__[6gyLOQRRRQOLJDwumhe06}______]]]]]^/>:<koAAxkl<<<<::blCFOQQQQQOMLJJJJJJGCtigd96[[[[[///////////^________________[[9sCJMOOOOMLGysgd06[[[[^^[[3abclkoAzIIINSSSSSSSSSSSSSSSSSSSSSSSNNHHHNNSSRRQMEyj93[[[______}}}6dsCLMOOMJCtib<~)@+......++@)22k",
+"Cxlb93[[^^^_______}6dwEMQQQQQMLGBwrmhe06}______]]]]^//:<lozFFAkl11~~<:bjxEMOQQQOMLECCCCCDysgd0[[[[[[[[[^^^^/////^^________________[9ntGLMOOMLJDwnd6[[[_[^^^[333blkAAIINNNNSSSSSSSSSSSSSSSSSSSSSSSSNNHNNNSSSRROMCta3[[^^_________}0nyGJLJGDsg::=*%$@++..++@$){2oA",
+"JAxja3[[^^________}6dsDLOQQOOLJDBurmhe06}_______]]]^/>:1kzIIIzo22{{~=<:clALOOOOMLGxtttsssng96[[[[_^^_^^^^^^^///^^_________________[9jyELMMLJGysd0[[____^^^[[33blxAFIQNSSSSSSSSSSSSSSSSSSSSSSSSSSSSQNNNNSSSRRQOFxj9[[^^^^^_______}0hsyCCDtna::;-=*&$@@++@@$){2oFM",
+"MExta93[[[[[[[___}}6fnyGLMOMLJDBwurmee06}}______]]^//:<2ozIIIzoo|)){~<:bjxEMMMMLEytjngggd90[[[___________]^^^^^^^_____________]__[6gtCELLLEDwnd6[_____^^^[[33blxFMORSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRONNNSSSSRRQMEta3[^^^^^^^^]]]___[0gsssiga::;;;;-=*&%$$$%&~2oFIO",
+"MFCtb93[[[[[[[}}}}}6fhuDJJLJGDBBurmmhe06}}______]^^/>:1ozIIHHIp7|)){~-::blxEFLECxtja999066[[[_____________]^^^^^]___________]]]__[9jyCEJJGDwnd6[^^^^^^^^^[33ajxAMORSSSSSSSSSSSSSSSSSSSSSSSSSSSSRROOOQSSSSRRRQMCl9[^^^//////^^^]]_[[9daaa::;;;>>>>>;-**&&&~1kAIOQ",
+"MECla3[[[[[[[[[}}}}60hrBDGGGDBwurrmhe006}}}}____^^/>:<2oIHNNHHv77!){~-((3aixCCCtjg99666[[[}}}}}}__________]^^^^]]__________]]]]_[3gtCEEEGCynd0[^^^^^^^^^[339blCFORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSROOOORRSSRRRQOFxj3[^^//>>>>>//^^^^^/[3(::---;>>/////>;=**~=1kFOOQ",
+"FEtja3[[[[[[6666}}600fmuBDDBBwurrmhee0066}}}}___^//>:1kzINNNNHv47!){=;(((3ajlttja96[[[[[}}}}}}}6}[}_______^^^^^^]_________]]]]__[9jxEJJJCDsg96[/////////[33ajxEORRSSSSSSSSSSSSSSSSSSSSSSSSSSSSRQOOMOQRRRRRRQMEta[[^^/>;;--;>>//////>;;-==~=;>/^^^^//>-=*~~1oFOOO",
+"Axja3[[[[[66666666600emruwwuurrmmeee0066666}}__^^/(>:lAINNNNNHvv7!{~->//^[39aga99[[[}_[_[_}[6660666[[____^^^^^^^]]]_______]]]__[9jyEJLJECyia3(((>>>>(//((3abtAMQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRQOOOOQRRRRRQMJxj9[^^//>;=**=-;>>>>>;-=*****-;>/^]]]^/>-***~2AFIOO",
+"tja3[[[[[399900666000ehmruurrmmheee006666666}}_^^//(bkFNNSNNNPHv7){=>//^^[[[366[[[[_____[[[660ddd906[[[^^^^^^^^^^]]_______]]__[3gtEJLLLExtja::-====-;>((3ablCFORRSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRQOOOOQQRRQQOLxj9[[_^^/>-=***=-;>>;-**&&&**=;>/^]]]]^/>-*&{{2ozFFF",
+"ba3[/^[[[9dddd000000eehmrrrrmmheee0066666666}}_^^//3cCMRSSSNNPHv7){->/^^^^[[[[[[[_______[[69ddnnngd0[[[[//////^^^^]___________[atCFLMLJCxic<<~{{&{{~=<::bckAFORRSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRQQOOOOQQQOMLCsa6[__^^/>;=***-;;;;-**&&&&*=->/^]]]]]^/>=*&&{|oAAAA",
+":(////[[9dgggdd0000eeemrrurrmmeee8088666686}}___^/(alFORSSSNNPHv7)~;(/^^____[__________[[[69gnsssng96[[////////^^^^^^^^______[9jxEFLLJCxlc11{)!!!!)){~11koAIORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRQQOOOOOOOMJCtg9[[___]^/>;---;;;;-=*&&&&**-;>/^]]]]]^/>=&%%)||ookk",
+";;>>///39dggghd0000eehruuuuurheee0006666866}}___^/3bxFORSSSSNPKv7|~:(/^^______________[[[39gjsttssga3[(/////////^^^^^[[[____[[alxEEFECkl12{)!!!+'+!!!||ozIINSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRRQQQOMMLLLEDsg9[____]]]^//>>>>>>;-**&&&**-;>/^]]]]]]^/;*&%$))||221",
+"*~=;>(/3dhhhhdf000eeemuwBBBwrmfee8000666066}}__^^[9lAORSSSSSNPKv72<((/[[____________[[[[39ajjstttsga33(((>>>(////^^^[[[[[___[[ajtxCxxkl22{)!!++''''''4pvHPPNNSSSSSSSSSSSSSSSSSSSSSSSSRRRRRRRRRRQQQOLLEGCyjg6[____]]_]^^/////(>;-*&&&**-;>/^]]]]]]]^>-*%$$@!)){{{",
+"$%&~;>(6dhhhdfe000eemrwBDDDBumhffee80800006}}__^[3bxFORSSSSSNPHvo2<33[[[[[_^_______^[[[399gjtttttiga33((>>>>>(////^[333[[[__[[9ajiiic11{{)!!!+''''',45qKKPPPNSSSSSSSSSSSSSSSSSSSSSSRRRRRRRRRRRRRQOMLGDysn96[[___]]]__^^[[3993(:=*&&**-;>//^]]]]]]^/>=&$@@@@$))$$",
+"@@%&=>(0fffffe0088eemuBDGGDywuhhfeeee800806}}_[[3alAORRSSSSSNNHzolba36[[[[[^^^___^^[[[339aajjtttija93((>:>>>>>(///[33993[[^^^[[33a3:<~{{%)$!@+++'',5qqKKKPPPNSSSSSSSSSSSSSSSSSSSSSRRRRRRRRRRRRRRQOLEDwnd9[[___]]]____[[9gistib:=*&&*=;>>/^]]]__]]^/-&$@+++@@@@@@",
+"+@$&=(30fffee8008eemrBDGJJGDwrhffeeeee80806}}[[39jxFORSSSSSSSNHzolca9996[[[^^^^^^^^[[3333aabjjijjba3(::::;;>>>>(/(3aaaa3[[^^^^//(((;-~{&%%$$@++'',5qqKKKKPPPSSSSSSSSSSSSSSSSSSSSSRRRRQQQRRRRRRRRQOLGynd9[[___]]]____[9gsxGEEClc<~**=-;>/^^]]___]^/>*%@++++++++++",
+"+@$&;(600eee80888eemuBGJJJGDwnhdfeeee88008}}}[[3bxFORSSSSSSSSNIFAkiggd996[[^^//^^^^^//(3333aaaabaa:::---;;::>>>>((abjjja3[^^^^^//>>-=*&&&%%$@++',5qqKKKKPPPPSSSSSSSSSSSSSSSSSSSSRRRRQQQQRRRRRRRRQOJCsg9[[[___]_____69nyELMMLJxl1~~=-;>//^^]___]]^>=&@++.....++..",
+"+@%~:(6608e88888eehrwDGJJJCyshdf0000008086}}}[3alAORRSSSSSSSSROFAxljgg996[[///////^////(((33333:::<=~~~==-;;;;:::aclxtlb93//////(>;-=**&&%%$@@',5qqKKKKPPPPSSSSSSSSSSSSSSSSSSSSRRRRQOOOQRRRRRRRRQMJDsd9[[^_______}6dsDJMOOOOLCk11=-;>//^^]____]^/;&$++..........",
+"@$&;([668888888eeemuBDGJJGDwnd00000000686}}}[[3jxFQRSSSSRSRRRROFAxtjgd96[[[//>>>//////((((((((:;=~{&&{{~~<<<<-::<lkCCCxib33(////>>;-=**&&%%$!!45qqKKKKPPPPSSSSSSSSSSSSSSSSSSSSRRRRQOOOQQRRRRRRRRQMEysg9[[[______[6dsDJMOQQQOLGlc<-;>(/^^^_____]^>=%@+...........",
+"$&=>/[68888888eeehmuBDGJGDysh0066}}}}}}}}}}}[6atEORSSSSSSRRRRROLCyigd96[[[//>---;>>>>>>;;;;;;;-~&%$$$$){~11<<<11koAFFFAxia3(((((>>;-=~*&&%)!!45qKKKKPPPPPSSSSSSSSSSSSSSSSSSSSRRRRQOOOOQRRRRRRRRRQMJDwnd0[[[[_[[60gwCJMOQQQOMJxib::>(//^^______^/;&$+............",
+"&*;/[}6888888eeeehruBDGGDysh066}}}}}}}}}}__[[3jCMQRRSSSRRRRRRROFCtja96[[[^/>-*&**-;;;;-======*&%$@@++@!)|222222oAIIOOOFAtib:((((((>;-=~{{))74vKKKKKPPPPSSSSSSSSSSSSSSSSSSSSSRRRRQOMMOQRRRRRRRRRRQMLGywnh906660dgsyGLMOOQQOMLCtga(((///^^_____^^>=%@+..........++",
+"=;(/}}88888eeeeehmrwBDDDysnd06}}}}}}}}}}___[[atFORRSRSRRRRRRROMExia96[[[^^/>*&%%&&*===**&&&&&%%@@+++++!77ooooopzHNNRROOFClcb:33((((>;=~{{|7vvKKKKPPPPPSSSSSSSSSSSSSSSSSSSSSSRRRQMLLMOQRRRRRRRRRRQOMLECywsnggnswDGLMOOQQOOMLGynd3((///[^______^/;&$+.........+++@",
+";(/[}68888eeeeeemmuwyDDysnd06}}}____}}_____[3jCMQRRRSRRRRRRRQOJCtg93[[[__^/-&%$$$%&&&&&%%$$$$$@+++..+''7pppppzHHNNSSRROFAklca333[//(:-~2|pvHKKKKPPPPPSSSSSSSSSSSSSSSSSSSSRRRRQQMLLLOQRRRRRRRRRRRQQOMLLJGCDyyDGJLMOOQQQOOMLGynd6[/////[[_}___^/>*%@+....++++++@@$",
+"(/[[60888eeeeehhmruwyyBsnh06[}_____}}}}___[[9tEORRRRRRRRRRQQOLExia3[[[__^^>=&$@@@$%%%%$@@@@@@+++....''4vvzzzvHHNNSSSSROMExlcaa36[[((:<2|pvKKKPPPPPPPSSSSSSSSSSSSSSSSSSSSSRRRRQOLJJLOQRRRRSSRRRRRRQQQQOOMLLLLLMOQQQQQQOOLJCBnd6[//////[}}____^/-&@+...++@@@@$$$%&",
+"/[660eeeeeehhmmmmruwwwsnh066}_____}}}}}}__[3gxMQRRRRRRRRQQQOMJDib3[[[[^_^/>*%$@@@@$$$$@+++++++......'44vvIIHHHPNSSSSSRQMFxlca96[[[((:1opvKKKKPPPPPSSSSSSSSSSSSSSSSSSSSSSRRRRQOLJJJMORRRRRSSRRRRRRRRRQQQQQQQQQQQRRRQQQOLJDwnd6[^^//////[}___^/>*%@+.+++!))%%%&&*=",
+"30dhhhfeefhmmmmmmussssnhd06}}____}}}66}}}[[9tEMQRRRRRRRQOOMMJCtja3[[^^_^^/>*%$@@@@@$@@++...........''4vvIIIHHNNNSSSSSROMAxia93[[[[(3ckpHKKKKPPPPPSSSSSSSSSSSSSSSSSSSSSSRRRRRQOLJGJMQRRRRRSSRRRRRRRRRRRRRRRRRRRRRRRQQOLJDwnd0[[^//>>>///___^^>=&@+++''!||{~***~=;",
+"gnsssurmmmmmrrrmnnnsnngd06}}____}}}60006669jxLQRRRRRRRQOOMLJGDsb3(/^^^_^^/;*&$@@@@@@+++...........+'7pzIIIIIHNNSSSSSRROFCtca3[[[[[3bkzHPKKKPPPPPSSSSSSSSSSSSSSSSSSSSSSSRRRRRQMLGGJLORRRSSSRRRRRRRRRRRRRRRRRRRRRRRRQQMJDBuh0}_^^/>;;;;(//^^^/;*$@++''47po21~~~=-:",
+"wyCCDDywuuuruurnnnnghd066}}}___}}}60df0069gtEOQRRRRRRQOMLLJJCxia3(/^^^^^^/>~&$@@@@+++............+'77pzIIIIIHNNSSSSRRQMExia3[[[[[[alAIHPPPPPPPPSSSSSSSSSSSSSSSSSSSSSSSSRRRRQOMJGCGLMQRRSSSSSSRRRRRRRRRRRRRRRRRRRRQQOLGBuhf6}_^^>;****->>//>;*%@@+''4vpzok1<==-::",
+"CJLLLJDywuuuurnhhddd0066}}____}}}600dddd0djCMQRRRRRRQQMLLLJECyia3(/^^^^^//>=&$@@++++....    ....''77ozFFFFIIINSSSSRRQOLClg9[[^^^[3bxFNPPPPPPPSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRQOLJCDDEMORRSSSSSRRRRRRRRRRRRRRRRRRRRQQOLGDwrh0}}_^/;*&%$%&**==*&%@@++'4vvIIAkl<<<<::",
+"JLMMMLGDwsunnhhdd0066[}}______}}}600dddddnyJOQRRRRRRQOMLLJJGCtib((//^^^[[(:=&$@@+++....     ###''77zzFMMFFIINNSSSSRRQMEyja3[^^_^[9lFINNNPPNSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRRQOLGDyyxGFORSSSSSSSRRRSRRRRRRRRRRRRRQQOMJDBumf0}_^/>=&$@++@@$%%$@@@+@@7pzIIIAkl1<<:::",
+"JLMMLLGysnnhdd00666[}}________}}}}6000ddntEMQRRRRRRQOMLLJJJGCtc<:>(///[33a:<{$@+++....     ###'44pzFMMMMMFIIRSSSSRRROLCtg33/^^_^[axMRSSSNSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRRQOLGysiitCFIRSSSSSRRRRSSSRSSSRRRRRRQQOLJGDwume0}[//;*%@+....+++++++@@)|ozIIFAkc<<-:::",
+"CELLJGDtngd00666}}______________}}}6600hsCLORRRRRRRQMLLJJJGCxic<-;>//33bjll2|)!++....     ##,,5vvIIIOOMMMMOORSSSRRRQOLCtb33[[^^[3jAORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRQOLCyigbclkAFIQSSSRSRSSSSSSSSRRRRRQOMLJGDBwumf0}[/>-&@+...........+@${2oAFFAkcb:::>(3",
+"txCCCysnd9666[}}__________________}}}60gtEMQRRRRRRQOMLJEEGCDtic<=->/(3btCAAAo7!''.#     ##,,55vHHNOOOOOOMOORRSSSSRRQOLCtja33[[[3axMQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRRQOLCwna:<122opzIIQRRSSSSSSSSSRRRQQMLGDDDBBBurhf6[(>=%@+...    ....+@%~<lxxxlcb::>>(/(",
+"gjsssjnd9666}}}}___________________}}6dsCMQRRRRRRQOMLJGGGCDysc<<=->(3atAMMOIzp7'''#######,55qKPNNRRQOOOOOOORRSSSRRRQOMExlcba339jtEORSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRRQOJDsb::=~{{)||opzIORSSSSSSSRRRQOLGDyyBBBBBwumd63(:~%@+...     ....@%=:bbbba:(>>>////",
+"9ggnnngdd9666}}}}__________________}}6dtJOQRRRRRQQOLJGGCDDyysg:<-;>(3jCLOQQOIIp44'#####,,5qqKPNNSRRQQOOOOOQRRRRRRRRQOLExkklcbjtxEMQRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRRRQMJyia::=*&%))))||ozIQSSSSSSRRQMJCtsuuwBBBBBund03(:=&$+...      ...+%=:(((((>>>>//^^^",
+"9dhgnnnnngd00066}}}}__}}}}}}}}}_}}}}60nCLQRRRRRQQOLJGGCDDDywsg::;:((atEMQQRROIzp74'',,,5qqKKPPSSSRRQQOMMOQQRRRRRRRQOMFAoookkkxCFMQRRSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSRQOJCsb:(;=*&%%$$)){2koFIRSSSRRQMFxsnhhnuwBBBBsnhd93:-~%$+...     ...+$*;>>>>;;>>//^^^^",
+"0dhnswyyyysnhff0066}}}66006}}}}}}}}}0dwEMQRRRRQQOMLGGDDDDDyytna::>(3atJOQRRQQOMzpp7445qqKKKPNSSSSRRQOMMMOQQRRRRRRRQOLEAoo7oooAFMOQRRSSSSSSSSSSNNNNNNSSSSSSSSSSSSSSNNNNNNNOMJxib3((>-=*&%%%%{~~1loFIRRRRQOMExjgddhhuwwBwsngdda3:<~%$+..     ...+@&=;;;--;;>/^^__[",
+"hhnsBDGJJGGDwumhee00fffffee00686}660dnyLOQRRRQQOMJGDDDyyyDDyyib:(((3bxJMQQQQQOMFFAzpvvKKPPNSSSSSSRRQOMMMOQQRRRRRQQMLGxko777ooEMOQRRSSSNNPPPPPKKKKKKPPNNNNNHHIIIIHHHPKKKHIAxlba3(((>;-=~***~=-::ixFIQRRRRQMLCtjgddhgnsssssngggga:<~%@+..     ..+@%&*====-;>^^]_[[",
+"gnuwDGLMMMLJDBurmhhmmuuuurmhfe000000hsCLOQQQQQOLJGDByBByBDDCDtia:((3bxEMOQQQOOMMLLLMINNNSSSSSSSSSRRQOMMMOQQRRRRQQMJCyl2|!!77oALOQRRNNPKKKKKqqqqqqqqvvvppppo||||||77444447|1<(((/(>>>>;;;;::::actAMQRSSRRRQOMEyjgddddnnssssssssig:<)@+.      ...+@%&&&&*=;/^^_[[[",
+"gnswDJMOOOOLJDBwuuuwBDDDDBwumhff00fhnyELOQQQOMLJDBwwuuuwBDCGGDlc:((3btEMOOOOOOOOOOOORRSSSSSSSSSSSRRQOMMMOQQRRRRQOLCyic1)!!!)|oFOOQNKqqqqqq5555,,,,,'!!)))))){{{{))!!'''+@){=;>>>>>>((((3333dgsyEMQRSSSSSRRRQMExjgd9ddgnnsstyyytic1)@..     ....+@$$%%%&=>/^^^[[9",
+"hhnsDJMOQQOMLJDDBBDDGJJJJGDBumhhfdhnsDJMOOOOMLGDBwurrrruwDGEECkc::(3btEMMOOOMMOOOQQQRRRSSSSSSSSSRRRRQOMMOQQRRRQQMJysa:~)@@@!|kEOOHqq555,,,,,######.++@$%%%%%%%%&%%$@+++++@%*=;>>>>((3abgggnnyCJOQRSSSSSSSSRRQMEtja999dgnswyDCDxsc2!+.      ....++@$$$%&*;/^^^[69",
+"ddgsDJMQQQQOMJGDDDGJLMMMMJGDBsmhhhhnwCJMOOOMLGDBurmmhhmmuyGJJGkc<:::bxELMMMMMMOOQQQQRRRRSSSSSSSSRRRRQOMMOQQRRQQOLGwn9:{$@++@)2AINKq5,,#########   ..+@$$$%%%%%&&&%%$@+++@@%*=-;>>>(:bitttwwyGLOQRRSSSSSSSSRRROLxtg999ddnswDCGCDt1)!.       ....++@@@$$&*;/^^[[69"};

=== added file 'hacks/images/tunnelstar.xpm'
--- hacks/images/tunnelstar.xpm	1970-01-01 00:00:00 +0000
+++ hacks/images/tunnelstar.xpm	2005-12-08 16:00:22 +0000
@@ -0,0 +1,323 @@
+/* XPM */
+static char * tunnelstar_xpm[] = {
+"256 256 64 1",
+" 	c #020202",
+".	c #040404",
+"+	c #070707",
+"@	c #0B0B0B",
+"#	c #0E0E0E",
+"$	c #121212",
+"%	c #161616",
+"&	c #1A1A1A",
+"*	c #1D1D1D",
+"=	c #202020",
+"-	c #252525",
+";	c #282828",
+">	c #2C2C2C",
+",	c #2F2F2F",
+"'	c #333333",
+")	c #363636",
+"!	c #3A3A3A",
+"~	c #3C3C3C",
+"{	c #3E3E3E",
+"]	c #414141",
+"^	c #454545",
+"/	c #494949",
+"(	c #4C4C4C",
+"_	c #505050",
+":	c #535353",
+"<	c #575757",
+"[	c #5A5A5A",
+"}	c #5F5F5F",
+"|	c #626262",
+"1	c #666666",
+"2	c #696969",
+"3	c #6D6D6D",
+"4	c #707070",
+"5	c #747474",
+"6	c #767676",
+"7	c #797979",
+"8	c #7B7B7B",
+"9	c #7F7F7F",
+"0	c #838383",
+"a	c #878787",
+"b	c #8A8A8A",
+"c	c #8E8E8E",
+"d	c #929292",
+"e	c #969696",
+"f	c #999999",
+"g	c #9D9D9D",
+"h	c #A0A0A0",
+"i	c #A4A4A4",
+"j	c #ACACAC",
+"k	c #AFAFAF",
+"l	c #B3B3B3",
+"m	c #B6B6B6",
+"n	c #BABABA",
+"o	c #BEBEBE",
+"p	c #C2C2C2",
+"q	c #C5C5C5",
+"r	c #C8C8C8",
+"s	c #CCCCCC",
+"t	c #CFCFCF",
+"u	c #D1D1D1",
+"v	c #D6D6D6",
+"w	c #E2E2E2",
+"x	c #E6E6E6",
+"y	c #EAEAEA",
+"wqljjjkkkllkkkjjjjjjjjkllmmmmmllkkkjkkklllllllkkkklmnnnnmlkkkkkklmmmlkkkkklmnonmmlkkklmmmlkjjjjjkkkkkjjjjjjjjjjjjjjkkkkkkkkklmnmmlkkjkkklllkkklmnonmllklmopponmlkkklllllkkklmnnonnmmlklmmnnnnmmlllmnoooonmllllmoqstsrqponmmmoqsuutsrponmmmmmnoqrrrqpponnmmlmnpvy",
+"qc1<<[}}|11||}[[<<<<[[}|234443221|}}}}||122221||}}|2577531|}[[}|23332||}}}14687531|}}13442|[[[[[}}}}}[[<<[[[[[[[[[[}}|||}}}|245431|}[}||111|||24787421|248009642|||22221|||1357875421|13577654211247909753221250cfgfdb0864459cfiihec0864323580cddcba087542236bjv",
+"l1,*&*=-;>,>>;-==****=-;,)~~~!)),>;---;>,'''',,>;;>'{^/^{)>;---;,)!!',>;-;,!^((^~'>;;,!]{)>-=*==-;;--==**==--======-;;;;;;;>){]{),;---;,,,,>>,)]((/{),,']_[<_^!'>>,'))',>;>,!^((/^~),>'!^//^]!),,)](:<_/]!'''~(}47752}:(^{]/[380073}:(]~!!{/:}1221}[:(^{!)!]_2es",
+"j<*+.+@#$%&&&%$#@@+++@#$&=;>>;;-=*%$##$%&=====*&%%%*;')),;*%$##$&-;;-*&%$$&-,!!)>-&%$&->,-&$@@@##$$$##@+++@###@@@@#$$%%%%$$&->,,-*%$#$%&***&&&-'~~)>=&&-']/^~';*%%*=-=*&%%&=>)~~),;=&&=>)!)'>;=*=;']^^~'>-==-'^[232|:/{),,)^[26741</{)>;;>'](<[[<:(^~),;;;,~(2es",
+"j:&.  .+@#$%%%$#@++...+@$%=-;;;-=*%$####$&****&&%$$%*;')';=%##@#$*=--*%$##$*;'!)>-&$#$*;>-&#++++@#$##@+..++@@@++++@#$$$$$##%=;,>-&$#@#$%&&&%%%-,!!';*%&-']^])>=%$%&==*&%$$%=,)!)';=&%&-,))'>;=*&=;)]]{)>-=*=;!_|22|<(]),>,~_|4641</{'>--;,~/:[[<_/]!'>;-->!/[5gt",
+"j:&.   .+@#$%%%$#@++...+@$%=-;;--=&%$#@#$%&****&%$$$%=>'),-&$#@#$%=--=&%###%-,)),;*%$$&-;;*$@+++@#$##@+...+@@@+++++##$$$$##%=;,>-&$#@#$%&&&%%&-'!!,-*%&-)]^{);=%$%*==&%$$$&-,!!),-*%%*;')),;-*&*-,~]]!,-=**-'^[221[(]),>,!(}4652[(])>;--,!^_<[<_/]~'>;-->!/[29iu",
+"j<&.    .+@#$%%%$#@++..++@$&=-;;-=*&%##@#$%&****&%$$$&-,)'>=%$#@#$*=-=*%$##$*>))'>=%$#%=;;=%@+++@##$#@++..++@@+++++@#$$$$##%=;,>-&$#@#$%&&&%%&-'!),-&%&;!^^~'-*%$%*=*&%$$%*;)!!'>-&%&=>))'>;=*&=>)]]~';-**=>{:|21}:^~'>>)^[3652}_]),;-->)^_<[<_/]~),;-->!/[250iu",
+"j<&.     .+@#$%%%$#@+...++#$&=;;;-=*%$##@#$%****&&%$$%=;'),-*$#@#$%=--=&%##$&-')),-&$#$*-;-&#++++@###@++..++@@+++++@#$$$$##%*;,>-&$#@#%&&&&%%&;'!)>=&%*>~^^!,-&$%&*=*&%$$%=,)!),;=&%*;,)),;-*&*-'~]{),-=*=;)(}22|</{)>>']:2563|:^!,;-->)]_<[<:(^~),;-->!/[2469ht",
+"j<*+      .+@#$%%%$#@+...++#%*-;;;-=*%$#@##%&****&%$$$&-,''>=%$#@#$&=-=*%$##$=>)),;*%$$&-;;*$@+++@#$##@+..++@@+++++@#$$$$##$*;,>-&$#@#%&&&%%%*;)!)>=&%=,{^])>=%$%&=*&%$$$&-'!!'>-*%&=>')'>;=*&=>)]]!';=**-,^[121[(]),>,~_|464|:^!';--;'](:[<:(^~),;-->)/[24557fs",
+"j[=+       .+@#$%%%$#++...++#%*-;;--=&%$#@#$%&****&%$$%*;'),;*%#@@#%=--=&$##$&;')'>=&$#%=;;=%@+++@#$##@+..++@@+++++@#$$$$##$*;,>-&$#@#%&&&%%%*>)!';=&&-']^]);=%%%*=*&%$$%=>)!)';=&%*-,)),;-*&*-'~]{)>-=*=>~:|21}_^!,>>)/}4641</{'>--;'{(:<<:(^{),;-->)/[245434dr",
+"j[=@.       .+@#$%%$$#++...+@#%=-;;-=*&%##@#$%&***&%%$$%=>''>-&$#@#$&=-=*%$##%=,)),-*$#$*-;-%#+++@####@++..+@@+++++@#$$$$##$*;,>-&$###%&&&%%%=>)!';*%&-)]^{';*%%&*=*&%$$%-,)!),-*%%=>')'>;=*&=>!]]!,;=**-)/}22|</{'>>'^[2552[(])>--;,{/:[<:(^{),;-->)/[24542|2bq",
+"k}-#+.       .+@$$%%$#@++...+@$%=-;;-=*&$####$&****&%$$$&-,)';*%####%=--=&$##$*;))';=%$$&-;-*$++++@###@++..+@@@++++@#$$$$##$*;,>-&$###%&&&%%%=,)),-*%&;!^^~,-&%%&*=*&%$%*;'!!'>-&%&-,)),;-*&*;'{]{'>-**=,]<121[(]),>']:1553}_]),;-;,~/:[<:(^{),;-->!/[24542}<}0p",
+"k}-#@+.       .+@$%%%$#@++...+@$&=-;;-=*%$###$%&****&%$$%=;'',-&$#@#$&=-=*%$##%-,))>-&$#%=;;=$@+++@#$##@+..+@@@++++@#$$$$##$*;,>=&$##$%&&&%%%=,!),-&%*>~^]!>=%$%*==*%$$%=>)!),;=&%=;')'>;=**=,!]]!,-=*=;!_|21}_^!,>,!_|454|:^!,;--,!^:<<:(^{),;-->)/[24542}:(<9o",
+"j[-#@++.       .+#$%%%$#@++..++#$&=-;--=&%$#@#$%&***&%$$$&-,'';=%####%=--=&$##$*>)),;*%$$*-;-%#+++@#$##@++.++@@++++@#$$$$##$*;>>=&$##$%&&&%%&-,!)>=&%=,{^]);=%%%*=*&%$$&-,)!'>-*%&-,)),;-*&*;){]~';-**-'/[12|:/~'>,)/}3541</!,;-->!^_<[:_^]),;-->)/[24541}:/^(7n",
+"j[=#@@@+.       .+#$%%%$#@++..++#%*-;;--=&%##@#$%&***&%$$$*;,',-*$#@#$&=-=*%$#$&-')'>=%$$&-;-*$+++@####@++.++@@+++++##$$$$#$*;,>=&$##$%&&&%%&-'!)>=&&-']^{';*%%&*=*&%$%*;'!)';=&%*;')',;=**-,!]]),-=*=>]:12|[(]),>'^[2552[({'>-->)^_<[:_/]!,;-->)/[24541}:/]~^5m",
+"j[=#@@@@++.      .+#$$%%$#@++..+@#%*-;;-=*&$####$&***&&%$$%=>''>=%$###%=--=%$##%=,)),-&$$%=;;=$@+++####@++.++@@+++++@#$$$$#$*;,>=&$##$%&&&%%&;')';=&&-)]^~,-&$%&==*%%$%=>)!),-*&&=>'),;-*&=;){]~';=*=;)(}21}_^!,>,{:1552}(])>;->)](<[<_/]!,;-->)/[24541}:/])'{3m",
+"j<*@@@@@@++.      .+@$$%%$#@++..+@#%=-;;-=*%$#@#$%&***&%$$$&-,',;*$###$*=-=*%$#$&;')';=%$$*-;=%#+++@#$##@+.++@@+++++@#$$$$#$*;>>=&$##$%&&&%%*;')';*&&;!^]!>=%$%*=*&%%%&-,))'>-&%*;,)',;=&*-,~]{)>-=*-,^[12|:/~'>,!(|453}_]),;-;'](<[<_/]!'>-->)/[24431[:/{),>!3m",
+"j<*+++@@@@++.      .+#$$%%$#@++.++@$&=-;--=&%$#@#$%&***&%$$%=;'',-&$###%=--*%$##%=,)'>=&$$%-;-&#+++@#$$#@++++@@@++++@#$$$$#$*;>>=&$##$%&&&%%*;)),-*&*>!^]);*%%&*=*&%$%*;'!),;=&&=>'),>-*&=;){]!,;=*=>{:|2|<({),,)/}354|:^!,;-;'{(:<<_/]!'>-->)/[24431[:/{),;;~4m",
+"j<*+.++@@@@++.      .+#$%%$$#@+++++#$&=-;--=&%####$%&**&&%$$&-,'';*%###$&=-=&%$#$*;'),-*$$%=;;=$@++@#$$#@++++@@@++++@#$$$$#$*;,>=%$##$%&&&%%=>)),-&&=,{^{';*%%&==*%%$%=,)!)>-*%*-,)',;=**-,~]{)>-==-)(}11[_]),>']<2541</!,;-;,~/:<<:/]!'>-->)/[24431[_^{),;;,^7o",
+"j[*+..++@@@@++.      .+#$%%$$#@+++++#$*=-;-=*&$####%&***&%$$%*;'',-&$##$%=--*%$##%-,)';=%$$*-;=%#++@#$$#@++++@@@++++@#$$$$#$&;>>=%$##$&&&&%%=>)),=&&-']]~,-&%%*==&%%%&-'!)';=&&=>')'>-*&=;)]]!,-=*=,]<|1}:^!'>,{:1442[({'>-;,!/:<<_/]!'>-->)/[2443|[_^~'>;;>!:aq",
+"j[=@...++@@@@++.      ++#$$%$##@+++++#%*-;;-=*%$###$%&***&%$$%=>''>=%###$*--=&%$#$=>)),-&$$&-;-&#+++@#$##@+++@@@++++@#$$$$#$&;>;=%$##%&*&%%%=,))>=&&-)]]!>=%%%*=*&%$%*;)!),-*&*-,)',;=**-,~]~';=*=;!_}1|</{'>,!(|442}(])>-->!^:<<:(]!'>-->)/[2443|[_^~'>;;,!/1ds",
+"k}=@+...+++@@@++.      ++#$$%$##@++++@#%*-;--=&%$###$%&***&%$$&-,',-&$##$%=--*%$#$&;'),;*%$%=;;*$@++@#$$#@++++@@@+++@#$$$$#$&->>=%###%&*&%%&-,)';=&*;!]]);*%%&*=*&%$%=,))'>-&&=;')'>-*&=>)]]),-==-'/[1|[(]),>)^[353|_])>;->)^_<<:(^~'>;->)/[2442|<(^!'>;;,!(}6ht",
+"k}-#++...+++@@@++.      ++#$$%$#@+++++@$%=-;--=&%####%&***&%$$%*;''>=%$##$*--=&$##%=,)'>=%$$*-;=%#++@#$$#@++++@@@+++@#$$$$#$&->>=%$##%&*&%%&-,)';*&*>!]{';*%%&==*%%%&-')),;=&&-,)',;=**-'~]~';=*=>{:||}_^!,>']<244|:^!,;->)^_<<:(^~'>;->)^[1442|<(^!'>;;,{(}39iu",
+"k|;$@++...+++@@@++.      ++#$$%$#@+++++@$&=---=*%$###$%&***&%$$&-,',;*$##$%=--*%$#$&;'),-&$$&-;-&#@+@#$$##@+++@@@+++@#$$$$#$&->>=%$#$%&*&%%&-,),;*&=,~]~,-&%%*=*&%$%*>)!)>-*&=;')'>-**=>!]{)>-==;)(}|}:/~'>,~_1441</!,;-;)]_<[:(^~'>;->)^[1442|<(]!,>;;'{_}360it",
+"k|;%#@@+...+++@@@++.      +@#$$$$#@+++++@$&=---=*%$###$%&***&%$%*;,'>-%$##$*--=&$##%-,)';=%$%=;;*$@++#$$$#@+++@#@+++@#$$$$#$&->>=%$#$%**&%%&;'),-*&='{]!>=%%&*=*&%%&-,))';=&&-,'',;=**-'{]!,-=*-,^<||<(]),,!(}342[({';;;'](<[:(^~'>;->)^[1342}<(]),;;>']:|3568gs",
+"l1>%$##@++...++@@@+++.     ++#$$$$#@+++++#$&=---=&%$###$&***&%$$%=>',;*%##$%=--*%$#$*>'),-&$%*;;=%#++@#$$#@+++@#@++++#$$$$$$&->;=%##$%**&%%*;''>-&&-)]]);*%%&==*%%%*;'!),-*&*;')'>-**=>!]{)>-*=>~_}|[_]),>)^[243}_])>;;,{(<[<_^{)>;->)^<1332}:/]),;;>)^:|45435dr",
+"l1,&%$##@++...++@@@@++.     ++#$$$$#@+++++#%*=--=*&$###$%&***&%$$&-,',-&$##$*--=&$#$%-,),;*%$&-;-&#@+@#$$##+++@#@@+++#$$$$$$&->;=%##$&**&%%*;''>=&*;)]{';*%%*==&%$%=>))'>=&&=>'),;=**;'{]!,-==-)/[|}:^!,>']<243|:])>;;,~/:[<_^{)>;-;)^<1332}:/]),;;>)^<14542|1bp",
+"l2'*%%$##@++...++@@@@++.    .+@#$$$$#@++++@#%*=--=*%$###$%&***&%$%*;,';=%##$%=--=%$#%=>''>=%$%=;;*$@@@#$$$#@++@##@+++#$$$$$$&->;=%##$&**&%%=>'';=&*;!]~,-&%%*=*&%%&-,)),;=&*;,)'>-=*=,!]~';===,]:}}</{',,~_|441:^!,;;,!/:[<_/{)>;-;)^<1331}:/{),;;,!/[24541[:[0o",
+"l2'=&%%$$#@++...++@@@@++.    .+@#$$$$#@++++@#%*---=*%$###$%&**&%$$%-,',-&$##$*--=&$$$&;'',-&%%*;;=%#@@#$$$#@++@##@+++#$$$$$$&->;=%##%&=*&%%=>',;=&=,~]!>=%%&==*%%%*;'))>-*&=>'),;=**;){]!,-==;!([}[(]),,)(}342[/!,;;,!/:[<_/]),;-;)^<1331}:/{)>;;,~(}24531[_/_7n",
+"l1,=*&&%$$#@@++..++@@@@++..   .+@#$$$##@++++@$&=--==&%####$&***&%$%*;,'>=%##$%=--=%$$%=,'';=%$&-;-&$@@#$%$$#++@##@@++@#$$$$$&->;=%##%*=*&%%=>',-*&=,{]);*%%*==*%%%=>))';=&*-,)'>-=*-,~]~';==-'^<}[_^!,>'^[242[({'>;>!^:<<:/]),;-;)^<|221[_^~'>;;'{_}3553|<(]~^5n",
+"k|,*&*&&%%$##@++.+++@@@@++..   .++#$$$##@++++#$&=--=*%$###$%&**&%%$%=>',;*$##%*-;-&$$$*;''>-&%%=;;*$#@#$$%$#@+@###@++@#$$$$$&->;=%##%*=*&%%=>',-*&-)]{'-&%%*=*&%$&-,)),-*&=>'),;=*=;)]])>-==>~_[[:/~'>,]:243}_]'>;>)^:[[:/]),;-;)^<|22|[_^~'>;;']:|3542}:/])'{4m",
+"k};&%&*&&%%$##@++.+++@@@@+++..  .++##$$#@@++++#$&=-==*%$#@#$%&**&%$$&-,'>=%##$&=;-=%$$%-,',;*%%*;;=%#@@#$%$#@+@###@++@#$$$$$&->;=%#$%===&%&=>,>=&*;)]~,-&%&==*&%%*;')'>=**-,)'>-=*-,~]~';==-)/<[<({',,!_|43|:])>;>)]_[[:(]),;-;'^<|22|[_^!'>;>)^:|3442}:^{),>!2m",
+"k}-$$%&&&&%%$##@++.+++@@@@@++... .++##$$#@@+++@#%&===*&%$#@#$%&**&%$%*;',;*$##%*-;-&$$$*>''>=%%&-;-&$@@#$%%$#@@###@++@#$%$$$%->;=%#$%===&%&-,,;=&*>!]!>=%%&==*%%%=,)),;=*=;'),;=*=;)]{)>-==,]:[<(]),,)/}341<^!,;>']_<[:(]),;-;'^:|22|<(]!,>;>)^<14431[_^!'>;;)3m",
+"j[-$#$%&&*&&%$$#@+++.++@@@@@+++.. .++##$##@++++@#%*===*&$#@@#$%&*&&%%&-,',-%$#$&-;;=%$$&-,',-&%%=;;*$#@#$%%$#@@####@+@#$%$$$%->;=%#$&=-=&%&-,,;=&=,~{);*%%*==&%%&-'))>-**-,)'>-=*-'{]!,-==;!(<[_^!,>'^[242[/!,;;'](<[<(]!,;-;'^:|22|<(]!,>;,!/[2443|[(]!,>--;{5n",
+"k}-#@#$%%&&&&%$$#@++++++@@@@@+++....++@####@++++@#%*===*%$#@#$%&**&%%%*;,';=%##%=;;-*%$%=>',;*%%*;;=%#@#$%%$#@@####@+@#$%$$$%->;=%$$&=-=&%*-,,;*&=,{{'-&%%*=*&%%*;))';=*=;'),;=*=>!]{);==-'^:<:/~',,{:142}({'>;,{(<[<(^!,;-;']:|21}<(]),;;,~([2442|</]),;--;'(9p",
+"k}-#@@#$$%&*&&%%$#@@+++++@@#@@@++....++@####@++++@$%*==*&%$#@#$%&**&%$%=>',-&$#$&-;;=%$$&;,'>=&%&-;-&$##$%%%$#@##$#@+@#$%$$$%=;;=%$$*--=&%*;,>-**-'{~,=%%&==*%%%=,)),-**-,)'>-=*-'{]!,-==>~(<:({),,!_|33|_])>;,~(<[<_^!,;-;']:|11}:/]),;;,{(}2442}:/~)>;-->)^}cr",
+"k|;$#@@##$%&&&&%%$##@+++++@@#@@@+++...++@####@++++#$&*==*%$#@@#$%&&&%%$&-,'>=%##%=;;-&$$%=>',-*%&=;;=%###%%%$#@##$#@+@#$%$$$%=>;=%$$*--=&%*;,>-**;){!>=%%*==*%%&;')'>=*=;')';=*=>!]{';==-)^::(]),,)/}33|:^)>;,!/<[<_^!,;-;']:}1|}:/{),;>']_|3431[_^!'>---,!^<4fs",
+"k|>%##@@@#$%&&&&%%$##@+++++@@##@@+++...++@####@+++@#$&*==&%$#@##$%&&&%%%*;,,;&$#$&-;;=%$$*;,,;=&%=;;-%###$%%%#@##$#@@@#$%$$$%=;;=%$%=--=&%*;>;=&*>!{);*%%*==&%%=>)),;=*-,)',-=*-'{])>-=-,]_:_^!,>'][231<^!,;,!/:[<_^!,;-;']:}1|[:/{'>;>']:|343|[(]!,;--;,{([28ht",
+"l1,&$$#@@@#$%%&&&%%$##@+++++@@##@@+++...++@###@@+++@#$&*=*&%$#@#$%&&*&%%%=>'>=%##%=;;-*%$%-,'>-&%*->-*$##$%&%$###$$#@@#$%%$$%=;;*%$%=;-=&%=;>;=&=,!~'-&%&==*&%&-,))>-*=;')';=*=,!]~';==;!/:_/~'>,{:132[/~,>>)^:[[_^!,;-;,]:}||[_^~'>;>)^<1342|</]),;-->)]:}248gt",
+"l1,*%$$##@@##$%&&&%%$$#@++++++@##@@@++...++@###@@+++@#%&*=*&$#@@#$%&&&%%%&;,,;*$#$&->;=%$%*;,,;*%&-;;=%##$%&%$###$$#@@#$%%$$%=;;*%$%=;-=%%=;>-**=,~!,=%%&==*%%*;')';=*->)),-==;)]])>==-,](_/]),,!(|32}({'>>)^:[[:/~';-;,]:}||[_^!'>;>)^<1442}:/~'>;-;,!/<|3446er",
+"l2'=&%%$##@@##$%&&&&%$$#@++++++@###@@+++..++@@##@@@++@#%&**&%$#@@#$%&*&%%%=>,,-%$#%=;>-*%$&-,,>=&&=;;-&$#$%&&%###$$#@@#$%%$$%=;;*%$%-;-*%%=;>-**-'{!>*%%*==&%%=>)),-==;,)'>=*-,~]~,-==>!/_(]),>)/}23|:])>>)]_[[:/~';-;,]_}|}<(^!'>;,!/[2431[_^!'>--;,{([134212cq",
+"l2'=*&%%$$#@@@#$%%&&&%%$##@+++++@###@@+++..++@@##@@@+@@$%&**&%$#@@#$%&&&%%&-,,;*$#$&->;=%$%=>,,-*%*->-*$#$%&&%$##$$#@@#$%%$$%=;;*$$&-;-*%&=;;-**;)~);&%&===&%&-,)'>=*=>'),-==;)]]);==;)^((^!,>']<23|:^),>']_[[:/{';-;,]_[|}<(]!,>>,~(}233|[(]),;-->)]:}2332}<}0p",
+"l2'=**&&%%$##@@##$%&&&%%$##@+++++@####@@++..++@@@@@@@+@#$%&**&$#@@#$%&&&%%%*;,,-&$#%=;>-*%$&;,,;=&&->;=%##%&*%$##$$$#@@$%%$$%=;;*$$&-;-*%&=;;=*=>!~'-&%&==*&%*;'),;==;,)'>-=-,~]!,-=-,{/(^~'>,~:131</!,>'{_[[:/{';-;,]_[|}<(]),;>'{_}232|</{),;-;,!/<|332|[_(:8o",
+"l1'=****&%%$$#@@##$%&&&%%$##@+++++@####@@++..++@@@@@@@@@#$%**&%$#@@#$%&&&%%%=>,>=%#$*;>;=%$%=>,>-*&=;>-&$#$&*&%##$%$#@@$%%$$%=;;*$$&->-*%&-;;=*=,!!,=%%*==*%%=>))>-==>'),;==;)]{);==;)^(/{),,!(|32[(~,>,{(<[<({';-;,{_[}}:(]),;>']:|232}:^~'>;-;'{([1332}<(^{/6n",
+"k|,******&&%$$##@##$%%&&%%$$#@+++++@#####@++..++@@@@@@@@@#$&**&%$#@@#$%&&&%%*;,,-&$$%=>>-*%%*;,,;=&*;>;*$#$&**%$#$%$#@@$%%$$%=;;*$$*;>-*%&-;-=*=,!!>*%%=-=&%&-,)';==-,)'>-=-'{]!,-=-,]//]),>)^[22}({'>,~(<[<(]'>-;,{_[}[:/{)>;>)^:|231[_^!,;-->)]:}2321[:/]))]4m",
+"k};&&&****&&%%$##@@#$$%&&&%$$#@+++++@#####@+++..++@@@@@@@@#$&*&&$#@@@#%&&&%%%=>,>=%$$*;>;=%$&->,>=&*->;=%$$%**%$#$%%#@@$%%%$%=;;*$$*;>-*%*-;-**-'~);&%&=-=&%*;'),-==>'),;==>!]{';==>!^/]!,>']<12|:]),,!/<[<(])>-;,{([}[:/{'>;>)^<132|[(]),;-;,!/<|232|<(^~),>~3m",
+"k}-$$%&&****&%%$$##@##$%%&&%%$#@@++++@#####@@++..++@@@@@@@@#%&&&%$#@@#$%&&&%%&-,,;*$$%=>>-*%%=;,,-*&=;>-&$$%**&$$$%%$@@#%%%$%=;-*$$=;>-&%*-;-**;)!'-&%*=-*&&=,)'>==-,)'>-=-'{])>-=-']^^~'>,~_|21<^),,!/<[[_])>--,{(<[[_^~'>;>)/[132|</{)>;-;'{([1321}:/]!'>;;~4m",
+"j[=##$%%&****&&%%$##@##$%%&&%%$##@++++@#####@@++..++@@@@@@@##%&&&%$#@@#$%&&&%%*;,>-%$$*;,;=%%&-,,;=&=;>;*$$%***%$$%%$#@#%%%$%=;;*$%=>>-&%*--=*=>)!,=%%*-=*%&-'),;==;'),;==>!]~'-=->!^^{),>)(}21[/!,,)^:[[_])>--,~(<[<_^!'>;,!([122}:^~'>;;>)^:}222|[_^~),;;;,^7o",
+"j[=#@##$%&*****&&%$$#@@#$$%%&%%$##@++++@######@++..++@@@@@@@#$%&&%%##@@#$%&&%%&=>,;*$$%=>>-*%%=>,>-**->;=%$$&=*%$$%%$###%%%$%=;-*$%=>>-&%*--=*=>!)>*%&=-=&%*>))>-=-,)'>-=-'{]);==;)]^]),>'^[22}(~',)^:[[_^)>--,~(<[<(^!,>>,~(}221[_^!,;-;,!/<|221}:/]!'>;;;,~:aq",
+"j[=@+@@#$%%&*****&%$$##@##$%%&%%$##@++++@######@++..++@@@@@@@#$%&&%$#@@@#%%&&%%*;,,-&$$*;,;=%%*;,,;=*=;>-&$$&==&$$%%$###%%%$%=;-*$%-,,-&%*--=*=,!);&%&=-*&&=,)';==;'),;==>!]~,-=-,~]]!,>,]:12}_{',)]:[[:^)>-;,~(<[:(]!,>>']_}22|[(]),;-;'{([122|[_^~),;;;>)]_2es",
+"j[=@+++@##$%&*****&%%$##@##$%%%%%$$#@++++@##$$##@++.+++@@@@@@@#$%&&%$#@@#$%&&&%%=>,>=%$%->>-&%%=>,>=*=;>;=%$%==*%$%%%###$%%$%=;-&$%-,,-&%*--**-'!'-&%*-=*%&-'),-=-,)'>-=;)]]);==>)]]~'>,!_|2|:]),']_[[:^)>--,~(<[:(]),>>']:|22|:/{'>;;>)^:}121}:(]!'>;;;,~/<|7ht",
+"j[=@++++@@#$%%&****&&%$$####$$%%%%$$#@++++@##$$##@@+++++@@@@@@##$%&%%$#@@#$%&&%%&-,,-&$$*;,;=%%*;,>-**->>=%$%*=*%$%&%$##$%%%%=;-&$%-,,-&%=-=**;)!,=%&=-=&&=>''>-=;'),;=-,~]!,-=-'~]~),>)/}21<^),'{([[:^!,;-,~(:<:/]),;>)^<|21}:^!';;;,!/<|21|[_^{),;;;,)]_}249ht",
+"j[=@++++++@##$%&*****&%%$#####$%%%%$$#@++++@##$$$##@++.++@@@@@@##$%&%$#@@@#$&&&%%*;,>=%$%->>-&%&->,;=*->>-&%%*==&$%&%$##$%%%%*;-&$%;',=&&=-=*=;))>*%&=-=&&-,),;=->)'>-=;)]{';=->!]{),>'^[11[/!,'~(<[:/!,;-,~/:<:/{)>;>)/<|21[_]),;;;'{([|11}<(]!'>;;>'{(<|3448fs",
+"j[=@+++++++@@#$%%&****&&%$#####$%%%%%$#@@+++@##$$$##@+++++@@@@@@#$%%&%$#@@#$%&&&%&=>,;*$$*;,;=%%=;,>-*=;,;=%%&==&%%&&$##$%%%%*--&$&;',=&&===*=>));&%*--*&*;''>-=;,),;=-,~]!>-=;'~{!,>,{:|1}(~''!/<[:/!,;-,!/:<_/~'>;,!/[12|<(])>;;>)]_}11|[_^{),>;;,!^:}244324dr",
+"j[*@+++++++++@##$%&****&&%$$##@#$$%%%%$##@+++@@#$$$##@+++++@@@####$%%%%$#@@#$%&&%%*-,>=%$%->>-&%&->,;==;,>=&%&==*%%%&$##$%%%%*--&$&;',=&&===*=,)'-&%=-=*&=>'';-->''>-=;)]{'-=-,!{!'>,!(}1}_{''!/:[</~,;->!/::_^~'>;,~([11|</~'>;;,!^:}1|}<(]!'>;;>']([13432}[|ap",
+"j<*++++++++++++@#$%%&****&%%$##@##$%%%%$##@+++@##$$$$#@+++++@@#####$%%%%$#@@#$%&&%%=;,;*$$*;,;=%%=>,;==->,-*%&==*%%%&%##$%%%%*--&$&;'>=%&==**-,),=%&=-=&&-,',-=;,),;=-,{])>==;)~!),>)/[1|:])')^:[<(~,;;>!/::(^!,>;,{(}11}:^!,;;;,{([|||[_^{),>;>,!^:|2432|[_(:8o",
+"j<*+..++++++++++@##$%&****&&%$$####$$%%%$##@+++@##$$$$#@+++++@@#####$%%%$#@@#$%&&&%&->>-&$%->>-&%*;,>-==;,;=%&=-=&%%&%$#$%%%%*--&%&;'>=%&==**;')>*%*--*&*;'';-->''>-=;)]~,-=-,!~),>']<1|<^)')^:[<({,;;>!/_:(^!,>>']_}1|[_]),;;>']_[||}<(]!'>;;>)]_[13431}:(]~/5n",
+"j<*+....++++++++++@#$$%&****&%%$#####$%%%$$#@+++@##$$$$#@+++++@@#####$%%%$#@@#$%&&%%*;,;*%$*;,;=%&=>,;==;,>-&%*-=&%%&%$#$%&%%*--&%*;'>*%*==*=;'';&%*--*&=>',;-;,),;=-,{{);=->)!),>,~:|1[/!')]_[<({';;>!^__(]),>>)]:}1|<({'>;;>)^:[}}[_^{),>;>'~/<|2331}<(^~',~3m",
+"j[*+.....++++++++++@@#$%&*****&%$##@##$%%%$$#@+++@@#$$$$#@+++++@#####$$%%%$#@@#$&&&%&=>>-&$%->>-&%*;,>-=->,-*%*=-*%%&&$#$%&%%*--&%*>';*%&==*=>),-&&=-=&&-,'>--;'',-->!]!,-=;'!!'>>)(}|[(~')]_[[_]';;>!^__/]),;>)^<||}:/~';;;,~/:}}[:(]!'>;;,)^:}2332|[_^{),;;)2l",
+"j[=@+......+++++++++@@#$$%&****&%%$####$$%%$$#@++++@#$$$$##++++@@#####$%%%$##@@#%&&&%*->>=%$*;,;=%&->>-=->,;=&*=-=&%&&$#$%&%%*--&%*>,;*%&==*=,),=&&--=&*;',;--,)';--'{{';=-,)!),>'^[|}_{)'{([[_]';;>!^(_/]),;>)/<||[_^!,;;;'](<}}<_^{),>;>'{([1332|[:/]),;-=-)2m",
+"j[=@+++.....++++++++++@@#$%&*****&%$#####$$%$$##@+++@#$$$$##++++@@#####$%%%$#@@#$%&&&&=;,;&%%->>-&%=;>;==;,>-&&=-=&%&&%#$%&%%*--&%*>,;&%*=**-,'>*%*--*&=>',--;'',-->!{!>--;'!),>,]:|}:]))~(<[_]';;>!^((/{)>;,!/[||[(])>;;>)]_<[[:(]!'>;>,!^:|2331}<(]!'>-===;{5n",
+"j[=@+++++....+++++++++++@#$%%&****&%%$####$$$$$##@+++@#$$%$$#@+++@@#####$%%%$#@@#$&&&&*->>=%%*;>;*%*->>-=-,,-*&=--*%&&%$$%&%%*--&%=>,-&%*=**-,';&&=-=**-,,;--,'';-;'{~'-=-,))'>,~_}}:^)'!/<[:^)>;>!^((^{'>;,~([|}<({'>;;,!^_<[<_^{),>;>)]([1332|<_^~'>;-==->)(9o",
+"k[=#++++++....+++++++++++@@#$%&*****&%$#####$$$$##@+++@#$$%$$#@+++@######$%%%$#@@#%&*&&=;,;*%%=>>-&&=;>;=->,;=&*--*%&&%$#%&%%*--&%=>,-&%*=*=;',-&&=-=&*;,,;-;'',-->!{)>-->))',>)/[}</!'!^:[:^)>;>)^((^~'>>,{([|}:^!,;;;,~/:<<:/]!'>;>,~/<|232|[_/{),;-==-;,!^[ap",
+"k}-#@@++++++++++++++++++++@@#$$%&****&%$$####$$$$$#@+++@#$%%$$#@+++@#####$$%%%$#@#$%&&&&=>>-&%*;>;*&*;>;--;,>=&*--=&&*&$$%&&%&--&%=,,-&&*=*=>',=&*--**=>,>-->'';-;'{!,-=;')),>'^<}[(~))^:<:^)>;>)^((^!'>>']_[}[_^),;;>'](:<:(^~),;;,)]_}1321}:/]),;-==-;,)]^_|bq",
+"k}-#@@@@++++++++++++++++++++@@#$%&*****&%$####$$$$$#@+++@#$%%$$#@++@######$%%%$##@#$&*&&*->;=%%=;;=&&->>-=;,,-**--=&&*&$$%&&%&--*&=,,-&&*=*=>'>=&=--**-,,;-;,',-->!~);=-,)),>,{:}[({))]_<:^)>;>)^((^!,>>']:}}<(])>;;,)](::_/]!'>;>'~(<|222}<(]!'>-==-;,)]^(_:|bq",
+"k};$##@@@@+++++++++++++++++++@@##$%&****&%$#####$$$$#@@++@#$%%%$#@++@##$$#$$%%%$#@#$%&*&&=;>-&%*->-*&=;>;-->,;=*=--*&&&$$%&&%&--*&-,,=&&*=*-,';*&=-=*=;,>-->'';-;)~!,-->')'>,!([}:]))]_<:/!>;>)]//]!,>>)^:}}</~';;;,!^(:_(^~),;;,)^:}122|[_^~'>;-=-;,){^(____[0p",
+"k};$####@@@@+++++++++++++++++++@@#$%&*****&%$####$$$$##@++@#$%%%$#@+@@##$$$$$%%%$###$%**&*->>=%%=;;=&*->>--;,>=*=--*&&&%$%&&%&=-*&-,>=&&**=-,,-**--=*=>,;-;,',--,!~';-;,)',>)^<[:^!)](<:/!,;>)]//]),>,)^:}[:^!,;;>'{/__(/])'>;>'{([|22|[:/{),;-=-;,){^(___(//:9o",
+"k};$$#####@@@++++++++++++++@@@+++@##$%&*=**&%$####$$$$##@++@#$%%%$#@@@@#$$$$$$%%%$###%&**&=;>;*%*-;-*&=;>;-;,,-*=--*&&&%$$&&%&=-*&-,>=%&**=;',=&=--**-,,;->'';-;)~)>--,)),>']:[</!){(<:(!,;>)]//]),>,!/<[[_])>;;>)]/((/]!',>>,!^:}121}:(]),;-=-->'~^((__(/^]{(7n",
+"k};$$$######@@@@+++++++++++++@@@++@@#$%&**=**%$#####$$$##@++@#$%%%$#@@@##$$$$$%%&%$##$%****->>=&%=;;=&*->;-->,;==--=&&&%$$%&%&=-*&-,>=%&**=>'>=&=-=*=;,>--,',;-,!!,;-;')',,~_[</~)~/::(~,;>)]/^]),>,~(<[<({'>;;,)]/((^{),>;>)]([|21}<(]!'>-=-->'~^/(__(/^]!))]4m",
+"k}-$##########@@@@+++++++++++@@@@@@@@##$%&*=**&%$####$$$$#@@+@#$%%%$#@@@#$$$$$$%&&%$##$&***=->;*%&-;-&&=;>-->,>-*--=*&*%$$%&%&=-*&-,>*%&**->';**--=*->,;-;,'>-;)!);-;,)',,)/<<({)!^::(~,;>)]/^{),>,{(<[:/!,;;;,!^/(/]!'>;>,~/<|11|[_^~'>---->'!]/(__(/^]!)'>>!3m",
+"j[-#############@@@@+++++++++@@@@@@@@@@#$%&**=*&%$####$$$$#@@+@#$%%%$##@##$$$$$%%&&%###%&***=;>-&%=--*&=;>;-;,,-==--*&&%$$%&%&=-**-,;*&***-,,-*=--=*->>-;>',;;,!!,-->'',,'^:<_])!^_:({,>>)]^^{',>'](<<_^),;;>'~^//^{),>;,)]_}11|}:/{),;---;,!]/(_((/^]!),>;-;)3m",
+"k[-#@@############@@@@++++++++@@@@@@@@@@##$%&*==*&%$####$$$##@+@#$%%%$$###$$%%$$%&&&$##$%****->;=%&-;=&*->;-;,,;==--*&&&$$%&&&=-**->;*&*==-,,-*=--*=;>;-;,,>->)!';-;')',,{_<_^!!](:({'>,)]^^~'>>)]_<<(])>;;>){^^^]!'>;>'~(<|11}<(]),;---;,)]^((((/^{!),>;---;~4m",
+"k}-#@@@@####$$$#####@@@@+++++++@@@@@@@@@@@#$%&*==*&%$####$$$##@@@#$$%%%$###$%%%$$%&&%$##$&***=;>-&%*--*&=;>;->,>-=--=&&&%$%&&&=-**->-*&**=;,>=*=-=*->>;->,,;;,!)>-;,)',,!(::^!!](:(]'>,)]^^~'>,)^_<:/~';;;,)]^^]~),>>,)^:}11|<(]!,;---;,){^/(((/]{!),>;----;,^7n",
+"k|;$##@@@@####$$$$####@@@@+++++@@@@@##@@@@@##$%**==*&$####$$$##@@@#$%%%%$###$%%%%%%&&%$#$%*=**-;;=&&=-=&*->;->,,-=--=&&&%$%&&&=-**-;-&&*==>,;==--==->;-;,,>;>)!';->'),,)^::/~!](:(]'>,)]^]!'>,)^_:_^!,;;;,!]^]{)'>;>'{([|1|[_^~'>---;>)~^/((/^]{!',>;---;;,){:0p",
+"l1,&$$##@@@@####$$$$#####@@@+++++@@@####@@@@@#$%&*==*&%$####$$##@@@#$$%%%$##$%%%%%%%&&%$$$&*=*=;>-*&*-=*&=;;;;,,;=--=*&&%$%&&*=-**-;=&&*=->,;==--==;>;->,,;;,))>-;')',']_:({!{/_(])>,)]^]!,>,!^_:(])>;;>'!]]]!',>>,!^:}||[:/{)>;--->'~]/((/^]~!',>;---;>,){]/[ap",
+"m2)=&%$$##@@@@###$$$$$$####@@@+++@@@@######@@@##$%**=**%$####$$$##@@#$%%%%$##$%&&%%%&**%$$%*===-;;=&&=-*&*;;;;,'>--;-*&&%$%&&*=-**-;=&&*=->>-=--==-;;-;>,>;>)),;;,)',,~(:(]!~/__]),,)]^]!,>,!/::({'>;;,)~]]~),>;>)]_[||}<(]),;--->'!]^///^]~)',;;---;>'!{^/(_}ap",
+"m4~;=*&%%$###@@@###$$$$$$$###@@@@@@@@@#######@@@#$%&*==*&%$###$$$##@@@#$%%%$$$$%&&%%%&*&%$$%*===-;;*&*==&&-;;;>,,----=&&%%%&&*=-**--=%&*=->>-=--==->;-;,,;;,)'>;>'),,)^_(]!!^_(^),,)]^]),>,~/__/~,;;;,)~]{!',>>,!/<}|}<(]),;---;,){^///^]~)',;;---;,'!]^/(((([0p",
+"n6^,>;-=*&%$$##@@@###$$$$$$$###@@@@@@@@########@@##%&*===*%$###$$$##@@##$%%%$$$%&*&&%&**&%$%&====;;-&&==*&=;;;;,,;---=&&%%%&**=-**--*&&*=;,;==--==;;-->,>;>)),;;,)',)]((^!!]((^),,)]^]),>'~/_(^),;;>'!~{~),>>,)]_[||[_^!,;---;,)~]^/^]{!)'>;---;>,)~]^/(((/^^:9o",
+"n7/)',>;-=*&%$$##@@###$$$$$$$$$##@@@@@@@#########@##$%&*==*&$$###$$$#@@##$%%%$$$%&**&%&**&%$%*===-;;=&*=*&*-;;;,'>---=&&&%%&&*=-**--*&*==;,;=---=-;;-;,>;;,),;;,)','{/(^~!]/(^),,)]]{),,'{/(/])>;;>'!~~!',>>'~/<}|[:/~'>---;>'!]^^^]{!),>;---;>'){]/(((/^^]{~(7n",
+"n6^))'',,;--=&%%$#######$$$%%%$$$##@@@@@@####$$###@@##$&*==*&%$###$$$##@@#$%%%$$$&***&&&**&%%&====;;-*&*=&&=;;;>',;-;-*&%%%&&*=-**=-*&*=-;>-=--==-;;;>,>;>''>;>'),,!^(^~!{/(^!,,)]]{),,)]/(^~,;;;,)!~!),>>,)^_[}}<(])>;--->'!]]^^]~!',>;---;>'!{^/(((/^]]~!))]5m",
+"m4{,,'')'',>;-=*&%$$######$$%%%%%$$###@@@@@###$$$$#####$%&*==*%$###$$$##@##$%%%%$%&*=*&&*=*&%%*===-;;=&&**&*-;;;,,;-;-*&&%%&&*==**==*&*=->>-=--==;;-;>>;;,',;>')',)](/{!{^(^!,,)]]{),,)]//]!,;;>,)!!)',>>'{(<}}<(]),;---;,){]]]{~)',;;--;;,)!]^/((//^]{!)',>>~4m",
+"l2)-;;,,'''',>;-=*&%$$#####$$%%%%%%$$$##@@@@###$$$$$####$%&*==*&%$##$$$#####$%%%%$%&==*&&*=*&%&=-==-;-*&**&&=;;;,'>;;-=&&%%&&*=-**==&&*=->>--;-=-;;-;>>;>''>;,)),'{//]!~^(^!',)]]{),,)]//])>;;>'!!!),>>,!^:[}[_^!,;-=-;,)!{]]{!)'>;;--;>,)~]^/(//^]]~)),,>;;;~4m",
+"l1,**=-;>,,''',,>;-=&%%$#####$$%%&&&%%$$##@@@###$$$$$$####$%*===&%$##$$$$####$%%%%%%*===**==*&%&=---;;=&&*&&=;;;>',;;-=&&%%&**==**==&&*=;>;--;-=-;-;>>;;,',;>')''!^/]!~^/^~'')]]~',,)]^^~'>;;,)!!)'>>>)](<[[:/~';-=-;>'!~{{~!),>;---;>,){]^/(//^]{!)',>;;;;;,^6n",
+"l1,*&&**=-;>,'''',>;-=*&%$$####$%%&&&&&%%$###@###$$$$$$$###$%&*==*%$$#$$$$####$%%%%%&*===**==*&&*----;;=&&&&*-;;>,,;;;=&&%%&&*===*==&&==;>;---==-;-;>>;>',>>')'')]^]!!]/^~''!]]~',,)]^]!,;;>,)!!),>>,!^:[[:({'>-=-->')!~~!)',>;---;>'!{^////^]{~)',>>;;;;>,){:0p",
+"l2'=&&&&&*==-;,,''',,;-=*&%$$###$$%%&***&%%$###@###$$$$$$####$%*==*&%$#$$$$####$%%%%%&=--=*===*&&=---;;-*&&&&=;;;,'>;;-*&%%&**==**=*&&=-;>;-;-=-;-->>;;,',>,))'){^]~!]^^~''!]]~','!]]{)>;;>')!)',>,)](<[<(])>--=-;,)!!!!)',;;---;,'!]^///^^]~!)',>;;;;>,)!]/_|cq",
+"m3!-=**&&&&&*=-;>,,'',,>;-=&%%$$##$$%&**=*&%%$######$$$%$$$###$%&*==*%$$$$$$$###$%%%%%&=--=====*&*----;;=&&&&*-;;,',;;-*&%%&**===*=*&*=->>--;-=---;>>;>,,>,')''~]]~!{^^{)'!]]!','!]]~'>;;,'))',>>'~/:<<_^!,;-=-;,')!!)',>;----;,)!]^^//^]{~)',>>;;;>,'!]^(:<[2dr",
+"m4~;--==**&&&&*==-;>,,,,,>;-=*&%$$#$$$%&*===*&%$######$$%%%$$##$$%*==*&%$$$$$$###$%%%%%*=--===-=**=---;;-*&&%&=;;>',>;-=&%%%**===**&&*=->;---==---;>;;,,>>')''!]]{!{^^{)'!]]!','!]]!,;;>,)))',>,)](:<_/~';-=-;>'))))',>;---->,)~]^^^^^]~!)',>;;;>,'!{^(_:<[[[1bq",
+"n5],;;;--==**&&&&*==-;>,,,,>;-=*&%$$$$$%%&*===*&%$$####$$%%%$$$##$%&*=*&%$$$$$$$##$%%%%&*-;-===-=**=---;;=&%%%*-;>,'>;;=&%%%**===**&&*=;>;-;-=---;>;;>,,>,))'){]{!~]^{))!]]!','!{~),;;>'))),>,'{/:::/{'>-=-->,'))',>;;---;>,)~]^^^^]{!)',>;;;;,'){^(_:<[<<:__[0o",
+"n5],>>>;;;--==**&&&&*=-;;>,,,>;--=&%%$$$$%&*==-==&%$$####$$%%%%$$$$%&*==*%$$$$$$$##$%%&%&=-;-==--=*=---;;-*%%%&=;;,',;;=&%%%**===**&&*=;>;-;-=---;>;;,,>,')')!]{!!]^{))!]{!','!~!'>;;,'))',>,!](::(])>----;,'''',>;----;>'){]^^^]]~)',>>;;;>,)~]/_:<<<<:_(^]](7n",
+"m4{,>>>>>>;;;--==**&&&**=-;>>,,>>;-=*%%$$$$%&*=---=*&%$###$$$%%%$$$$$%&*=*&%$$$%$$$$$%&&&&=-;;----===-;;;;=&%%%=-;>',>;-*&%%&*=-=**&&*-;;;;;-=---;;;>,,,'))'!{{!!{]{!)!]{)','!!),;;>,))),,,'{/_:(^!,;-=-;>,'',,;;----;>'!{]^^^]{!)',>;;;>,)!]/(:<<<<:_(^]~!)']4m",
+"l2);;;>>>>>>>;;;--==**&&&**=-;>>>>;;-=*&%$$$$%&*=---=*&%$###$$%%%%$$$$%&*==&%$$$%%$$$$%%&&*=;;;----==-;;;;-=%%%&-;>,',;-*&%%&*=-=*&&&=-;;;;-=---;;;;,,>,))')~{!!{]{!)~]{),,'!!'>;;,'))',,'!^(__^~';-=-;>,,,,>;--==-;,'!{]^^]{!)',>;;;>,'!]^(_:<<::_/^]~)',>;>!3m",
+"k|,**=--;;>>>>>>;;;--==**&&&*==-;;>>;;-=*&%%$$%%&==---=*&%$###$$%%%%$$$%%*==*&%$$%%$$$$%%&&*-;>;----==-;;;;-&%%%=;;,',;-=&%%&*=-=*&&*=-;;;;-=---;;;>,,,')))!{~!{]]!)~]{),,'))'>;>,)))',,){/__/{'>-=--;,,,>>;--=--;,)!{]]]]~!),,>;;;>'){^/_::<::(/^]~)',>;;--;!3m",
+"k};%$%&*==-;;>>>>>>>;;--==*&&&&*==-;;;;;--=*&%$$%%&=--;-=*&%$##$$$%%%%$$$%&==*&%$$%%%$$$%%&&*-;>;----=-;;;;;=%%%*-;,',>;=&%%&*=-=&&&*=->;;;-=--;;;>,,,')))!~~!{]]!!~]{),,')),;;>'))',,'!^((/])>----;>,,>;;-==-->,)!{]]]{!)',>;;;>,)~]/(::::_(/^]!)',>;;----->{5n",
+"k};$##$$%%&*=--;>>>>>>;;;--==*&&&&*==-;;;;--=*&%%$%%&=--;--*&%$##$$%%%%%$$%&*==*%%%%%%$$$%%&&=->>;;-----;;;;-&%$%=;>,',;=&%%&*=-=&%&*=;;;;-==--;;;>,,'))))!!!~]]~!~{~),,')'>;;,'))',,)]/(/]!,;---;>>>>;--==-;>,)~{]]{~)',>;;;>,'!]^(_:::_(/^{!)',>;;----;>,'!(8o",
+"k|>%$$####$$%&*==-;>>>>>>>;;--=**&&&&*==--;;--=*&%%%%%&=-;;;-=&%$$$$$%%%%$$%%*==*&%%%%%%$$%&&*=;>,;;;---;;;;;=%%%*->,',;-*&%&*=-=&%%*-;;;;-==--;;>,,,))))!!!!]]~!~{~),,'',>;>,)))','!^//^~';---;;>>;;-===-;>')~{{{~!),,>;;;>'){^/(_:__(^]{!),>;;----;;>,)!{^(}bq",
+"l2'*&%%$$###$$$%%&==-;;>>,,>>;;-==*&&&&&*==-----=*&%%%%%&=-;;;-=&%$$$$%%%%%%%%&*==&%%%%%%$$%&&*=;,,;;;;--;;;;-*%$&=;,',>-=&%&*=-=&%%*-;;;;-=--;;;>,,'))))!!!{{~!~{~),,',,;;>'))',')]^/^{)>---;;>>;;-===-;>')~{{~!)',>;;;>,)~]/(___(/^]~)',>;;---;;>,')~]^(_:[2cr",
+"m4~;==*&%%$$$$$$$$%%&*=-;>>,,,>>;;-==*&&&&&*==----=**&%%%%&=-;;;-=&%$$$$%%%%%%%&*==*&%%%%%%%%%&*=;,,>;;;;;;;;;=%$%*->,,,;=&%%*=-=&%%*-;;;--=--;;;>,'))))!!!~{~!~{!',,,,>;>,)))'')~]^^]),;---;;;;--===-;,')!~~!)',>;;;>,'!]^/((((/^]~)',>;;---;;,')!]^(_::<<[[2cr",
+"n6^'>;;-==*&%%$$$$$$$$%&*=-;>>,,,,>;;-==*&&&&&*===--==*&%%%%&=-;;;-=&%$$$$%%%%%%%*==*&%%%%%%%%%&*=;,,>>;;;;;>;-*%$&-;,',;=&%%*--=&%%*-;>;-==-;;;>,,)))))!!!~~!~~!',,,,>;>,)))''!{^^]!,;---;;;;--===-;,)!!~!!)',>;;;>')~]/(((/^]{!)',>;;--;;>,)!{^/(_:<<[[<<:<|bq",
+"n7(!)',,>;;-==*&%%$$$$$$%%&*=-;>>,,,,>>;-==*&&&&&*======*&&%%%&=--;--*&%$$$$%%%%%%&*==*&%%%%%%%%&*-;,,>>;;;;>;;=%$%=;,',;=&%&=--=&%&=-;;;-=--;;>>,'))))!!~~~!~~!',,,>>>,'))'')~]^]!'>;--;;;;-====->,)!!!!)',>;;;>,)!]^/((/^]~!',>;;;-;;>,')~]^(_:<<<<<<::_((([0o",
+"n7/!)))))',,>;;-==*&%%%$$$$%%&*=-;>,,,,,,>;-==*&&&&&**====**&%%%&=--;--*&%$$$$%%%%%&*==*&%%%%%%%%&*->,,>;;;;>>;-*%%&->,,>-*&&=--=&%&=-;;;---;;;>,')))))!~~~!~~!',>>>;>,)))')!{]]~)>;-;;;;;--==-;>,))!!)',>;;;>,'!{]^//^^]~)',>;;--;;>,)!]^/(::<<<<<::_((/^]]{(7n",
+"m4],,''))))))',,>;;-==*&&%%$$$%%&*=-;>,,,,,,>;-==*&&&&&**===**&&%&&*=---=*&%$$$$%%%%%&*==*&%%%%%%%&*->,,>;;;;>>;=&$%=;,',;=&*=--=&&*-;;;-==-;;>>,'))))!~{~~~~)',>>;;>')))))!]]{),;;;;;;;-===-;>,))!)),,>;;;>,)~]^^^^]{!)',>;---;>,')~]/(_::<<<:::_((/^]{~!)')^5n",
+"l2'---;>,,'))))))'',>;;-==*&&%%%%%%&*=-;>,,'',,>;-=*&&%%&&**==**&&&&&*=---=*%$$$$$%%%%&*==*&&&&%%%%&=->,,>>;;>>;-*%%*-,',;=&&==-=&&*-;>;-=--;;>,')))))!~~~~!)',>>;>,'))))!~]{!'>;;;;;;-===-;,'))))',>;;;>,)!{]^^^]~!),>;;--;;>,)!]^/(:::<<::__(/^]]{!))',,>>,]4m",
+"k|>&&&*==-;;>,'')))))'',,>;--=**&%%%%&&*=-;>,'''',>;-=*&&%&&&**=***&&&&*==--=*%$$$$$%%%&*===*&&%%%%&&=->,,>>;;>>;-&%%=>,,;=&&*===&&*-;>;----;>,')))))!~~~~!),,>>;>,)))))!{{!'>;;;;;;--=--;,')))',>;;;;,')~]]]]{!)',>;---;>,')~]/(_::::::_((/^]{~!)'',,,,,,,')/7o",
+"k|>%%%%%%&**=--;>,,'))))))',,>;;-==*&&&&&&*=-;>,'''',>;-=*&&&&&******&&&&*==-==&%$$$$$%%%&*==*&&&%%%&*=->,,,>>>>>;*%%*;,,>-&&&==*&&*-;;--=-;;>,')))))!~~!!),>;;>,'))))!~~!),>;;;;;--=-;>,'))',,>;;;>,)!{]]]{!)',>;;-;;>,)!]^/(_::::__(/^^]{!))',,,,,,,')!~]^(}bq",
+"l1,*&%%%%%%%%%&*==-;>>,''))))))',,>;--=**&&&*==-;>,'''',>;-=*&&&&&******&&&*====*&%$$$$$%%&*==**&&&&&&*=->,,,>>>>;-&%&->,,;*&&*=*&&=-;;----;>,')))))!~~!!',>;;>,'))))!~!),>;;;;;----;>,'''',>;;;>,')!{{{~)),>;;-;;>,'){]/(__::__((/^]]~!))',,,,,,')!~]^/(:<[|4es",
+"m3!-==**&&%%%%%%%%&&*=--;>,'')))))))',>;;-==****==-;>,'''',,;-=*&&&&&******&***===*&%$$$$$%%&*==*&&&&&&*=;>,,,>>>>;=%%=;,,;=%%*=*%&=;;;----;>,'))))!!~!!',;;;>,))))!!!)'>>;;;;----;>,''',>;;;>,')!~~~!)',>;;;;;>,)!]^/(_____(/^^]{!))'',,,,,')!~]^/(:<[}|12237fs",
+"n5],>;;--==**&&%%%%%%%%&*==-;>,'')!!!!))'',>;--======-;>,'''',,;-=**&&&**********==**&%$$$$%%&*==**&&&&&*=;,,,,>>>;-*%&->,;=&%*=&%&-;>;---;>,'))))!!~!)',;;>,'))))!!)',>>;;;----;>,',,>>;;;>,')!!!)),,>;;;;>,')~]^(((_(((/^]]~!))',,,,,')!~]^/_:<[}|1122222114er",
+"o8(~))',,>>;;--==**&&%%%%%%&*==-;>,'))!!!!!))',>;;-====--;>,'''',,;-=**&&***********=*&%%$$$$%%&*==*&&&&&*=;>,,,>>>;=&%=;,>=&&*=&%&-;;----;>,)))))!!!)'>;;>,)))))!)',>>;;;---;;>,,,,>;;;>,'))!))',>>;;;;>')!]^/(((((/^^]{~!))'''''')!{]^(_:<[}|1111111||}}[<<|bq",
+"o9:]{{~~!!))',,>;;--==**&&%%%%&&&*=-;>,'))!!~~!!)',,>;------;>,,''',,;-==***************&%%$$$%%&**=**&&&&*=;,,,,>>>-*%*;,>;**==&%*=;;---;>,'))))!!!)'>;;>,))))))),,>;;;---;>>,,,>;;;>>,'))))',>;;;;>,')~]^//((//^]]~!))'''''))!{]^(_:<[}||1111|||}[[<:__(/^^:9o",
+"n7(~~~{{{{~~~!!)))',,>;;-==**&&&%&&&&*=-;;,'))!~~~!!))',>;-----;>,,''',,;-==*****==*******&%$$$$%%&*=***&&&*=;,,,,>>;=&&->,;=*==&&=--;--;;,'')))!!!),>;>,'))))))',>>;;;--;>>,>>;;;;>,,'))'',>>;;>,')!{]^////^^]{~!))'''))!~]]/(_:[[}||||||||}[[<:_(//^]]{!!))^6n",
+"m4{,,,')))!!~~~~~~!!!))',,>;;--==*&&&&&&&*==-;>,')!~~~!!))',>;;---;;>,,'',>;-==***=====****&&%$$$$%&*****&&&*=;,',,>>-*&=;,;===*%&=;;---;>,)))!!~!),>;>,')))))',>>;;;-;;;>>>>;;;>>,'''',,>>>>,,)!~]^^^^^^]]~!!))))))!~]^/(:<[[}||||||}}[<::_(/^^]{~!))''',,,,]4m",
+"l1'====-;;>,,''))!!!~~!!!!))',,>;;--=**&&&&&&**=-;>,'))!~!!!)),,>;;--;;>,,,,,>;--=========***&%%$$$$%&****&&&*=;,'',,;-**->;===&%%->;--;;,'))!~~!),>>>,)))))',,>;;;;;;;>>>;;;;>,,,,,,,>>>>,')!{]^^^^]]{~!)))))!!{]^/(:<[[}}||}}}[[<:_((/^]]~!!))'',,,,,,,,,,'^6n",
+"k|>%%%%%&&**==--;>>,''))))!!!))))',,>;;--=***&&&&**==-;>,'))!!!))',>;;;-;;>>,,,,>;--========**&&%%$$$%%&****&&*=>,'',>;=*=;>;-*%$%=;;;-;>,'))!!)',>>,'))))',,>>;;;;;;>;;;;;>>,,,,,>>>,,')!~]]]]]]{~!!))))!!{]^/(:<[[}}}}}[[<::_(/^]]{!!))'',,,,,,,,'''))!~]]/[ap",
+"k|>%$$$$$$$%%%%&&**==--;;>,,''')))))'',,,>;;--==**&&&**==-;;,,'')))'',>;;;;-;;>>,,>>;---======**&&%$$$$%&*****&*=;,,,>;-**;,>=&$#$&=--;;,''))!)'>>>,')))',,>>;;;;;;;;;;;;>>,,,,,,,,'))!{]]]]{{~!)))!!!{]^/(_:<[}}[[[[<:_(/^]]~!!))'',,,,,,'''')!!{]^^/(_:<[}|5fs",
+"l1,*&%%%%%%%$$$$$%%%%%%&&*===--;;>,,,,'''',,,>>;;-==****&&**==-;>>,,'',,,>;;---;;;>>>>>;;--======*&&%$$$%%&***&&*-;>,>>;=*->;*$##$&=--;>'''))),>;>,'))'',>>;;;;;;;;;;;>>>,,,,,,'')!~{{{{{~!)))!!!~]^/(_:<<[[<<<:_(/^]]~!!))'',,,,,'''))!~{]^//(_:<[}|122344560iu",
+"m3!;-===****&&&%%%%%%$$$%%%%%%%&**===--;;;>>>,,,>>>;;;--==******===-;;;>>>>;;;;-----;;>>>;;;---====*&%%$$$%&*****=-;>,,>-==--*$#$&=---;,'))))',>>,')'',,>;;;;;;;;;;;>>>,,,,,'))!!~~~~!!))))!~]^^/(_::::::__(/^]{!!)'',,,,,,'''))~{]^//(_:[}||12234455666666670iu",
+"n5^',>>>;;;----===***&&&%%%%%%%%%%%%%%%&&**==---;;;;>>;;;;---===****====-----;----------;;;;;;-----==*&%%$$%%&****==;>,>;==--=%$%=-;-->'))))',,,,''',,>>;;;;;;;;;;>>>,,,''))!!!!!))))))!~]]^/(___((((/^]{~!))',,,,,,''))!~]]^/(_:[}}|1123445555555555444332225fs",
+"o8(~)))))''',,,,>>;;;;---===***&&&%%%%%%%%%%%%%&&*===----;;;;;;-----======================---;;;;----==**&%%%%%&***==;>,>-=-;-*%&=---;,)!)),,,''''',,>;;;;;;;;;>>,,,'''))))))))))))!~{]]^////^^^]{~!))',,,,,'''))!{]^/(_:<[}}|122344444444444332211||}}}[[<:<|bq",
+"o8(~!!!!!!!!!))))))))'',,,,>>;;;;--===***&&%%%%%%%%%%%%&**====---;;;-------=========*********==--;;;----==*&%%%%&&***=-;>;----*&&=--;,)!!)',,,''',>>;;;;;;;;;>,,,'''))))))''''))!!~]]]]]]]]~!)))'',''''')!~]]^/(_:<[[}||122222222222211|||}}[[<<::__((//^^^]^:9o",
+"n5^)''''')))))))!!!!!!!!!)))))))))'',,,>>;;--===***&&%%%%%%%&&&**====--;;;;------====***&&&&&&&&*==-------==*&%%%%&***=----=--=**=-;>'!!)',,,'',,>;;;;;;;;>>,,,'''''''',,'')))!!!!~~~!)))))'''''))!{]^//((_:<[}}}||||||||||}}}[[[<<:::_(((//^^]]]{~~!!!))))')^6n",
+"m3!;--;;;;;>>>,,,,''''))))))!!!~~~~~~~!!!!!)))'',,>>;;--====**&&&&&***==-----;;;;;;;;---==**&&&%%%&***=-----==**&%&&&*****=---===-;>>,)',,'',,,>;;;;;;;>,,,,'',,,,,,,,,'''))))))))))))))))!{]]^^^/(_:<<<<<<<[[[[[<<:::__(((//^^^]]]]{{~~!!!)))''''',,,,,,,,,'^5n",
+"l2'=****======------;;;;;>>,,,'')))))!!!~~{{]]{{{~~!!!))))'',>>;---===========--;;;;;;;;;;---==*&&&%%%&***======**&&&**&%&=----==->,,,,,>,'',>;;;;;;>>>,,,,,,,>>>>,,,,''''''))))))!~~{]]]^/((___________((///^^^]]]]{{~~!!!)))))''''')'''''''''''')))))!!!!~]_9o",
+"l2'=************===========----;;;;>>,,,,'')))!!!!~~~{{]]]]{~!!)))'''',,>;;---------;;;;;>>>>;;----=*&&&&&***======****&%&=--===*->',,,,>,,,>>;;>>>>>,>>>>;;>,,,,,,,''''))))!!!~{]]^^^^^^^^//^^^]]]]{{{~~!!)))))))))))))))))))))))!!~~{{]]]]^^^^^///(((__:::<1cr",
+"m3!;----------==================---------;;;;;>>,,,,'')))!!!!)))!!!!!~~!))'',,,,>>>>;;;;;;;;;;;>>,>;--====*&&&**======*&&&*====**->',,,,>>>>>>>;>>>>>>>>>>;>>,'''''')))!!~~~{{{{]]]]]]{~~~!!!!!))))))))))))!!!!!!~~{]]]]^^^^///(((__::<<<[[[}}}}|||||111222237gt",
+"n6^',,,,,,,,,>>>>>>>>>>;;;;;;;;;;;;;;;;;;;;;;;;;;;;>>>>>,,,,,,,,,,'')))))))'''',,,,,,,,>>>>>;;>>,,,>;;;;>;-=====-==**=***&&&**=*=->,>;;;>>>;>,,>;;>>>>,,,,>,,'))!))))!!!!!!!!!!!!!!!!!!!!!!!!!!~~{]]]^^///((((___:::<<[[[[}}}}}|||1112222333334444444444444459ht",
+"o9:]{{{{{~~~~~~!!!!!!!!!!!)))))))))))))'''''''''''''''',,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,>>>>>>>>,>>;;--;;>>;;;;;>;-=&*====&&&&*==-;'',;--;>;;>')',>>>,,''',,,,'))))))))))))))!!!~~{{{]]]]]]^^^//(((_:::<<[[}}}}}}}||||||||||11111111122222222222222222111111125fs",
+"pa}_((((((/////////////^^^^^^^^^^^^^^^]]]]]]]]]]]]]{{{{{~~~~!!!!!!)))))))'''',,,,,,,,,,>>>>>>>>>;;;----;;;;>>>,,>-=**-;;-=*====-;,')'>;-;>>>'!~!)',,,,'',,>>,,,''''))))))!!!~{]]]]]^^^^^^////((((____::::<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<::::::::::|bq",
+"qb|:_____((((((((((((((((((((///////////^^^^^^^^^^^^^]]]]]]]]]{{{{~~~!!!!)))))'''',,,,,,,>>>>>;;;;;----;;;>>>>>;;-==-;>>>;;;;--;>,')),>;>,,)~]]{!)'',,,,,>>>>>>,,,,,'''')))))!!!!!!!!!!!~~~~~~~~~~{{{{{{{{]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]]:9o",
+"p0<^^^^^]]]]]]]]]]]]]]]]]]]]]{{{{{{{{~~~~~~!!!!!!!!!))))))))))))))))))''''''''',,,,,,,,,,,,,,>>>>>;;;;>>,,'',,>;---;,''',,;;;;;>,,,'',,,,'){^^]!'',,',,,,>>>>>>,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,''''''''''''''''''''''''')^6n",
+"n6^),,,,,,,,,,,,,,,,,,,,,,,,,,,,,,>>>>>>>>>>>>>>>>>>;;;;>>>>>>>>>,,,,,,,,,,,,,,,''''''''''))))'''',,,,'))!!!!)'>--;>')'',;;;;;>>>>>,,,,,,,){/^~'>>,')))',,,>,,,''''''''''',,,,,,,,,,,,,,,,,,,,,>>>>>>>>>>>>>>>>>>>,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,>,]4m",
+"m3!;------------------------------------;;;;;;;;;;;;;;>>>>>,,,,,'''''')))))))!!!!!!!!!!!!!!!!!!!!!))'')!~!!))!),;-->,,,>;----;>;;;;>>;;;>>,)]{'>>,))!!!)',,,'')))))'''''',,,,,,,,,,,'''''''))))))))))))))))))!!!!!~~~~~{{{{{{{{{]]]]]]]]]]]]]{{{{~~~~!!!!!))!/7n",
+"m2)-=========-------------;;;;;;;;>>>>>>,,,,,''''')))))))!!!!~~{{{~~~~~~~~~~~~~!!!!!!!!!!!!!!~~{{~!)'')))',>>,,>;--;>;;;---;;;>;--;;;----;;,)'>>,)!!)!!!)',')!!)))'''',,,,,,,,,,>>>>,,,,,,,'''''))))))!!!~~{{]]]^^///(((((_____::::::<<<<<<<<<<<<::::::____(_}ap",
+"m3!;;;;;;;;;;>>>>>>,,,,,,,,'''))))))!!!!~~~{{{]]]]]]]]]]]]]]]]]]]{~!!))))))))))))))))!!!!~!!!!!!!!)'>>>>>;;-;;;;;;-;;;-----;-;>>;;;;;------;>;;>,'''))!!!)))!~!))))))))''''',,,,>>>>>;;;;;;;;;;>>>,,,,,'''))!!~~{]]^^///((___::<<<[[[}}}|||1111111111111||||14er",
+"n5^'''''''))))))!!!!~~~~{{{]]]]]]^^^^^^^^^^^^^^^^^]]]{{~!!))))))))'',,,,''')))))!!~~~~~~~~!))',,,>;;-=---;;;;>>;;;-----;--;;-------;;;;;-==----;>>>,,,'))))!~~!!)))!))))))))))))'',,,,,,>>;;------------;;;;>>,,,'''))!!~{{]]^^//((__::<<[[}}}|||||11111122237gs",
+"o8_]{{{]]]]]]]^^^^^^^^^/////////^^^^^^]]]]{{~!!!)))''',,,,>>>>,,,,,''''))!~{{{{{{{{~!!))',,>;;--=====--;;>,>>>;---===-;>>;;;--==**=-;>,,;=====---;;;>>>,,,')!!!!!~{{~~!!!))))))))))))))))'',,,,>>>;;;---------------;;;;>>,,,,'')))!~~{]]^^^//(((__:::<<[[[[}3dr",
+"p0[(/////((((((////////^^^^]]]]{~~!!))''',,,,>>;;;;;;;>>>>>,,''))!~~{]]]]]]]]{!!))',,>;;--========-;;>,,>>>;;--=====-->,>;--;-=*&&=--;,,;-==**==---;;;;;>>>,''')!!!~{{]]]{{~~!!))))')))))))))))))))''',,,,,>>;;;;----------------;;;;>>>,,,''')))!!~~{]]]^^^([ap",
+"pa}_((((////^^^^]]]{{~!!))''',,,,>>;;;;--;;;;;;;;>>,,''))!!~{]]^^^^^^^]{~!))',>>;;---====**===-;;>,,,,>>;;;--==**==-;;,>;==-;;-*&*=---;;;--==****=--;;;;;;;>>>,''''))!~{]]]^^^]]]{~!)))))'))))))!!!!!!!!!~!!!))))''',,,>>>;;;------------------;;;;;>>>,,,'')/7n",
+"p0<^]]]{{~!!)))'',,,>>>;;;------------;;;>>,,''))!~{]]^^^^^^^^^^]{~!!)',>>;;---=====****==--;>,,,,,,>;;;;---=***=--;>>>;=*=->>-==*=--===-----=**&**=-------;;;;>>,,''')))!~{]]^^///^^^]]~!))))'''))))!!!~{{{]]]]]]]]]]{{~~!!)))'',,,>>;;------=========-----;!3m",
+"n7/)',,,>>>;;;;--------------;;;;>>,,''))!~{]]^^////////^^]{~!)),,>;;;-----======**===--;>>,,,,,,>>;;-----=****=--;>>>;-=*=->;---==--==*==-----=*&&**==---;-----;;;>,,'''')))!!{]^^//((((/^^^]!))))''''')))!!~{]]]^^^^^///////^^^^^]]{~!))'',,>>;;-----=====-)2l",
+"m4!;-----------------;;;>>,,,'))!!~{]]^^/((((((((/^^]{~!)',>>;;;--------===========-;;>,,,,,,,>;;;---;;-=*&&*=---;>>>>-=**=-;;;;;-=---=***=--;-==*&&&&*==-;;;------;;>>,,''')))))!!~]^//((_::_(//^]{!)))'''''')))!!~{]]^^//((((___:::__(((///^]]{!!))',,,>;;;!3m",
+"m2)-====-----;;;>>,,''))!!{]]^^//(((_____((//^]]~!)',>>;;;------------========--;;>,,,,,,,>>>;;----;;-=*&&*=-----;>,>;==*=-;;;>>>-=-;;-=***=----==*&&&&&*==-----------;;;>,,''))))))))!~{]^((_::<<:_((/^]{!))''',,''')))!~{]]^^/((__:::::<<<<<:::__((//^]]{!~/7n",
+"m3!;;;;;>>,,''))!~{]]^^//((_________((/^]]~!)',>;;;;----------------======--;;>,,,,,,,>>>;;;;---;;;-=*&%&*=-----;>,>;=**=->,,,,,>-==;;-==**=-------=*&&&&&*==-------------;;;>,'')))))))))!!{]^/(_::<[[<::_(/^]~!)''',,,,,''))!!~{]^^//((_::<<<<[[[[[[[<<::_:}ap",
+"n5^)''))!!{]]^^//((__::::::::_((/^]{!))',>;;;;-----;;;;;;;;;;;---=====---;>,,,,,,,>>>;;;;;;--;;;;-=*&%%&=-----;;>,,;-***=;>,,,',;=&&-;;-=**=--------=*&&&&&&*==--------------;;;>,''))))))))'))!~{]^(_:<[[[[[<::_(/^]~))'',,,,,,,''))!!~]]^^/((__::<<[[[[[[[}3dr",
+"o9_]]^^//((__::::::<:::_((/^]{!))',>;;;;----;;;;;>>>>>>>;;;---====--;;>,,,,,,,>>;;;;;;;;;;;;;;;;=*&%%&*=-----;;>,,>;=**=-;>;;>,,;*%&-;;;-=**=---------=*&&&&&&**==---------------;;>,,')!!!!!))'''))!~]^/(:<[[}}}}[[<:_/^]{!)'',,,,>,,,,''))!!~{]]^//((_:::<[2dr",
+"pa}:_:::<<<<<<<::_((/^]{!))',>;;;;----;;;>>>,,,,,,,>>>;;---===--;;>>,,,,,,>>;;;;;;>>;;;;;;;>;;-*%%$%&=------;>>,,,;-*&*=;>,;-->,;*%%=;;;-==**=---------=*&&%%&&&**==-----==----------;;>,')!~~~!!))''''))!{]^(_:[[}}|||}[[<:(/^]{!)',,,,>>>,,,,'')))!~{]]^^/(}aq",
+"rc2[<<<<::__(//^]~!)',,>;;;;;--;;;;>>,,,''''''',,>>;;---==---;>>,,''',,>;----;;>>>>;;;;;>>>;-*%%$%&*-;;----;>,,,,;-*&*=-;>,>;->>;*%%*->;;-=***=---------==*&&%%&&&&**==----====--;;------;>,')!~{{~!!))''''')!~]^/(:<[}}|||||}[[<_(/^]~!)',,,>>>>>>,,,'')))!{_9o",
+"rc1<__(/^]]~!)',,>;;;-----;;;>>,,''))))))))'',>>;;------;;>>,,''',,>;;-----;>>,,>;;;;>>,>;-*&%$$%*=-;-----;>,,,>;-*&&*=;>,,>;-;>;=&%&->>;--=*&*=----------=*&&%%%&&&&**==----====--;;;------;;,')!~{]]{~!))',,,'')!{]^(_:[}}||111||}[[:_(^]{!)',,,>>>;>>>>>,'^6n",
+"p0<^{~))',>>;;;-----;;;>>,,')))!!!!!!!)))',>;;-------;>>,'''''',>;--===-;>,,,,>>;;;>,,>;-*%%$$%&=-;;--=--;>,,,>;-=&&&*-;>,>;;;;>;=*&&->>;;-==*&*=----------=*&&&%%%&&&&**==---======--;;;;------;>,)!~{]]]{~!))',,,,'))~]^/(:<[}||11111||}[<:_/^]{!)',,>>>;;>{4m",
+"n6^'>;;-------;;;>>,,''))!!~~{{{{~!!)',,>;;-----;;>>,'')))'',>;-====-;>,''',>>;;;>,,>;-*%%$$$%*-;;--==--;>,,,>;-=*&&*=->,,>;;;;>;==&&=;>>;--=*&&*=----------==*&&&%%%&&&&&**==--==***==-;;;;;--===-;;,')!{]]]]]~!)',,,,,,')!{]^(_:<[}|1122221||}[<:(/^]~!)',,]4m",
+"m3!;-----;;;>,,''))!!~{{]]]]]{{!!)',>;;------;>>,'))))))',>;-=**==-;,'))',>>;;>,,,>;-*&%$$$%&=-;--===--;>,,,,>;=*&&&*-;>,,>;-;>>;-=&%*->>;;-==*&&=------------=**&&%%%%&&&&&**==--==****=--;;;;;--===--;>')!{]]^^]]~!)',,>,,,,')~]^/(:<[}||12222221|}}[:_(^]](8n",
+"m3!;;;>>,,''))!~{]]]^^^]]]]~!)',>;;------;>>,'))!!!))',>;-=***=-;,')))',>;;;>,,,>;-*&%$$$$%*--;--====-;>,,,,>;-*&&&*=-;>,,>;-;>>;-=%%&->,>;--=*&&&=------------=**&&&%%%%&&*&&&**=====**&**=-;;;>;;--====-;>,)!{]^^^^]]~!)',,>>>,,')!{]^(_:<[}|1222233221|}[[|bq",
+"m4]',''))!~{]]]^^^^^^]]{!)',>;;------;;>,'))!!!!!)',>;-=***=-;,')!!)',>;;>>,,,>;=*&%$$$$%&=-;--=====-;>,,,,>;-=&&&&*=;>>,>;--;>,;-=&%&=>,>;;-==*&&*=-------------=*&&&&%%%%&**&&&&*=====*&&&**=-;;>>;;--====--;,')~]^^/^^^]~!)',>>>>>,,))~]^/(_:[[}|1223333336fs",
+"n7(~!~{]]]^^^^^^^^]{~)',>;;------;;>,'))!~{{~!!),>;-=***=-;,')!~!)',>;;>,,',>;=*&%$$$$$%*-;;-=====-;>,,,,,>;-=*&&&*=-;>>>>;--;>,;-=&%%=;,,;;--==*&&*=-------------=*&&&&%%%%%&**&&&&**====*&&&&*=--;>>>>;--====--;>')!]]^///^^]~!)',>>>>>,,')!{]^/(:<[}||22348gt",
+"o9:^^^^^//^^^^]{!)),>;;------;;>,'))!~{]]{~!),>;-=***=-;>')~{~!)',>;;>,'',>;=*%%$$$$$%&=-;-======-;>,,,,,>;-=*&&&&*=;>>,,>;-;>,,>--*%%*-,,>;;--=**&&*--------------=**&*&&%%%%&&***&&&&*====*&&%&&*=-;>>>>>;--=====-;>,)!{]^////^^]~!),,>;;;>>,'))~{]^(_:<[}|5fs",
+"p0[(///^^]]{!)',>;;--=----;>,'))!{]]]]]{!)'>;-=***=-;>')~]]{!),>;;>>,'',>;=*%%$$$$$$%*----======-;>,,,,,>;-=*&&&&&=-;>>,,>;;;>,,>;-=&%&->,,;;--==*&&&=---------------=*&***&%%%%&&***&&&&*====*&&%%&&*=-;>>>>>;--=====-;>,'!~]^/(((//^]~)',,>;;;;>,,')!~]^/(:|cr",
+"p0[/^]]~!)',>;;--===--;>,,')!{]]^^^]]~)',;-=***==;>')~]]]{!',>;;>,,'',>;=*&%%$$$$$%&=-;-=**====-;,,,,,,>;;=*&&&&&*=->>>>>>;;;>>,>;-=&%&=;,,>;---==*&&&=-------=-------=*&&***&%$%%&****&%%&&*===**&%%%&&=--;>,,,>;--==*===-;,')~]^/(((((/^]~)',,>;;;;;>,'))!]:0p",
+"o9:]!)',>;--====--;;>,')!~]]^^^^^]{!',;-=***=-;>')~]]]]~),>;;;>,''',>;=*%%%%$$$$$%*---==***===->,,,,,,>;;-=*&&&&&*-;>>>>>;--;>>,>;-=&%%=;,,>;-;--==*&%&=-------=-------=*&&***&%%$%%&****&&%&&*====*&%%%%&*=-;>,,,,>;--==*===-;>,)!{^^/(((((/^]~)',>;;;;;;>,'^7n",
+"n6^,>;--====--;;>,')!~]]^////^]{!',;-==*==-;>,)~]^^]]!',;;;;>,''',>-=*&%%%$$$$$%&=---=******=->,,,,,>;;;-=*&%%&&*=-;>>>,>;--;;>>>;-=&%%*;,,,;;;;-==*&%%*=;;-----=--------=*&&***&%%$%%&*==*&%%%&**===*&%%%%%&*=-;>,,,,>;--==**==-;>,'!{]^/((((((/^]~)',>;;;;;~4m",
+"m3!-=====--;>,'))~{]^//(//^^{!),;-=====-;>')~]^^^]~),>;;;;,,''',>-=*%%%%%$$$$$%*=--=*******=->,,,,,>;;;-=*&&%&&&*=;>>>>,>;--;;;>>;-=&%%*->,,>;-;;-==*&%&*-;;-----=---=----=*&&**=*&%$$$%*===*&%%%&&*===*&&%%$%%&*=-;>,,,,>;--==**==--;,')~]^/((___((/^]!)',>>~4m",
+"l2)-=--;>,,')!{]^^/(((//^]!),;-=====-;>,)~]^^^^]!',;;;;>,'')',>-=*&%%%%%$$$$%&=--==*&*****=->>>,,,>;;;-=*&&%&&&*=-;>>>>>>;--;;;>>;-=*&%*-;,',;;;;-===*&%&=-;-----===--==----=&&&*==*%%$$%%*===*&%%%&&*====*&%%$$%%&==-;>,,,,>;--==***=--;>,)!{]^/(____((/^{!!^5n",
+"m3!>;>,')!~]]^/(((((/^]!),;-=====-;>,)~]^///^{),>;--;>,'))',>-=&&%%%%%$$$$$%*=--=*&&*****=;>>>>,,>;-;-=**&%%%%&*=;>>>>>>;--;;;;>>-===&%&=;,',>;-;;-==*&%%&=-;---;-===---==---=*&&*===&%$$$%&*===*&%%%%&*====*&%%$$$%&*=-;>,,,,,>;--=****==-;>,')~]^/(_____((/<9o",
+"n5^)))!{]^/((((((/^]!',;-=====-;>,)~]^/(/^]!',;--;;>,'))',>-=&&%%%%%%$$$$%&==-=*&&&***&*=;>>>>,,>;-;--=*&%%%%&&=-;>;;>>>;--;;;;>>;-==*&&=;,',>;-;;-===*&%%&=-;---;-===---==---=*&&&*==*&%$$$%&*===*&%%%%&*====*&%%$$$$%&*=-;>,''',>;-==****==-;>,')!{]^((__::|bq",
+"o8(]]^^/((((((/]{!',;-=====-;>,)!]^/((/^{),>;--;;>,'))',>-=&&%%%%%%$$$$$%*===*&&&&***&*=;>>>>,,>;----=**&%%%%&*=->>;>>>>;--;;;;>>;--=*&&=->,',;;-;;-===&&%%&=-;---;-===---==----*&%&*===*&$$#$%&==-=*&%%%%&*====**&%$$$$%%&*=-;,,''',>;-==*****=--;>,)!{]^/(:|bq",
+"o0[((((__((/]{!'>;-=====-;>,)!]^/(((/]!',;---;>,')))',;-=&&%&&&&%%$$$$%&====*&%&&**&&*-;,>>>,,,;----=**&%%%%%&*=;>;;>>,>;--;>;;>>;---*&&*-;,',>;-;;;===*&&%&*=;;---;;-==---===---=&%%&*===*%$##$%*=--=*&&%%%&*=====*&%%$$$$%%*=-;>,,''',>;-==*****==-;>,')!{^<0p",
+"qb}:__(/^]~)'>;-=====-;>,)!]^/(((/^{),>----;>,')))',;-=&&%&&&&&%$$#$$%*===*&%%&**&&&*->,>;>,,,;----=**&%%&%%%*=->>;;;>,>;--;>;>>>;---*&&*-;,''>;--;;-===*&%%&*-;;--;;;-==---===---=*&%&*=--=&%$##$%*=--==*&%%%&*=====*&%%$$$$$%&*=-;>,'''',>;-==*****==-;;,')(8o",
+"qb}_/^]~),>;-=====-;>,)!{^/(_((/]!',;----;>,')))',;-=&&%&&&&&%%$$$$%&*===&%%%&**&&&*->,>;;,,,;----=***&%%%%%&*=;>;;;;>,;---;>;>,>;---*&&*=;>'',;;-;;;====&&%%&*-;;--;>;-==---=*==---*&%%&*=-=*&$###$&*=--==*&%%%&*======*&%$$$$$$%&*=-;>,'''',>;-==**&&**=-->]5n",
+"p0<]~),>;-=====-;>,'!{^/(__((^{),>-----;>,')))',;-=&&&&&**&&%$$#$%%*===*&%%%&**&%&*->,>;;,',;----=***&%%%%%%&*->>;;;;>,;---;>;>,>;;--=***=;>,',>;;-;>-===*&%%%&=;>;--;>;-===--=**=---=&%%%*=--=*%$##$%&=----=*&%%%&*===-==*&%$$$$$$%%&*=-;,,'''',>;-==*&&&**-)3m",
+"n7^';-======-;>,'!{]/(___(/]!'>;-==-;>,'))))',;-=&&&&&***&%$$#$$%&*==*&%%%&&*&&%&*;>,>;;,',;-=--=****&%%%%%&*=;>;;;;;,>;--;;;;>,>>;--=***=->,'',;;-;>;-===*&%&%&=;>;--;>;-===--=**==--=*%%%&*=--=&%$##$%*=-;--=*&%%&&*===-==*&%%$$$$$$%%*=-;>,''''',>;-==*&&*,1l",
+"m3!-==*==--;,')~]^(____(^{),;-==--;>,'))))',;-=&&&&*****&%$##$%%*==*&%%%%&&*&%%&=;,,>;;,',;==--=**=*&%%&%%%&*-;>;-;;>,>;--;;;;>,>>;--=***=->,'',>;;-;>;====&&&&&&=;>;--;>>-===---=**=---=&%%%*=---*&$###$%*--;;-=*&%%&&*==---==*&%$$$#$$$%&*=-;>,'')'',>;-===,1l",
+"l2'===--;,')~]^(__:_(/]!'>;-===-;>,'))))',;-=&&&&**==*&%$$#$$%&*==*&%%%%&*&&%%%=;,,>;;,',;===-=****&%%&%%%%&=->;--;;>,>;--;>;;,,,>;--=**==-;>,)'>;;-;>>-====&%&&%&=;;---;,>-=*=---=**=---=&%%%&*---=*%$###$&=-;;;-=*&%%&&*==---==*&%%$$##$$%%&*=-;,,')))',>;;)2l",
+"l2)--;>,)!]^/(_::_(^{),;-===--;>,')!!)',;-=&&&**====*&%$##$%%**=*&%%%%%&&&%%%&=;,,;-;,',;===-=***=*%%%%%$%&*=;>;--;;,,;;--;>;;,,,>;--=====-;>,'',>;;-;,;====*&%&&%*-;;--->,>-=*=---=&&*=--=*%$$%*=---=&%####$&=-;;;-=*&%%&&*==----=*&&%$$###$$%%&=-;>,'')))'']4m",
+"m4{,,)!{^/(_:::(/]!'>;-===-;;,'))!!)',;-=*&&**====*&%$$##$%&*=**%%$%%&&&&%%%&=;,,;-;>'';=*===***=*&%%%%$$%&*->>----;,,;;;-;>;;,,,,>---====-;>,'),>;;-;,,-====&%&&&%*->;--->,>-=*=---=&&*=---=&%$%&*=---*%$####%*=;;;;-=*&%%&&*==----==*&%$$###$$$%&*=-;>,'))!/7n",
+"n6/~{]/(_:::_(^{),;-====-;>,'))!!)',;-=*&&*======*&%$##$%&****&%$$%%&&&&%$%&->,,;-;>'';=**===**==&%%%%%$%%&=;>;---->,,;;;-;>;;,,,,>---===-=;>,,)'>;;;->,>=*=-*&%&&%&*->;--->,>-=*=---=*&&*=--=*%$$%&=---=*%$###$%*-;>>;-=*&%%&**==-----=*&%$$####$$$%&*=-;>,)/7n",
+"o9:/(_::::_/]!'>;-===--;>,'))!!)',;-=*&&*==---==&%$##$$%&*=**&%$$%%&&&%%$%&->,,;-->''>=**===&*==*%%%%%$$%&*->>----->,>;;--;>;;,',,>---==---;>,,)),;;;-;,,;====*%%&&%&=;>;--;,,,-=**---=*&&*=--=*&$$%%*=---=&$####$&=-;>>;-=*&&&&**==-----=*&%%$$####$$%%&==->]5n",
+"pa|::::_(^{),;-====--;>,')!!!)',;-=*&**==----=*%$$#$$%&**=*&%$$$%%&&&%$$%*-,,,;-->''>=**===&&*==&%%%%$$$%&=;>;----;,,;;;;->>;;,',,,;--==---->,,'),;;;-->,>-*=-=&%&&&%&=;>;--;,',;=**=---*%%&=---=&%$$%&=---=*%$#@##$&=;>>>;-=*&%&&**=------==*&%$$#####$$%&*-)3m",
+"qc1<:_/]!'>;=====-;>,'))!!!)'>;-=*&**==----=*&%$##$%%**==*&%$$%%&&&%%$$%*-,,,;-->''>=&&*==*&*==&%%%%%$$%%&->>-=---;,,;;;-->>;;,',',;--==-;-->,,,)'>;>;-;,,;=*=-*%%&*&%&=;>;--;,',;=&*=-;-*%%&*=--=*%$$$%*=---=&%##@#$%*=;>,>;-=*&%&&*==------==*&%$$#####$$%&,1l",
+"qb|_^{),;-=====-;>,'))!!!)'>;-=****=------=*%$##$$%&*==*&%$$$%%&&&%$$$%*;,,>-=->''>-&&*==*&*==*%%%%%$$$%&*;>;-=--->,,;;;-->>;;,','';--==-;--;,,,)),;;>-->',-*=-=*%%&*&%&->>;--;,',;=&*=-;-*&%%&=--=*&$$$%&*----*&$#@@#$%*-;,,>;-=*&&&&*==-------=*&&%$$#####%;|k",
+"p0:~'>;-====--;>,')!!!!)'>;-=****=--;;;-=*&$$##$%&*===*&%$$$%%&&&%$$$%*;,,>-=->,'>-&%&==*&&=-=&%%%%$$$$%&=>>;==--->,>;;;-->>-;'',''>--=*=;;-;,,,'),;;>;-;,';=*=-=&%&**&%*->>;--;,',;=&&=---=&%%&*=--=&%$$$%*=---=*%$#@@#$&=->,,,;-=*&%&&*==-------==*&%$$###$-}k",
+"n6]>-=====-;;,,')!!!!)'>;-=***==--;;;;-=&%$##$$%&*==*&%$$$$%&&&%%$$$%=;,,;-=-;,'>-&%&*=*&&*-=&%$%&%$#$%%*->>-=--=;,,>;;;-->>-;'',''>--===;;-;,,,,)'>;>>-->',-**--*%%&**%%*->>;--;,',;=&&=-;-=&%%%*=--=*%$$$%&*----=&$#@@@#$&=;>,,,;-=*&%&&*==-------==*&%%$$$-}k",
+"m3)-====-;>,,')!!!!)'>;-=***==-;;;;;-=*%$###$%&*===*&%$$$%%&&&%%$#$%=;,,;-=-;,'>-&%&*=*&%*=-*%$%%%$##$%&=;>;==-==;,,;;;;-->>-;'',))>---==;>;;,',,)),;;>;-;,'>=*=--*%%&*&%%*;>>;-->')';=&&*-;-=&%%%&==-=*%$$$$%*=---=*%$#@@##%*-;,,,,>-=*&%&&*==--------=*&&%%;}k",
+"l2'==--;>,'))!!!!)'>;==***==-;;;>;;-=&%$##$$%*====*%%$$$%%&&&%$$#$%=>,,;===;,'>-&%%***&%*=-=&$$%%%##$$%&->>-==-=->',;;>;-->;->'',)),---==;,;->',,')';;>>-->'';**=-=&%%**&%%*;,>;-->')';=&&*-;;-*%$%%*===*&%$#$%&*=---=&%##@@#$%*->,'',;-=*&%&&*==--------==**,|k",
+"l2);;;>,'))!!!!),>;==***==-;;>>>;-=*%$###$%&*====&%$$$$%&&&&%$##$&=>,,;=*=;,',-&%%&**&%&=--*%$%%%$##$%%=;,;=====-,'>;;>;-;>;->)',)),---==;,>;;'','))>;>,;--,),=**--*%%&**&%%=;,>--->')';=&&*=-;-*%$$%&====&%$##$%&=---=*%$#@@@#$%=->,'',;-=*&%&&**==-------=-'2l",
+"m4~,>,'))!!!!),>;==***==-;;>>>>;-*&$###$%&*=--=*&%$$$%%&&&%%$##$&->,,;=*=;,',-&%%&**&%&=--*%$$%%$###$%&->>-*====;,'>;>>--;,;->)),)),---==;,>;;,',,)),;;>>-->'';*&=--&%%&=*%%&=>,>-=->')';=&&*=-;-*%$$%&*===*%$$#$$%*=---=&%$#@@@#$&=;,''',;-=*&%&&**==------;)2m",
+"n5])')!!!!)),>-=****==-;;>>>>;-=&%$###$%&==--=*%$$$$%%&&&%%$##$&-,,,-**=;,',-&$$%**&%%*--=&$$%%%$##$$%*;,;=*====;',;;>>--;,>;,)),)),---==-,,;;,),,')';;>,;--,),-&*--=%%%*=*%%&->,>-=->))'>=&%&=-;-=%$$$%*===*&%$##$%&==--=*&$#@@@##%&=;,')',;-=&&%%&**==----;!3m",
+"n7/!!!~!!),>-=****==-;>>,,>>;=*%$###$%&*=--=*&%$$$$%&&&&%$$##$*-,',-**=;,',-&$$%&*&%%&-;-*$$%%%$###$%&=>,-=*==*=>',;;>>-->,>;,)),)!,---=*-,'>;,)','))>-;,>--;))>=&=--*%$%*=&%%&->,;-=->)))>=&%&=-;-=&$$$%&*===&%$##$$%*=---=&%$#@@@#$%*->,')',>-=&&%%&**==--;!3m",
+"o8({~!)),>-=****==-;>>,,,>;-*&$###$$%*=---=*%$$#$$%&&&&%$###%*;,,>-*&=;,',-&$$%&*&%%&=--=%$$%%%#@#$$%*;,>=*===*-,'>;;,;==>,;-,!),)!,-=-=*-,),;>'),,)),;;>,;=-,)'-&&=--&%%&==&%%&->,;-=-,)!)>=&%&=-;-=&$$$$%*===*%$###$%&*=--=*&$##@@@#$%*->,))',;-=&&%%&**==-!3m",
+"o9_{!),>-=****==-;;>,,,>;-=&%$###$%&=----=&%$##$%%&&&&%$###%*;,,>-*&=;,',;*$$$&*&%%%=-;=%$$%%%$#@#$$%=>,;=*==*=;,'>;>,;=->,;-,!),)!'-=-=*=,),;;'),,')';->,>-->))>=&*--=%$%*==&$%*;,,;-=;,)!)>=&%&*-;;=&%$$$%&*==*&$$##$$%&==--=*%$#@@@@#$&=->'))',;-=&&%%&&*-)2m",
+"o8(),;-=**&*==-;>>,,,,>;=*%$###$%&*=-;--=&$$#$$%%&&&%%$###%=;,,>=*&=;,',;*$$$%&&%$%*-;-&$$$%%$#@##$%&-,>-**==*=;',;;>,;=->,;-,!),)!'-=--==>)';;,)',,))>-;,,;--,)'-&&=--*%$%*=*%$%*;,>;==;,)!)>=&%%*=-;-*%$#$%&**=*&%$###$%&*=--==&%##@@@@#$&=;,'))',;-=&%%%&*'2l",
+"n6]>-=**&*==-;>>,,,,>;-*%$####$%*=-;;-=*%$##$$%&&&&%$$##$%=;,,;=&&*-,',;*$$$%&&%$%&-;-*%$$%%%$@@#$$%=;,;=**=**=>',;;,,;=->>--'!),)!);---==;))>;,)),,)),;->,>-->)),=&&=-=&$$&==*%$%=;,>;==;,)!)>=&%%*=-;-*%$#$$%&***&%$####$%&*=--=*%$#@@@@##%*=;,'))',;-=&%%&,1l",
+"m3!-**&*==-;>>,,,,,;-=&%$###$%&*-;;;-=&%$##$%%&*&&%$###$%=;,,;=&&*-,',;*$#$%&&&%%&=;;=%$$$%%$#@@#$$&-,,-**==**-,'>-;,,-=->>--'~),)~);---==;)!,;>)),>'!);-;,,;=-,));&%*--=%$%&==&%$%=;,>-==;,)!),=&%%&=---=%$##$%&&**&%$####$%%*==-==&%$#@@@@#$%*->,)))',;-=&*,|k",
+"l2'=&*==-;;>,,,,,>;=*%$####$%*=-;;;-*%$###$%%&**&%$###$%=;,,;=&&*-,'';*%##$&&&%$%=-;-&$#$%%%#@@##$%*;,>=**==**;'';-;,>-=-,>--'~),)~)>---=*-'!';>)!'>,)),-;,'>-=;)!,=&&=--*%$%*-=&$$&->,>-==;,)!),=&%%&=---=&$##$$%&**&%%$####$%&*====*&$#@@@@@#$%*->')))',;-=,1l",
+"l1,=*=-;;>,,,,,>;-*%$####$%&=-;;;;=*%$##$$%&&**&%$###$&=;,>-*&&*-,''>=%##$%&&%$%*-;;*%#$%%%$@@@#$$&->,;*&*=*&=>',;->,>==;,>--'~),)~!>---=*-'!)>;'!),,)!';->',;=-,!);*%*-;-&$$%=-=%$$&->,>-==;,)!),=&%%&*---=&$###$%&&**&%$####$%%*=====&%$#@@@@@#$&=->')))',>!2l",
+"l2'--;;>,,,,,,;-=&$####$$&*=;;>;-=&$###$$%&**&%%$#@#$&=>,>-*%%*->''>=%##$%&&%$$&-;;=%##$%%$#@@##$%*;,>-&*==*&-,',-->,;==;,>--){),){~,---=*-,!)>;,!),>'!)>-;,'>-=;)!'-&&=--=%$$&=-*%$$&->,;-==;,)!),=&$%%*---=&$###$$%&&&&%$#####$%&*====*&%$#@@@@##%&=;,'))))^5m",
+"m3!;;>,,,',,>;=*%$####$%&=-;>>;-*%$###$%&&**&%$##@#$&->,>-*%%*->''>=%##$%&&%$$%=;;-&$#$%%%#@+@#$$%=>,;=&*==**-,'>-;,,;*=;,>-;){),){~,---=*=,!!,;>)!'>,)!,-->',;=-,!)>*%&=;-*%$%*--*%$%*;>,;-==;,)!),=&$$%*=--=*%####$%&&&&%$#####$$%&*====*%$#@@@@@#$%*=;,')!(7n",
+"m4{,,,,'',>;-*%$####$%&*-;>>>;=&$####$%&***&%$##@#$&->,>-&%%*->''>=%###%&&%$$%*-;-*$##$%%$#++@#$$*;,,-*&==*&*;'';-;,,;*=>,;=-){),)]{,---=*=>!~';>)!'>,)!';-;,'>-=;)!'-&%*-;=&$$%=-=&$$%*;,>;===;,)!),-&$$%*=--=*%$###$$%&&&%$$##@##$%&*====*&%$#@@+@@#$%*-;,)(8o",
+"n5]','',,;-=&$#####$%*=-;>>;-*%$####$%&***&%$#@@#$&->>;=&%%*->''>=%###$%&%$$%*-;;=%##$%%$#@+@#$$%=>,>=&&==*&=>',;-;,,-*=>,;=;){),)]]'----*=;!{);;'!),>'!)>--,)';=-,!!>*%&=--=%$$&=-=&$$%=;,>;===;,)!),-&$$%&=---*%$###$$%%&&%%$##@@#$$%&*====*&%##@++@@#$%*->^6n",
+"n5^)',,>;=&%$####$%&=-;>,>;=&%####$$%**=*&%$#@@#$*-;>;=&%%*->,'>=%###$%&%$$$&=;;-&$##$%%$@++@#$$&-,,;*&*==*&-,',-->,,-*=>,;=;){),)]]'----**;){)>;,!!,>,!!,--;''>-=;)~)-&%*-;-*%$$*--=%$$%=;,>-===;,)!),-&$$%&=---*%$#@##$$%%%%%$##@@##$%&*=====*%$#@@++@##$&=!4m",
+"n6^),>;=*%$####$$%*=;>,,>-=&$####$%&*==*&$##@@#%*-;>;=&%%*->,'>=%###$%&%$$$%=;;-*$##$%%$#++@#$$%=;,>-&&==*&*-,'>-->,>=&=>,-=;)~),']]'-=--**-'{!,;,)~'>>)!);-;,)';=-,!!,=%%*-;-&$$%*--*%$$&=>,>-===;,)!),-&$$%&*=--=&$####$$%%%%%$##@@@#$$%&*====*&%$#@+++@##%,1l",
+"n6^,;-*%$#####$%&=-;>,>;-*%$###$$%&*==*%$#@@@#%*-;;-*%%%*->,'>-%###$%&&%$$%*-;;=%##$$%$#@++@#$$&-,,;*&*==*&*;'';--,';*&->,-=;)~)>'{]'-=--=*-'{{';>)~)>>'!!,-->))>-=;)~);&%&=;-=%$$%=--*$#$&->,>-=*=;,)!),-&$$$%*=--=&$##@##$$%%%%$$#@@@##$%%&*====*&$##@++@@$;|k",
+"n5{;=&%#####$%%*=;>,,>;=&$####$$%*==*&%$#@@@#%*-;;-*%$%*->,'>-&#@##%%&%$$$&-;;-%###$%%$@++@##$%*;,,-&&*==*&=>',;=;,,;**->>-=;)~'>'{]'-=--=*=,{]);;'~!,;,!!';=;')';=-,!!,=%%*-;-*$$$&-;=&$#$&->,;-**=;,)!),-&$$$%*=--=&%#@@@##$%%%%$$#@@@@#$$%&*=====&%$#@@++#-}k",
+"m3)=%$#####$%&=->,,,;-*%$####$%&*==*&%$#@@@#%*-;;-*%$%&=;,,>-&$###$%&%$$$&=;>-*$##$%%$#+++@#$$&->,>=&&=-=&&-,',-=;,,-**-,>=*;)~'>'{])-=--=*=>~])>;,!~';>)!)>--,))>==;)~);&%%=-;=&$$%*--=%$#$*->>;=**=;,)!),-&$$$%&==-=&%#@@@##$$%%%$$##@@@##$%%&*====*&%$#@+@=[j",
+"l1>%##@##$%&*-;>,,>;=&$##@##$%&====&$#@@@@#%*-;;=&%$%&=;,,>-&$#@#$%&%$#$%=;>;=$###$%$#@++@##$$*;,,;*&*=-*&*;,'>-=;,,-&*;,;=*;)~'>,{])-=---*=;!]!>;,!~)>;'!!,-->))'-=-,!!,=%$&=;-=%$$%=--=%##%*->>;=**=;,)!),-&$$$%&*===*%$#@@###$$%%%$##@@@@#$$%&*=====*%$###=[j",
+"k};$###$$%*=->,,,>-=%$####$$%*===*&$#@@@@#%*-;-=&%$%&=;,,>-&$@@#$%&%$#$%*-;;=%#@#$$%$#+++@#$$%=>',-&&=-=*&*;'';=->,,=&*;,;=*;)!'>,~]);=-;-**;)]{,;>){)>;,!!';=-,))>==;'!);&$%*-;-*$$$&=;-*$#$%=;>>;=**=;,))),-&$$$%&*===*%$#@@@##$$%%%$$#@@@@##$%%&*====*&%$$-[j",
+"k}-###$%&=-;>,,,;=&%##@##$%&*===*%$#@@@@$%*-;-=&$$%&=;,,>-&$@@#$%&%$##$&-;>-&$@##$%$#@++@##$$&-,';=&&=-=&&=>',-=->,>=&*;,;**;)!'>,~]!;=-;-**-)]]';;'~!,;>)!)>=->)!,-=-,)!'-%$%=;;=&$#$*-;-&$#$%=;>>-=**=;,)))>-&$$$%&*===*%$#@@@###$$%%$$##@@@@#$$%&**====*&%;}k",
+"k}-$$$%*=;>,,,>-=%$#@@##$%&====*%$#@+@@$%*---*%$$%&=;,,>-&$@@#$%%%$##$&=;;;*$#@#$$$#@+++##$$%=>',-&&*--=&&-,',-=-,,;*&=;,;**;)!,;,~]!;=-;-=*-']]);;,!~';;'!!,-=;'!)>==;'!)>*$%&-;;=%$$%=;;=&$#$&=;>>-*&*=;,)))>-&$$$$%*===*%$#@@@@##$$$$$$##@@@@##$%%&*======,|k",
+"k};%%&=-;,,,,;-*%$#@@##$%*=--=&%#@@+@#$%*--=*%$$%&=;>,>-&$@@##%%%%$#$%*-;;=%#@##$$$#+++@#$$$&-,'>=&&=--*&*;,'>==;,,;*&=>,-**;)!,;,~]!>=---=*=,{^!>->!{)>;,)!';=-,)!,-=-,)!'-%$%*-;-*$$$&=;;=%$#$&-;>;-*&*=;,')'>-&$$$$%&*==*&$#@@@@###$$$$$##@@@@@#$$%&&*===-)2l",
+"k|>**=;>,,,>-=&$##@##$%&*=-==&$#@@+@#$%*=-=*%$$%&=;>,>-*$#@@#$%&%$##%*-;;-&#@@#$$$#@+++##$$%=;'';*&*---*&=;'';==;,,-&&=>,-**;)!,;,!]~>==--=*=>~^~,->){!,;>)~!,-=;)!)>==;'!)>*$$&=;;=&$#$&-;-*%##$*->>;=*&*=;,')'>-&$#$$%&*==*&%#@@@@@##$$$$$$##@@@@##$%%&*==-)3m",
+"l1'--;,,,,;-*%$#@@##$%&=--=*%$#@++@#$%*===&%$$%&=;>,>-*$#@@#$%&%$##$&=;;-*$@@##$$#@+++@#$$$&-,',-&&=-;=&&=>',-*=;,,-&&=>>-&*;)!,;>!]~>==-;=*=;!^]';;'~~,;;'!!'-=-,!!,-=->)!'-%$%*-;-=%$$%*-;-&$##%*->>;=&&*=;,')'>=&$##$%&*==*&%#@@+@@###$$$$$##@@@@@#$$%&&*-)3m",
+"l2!>>,',>;=&$##@@##$%*=--=*%$#@++@#$%*==*&%$$%&=->,>-*$#@@#$%%%$##$%=-;;=%#@@#$$$#++++##$$%*;,'>=&&=;-=&&-,',-*->,>=&&->>=&*;)!,;>!]{,==-;-**;)]]);;,!{);;,)~);=->)~);==;'!!>*$$%=;;-*$$$%=;;=&$#$%*->>-=&&*=;,')'>=&$##$%&**=*&%$@@++@@###$$$$##@@@@@##$%%&='2m",
+"m4]',,,;-*%$#@@##$%&*=--=*%#@+++@#$%*==*%$$$%&=->,>-*$#@@#$%%%$###%*-;;=%#@@##$$#@+.+@#$$$%=>',-*&*-;-*&*-,';=*->,;=&&->;=&*;)),;>!]{,==-;-**-']^);->!{)>->)~!,-=;'~!,-=->)!'-&$$&=;;=&$#$&=;;=%$#$%=->;-*&&*=;>'',>=&$##$%%&*=*&%$#@++@@###$$$$$##@@@@##$$%*,2l",
+"n5^',>;=&$##@@##$%&=---=&%#@+++@#$%*==*%$$$%&=->,>-*$#@@#$%%%$###%*-;;-&$@@@#$$#@+..+##$$$*;,',=&&=;;-&&=;,,;=*->,;*%*->;=&*>)),->)]],==-;-=*=,]^~>-;){!,-;,!~';=-,!~);==;'!!,=%$%*-;-*%$$%*-;;=%##$%=;>;-*&%*=;>,',>=&$##$$%&***&%$#@+++@@###$$$$##@@@@@##$%>1l",
+"n6^'>-*%$#@@@##$%*=---=&$#@+++@#$%*=*&%$$$%&=->,>;*%#@@#$%%%%$##$&=;;-*$@@@##$##++.+@#$$$%=>'';*%&-;;=&&=>',-**-,,-&%*->;*&*>))>-;)]],==-;-=*=,{^{,-;'~~';-,)~)>==;)~!,-=->)!);&$$%=;;-&$$$%=;;-*$##$&=;>;-*%%&=->,',;=&$##$$%&***&%$#@+++@@###$$$$###@@@@@#$;|k",
+"n5]>=&$##@@##$%&*=--=*%$#@+++@#$%***&%$$$%&=->,>;*%#@@##$%%%$##$%*-;;=%#@@@#$$#@+..+#$$$$&-,),-&%*->;=&&->'>=*=;,,-&%*->-*%*>))>-;)]]'==-;;=*=>~^]';-,!{);->)~!,-=-,!{);==;'!),=%$$&-;;=%$#$&=;;-&$##$&=;>;=&%%&=->,',;=&$##$$%&&**&%$#@+++@@@###$$$$##@@@@@$-}k",
+"m4!=%$#@@@##$%&=---=*%$@@+++@#$%&**&%$#$%&=-;>>;*%#@@##$%%%$###%*-;;-&#@+@##$#@++.+@#$$$%=;''>=%&=;>-*%*-,,;=*=;,>=%%*;>-*%*>))>-;)]]'-*-;;-*=;!^^);->){!>-;,!~);=->){!,-=->)!);&$$%*-;-*%$$%*-;;=%$##$&-;;;=&%%&=->,,,;=&$##$$%%&**&%$#@++++@@###$$$$##@@@@#-}k",
+"l2,%##@@##$$%*=---=&%#@++++@#$%&*&%$##$%&=-;>>-*%#@@@#$%&%$###$&=-;-*$@+@#####++..+#$$$$&-,)';*%*->>-&%*;,,;*&=;,>=%%=;;-&%=>))>-;)]]'-*=;;-**;)^^!>-;){~,-->)~!,-=;'~{);==;,)),=%$$&=;;-&$$$%*-;;=%###%*-;;-=&%%&=-;,,,;=&$##$$%%&***&%#@@+++@@###$$$$$##@@#=[j",
+"k|;$@@@##$%&*----=&$#@++++@#$%&&&%$##$%&=-;>>;=%#@@@#$%%%$###$&=-;-=%#++@####@+..+@#$$$%*;'),=&&=;>;=&&=>,,-*&=>,;*%%=;;=&%=>))>-;)]^)-*=;;-**-']^{,-;'~{';-;'~~'-=-,!{!,-=->'!);&$$%*-;;=%$#$&=;;-*$##$%*-;;-*%%%&=-;,,,;=&$###$%%&**&&%$#@+++@@@###$$$$##@#=[j",
+"k}-#@@##$%*=----*%$#@++++@#$%&&&%$##$%&*-;>>-=%#@@@#$%&%%###$%*-;;=%#++@@###@+...+#$$#$&->)';*%&->,;*%&->,>=&*->,;*%&=;;=%%=>));-;']^)-*=;;-=*=,{^],--,!{);-;,!~);==;){{);==;,)),=%$$%=;;-*%$$$&-;;-&$##$%*-;;-*%%%&=-;>,>;=&$###$%%&&**&%$#@++++@@###$$$$###-[j",
+"k[-#@#$$%*=-;-=*%#@+++++@#$%&&%%$##$%&*-;>>-=%#@@@#$%%&%$###%&=;;-&$@++@###@++..+@#$$$%*;')'-&%*-,,-*%*-,,;=&*->,-&%&=;;=%%=>)';=-']^)-*=;;;=&=>~^]'-->){!,-->)~!,-=-,!]~,-=->')';*$#$&=;;-&$#$%*-;;=&$##$%=-;;=*%$%&*-;>,>;=&$###$$%&&*&&%$#@++++@@###$$$$$$-}k",
+"j[-$#$%&*----=&%#@+++++@#$%%%%$$##$%&*-;;;-=%#@@@#$%%&%$#@#$&=-;-*$@++@@###@+...@#$$#$%=>')>=%&=;,>-&%*;,,;*&*;>>-&%&-;-*%%=>)';=-']^!;*=-;;=*=>!^^);-;){~'-=;'~~';=->)]]);==;,)),-%$$%*-;;=%$$$%=;>;=%###$&=-;;=&%$%&*-;>>>;=&$###$$%%&&&&%$#@++++@@@###$$$$;}k",
+"k}-$$%&=----=&$#@+++++@#$%%%%$###$%&*=;;;-=%#@@@#$%%&%$#@#$%*-;-=%#+++@###@+...+@$$$$$&-,)';*%&->,>=%%=;,,-&&=;>>=%%*-;-*%%=>)';=-,{^!;*=-;;-**;)^^!>-;'~{);=-,!~)>==;'~]~,-=->')';*$#$%=;;-*%$$$&=;;-*%###$&=-;-=&%$%&*=;;>>-=&$###$$%%&&&&%$#@@++++@@###$$%;}k",
+"k};%%*=-;--*%$#@+++++@#$%%%%$###$%&*=;;;-=%#@@@#$$%%%$#@@#%*=--=&#@++@@##@++..+@#$$#$%=>'),-&%=;,,;*%&=>,>=&&=;>;=%%*-;-*%%=>)';=-,{^!;*=-;;-**-']^{,--,!]!>=->)~!,-=-,!]]);==;,)),-%$#$&-;;-&$$$%*-;;-&$##$%&=-;-*%$$%&*=-;>;-=&$###$$%%&&&&%$#@@++++@@###$%;|k",
+"k|>*=--;-=*%$@++++++@#$%%%$$###$%&*=;;;-=%#@@@#$$%%%$#@@#$&=---*$@+++@##@@+. .+#$$$#$&-,))>*%&=>',-&%*-,,;=%&=;>;*%%*-;-&%%=,)';=-,~^!;=*-;;-**-,]/],-->){~,-=;'~~);==;){]!,==->')';*$#$%=-;;=%$$$%=-;;=&$##$%*=;;-*%$$$&*=-;>;-=&$###$$%%&&&&%$$#@++++@@###$;|k",
+"l1'---;-=&%#@+++++@@#$%%%$$###$%&*=-;;-=%$@@@##$%%%%#@@#$&=---*%#+++@@##@+.  +@#$$#$%=;')'-&%*-,',=%%*;,,;*%&-;>-&%%*-;=&$%=,)';=-,~]~>=*-;>-=*=,{^^)--;){{'-=-,!~!>-=;,~]]);==;,)),-%$#$&=;;-*%$$$&=;;;=%###$%*=--=*%$$$%*=-;;;-=%$###$$$%%&&&%%$#@++++@@@#$;}k",
+"l2);;;-=&$#@+++++@@#$$%%$$###$%&*=-;;-=%$@@@##$%%%%$#@#$%*---=%#+++@@##@++. .+#$$$#$&-,)),=%&=;''>*%%=;,>-&%*->>-&%&=--=%$%=,),-==>~]~>=*-;>;=*=>!^^!;=;'~{);=->)~~'-=->)]]!>==->')';*$#$%*-;;=&$$$%*-;>-*%###$%*---=&%$$$%*=-;;;-*%$####$$%%&&&&%$#@+++++@@$-}k",
+"m3~>;-*%$#@+++++@@#$$%$$####$%&*=-;;-=%$@@@##$%%%%$#@@#%&=--=&$@+++@@@@++. .+@#$$$$%*;'));*%&->'';&%&=>,>=%%*->;=&%&=--=%$%=,),-==>!]~>=*=;>;=*=;!^/~>--,!{!>==;'!~)>==;'{^]';==;,'),-&$#$%=;;;=%$$$%*->;-*$###$%*---=&$$$$%*=-;;;-*%$####$$%%&&&&%$#@@++++@#-}k",
+"m4~;=*%$#++++++@##$$%$$####$$%*=-;;-=%#@+@@#$%%%%$#@@#$&=---*$@+++@@@@@+.  .+#$$$#$%=>)),-&%*;,),-%%&->,;*%%*->;=%%&=--*%$%=,),-*=>!]~>=*=;>;=**;)^/{,-->){~,-=-,!~!,-=-,!]^!>==->,)'>=%##$&=;;-*%$$$&=;>;=&$###$%*---=&$##$%*=-;;--*%$####$$%%&&&&%$#@@++++#=[k",
+"m4!-&%#@++++++@##$$$$$####$$%*=-;;-=%$@@@@#$%%&%$#@@#$%*---=%#++++@@@@++. .+@#$$##$*-,))>=%&=>')>=%%*-,,;*%&=;>;*%%&=--*%$%-,',-*=>!]{,=&=;>>-**-']/]'-=;'~{);==>)~~';==>)]^]'-==;,'',-&$##%*-;;=&$$$%*-;>;=%$###$&=---*%$##$%&=--;-=*%$####$$%%&&&&%$$#@+++@=[j",
+"m2'*$#@++++++@##$$$$$####$$%*=--;-=%$@@@@#$%%&%$#@@@$%*=--=&$@++++@@@++.  .+#$$$#$%=>)!';&%&-,));*%%=;,>-&%&=;>-*%%*=--*%$&-,',-*=;!]{,=&=;>>-**-,{/^);=;'~{);==;'!{)>==;,~^^!>==->,''>=%##$%=;;;=%$$$%*-;>;*%####$&=---*%$##$%&=--;-=*%$####$$%%%&&&%%$#@++@=[j",
+"l1>%#@++++++@##$$$$#####$$%&=--;-=&$@@@@#$$%&%%$@@@#%&=---*$@++++@@@++.. .+@$$$##$&-,)),=&%*;')'-&%&=>,>=%%&=;;-&%%*=-=&$$&-,',-*=;)]],=&=->>;=*=,~//!;=-,!{~,==-,)~!,-=->)]^]'-==;,'',-&$##$&-;;-*%$$$&=;>;-*$####%&=--=*%$##$%&==---=*%$####$$%%%&&&&%$#@+@=[j",
+"k|;#@++++++@##$$$$#####$%%*=----=&$#@@@#$$%&%%$#@@#$&*=--*%#+++++@@++..  .+#$$$#$%=;'!);*%&=>)),=%%&->,;*%%&-;;-&%%*=-=&$$&-,',-*=;)]]'=&*->>;=*=>!^/{>-->){{'-*=>)~~);==;'{^]!>==-;,''>=%##$%*-;;=&$$$%*=;>;-&$###$%&=--=&%###$%&*=---=*%$####$$%%%&&&&%$#@#=[j",
+"k}=@++++++@##$$$$##@##$%%*=----=&$#@@@#$$%%&%$#@@#$%*=--=%#+++++@@+++.  .+@$$$##$&-,)!'-&%*-,))>*%%*-,,;*%%*-;;=%%%*=-=%$$&-,',-**;)]]'-**->>;=&*;)^/],-=;'~{);==;'!{!>==-,!]^{'-==;>'',-&$##$&=;;-=%$$$%*-;>;=%$###$%*=--=&$###$%&*=---=*%$####$$$%%&&&&%$#$=[j",
+"j[=@+++++@##$$$$##@##$%%*=----=&$#@@@#$$%%&%$#@@#$%&=--=&$@+++++@+++.   +@#$$$#$%*;'!)>=%%=;)!);&%%=;,>-&%%*-;;=%$%*--*%$$&-,',-**;)]])-**->>;=**-']/]'-=;,!]!>=*-,)~~'-==;)]^^!;==-;,''>=%###%*-;;-&$$$$&=->>;=%$###$%*=--=&$###$%&*=---=*%$####$$$%%&&&&%%%-}j",
+"j[=@++++@##$$$$##@##$%%*==---=&$#@@@##$%%&%$#@@@#%&==-=*$@+++++++++..  .+#$$$##$&=>)!';&%&=,)!,-%%&=;,>=%%&=-;-*%$&=-=*%$$&-,'>=&*;)]])-**-;>>-**-,]/^);=-,!{~,-*=>)~{);==-,!^^{,-==;>,',;*$##$%=;;;=%$#$%&=;>>-*%####$%*=--*%$###$%&*==--=*%$#####$$%%&&&&%&;}k",
+"j[=@++@@##$$$###@##$%%&==---=&$#@@@##$%%&%%#@@@#$&*=--=%#++++++++++.   .@#$$$##%*;,!!,=%%*-'!!>=%%&->,;*%%&=;;-&%%&=-=*%$$&-,'>=&*;)]^)-**=;,>-**-,{//!;=->){{)-*=;'!{!,-==>)]^]);==-;,''>=%###$&-;;-*%$#$%*-;>;-&$####$&*=-=*%$###$%&*==-==*%$#####$$%%&&&&*>|k",
+"j[=@+@@#$$$$###@##$%%&==---=&$#@+@##$%%&%%$#@@#$%*=--=&$@+.+++++++.   .+#$$$$#$%=>)!);*%%=>)~);&$%*->,;*%%&=;;-&$%&=-=*%$$&-,'>=&*-']^!;**=;,>-**=>!//{>==;'~]);=*-,){~';==;'~^^{,-==;>,',;*$##$%*-;;-&$$$$&=-;>;=&$###$%&=--=*%$###$%&*==-==*%$#####$$%%&&&*,1k",
+"j[=@@##$$$$##@@##$%%&*=---=&$#@+@##$%%%%%$#@@#$%&==-=*$@+.+++++++.    .@#$$$##$*-,!!'-&%&-,!~'-%$%=;,>-&$%&-;;=&$%*=-=&$$$&-,'>=&*-']^!;*&=;>>;*&=;)^(],-=;,!]~,=*=>)~{)>==-,!]^]);==-;,''>-%###$&=;;;=%$#$%&=;>>;=%$###$%&=--=*%####$%&*==-==*%$#####$$%%%&*,1l",
+"j[=###$$$$##@@##$%%&*=---=&$#@+@##$$%%%%$#@@@#%&*=--*%#+..+++++++.   .+@$$$##$%=;'!)>=%%*;'!!,=%$&=;,>=%$%*-;;=%$%*===&$$$*-,'>=&*-']^!;*&=;>,;=&*;)^(^'-=-,!]{'-*=;'!{!,-==;){^^{,-*=;>,',;*$###%*-;;-*%$#$%*=;>>-*%####$%&=--=&%#@@#$%&*=====*%$#####$$%%%*,1l",
+"j[-$#$$$$##@@##$%%&*=---=&$#@+@@#$$%%&%$#@+@#$%*=--=%#++.+++++++.    .@#$$$##$&-,)!';&%&=>)~);*%%&->,;*%$%*-;;=%$%*=-=&$$$*;,'>=&*-']^!;*&=;>,;=&*-']/^);=->){]);**-,){{);==-,!^/]);==-;,',>-&$##$%=-;;-&$$$$%*-;>;-&$####$%&=--=&$#@@#$%&*=====*%$#####$$%%&,1l",
+"k}-$$$$$##@@##$%%&*=---=&%#@+@@#$$%%&%$#@+@#$%*=--=&$@+.+++++++.    .+#$$$##$%*;'!!,=%%&-,!~)-&$%*-,,;*%$%=-;-*%$%*=-=&$$%*;,'>=&*-']^~;*&=->,;=**-,{//~>==;'~]!>=*=>)~{!,=*->)]^^~,-*=;>,',;=%###$&=;>;=%$#$%&=-;>;=&$####$%*=--=&$#@@#$%&*=====*%$#####$$$&,1l",
+"k};%$$$##@@##$%%&*=---=&%#@+@@#$$%%&%%$#@@#$%&=--=*%#+..+++++++.    +@#$$$##$&=>)!);*%%*;'~~,=%$%=;,,-&$$&=;;-&%$&====%$$%*;,'>=&*-,{^~>*&*->,>-**=,~/(],==;,!]~,-*=;'!{~'-==;'~^/]);==-;,''>-&$##$%*-;;-*%$#$%&=;>>;=%$####$%*=-=*%$#@##$%&*=====*%$#####$$%>|k",
+"k|;%$$##@@##$%%&*=---=*%#@++@##$%%&&%$#@@@#%&*=--=%#++.+++++++.    .+#$$$###%*;,!!'-&%&=>){!>*$$&=>,>=%$%&=;;-&$$&===*%$#%*;,'>=&&-,{^~>*&*->,>-*&=>!^(]'-=-,){{);**-,){{);=*-,)]/^~,=*=;>,',;=%###$%=;;;=&$#$$%*-;>>-*%##@#$$&*=-=*%$#@##$%&*=====*%$#####$%>|k",
+"k|;%$##@@##$%%&*=---=*%#@++@##$%%&%%$#@@@#$%*=--=&$@+.+++++++..    +@#$$$##$&=>)~!>=%%*-,!{);&$%&->,;=%$%*-;;=%$%&===*%$#%*;,'>=&&-,{^{,*&*-;,>-*&=;)^(^)-=->){]!>=*=>)~{!,-*=;'{^/]';==-;,,',-&$###%&-;>;=%$#$%&=-;>;-*$####$%&*=-=*%$#@##$%&*=====&%$#####$;|k",
+"k|;%##@@##$%%&*=---=*%#@++@##$%%&&%$#@+@#$%&==-=*$#+..+++++++.    .+#$$$###%*-,!~);*%%=;)~~'=%$%*-,,;*$$%*-;;=%$%&===*%##%*;,'>=&&-,{^{,=&*-;,,;=&*;'](/!;==;'~]~,=*=;'!{~';==-,!^/^!>=*=;>,',;=%###$%*-;;-*%$#$%&=-;>;=&$####$%&==-=*%##@##$%&*=====&%$####$;}k",
+"k};$#@@##$%%&*=---=*%#@++@##$$%%&%$#@+@#$%&*=--*%#+..+++++++..    +@#$$$##$%=;)~!,-%%&=,!{!>*$$%=;,,-&$$%=-;;=%$%*===&$##%*;,'>=&&-,~^],=&&=;,,;=&*-'](/~>==;,!]{'-**-,){{)>=*=>)]^/]'-*=-;,,,,-*$###$&=;>;-&$#$$%*=;>>;=%$####$%&=--=*%#@@##$%&**====*%$###$-}k",
+"k}-#@@##$%%&*=---=*%$@++@##$$%%&%%$@@@@#%&*=--=&$@+..++++++..    .+#$$$###$&-,)~)>*%%*-'~{);&$$&=>,>=%$$&=-;-*%$%*===&$##%=;,'>=&&-,~^],=&&=;,,;=&*-,~/(],==-,){]);*&=>)~{~,-*=;'~^/^!>=*=->,',>=%###$%*-;>;=%$#$$%*-;>>-=%$####$%&=--=&%#@@##$%&**====*%$##$-}k",
+"k}-#@##$%%&*=---=*%$@+++@#$$%%&%%$#@+@#$%*=--=*$@+..+++++++.     +@#$$$##$%=;'!~'-&%%=;){{'-%$%*->,;=%$%&=;;-*$$%*===&$##%=;,'>=&&=,~^]'=&&=;>,;=&&=>!/(^'-=->){]!>=&=;,!{{);=*->)]//]'-*=-;,,,,;*$###$%=;>;-*%$#$%&=-;>;-*%##@##$%*=--=&$#@@##$%&**====*%$#$-}k",
+"k}-###$%%&*=---=*%$@+++@#$$%%&&%$#@+@#$%&=--=*%#+..+++++++..    .+#$$$$##$&->)~!,=%%&-,!{!,=%$%*;,,;*%$%*-;;-&$$%*===&$#$%=;''>=&&=,~^]'-&&=;>,>-*&=>)^(^);==;'~]~,-&*-,){{!>=*=;'~^/^!>=*=->,',>-&$###$&=;>;=&$#$$%*=;>>;-&$####$$%*=--=&$#@@##$%&**====*%$$-}k",
+"j[-$#$%%&*=---=*%$@+++@##$%%&&%$#@+@#$%&*=--=&$@+..+++++++.     +@#$$$##$%*;'!~);*%%*-'~{);&$$&=;,,-&$$%*-;;=&$$&*===&$#$%=;,';=&&=>!^])-&&=->,>-*&=;)](/!;==;,!]{);*&=>'~]~'-**-,!]//{,-*=-;,,',;*%###$%*-;>;=%$#$$%*-;>>;=&$####$%&*=--=&$#@@##$%&**====*%%;}k",
+"k}-$$%%&*=---=*%$#+++@##$%%&&%$#@++@#$&*=--=&$@+..+++++++..    .+#$$$$##$&=>)~!,=%%%=;){{'-%$%&->,>-&$$%=-;;=%$$&===*%$#$%=>'';=&&=>!^^)-&&*->,,-*&*;'](({>==-,){]!>=&=;,!{{);=*=>){^/^);=*=->,',>-&$###$&=;>;-*%$#$%&=-;>>-=%$#@##$%&*=-=*%$#@@##$%&**====**>|k",
+"k};%%%&*=----*&$#+++@##$$%%&%%$@@+@#$%*=--=*%#+..++++++++.     +@#$$$##$%*-,!~)>*%%&-,!]~,=%$%*->,>=%$$&=-;;=%$%&===*%$#$%=>'';=&&=>!^^)-&&*->,,;=&*-,{/(],=*->)~]~,=&*-,){]!,-*=;,!^//{,-**-;,,',;=%####%*-;>;=&$##$%&=-;>;-*%##@##$%&=--=*%$#@@##$%&**=====,|k",
+"k|;&&&*=----=&$#@++@##$$%%&%%$#@+@#$%&==--=%$@+..+++++++.     .+#$$$###$&=>)~~'-&%%*;'~]);&$$%=;,,;*%$%&=;;-*%$%&===*%$#$&=>'';=&&=>!^^!;&%*->,,;=&*-,~/(^)-==;'~]{'-&&=>'~]~';**->)]//^);=*=->,',>-&$###$%=->>;=%$#$$%*=;>>;-&$#@@##$%&=--=*%$#@@#$$%&**===-'1l",
+"k|>***=----=&$#@++@##$$%%&&%$#@+@#$%&*=--=&$@+..+++++++..     +@#$$$###%*-,!~!,=%%&=>){{)-%$$&=;,,;&$$%*=;;-*%$%*===*%$#$&=>'';=&&=>!^^!;&%*-;,,;=&&=>!^(/);==;,!]]);*&=;,!{{)>=*=;'~^//~,=**-;,,',;=%####$&=;>;-*%$#$%&*-;>>;=&$#@###$%*=--=*%$#@@#$$%&**==-)2l",
+"l1'-=-;;;;-*%$#@@##$%%&&**&%$#@##$%*=-;;-=&$@+++@@@@@@++++..++@$%%%$$$%*->){{)>=%&=;'~]{'-&%%*-,',;*%%&=;>>;*%%&=---=&$$%*-,)'>=**-,~//{>*&=->'',-**->!^_({,-=;,!]^{,-*=;,!]]{';==;,!^((^!>==-;,')',;=%$#$%&=;>,>-*%$$%&*=;>,,;-&%$##$$%*=-;;-=&$###$%%&*==-;!3m",
+"n5^)))!!!)'>;-===--;;>,,,,>;-===-;,'))!!),;=****======**&&&&&*-;>>;;-;>,)]/_(^!,>>'~^_:(]'>;>'!]^]),;;,'!{{),;;,')))'>;-;,)]^^{),,){(<[_{,,,)~]^])',)~/:}}:])')]/_:_^),')]/_:_/~'')]/_[[<(])''!{]^^^{)>;---;,)~]]!'>;-;;>,)~]]{!'>;----;>,')!!),>--=--;>,,')!(7n",
+"sf632333321|}[[[[}}}||111||}[[[}}|1223332|}[<<<[[[[[[[<<<<<<<[}}||}}}}|23589852|||24799741|||245542|||1234421||122221|}}|13465421124800841|1245543112469aa95222468996311246899742124680a095312345565431}}[}}|2344421}}}||123454421}}[}}}||123332|}}[[}}||11237gt",
+"xsnmmmmmmlkkjjjjjkkkkklllkkkjjjkkklllmmmlkjjjjjjjjjjjjjjjjjjjjjkkkkkkkklmnoonmlkkllmnoonmlkkklmnnmlkkkllmmmlkkkkllmllkkkklmmnnmlkllmoppomlkllmnnmmlllmnopponmlmmnooonmlllmnooonmlllmnoopponmlllmmnnnnmlkkjkkklmmmmmlkkkkkklmmnnmllkkjjkkkkllmmmlkkjjjjkkkkllmnsx"};

=== added file 'hacks/interaggregate.c'
--- hacks/interaggregate.c	1970-01-01 00:00:00 +0000
+++ hacks/interaggregate.c	2005-12-08 16:00:22 +0000
@@ -0,0 +1,932 @@
+/*
+ *  InterAggregate (dagraz@gmail.com)
+ *  Based on code from complexification.net Intersection Aggregate
+ *  http://www.complexification.net/gallery/machines/interAggregate/index.php
+ *
+ *  Intersection Aggregate code:
+ *  j.tarbell   May, 2004
+ *  Albuquerque, New Mexico
+ *  complexification.net
+ *
+ *  Also based on substrate, a port of j.tarbell's Substrate Art done
+ *  by dragorn@kismetwireless.net
+ *
+ *  
+ *  Interesting command line options, all of which serve to
+ *  concentrate the painting in some way:
+ *  
+ *  -percent-orbits 100 -base-orbits 50 -base-on-center -growth-delay 0
+ *
+ *  Paint should be concentrated in the center of the canvas, orbiting
+ *  about it.  -percent-orbits 100 implies -base-on-center, so that's
+ *  not really needed.
+ *
+ *
+ *  -percent-orbits 99 -base-orbits 50 -growth-delay 0
+ *
+ *  Like the above example, but the 'center' will rove about the screen.
+ *
+ *  -percent-orbits 98 -base-orbits 50 -growth-delay 0
+ *
+ *  Like the above example, but there will be two roving centers.
+ *
+ *
+ *  TODO:
+ *  -fix alpha blending / byte ordering
+ *
+ *  CHANGES
+ *
+ *
+ * Directly based the hacks of: 
+ * 
+ * xscreensaver, Copyright (c) 1997, 1998, 2002 Jamie Zawinski <jwz@jwz.org>
+ *
+ * Permission to use, copy, modify, distribute, and sell this software and its
+ * documentation for any purpose is hereby granted without fee, provided that
+ * the above copyright notice appear in all copies and that both that
+ * copyright notice and this permission notice appear in supporting
+ * documentation.  No representations are made about the suitability of this
+ * software for any purpose.  It is provided "as is" without express or 
+ * implied warranty.
+ */
+
+#include "screenhack.h"
+#include <X11/Xutil.h>
+#include <stdio.h>
+#include <sys/time.h>
+
+#ifndef MAX_WIDTH
+#include <limits.h>
+#define MAX_WIDTH SHRT_MAX
+#endif
+
+/* XXX take this out later */
+
+
+#ifdef TIME_ME
+#include <sys/time.h>
+#endif
+
+#include <math.h>
+
+/* this program goes faster if some functions are inline.  The following is
+ * borrowed from ifs.c */
+#if !defined( __GNUC__ ) && !defined(__cplusplus) && !defined(c_plusplus)
+#undef inline
+#define inline			/* */
+#endif
+
+#ifndef MIN
+#define MIN(x,y) ((x < y) ? x : y)
+#endif
+
+#ifndef MAX
+#define MAX(x,y) ((x < y) ? y : x)
+#endif
+
+char *progclass = "inter-aggregate";
+
+char *defaults[] = 
+{
+    ".background: white",
+    ".foreground: black",
+    "*maxCycles: 100000",
+#ifdef TIME_ME
+    "*growthDelay: 0",
+#else
+    "*growthDelay: 18000", 
+#endif
+    "*numCircles: 100",
+    "*percentOrbits: 0",
+    "*baseOrbits: 75",
+    0
+};
+
+XrmOptionDescRec options[] = 
+{
+    {"-background", ".background", XrmoptionSepArg, 0},
+    {"-foreground", ".foreground", XrmoptionSepArg, 0},
+    {"-max-cycles", ".maxCycles", XrmoptionSepArg, 0},
+    {"-growth-delay", ".growthDelay", XrmoptionSepArg, 0},
+    {"-num-circles", ".numCircles", XrmoptionSepArg, 0},
+    {"-percent-orbits", ".percentOrbits", XrmoptionSepArg, 0},
+    {"-base-orbits", ".baseOrbits", XrmoptionSepArg, 0},
+    {"-base-on-center", ".baseOnCenter", XrmoptionNoArg, "true"}, 
+    {"-draw-centers", ".drawCenters", XrmoptionNoArg, "true"}, 
+    {0, 0, 0, 0}
+};
+
+/* Raw colormap extracted from pollockEFF.gif */
+#if 0
+char *rgb_colormap[] = 
+{
+    "rgb:FF/FF/FF", /* white */
+    "rgb:00/00/00", /* black */
+    "rgb:00/00/00", /* more black */
+    /* "rgb:73/64/51",  */
+    "rgb:4e/3e/2e", /* olive */
+    /* "rgb:66/66/66", */
+    "rgb:69/4d/35",  /* camel */
+    "rgb:b9/a8/8c",  /* tan */
+    0
+};
+#endif
+
+char *rgb_colormap[] = 
+{
+    "rgb:FF/FF/FF", /* white */
+    "rgb:00/00/00", /* more black */
+    "rgb:00/00/00", /* more black */
+    "rgb:4e/3e/2e", /* olive */
+    "rgb:69/4d/35",  /* camel */
+    "rgb:b0/a0/85",  /* tan */
+    "rgb:e6/d3/ae",
+    0
+};
+
+/* black white brown olive grey camel */
+
+typedef enum { LINEAR, ORBIT } PathType;
+
+typedef struct 
+{
+
+    unsigned long color;
+    double gain;
+    double p;
+
+} SandPainter;
+
+typedef struct _circle
+{
+    double radius;
+
+    double x;
+    double y;
+
+    PathType path_type;
+
+    /* for a linear path */
+    double dx;
+    double dy;
+
+    /* for orbital path */
+    double theta;
+    double r; 
+    double dtheta;
+    
+    struct _circle* center;
+
+    int num_painters;
+    SandPainter* painters;
+
+} Circle;
+
+
+struct field 
+{
+    int height;
+    int width;
+
+    int num_circles;
+    Circle* circles;
+
+    int percent_orbits;
+    int base_orbits;
+    Bool base_on_center;
+
+    /* used for orbits circling the center of the screen */
+    Circle center_of_universe;
+
+    /* Raw map of pixels we need to keep for alpha blending */
+    unsigned long int *off_img;
+   
+    /* color parms */
+    int numcolors;
+    unsigned long *parsedcolors;
+    unsigned long fgcolor;
+    unsigned long bgcolor;
+    int visdepth;
+
+    unsigned int cycles;
+
+    double max_gain;
+
+    /* for debugging */
+    Bool draw_centers;
+
+    /* for profiling whatnot */ 
+    int possible_intersections;
+    int intersection_count;
+};
+
+
+struct field 
+*init_field(void)
+{
+    struct field *f = (struct field*) malloc(sizeof(struct field));
+    if ( f == NULL )
+    {
+	fprintf(stderr, "%s: Failed to allocate field!\n", progname);
+	exit(1);
+    }
+
+    f->height = 0;
+    f->width = 0;
+    f->num_circles = 0;
+    f->circles = NULL;
+    f->percent_orbits = 0;
+    f->base_orbits = 0;
+    f->base_on_center = False;
+    f->off_img = NULL;
+    f->numcolors = 0;
+    f->parsedcolors = NULL;
+    f->fgcolor = 0;
+    f->bgcolor = 0;
+    f->visdepth = 0;
+
+    f->cycles = 0;
+
+    f->max_gain = 0.22;
+
+    f->draw_centers = False;
+
+    f->possible_intersections = 0;
+    f->intersection_count = 0;
+
+    return f;
+}
+
+/* Quick references to pixels in the offscreen map and in the crack grid */
+#define ref_pixel(f, x, y)   ((f)->off_img[(y) * (f)->width + (x)])
+
+#define in_bounds(f, x, y) ((x >= 0) && (x < f->width) && (y >= 0) && (y < f->height))
+
+/* Consider rewriting with XQueryColor, or ImageByteOrder */
+
+inline void point2rgb(int depth, unsigned long c, int *r, int *g, int *b) 
+{
+    switch(depth) 
+    {
+    case 32:
+    case 24:
+	*b = c & 0xff; 
+	*g = (c & 0xff00) >> 8; 
+	*r = (c & 0xff0000) >> 16; 
+	break;
+    case 16:
+	*b = (c & 0x1f) << 3; 
+	*g = ((c >> 5) & 0x3f) << 2;
+	*r = ((c >> 11) & 0x1f) << 3; 
+	break;
+    case 15:
+	*b = (c & 0x1f) << 3;
+	*g = ((c >> 5) & 0x1f) << 3;
+	*r = ((c >> 10) & 0x1f) << 3;
+	break;
+    }
+}
+
+inline unsigned long rgb2point(int depth, int r, int g, int b) 
+{
+    unsigned long ret = 0;
+
+    switch(depth) 
+    {
+    case 32:
+	ret = 0xff000000;
+    case 24:
+	ret |= (r << 16) | (g << 8) | b;
+	break;
+    case 16:
+	ret = ((r>>3) << 11) | ((g>>2)<<5) | (b>>3);
+	break;
+    case 15:
+	ret = ((r>>3) << 10) | ((g>>3)<<5) | (b>>3);
+	break;
+    }
+
+    return ret;
+}
+
+/* alpha blended point drawing -- this is Not Right and will likely fail on 
+ * non-intel platforms as it is now, needs fixing */
+inline unsigned long trans_point(int x1, int y1, unsigned long myc, double a, 
+				 struct field *f) 
+{
+    if (a >= 1.0) 
+    {
+	ref_pixel(f, x1, y1) = myc;
+	return myc;
+    } 
+    else 
+    {
+	int or=0, og=0, ob=0;
+	int r=0, g=0, b=0;
+	int nr, ng, nb;
+	unsigned long c;
+
+	c = ref_pixel(f, x1, y1);
+
+	point2rgb(f->visdepth, c, &or, &og, &ob);
+	point2rgb(f->visdepth, myc, &r, &g, &b);
+
+	nr = or + (r - or) * a;
+	ng = og + (g - og) * a;
+	nb = ob + (b - ob) * a;
+
+	c = rgb2point(f->visdepth, nr, ng, nb);
+
+	ref_pixel(f, x1, y1) = c;
+
+	return c;
+    }
+}
+
+inline void drawPoint(int x, int y, unsigned long color, double intensity,
+		      Display *dpy, Window window, GC fgc, struct field *f)
+	       
+{
+    unsigned long c;
+
+    if ( x >= f->width ) x -= f->width;
+    else if ( x < 0 ) x += f->width;
+	
+    if ( y >= f->height ) y -= f->height;
+    else if ( y < 0 ) y += f->height;
+
+    /* if ( in_bounds(f, x, y) ) ... */
+
+    c = trans_point(x, y, color, intensity, f);
+
+    XSetForeground(dpy, fgc, c);
+    XDrawPoint(dpy, window, fgc, x, y);
+}
+
+inline void paint(SandPainter* painter, double ax, double ay, double bx, double by,
+		  Display *dpy, Window window, GC fgc, 
+		  struct field *f)
+{
+    /* the sand painter */
+
+    double inc, sandp;
+    int i;
+
+    /* XXX try adding tpoint here, like orig */
+
+    /* jitter the painter's values */
+    painter->gain += frand(0.05) - 0.025;
+    
+    if ( painter->gain > f->max_gain )
+	painter->gain = -f->max_gain;
+    else if ( painter->gain < -f->max_gain )
+	painter->gain = f->max_gain;
+
+    painter->p += frand(0.1) - 0.05;
+    
+    if ( 0 < painter->p )
+	painter->p = 0;
+    else if ( painter->p > 1.0 )
+	painter->p = 1.0;
+
+    /* replace 0.1 with 1 / f->grains */
+    inc = painter->gain * 0.1;
+    sandp = 0;
+
+    for(i = 0; i <= 10; ++i)
+    {
+	int drawx, drawy;
+	double sp, sm;
+	double intensity = 0.1 - 0.009 * i;
+
+	sp = sin(painter->p + sandp);
+	drawx = ax + (bx - ax) * sp;
+	drawy = ay + (by - ay) * sp;
+
+	drawPoint(drawx, drawy, painter->color,
+		  intensity,
+		  dpy, window, fgc, f);
+
+	sm = sin(painter->p - sandp);
+	drawx = ax + (bx - ax) * sm;
+	drawy = ay + (by - ay) * sm;
+
+	drawPoint(drawx, drawy, painter->color,
+		  intensity,
+		  dpy, window, fgc, f);
+
+	sandp += inc;
+    }
+}
+
+void build_colors(struct field *f, Display *dpy, XWindowAttributes *xgwa) 
+{
+
+    XColor tmpcolor;
+    int i;
+    /* Count the colors in our map and assign them in a horrifically inefficient 
+     * manner but it only happens once */
+
+    for( f->numcolors = 0; 
+	 rgb_colormap[f->numcolors] != NULL; 
+	 ++f->numcolors )
+    {
+	;
+    }
+
+    f->parsedcolors = (unsigned long *) calloc(f->numcolors,
+					       sizeof(unsigned long));
+    if ( f->parsedcolors == NULL )
+    {
+        fprintf(stderr, "%s: Failed to allocate parsedcolors\n",
+                progname);
+	exit(1);
+    }
+	
+    for(i = 0; i < f->numcolors; ++i)
+    {
+        if (!XParseColor(dpy, xgwa->colormap, 
+			 rgb_colormap[i], &tmpcolor)) 
+	{
+            fprintf(stderr, "%s: couldn't parse color %s\n", progname,
+                    rgb_colormap[i]);
+            exit(1);
+        }
+
+        if (!XAllocColor(dpy, xgwa->colormap, &tmpcolor)) 
+	{
+            fprintf(stderr, "%s: couldn't allocate color %s\n", progname,
+                    rgb_colormap[i]);
+            exit(1);
+        }
+
+        f->parsedcolors[i] = tmpcolor.pixel;
+
+    }
+}
+
+/* used when the window is resized */
+void build_img(struct field *f)
+{
+    if (f->off_img) {
+        free(f->off_img);
+        f->off_img = NULL;
+    }
+
+    f->off_img = (unsigned long *) calloc(f->width * f->height,
+					  sizeof(unsigned long));
+					   
+
+    if ( f->off_img == NULL )
+    {
+        fprintf(stderr, "%s: Failed to allocate off_img\n",
+                progname);
+	exit(1);
+    }
+
+    memset(f->off_img, f->bgcolor, 
+	   sizeof(unsigned long) * f->width * f->height);
+}
+
+void free_circles(struct field *f) 
+{
+    int i;
+
+    if ( f->circles != NULL )
+    {
+	for(i = 0; i < f->num_circles; ++i)
+	{
+	    free (f->circles[i].painters);
+	}
+
+	free (f->circles);
+	f->circles = NULL;
+    }
+}
+
+void build_field(Display *dpy, Window window, XWindowAttributes xgwa, GC fgc, 
+		 struct field *f) 
+{
+    int i;
+    int num_orbits;
+    int base_orbits;
+    int orbit_start;
+    build_img(f);
+
+    f->center_of_universe.x = f->width / 2.0;
+    f->center_of_universe.y = f->height / 2.0;
+    f->center_of_universe.r = MAX(f->width, f->height) / 2.0;
+
+    num_orbits = (f->percent_orbits * f->num_circles) / 100;
+    orbit_start = f->num_circles - num_orbits;
+    base_orbits = orbit_start + (num_orbits * f->base_orbits) / 100;
+
+    free_circles(f);
+
+    f->circles = (Circle*) calloc(f->num_circles, sizeof(Circle));
+    if ( f->circles == NULL )
+    {
+        fprintf(stderr, "%s: Failed to allocate off_img\n",
+                progname);
+	exit(1);
+    }
+
+    for(i = 0; i < f->num_circles; ++i)
+    {
+	int j;
+	Circle *circle = f->circles + i;
+
+	/* make this a pref */
+
+	if ( i >= orbit_start )
+	  circle->path_type = ORBIT;
+	else
+	  circle->path_type = LINEAR;
+
+
+	if ( circle->path_type == LINEAR )
+	{
+	    circle->x = frand(f->width);
+	    circle->y = frand(f->height);
+
+	    circle->dx = frand(0.5) - 0.25; 
+	    circle->dy = frand(0.5) - 0.25;
+	    /* circle->dy = 0; */
+	    /* circle->r  = f->height * (0.05 + frand(0.1)); */
+	    circle->radius = 5 + frand(55);
+
+	    /* in case we want orbits based on lines */
+	    circle->r = MIN(f->width, f->height) / 2.0;
+	    circle->center = NULL;
+	}
+	else /* == ORBIT */
+	{
+	    if (i < base_orbits )
+	    {
+		if ( f->base_on_center )
+		    circle->center = &f->center_of_universe; 
+		else
+		{
+		    circle->center = f->circles + 
+			((int)frand(orbit_start - 0.1));
+		}
+
+		circle->r = 1 + frand(MIN(f->width, f->height) / 2.0);
+
+		/* circle->radius = 5 + frand(55); */
+	    }
+	    else
+	    {
+		/* give a preference for the earlier circles */
+
+		double p = frand(0.9);
+
+		circle->center = f->circles + (int) (p*i);
+
+		circle->r = 1 + 0.5 * circle->center->r + 0.5 * frand(circle->center->r); 
+		/* circle->r = 1 + frand(circle->center->r / 2); */
+
+
+		/* circle->radius = MAX(5, frand(circle->r)); */
+		/* circle->radius = 5 + frand(55); */
+	    }
+
+	    circle->radius = 5 + frand(MIN(55, circle->r)); 
+	    circle->dtheta = (frand(0.5) - 0.25) / circle->r;
+	    circle->theta = frand(2 * M_PI);
+
+	    circle->x = circle->r * cos(circle->theta) + circle->center->x;
+	    circle->y = circle->r * sin(circle->theta) + circle->center->y;
+
+	}
+
+	/* make this a command line option */
+	circle->num_painters = 3;
+	circle->painters = (SandPainter*) calloc(circle->num_painters, 
+						 sizeof(SandPainter));
+	if ( circle->painters == NULL )
+	{
+	    fprintf(stderr, "%s: failed to allocate painters", progname);
+	    exit(1);
+	}
+
+	for(j = 0; j < circle->num_painters; ++j)
+	{
+	    SandPainter *painter = circle->painters + j;
+
+	    painter->gain = frand(0.09) + 0.01;
+	    painter->p = frand(1.0);
+	    painter->color = 
+		f->parsedcolors[(int)(frand(0.999) * f->numcolors)];
+	}
+    }
+}
+
+void moveCircles(struct field *f)
+{
+    int i;
+
+    for(i = 0; i < f->num_circles; ++i)
+    {
+	Circle *circle = f->circles + i;
+
+	if ( circle->path_type == LINEAR )
+	{
+	    circle->x += circle->dx;
+	    circle->y += circle->dy;
+
+#if 0
+	    if ( circle->x < -circle->radius )
+		circle->x = f->width + circle->radius;
+	    else if ( circle->x >= f->width + circle->radius )
+		circle->x = -circle->radius;
+
+	    if ( circle->y < -circle->radius )
+		circle->y = f->height + circle->radius;
+	    else if ( circle->y >= f->height + circle->radius )
+		circle->y = -circle->radius;
+#else
+	    if ( circle->x < 0 ) circle->x += f->width;
+	    else if ( circle->x >= f->width ) circle->x -= f->width;
+
+	    if ( circle->y < 0 ) circle->y += f->height;
+	    else if ( circle->y >= f->height ) circle->y -= f->height;
+#endif
+	}
+	else /* (circle->path_type == ORBIT) */
+	{
+	    circle->theta += circle->dtheta;
+
+	    if ( circle->theta < 0 ) circle->theta += 2 * M_PI;
+	    else if ( circle->theta > 2 * M_PI ) circle->theta -= 2 * M_PI;
+
+	    circle->x = circle->r * cos(circle->theta) + circle->center->x;
+	    circle->y = circle->r * sin(circle->theta) + circle->center->y;
+
+#if 0
+	    if ( circle->x < -circle->radius )
+		circle->x += f->width + 2 * circle->radius;
+	    else if ( circle->x >= f->width + circle->radius )
+		circle->x -= f->width + 2 * circle->radius;
+
+	    if ( circle->y < -circle->radius )
+		circle->y += f->height + 2 * circle->radius;
+	    else if ( circle->y >= f->height + circle->radius )
+		circle->y -= f->height + 2 * circle->radius;
+#else
+	    if ( circle->x < 0 ) circle->x += f->width;
+	    else if ( circle->x >= f->width ) circle->x -= f->width;
+
+	    if ( circle->y < 0 ) circle->y += f->height;
+	    else if ( circle->y >= f->height ) circle->y -= f->height;
+#endif
+	}
+    }
+}
+
+void drawIntersections(Display *dpy, Window window, GC fgc, struct field *f)
+{
+    int i,j;
+
+    /* One might be tempted to think 'hey, this is a crude algorithm
+     * that is going to check each of the n (n-1) / 2 possible
+     * intersections!  Why not try bsp trees, quad trees, etc, etc,
+     * etc'
+     *
+     * In practice the time spent drawing the intersection of two
+     * circles dwarfs the time takes to check for intersection.
+     * Profiling on a 640x480 screen with 100 circles shows possible
+     * speed gains to be only a couple of percent.
+     * 
+     * But hey, if you're bored, go have fun.  Let me know how it
+     * turns out.
+     */
+
+
+    for(i = 0; i < f->num_circles; ++i)
+    {
+	Circle *c1 = f->circles + i;
+
+	if ( !f->draw_centers )
+	{
+	    /* the default branch */
+
+	    for(j = i + 1; j < f->num_circles; ++j)
+	    {
+		double d, dsqr, dx, dy;
+		Circle *c2 = f->circles + j;
+
+		++f->possible_intersections;
+		dx = c2->x - c1->x;
+		dy = c2->y - c1->y;
+
+		dsqr = dx * dx + dy * dy;
+		d = sqrt(dsqr);
+
+		if ( (fabs(dx) < (c1->radius + c2->radius)) &&
+		     (fabs(dy) < (c1->radius + c2->radius)) &&
+		     ( d < (c1->radius + c2->radius) ) &&
+		     ( d > fabs(c1->radius - c2->radius) ) )
+		{
+		    double d1, d2, r1sqr; 
+		    double bx, by;
+		    double midpx, midpy;
+		    double int1x, int1y;
+		    double int2x, int2y;
+		    int s;
+
+		    /* woo-hoo.  the circles are neither outside nor
+		     * inside each other.  they intersect.  
+		     *
+		     * Now, compute the coordinates of the points of
+		     * intersection 
+		     */
+
+		    ++f->intersection_count;
+
+		    /* unit vector in direction of c1 to c2 */
+		    bx = dx / d;
+		    by = dy / d;
+
+		    r1sqr = c1->radius * c1->radius;
+
+		    /* distance from c1's center midpoint of intersection
+		     * points */
+
+		    d1 = 0.5 * (r1sqr - c2->radius * c2->radius + dsqr) / d;
+		
+		    midpx = c1->x + d1 * bx;
+		    midpy = c1->y + d1 * by;
+
+		    /* distance from midpoint to points of intersection */
+
+		    d2 = sqrt(r1sqr - d1 * d1);
+
+		    int1x = midpx + d2 * by;
+		    int1y = midpy - d2 * bx;
+
+		    int2x = midpx - d2 * by;
+		    int2y = midpy + d2 * bx;
+
+		    for(s = 0; s < c1->num_painters; ++s)
+		    {
+			paint(c1->painters + s, int1x, int1y, int2x, int2y, 
+			      dpy, window, fgc, f);
+		    }
+		}
+	    }
+	}
+	else /* f->draw_centers */
+	{
+	    XDrawPoint(dpy, window, fgc, c1->x, c1->y);
+	}
+    }
+}
+
+
+void screenhack(Display * dpy, Window window)
+{
+    struct field *f = init_field();
+
+    unsigned int max_cycles = 0;
+    int growth_delay = 0;
+
+    GC fgc;
+    XGCValues gcv;
+    XWindowAttributes xgwa;
+
+#ifdef TIME_ME
+    int frames;
+    struct timeval tm1, tm2;
+    double tdiff;
+#endif
+
+    growth_delay = (get_integer_resource("growthDelay", "Integer"));
+    max_cycles = (get_integer_resource("maxCycles", "Integer"));
+    f->num_circles = (get_integer_resource("numCircles", "Integer"));
+    f->percent_orbits = (get_integer_resource("percentOrbits", "Integer"));
+    f->base_orbits = (get_integer_resource("baseOrbits", "Integer"));
+    f->base_on_center = (get_boolean_resource("baseOnCenter", "Boolean"));
+    f->draw_centers = (get_boolean_resource("drawCenters", "Boolean"));
+
+    if (f->num_circles <= 1) 
+    {
+        fprintf(stderr, "%s: Minimum number of circles is 2\n", 
+                progname);
+        return;
+    }
+
+    if ( (f->percent_orbits < 0) || (f->percent_orbits > 100) )
+    {
+        fprintf(stderr, "%s: percent-oribts must be between 0 and 100\n", 
+                progname);
+        return;
+    }
+
+    if ( (f->base_orbits < 0) || (f->base_orbits > 100) )
+    {
+        fprintf(stderr, "%s: base-oribts must be between 0 and 100\n", 
+                progname);
+        return;
+    }
+
+    if ( f->percent_orbits == 100 )
+	f->base_on_center = True;
+
+    XGetWindowAttributes(dpy, window, &xgwa);
+
+    build_colors(f, dpy, &xgwa);
+
+    gcv.foreground = get_pixel_resource("foreground", "Foreground",
+					dpy, xgwa.colormap);
+    gcv.background = get_pixel_resource("background", "Background",
+					dpy, xgwa.colormap);
+
+    fgc = XCreateGC(dpy, window, GCForeground, &gcv);
+
+    f->height = xgwa.height;
+    f->width = xgwa.width;
+    f->visdepth = xgwa.depth;
+    f->fgcolor = gcv.foreground;
+    f->bgcolor = gcv.background;
+
+    /* Initialize stuff */
+    build_field(dpy, window, xgwa, fgc, f);
+
+#ifdef TIME_ME
+    gettimeofday(&tm1, NULL);
+    frames = 0;
+#endif
+
+    while (1) 
+    {
+        if ((f->cycles % 10) == 0) 
+	{
+            /* Restart if the window size changes */
+            XGetWindowAttributes(dpy, window, &xgwa);
+
+            if (f->height != xgwa.height || f->width != xgwa.width) 
+	    {
+                f->height = xgwa.height;
+                f->width = xgwa.width;
+                f->visdepth = xgwa.depth;
+
+                build_field(dpy, window, xgwa, fgc, f);
+                XSetForeground(dpy, fgc, gcv.background);
+                XFillRectangle(dpy, window, fgc, 0, 0, xgwa.width, xgwa.height);
+                XSetForeground(dpy, fgc, gcv.foreground);
+            }
+            screenhack_handle_events(dpy);
+        }
+
+	moveCircles(f);
+	drawIntersections(dpy, window, fgc, f);
+
+        f->cycles++;
+
+
+        XSync(dpy, False);
+
+        screenhack_handle_events(dpy);
+
+        if (f->cycles >= max_cycles && max_cycles != 0)
+	{
+            build_field(dpy, window, xgwa, fgc, f);
+            XSetForeground(dpy, fgc, gcv.background);
+            XFillRectangle(dpy, window, fgc, 0, 0, xgwa.width, xgwa.height);
+            XSetForeground(dpy, fgc, gcv.foreground);
+        }
+
+        if (growth_delay)
+            usleep(growth_delay);
+
+#ifdef TIME_ME
+	frames++;
+	gettimeofday(&tm2, NULL);
+
+	tdiff = (tm2.tv_sec - tm1.tv_sec) 
+	    + (tm2.tv_usec - tm1.tv_usec) * 0.00001;
+
+	if ( tdiff > 1 )
+	{
+	    fprintf(stderr, "fps: %d %f %f\n", 
+		    frames, tdiff, frames / tdiff );
+
+	    fprintf(stderr, "intersections: %d %d %f\n", 
+		    f->intersection_count, f->possible_intersections, 
+		    ((double)f->intersection_count) / 
+		    f->possible_intersections);
+
+	    fprintf(stderr, "fpi: %f\n", 
+		    ((double)frames) / f->intersection_count );
+
+	    frames = 0;
+	    tm1.tv_sec = tm2.tv_sec;
+	    tm1.tv_usec = tm2.tv_usec;
+
+	    f->intersection_count = f->possible_intersections = 0;
+	}
+#endif
+    }
+}
+

=== added file 'hacks/interaggregate.man'
--- hacks/interaggregate.man	1970-01-01 00:00:00 +0000
+++ hacks/interaggregate.man	2006-07-29 23:00:43 +0000
@@ -0,0 +1,68 @@
+.TH Interaggregate 1 "08-Oct-04" "X Version 11"
+.SH NAME
+interaggregate - Visualize the momentary and aggregate intersections 
+between slowly moving circles.
+.SH SYNOPSIS
+.B interaggregate
+[\-display \fIhost:display.screen\fP]
+[\-foreground \fIcolor\fP]
+[\-background \fIcolor\fP]
+[\-num\-circles \fIdisc count\fP]
+[\-growth\-delay \fIdelayms\fP]
+[\-max\-cycles \fImaxr\fP]
+[\-percent\-orbits \fIpercent\fP]
+[\-base\-orbits \fIpercent\fP]
+[\-base\-on\-center]
+[\-draw\-centers]
+.SH DESCRIPTION
+The Intersection Aggregate is a fun visualization defining the relationships 
+between objects with Casey Reas, William Ngan, and Robert Hodgin. Commissioned 
+for display at the Whitney Museum of American Art.
+
+A surface filled with 100 medium to small sized circles. Each circle has a 
+different size and direction, but moves at the same slow rate. Display:
+
+    A. The instantaneous intersections of the circles.
+    B. The aggregate intersections of the circles.
+
+Ported to XScreensaver from the art project "InterAggregate" at
+http://www.complexification.net by J.Tarbell
+.SH OPTIONS
+.I interaggregate
+accepts the following options:
+.TP 8
+.B \-num\-circles \fIdisc count\fP (Default: \fI100\fP)
+Number of slowly moving and growing discs to use.  The more discs, 
+the more CPU power.
+.TP 8
+.B \-growth\-delay \fIdelayms\fP (Default: \fI18000\fP)
+Delay in ms between drawing cycles.  More delay, slower (but smoother 
+and less CPU intensive.)
+art.
+.SH ENVIRONMENT
+.PP
+.TP 8
+.B DISPLAY
+to get the default host and display number.
+.TP 8
+.B XENVIRONMENT
+to get the name of a resource file that overrides the global
+resources stored in the RESOURCE_MANAGER property.
+.TP 8
+.SH BUGS
+.PP
+.TP 8
+Setting the background to anything besides black confuses the intensity 
+algorithm and will look terrible.
+.SH SEE ALSO
+.BR X (1),
+.BR xscreensaver (1)
+.SH COPYRIGHT
+Copyright \(co 2003 by J. Tarbell
+(complex@complexification.net, http://www.complexification.net).
+
+Ported to XScreensaver 2005 by David Agraz.
+.SH AUTHOR
+J. Tarbell <complex@complexification.net>, Jun-03
+
+David Agraz <dagraz@mindspring.com>, Apr-05.

=== modified file 'hacks/intermomentary.c'
--- hacks/intermomentary.c	2005-04-09 00:06:43 +0000
+++ hacks/intermomentary.c	2005-12-08 16:00:22 +0000
@@ -30,6 +30,7 @@
  * implied warranty.
  */
 
+#include <math.h>
 #include "screenhack.h"
 #include <X11/Xutil.h>
 #include <stdio.h>
@@ -211,8 +212,8 @@
         if (a >= 1.0) {
             ref_pixel(f, x1, y1) = myc;
         } else {
-            unsigned short int or, og, ob;
-            unsigned short int r, g, b;
+            unsigned short int or = 0, og = 0, ob = 0;
+            unsigned short int r = 0, g = 0, b = 0;
             unsigned short int nr, ng, nb;
             unsigned long c;
 

=== modified file 'hacks/intermomentary.man'
--- hacks/intermomentary.man	2005-04-09 00:06:43 +0000
+++ hacks/intermomentary.man	2006-07-29 23:00:43 +0000
@@ -52,7 +52,7 @@
 .B XENVIRONMENT
 to get the name of a resource file that overrides the global
 resources stored in the RESOURCE_MANAGER property.
-.TP8
+.TP 8
 .SH BUGS
 .PP
 .TP 8

=== modified file 'hacks/jigsaw.man'
--- hacks/jigsaw.man	2002-04-07 12:17:37 +0000
+++ hacks/jigsaw.man	2006-06-30 16:27:21 +0000
@@ -35,7 +35,7 @@
 or the id number (decimal or hex) of a specific visual.
 .TP 8
 .B \-delay \fImicroseconds\fP
-How long to wait between shuffling pieces; default 700000, or 0.7 seconds.
+How long to wait between shuffling pieces; default 70000, or 0.07 seconds.
 .SH ENVIRONMENT
 .PP
 .TP 8

=== modified file 'hacks/juggle.c'
--- hacks/juggle.c	2005-04-09 00:06:43 +0000
+++ hacks/juggle.c	2005-12-08 16:00:22 +0000
@@ -7,7 +7,7 @@
 #endif
 
 /*-
- * Copyright (c) 1996 by Tim Auckland <Tim.Auckland@Procket.com>
+ * Copyright (c) 1996 by Tim Auckland <tda10.geo@yahoo.com>
  *
  * Permission to use, copy, modify, and distribute this software and its
  * documentation for any purpose and without fee is hereby granted,

=== modified file 'hacks/juggle.man'
--- hacks/juggle.man	2005-04-09 00:06:43 +0000
+++ hacks/juggle.man	2006-06-30 16:27:21 +0000
@@ -111,7 +111,7 @@
 list in the source code.
 .TP
 .BI \-tail\  number
-Minimum Trail Length.  0 \- 100.  Default: 0.  Objects may override
+Minimum Trail Length.  0 \- 100.  Default: 1.  Objects may override
 this, for example flaming torches always leave a trail.
 .TP
 .BR \-real\  |\  \-no\-real

=== modified file 'hacks/kaleidescope.man'
--- hacks/kaleidescope.man	2002-04-07 12:17:37 +0000
+++ hacks/kaleidescope.man	2006-06-30 16:27:21 +0000
@@ -71,7 +71,7 @@
 stored in the RESOURCE_MANAGER property.
 .SH SEE ALSO
 .BR X (1),
-.BR kaleidescope (1)
+.BR kaleidescope (MANSUFFIX)
 .SH COPYRIGHT
 Copyright \(co 1997 by Ron Tapia.  Permission to use, copy, modify, 
 distribute, and sell this software and its documentation for any purpose is 

=== modified file 'hacks/lisa.man'
--- hacks/lisa.man	2002-04-07 12:17:37 +0000
+++ hacks/lisa.man	2005-12-08 16:00:22 +0000
@@ -1,12 +1,12 @@
 .TH XScreenSaver 1 "27-May-97" "X Version 11"
 .SH NAME
-lisa - draws animated full-loop lisajous figures
+lisa - draws animated full-loop lissajous figures
 .SH SYNOPSIS
 .B lisa
 [\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-ncolors \fIinteger\fP] [\-delay \fImicroseconds\fP] [\-cycles \fIinteger\fP] [\-count \fIinteger\fP] [\-size \fIinteger\fP]
 
 .SH DESCRIPTION
-The \fIlisa\fP program draws animated full-loop lisajous figures.
+The \fIlisa\fP program draws animated full-loop lissajous figures.
 .SH OPTIONS
 .I lisa
 accepts the following options:

=== modified file 'hacks/lissie.man'
--- hacks/lissie.man	2005-04-09 00:06:43 +0000
+++ hacks/lissie.man	2006-06-30 16:27:21 +0000
@@ -31,13 +31,13 @@
 Count.	0 - 20.  Default: 1.
 .TP 8
 .B \-cycles \fInumber\fP
-Timeout.  0 - 800000.  Default: 2000.
+Timeout. Default: 20000.
 .TP 8
 .B \-delay \fInumber\fP
 Per-frame delay, in microseconds.  Default: 10000 (0.01 seconds.).
 .TP 8
 .B \-ncolors \fInumber\fP
-Number of Colors.  Default: 64.
+Number of Colors.  Default: 200.
 .TP 8
 .B \-size \fInumber\fP
 Size.  -500 to +500.  Default: -200.

=== modified file 'hacks/ljlatest.man'
--- hacks/ljlatest.man	2005-04-09 00:06:43 +0000
+++ hacks/ljlatest.man	2006-06-30 16:27:21 +0000
@@ -40,12 +40,12 @@
 .BR xscreensaver (1),
 .BR xscreensaver-text (1),
 .BR fortune (1),
-.BR phosphor (1),
-.BR apple2 (1),
-.BR starwars (1),
-.BR fontglide (1),
+.BR phosphor (MANSUFFIX),
+.BR apple2 (MANSUFFIX),
+.BR starwars (MANSUFFIX),
+.BR fontglide (MANSUFFIX),
 .BR dadadodo (1),
-.BR webcollage (1),
+.BR webcollage (MANSUFFIX),
 .BR driftnet (1)
 .BR EtherPEG ,
 .BR EtherPeek

=== modified file 'hacks/lmorph.man'
--- hacks/lmorph.man	2002-04-07 12:17:37 +0000
+++ hacks/lmorph.man	2005-12-08 16:00:22 +0000
@@ -5,8 +5,8 @@
 .B lmorph
 [\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-points \fIint\fP] [\-steps \fIint\fP] [\-delay \fIusecs\fP] [\-figtype \fItype\fP]
 .SH DESCRIPTION
-The \fIlmorph\fP program shows smooth and non-linear morphing between
-1D curves.
+The \fIlmorph\fP program generates random spline-ish line drawings and
+morphs between them.
 .SH OPTIONS
 .I lmorph
 accepts the following options:

=== modified file 'hacks/loop.c'
--- hacks/loop.c	2005-04-09 00:06:43 +0000
+++ hacks/loop.c	2005-12-08 16:00:22 +0000
@@ -1140,7 +1140,7 @@
 init_adam(ModeInfo * mi)
 {
 	loopstruct *lp = &loops[MI_SCREEN(mi)];
-	XPoint      start, dirx, diry;
+	XPoint      start = { 0, 0 }, dirx = { 0, 0 }, diry = { 0, 0 };
 	int         i, j, dir;
 
 #ifdef DELAYDEBUGLOOP

=== modified file 'hacks/maze.c'
--- hacks/maze.c	2005-04-09 00:06:43 +0000
+++ hacks/maze.c	2005-12-08 16:00:22 +0000
@@ -1377,7 +1377,9 @@
 	  if((x < logo_x || x > logo_x + logo_width / grid_width) ||
 	     (y < logo_y || y > logo_y + logo_height / grid_height))
 	  {
-	    if (!(maze[x][y] & WALL_ANY))
+            /* if we are completely surrounded by walls, just draw the
+               inside part */
+            if ((maze[x][y] & WALL_ANY) == WALL_ANY)
 	      XFillRectangle(dpy, win, ugc,
 			     border_x + bw + grid_width * x,
 			     border_y + bw + grid_height * y,

=== modified file 'hacks/metaballs.man'
--- hacks/metaballs.man	2005-04-09 00:06:43 +0000
+++ hacks/metaballs.man	2006-06-30 16:27:21 +0000
@@ -35,7 +35,7 @@
 Number of MetaBalls.	2 - 255.  Default: 10.
 .TP 8
 .B \-delay \fInumber\fP
-Per-frame delay, in microseconds.  Default: 5000 (0.01 seconds.).
+Per-frame delay, in microseconds.  Default: 5000 (0.005 seconds.).
 .TP 8
 .B \-cycles \fInumber\fP
 Duration.  100 - 3000.  Default: 1000.

=== modified file 'hacks/mismunch.man'
--- hacks/mismunch.man	2005-04-09 00:06:43 +0000
+++ hacks/mismunch.man	2006-06-30 16:27:21 +0000
@@ -58,7 +58,7 @@
 .SH SEE ALSO
 .BR X (1),
 .BR xscreensaver (1),
-.BR munch (1)
+.BR munch (MANSUFFIX)
 .SH COPYRIGHT
 Copyright \(co 2004 Steven Hazel.  Permission to use, copy, modify,
 distribute, and sell this software and its documentation for any

=== modified file 'hacks/mountain.man'
--- hacks/mountain.man	2005-04-09 00:06:43 +0000
+++ hacks/mountain.man	2006-06-30 16:27:21 +0000
@@ -28,7 +28,7 @@
 Count.	0 - 100.  Default: 30.
 .TP 8
 .B \-delay \fInumber\fP
-Per-frame delay, in microseconds.  Default: 0 (0.00 seconds.).
+Per-frame delay, in microseconds.  Default: 1000 (0.001 seconds.).
 .TP 8
 .B \-ncolors \fInumber\fP
 Number of colors.  Default: 64.

=== modified file 'hacks/munch.man'
--- hacks/munch.man	2002-04-07 12:17:37 +0000
+++ hacks/munch.man	2006-06-30 16:27:21 +0000
@@ -18,16 +18,16 @@
 .B munch
 [\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP]
 [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install]
-[\-visual \fIvisual\fP] [\-delay \fIseconds\fP] [\-xor] [\-noxor] [\-shift]
+[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-xor] [\-noxor] [\-shift]
 [\-noshift] [\-logminwidth \fIminimum width\fP]
 .SH DESCRIPTION
 The
 .I munch
-program preforms the munching squares hack until killed.  It picks square
+program performs the munching squares hack until killed.  It picks square
 size, position, and gravity randomly; configurable options are listed
 below.
 .PP
-The munching squares hack cosists of drawing Y = X XOR T for a range of X
+The munching squares hack consists of drawing Y = X XOR T for a range of X
 and T over and over until all the possible combinations of X and T have
 come up.  It was reportedly discovered by Jackson Wright in 1962 and took 5
 instructions of PDP-6 code.
@@ -51,8 +51,8 @@
 Specify which visual to use.  Legal values are the name of a visual class,
 or the id number (decimal or hex) of a specific visual.
 .TP 8
-.B \-delay \fIseconds\fP
-How long to wait before starting over.  Default 5 seconds.
+.B \-delay \fImicroseconds\fP
+How long to wait before starting over.  Default 5000.
 .TP 8
 .B \-xor
 Use the XOR drawing function.  (Default.)

=== modified file 'hacks/noseguy.c'
--- hacks/noseguy.c	2005-04-09 00:06:43 +0000
+++ hacks/noseguy.c	2005-12-08 16:00:22 +0000
@@ -532,7 +532,7 @@
 char *defaults [] = {
   ".background:	 black",
   ".foreground:	 gray80",
-  "*program:	 xscreensaver-text --cols 40 | head -15",
+  "*program:	 xscreensaver-text --cols 40 | head -n15",
   "noseguy.font: -*-new century schoolbook-*-r-*-*-*-180-*-*-*-*-*-*",
   0
 };

=== modified file 'hacks/noseguy.man'
--- hacks/noseguy.man	2005-04-09 00:06:43 +0000
+++ hacks/noseguy.man	2005-12-08 16:00:22 +0000
@@ -45,7 +45,7 @@
 This program will be run periodically, and its output will be the text
 of the messages.  Default:
 
-    xscreensaver-text --cols 40 | head -15
+    xscreensaver-text --cols 40 | head -n15
 
 You can configure the text printed through the "Advanced" tab of
 .BR xscreensaver\-demo (1),

=== modified file 'hacks/pacman_level.c'
--- hacks/pacman_level.c	2005-04-09 00:06:43 +0000
+++ hacks/pacman_level.c	2005-12-08 16:00:22 +0000
@@ -527,7 +527,7 @@
 static void
 init_bonus_dots (lev_t * level)
 {
-    unsigned int x, y;
+    unsigned int x = 0, y = 0;
     top_left (level, &x, &y);
     bonus_dots[TOP_LEFT].x = x;
     bonus_dots[TOP_LEFT].y = y;

=== modified file 'hacks/penetrate.man'
--- hacks/penetrate.man	2002-04-07 12:17:37 +0000
+++ hacks/penetrate.man	2005-12-08 16:00:22 +0000
@@ -77,7 +77,7 @@
 Have the computer player skip the learning process.
 .SH BUGS
 The layout of the screen isn't quite the same as the game this program
-tries to emulate.  In this this program, the missles come out of the
+tries to emulate.  In this this program, the missiles come out of the
 cities; when really, there are supposed to be three missile bases on
 hills, with the cities in the valleys between them.
 

=== modified file 'hacks/penrose.man'
--- hacks/penrose.man	2005-04-09 00:06:43 +0000
+++ hacks/penrose.man	2006-06-30 16:27:21 +0000
@@ -3,7 +3,7 @@
 penrose - draws quasiperiodic tilings
 .SH SYNOPSIS
 .B penrose
-[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-ncolors \fIinteger\fP] [\-delay \fImicroseconds\fP] [\-redoDelay \fIseconds\fP] [\-size \fIinteger\fP] [\-ammann] [\-no\-ammann]
+[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-ncolors \fIinteger\fP] [\-delay \fImicroseconds\fP] [\-size \fIinteger\fP] [\-ammann] [\-no\-ammann]
 
 .SH DESCRIPTION
 The \fIpenrose\fP program draws quasiperiodic tilings.
@@ -69,10 +69,6 @@
 tile.  Default 10,000 or .01 seconds.
 
 .TP 8
-.B \-redoDelay \fIseconds\fP
-How long to wait between starting a completely new tiling.  Default 3 seconds.
-
-.TP 8
 .B \-ammann
 .TP 8
 .B \-no\-ammann

=== modified file 'hacks/phosphor.c'
--- hacks/phosphor.c	2005-04-09 00:06:43 +0000
+++ hacks/phosphor.c	2006-06-30 16:27:21 +0000
@@ -1144,10 +1144,18 @@
   char *oprogram = get_string_resource ("program", "Program");
   char *program = (char *) malloc (strlen (oprogram) + 50);
 
-  /* oprogram contains a "%d" where the current number of columns goes
+  strcpy (program, "( ");
+  strcat (program, oprogram);
+
+  /* Kludge!  Special-case "xscreensaver-text" to tell it how wide
+     the screen is.  We used to do this by just always feeding
+     `program' through sprintf() and setting the default value to
+     "xscreensaver-text --cols %d", but that makes things blow up
+     if someone ever uses a --program that includes a % anywhere.
    */
-  strcpy (program, "( ");
-  sprintf (program + strlen(program), oprogram, state->grid_width);
+  if (!strcmp (oprogram, "xscreensaver-text"))
+    sprintf (program + strlen(program), " --cols %d", state->grid_width-1);
+
   strcat (program, " ) 2>&1");
 
 #ifdef HAVE_FORKPTY
@@ -1395,7 +1403,7 @@
   "*ticks:		   20",
   "*delay:		   50000",
   "*cursor:		   333",
-  "*program:		   xscreensaver-text --cols %d",
+  "*program:		   xscreensaver-text",
   "*relaunch:		   5",
   "*metaSendsESC:	   True",
   "*swapBSDEL:		   True",

=== modified file 'hacks/phosphor.man'
--- hacks/phosphor.man	2005-04-09 00:06:43 +0000
+++ hacks/phosphor.man	2006-06-30 16:27:21 +0000
@@ -146,12 +146,12 @@
 .BR xscreensaver (1),
 .BR xscreensaver-text (1),
 .BR fortune (1),
-.BR apple2 (1),
-.BR starwars (1),
-.BR fontglide (1),
-.BR ljlatest (1),
+.BR apple2 (MANSUFFIX),
+.BR starwars (MANSUFFIX),
+.BR fontglide (MANSUFFIX),
+.BR ljlatest (MANSUFFIX),
 .BR dadadodo (1),
-.BR webcollage (1),
+.BR webcollage (MANSUFFIX),
 .BR driftnet (1)
 .BR EtherPEG ,
 .BR EtherPeek ,

=== modified file 'hacks/piecewise.c'
--- hacks/piecewise.c	2005-04-09 00:06:43 +0000
+++ hacks/piecewise.c	2006-06-30 16:27:21 +0000
@@ -18,6 +18,11 @@
 # include "xdbe.h"
 #endif /* HAVE_DOUBLE_BUFFER_EXTENSION */
 
+#if !defined( __GNUC__ ) && !defined(__cplusplus) && !defined(c_plusplus)
+#undef inline
+#define inline			/* */
+#endif
+
 #define X_PI (180 * 64)
 
 /******** splaying code */

=== modified file 'hacks/pong.man'
--- hacks/pong.man	2005-04-09 00:06:43 +0000
+++ hacks/pong.man	2006-07-29 23:00:43 +0000
@@ -9,7 +9,7 @@
 .SH DESCRIPTION
 The
 .I pong 
-The pong program simulates an ancient Pong home video game, as well as
+program simulates an ancient Pong home video game, as well as
 various artifacts from displaying it on a color TV set.
 .SH OPTIONS
 .I pong
@@ -46,18 +46,17 @@
 .BR analogTVColor ,
 .BR analogTVBrightness ,
 and
-.BR analogTVContrast
+.BR analogTVContrast .
 
-which correspond to standard TV controls. They range from 0 to
-100,except for tint which is an angle between -180 and +180.
+They range from 0 to 100, except for tint which is an angle between -180 and +180.
 .SH TRADEMARKS
 Pong may be a trademark.
 
 .SH SEE ALSO
 .BR X (1),
 .BR xscreensaver (1),
-.BR xanalogtv (1),
-.BR apple2 (1)
+.BR xanalogtv (MANSUFFIX),
+.BR apple2 (MANSUFFIX)
 .SH COPYRIGHT
 2003 by Jeremy English.  Permission to use, copy, modify, 
 distribute, and sell this software and its documentation for any purpose is 

=== modified file 'hacks/pyro.man'
--- hacks/pyro.man	2002-04-07 12:17:37 +0000
+++ hacks/pyro.man	2006-06-30 16:27:21 +0000
@@ -28,13 +28,13 @@
 or the id number (decimal or hex) of a specific visual.
 .TP 8
 .B \-count \fIinteger\fP
-How many particles should be allowed on the screen at once.  Default 100.
+How many particles should be allowed on the screen at once.  Default 600.
 .TP 8
 .B \-frequency \fIinteger\fP
 How often new missiles should launch.  Default 30.
 .TP 8
 .B \-scatter \fIinteger\fP
-How many particles should appear when a missile explodes.  Default 20.
+How many particles should appear when a missile explodes.  Default 100.
 The actual number used is between \fIN\fP and \fIN+(N/2)\fP.
 .SH ENVIRONMENT
 .PP

=== modified file 'hacks/qix.man'
--- hacks/qix.man	2002-04-07 12:17:37 +0000
+++ hacks/qix.man	2006-06-30 16:27:21 +0000
@@ -49,7 +49,7 @@
 .TP 8
 .B \-delay \fImicroseconds\fP
 How much of a delay should be introduced between steps of the animation.
-Default 25000, or about 0.025 seconds.
+Default 10000, or about 0.01 seconds.
 .TP 8
 .B \-random
 The \fIqix\fP will wander around the screen semi-randomly.  This is the
@@ -75,7 +75,7 @@
 .B \-transparent
 If this is specified, and \fI\-count\fP is greater than 1, then each qix
 will be drawn in one color, and when they overlap, the colors will be mixed.
-This looks best in conjuction with \fI\-solid\fP.
+This looks best in conjunction with \fI\-solid\fP.
 .TP 8
 .B \-non\-transparent
 Turns off \fI\-transparent\fP.

=== modified file 'hacks/rd-bomb.c'
--- hacks/rd-bomb.c	2005-04-09 00:06:43 +0000
+++ hacks/rd-bomb.c	2005-12-08 16:00:22 +0000
@@ -198,7 +198,8 @@
     int ii = i + 1;
     char *q = pix_buf + width * i;
     short *qq = ((short *) pix_buf) + width * i;
-    long  *qqq = ((long *) pix_buf) + width * i;
+/*  long  *qqq = ((long *) pix_buf) + width * i;  -- crashes on Alpha */
+    int   *qqq = ((int  *) pix_buf) + width * i;
     ushort *i1 = r1 + 1 + w2 * ii;
     ushort *i2 = r2 + 1 + w2 * ii;
     ushort *o1 = r1b + 1 + w2 * ii;

=== modified file 'hacks/rd-bomb.man'
--- hacks/rd-bomb.man	2002-04-07 12:17:37 +0000
+++ hacks/rd-bomb.man	2006-06-30 16:27:21 +0000
@@ -7,7 +7,7 @@
 [\-background \fIcolor\fP] [\-window] [\-root] [\-install]
 [\-visual \fIvisual\fP] [\-width \fIn\fP] [\-height \fIn\fP]
 [\-reaction \fIn\fP] [\-diffusion \fIn\fP]
-[\-size \fIf\fP] [\-speed \fIf\fP] [\-delay \fIusecs\fP]
+[\-size \fIf\fP] [\-speed \fIf\fP] [\-delay \fImillisecs\fP]
 .SH DESCRIPTION
 
 The \fIrd-bomb\fP program draws reaction/diffusion textures.  The code
@@ -54,24 +54,22 @@
 .TP 8
 .B \-diffusion \fIn\fP
 These are constants in the equations that effect its visual nature.
-Each may be one of 0, 1, or 2.  
+Each may be one of 0, 1, or 2. Default is -1: these constants are
+chosen randomly.
 .TP 8
 .B \-radius \fIn\fP
 Size of the seed.
 .TP 8
-.B \-palette \fIn\fP
-Selects a palette.  Must be between 0 and 80, inclusive.
-.TP 8
 .B \-size \fIf\fP
 What fraction of the window is actively drawn, a floating point number
-between 0 (exclusive) and 1 (inclusive).  Default is 0.66.
+between 0 (exclusive) and 1 (inclusive).  Default is 1.0.
 .TP 8
 .B \-speed \fIf\fP
 When a fraction of the screen is active, the active area moves at this
 rate (a floating point number).  Default is zero.  Suggested value: 1.0.
 .TP 8
-.B \-delay \fIusecs\fP
-How many microseconds to delay between frames; default 1000, or 
+.B \-delay \fImillisecs\fP
+How many milliseconds to delay between frames; default 1, or 
 about 1/1000th of a second.
 .SH ENVIRONMENT
 .PP

=== modified file 'hacks/ripples.c'
--- hacks/ripples.c	2005-04-09 00:06:43 +0000
+++ hacks/ripples.c	2005-12-08 16:00:22 +0000
@@ -99,6 +99,9 @@
                              - (((x)>>3)&0x11111111))
 
 
+static Bool grayscale_p;
+static unsigned long grayscale(unsigned long color);
+
 /*      -------------------------------------------             */
 
 
@@ -197,13 +200,13 @@
 
       if (dirty[pixel] > 0) {
         XPutPixel(buffer_map, (across<<1),  (down<<1),
-                  XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady));
+                  grayscale(XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady)));
         XPutPixel(buffer_map, (across<<1)+1,(down<<1),
-                  XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady));
+                  grayscale(XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady)));
         XPutPixel(buffer_map, (across<<1),  (down<<1)+1,
-                  XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady1));
+                  grayscale(XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady1)));
         XPutPixel(buffer_map, (across<<1)+1,(down<<1)+1,
-                  XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady1));
+                  grayscale(XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady1)));
       }
     }
 }
@@ -257,6 +260,52 @@
 }
 
 
+static unsigned long
+grayscale(unsigned long color)
+{
+  int red;
+  int green;
+  int blue;
+  int total;
+  int gray_r;
+  int gray_g;
+  int gray_b;
+
+  if (!grayscale_p)
+    return color;
+  if (!transparent)
+    return color;
+  if ((rmask == 0) || (gmask == 0) || (bmask == 0))
+    return color;
+
+  red = ((color >> rshift) & rmask);
+  green =  ((color >> gshift) & gmask);
+  blue =  ((color >> bshift) & bmask);
+  total = red * gmask * bmask + green * rmask * bmask + blue * rmask * gmask;
+
+  gray_r = total / (3 * gmask * bmask);
+  if (gray_r < 0)
+    gray_r = 0;
+  if (gray_r > rmask)
+    gray_r = rmask;
+  
+  gray_g = total / (3 * rmask * bmask);
+  if (gray_g < 0)
+    gray_g = 0;
+  if (gray_g > gmask)
+    gray_g = gmask;
+
+  gray_b = total / (3 * rmask * gmask);
+  if (gray_b < 0)
+    gray_b = 0;
+  if (gray_b > bmask)
+    gray_b = bmask;
+
+  return ((unsigned long)
+          ((gray_r << rshift) | (gray_g << gshift) | (gray_b << bshift)));
+}
+
+
 static void
 draw_transparent_light(short *src)
 {
@@ -310,23 +359,23 @@
 
         if (dx != 0) {
           XPutPixel(buffer_map, (across<<1),  (down<<1),
-                    bright(dx, XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady)));
+                    bright(dx, grayscale(XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady))));
           XPutPixel(buffer_map, (across<<1)+1,(down<<1),
-                    bright(dx, XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady)));
+                    bright(dx, grayscale(XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady))));
           XPutPixel(buffer_map, (across<<1),  (down<<1)+1,
-                    bright(dx, XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady1)));
+                    bright(dx, grayscale(XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady1))));
           XPutPixel(buffer_map, (across<<1)+1,(down<<1)+1,
-                    bright(dx, XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady1)));
+                    bright(dx, grayscale(XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady1))));
         } else {
           /* Could use XCopyArea, but XPutPixel is faster */
           XPutPixel(buffer_map, (across<<1),  (down<<1),
-                    XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady));
+                    grayscale(XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady)));
           XPutPixel(buffer_map, (across<<1)+1,(down<<1),
-                    XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady));
+                    grayscale(XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady)));
           XPutPixel(buffer_map, (across<<1),  (down<<1)+1,
-                    XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady1));
+                    grayscale(XGetPixel(orig_map, (across<<1) + gradx, (down<<1) + grady1)));
           XPutPixel(buffer_map, (across<<1)+1,(down<<1)+1,
-                    XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady1));
+                    grayscale(XGetPixel(orig_map, (across<<1) + gradx1,(down<<1) + grady1)));
         }
       }
     }
@@ -757,9 +806,20 @@
     add_drop(ripple_blob, splash);
 
   if (transparent) {
+    if (grayscale_p)
+    {
+      int across, down;
+      for (down = 0; down < bigheight; down++)
+        for (across = 0; across < bigwidth; across++)
+          XPutPixel(buffer_map, across, down,
+                    grayscale(XGetPixel(orig_map, across, down)));
+    }
+    else
+    {  
     /* There's got to be a better way of doing this  XCopyArea? */
     memcpy(buffer_map->data, orig_map->data,
            bigheight * buffer_map->bytes_per_line);
+    }
   } else {
     int across, down, color;
 
@@ -892,6 +952,7 @@
   "*stir: 		False",
   "*fluidity: 		6",
   "*light: 		0",
+  "*grayscale: 		False",
 #ifdef HAVE_XSHM_EXTENSION
   "*useSHM: True",
 #endif				/* HAVE_XSHM_EXTENSION */
@@ -910,6 +971,7 @@
   {"-stir",	".stir",	XrmoptionNoArg, "True"},
   {"-fluidity",	".fluidity",	XrmoptionSepArg, 0},
   {"-light",	".light",	XrmoptionSepArg, 0},
+  {"-grayscale",	".grayscale",	XrmoptionNoArg, "True"},
 #ifdef HAVE_XSHM_EXTENSION
   {"-shm",	".useSHM",	XrmoptionNoArg, "True"},
   {"-no-shm",	".useSHM",	XrmoptionNoArg, "False"},
@@ -928,6 +990,7 @@
   int stir = get_boolean_resource("stir", "Boolean");
   int fluidity = get_integer_resource("fluidity", "Integer");
   transparent = get_boolean_resource("water", "Boolean");
+  grayscale_p = get_boolean_resource("grayscale", "Boolean");
 #ifdef HAVE_XSHM_EXTENSION
   use_shm = get_boolean_resource("useSHM", "Boolean");
 #endif /* HAVE_XSHM_EXTENSION */
@@ -964,9 +1027,16 @@
     maxbits = MIN(MIN(BITCOUNT(rmask), BITCOUNT(gmask)), BITCOUNT(bmask));
     light -= 8-maxbits;
     if (light < 0) light = 0;
-  } else
+  } else {
+    if (grayscale_p)
+    { 
+      set_mask(visual->red_mask,   &rmask, &rshift);
+      set_mask(visual->green_mask, &gmask, &gshift);
+      set_mask(visual->blue_mask,  &bmask, &bshift);
+    }
     draw_transparent = draw_transparent_vanilla;
-
+  }
+  
   init_ripples(0, -SPLASH); /* Start off without any drops */
 
   /* Main drawing loop */

=== modified file 'hacks/ripples.man'
--- hacks/ripples.man	2005-04-09 00:06:43 +0000
+++ hacks/ripples.man	2005-12-08 16:00:22 +0000
@@ -14,6 +14,7 @@
 [\-water]
 [\-stir]
 [\-oily]
+[\-grayscale]
 [\-colors \fInumber\fP]
 [\-no-shm]
 .SH DESCRIPTION
@@ -53,6 +54,11 @@
 .B \-oily | \-no-oily
 Psychedelic Colors.  Boolean.
 .TP 8
+.B \-grayscale
+Convert the screen image to grayscale.
+Ignored if we don't grab the screen image or if our screen doesn't have
+enough color depth.
+.TP 8
 .B \-colors \fInumber\fP
 Colors Two.  Default: 200.
 .TP 8

=== modified file 'hacks/rorschach.man'
--- hacks/rorschach.man	2002-04-07 12:17:37 +0000
+++ hacks/rorschach.man	2006-06-30 16:27:21 +0000
@@ -3,7 +3,7 @@
 rorschach - simulate ink-blot patterns
 .SH SYNOPSIS
 .B rorschach
-[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-iterations \fIinteger\fP] [\-offset \fIinteger\fP] [\-xsymmetry] [\-ysymmetry] [\-erase\-mode \fIinteger\fP] [\-erase\-speed \fIusecs\fP] [\-delay \fIsecs\fP]
+[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-iterations \fIinteger\fP] [\-offset \fIinteger\fP] [\-xsymmetry] [\-ysymmetry] [\-erase\-speed \fIusecs\fP] [\-delay \fIsecs\fP]
 .SH DESCRIPTION
 The \fIrorschach\fP program draws random patterns reminiscent of the
 psychological test of same name.
@@ -39,10 +39,6 @@
 .B \-ysymmetry
 Whether the images should be vertically symmetrical.  Default false.
 .TP 8
-.B \-erase\-mode \fIinteger\fP
-This sets the erase mode. Mode \-1 chooses a random mode each time. There
-are currently 6 modes defined (0\-5).
-.TP 8
 .B \-erase\-speed \fIusecs\fP
 This controls the speed at which the screen will be erased. (Delay between
 erasing of individual lines.)

=== modified file 'hacks/rotzoomer.man'
--- hacks/rotzoomer.man	2002-04-07 12:17:37 +0000
+++ hacks/rotzoomer.man	2006-06-30 16:27:21 +0000
@@ -5,7 +5,7 @@
 .B rotzoomer
 [\-display \fIhost:display.screen\fP]
 [\-move | \-no\-move]
-[\-delay \fIusecs\fP]
+[\-delay \fImillisecs\fP]
 [\-n \fIcount\fP]
 [\-shm | \-no\-shm]
 [\-window] [\-root] [\-install] [\-visual \fIvisual\fP]
@@ -39,9 +39,9 @@
 Specify which visual to use.  Legal values are the name of a visual class,
 or the id number (decimal or hex) of a specific visual.
 .TP 8
-.B \-delay \fImicroseconds\fP
+.B \-delay \fImilliseconds\fP
 How much of a delay should be introduced between steps of the animation.
-Default 10000, or about 1/100th second.
+Default 10, or about 1/100th second.
 .TP 8
 .B \-move
 Make the rectangles should wander around the screen.
@@ -50,7 +50,7 @@
 Make the rectangles be stationary.  This is the default.
 .TP 8
 .B \-n \fIcount\fP
-How many rectangles to animate simultaniously.  Default 2.
+How many rectangles to animate simultaneously.  Default 2.
 .TP 8
 .B \-no\-shm
 Disable use of the SHM extension, even if it appears to be available.

=== modified file 'hacks/shadebobs.man'
--- hacks/shadebobs.man	2005-04-09 00:06:43 +0000
+++ hacks/shadebobs.man	2006-06-30 16:27:21 +0000
@@ -33,7 +33,7 @@
 Count.	0 - 20.  Default: 4.
 .TP 8
 .B \-delay \fInumber\fP
-Per-frame delay, in microseconds.  Default: 5000 (0.01 seconds.).
+Per-frame delay, in microseconds.  Default: 5000 (0.005 seconds.).
 .TP 8
 .B \-cycles \fInumber\fP
 Duration.  0 - 100.  Default: 10.

=== modified file 'hacks/slidescreen.c'
--- hacks/slidescreen.c	2005-04-09 00:06:43 +0000
+++ hacks/slidescreen.c	2005-12-08 16:00:22 +0000
@@ -11,6 +11,9 @@
 
 #include "screenhack.h"
 
+enum { DOWN = 0, LEFT, UP, RIGHT };
+enum { VERTICAL, HORIZONTAL };
+
 static int grid_size;
 static int pix_inc;
 static int hole_x, hole_y;
@@ -201,7 +204,7 @@
     }
 
   XSync (dpy, False);
-  if (delay2) usleep (delay2 * 2);
+  if (delay2) usleep (delay2);
  for (i = 0; i < grid_size; i += pix_inc)
    {
      XPoint points [3];
@@ -239,42 +242,40 @@
 		  xoff + grid_size * hole_x,
 		  yoff + grid_size * hole_y,
 		  grid_size, grid_size);
+
+  XSync (dpy, False);
+  if (delay2) usleep (delay2);
 }
 
 static void
 slide1 (Display *dpy, Window window)
 {
   /* this code is a total kludge, but who cares, it works... */
- int i, x, y, ix, iy, dx, dy, dir, w, h, size, inc;
+ int rnd, i, x, y, ix, iy, dx, dy, dir, w, h, size, inc;
  static int last = -1;
- do {
-   dir = random () % 4;
-   switch (dir)
-     {
-     case 0: dx = 0,  dy = 1;  break;
-     case 1: dx = -1, dy = 0;  break;
-     case 2: dx = 0,  dy = -1; break;
-     case 3: dx = 1,  dy = 0;  break;
-     default: abort ();
-     }
- } while (dir == last ||
-	  hole_x + dx < 0 || hole_x + dx >= grid_w ||
-	  hole_y + dy < 0 || hole_y + dy >= grid_h);
- if (grid_w > 1 && grid_h > 1)
-   last = (dir == 0 ? 2 : dir == 2 ? 0 : dir == 1 ? 3 : 1);
-
- switch (dir)
-   {
-   case 0: size = 1 + (random()%(grid_h - hole_y - 1)); h = size; w = 1; break;
-   case 1: size = 1 + (random()%hole_x); 	        w = size; h = 1; break;
-   case 2: size = 1 + (random()%hole_y);	        h = size; w = 1; break;
-   case 3: size = 1 + (random()%(grid_w - hole_x - 1)); w = size; h = 1; break;
-   default: abort ();
-   }
-
- if (dx == -1) hole_x -= (size - 1);
- else if (dy == -1) hole_y -= (size - 1);
-
+
+ if (last == -1) last = random () % 2;
+
+/* alternate between horizontal and vertical slides */
+/* note that dir specifies the direction the _hole_ moves, not the tiles */
+ if (last == VERTICAL) {
+   if ((rnd = random () % (grid_w - 1)) < hole_x) {
+     dx = -1; dir = LEFT;  hole_x -= rnd;
+   } else {
+     dx =  1; dir = RIGHT; rnd -= hole_x;
+   }
+   dy = 0; w = size = rnd + 1; h = 1;
+   last = HORIZONTAL;
+ } else {
+   if ((rnd = random () % (grid_h - 1)) < hole_y) {
+     dy = -1; dir = UP;    hole_y -= rnd;
+   } else {
+     dy =  1; dir = DOWN;  rnd -= hole_y;
+   }
+   dx = 0; h = size = rnd + 1; w = 1;
+   last = VERTICAL;
+ }
+ 
  ix = x = xoff + (hole_x + dx) * grid_size;
  iy = y = yoff + (hole_y + dy) * grid_size;
  inc = pix_inc;
@@ -300,14 +301,14 @@
      y -= dy * inc;
      switch (dir)
        {
-       case 0: XFillRectangle (dpy, window, gc,
+       case DOWN: XFillRectangle (dpy, window, gc,
 			       ix, y + grid_size * h, grid_size * w, iy - y);
 	 break;
-       case 1: XFillRectangle (dpy, window, gc, ix, iy, x - ix, grid_size * h);
-	 break;
-       case 2: XFillRectangle (dpy, window, gc, ix, iy, grid_size * w, y - iy);
-	 break;
-       case 3: XFillRectangle (dpy, window, gc,
+       case LEFT: XFillRectangle (dpy, window, gc, ix, iy, x - ix, grid_size * h);
+	 break;
+       case UP: XFillRectangle (dpy, window, gc, ix, iy, grid_size * w, y - iy);
+	 break;
+       case RIGHT: XFillRectangle (dpy, window, gc,
 			       x + grid_size * w, iy, ix - x, grid_size * h);
 	 break;
        }
@@ -317,10 +318,10 @@
    }
  switch (dir)
    {
-   case 0: hole_y += size; break;
-   case 1: hole_x--; break;
-   case 2: hole_y--; break;
-   case 3: hole_x += size; break;
+   case DOWN: hole_y += size; break;
+   case LEFT: hole_x--; break;
+   case UP: hole_y--; break;
+   case RIGHT: hole_x += size; break;
    }
 }
 

=== modified file 'hacks/slidescreen.man'
--- hacks/slidescreen.man	2002-04-07 12:17:37 +0000
+++ hacks/slidescreen.man	2006-06-30 16:27:21 +0000
@@ -3,10 +3,17 @@
 slidescreen - permute the screen image like an 8-puzzle
 .SH SYNOPSIS
 .B slidescreen
-[\-display \fIhost:display.screen\fP] [\-background \fIcolor\fP]
-[\-grid-size \fIpixels\fP] [\-ibw \fIpixels\fP] [\-increment \fIpixels\fP]
-[\-delay \fIusecs\fP] [\-delay2 \fIusecs\fP]
-[\-window] [\-root] [\-install] [\-visual \fIvisual\fP]
+[\-display \fIhost:display.screen\fP]
+[\-background \fIcolor\fP]
+[\-grid-size \fIpixels\fP]
+[\-ibw \fIpixels\fP]
+[\-increment \fIpixels\fP]
+[\-delay \fIusecs\fP]
+[\-delay2 \fIusecs\fP]
+[\-window]
+[\-root]
+[\-install]
+[\-visual \fIvisual\fP]
 .SH DESCRIPTION
 The \fIslidescreen\fP program takes an image, divides it into
 a grid, deletes a random square of that grid, and then randomly slides 
@@ -41,7 +48,7 @@
 The size of the grid cells.  Default 70 pixels.
 .TP 8
 .B \-ibw \fIpixels\fP
-The size of the "gutter" between grid cells.  Default 1 pixel.
+The size of the "gutter" between grid cells.  Default 4 pixel.
 .TP 8
 .B \-increment \fIpixels\fP
 How many pixels by which a piece should be moved when sliding to a new 
@@ -52,7 +59,7 @@
 the motion of each segment.  Default 50000, which is 0.05 seconds.  This
 is closely related to the \fI\-increment\fP parameter.
 .TP 8
-.B \-delay \fImicroseconds\fP
+.B \-delay2 \fImicroseconds\fP
 How much of a delay should be introduced between the end of the motion of
 one segment and the beginning of the motion of another.  Default 1000000,
 which is one second.

=== modified file 'hacks/slip.man'
--- hacks/slip.man	2002-04-07 12:17:37 +0000
+++ hacks/slip.man	2006-06-30 16:27:21 +0000
@@ -40,7 +40,7 @@
 or the id number (decimal or hex) of a specific visual.
 .TP 8
 .B \-ncolors \fIinteger\fP
-How many colors should be used (if possible).  Default 128.
+How many colors should be used (if possible).  Default 200.
 The colors used cycle through the hue, making N stops around 
 the color wheel.
 .TP 8

=== modified file 'hacks/sonar.c'
--- hacks/sonar.c	2005-04-09 00:06:43 +0000
+++ hacks/sonar.c	2006-06-30 16:27:21 +0000
@@ -38,7 +38,7 @@
  * software for any purpose.  It is provided "as is" without express or 
  * implied warranty.
  *
- * $Revision: 1.37 $
+ * $Revision: 1.39 $
  *
  * Version 1.0 April 27, 1998.
  * - Initial version
@@ -537,8 +537,9 @@
       hent = gethostbyname (target->name);
       if (!hent)
         {
-          fprintf (stderr, "%s: could not resolve host:  %s\n",
-                   progname, target->name);
+          if (debug_p)
+            fprintf (stderr, "%s: could not resolve host:  %s\n",
+                     progname, target->name);
           return 0;
         }
 
@@ -608,7 +609,7 @@
       struct sockaddr_in *iaddr = (struct sockaddr_in *) &(target->address);
       unsigned long ip = iaddr->sin_addr.s_addr;
 
-      if ((ntohl (ip) & 0xFFFFFF00L) == 0x7f000000L)  /* 127.0.0 */
+      if ((ntohl (ip) & 0xFFFFFF00L) == 0x7f000000L)  /* 127.0.0.x */
         {
           if (debug_p)
             fprintf (stderr, "%s:   ignoring loopback host %s\n",
@@ -617,6 +618,19 @@
         }
     }
 
+    /* Don't ever use broadcast (255.x.x.x) hosts */
+    {
+      struct sockaddr_in *iaddr = (struct sockaddr_in *) &(target->address);
+      unsigned long ip = iaddr->sin_addr.s_addr;
+      if ((ntohl (ip) & 0xFF000000L) == 0xFF000000L)  /* 255.x.x.x */
+        {
+          if (debug_p)
+            fprintf (stderr, "%s:   ignoring broadcast host %s\n",
+                     progname, target->name);
+          goto target_init_error;
+        }
+    }
+
     /* Done */
 
     if (debug_p)
@@ -950,9 +964,18 @@
 	goto ping_init_error;
     }
 
-    /* Create the ICMP socket */
-
-    if ((pi->icmpsock = socket(AF_INET, SOCK_RAW, IPPROTO_ICMP)) >= 0) {
+    /* Create the ICMP socket.  Do this before dropping privs.
+
+       Raw sockets can only be opened by root (or setuid root), so we
+       only try to do this when the effective uid is 0.
+
+       We used to just always try, and notice the failure.  But apparently
+       that causes "SELinux" to log spurious warnings when running with the
+       "strict" policy.  So to avoid that, we just don't try unless we
+       know it will work.
+     */
+    if (geteuid() == 0 &&
+        (pi->icmpsock = socket(AF_INET, SOCK_RAW, IPPROTO_ICMP)) >= 0) {
       socket_initted_p = True;
     }
 
@@ -2148,7 +2171,14 @@
 
     sensor = 0;
 # ifdef HAVE_PING
-    sensor_info = (void *) init_ping();
+    /* init_ping() will fail if not root, so checking the effective uid
+       isn't necessary -- except that on some systems, it makes some
+       SELinux bullshit show up in syslog, which gets people's panties
+       in a bunch. */
+    if (geteuid () == 0)
+      sensor_info = (void *) init_ping();
+    else
+      sensor_info = 0;
 # else  /* !HAVE_PING */
     sensor_info = 0;
     parse_mode (0);  /* just to check argument syntax */

=== modified file 'hacks/sonar.man'
--- hacks/sonar.man	2005-04-09 00:06:43 +0000
+++ hacks/sonar.man	2005-12-08 16:00:22 +0000
@@ -205,7 +205,7 @@
 Stephen Martin <smartin@canada.com>, 3-nov-98.
 
 Thanks to Tom Kelly for suggesting a modular approach to the sensor
-amoung other things.
+among other things.
 
 Thomas Bahls <thommy@cs.tu-berlin.de> hacked the "ttl" option, 12-jul-98.
 

=== modified file 'hacks/speedmine.c'
--- hacks/speedmine.c	2005-04-09 00:06:43 +0000
+++ hacks/speedmine.c	2006-07-29 23:00:43 +0000
@@ -287,7 +287,7 @@
             }
 			r = rotation_bias + (int)(vertigo*zcc); MODULO(r, ROTS);
 
-			xvals[t][j] = xoffset + (width>>2) +
+			xvals[t][j] = xoffset + (width>>1) +
 				       	  (int)(xx * costab[r] - yy * sintab[r]);
 			maxx[t] = MAX(maxx[t], xvals[t][j]);
 			minx[t] = MIN(minx[t], xvals[t][j]);

=== modified file 'hacks/spotlight.c'
--- hacks/spotlight.c	2005-04-09 00:06:43 +0000
+++ hacks/spotlight.c	2005-12-08 16:00:22 +0000
@@ -181,9 +181,9 @@
     now = currentTimeInMs() + off;
 
     /* find new x,y */
-    x = ((1 + sin(((float)now) / X_PERIOD * 2. * M_PI))/2.0) 
+    x = ((1 + sin(((double)now) / X_PERIOD * 2. * M_PI))/2.0) 
       * (sizex - s/2) -s/4  + MINX;
-    y = ((1 + sin(((float)now) / Y_PERIOD * 2. * M_PI))/2.0) 
+    y = ((1 + sin(((double)now) / Y_PERIOD * 2. * M_PI))/2.0) 
       * (sizey - s/2) -s/4  + MINY;
     
     if (!first_p)

=== modified file 'hacks/starfish.man'
--- hacks/starfish.man	2002-04-07 12:17:37 +0000
+++ hacks/starfish.man	2005-12-08 16:00:22 +0000
@@ -33,7 +33,7 @@
 Default 10000, or about 1/100th second.
 .TP 8
 .B \-cycle\-delay \fImicroseconds\fP
-How long to wait between shifing the colormap by one step.
+How long to wait between shifting the colormap by one step.
 Default 100000, or about 1/10th second.
 .TP 8
 .B \-thickness \fIpixels\fP

=== modified file 'hacks/strange.man'
--- hacks/strange.man	2002-04-07 12:17:37 +0000
+++ hacks/strange.man	2006-06-30 16:27:21 +0000
@@ -28,7 +28,7 @@
 or the id number (decimal or hex) of a specific visual.
 .TP 8
 .B \-ncolors \fIinteger\fP
-How many colors should be used (if possible).  Default 64.
+How many colors should be used (if possible).  Default 100.
 The colors are chosen randomly.
 .SH ENVIRONMENT
 .PP

=== modified file 'hacks/substrate.c'
--- hacks/substrate.c	2005-04-09 00:06:43 +0000
+++ hacks/substrate.c	2005-12-08 16:00:22 +0000
@@ -29,6 +29,7 @@
  * implied warranty.
  */
 
+#include <math.h>
 #include "screenhack.h"
 #include <X11/Xutil.h>
 #include <stdio.h>
@@ -320,8 +321,8 @@
         if (a >= 1.0) {
             ref_pixel(f, x1, y1) = myc;
         } else {
-            int or, og, ob;
-            int r, g, b;
+            int or = 0, og = 0, ob = 0;
+            int r = 0, g = 0, b = 0;
             int nr, ng, nb;
             unsigned long c;
 

=== modified file 'hacks/substrate.man'
--- hacks/substrate.man	2005-04-09 00:06:43 +0000
+++ hacks/substrate.man	2006-06-30 16:27:21 +0000
@@ -44,7 +44,7 @@
 Number of sand grains dropped during coloring.  More grains cause 
 a denser colour but use more cpu power.
 .TP 8
-.B \-circle-percent \fIcirclepercent\fP (Default: \fI33\fP)
+.B \-circle-percent \fIcirclepercent\fP (Default: \fI0\fP)
 The percentage of the cracks will be circular.
 .SH ENVIRONMENT
 .PP

=== modified file 'hacks/t3d.man'
--- hacks/t3d.man	2002-04-07 12:17:37 +0000
+++ hacks/t3d.man	2006-06-30 16:27:21 +0000
@@ -55,7 +55,7 @@
 .I period
 seconds. By default, this value is 10 seconds.
 .TP
-.BI "-wait " "microsec"
+.BI "-delay " "microsec"
 Inserts a wait after drawing one view of the clock. By default, t3d waits
 40 ms after each drawing. This helps you to keep the performance loss
 small.
@@ -118,7 +118,7 @@
 some posters weren't an inspiration for T3D. I don't know anything
 about the other way round.
 
-The programming style of T3D isn't intented as example of good style,
+The programming style of T3D isn't intended as example of good style,
 but as example of how a fast prototyped demo may look like. T3D wasn't
 created to be useful, it was created to be nice.
 

=== modified file 'hacks/thornbird.c'
--- hacks/thornbird.c	2005-04-09 00:06:43 +0000
+++ hacks/thornbird.c	2005-12-08 16:00:22 +0000
@@ -6,7 +6,7 @@
 #endif
 
 /*-
- * Copyright (c) 1996 by Tim Auckland <Tim.Auckland@Procket.com>
+ * Copyright (c) 1996 by Tim Auckland <tda10.geo@yahoo.com>
  *
  * Permission to use, copy, modify, and distribute this software and its
  * documentation for any purpose and without fee is hereby granted,

=== modified file 'hacks/truchet.man'
--- hacks/truchet.man	2005-04-09 00:06:43 +0000
+++ hacks/truchet.man	2006-06-30 16:27:21 +0000
@@ -4,7 +4,7 @@
 .SH SYNOPSIS
 .B truchet
 [\-display \fIhost:display.screen\fP]  [\-foreground \fIcolor\fP] [\-background \fIcolor\fP]
-[\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP]
+[\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-delay \fImilliseconds\fP]
 [\-min\-width \fIinteger\fP] [\-min-height \fIinteger\fP] [\-max-width \fIinteger\fP] 
 [\-max-height \fIinteger\fP] [\-max\-linewidth \fIinteger\fP] [\-min-linewidth \fIinteger\fP] 
 [\-erase] [\-no\-erase] [\-erase\-count \fIinteger\fP] [\-square] [\-not\-square] [\-curves]
@@ -34,8 +34,8 @@
 or the id number (decimal or hex) of a specific visual.
 
 .TP 8
-.B \-delay \fImicroseconds\fP
-How long to wait between drawing each screenful. Default is 3 seconds.
+.B \-delay \fImilliseconds\fP
+How long to wait between drawing each screenful. Default is 1 seconds.
 
 .TP 8 
 .B \-min-width \fIinteger\fP
@@ -77,7 +77,7 @@
 
 .TP 8
 .B \-not-square
-Whether to force the tiles to be square. Defualt is False (not-square).
+Whether to force the tiles to be square. Default is True (square).
 
 .TP 8
 .B \-curves

=== modified file 'hacks/vidwhacker'
--- hacks/vidwhacker	2005-04-09 00:06:43 +0000
+++ hacks/vidwhacker	2006-07-29 23:00:43 +0000
@@ -1,5 +1,5 @@
 #!/usr/bin/perl -w
-# vidwhacker, for xscreensaver.  Copyright (c) 1998-2004 Jamie Zawinski.
+# vidwhacker, for xscreensaver.  Copyright (c) 1998-2005 Jamie Zawinski.
 #
 # Permission to use, copy, modify, distribute, and sell this software and its
 # documentation for any purpose is hereby granted without fee, provided that
@@ -21,7 +21,7 @@
 use strict;
 
 my $progname = $0; $progname =~ s@.*/@@g;
-my $version = q{ $Revision: 1.25 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
+my $version = q{ $Revision: 1.28 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
 
 my $verbose = 0;
 my $use_stdin = 0;
@@ -35,6 +35,7 @@
 
 my $displayer = "xscreensaver-getimage -root -file";
 
+sub which($);
 
 # apparently some versions of netpbm call it "pamoil" instead of "pgmoil"...
 #
@@ -114,28 +115,22 @@
 );
 
 
-sub error {
-  ($_) = @_;
-  print STDERR "$progname: $_\n";
-  exit 1;
-}
-
 # Any files on this list will be deleted at exit.
 #
 my @all_tmpfiles = ();
 
-sub exit_cleanup {
+sub exit_cleanup() {
   print STDERR "$progname: delete tmp files\n" if ($verbose);
   unlink @all_tmpfiles;
 }
 
-sub signal_cleanup {
+sub signal_cleanup() {
   my ($sig) = @_;
   print STDERR "$progname: caught SIG$sig\n" if ($verbose);
   exit 1;
 }
 
-sub init_signals {
+sub init_signals() {
 
   $SIG{HUP}  = \&signal_cleanup;
   $SIG{INT}  = \&signal_cleanup;
@@ -151,11 +146,9 @@
 END { exit_cleanup(); }
 
 
-
-
 # returns the full path of the named program, or undef.
 #
-sub which {
+sub which($) {
   my ($prog) = @_;
   foreach (split (/:/, $ENV{PATH})) {
     if (-x "$_/$prog") {
@@ -168,7 +161,7 @@
 
 # Choose random foreground and background colors
 #
-sub randcolors {
+sub randcolors() {
   return sprintf ("#%02x%02x%02x-#%02x%02x%02x",
                   int(rand()*60),
                   int(rand()*60),
@@ -180,7 +173,7 @@
 
 
 
-sub filter_subst {
+sub filter_subst($$$@) {
   my ($filter, $width, $height, @tmpfiles) = @_;
   my $colors = randcolors();
   $filter =~ s/\bWIDTH\b/$width/g;
@@ -192,7 +185,7 @@
     $i++;
   }
   if ($filter =~ m/([A-Z]+)/) {
-    error "internal error: what is \"$1\"?";
+    error ("internal error: what is \"$1\"?");
   }
   $filter =~ s/  +/ /g;
   return $filter;
@@ -200,14 +193,14 @@
 
 # Frobnicate the image in some random way.
 #
-sub frob_ppm {
+sub frob_ppm($) {
   my ($ppm_data) = @_;
   $_ = $ppm_data;
 
-  error "0-length data" if (!defined($ppm_data) || $ppm_data eq  "");
-  error "not a PPM file" unless (m/^P\d\n/s);
+  error ("0-length data") if (!defined($ppm_data) || $ppm_data eq  "");
+  error ("not a PPM file") unless (m/^P\d\n/s);
   my ($width, $height) = m/^P\d\n(\d+) (\d+)\n/s;
-  error "got a bogus PPM" unless ($width && $height);
+  error ("got a bogus PPM") unless ($width && $height);
 
   my $tmpdir = $ENV{TMPDIR};
   $tmpdir = "/tmp" unless $tmpdir;
@@ -255,13 +248,13 @@
 }
 
 
-sub read_config {
+sub read_config() {
   my $conf = "$ENV{HOME}/.xscreensaver";
 
   my $had_dir = defined($imagedir);
 
   local *IN;
-  open (IN, "<$conf") ||  error "reading $conf: $!";
+  open (IN, "<$conf") ||  error ("reading $conf: $!");
   while (<IN>) {
     if (!$imagedir && m/^imageDirectory:\s+(.*)\s*$/i) { $imagedir = $1; }
     elsif (m/^grabVideoFrames:\s+true\s*$/i)     { $video_p = 1; }
@@ -276,14 +269,14 @@
   $imagedir = undef unless ($imagedir && $imagedir ne '');
 
   if (!$file_p && !$video_p) {
-#    error "neither grabVideoFrames nor chooseRandomImages are set\n\t" .
+#    error ("neither grabVideoFrames nor chooseRandomImages are set\n\t") .
 #      "in $conf; $progname requires one or both."
     $file_p = 1;
   }
 
   if ($file_p) {
-    error "no imageDirectory set in $conf" unless $imagedir;
-    error "imageDirectory $imagedir doesn't exist" unless (-d $imagedir);
+    error ("no imageDirectory set in $conf") unless $imagedir;
+    error ("imageDirectory $imagedir doesn't exist") unless (-d $imagedir);
   }
 
   if ($verbose > 1) {
@@ -295,7 +288,7 @@
 }
 
 
-sub get_ppm {
+sub get_ppm() {
   if ($use_stdin) {
     print STDERR "$progname: reading from stdin\n" if ($verbose > 1);
     my $ppm = "";
@@ -314,7 +307,7 @@
     elsif ($file_p)  { $do_file_p = 1; }
     elsif ($video_p) { $do_file_p = 0; }
     else {
-      error "internal error: not grabbing files or video?";
+      error ("internal error: not grabbing files or video?");
     }
 
     my $v = ($verbose <= 1 ? "" : "-" . ("v" x ($verbose-1)));
@@ -332,7 +325,7 @@
       print STDERR "$progname: running: $cmd\n" if ($verbose > 1);
       my $fn = `$cmd`;
       $fn =~ s/\n$//s;
-      error "didn't get a file?" if ($fn eq "");
+      error ("didn't get a file?") if ($fn eq "");
 
       print STDERR "$progname: selected file $fn\n" if ($verbose > 1);
 
@@ -344,7 +337,9 @@
       elsif ($fn =~ m/\.tiff?/i) { $cmd = "tifftopnm < \"$fn\""; }
       elsif ($fn =~ m/\.p[bgp]m/i) { return `cat \"$fn\"`; }
       else {
-        error "unrecognized file extension on $fn";
+        print STDERR "$progname: $fn: unrecognized file extension\n";
+        # go around the loop and get another
+        return undef;
       }
 
       print STDERR "$progname: converting with: $cmd\n" if ($verbose > 1);
@@ -355,12 +350,12 @@
 
       print STDERR "$progname: running: $cmd\n" if ($verbose > 1);
       $ppm = `$cmd`;
-      error "no data?" if ($ppm eq "");
-      error "not a PPM file" unless ($ppm =~ m/^P\d\n/s);
+      error ("no data?") if ($ppm eq "");
+      error ("not a PPM file") unless ($ppm =~ m/^P\d\n/s);
 
       $_ = $ppm;
       my ($width, $height) = m/^P\d\n(\d+) (\d+)\n/s;
-      error "got a bogus PPM" unless ($width && $height);
+      error ("got a bogus PPM") unless ($width && $height);
       print STDERR "$progname: grabbed ${width}x$height PPM\n"
         if ($verbose > 1);
       $_ = 0;
@@ -370,11 +365,11 @@
   }
 }
 
-sub dispose_ppm {
+sub dispose_ppm($) {
   my ($ppm) = @_;
 
-  error "0-length data" if (!defined($ppm) || $ppm eq  "");
-  error "not a PPM file" unless ($ppm =~ m/^P\d\n/s);
+  error ("0-length data") if (!defined($ppm) || $ppm eq  "");
+  error ("not a PPM file") unless ($ppm =~ m/^P\d\n/s);
 
   if ($use_stdout) {
     print STDERR "$progname: writing to stdout\n" if ($verbose > 1);
@@ -387,7 +382,7 @@
     local *OUT;
     unlink $fn;
     push @all_tmpfiles, $fn;
-    open (OUT, ">$fn") || error "writing $fn: $!";
+    open (OUT, ">$fn") || error ("writing $fn: $!");
     print OUT $ppm;
     close OUT;
 
@@ -412,7 +407,7 @@
 
 my $stdin_ppm = undef;
 
-sub vidwhack {
+sub vidwhack() {
   my $ppm;
   if ($use_stdin) {
     if (!defined($stdin_ppm)) {
@@ -436,7 +431,13 @@
 }
 
 
-sub usage {
+sub error($) {
+  my ($err) = @_;
+  print STDERR "$progname: $err\n";
+  exit 1;
+}
+
+sub usage() {
   print STDERR "VidWhacker, Copyright (c) 2001 Jamie Zawinski <jwz\@jwz.org>\n";
   print STDERR "            http://www.jwz.org/xscreensaver/";
   print STDERR "\n";
@@ -447,7 +448,7 @@
   exit 1;
 }
 
-sub main {
+sub main() {
   while ($_ = $ARGV[0]) {
     shift @ARGV;
     if ($_ eq "--verbose") { $verbose++; }
@@ -494,5 +495,5 @@
   }
 }
 
-main;
+main();
 exit 0;

=== modified file 'hacks/vidwhacker.man'
--- hacks/vidwhacker.man	2002-04-07 12:17:37 +0000
+++ hacks/vidwhacker.man	2005-12-08 16:00:22 +0000
@@ -33,7 +33,7 @@
 .TP 8
 .B \-stdin
 Instead of grabbing an image from disk or video, read an image
-to maniupulate from stdin.  This image must be in
+to manipulate from stdin.  This image must be in
 .BR ppm (5)
 format.  The program will still perform repeated random image 
 transformations, but it will always use this one image as its starting point.

=== modified file 'hacks/vines.man'
--- hacks/vines.man	2002-04-07 12:17:37 +0000
+++ hacks/vines.man	2006-06-30 16:27:21 +0000
@@ -30,7 +30,7 @@
 or the id number (decimal or hex) of a specific visual.
 .TP 8
 .B \-ncolors \fIinteger\fP
-How many colors should be used (if possible).  Default 200.
+How many colors should be used (if possible).  Default 64.
 The colors are chosen randomly.
 .SH ENVIRONMENT
 .PP

=== modified file 'hacks/webcollage'
--- hacks/webcollage	2005-04-09 00:06:43 +0000
+++ hacks/webcollage	2005-12-08 16:00:22 +0000
@@ -60,20 +60,21 @@
 
 
 my $progname = $0; $progname =~ s@.*/@@g;
-my $version = q{ $Revision: 1.125 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
+my $version = q{ $Revision: 1.129 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
 my $copyright = "WebCollage $version, Copyright (c) 1999-2005" .
     " Jamie Zawinski <jwz\@jwz.org>\n" .
     "            http://www.jwz.org/webcollage/\n";
 
 
 
-my @search_methods = (  58, "altavista",    \&pick_from_alta_vista_random_link,
+my @search_methods = (  56, "altavista",    \&pick_from_alta_vista_random_link,
                         11, "livejournal",  \&pick_from_livejournal_images,
-                         7, "yahoorand",    \&pick_from_yahoo_random_link,
+                         5, "yahoorand",    \&pick_from_yahoo_random_link,
                         10, "googlephotos", \&pick_from_google_image_photos,
-                         6, "googleimgs",   \&pick_from_google_images,
+                         5, "googleimgs",   \&pick_from_google_images,
                          3, "googlenums",   \&pick_from_google_image_numbers,
-                         5, "flickr",       \&pick_from_flickr,
+                         2, "flickr_recent", \&pick_from_flickr_recent,
+                         8, "flickr_random", \&pick_from_flickr_random,
 
                      # In Apr 2002, Google asked me to stop searching them.
                      # I asked them to add a "random link" url.  They said
@@ -211,6 +212,39 @@
 );
 
 
+# For decoding HTML-encoded character entities to URLs.
+#
+my %entity_table = (
+   "apos"   => '\'',
+   "quot"   => '"', "amp"    => '&', "lt"     => '<', "gt"     => '>',
+   "nbsp"   => ' ', "iexcl"  => '', "cent"   => '', "pound"  => '',
+   "curren" => '', "yen"    => '', "brvbar" => '', "sect"   => '',
+   "uml"    => '', "copy"   => '', "ordf"   => '', "laquo"  => '',
+   "not"    => '', "shy"    => '', "reg"    => '', "macr"   => '',
+   "deg"    => '', "plusmn" => '', "sup2"   => '', "sup3"   => '',
+   "acute"  => '', "micro"  => '', "para"   => '', "middot" => '',
+   "cedil"  => '', "sup1"   => '', "ordm"   => '', "raquo"  => '',
+   "frac14" => '', "frac12" => '', "frac34" => '', "iquest" => '',
+   "Agrave" => '', "Aacute" => '', "Acirc"  => '', "Atilde" => '',
+   "Auml"   => '', "Aring"  => '', "AElig"  => '', "Ccedil" => '',
+   "Egrave" => '', "Eacute" => '', "Ecirc"  => '', "Euml"   => '',
+   "Igrave" => '', "Iacute" => '', "Icirc"  => '', "Iuml"   => '',
+   "ETH"    => '', "Ntilde" => '', "Ograve" => '', "Oacute" => '',
+   "Ocirc"  => '', "Otilde" => '', "Ouml"   => '', "times"  => '',
+   "Oslash" => '', "Ugrave" => '', "Uacute" => '', "Ucirc"  => '',
+   "Uuml"   => '', "Yacute" => '', "THORN"  => '', "szlig"  => '',
+   "agrave" => '', "aacute" => '', "acirc"  => '', "atilde" => '',
+   "auml"   => '', "aring"  => '', "aelig"  => '', "ccedil" => '',
+   "egrave" => '', "eacute" => '', "ecirc"  => '', "euml"   => '',
+   "igrave" => '', "iacute" => '', "icirc"  => '', "iuml"   => '',
+   "eth"    => '', "ntilde" => '', "ograve" => '', "oacute" => '',
+   "ocirc"  => '', "otilde" => '', "ouml"   => '', "divide" => '',
+   "oslash" => '', "ugrave" => '', "uacute" => '', "ucirc"  => '',
+   "uuml"   => '', "yacute" => '', "thorn"  => '', "yuml"   => '',
+   "ndash"  => '-', "mdash"  => "--"
+);
+
+
 ##############################################################################
 #
 # Various global flags set by command line parameters, or computed
@@ -275,8 +309,8 @@
 # returns three values: the HTTP response line; the document headers;
 # and the document body.
 #
-sub get_document_1 {
-  my ( $url, $referer, $timeout ) = @_;
+sub get_document_1($$$) {
+  my ($url, $referer, $timeout) = @_;
 
   if (!defined($timeout)) { $timeout = $http_timeout; }
   if ($timeout > $http_timeout) { $timeout = $http_timeout; }
@@ -444,8 +478,8 @@
 # returns two values: the document headers; and the document body.
 # if the given URL did a redirect, returns the redirected-to document.
 #
-sub get_document {
-  my ( $url, $referer, $timeout ) = @_;
+sub get_document($$;$) {
+  my ($url, $referer, $timeout) = @_;
   my $start = time;
 
   if (defined($referer) && $referer eq $driftnet_magic) {
@@ -537,7 +571,7 @@
 # in again, but you have to present the old cookie to get the new cookie.
 # So, by doing this, the built-in cypherpunks cookie will never go "stale".
 #
-sub set_cookie {
+sub set_cookie($$) {
   my ($host, $cookie) = @_;
   my $oc = $cookies{$host};
   return unless $oc;
@@ -563,8 +597,8 @@
 # given a URL and the body text at that URL, selects and returns a random
 # image from it.  returns () if no suitable images found.
 #
-sub pick_image_from_body {
-  my ( $url, $body ) = @_;
+sub pick_image_from_body($$) {
+  my ($url, $body) = @_;
 
   my $base = $url;
   $_ = $url;
@@ -770,6 +804,29 @@
   return $url;
 }
 
+# Given a URL and the RSS feed from that URL, pick a random image from
+# the feed.  This is a lot simpler than extracting images out of a page:
+# we already know we have reasonable images, so we just pick one.
+# Returns: the real URL of the page (preferably not the RSS version),
+# and the image.
+
+sub pick_image_from_rss($$) {
+  my ( $url, $body ) = @_;
+  my @suitable = ($body =~ m/<enclosure url="(.*?)"/g);
+
+  my ($base) = ($body =~ m@<link>([^<>]+)</link>@i);
+  $base = $url unless $base;
+
+  # pick a random element of the table
+  if (@suitable) {
+    my $i = int(rand(scalar @suitable));
+    my $url = $suitable[$i];
+    LOG ($verbose_load, "picked image " .($i+1) . "/" . 
+                        ($#suitable+1) . ": $url");
+    return ($base, $url);
+  }
+  return;
+}
 
 
 ############################################################################
@@ -779,7 +836,7 @@
 ############################################################################
 
 
-sub pick_dictionary {
+sub pick_dictionary() {
   my @dicts = ("/usr/dict/words",
                "/usr/share/dict/words",
                "/usr/share/lib/dict/words");
@@ -794,7 +851,7 @@
 
 # returns a random word from the dictionary
 #
-sub random_word {
+sub random_word() {
 
   local *IN;
   if (! open (IN, "<$wordlist")) {
@@ -846,7 +903,7 @@
 }
 
 
-sub random_words {
+sub random_words($) {
   my ($or_p) = @_;
   my $sep = ($or_p ? "%20OR%20" : "%20");
   return (random_word . $sep .
@@ -857,20 +914,20 @@
 }
 
 
-sub url_quote {
+sub url_quote($) {
   my ($s) = @_;
   $s =~ s|([^-a-zA-Z0-9.\@/_\r\n])|sprintf("%%%02X", ord($1))|ge;
   return $s;
 }
 
-sub url_unquote {
+sub url_unquote($) {
   my ($s) = @_;
   $s =~ s/[+]/ /g;
   $s =~ s/%([a-z0-9]{2})/chr(hex($1))/ige;
   return $s;
 }
 
-sub html_quote {
+sub html_quote($) {
   my ($s) = @_;
   $s =~ s/&/&amp;/gi;
   $s =~ s/</&lt;/gi;
@@ -879,12 +936,10 @@
   return $s;
 }
 
-sub html_unquote {
+sub html_unquote($) {
   my ($s) = @_;
-  $s =~ s/&lt;/</gi;       # far from exhaustive...
-  $s =~ s/&gt;/</gi;
-  $s =~ s/&quot;/\"/gi;
-  $s =~ s/&amp;/&/gi;
+  $s =~ s/(&([a-z]+);)/{ $entity_table{$2} || $1; }/gexi;  # e.g., &apos;
+  $s =~ s/(&\#(\d+);)/{ chr($2) }/gexi;                    # e.g., &#39;
   return $s;
 }
 
@@ -895,7 +950,7 @@
 # Note that this list contains all kinds of internal search engine
 # junk URLs too -- caller must prune them.
 #
-sub pick_from_search_engine {
+sub pick_from_search_engine($$$) {
   my ( $timeout, $search_url, $words ) = @_;
 
   $_ = $words;
@@ -1003,7 +1058,7 @@
 }
 
 
-sub depoison {
+sub depoison(@) {
   my (@urls) = @_;
   my @urls2 = ();
   foreach (@urls) {
@@ -1036,7 +1091,7 @@
 # random image from it.
 # returns the url of the page loaded; the url of the image chosen.
 #
-sub pick_image_from_pages {
+sub pick_image_from_pages($$$$@) {
   my ($base, $total_hit_count, $unfiltered_link_count, $timeout, @pages) = @_;
 
   $total_hit_count = "?" unless defined($total_hit_count);
@@ -1087,8 +1142,8 @@
 # returns two URLs: the page containing the image, and the image.
 # Returns () if nothing found this time.
 #
-sub pick_from_yahoo_random_link {
-  my ( $timeout ) = @_;
+sub pick_from_yahoo_random_link($) {
+  my ($timeout) = @_;
 
   print STDERR "\n\n" if ($verbose_load);
   LOG ($verbose_load, "URL: $yahoo_random_link");
@@ -1130,8 +1185,8 @@
 # returns two URLs: the page containing the image, and the image.
 # Returns () if nothing found this time.
 #
-sub pick_from_alta_vista_random_link {
-  my ( $timeout ) = @_;
+sub pick_from_alta_vista_random_link($) {
+  my ($timeout) = @_;
 
   print STDERR "\n\n" if ($verbose_load);
   LOG ($verbose_load, "URL: $alta_vista_random_link");
@@ -1177,8 +1232,8 @@
                             "&q=";
 
 # avimages
-sub pick_from_alta_vista_images {
-  my ( $timeout ) = @_;
+sub pick_from_alta_vista_images($) {
+  my ($timeout) = @_;
 
   my $words = random_word();
   my $page = (int(rand(9)) + 1);
@@ -1234,8 +1289,8 @@
                             "&q=";
 
 # googleimgs
-sub pick_from_google_images {
-  my ( $timeout, $words, $max_page ) = @_;
+sub pick_from_google_images($;$$) {
+  my ($timeout, $words, $max_page) = @_;
 
   if (!defined($words)) {
     $words = random_word;   # only one word for Google
@@ -1291,8 +1346,8 @@
 
 
 # googlenums
-sub pick_from_google_image_numbers {
-  my ( $timeout ) = @_;
+sub pick_from_google_image_numbers($) {
+  my ($timeout) = @_;
 
   my $max = 9999;
   my $number = int(rand($max));
@@ -1360,8 +1415,8 @@
 
 
 # googlephotos
-sub pick_from_google_image_photos {
-  my ( $timeout ) = @_;
+sub pick_from_google_image_photos($) {
+  my ($timeout) = @_;
 
   my $i = int(rand($#photomakers + 1));
   my $fn = $photomakers[$i];
@@ -1389,8 +1444,8 @@
                      "&aqo=";
 
 # avtext
-sub pick_from_alta_vista_text {
-  my ( $timeout ) = @_;
+sub pick_from_alta_vista_text($) {
+  my ($timeout) = @_;
 
   my $words = random_words(0);
   my $page = (int(rand(9)) + 1);
@@ -1447,8 +1502,8 @@
                         "&cobrand=undefined" .
                         "&query=");
 
-sub pick_from_hotbot_text {
-  my ( $timeout ) = @_;
+sub pick_from_hotbot_text($) {
+  my ($timeout) = @_;
 
   $last_search = $hotbot_search_url;   # for warnings
 
@@ -1498,8 +1553,8 @@
                        "&tab=web" .
                        "&query=";
 
-sub pick_from_lycos_text {
-  my ( $timeout ) = @_;
+sub pick_from_lycos_text($) {
+  my ($timeout) = @_;
 
   $last_search = $lycos_search_url;   # for warnings
 
@@ -1554,8 +1609,8 @@
                      "&p=";
 
 # yahoonews
-sub pick_from_yahoo_news_text {
-  my ( $timeout ) = @_;
+sub pick_from_yahoo_news_text($) {
+  my ($timeout) = @_;
 
   $last_search = $yahoo_news_url;   # for warnings
 
@@ -1604,8 +1659,8 @@
 my %lj_cache = (); # hash, for detecting dups
 
 # livejournal
-sub pick_from_livejournal_images {
-  my ( $timeout ) = @_;
+sub pick_from_livejournal_images($) {
+  my ($timeout) = @_;
 
   $last_search = $livejournal_img_url;   # for warnings
 
@@ -1666,8 +1721,8 @@
 my $ircimages_url = "http://ircimages.com/";
 
 # ircimages
-sub pick_from_ircimages {
-  my ( $timeout ) = @_;
+sub pick_from_ircimages($) {
+  my ($timeout) = @_;
 
   $last_search = $ircimages_url;   # for warnings
 
@@ -1732,9 +1787,9 @@
 my %flickr_cache = (); # hash, for detecting dups
 
 
-# flickr
-sub pick_from_flickr {
-  my ( $timeout ) = @_;
+# flickr_recent
+sub pick_from_flickr_recent($) {
+  my ($timeout) = @_;
 
   my $start = 16 * int(rand(100));
 
@@ -1803,6 +1858,47 @@
 
 ############################################################################
 #
+# Pick images from a random RSS feed on Flickr.
+#
+############################################################################
+
+my $flickr_rss_base = ("http://www.flickr.com/services/feeds/photos_public.gne" .
+                       "?format=rss_200_enc&tags=");
+
+# Picks a random RSS feed; picks a random image from that feed;
+# returns 2 URLs: the page containing the image, and the image.
+# Mostly by Joe Mcmahon <mcmahon@yahoo-inc.com>
+#
+# flickr_random
+sub pick_from_flickr_random($) {
+  my $timeout = shift;
+
+  my $rss = $flickr_rss_base . random_word();
+  $last_search = $rss;
+
+  print STDERR "\n\n" if ($verbose_load);
+  LOG ($verbose_load, "URL: $last_search");
+
+  $suppress_audit = 1;
+
+  my ( $base, $body ) = get_document ($last_search, undef, $timeout);
+  if (!$base || !$body) {
+    $body = undef;
+    return;
+  }
+
+  my $img;
+  ($base, $img) = pick_image_from_rss ($base, $body);
+  $body = undef;
+  return () unless defined ($img);
+
+  LOG ($verbose_load, "redirected to: $base");
+  return ($base, $img);
+}
+
+
+############################################################################
+#
 # Pick images by waiting for driftnet to populate a temp dir with files.
 # Requires driftnet version 0.1.5 or later.
 # (Driftnet is a program by Chris Lightfoot that sniffs your local ethernet
@@ -1812,8 +1908,8 @@
 ############################################################################
 
 # driftnet
-sub pick_from_driftnet {
-  my ( $timeout ) = @_;
+sub pick_from_driftnet($) {
+  my ($timeout) = @_;
 
   my $id = $driftnet_magic;
   my $dir = $driftnet_dir;
@@ -1845,7 +1941,7 @@
 }
 
 
-sub get_driftnet_file {
+sub get_driftnet_file($) {
   my ($file) = @_;
 
   error ("\$driftnet_dir unset?") unless ($driftnet_dir);
@@ -1865,7 +1961,7 @@
 }
 
 
-sub spawn_driftnet {
+sub spawn_driftnet($) {
   my ($cmd) = @_;
 
   # make a directory to use.
@@ -1920,8 +2016,8 @@
 # Returns () if nothing found this time.
 #
 
-sub pick_image {
-  my ( $timeout ) = @_;
+sub pick_image(;$) {
+  my ($timeout) = @_;
 
   $current_state = "select";
   $load_method = "none";
@@ -1959,21 +2055,21 @@
 #
 ############################################################################
 
-sub timestr {
+sub timestr() {
   return strftime ("%H:%M:%S: ", localtime);
 }
 
-sub blurb {
+sub blurb() {
   return "$progname: " . timestr() . "$current_state: ";
 }
 
-sub error {
+sub error($) {
   my ($err) = @_;
   print STDERR blurb() . "$err\n";
   exit 1;
 }
 
-sub stacktrace {
+sub stacktrace() {
   my $i = 1;
   print STDERR "$progname: stack trace:\n";
   while (1) {
@@ -1987,11 +2083,11 @@
 
 my $lastlog = "";
 
-sub clearlog {
+sub clearlog() {
   $lastlog = "";
 }
 
-sub showlog {
+sub showlog() {
   my $head = "$progname: DEBUG: ";
   foreach (split (/\n/, $lastlog)) {
     print STDERR "$head$_\n";
@@ -1999,7 +2095,7 @@
   $lastlog = "";
 }
 
-sub LOG {
+sub LOG($$) {
   my ($print, $msg) = @_;
   my $blurb = timestr() . "$current_state: ";
   $lastlog .= "$blurb$msg\n";
@@ -2012,7 +2108,7 @@
 my %stats_elapsed;
 
 my $last_state = undef;
-sub record_attempt {
+sub record_attempt($) {
   my ($name) = @_;
 
   if ($last_state) {
@@ -2028,7 +2124,7 @@
   $suppress_audit = 0;
 }
 
-sub record_success {
+sub record_success($$$) {
   my ($name, $url, $base) = @_;
   if (defined($stats_successes{$name})) {
     $stats_successes{$name}++;
@@ -2046,7 +2142,7 @@
 }
 
 
-sub record_failure {
+sub record_failure($) {
   my ($name) = @_;
 
   return if $image_succeeded;
@@ -2078,7 +2174,7 @@
 
 
 
-sub stats_of {
+sub stats_of($) {
   my ($name) = @_;
   my $i = $stats_successes{$name};
   my $j = $stats_attempts{$name};
@@ -2090,7 +2186,7 @@
 
 my $current_start_time = 0;
 
-sub start_timer {
+sub start_timer($) {
   my ($name) = @_;
   $current_start_time = time;
 
@@ -2104,14 +2200,14 @@
   }
 }
 
-sub stop_timer {
+sub stop_timer($$) {
   my ($name, $success) = @_;
   $stats_elapsed{$name} += time - $current_start_time;
 }
 
 
 my $last_report_time = 0;
-sub report_performance {
+sub report_performance() {
 
   return unless $verbose_warnings;
 
@@ -2145,7 +2241,7 @@
 my @recent_images = ();
 my @recent_sites = ();
 
-sub save_recent_url {
+sub save_recent_url($$) {
   my ($url, $base) = @_;
 
   return unless ($verbose_warnings);
@@ -2207,7 +2303,7 @@
 
 # Does %-decoding.
 #
-sub url_decode {
+sub url_decode($) {
   ($_) = @_;
   tr/+/ /;
   s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
@@ -2217,7 +2313,7 @@
 
 # Given the raw body of a GIF document, returns the dimensions of the image.
 #
-sub gif_size {
+sub gif_size($) {
   my ($body) = @_;
   my $type = substr($body, 0, 6);
   my $s;
@@ -2229,7 +2325,7 @@
 
 # Given the raw body of a JPEG document, returns the dimensions of the image.
 #
-sub jpeg_size {
+sub jpeg_size($) {
   my ($body) = @_;
   my $i = 0;
   my $L = length($body);
@@ -2280,7 +2376,7 @@
 
 # Given the raw body of a PNG document, returns the dimensions of the image.
 #
-sub png_size {
+sub png_size($) {
   my ($body) = @_;
   return () unless ($body =~ m/^\211PNG\r/);
   my ($bits) = ($body =~ m/^.{12}(.{12})/s);
@@ -2294,7 +2390,7 @@
 # Given the raw body of a GIF, JPEG, or PNG document, returns the dimensions
 # of the image.
 #
-sub image_size {
+sub image_size($) {
   my ($body) = @_;
   my ($w, $h) = gif_size ($body);
   if ($w && $h) { return ($w, $h); }
@@ -2306,7 +2402,7 @@
 
 # returns the full path of the named program, or undef.
 #
-sub which {
+sub which($) {
   my ($prog) = @_;
   foreach (split (/:/, $ENV{PATH})) {
     if (-x "$_/$prog") {
@@ -2318,7 +2414,7 @@
 
 
 # Like rand(), but chooses numbers with a bell curve distribution.
-sub bellrand {
+sub bellrand(;$) {
   ($_) = @_;
   $_ = 1.0 unless defined($_);
   $_ /= 3.0;
@@ -2326,7 +2422,7 @@
 }
 
 
-sub exit_cleanup {
+sub exit_cleanup() {
   x_cleanup();
   print STDERR "$progname: exiting\n" if ($verbose_warnings);
   if (@pids_to_kill) {
@@ -2335,7 +2431,7 @@
   }
 }
 
-sub signal_cleanup {
+sub signal_cleanup($) {
   my ($sig) = @_;
   print STDERR blurb() . (defined($sig)
                           ? "caught signal $sig."
@@ -2353,7 +2449,7 @@
 #
 ##############################################################################
 
-sub url_only_output {
+sub url_only_output() {
   do {
     my ($base, $img) = pick_image;
     if ($img) {
@@ -2394,7 +2490,7 @@
 
 my $delay = 2;
 
-sub x_cleanup {
+sub x_cleanup() {
   unlink $image_ppm, $image_tmp1, $image_tmp2;
   unlink $imagemap_html_tmp, $imagemap_jpg_tmp
     if (defined ($imagemap_html_tmp));
@@ -2404,7 +2500,7 @@
 # Like system, but prints status about exit codes, and kills this process
 # with whatever signal killed the sub-process, if any.
 #
-sub nontrapping_system {
+sub nontrapping_system(@) {
   $! = 0;
 
   $_ = join(" ", @_);
@@ -2437,7 +2533,7 @@
 # writes a PPM to the given output file.  Returns the width/height of the
 # image if successful.
 #
-sub image_to_pnm {
+sub image_to_pnm($$$) {
   my ($url, $body, $output) = @_;
   my ($cmd, $cmd2, $w, $h);
 
@@ -2527,7 +2623,7 @@
   }
 }
 
-sub pick_root_displayer {
+sub pick_root_displayer() {
   my @names = ();
 
   foreach my $cmd (@root_displayers) {
@@ -2549,7 +2645,7 @@
 my $ppm_to_root_window_cmd = undef;
 
 
-sub x_or_pbm_output {
+sub x_or_pbm_output($) {
   my ($window_id) = @_;
 
   # Check for our helper program, to see whether we need to use PPM pipelines.
@@ -2714,7 +2810,7 @@
   }
 }
 
-sub paste_image {
+sub paste_image($$$$) {
   my ($base, $img, $body, $source) = @_;
 
   $current_state = "paste";
@@ -3028,7 +3124,7 @@
 }
 
 
-sub update_imagemap {
+sub update_imagemap($$$$$$$$) {
   my ($url, $x, $y, $w, $h, $image_ppm, $image_width, $image_height) = @_;
 
   $current_state = "imagemap";
@@ -3133,7 +3229,7 @@
 }
 
 
-sub init_signals {
+sub init_signals() {
 
   $SIG{HUP}  = \&signal_cleanup;
   $SIG{INT}  = \&signal_cleanup;
@@ -3149,7 +3245,7 @@
 END { exit_cleanup(); }
 
 
-sub main {
+sub main() {
   $| = 1;
   srand(time ^ $$);
 
@@ -3331,6 +3427,10 @@
     pick_dictionary();
   }
 
+  if ($imagemap_base && !($img_width && $img_height)) {
+    error ("-size WxH is required with -imagemap");
+  }
+
   init_signals();
 
   spawn_driftnet ($driftnet_cmd) if ($driftnet_cmd);
@@ -3342,5 +3442,5 @@
   }
 }
 
-main;
+main();
 exit (0);

=== modified file 'hacks/webcollage-helper.c'
--- hacks/webcollage-helper.c	2005-04-09 00:06:43 +0000
+++ hacks/webcollage-helper.c	2005-12-08 16:00:22 +0000
@@ -24,6 +24,7 @@
 #include <sys/types.h>
 #include <sys/stat.h>
 
+#undef HAVE_STDLIB_H /* stupid jconfig.h! */
 #include <jpeglib.h>
 #include <gdk-pixbuf/gdk-pixbuf.h>
 

=== modified file 'hacks/webcollage.man'
--- hacks/webcollage.man	2005-04-09 00:06:43 +0000
+++ hacks/webcollage.man	2006-06-30 16:27:21 +0000
@@ -56,7 +56,7 @@
 accepts the following options:
 .TP 8
 .B \-root
-Draw on the root window.  This option is manditory, if output is being
+Draw on the root window.  This option is mandatory, if output is being
 produced: drawing to a window other than the root window is not yet
 supported.
 
@@ -221,7 +221,7 @@
 .BR cjpeg (1),
 .BR xdpyinfo (1),
 .BR perl (1),
-.BR vidwhacker (1),
+.BR vidwhacker (MANSUFFIX),
 .BR dadadodo (1),
 .BR driftnet (1)
 .BR EtherPEG ,

=== modified file 'hacks/whirlwindwarp.c'
--- hacks/whirlwindwarp.c	2005-04-09 00:06:43 +0000
+++ hacks/whirlwindwarp.c	2005-12-08 16:00:22 +0000
@@ -13,8 +13,7 @@
  */
 
 /* WhirlwindWarp: moving stars.  Ported from QBasic by Joey.
-   Version 1.2.  FF parameters now driven by a
-   dampened-walked velocity, making them smoother.
+   Version 1.3.  Smooth with pretty colours.
 
    This code adapted from original program by jwz/jk above.
    Freely distrubtable.  Please keep this tag with
@@ -25,6 +24,14 @@
    Paul "Joey" Clark, hacking for humanity, Feb 99
    www.cs.bris.ac.uk/~pclark | www.changetheworld.org.uk */
 
+/* 15/May/05: Added colour rotation, limit on max FPS, scaling size dots, and smoother drivers.
+    4/Mar/01: Star colours are cycled when new colour can not be allocated.
+    4/Mar/01: Stars are plotted as squares with size relative to screen.
+   28/Nov/00: Submitted to xscreensaver as "whirlwindwarp".
+   10/Oct/00: Ported to xscreensaver as "twinkle".
+   19/Feb/98: Meters and interaction added for Ivor's birthday "stars11f".
+   11/Aug/97: Original QBasic program. */
+
 #include <math.h>
 
 #include "screenhack.h"
@@ -34,13 +41,15 @@
 static GC draw_gc, erase_gc;
 static unsigned int default_fg_pixel;
 
-/* Maximum number of points, tails, and fields (hard-coded) */
+/* Maximum number of points, maximum tail length, and the number of forcefields/effects (hard-coded) */
 #define maxps 1000
-#define maxts 30
-#define fs 10
+#define maxts 50
+#define fs 16
+/* TODO: change ps and ts arrays into pointers, for dynamic allocation at runtime. */
 
 /* Screen width and height */
 static int scrwid,scrhei;
+static int starsize;
 
 /* Current x,y of stars in realspace */
 static float cx[maxps];
@@ -53,18 +62,22 @@
 static int fon[fs];     /* Is field on or off? */
 static float var[fs];   /* Current parameter */
 static float op[fs];    /* Optimum (central/mean) value */
-static float damp[fs];  /* Dampening (how much drawn between current and optimal) */
-static float force[fs]; /* Amount of change per moment */
+/* These have now become standardised across all forcefields:
+ static float damp[fs];  / * Dampening (how much drawn between current and optimal) * /
+ static float force[fs]; / * Amount of change per moment * /
+*/
 static float acc[fs];
+static float vel[fs];
 
-/* Number of points and tails */
+/* Number of points and tail length */
 static int ps=500;
 static int ts=5;
 
 /* Show meters or not? */
 static Bool meters;
 
-static Bool init_whirlwindwarp(Display *dpy, Window window) {
+static Bool init_whirlwindwarp(Display *dpy, Window window)
+{
   XGCValues gcv;
   Colormap cmap;
   XWindowAttributes xgwa;
@@ -83,17 +96,20 @@
   return 1;
 }
 
-static float myrnd(void) { /* between -1.0 and +1.0 */
+static float myrnd(void)
+{ /* between -1.0 (inclusive) and +1.0 (exclusive) */
   return 2.0*((float)((random()%10000000)/10000000.0)-0.5);
 }
 
-float mysgn(float x) {
+float mysgn(float x)
+{
   return ( x < 0 ? -1 :
            x > 0 ? +1 :
                     0 );
 }
 
-void stars_newp(int p) {
+void stars_newp(int p)
+{
   cx[p]=myrnd();
   cy[p]=myrnd();
 }
@@ -101,23 +117,26 @@
 /* Adjust a variable var about optimum op,
      with damp = dampening about op
          force = force of random perturbation */
-float stars_perturb(float var,float op,float damp,float force) {
-  var=op+damp*(var-op)+force*myrnd()/4.0;
-/*  if (fabs(var-op)>0.1)  // (to keep within bounds)
-    var=op+0.1*mysgn(var-op);*/
-  return var;
-}
+/* float stars_perturb(float var,float op,float damp,float force) {
+   return op+damp*(var-op)+force*myrnd()/4.0;
+ }*/
+#define stars_perturb(var,op,damp,force) \
+  ( (op) + (damp)*((var)-(op)) + (force)*myrnd()/4.0 )
 
 /* Get pixel coordinates of a star */
-int stars_scrpos_x(int p) {
+int stars_scrpos_x(int p)
+{
   return scrwid*(cx[p]+1.0)/2.0;
 }
-int stars_scrpos_y(int p) {
+
+int stars_scrpos_y(int p)
+{
   return scrhei*(cy[p]+1.0)/2.0;
 }
 
 /* Draw a meter of a forcefield's parameter */
-void stars_draw_meter(Display *dpy,Window window,GC draw_gc,int f) {
+void stars_draw_meter(Display *dpy,Window window,GC draw_gc,int f)
+{
   int x,y,w,h;
   x=scrwid/2;
   y=f*10;
@@ -129,66 +148,114 @@
   }
   if (fon[f])
     XFillRectangle(dpy,window,draw_gc,x,y,w,h);
-  else
-    XDrawRectangle(dpy,window,draw_gc,x,y,w,h);
+  /* else
+     XDrawRectangle(dpy,window,draw_gc,x,y,w,h); */
 }
 
 /* Move a star according to acting forcefields */
-void stars_move(int p) {
+void stars_move(int p)
+{
   float nx,ny;
   float x=cx[p];
   float y=cy[p];
-    if (fon[1]) {
-        x = x * var[1]; y = y * var[1];
-    }
-    if (fon[2]) {
-      nx=x*cos(var[2])+y*sin(var[2]);
-      ny=-x*sin(var[2])+y*cos(var[2]);
-      x=nx;
-      y=ny;
-    }
-    if (fon[3]) {
-      y=y*var[3];
-    }
-    if (fon[4]) {
-      x=(x-1.0)*var[3]+1.0;
-    }
-    if (fon[5]) {
-      x=x+var[5]*x;
-    }
-    if (fon[6]) {
-        x = mysgn(x) * pow(fabs(x),var[6]);
-        y = mysgn(y) * pow(fabs(y),var[6]);
-    }
-    if (fon[7]) {
-      if (fon[0]) {
-        if (fon[9]) {
-          x=x+var[7]*(-1.0+2.0*(float)(p%2));
-        } else {
-          x=x+var[7]*(-1.0+2.0*(float)((p%50)/49.0));
-        }
-      }
-    }
-    if (fon[8]) {
-      if (fon[0]) {
-        if (fon[9]) {
-          y=y+var[8]*(-1.0+2.0*(float)(p%2));
-        } else {
-          y=y+var[8]*(-1.0+2.0*(float)((p%50)/49.0));
-        }
-      }
-    }
+
+  /* In theory all these if checks are unneccessary,
+     since each forcefield effect should do nothing when its var = op.
+     But the if's are good for efficiency because this function
+     is called once for every point.
+
+    Squirge towards edges (makes a leaf shape, previously split the screen in 4 but now only 1 :)
+    These ones must go first, to avoid x+1.0 < 0
+   */
+  if (fon[6]) {
+    /* x = mysgn(x) * pow(fabs(x),var[6]);
+       y = mysgn(y) * pow(fabs(y),var[6]);*/
+    x = -1.0 + 2.0*pow((x + 1.0)/2.0,var[6]);
+  }
+  if (fon[7]) {
+    y = -1.0 + 2.0*pow((y + 1.0)/2.0,var[7]);
+  }
+
+  /* Warping in/out */
+  if (fon[1]) {
+    x = x * var[1]; y = y * var[1];
+  }
+
+  /* Rotation */
+  if (fon[2]) {
+    nx=x*cos(1.1*var[2])+y*sin(1.1*var[2]);
+    ny=-x*sin(1.1*var[2])+y*cos(1.1*var[2]);
+    x=nx;
+    y=ny;
+  }
+
+  /* Asymptotes (looks like a plane with a horizon; equivalent to 1D warp) */
+  if (fon[3]) { /* Horizontal asymptote */
+    y=y*var[3];
+  }
+  if (fon[4]) { /* Vertical asymptote */
+    x=x+var[4]*x; /* this is the same maths as the last, but with op=0 */
+  }
+  if (fon[5]) { /* Vertical asymptote at right of screen */
+    x=(x-1.0)*var[5]+1.0;
+  }
+
+  /* Splitting (whirlwind effect): */
+  #define num_splits ( 2 + (int) (fabs(var[0]) * 1000) )
+  /* #define thru ( (float)(p%num_splits)/(float)(num_splits-1) ) */
+  #define thru ( (float)((int)(num_splits*(float)(p)/(float)(ps)))/(float)(num_splits-1) )
+  if (fon[8]) {
+    x=x+0.5*var[8]*(-1.0+2.0*thru);
+  }
+  if (fon[9]) {
+    y=y+0.5*var[9]*(-1.0+2.0*thru);
+  }
+
+  /* Waves */
+  if (fon[10]) {
+    y = y + 0.4*var[10]*sin(300.0*var[12]*x + 600.0*var[11]);
+  }
+  if (fon[13]) {
+    x = x + 0.4*var[13]*sin(300.0*var[15]*y + 600.0*var[14]);
+  }
+
   cx[p]=x;
   cy[p]=y;
 }
 
-static void do_whirlwindwarp(Display *dpy, Window window) {
+/* Turns a forcefield on, and ensures its vars are suitable. */
+void turn_on_field(int f)
+{
+  if (!fon[f]) {
+    /* acc[f]=0.0; */
+    acc[f]=0.02 * myrnd();
+    vel[f]=0.0;
+    var[f]=op[f];
+  }
+  fon[f] = 1;
+  if (f == 10) {
+    turn_on_field(11);
+    turn_on_field(12);
+  }
+  if (f == 13) {
+    turn_on_field(14);
+    turn_on_field(15);
+  }
+}
+
+static void do_whirlwindwarp(Display *dpy, Window window)
+{
   Colormap cmap;
   XWindowAttributes xgwa;
   int got_color = 0;
-  XColor color[maxps];
+  XColor color[maxps]; /* The colour assigned to each star */
   XColor bgcolor;
   int p,f,nt, sx,sy, resets,lastresets,cnt;
+  int colsavailable;
+  int hue;
+
+  /* time_t lastframe = time((time_t) 0); */
+  struct timeval lastframe;
 
   XClearWindow (dpy, window);
   XGetWindowAttributes (dpy, window, &xgwa);
@@ -196,76 +263,95 @@
   scrwid = xgwa.width;
   scrhei = xgwa.height;
 
+  starsize=scrhei/480;
+  if (starsize<=0)
+    starsize=1;
+
   /* Setup colours */
   hsv_to_rgb (0.0, 0.0, 0.0, &bgcolor.red, &bgcolor.green, &bgcolor.blue);
   got_color = XAllocColor (dpy, cmap, &bgcolor);
+  colsavailable=0;
   for (p=0;p<ps;p++) {
         if (!mono_p)
           hsv_to_rgb (random()%360, .6+.4*myrnd(), .6+.4*myrnd(), &color[p].red, &color[p].green, &color[p].blue);
           /* hsv_to_rgb (random()%360, 1.0, 1.0, &color[p].red, &color[p].green, &color[p].blue);   for stronger colours! */
         if ((!mono_p) && (got_color = XAllocColor (dpy, cmap, &color[p]))) {
+          colsavailable=p;
         } else {
-          if (p>0)
-            color[p]=color[0];
+          if (colsavailable>0) /* assign colours from those already allocated */
+            color[p]=color[ p % colsavailable ];
           else
             color[p].pixel=default_fg_pixel;
         }
   }
 
-  /* Set up parameter movements for the different forcefields */
-  name[1] = "Velocity";
-  op[1] = 1; damp[1] = .999; force[1] = .002;
-  name[2] = "Rotation";
-  op[2] = 0; damp[2] = .999; force[2] = .002;
-  name[3] = "Drip";
-  op[3] = 1; damp[3] = .999; force[3] = .005;
-  name[4] = "Dribble";
-  op[4] = 1; damp[4] = .999; force[4] = .005;
-  name[5] = "Slide";
-  op[5] = 0; damp[5] = .999; force[5] = .002;
-  name[6] = "Accelerate";
-  op[6] = 1.0; damp[6] = .999; force[6] = .005;
-  name[7] = "xDisplace";
-  op[7] = 0; damp[7] = .999; force[7] = .005;
-  name[8] = "yDisplace";
-  op[8] = 0; damp[8] = .999; force[8] = .005;
-  /* 0 and 9 are options for splitting displacements [no var] */
-  name[0] = "Split";
-  op[0] = 0; damp[0] = 0; force[0] = 0;
-  name[9] = "2d/3d split";
-  op[9] = 0; damp[9] = 0; force[9] = 0;
+  /* Set up central (optimal) points for each different forcefield */
+  op[1] = 1; name[1] = "Warp";
+  op[2] = 0; name[2] = "Rotation";
+  op[3] = 1; name[3] = "Horizontal asymptote";
+  op[4] = 0; name[4] = "Vertical asymptote";
+  op[5] = 1; name[5] = "Vertical asymptote right";
+  op[6] = 1; name[6] = "Squirge x";
+  op[7] = 1; name[7] = "Squirge y";
+  op[0] = 0; name[0] = "Split number (inactive)";
+  op[8] = 0; name[8] = "Split velocity x";
+  op[9] = 0; name[9] = "Split velocity y";
+  op[10] = 0; name[10] = "Horizontal wave amplitude";
+  op[11] = myrnd()*3.141; name[11] = "Horizontal wave phase (inactive)";
+  op[12] = 0.01; name[12] = "Horizontal wave frequency (inactive)";
+  op[13] = 0; name[13] = "Vertical wave amplitude";
+  op[14] = myrnd()*3.141; name[14] = "Vertical wave phase (inactive)";
+  op[15] = 0.01; name[15] = "Vertical wave frequency (inactive)";
 
   /* Initialise parameters to optimum, all off */
   for (f=0;f<fs;f++) {
     var[f]=op[f];
-    fon[f]=0;
-    acc[f]=0;
+    fon[f]=( myrnd()>0.5 ? 1 : 0 );
+    acc[f]=0.02 * myrnd();
+    vel[f]=0;
   }
 
   /* Initialise stars */
   for (p=0;p<ps;p++)
     stars_newp(p);
 
-  /* tx[nt],ty[nt] remeber earlier screen plots (tails of stars)
+  /* tx[nt],ty[nt] remember earlier screen plots (tails of stars)
      which are deleted when nt comes round again */
-  nt=0;
-  resets=0;
+  nt = 0;
+  resets = 0;
+
+  hue = 180 + 180*myrnd();
+
+  gettimeofday(&lastframe, NULL);
 
   while (1) {
 
+    if (myrnd()>0.75) {
+      /* Change one of the allocated colours to something near the current hue. */
+      /* By changing a random colour, we sometimes get a tight colour spread, sometime a diverse one. */
+      int p = colsavailable * (0.5+myrnd()/2);
+      hsv_to_rgb (hue, .6+.4*myrnd(), .6+.4*myrnd(), &color[p].red, &color[p].green, &color[p].blue);
+      if ((!mono_p) && (got_color = XAllocColor (dpy, cmap, &color[p]))) {
+      }
+      hue = hue + 0.5 + myrnd()*9.0;
+      if (hue<0) hue+=360;
+      if (hue>=360) hue-=360;
+    }
+
       /* Move current points */
       lastresets=resets;
       resets=0;
       for (p=0;p<ps;p++) {
         /* Erase old */
         XSetForeground (dpy, draw_gc, bgcolor.pixel);
-        XDrawPoint(dpy,window,draw_gc,tx[nt],ty[nt]);
+        /* XDrawPoint(dpy,window,draw_gc,tx[nt],ty[nt]); */
+        XFillRectangle(dpy,window,draw_gc,tx[nt],ty[nt],starsize,starsize);
 
         /* Move */
         stars_move(p);
         /* If moved off screen, create a new one */
-        if (cx[p]<-1.0 || cx[p]>+1.0 ||
-            cy[p]<-1.0 || cy[p]>+1.0 ||
+        if (cx[p]<=-0.9999 || cx[p]>=+0.9999 ||
+            cy[p]<=-0.9999 || cy[p]>=+0.9999 ||
             fabs(cx[p])<.0001 || fabs(cy[p])<.0001) {
           stars_newp(p);
           resets++;
@@ -276,7 +362,8 @@
         sx=stars_scrpos_x(p);
         sy=stars_scrpos_y(p);
         XSetForeground (dpy, draw_gc, color[p].pixel);
-        XDrawPoint(dpy,window,draw_gc,sx,sy);
+        /* XDrawPoint(dpy,window,draw_gc,sx,sy); */
+        XFillRectangle(dpy,window,draw_gc,sx,sy,starsize,starsize);
 
         /* Remember it for removal later */
         tx[nt]=sx;
@@ -294,12 +381,23 @@
         }
 
         /* Adjust forcefield's parameter */
-        acc[f]=stars_perturb(acc[f],0,0.98,0.009);
-        var[f]=op[f]+(var[f]-op[f])*damp[f]+force[f]*acc[f];
+        if (fon[f]) {
+          /* This configuration produces var[f]s usually below 0.01 */
+          acc[f]=stars_perturb(acc[f],0,0.98,0.005);
+          vel[f]=stars_perturb(vel[f]+0.03*acc[f],0,0.995,0.0);
+          var[f]=op[f]+(var[f]-op[f])*0.9995+0.001*vel[f];
+        }
+        /* fprintf(stderr,"f=%i fon=%i acc=%f vel=%f var=%f\n",f,fon[f],acc[f],vel[f],var[f]); */
 
-        if (myrnd()>0.998) /* Turn it on/off ? */
-          fon[f]=(myrnd()<0.0);
-          /* fon[f]=!fon[f]; */
+        /* Decide whether to turn this forcefield on or off. */
+        /* prob_on makes the "splitting" effects less likely than the rest */
+        #define prob_on ( f==8 || f==9 ? 0.999975 : 0.9999 )
+        if ( fon[f]==0 && myrnd()>prob_on ) {
+          turn_on_field(f);
+        } else if ( fon[f]!=0 && myrnd()>0.99 && fabs(var[f]-op[f])<0.0005 && fabs(vel[f])<0.005 /* && fabs(acc[f])<0.01 */ ) {
+          /* We only turn it off if it has gently returned to its optimal (as opposed to rapidly passing through it). */
+          fon[f] = 0;
+        }
 
         if (meters) { /* Redraw the meter */
           XSetForeground(dpy, draw_gc, color[f].pixel);
@@ -309,36 +407,40 @@
         if (fon[f])
           cnt++;
       }
-      if (cnt==0) { /* Ensure at least one is on! */
+
+      /* Ensure at least three forcefields are on.
+       * BUG: Picking randomly might not be enough since 0,11,12,14 and 15 do nothing!
+       * But then what's wrong with a rare gentle twinkle?!
+      */
+      if (cnt<3) {
         f=random() % fs;
-        fon[f]=1;
+        turn_on_field(f);
       }
+
       if (meters) {
         XSetForeground(dpy, draw_gc, bgcolor.pixel);
         XDrawRectangle(dpy,window,draw_gc,0,0,lastresets*5,3);
         XSetForeground(dpy, draw_gc, default_fg_pixel);
         XDrawRectangle(dpy,window,draw_gc,0,0,resets*5,3);
       }
-/*      if (resets*5>scrwid) {
-       Turn one off a field if too many points are flying off screen */
-      /* This was a problem when one of the force-fields was acting wrong,
-         but not really needed any more unless we need to debug new ones ...! */
-        /* for (f=0;f<fs;f++)
-            if (fon[f])
-            printf("%i",f);
-          printf("\n");
-          XSync (dpy, False);
-          screenhack_handle_events (dpy);
-         sleep(1);
-        do { // In fact this bit might go wrong if
-          f=random() % fs; // we have not ensured at least one is on (above)
-        } while (!fon[f]);
-        fon[f]=0;
-      }            */
-
-      XSync (dpy, False);
-      screenhack_handle_events (dpy);
-
+
+      /* Cap frames per second; do not go above specified fps: */
+      {
+        int maxfps = 200;
+        long utimeperframe = 1000000/maxfps;
+        struct timeval now;
+        long timediff;
+        gettimeofday(&now, NULL);
+        timediff = now.tv_sec*1000000 + now.tv_usec - lastframe.tv_sec*1000000 - lastframe.tv_usec;
+        if (timediff < utimeperframe) {
+          /* fprintf(stderr,"sleeping for %i\n",utimeperframe-timediff); */
+          usleep(utimeperframe-timediff);
+        }
+        lastframe = now;
+
+        XSync (dpy, False);
+        screenhack_handle_events (dpy);
+      }
   }
 
 }
@@ -350,7 +452,7 @@
   ".background:	black",
   ".foreground:	white",
   "*points:	400",
-  "*tails:	10",
+  "*tails:	8",
   "*meters:	false",
   0
 };
@@ -362,7 +464,8 @@
   { 0, 0, 0, 0 }
 };
 
-void screenhack(Display *dpy, Window window) {
+void screenhack(Display *dpy, Window window)
+{
   if (init_whirlwindwarp(dpy, window))
     do_whirlwindwarp(dpy, window);
 }

=== modified file 'hacks/whirlwindwarp.man'
--- hacks/whirlwindwarp.man	2002-04-07 12:17:37 +0000
+++ hacks/whirlwindwarp.man	2005-12-08 16:00:22 +0000
@@ -31,10 +31,10 @@
 or the id number (decimal or hex) of a specific visual.
 .TP 8
 .B \-points \fIinteger\fP
-The number of stars plotted (default 300).
+The number of stars plotted (default 400).
 .TP 8
 .B \-tails \fIinteger\fP
-The length of the tail of each star (default 5).
+The length of the tail of each star (default 8).
 .SH ENVIRONMENT
 .PP
 .TP 8

=== modified file 'hacks/whirlygig.man'
--- hacks/whirlygig.man	2005-04-09 00:06:43 +0000
+++ hacks/whirlygig.man	2006-06-30 16:27:21 +0000
@@ -11,7 +11,7 @@
 [\-wrap 1|0] [\-db] [\-no-db] 
 
 .SH DESCRIPTION
-The \flwhirlygig\fP program draws a series of circles on your screen.
+The \fIwhirlygig\fP program draws a series of circles on your screen.
 They then move about in a cyclic pattern
 .SH OPTIONS
 .I whirlygig
@@ -27,33 +27,33 @@
 Specify which visual to use.  Legal values are the name of a visual class,
 or the id number (decimal or hex) of a specific visual.
 .TP 8
-.B \-xspeed \flspeed\fP
+.B \-xspeed \fIspeed\fP
 Specify how fast the dots should cycle horizontally.
-Try out values from .01 to 4000. Random by default.
+Try out values from .01 to 4000. Defaults to 1.0.
 .TP 8
-.B \-yspeed \flspeed\fP
+.B \-yspeed \fIspeed\fP
 Specify how fast the dots should cycle vertically.
-Try out values from .01 to 4000. Random by default.
-.TP 8
-.B \-xamplitude \flfactor\fP
-Specify the horizonatal amplitude.
-Try out values from .01 to 10. Defaults to 1.0.
-.TP 8
-.B \-yamplitude \flfactor\fP
-Specify the horizonatal amplitude.
-Try out values from .01 to 10. Defaults to 1.0.
-.TP 8
-.B \-whirlies \fla number\fP
+Try out values from .01 to 4000. Defaults to 1.0.
+.TP 8
+.B \-xamplitude \fIfactor\fP
+Specify the horizontal amplitude.
+Try out values from .01 to 10. Defaults to 1.0.
+.TP 8
+.B \-yamplitude \fIfactor\fP
+Specify the horizontal amplitude.
+Try out values from .01 to 10. Defaults to 1.0.
+.TP 8
+.B \-whirlies \fIa number\fP
 Specify how many whirlies you want (per line). Defaults
 to a random number.
 .TP 8
-.B \-nlines \flnumber of lines\fP
+.B \-nlines \fInumber of lines\fP
 Specify how many lines of whirlies you want. Defaults to a 
 random number.
 .TP 8
-.B \-xmode \flmode\fP
+.B \-xmode \fImode\fP
 .TP 8 
-.B \-ymode \flmode\fP
+.B \-ymode \fImode\fP
 Specify which mode to use for calculating the x and y positions of the
 whirlies. Can be any of spin, funky, circle, linear, test, fun, innie
 or lissajous. Defaults to 'change' mode, which randomly selects a new
@@ -63,37 +63,37 @@
 Prints some strings to the window explaining what the initially
 selected modes are, before displaying the whirlies. Off by default.
 .TP 8
-.B \-trail \fl1 or 0\fP
+.B \-trail \fI1 or 0\fP
 Trail mode fails to erase the whirlies as they move, so they leave a
 multicoloured trail behind. Doesn't work if the doubled buffered mode
 is using the X server's double buffer extension, and the useDBEclear 
 resource is true (which it is by default).
 .TP 8
-.B \-speed \flint\fP
+.B \-speed \fIint\fP
 Specifies how fast to cycle through the internal time. Values 1,2 and
 3 look ok, up to 10 is not too bad, but beyond ends up
 flickery. Adjust xspeed and yspeed instead.
 .TP 8
-.B \-start_time \flint\fP
+.B \-start_time \fIint\fP
 Where in the internal time cycle to start. Ranges from 1 to 429496729,
 Defaults to a random value.
 .TP 8
-.B \-xoffset \flfactor\fP
+.B \-xoffset \fIfactor\fP
 Tell the whirlies to be offset by this factor of a sin.
 Defaults to 1.0
 .TP 8
-.B \-yoffset \flfactor\fP
+.B \-yoffset \fIfactor\fP
 Tell the whirlies to be offset by this factor of a cos.
 Defaults to 1.0
 .TP 8
-.B \-offset_period \flfactor\fP
+.B \-offset_period \fIfactor\fP
 Change the period of an offset cycle
 Defaults to 1
 .TP 8
-.B \-color_modifier \flint\fP
+.B \-color_modifier \fIint\fP
 How many colors away from the current should the next whirly be?
 .TP 8
-.B \-wrap \fl1|0\fP
+.B \-wrap \fI1|0\fP
 Causes whirlies that fall off the edge of the screen to wrap over to
 the other end of the screen. Otherwise they disappear and new ones
 to materialize on the other side of the screen. The difference is

=== modified file 'hacks/worm.man'
--- hacks/worm.man	2005-04-09 00:06:43 +0000
+++ hacks/worm.man	2006-06-30 16:27:21 +0000
@@ -29,7 +29,7 @@
 Count.	-100 - 100.  Default: -20.
 .TP 8
 .B \-delay \fInumber\fP
-Per-frame delay, in microseconds.  Default: 17000 (0.02 seconds.).
+Per-frame delay, in microseconds.  Default: 17000 (0.017 seconds.).
 .TP 8
 .B \-ncolors \fInumber\fP
 Number of Colors.  Default: 150.

=== modified file 'hacks/wormhole.c'
--- hacks/wormhole.c	2005-04-09 00:06:43 +0000
+++ hacks/wormhole.c	2006-06-30 16:27:21 +0000
@@ -76,7 +76,7 @@
 	Pixmap work;
 } wormhole;
 
-inline int rnd( int q ){
+/*inline*/ static int rnd( int q ){
 
 	return random() % q;
 
@@ -268,12 +268,14 @@
 
 }
 
+#if 0
 static void destroyColorChanger( color_changer * ch, Display * display, Colormap * cmap ){
 	int q;
 	for ( q = 0; q < ch->max; q++ )
 		XFreeColors( display, *cmap, &( ch->shade[q].pixel ), 1, 0 );
 	free( ch->shade );
 }
+#endif
 
 static void resizeWormhole( wormhole * worm, Display * display, Window * win ){
 	
@@ -337,11 +339,13 @@
 
 }
 
+#if 0
 static void destroyWormhole( wormhole * worm, Display * display, Colormap * cmap ){
 	destroyColorChanger( &(worm->changer), display, cmap );
 	XFreePixmap( display, worm->work );
 	free( worm->stars );
 }
+#endif
 
 static double Cos( int a ){
 	return cos( a * 180.0 / M_PI );
@@ -678,5 +682,5 @@
 		*/
 	}
 
-	destroyWormhole( &worm, dpy, &cmap );
+/* not reached:	destroyWormhole( &worm, dpy, &cmap ); */
 }

=== modified file 'hacks/wormhole.man'
--- hacks/wormhole.man	2005-04-09 00:06:43 +0000
+++ hacks/wormhole.man	2006-06-30 16:27:21 +0000
@@ -39,8 +39,8 @@
 Speed light streaks fly by.
 .TP 8
 .B \-delay \fImicroseconds\fP
-Number of microseconds to delay between each frame.  Default 50000, meaning
-about 1/20th second.  Compare and contrast with \fI\-speed\fP, above.
+Number of microseconds to delay between each frame.  Default 10000, meaning
+about 1/100th second.  Compare and contrast with \fI\-zspeed\fP, above.
 .SH ENVIRONMENT
 .PP
 .TP 8

=== modified file 'hacks/xanalogtv.c'
--- hacks/xanalogtv.c	2005-04-09 00:06:43 +0000
+++ hacks/xanalogtv.c	2006-07-29 23:00:43 +0000
@@ -35,7 +35,7 @@
 #include <X11/Xutil.h>
 #include <X11/Intrinsic.h>
 
-#include "images/logo-50.xpm"
+#include "images/logo-50-bad.xpm"
 
 /* #define DEBUG 1 */
 /* #define USE_TEST_PATTERNS */
@@ -129,7 +129,7 @@
   ypos += ugly_font.char_h*5/2;
 
   analogtv_draw_xpm(tv, input,
-                    logo_50_xpm, xpos - 100, ypos);
+                    logo_50_bad_xpm, xpos - 100, ypos);
 
   ypos += 58;
 

=== modified file 'hacks/xanalogtv.man'
--- hacks/xanalogtv.man	2005-04-09 00:06:43 +0000
+++ hacks/xanalogtv.man	2006-06-30 16:27:21 +0000
@@ -40,12 +40,6 @@
 .B \-visual \fIvisual\fP
 Specify which visual to use.  Legal values are the name of a visual class,
 or the id number (decimal or hex) of a specific visual.
-.TP 8
-.B \-cycle
-Cycle through all the available modes.  This is the default.
-.TP 8
-.B \-no-cycle
-Don't cycle modes.
 .SH ENVIRONMENT
 .PP
 .TP 8
@@ -68,9 +62,9 @@
 
 .SH SEE ALSO
 .BR X (1),
-.BR xteevee (1),
-.BR apple2 (1),
-.BR bsod (1),
+.BR xteevee (MANSUFFIX),
+.BR apple2 (MANSUFFIX),
+.BR bsod (MANSUFFIX),
 .BR xscreensaver (1),
 .BR xscreensaver\-demo (1),
 .BR xscreensaver\-getimage (1)

=== modified file 'hacks/xlyap.c'
--- hacks/xlyap.c	2005-04-09 00:06:43 +0000
+++ hacks/xlyap.c	2005-12-08 16:00:22 +0000
@@ -217,7 +217,7 @@
 static int     expind[MAXFRAMES]={0}, resized[MAXFRAMES]={0};
 static int	numwheels=MAXWHEELS, force=0, Force=0, negative=1;
 static int     rgb_max=65000, nostart=1, stripe_interval=7;
-static int	save=1, show=0, useprod=1, spinlength=256, savefile=0;
+static int	save=1, show=0, useprod=1, spinlength=256/*, savefile=0*/;
 static int	maxframe=0, frame=0, dorecalc=0, mapindex=0, run=1;
 static char	*outname="lyap.out";
 
@@ -246,7 +246,7 @@
 static int complyap(void);
 static void Getkey(XKeyEvent *event);
 static int sendpoint(double expo);
-static void save_to_file(void);
+/*static void save_to_file(void);*/
 static void setforcing(void);
 static void check_params(int mapnum, int parnum);
 static void usage(void);
@@ -605,15 +605,15 @@
       return FALSE;
     else {
       FlushBuffer();
-      if (savefile)
-	save_to_file();
+/*      if (savefile)
+	save_to_file(); */
       return TRUE;
     }
   }
   if (b >= max_b) {
     FlushBuffer();
-    if (savefile)
-      save_to_file();
+/*    if (savefile)
+      save_to_file();*/
     return TRUE;
   }
   prod = 1.0;
@@ -705,8 +705,8 @@
     return FALSE;
   else {
     FlushBuffer();
-    if (savefile)
-      save_to_file();
+/*    if (savefile)
+      save_to_file();*/
     return TRUE;
   }
 }
@@ -1316,7 +1316,7 @@
       redraw(exponents[frame], expind[frame], 1);
       break;
   case 'f':
-  case 'F': save_to_file(); break;
+/*  case 'F': save_to_file(); break;*/
   case 'i': if (stripe_interval > 0) {
       stripe_interval--;
 	if (displayplanes > 1) {
@@ -1568,6 +1568,7 @@
   resized[frame] = 0;
 }
 
+#if 0
 /* Store color pics in PPM format and monochrome in PGM */
 static void
 save_to_file(void)
@@ -1643,6 +1644,7 @@
       }
   fclose(outfile);
 }
+#endif
 
 static void
 recalc(void)

=== modified file 'hacks/xlyap.man'
--- hacks/xlyap.man	2002-04-07 12:17:37 +0000
+++ hacks/xlyap.man	2006-06-30 16:27:21 +0000
@@ -50,10 +50,7 @@
 .TP
 -D \fIn\fP
 Specifies the "dwell" or number of iterations over which to average in order
-to calculate the Lyapunov exponent. Default is 400.
-.TP
--B 
-Causes the stop, go, spin and quit buttons to be displayed.
+to calculate the Lyapunov exponent. Default is 50.
 .TP
 -H \fIn\fP
 Specifies the height of the window. Default is 256.
@@ -74,18 +71,15 @@
 .TP
 -S \fIn\fP
 Specifies the "settle" or number of iterations prior to the beginning of
-the calculation of the Lyapunov exponent. Default is 200.
-.TP
--W \fIn\fP
-Specifies the width of the window. Default is 256.
+the calculation of the Lyapunov exponent. Default is 50.
 .TP
 -a \fIr\fP
 Specifies the real value to use as the minimum parameter value of the 
-horizontal axis. Default is 3.0 for the logistic map.
+horizontal axis. Default is 2.0 for the logistic map.
 .TP
 -b \fIn\fP
 Specifies the real value to use as the minimum parameter value of the 
-vertical axis. Default is 3.0 for the logistic map.
+vertical axis. Default is 2.0 for the logistic map.
 .TP
 -c \fIn\fP
 Selects one of six different color wheels to use. The default color
@@ -106,7 +100,7 @@
 parameter values vary. The default is 1.0.
 .TP
 -i \fIr\fP
-Specifies the real value of the initial condition to use. Default is 0.05.
+Specifies the real value of the initial condition to use. Default is 0.65.
 .TP
 -m \fIn\fP
 Selects between available non-linear maps of the unit interval. A value of
@@ -119,7 +113,7 @@
 file will automatically be written out at the completion of the drawing.
 If it is not specified, a default filename of lyap.out is used and only
 written if the 'f' or 'F' keys are pressed during a run. The format of the
-output file is PPM for color and PGM for monochrom. The parameters used to
+output file is PPM for color and PGM for monochrome. The parameters used to
 calculate the picture are included as comments at the beginning of the output
 file.
 .TP
@@ -130,26 +124,17 @@
 during runtime by pressing the 'p' key.
 .TP
 -r \fIn\fP
-Specifies the maximum rgb value to be used. Default is 35000.
+Specifies the maximum rgb value to be used. Default is 65000.
 .TP
 -s \fIn\fP
 Specifies the length of the color wheel spin.
 .TP
--u
-Produces a usage message.
-.TP
 -v 
 Prints out the various values to be used and exits.
 .TP
 -w \fIr\fP
 Specifies the real value to be used as the range over which the horizontal
 parameter values vary. The default is 1.0.
-.TP
--x \fIn\fP
-Specifies the x screen coordinate of the window (default is 256).
-.TP
--y \fIn\fP
-Specifies the y screen coordinate of the window (default is 256).
 .sp 2
 .SH NOTES
 .sp

=== modified file 'hacks/xmatrix.man'
--- hacks/xmatrix.man	2005-04-09 00:06:43 +0000
+++ hacks/xmatrix.man	2006-06-30 16:27:21 +0000
@@ -17,7 +17,7 @@
 "The Matrix".  
 
 Also see
-.BR glmatrix (1)
+.BR glmatrix (MANSUFFIX)
 for a 3D rendering of the similar effect that appeared in the title
 sequence of the movie.
 .SH OPTIONS
@@ -96,7 +96,7 @@
 to get the name of a resource file that overrides the global resources
 stored in the RESOURCE_MANAGER property.
 .SH SEE ALSO
-.BR glmatrix (1),
+.BR glmatrix (MANSUFFIX),
 .BR X (1),
 .BR xscreensaver (1)
 .SH COPYRIGHT

=== modified file 'hacks/xml2man.pl'
--- hacks/xml2man.pl	2005-04-09 00:06:43 +0000
+++ hacks/xml2man.pl	2005-12-08 16:00:22 +0000
@@ -1,5 +1,5 @@
 #!/usr/bin/perl -w
-# Copyright  2002 Jamie Zawinski <jwz@jwz.org>
+# Copyright  2002, 2005 Jamie Zawinski <jwz@jwz.org>
 #
 # Permission to use, copy, modify, distribute, and sell this software and its
 # documentation for any purpose is hereby granted without fee, provided that
@@ -24,7 +24,7 @@
 use Text::Wrap;
 
 my $progname = $0; $progname =~ s@.*/@@g;
-my $version = q{ $Revision: 1.2 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
+my $version = q{ $Revision: 1.3 $ }; $version =~ s/^[^0-9]+([0-9.]+).*$/$1/;
 
 my $verbose = 0;
 
@@ -76,7 +76,7 @@
                   ".SH AUTHOR\n" .
                   "%AUTHOR%.\n");
 
-sub xml2man {
+sub xml2man($) {
   my ($exe) = @_;
   my $cfgdir = (-d "config" ? "config" : "../config");
   my $xml = "$cfgdir/$exe.xml";
@@ -220,18 +220,18 @@
 }
 
 
-sub error {
-  ($_) = @_;
-  print STDERR "$progname: $_\n";
+sub error($) {
+  my ($err) = @_;
+  print STDERR "$progname: $err\n";
   exit 1;
 }
 
-sub usage {
+sub usage() {
   print STDERR "usage: $progname [--verbose] programs...\n";
   exit 1;
 }
 
-sub main {
+sub main() {
   my @progs = ();
   while ($_ = $ARGV[0]) {
     shift @ARGV;
@@ -246,5 +246,5 @@
   foreach (@progs) { xml2man($_); }
 }
 
-main;
+main();
 exit 0;

=== modified file 'hacks/xscreensaver-sgigl.c'
--- hacks/xscreensaver-sgigl.c	2002-04-07 12:17:37 +0000
+++ hacks/xscreensaver-sgigl.c	2005-12-08 16:00:22 +0000
@@ -1,4 +1,4 @@
-/* xscreensaver, Copyright (c) 1997 Jamie Zawinski <jwz@jwz.org>
+/* xscreensaver, Copyright (c) 1997, 2005 Jamie Zawinski <jwz@jwz.org>
  *
  * Permission to use, copy, modify, distribute, and sell this software and its
  * documentation for any purpose is hereby granted without fee, provided that
@@ -64,6 +64,7 @@
 #include <signal.h>
 #include <sys/time.h>
 #include <X11/Xlib.h>
+#include <X11/Xutil.h>
 #include <X11/Xmu/Error.h>
 
 #include "vroot.h"
@@ -103,6 +104,8 @@
   char *n2 = 0;
   Bool verbose = False;
   Window root, vroot;
+  XSizeHints h;
+  long ls;
 
   progname = av[0];
 
@@ -205,6 +208,13 @@
 		    if (verbose)
 		      fprintf(stderr, "%s: resizing 0x%x\n", progname, w);
 
+                    /* Make sure the window allows itself to be resized. */
+		    XGetWMNormalHints (dpy, w, &h, &ls);
+		    h.flags |= PMaxSize;
+		    h.max_width = WidthOfScreen(screen)+128;
+		    h.max_height = HeightOfScreen(screen)+128;
+		    XSetWMNormalHints (dpy, w, &h);
+
 		    XMoveResizeWindow(dpy, w, 0, 0,
 				      WidthOfScreen(screen),
 				      HeightOfScreen(screen));

=== modified file 'hacks/xteevee.man'
--- hacks/xteevee.man	2005-04-09 00:06:43 +0000
+++ hacks/xteevee.man	2006-06-30 16:27:21 +0000
@@ -16,8 +16,8 @@
 When run,
 .I xteevee
 picks a mode to display from the available options.  If modes are explicitly
-set on the command-line, they over-ride the implicit options and will be
-choosen among exclusively.  If modes are explicitly excluded from the
+set on the command-line, they override the implicit options and will be
+chosen among exclusively.  If modes are explicitly excluded from the
 command-line, the they are simply removed from contention.
 
 The image that it manipulates will be grabbed from the portion of
@@ -30,7 +30,7 @@
 for more details.
 .PP
 See also
-.BR xanalogtv (1)
+.BR xanalogtv (MANSUFFIX)
 for a more sophisticated (but more graphics-intensive) implementation
 of this concept.
 .SH OPTIONS
@@ -111,9 +111,9 @@
 should simulate more TV problems.
 .SH SEE ALSO
 .BR X (1),
-.BR xanalogtv (1),
-.BR apple2 (1),
-.BR bsod (1),
+.BR xanalogtv (MANSUFFIX),
+.BR apple2 (MANSUFFIX),
+.BR bsod (MANSUFFIX),
 .BR xscreensaver (1),
 .BR xscreensaver\-demo (1),
 .BR xscreensaver\-getimage (1)

=== modified file 'hacks/zoom.c'
--- hacks/zoom.c	2005-04-09 00:06:43 +0000
+++ hacks/zoom.c	2005-12-08 16:00:22 +0000
@@ -138,9 +138,9 @@
   now = currentTimeInMs();
 
   /* find new x,y */
-  tlx = ((1. + sin(((float)now) / X_PERIOD * 2. * M_PI))/2.0)
+  tlx = ((1. + sin(((double)now) / X_PERIOD * 2. * M_PI))/2.0)
     * (sizex - s/2) /* -s/4 */ + MINX;
-  tly = ((1. + sin(((float)now) / Y_PERIOD * 2. * M_PI))/2.0)
+  tly = ((1. + sin(((double)now) / Y_PERIOD * 2. * M_PI))/2.0)
     * (sizey - s/2) /* -s/4 */ + MINY;
 
   if (lenses) {

=== modified file 'hacks/zoom.man'
--- hacks/zoom.man	2002-04-07 12:17:37 +0000
+++ hacks/zoom.man	2005-12-08 16:00:22 +0000
@@ -1,6 +1,6 @@
 .TH XScreenSaver 1 "20-Nov-2000" "X Version 11"
 .SH NAME
-zoom - wander around magified desktop
+zoom - wander around magnified desktop
 .SH SYNOPSIS
 .B zoom
 [\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP]
@@ -63,13 +63,13 @@
 Amount of black space between magnified pixels (Y direction).
 .TP 8
 .B \-lensoffsetx \fIpixels\fP
-Distance in X direction between consective copied regions (only effective
+Distance in X direction between consecutive copied regions (only effective
 when 
 .I -lenses
 used).
 .TP 8
 .B \-lensoffsety \fIpixels\fP
-Distance in Y direction between consective copied regions (only effective
+Distance in Y direction between consecutive copied regions (only effective
 when 
 .I -lenses
 used).

=== modified file 'install-sh' (properties changed: +x to -x)
=== modified file 'po/Makefile.in.in'
--- po/Makefile.in.in	2005-04-09 00:06:43 +0000
+++ po/Makefile.in.in	2005-12-08 16:00:22 +0000
@@ -294,8 +294,7 @@
 	 ( cd $(top_srcdir);			\
 	   echo "# Auto-generated: `date`" ;	\
 	   ( grep -l '_("' driver/*.[ch] ;	\
-	     ls driver/*.glade			\
-		driver/*.glade2			\
+	     ls driver/*.glade2			\
 		driver/*.desktop.in		\
 		hacks/config/*.xml ) | sort	\
 	  ) > $$tmp &&				\

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2005-04-09 00:06:43 +0000
+++ po/POTFILES.in	2006-06-30 16:27:21 +0000
@@ -1,16 +1,16 @@
-# Auto-generated: lun fév 28 21:48:45 CET 2005
-driver/demo-Gtk.c
+# Auto-generated: Wed Feb  8 19:16:55 PST 2006
 driver/demo-Gtk-conf.c
 driver/demo-Gtk-support.c
 driver/demo-Gtk-widgets.c
+driver/demo-Gtk.c
 driver/screensaver-properties.desktop.in
-driver/xscreensaver-demo.glade
 driver/xscreensaver-demo.glade2
 hacks/config/anemone.xml
 hacks/config/anemotaxis.xml
+hacks/config/ant.xml
 hacks/config/antinspect.xml
+hacks/config/antmaze.xml
 hacks/config/antspotlight.xml
-hacks/config/ant.xml
 hacks/config/apollonian.xml
 hacks/config/apple2.xml
 hacks/config/atlantis.xml
@@ -34,13 +34,16 @@
 hacks/config/cage.xml
 hacks/config/carousel.xml
 hacks/config/ccurve.xml
+hacks/config/celtic.xml
 hacks/config/circuit.xml
 hacks/config/cloudlife.xml
 hacks/config/compass.xml
 hacks/config/coral.xml
 hacks/config/cosmos.xml
+hacks/config/crackberg.xml
 hacks/config/critical.xml
 hacks/config/crystal.xml
+hacks/config/cube21.xml
 hacks/config/cubenetic.xml
 hacks/config/cubestorm.xml
 hacks/config/cynosure.xml
@@ -67,6 +70,7 @@
 hacks/config/flame.xml
 hacks/config/flipflop.xml
 hacks/config/flipscreen3d.xml
+hacks/config/fliptext.xml
 hacks/config/flow.xml
 hacks/config/fluidballs.xml
 hacks/config/flurry.xml
@@ -80,6 +84,7 @@
 hacks/config/glblur.xml
 hacks/config/gleidescope.xml
 hacks/config/glforestfire.xml
+hacks/config/glhanoi.xml
 hacks/config/glknots.xml
 hacks/config/glmatrix.xml
 hacks/config/glplanet.xml
@@ -99,11 +104,13 @@
 hacks/config/hypertorus.xml
 hacks/config/ifs.xml
 hacks/config/imsmap.xml
+hacks/config/interaggregate.xml
 hacks/config/interference.xml
 hacks/config/intermomentary.xml
 hacks/config/jigglypuff.xml
 hacks/config/jigsaw.xml
 hacks/config/juggle.xml
+hacks/config/juggler3d.xml
 hacks/config/julia.xml
 hacks/config/kaleidescope.xml
 hacks/config/klein.xml
@@ -123,8 +130,8 @@
 hacks/config/mirrorblob.xml
 hacks/config/mismunch.xml
 hacks/config/moebius.xml
+hacks/config/moire.xml
 hacks/config/moire2.xml
-hacks/config/moire.xml
 hacks/config/molecule.xml
 hacks/config/morph3d.xml
 hacks/config/mountain.xml
@@ -160,15 +167,15 @@
 hacks/config/rubik.xml
 hacks/config/sballs.xml
 hacks/config/shadebobs.xml
+hacks/config/sierpinski.xml
 hacks/config/sierpinski3d.xml
-hacks/config/sierpinski.xml
 hacks/config/slidescreen.xml
 hacks/config/slip.xml
 hacks/config/sonar.xml
 hacks/config/speedmine.xml
+hacks/config/sphere.xml
 hacks/config/sphereeversion.xml
 hacks/config/spheremonics.xml
-hacks/config/sphere.xml
 hacks/config/spiral.xml
 hacks/config/spotlight.xml
 hacks/config/sproingies.xml
@@ -183,7 +190,9 @@
 hacks/config/superquadrics.xml
 hacks/config/swirl.xml
 hacks/config/t3d.xml
+hacks/config/tangram.xml
 hacks/config/thornbird.xml
+hacks/config/timetunnel.xml
 hacks/config/triangle.xml
 hacks/config/truchet.xml
 hacks/config/twang.xml
@@ -194,8 +203,8 @@
 hacks/config/webcollage.xml
 hacks/config/whirlwindwarp.xml
 hacks/config/whirlygig.xml
+hacks/config/worm.xml
 hacks/config/wormhole.xml
-hacks/config/worm.xml
 hacks/config/xanalogtv.xml
 hacks/config/xaos.xml
 hacks/config/xdaliclock.xml

=== modified file 'po/de.po'
--- po/de.po	2005-04-09 00:06:43 +0000
+++ po/de.po	2006-07-29 23:00:43 +0000
@@ -42,7 +42,7 @@
 msgstr ""
 "Fehler:\n"
 "\n"
-"Der XScreenSaver-Dämon konnte nicht korrekt gestartet werden.\n"
+"Der XScreenSaver-Daemon konnte nicht korrekt gestartet werden.\n"
 "\n"
 
 #: driver/demo-Gtk.c:885
@@ -514,7 +514,7 @@
 "Run the previous screen saver in the list in full-screen mode (click the "
 "mouse to return.)"
 msgstr ""
-"Den vorigenn Bildschimrschoner in der Liste im Vollbild-Modus ausführen "
+"Den vorigen Bildschimrschoner in der Liste im Vollbild-Modus ausführen "
 "(Mausklick um zurückzukehren)."
 
 #: driver/demo-Gtk-widgets.c:664 driver/demo-Gtk-widgets.c:1607
@@ -990,7 +990,7 @@
 
 #: driver/xscreensaver-demo.glade2.h:84
 msgid "_Preview"
-msgstr "_VOrschau"
+msgstr "_Vorschau"
 
 #: driver/xscreensaver-demo.glade2.h:85
 msgid "_Quit"
@@ -1764,7 +1764,7 @@
 msgid "Shy"
 msgstr "Zurückhaltend"
 
-# CHECK - unklar, ob's berall passt
+# CHECK - unklar, ob's überall passt
 #: hacks/config/atlantis.xml.h:14 hacks/config/cage.xml.h:5
 #: hacks/config/extrusion.xml.h:12 hacks/config/gears.xml.h:8
 #: hacks/config/glblur.xml.h:15 hacks/config/glplanet.xml.h:9
@@ -4114,7 +4114,7 @@
 "Siegmund."
 msgstr ""
 "Zeichnet rotierende Galaxien, die dann kollidieren und ihre Sterne "
-"zerstreuen. Urpsrünglich ein Amiga-Programm von Uli Siegmund."
+"zerstreuen. Usrprünglich ein Amiga-Programm von Uli Siegmund."
 
 #: hacks/config/gears.xml.h:3
 msgid "Gears"
@@ -7575,7 +7575,7 @@
 
 #: hacks/config/starwars.xml.h:7
 msgid "Flush Left Text"
-msgstr "Linkssbündiger Text"
+msgstr "Linksbündiger Text"
 
 #: hacks/config/starwars.xml.h:8
 msgid "Flush Right Text"
@@ -7856,7 +7856,7 @@
 msgid ""
 "Draws a colorful random-walk, in various forms. Written by Rick Campbell."
 msgstr ""
-"Zeichnet einen farbenfrohen Random-walk in verschiedenen Formen.Von Rick "
+"Zeichnet einen farbenfrohen Random-walk in verschiedenen Formen. Von Rick "
 "Campbell."
 
 #: hacks/config/wander.xml.h:14
@@ -8088,7 +8088,7 @@
 
 #: hacks/config/xdaliclock.xml.h:7
 msgid "Medium Font"
-msgstr "Normale Schritf"
+msgstr "Normale Schrift"
 
 #: hacks/config/xdaliclock.xml.h:8 hacks/config/xmatrix.xml.h:16
 msgid "Small Font"

=== modified file 'po/hu.po'
--- po/hu.po	2005-04-09 00:06:43 +0000
+++ po/hu.po	2005-12-08 16:00:22 +0000
@@ -6,10 +6,10 @@
 # Gabor Kelemen <kelemeng@gnome.hu>, 2004, 2005.
 msgid ""
 msgstr ""
-"Project-Id-Version: hu\n"
+"Project-Id-Version: xscreensaver\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2005-03-10 22:24+0100\n"
-"PO-Revision-Date: 2005-03-12 22:36+0100\n"
+"POT-Creation-Date: 2005-04-13 12:28+0200\n"
+"PO-Revision-Date: 2005-04-25 20:35+0200\n"
 "Last-Translator: Gabor Kelemen <kelemeng@gnome.hu>\n"
 "Language-Team: Hungarian <gnome@gnome.hu>\n"
 "MIME-Version: 1.0\n"
@@ -18,83 +18,380 @@
 "X-Generator: KBabel 1.3.1\n"
 "Plural-Forms:  nplurals=1; plural=0;\n"
 
-#: ../driver/demo-Gtk-conf.c:818
+#: driver/demo-Gtk.c:658 driver/demo-Gtk.c:4274
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"The XScreenSaver daemon doesn't seem to be running\n"
+"on display \"%s\".  Launch it now?"
+msgstr ""
+"Figyelem:\n"
+"\n"
+"Az XScreenSaver démon nem fut\n"
+"ezen a képernyőn: \"%s\".  Elindítsam most?"
+
+#: driver/demo-Gtk.c:706
+msgid "For updates, check http://www.jwz.org/xscreensaver/"
+msgstr "Frissítésekért nézze meg ezt weblapot: http://www.jwz.org/xscreensaver/"
+
+#: driver/demo-Gtk.c:798 driver/demo-Gtk-widgets.c:1709
+msgid "OK"
+msgstr "OK"
+
+#: driver/demo-Gtk.c:836
+msgid ""
+"Error:\n"
+"\n"
+"No Help URL has been specified.\n"
+msgstr ""
+"Hiba:\n"
+"\n"
+"Nincs megadva Súgó cím (URL).\n"
+
+#: driver/demo-Gtk.c:931
+msgid ""
+"Error:\n"
+"\n"
+"The xscreensaver daemon did not start up properly.\n"
+"\n"
+msgstr ""
+"Hiba:\n"
+"\n"
+"Az xscreensaver démon nem indult el megfelelően.\n"
+"\n"
+
+#: driver/demo-Gtk.c:943
+msgid ""
+"You are running as root.  This usually means that xscreensaver\n"
+"was unable to contact your X server because access control is\n"
+"turned on.  Try running this command:\n"
+"\n"
+"                        xhost +localhost\n"
+"\n"
+"and then selecting `File / Restart Daemon'.\n"
+"\n"
+"Note that turning off access control will allow anyone logged\n"
+"on to this machine to access your screen, which might be\n"
+"considered a security problem.  Please read the xscreensaver\n"
+"manual and FAQ for more information.\n"
+"\n"
+"You shouldn't run X as root. Instead, you should log in as a\n"
+"normal user, and `su' as necessary."
+msgstr ""
+"Rootként indította a programot. Ez általában azt jelenti, hogy az "
+"xscreensaver\n"
+"nem tudott kapcsolódni az X kiszolgálóhoz, mert a hozzáférés-szabályozás\n"
+"(access control) be van kapcsolva. Próbálja ezt a parancsot futtatni:\n"
+"\n"
+"                        xhost +localhost\n"
+"\n"
+"ezután válassza a \"Fájl / Démon újraindítása\" pontot.\n"
+"\n"
+"Ne feledje, hogy a hozzáférés-szabályozás kikapcsolása lehetővé teszi\n"
+"a hozzáférést a képernyőjéhez bárki számára, aki be van jelentkezve,\n"
+"ez biztonsági problémát jelenthet. Kérjük olvassa el az xscreensaver\n"
+"kézikönyvét és a FAQ-ot további információkért.\n"
+"\n"
+"Ne futtassa az X-et rootként. Ehelyett jelentkezzen be egyszerű\n"
+"felhasználóként és használja a \"su\" parancsot, ahol szükséges."
+
+#: driver/demo-Gtk.c:959
+msgid "Please check your $PATH and permissions."
+msgstr "Kérem ellenőrizze az útvonalakat ($PATH) és a jogokat."
+
+#: driver/demo-Gtk.c:996
+msgid ""
+"Error:\n"
+"\n"
+"Couldn't determine init file name!\n"
+msgstr ""
+"Hiba:\n"
+"\n"
+"Nem sikerült megállapítani a kezdő fájl nevét!\n"
+
+#: driver/demo-Gtk.c:1001
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Couldn't write %s\n"
+msgstr ""
+"Hiba:\n"
+"\n"
+"Nem lehet írni ezt a fájlt: %s\n"
+
+#: driver/demo-Gtk.c:1060
+msgid ""
+"Error:\n"
+"\n"
+"no `manualCommand' resource set."
+msgstr ""
+"Hiba:\n"
+"\n"
+"Nincs beállítva \"manualCommand\" érték."
+
+#: driver/demo-Gtk.c:1241
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Unparsable time format: \"%s\"\n"
+msgstr ""
+"Hiba:\n"
+"\n"
+"Feldolgozhatatlan időformátum: \"%s\"\n"
+
+#: driver/demo-Gtk.c:1652 driver/demo-Gtk.c:3253
+#: driver/demo-Gtk-widgets.c:1550 driver/demo-Gtk-widgets.c:1573
+#: driver/xscreensaver-demo.glade2.h:3
+msgid "Any"
+msgstr "Bármely"
+
+#: driver/demo-Gtk.c:1948
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Directory does not exist: \"%s\"\n"
+msgstr ""
+"Hiba:\n"
+"\n"
+"Nem létezik a könyvtár: \"%s\"\n"
+
+#: driver/demo-Gtk.c:1978 driver/demo-Gtk.c:2009
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"File does not exist: \"%s\"\n"
+msgstr ""
+"Hiba:\n"
+"\n"
+"Nem létezik a fájl: \"%s\"\n"
+
+#: driver/demo-Gtk.c:2421 driver/demo-Gtk-widgets.c:571
+msgid "Use"
+msgstr "Használat"
+
+#: driver/demo-Gtk.c:2431 driver/demo-Gtk-widgets.c:591
+msgid "Screen Saver"
+msgstr "Képernyővédő"
+
+#: driver/demo-Gtk.c:2879
+msgid "Descriptions not available: no XML support compiled in."
+msgstr "A leírások nem érhetőek el: nincs XML támogatás befordítva."
+
+#: driver/demo-Gtk.c:2884
+msgid "No description available."
+msgstr "Nincs elérhető leírás."
+
+#: driver/demo-Gtk.c:3205
+msgid "Blank Screen"
+msgstr "A képernyő elsötétítése"
+
+#: driver/demo-Gtk.c:3211
+msgid "Screen Saver Disabled"
+msgstr "Képernyővédő kikapcsolva"
+
+#: driver/demo-Gtk.c:3234 driver/demo-Gtk-widgets.c:482
+msgid "Preview"
+msgstr "Előnézet"
+
+#: driver/demo-Gtk.c:3244
+#, c-format
+msgid "%s: %.100s Settings"
+msgstr "%s: %.100s beállításai"
+
+#: driver/demo-Gtk.c:3403
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"file \"%s\" has changed, reloading.\n"
+msgstr ""
+"Figyelem:\n"
+"\n"
+"A(z) \"%s\" fájl megváltozott, újratöltés.\n"
+
+#: driver/demo-Gtk.c:3485
+msgid "No Preview"
+msgstr "Nincs előnézet"
+
+#: driver/demo-Gtk.c:3485
+msgid "Available"
+msgstr "Elérhető"
+
+#: driver/demo-Gtk.c:3486
+msgid "Not"
+msgstr "Nem"
+
+#: driver/demo-Gtk.c:3486
+msgid "Installed"
+msgstr "Telepítve"
+
+#: driver/demo-Gtk.c:4284
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"%s is running as user \"%s\" on host \"%s\".\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is running as user \"%s\" on host \"%s\".\n"
+"\n"
+"Since they are different users, they won't be reading/writing\n"
+"the same ~/.xscreensaver file, so %s isn't\n"
+"going to work right.\n"
+"\n"
+"You should either re-run %s as \"%s\", or re-run\n"
+"xscreensaver as \"%s\".\n"
+"\n"
+"Restart the xscreensaver daemon now?\n"
+msgstr ""
+"Figyelem:\n"
+"\n"
+"A következőt: \"%s\" \"%s\" felhasználó futtatja ezen a kiszolgálón: \"%s"
+"\".\n"
+"De az xscreensavert kezelő \"%s\" képernyőt\n"
+"\"%s\" felhasználó futtatja \"%s\" képernyőn.\n"
+"\n"
+"Mivel ezek különböző felhasználók, nem tudják ugyanazt a ~/.xscreensaver\n"
+"fájlt írni, így az %s nem fog megfelelően működni.\n"
+"\n"
+"Vagy az %s-t futtassa újra \"%s\" felhasználóként, vagy\n"
+"az xscreensavert futtassa \"%s\" felhasználóként.\n"
+"\n"
+"Újraindítja az xscreensaver démont most?\n"
+
+#: driver/demo-Gtk.c:4309
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"%s is running as user \"%s\" on host \"%s\".\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is running as user \"%s\" on host \"%s\".\n"
+"\n"
+"If those two machines don't share a file system (that is,\n"
+"if they don't see the same ~%s/.xscreensaver file) then\n"
+"%s won't work right.\n"
+"\n"
+"Restart the daemon on \"%s\" as \"%s\" now?\n"
+msgstr ""
+"Figyelem:\n"
+"\n"
+"A következőt: \"%s\" \"%s\" felhasználó futtatja ezen a kiszolgálón: \"%s"
+"\".\n"
+"De az xscreensavert kezelő \"%s\" képernyőt\n"
+"\"%s\" felhasználó futtatja \"%s\" kiszolgálón.\n"
+"\n"
+"Ha ez a két kiszolgáló nem használ egy közös fájlrendszert (ekkor nem\n"
+"tudják ugyanazt a ~%s/.xscreensaver fájlt írni) akkor a(z) %s nem fog\n"
+"megfelelően működni.\n"
+"\n"
+"Újraindítja most az xscreensaver démont \"%s\" kiszolgálón \"%s\" "
+"felhasználóként?\n"
+
+#: driver/demo-Gtk.c:4331
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"This is %s version %s.\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is version %s.  This could cause problems.\n"
+"\n"
+"Restart the xscreensaver daemon now?\n"
+msgstr ""
+"Figyelem:\n"
+"\n"
+"Ez a(z) %s %s verziója.\n"
+"De a(z) \"%s\" képernyőt kezelő xscreensaver\n"
+"%s verziójú. Ez gondokat okozhat.\n"
+"\n"
+"Újraindítja az xscreensaver démont most?\n"
+
+#: driver/demo-Gtk.c:4792
+#, c-format
+msgid "%s: unknown option: %s\n"
+msgstr "%s: ismeretlen opció: %s\n"
+
+#: driver/demo-Gtk.c:4857
+msgid "Screensaver Preferences"
+msgstr "Képernyővédő beállításai"
+
+#: driver/demo-Gtk-conf.c:818
 msgid "Browse..."
 msgstr "Tallózás..."
 
-#: ../driver/demo-Gtk-conf.c:1110
+#: driver/demo-Gtk-conf.c:1110
 msgid "Select file."
 msgstr "Válasszon ki egy fájlt."
 
-#: ../driver/demo-Gtk-support.c:135
+#: driver/demo-Gtk-support.c:135
 #, c-format
 msgid "Couldn't find pixmap file: %s"
 msgstr "Nem találom a képfájlt: %s"
 
-#: ../driver/demo-Gtk-support.c:147 ../driver/demo-Gtk-support.c:179
+#: driver/demo-Gtk-support.c:147 driver/demo-Gtk-support.c:179
 #, c-format
 msgid "Error loading pixmap file: %s"
 msgstr "Hiba a képfájl betöltése közben: %s"
 
-#: ../driver/demo-Gtk-support.c:182
+#: driver/demo-Gtk-support.c:182
 #, c-format
 msgid "reason: %s\n"
 msgstr "ok: %s\n"
 
-#: ../driver/demo-Gtk-widgets.c:161 ../driver/xscreensaver-demo.glade.h:89
-#: ../driver/xscreensaver-demo.glade2.h:65
+#: driver/demo-Gtk-widgets.c:161 driver/xscreensaver-demo.glade2.h:67
 msgid "XScreenSaver"
 msgstr "XScreenSaver"
 
-#: ../driver/demo-Gtk-widgets.c:182 ../driver/xscreensaver-demo.glade2.h:76
+#: driver/demo-Gtk-widgets.c:182 driver/xscreensaver-demo.glade2.h:80
 msgid "_File"
 msgstr "_Fájl"
 
-#: ../driver/demo-Gtk-widgets.c:202 ../driver/xscreensaver-demo.glade.h:93
-#: ../driver/xscreensaver-demo.glade2.h:70
+#: driver/demo-Gtk-widgets.c:202 driver/xscreensaver-demo.glade2.h:72
 msgid "_Blank Screen Now"
 msgstr "A képernyő el_sötétítése most"
 
-#: ../driver/demo-Gtk-widgets.c:211 ../driver/xscreensaver-demo.glade.h:2
+#: driver/demo-Gtk-widgets.c:211
 msgid "Activate the XScreenSaver daemon now (locking the screen if so configured.)"
 msgstr ""
 "Az XScreenSaver démon aktiválása most (a képernyő zárolása, ha úgy van "
 "beállítva.)"
 
-#: ../driver/demo-Gtk-widgets.c:215 ../driver/xscreensaver-demo.glade.h:97
-#: ../driver/xscreensaver-demo.glade2.h:80
+#: driver/demo-Gtk-widgets.c:215 driver/xscreensaver-demo.glade2.h:85
 msgid "_Lock Screen Now"
 msgstr "Képernyő _lezárása most"
 
-#: ../driver/demo-Gtk-widgets.c:224 ../driver/xscreensaver-demo.glade.h:51
+#: driver/demo-Gtk-widgets.c:224
 msgid "Lock the screen now (even if \"Lock Screen\" is unchecked.)"
 msgstr ""
 "A képernyő lezárása most (akkor is, ha a \"Képernyő zárolása\" nincs "
 "bejelölve.)"
 
-#: ../driver/demo-Gtk-widgets.c:228 ../driver/xscreensaver-demo.glade.h:96
-#: ../driver/xscreensaver-demo.glade2.h:78
+#: driver/demo-Gtk-widgets.c:228 driver/xscreensaver-demo.glade2.h:83
 msgid "_Kill Daemon"
 msgstr "_Démon kilövése"
 
-#: ../driver/demo-Gtk-widgets.c:237 ../driver/xscreensaver-demo.glade.h:71
+#: driver/demo-Gtk-widgets.c:237
 msgid "Tell the running XScreenSaver daemon to exit."
 msgstr "Az éppen futó XScreenSaver démon leállítása."
 
-#: ../driver/demo-Gtk-widgets.c:241 ../driver/xscreensaver-demo.glade.h:98
-#: ../driver/xscreensaver-demo.glade2.h:86
+#: driver/demo-Gtk-widgets.c:241 driver/xscreensaver-demo.glade2.h:94
 msgid "_Restart Daemon"
 msgstr "Démon új_raindítása"
 
-#: ../driver/demo-Gtk-widgets.c:250 ../driver/xscreensaver-demo.glade.h:49
+#: driver/demo-Gtk-widgets.c:250
 msgid "Kill and re-launch the XScreenSaver daemon."
 msgstr "Az XScreenSaver démont lelövi, majd újraindítja."
 
-#: ../driver/demo-Gtk-widgets.c:263 ../driver/xscreensaver-demo.glade.h:95
+#: driver/demo-Gtk-widgets.c:263
 msgid "_Exit"
 msgstr "_Kilépés"
 
-#: ../driver/demo-Gtk-widgets.c:272 ../driver/xscreensaver-demo.glade.h:33
+#: driver/demo-Gtk-widgets.c:272
 msgid ""
 "Exit the xscreensaver-demo program (but leave the XScreenSaver daemon "
 "running in the background.)"
@@ -102,66 +399,55 @@
 "Kilépés az xscreensaver-demo programból (az XScreenSaver démon ezután is "
 "futni fog a háttérben.)"
 
-#: ../driver/demo-Gtk-widgets.c:276 ../driver/xscreensaver-demo.glade2.h:77
+#: driver/demo-Gtk-widgets.c:276 driver/xscreensaver-demo.glade2.h:81
 msgid "_Help"
 msgstr "_Súgó"
 
-#: ../driver/demo-Gtk-widgets.c:296 ../driver/xscreensaver-demo.glade.h:92
-#: ../driver/xscreensaver-demo.glade2.h:66
+#: driver/demo-Gtk-widgets.c:296 driver/xscreensaver-demo.glade2.h:68
 msgid "_About..."
 msgstr "_Névjegy..."
 
-#: ../driver/demo-Gtk-widgets.c:305 ../driver/xscreensaver-demo.glade.h:30
+#: driver/demo-Gtk-widgets.c:305
 msgid "Display version information."
 msgstr "Verzióinformációk megjelenítése."
 
-#: ../driver/demo-Gtk-widgets.c:309 ../driver/xscreensaver-demo.glade.h:94
-#: ../driver/xscreensaver-demo.glade2.h:75
+#: driver/demo-Gtk-widgets.c:309 driver/xscreensaver-demo.glade2.h:79
 msgid "_Documentation..."
 msgstr "_Dokumentáció..."
 
-#: ../driver/demo-Gtk-widgets.c:318 ../driver/xscreensaver-demo.glade.h:38
+#: driver/demo-Gtk-widgets.c:318
 msgid "Go to the documentation on the XScreenSaver web page."
 msgstr "Az XScreenSaver weblapján található dokumentáció megjelenítése."
 
-#: ../driver/demo-Gtk-widgets.c:348 ../driver/xscreensaver-demo.glade.h:18
+#: driver/demo-Gtk-widgets.c:348
 msgid "Cycle After"
 msgstr "Váltás"
 
-#: ../driver/demo-Gtk-widgets.c:370 ../driver/xscreensaver-demo.glade.h:78
-#: ../driver/xscreensaver-demo.glade2.h:54
+#: driver/demo-Gtk-widgets.c:370 driver/xscreensaver-demo.glade2.h:59
 msgid "Whether a password should be required to un-blank the screen."
 msgstr "Kell-e jelszó a képernyő visszaállításához?"
 
-#: ../driver/demo-Gtk-widgets.c:372 ../driver/xscreensaver-demo.glade.h:50
+#: driver/demo-Gtk-widgets.c:372
 msgid "Lock Screen After"
 msgstr "Képernyő zárolása"
 
-#: ../driver/demo-Gtk-widgets.c:380 ../driver/xscreensaver-demo.glade.h:8
+#: driver/demo-Gtk-widgets.c:380
 msgid "Blank After"
 msgstr "Elsötétítés"
 
-#: ../driver/demo-Gtk-widgets.c:403 ../driver/demo-Gtk-widgets.c:453
-#: ../driver/demo-Gtk-widgets.c:467 ../driver/demo-Gtk-widgets.c:1016
-#: ../driver/xscreensaver-demo.glade.h:43
+#: driver/demo-Gtk-widgets.c:403 driver/demo-Gtk-widgets.c:453
+#: driver/demo-Gtk-widgets.c:467 driver/demo-Gtk-widgets.c:1016
 msgid "How long before the monitor goes completely black."
 msgstr "A monitor teljes elsötétítése ennyi idő eltelte után."
 
-#: ../driver/demo-Gtk-widgets.c:407 ../driver/demo-Gtk-widgets.c:419
-#: ../driver/demo-Gtk-widgets.c:431 ../driver/demo-Gtk-widgets.c:1020
-#: ../driver/demo-Gtk-widgets.c:1032 ../driver/demo-Gtk-widgets.c:1044
-#: ../driver/xscreensaver-demo.glade.h:99
-#: ../driver/xscreensaver-demo.glade2.h:92
+#: driver/demo-Gtk-widgets.c:407 driver/demo-Gtk-widgets.c:419
+#: driver/demo-Gtk-widgets.c:431 driver/demo-Gtk-widgets.c:1020
+#: driver/demo-Gtk-widgets.c:1032 driver/demo-Gtk-widgets.c:1044
+#: driver/xscreensaver-demo.glade2.h:102
 msgid "minutes"
 msgstr " perc után"
 
-#: ../driver/demo-Gtk-widgets.c:482 ../driver/demo-Gtk.c:2852
-#: ../driver/xscreensaver-demo.glade.h:58
-msgid "Preview"
-msgstr "Előnézet"
-
-#: ../driver/demo-Gtk-widgets.c:490 ../driver/xscreensaver-demo.glade.h:21
-#: ../driver/xscreensaver-demo.glade2.h:12
+#: driver/demo-Gtk-widgets.c:490 driver/xscreensaver-demo.glade2.h:10
 msgid ""
 "Demo the selected screen saver in full-screen mode (click the mouse to "
 "return.)"
@@ -169,55 +455,39 @@
 "A kiválasztott képernyővédő megtekintése teljes képernyőn (kattintson az "
 "egérrel a visszatéréshez.)"
 
-#: ../driver/demo-Gtk-widgets.c:492 ../driver/xscreensaver-demo.glade.h:65
+#: driver/demo-Gtk-widgets.c:492
 msgid "Settings..."
 msgstr "Beállítások..."
 
-#: ../driver/demo-Gtk-widgets.c:500 ../driver/xscreensaver-demo.glade.h:17
-#: ../driver/xscreensaver-demo.glade2.h:9
+#: driver/demo-Gtk-widgets.c:500 driver/xscreensaver-demo.glade2.h:7
 msgid "Customization and explanation of the selected screen saver."
 msgstr "A kijelölt képernyővédő testreszabása és magyarázata."
 
-#: ../driver/demo-Gtk-widgets.c:521 ../driver/xscreensaver-demo.glade.h:52
+#: driver/demo-Gtk-widgets.c:521
 msgid "Mode:"
 msgstr "Mód:"
 
-#: ../driver/demo-Gtk-widgets.c:539 ../driver/xscreensaver-demo.glade.h:25
-#: ../driver/xscreensaver-demo.glade2.h:16
+#: driver/demo-Gtk-widgets.c:539
 msgid "Disable Screen Saver"
 msgstr "Képernyővédő tiltása"
 
-#: ../driver/demo-Gtk-widgets.c:542 ../driver/xscreensaver-demo.glade.h:9
-#: ../driver/xscreensaver-demo.glade2.h:5
+#: driver/demo-Gtk-widgets.c:542
 msgid "Blank Screen Only"
 msgstr "Csak üres képernyő"
 
-#: ../driver/demo-Gtk-widgets.c:545 ../driver/xscreensaver-demo.glade.h:56
-#: ../driver/xscreensaver-demo.glade2.h:42
+#: driver/demo-Gtk-widgets.c:545
 msgid "Only One Screen Saver"
 msgstr "Csak egy képernyővédő"
 
-#: ../driver/demo-Gtk-widgets.c:548 ../driver/xscreensaver-demo.glade.h:60
-#: ../driver/xscreensaver-demo.glade2.h:44
+#: driver/demo-Gtk-widgets.c:548
 msgid "Random Screen Saver"
 msgstr "Véletlenszerű képernyővédő"
 
-#: ../driver/demo-Gtk-widgets.c:571 ../driver/demo-Gtk.c:2141
-#: ../driver/xscreensaver-demo.glade.h:75
-msgid "Use"
-msgstr "Használat"
-
-#: ../driver/demo-Gtk-widgets.c:591 ../driver/demo-Gtk.c:2151
-#: ../driver/xscreensaver-demo.glade.h:63
-msgid "Screen Saver"
-msgstr "Képernyővédő"
-
-#: ../driver/demo-Gtk-widgets.c:644 ../driver/xscreensaver-demo.glade.h:91
+#: driver/demo-Gtk-widgets.c:644
 msgid "\\/"
 msgstr "\\/"
 
-#: ../driver/demo-Gtk-widgets.c:652 ../driver/xscreensaver-demo.glade.h:61
-#: ../driver/xscreensaver-demo.glade2.h:45
+#: driver/demo-Gtk-widgets.c:652 driver/xscreensaver-demo.glade2.h:39
 msgid ""
 "Run the next screen saver in the list in full-screen mode (click the mouse "
 "to return.)"
@@ -225,12 +495,11 @@
 "A lista következő képernyővédőjének futtatása teljes képernyőn (kattintson "
 "az egérrel a visszatéréshez.)"
 
-#: ../driver/demo-Gtk-widgets.c:654
+#: driver/demo-Gtk-widgets.c:654
 msgid "/\\"
 msgstr "/\\"
 
-#: ../driver/demo-Gtk-widgets.c:662 ../driver/xscreensaver-demo.glade.h:62
-#: ../driver/xscreensaver-demo.glade2.h:46
+#: driver/demo-Gtk-widgets.c:662 driver/xscreensaver-demo.glade2.h:40
 msgid ""
 "Run the previous screen saver in the list in full-screen mode (click the "
 "mouse to return.)"
@@ -238,43 +507,38 @@
 "A lista előző képernyővédőjének futtatása teljes képernyőn (kattintson az "
 "egérrel a visszatéréshez.)"
 
-#: ../driver/demo-Gtk-widgets.c:664 ../driver/demo-Gtk-widgets.c:1607
-#: ../driver/xscreensaver-demo.glade.h:22
-#: ../driver/xscreensaver-demo.glade2.h:13
+#: driver/demo-Gtk-widgets.c:664 driver/demo-Gtk-widgets.c:1607
+#: driver/xscreensaver-demo.glade2.h:11
 msgid "Description"
 msgstr "Leírás"
 
-#: ../driver/demo-Gtk-widgets.c:691 ../driver/xscreensaver-demo.glade.h:26
+#: driver/demo-Gtk-widgets.c:691
 msgid "Display Modes"
 msgstr "Képernyőmódok"
 
-#: ../driver/demo-Gtk-widgets.c:707 ../driver/xscreensaver-demo.glade.h:23
-#: ../driver/xscreensaver-demo.glade2.h:14
+#: driver/demo-Gtk-widgets.c:707
 msgid "Diagnostics"
 msgstr "Diagnosztika"
 
-#: ../driver/demo-Gtk-widgets.c:751 ../driver/xscreensaver-demo.glade.h:80
-#: ../driver/xscreensaver-demo.glade2.h:56
+#: driver/demo-Gtk-widgets.c:751
 msgid "Whether the daemon should print lots of debugging information."
 msgstr "A démon sok hibakeresési információt írjon-e ki a képernyőre?"
 
-#: ../driver/demo-Gtk-widgets.c:753 ../driver/xscreensaver-demo.glade.h:76
+#: driver/demo-Gtk-widgets.c:753
 msgid "Verbose Diagnostics"
 msgstr "Bőbeszédű diagnosztika"
 
-#: ../driver/demo-Gtk-widgets.c:768 ../driver/xscreensaver-demo.glade.h:79
-#: ../driver/xscreensaver-demo.glade2.h:55
+#: driver/demo-Gtk-widgets.c:768
 msgid ""
 "Whether any error output of the display modes should be redirected to the "
 "screen."
 msgstr "A képernyőmódok hibaüzenetei megjelenjenek-e a képernyőn?"
 
-#: ../driver/demo-Gtk-widgets.c:770 ../driver/xscreensaver-demo.glade.h:29
+#: driver/demo-Gtk-widgets.c:770
 msgid "Display Subprocess Errors"
 msgstr "Alfolyamatok hibáinak megjelenítése"
 
-#: ../driver/demo-Gtk-widgets.c:785 ../driver/xscreensaver-demo.glade.h:87
-#: ../driver/xscreensaver-demo.glade2.h:63
+#: driver/demo-Gtk-widgets.c:785
 msgid ""
 "Whether the splash screen (with the version number and `Help' button) should "
 "be momentarily displayed when the daemon first starts up."
@@ -282,17 +546,15 @@
 "Az indulókép (a verziószámmal és a súgó gombbal) megjelenjen-e egy "
 "pillanatra a démon első indításakor?"
 
-#: ../driver/demo-Gtk-widgets.c:787 ../driver/xscreensaver-demo.glade.h:28
+#: driver/demo-Gtk-widgets.c:787
 msgid "Display Splash Screen at Startup"
 msgstr "Indulókép megjelenítése indításnál"
 
-#: ../driver/demo-Gtk-widgets.c:796 ../driver/xscreensaver-demo.glade.h:15
-#: ../driver/xscreensaver-demo.glade2.h:8
+#: driver/demo-Gtk-widgets.c:796
 msgid "Colormaps"
 msgstr "Színtérképek"
 
-#: ../driver/demo-Gtk-widgets.c:840 ../driver/xscreensaver-demo.glade.h:88
-#: ../driver/xscreensaver-demo.glade2.h:64
+#: driver/demo-Gtk-widgets.c:840 driver/xscreensaver-demo.glade2.h:66
 msgid ""
 "Whether to install a private colormap when running in 8-bit mode on the "
 "default Visual."
@@ -300,99 +562,89 @@
 "Telepítsen-e saját színtérképet az alapértelmezett megjelenítőn 8-bites "
 "módban való futáskor?"
 
-#: ../driver/demo-Gtk-widgets.c:842 ../driver/xscreensaver-demo.glade.h:48
+#: driver/demo-Gtk-widgets.c:842
 msgid "Install Colormap"
 msgstr "Színtérkép telepítése"
 
-#: ../driver/demo-Gtk-widgets.c:865 ../driver/xscreensaver-demo.glade.h:86
-#: ../driver/xscreensaver-demo.glade2.h:62
+#: driver/demo-Gtk-widgets.c:865 driver/xscreensaver-demo.glade2.h:65
 msgid ""
 "Whether the screen should slowly fade to black when the screen saver "
 "activates."
 msgstr "A kép lassan elfeketedjen-e amikor a képernyővédő bekapcsol?"
 
-#: ../driver/demo-Gtk-widgets.c:867 ../driver/xscreensaver-demo.glade.h:36
+#: driver/demo-Gtk-widgets.c:867
 msgid "Fade To Black When Blanking"
 msgstr "Elsötétítéskor elfeketítés"
 
-#: ../driver/demo-Gtk-widgets.c:882 ../driver/xscreensaver-demo.glade.h:85
-#: ../driver/xscreensaver-demo.glade2.h:61
+#: driver/demo-Gtk-widgets.c:882 driver/xscreensaver-demo.glade2.h:64
 msgid ""
 "Whether the screen should slowly fade in from black when the screen saver "
 "deactivates."
 msgstr "A kép feketéből álljon-e vissza lassan amikor a képernyővédő kikapcsol?"
 
-#: ../driver/demo-Gtk-widgets.c:884 ../driver/xscreensaver-demo.glade.h:35
+#: driver/demo-Gtk-widgets.c:884
 msgid "Fade From Black When Unblanking"
 msgstr "Visszaállításkor a képernyő feketéből tűnjön elő"
 
-#: ../driver/demo-Gtk-widgets.c:910 ../driver/xscreensaver-demo.glade.h:34
+#: driver/demo-Gtk-widgets.c:910
 msgid "Fade Duration"
 msgstr "Elhalványulás időtartama"
 
-#: ../driver/demo-Gtk-widgets.c:928 ../driver/xscreensaver-demo.glade.h:44
-#: ../driver/xscreensaver-demo.glade2.h:31
+#: driver/demo-Gtk-widgets.c:928 driver/xscreensaver-demo.glade2.h:26
 msgid "How long it should take for the screen to fade in and out."
 msgstr "Mennyi ideig tartson a képernyő elhalványulása és visszaállítása?"
 
-#: ../driver/demo-Gtk-widgets.c:932 ../driver/xscreensaver-demo.glade.h:100
-#: ../driver/xscreensaver-demo.glade2.h:96
+#: driver/demo-Gtk-widgets.c:932 driver/xscreensaver-demo.glade2.h:106
 msgid "seconds"
 msgstr "másodperc"
 
-#: ../driver/demo-Gtk-widgets.c:942 ../driver/xscreensaver-demo.glade.h:27
-#: ../driver/xscreensaver-demo.glade2.h:17
+#: driver/demo-Gtk-widgets.c:942 driver/xscreensaver-demo.glade2.h:13
 msgid "Display Power Management"
 msgstr "Képernyő energiagazdálkodása"
 
-#: ../driver/demo-Gtk-widgets.c:986 ../driver/xscreensaver-demo.glade.h:84
-#: ../driver/xscreensaver-demo.glade2.h:60
+#: driver/demo-Gtk-widgets.c:986 driver/xscreensaver-demo.glade2.h:63
 msgid "Whether the monitor should be powered down after a while."
 msgstr "A monitor kikapcsoljon-e egy idő után?"
 
-#: ../driver/demo-Gtk-widgets.c:988 ../driver/xscreensaver-demo.glade.h:57
+#: driver/demo-Gtk-widgets.c:988
 msgid "Power Management Enabled"
 msgstr "Energiagazdálkodás használata"
 
-#: ../driver/demo-Gtk-widgets.c:1056 ../driver/xscreensaver-demo.glade.h:55
+#: driver/demo-Gtk-widgets.c:1056
 msgid "Off After"
 msgstr "Kikapcsolás"
 
-#: ../driver/demo-Gtk-widgets.c:1069 ../driver/xscreensaver-demo.glade.h:70
+#: driver/demo-Gtk-widgets.c:1069
 msgid "Suspend After"
 msgstr "Felfüggesztés"
 
-#: ../driver/demo-Gtk-widgets.c:1082 ../driver/xscreensaver-demo.glade.h:68
+#: driver/demo-Gtk-widgets.c:1082
 msgid "Standby After"
 msgstr "Készenlét"
 
-#: ../driver/demo-Gtk-widgets.c:1105 ../driver/xscreensaver-demo.glade.h:45
-#: ../driver/xscreensaver-demo.glade2.h:33
+#: driver/demo-Gtk-widgets.c:1105 driver/xscreensaver-demo.glade2.h:28
 msgid "How long until the monitor goes into power-saving mode."
 msgstr "Mennyi idő után lépjen a monitor energiatakarékos módba?"
 
-#: ../driver/demo-Gtk-widgets.c:1119 ../driver/xscreensaver-demo.glade.h:46
-#: ../driver/xscreensaver-demo.glade2.h:34
+#: driver/demo-Gtk-widgets.c:1119 driver/xscreensaver-demo.glade2.h:29
 msgid "How long until the monitor powers down."
 msgstr "Mennyi idő után kapcsoljon ki a monitor?"
 
-#: ../driver/demo-Gtk-widgets.c:1123 ../driver/xscreensaver-demo.glade.h:47
-#: ../driver/xscreensaver-demo.glade2.h:35
+#: driver/demo-Gtk-widgets.c:1123 driver/xscreensaver-demo.glade2.h:30
 msgid "Image Manipulation"
 msgstr "Képmanipuláció"
 
-#: ../driver/demo-Gtk-widgets.c:1167 ../driver/xscreensaver-demo.glade.h:81
-#: ../driver/xscreensaver-demo.glade2.h:57
+#: driver/demo-Gtk-widgets.c:1167 driver/xscreensaver-demo.glade2.h:60
 msgid ""
 "Whether the image-manipulating modes should be allowed to operate on an "
 "image of your desktop."
 msgstr "A képmanipuláló módok használhatnak-e az asztalról készített képet?"
 
-#: ../driver/demo-Gtk-widgets.c:1169 ../driver/xscreensaver-demo.glade.h:39
+#: driver/demo-Gtk-widgets.c:1169
 msgid "Grab Desktop Images"
 msgstr "Asztalképek használata"
 
-#: ../driver/demo-Gtk-widgets.c:1184 ../driver/xscreensaver-demo.glade.h:82
+#: driver/demo-Gtk-widgets.c:1184
 msgid ""
 "Whether the image-manipulating modes should operate on images captured from "
 "the system's video input (if there is one)."
@@ -400,494 +652,189 @@
 "A képmanipuláló módok használhatnak-e a rendszer videobemenetéről (ha van) "
 "készített képet?"
 
-#: ../driver/demo-Gtk-widgets.c:1186 ../driver/xscreensaver-demo.glade.h:40
+#: driver/demo-Gtk-widgets.c:1186
 msgid "Grab Video Frames"
 msgstr "Videoképek használata"
 
-#: ../driver/demo-Gtk-widgets.c:1201 ../driver/xscreensaver-demo.glade.h:83
-#: ../driver/xscreensaver-demo.glade2.h:59
+#: driver/demo-Gtk-widgets.c:1201 driver/xscreensaver-demo.glade2.h:62
 msgid ""
 "Whether the image-manipulating modes should operate on random images loaded "
 "from disk."
 msgstr "A képmanipuláló módok használhatnak-e a lemezről betöltött véletlen képeket?"
 
-#: ../driver/demo-Gtk-widgets.c:1203 ../driver/xscreensaver-demo.glade.h:12
+#: driver/demo-Gtk-widgets.c:1203
 msgid "Choose Random Image:"
 msgstr "Véletlenszerű kép választása:"
 
-#: ../driver/demo-Gtk-widgets.c:1236 ../driver/xscreensaver-demo.glade.h:73
-#: ../driver/xscreensaver-demo.glade2.h:52
+#: driver/demo-Gtk-widgets.c:1236 driver/xscreensaver-demo.glade2.h:53
 msgid "The directory from which images will be randomly chosen."
 msgstr "A könyvtár, amelyből a képek véletlenszerűen kikerülnek."
 
-#: ../driver/demo-Gtk-widgets.c:1238 ../driver/xscreensaver-demo.glade.h:10
+#: driver/demo-Gtk-widgets.c:1238
 msgid "Browse"
 msgstr "Tallózás"
 
-#: ../driver/demo-Gtk-widgets.c:1246 ../driver/demo-Gtk-widgets.c:1599
-#: ../driver/xscreensaver-demo.glade.h:3
-#: ../driver/xscreensaver-demo.glade2.h:2
+#: driver/demo-Gtk-widgets.c:1246 driver/demo-Gtk-widgets.c:1599
+#: driver/xscreensaver-demo.glade2.h:2
 msgid "Advanced"
 msgstr "Bővített"
 
-#: ../driver/demo-Gtk-widgets.c:1444 ../driver/xscreensaver-demo.glade.h:90
+#: driver/demo-Gtk-widgets.c:1444
 msgid "XScreenSaver: Mode-Specific Settings"
 msgstr "XScreenSaver: Mód-specifikus beállítások"
 
-#: ../driver/demo-Gtk-widgets.c:1466 ../driver/xscreensaver-demo.glade.h:64
-#: ../driver/xscreensaver-demo.glade2.h:47
+#: driver/demo-Gtk-widgets.c:1466 driver/xscreensaver-demo.glade2.h:41
 msgid "Settings"
 msgstr "Beállítások"
 
-#: ../driver/demo-Gtk-widgets.c:1495 ../driver/xscreensaver-demo.glade.h:66
-#: ../driver/xscreensaver-demo.glade2.h:49
+#: driver/demo-Gtk-widgets.c:1495 driver/xscreensaver-demo.glade2.h:43
 msgid "Standard"
 msgstr "Szabvány"
 
-#: ../driver/demo-Gtk-widgets.c:1532 ../driver/xscreensaver-demo.glade.h:77
+#: driver/demo-Gtk-widgets.c:1532
 msgid "Visual:"
 msgstr "Megjelenítő:"
 
-#: ../driver/demo-Gtk-widgets.c:1550 ../driver/demo-Gtk-widgets.c:1573
-#: ../driver/demo-Gtk.c:1545 ../driver/demo-Gtk.c:2871
-#: ../driver/xscreensaver-demo.glade.h:5
-#: ../driver/xscreensaver-demo.glade2.h:3
-msgid "Any"
-msgstr "Bármely"
-
-#: ../driver/demo-Gtk-widgets.c:1551 ../driver/xscreensaver-demo.glade.h:7
-#: ../driver/xscreensaver-demo.glade2.h:4
+#: driver/demo-Gtk-widgets.c:1551 driver/xscreensaver-demo.glade2.h:4
 msgid "Best"
 msgstr "Legjobb"
 
-#: ../driver/demo-Gtk-widgets.c:1552 ../driver/xscreensaver-demo.glade.h:19
-#: ../driver/xscreensaver-demo.glade2.h:10
+#: driver/demo-Gtk-widgets.c:1552 driver/xscreensaver-demo.glade2.h:8
 msgid "Default"
 msgstr "Alapértelmezett"
 
-#: ../driver/demo-Gtk-widgets.c:1553 ../driver/xscreensaver-demo.glade.h:20
-#: ../driver/xscreensaver-demo.glade2.h:11
+#: driver/demo-Gtk-widgets.c:1553 driver/xscreensaver-demo.glade2.h:9
 msgid "Default-N"
 msgstr "Alapértelmezett-N"
 
-#: ../driver/demo-Gtk-widgets.c:1554 ../driver/xscreensaver-demo.glade.h:37
-#: ../driver/xscreensaver-demo.glade2.h:23
+#: driver/demo-Gtk-widgets.c:1554 driver/xscreensaver-demo.glade2.h:18
 msgid "GL"
 msgstr "GL (OpenGL)"
 
-#: ../driver/demo-Gtk-widgets.c:1555 ../driver/xscreensaver-demo.glade.h:74
-#: ../driver/xscreensaver-demo.glade2.h:53
+#: driver/demo-Gtk-widgets.c:1555 driver/xscreensaver-demo.glade2.h:54
 msgid "TrueColor"
 msgstr "TrueColor"
 
-#: ../driver/demo-Gtk-widgets.c:1556 ../driver/xscreensaver-demo.glade.h:59
-#: ../driver/xscreensaver-demo.glade2.h:43
+#: driver/demo-Gtk-widgets.c:1556 driver/xscreensaver-demo.glade2.h:38
 msgid "PseudoColor"
 msgstr "PseudoColor"
 
-#: ../driver/demo-Gtk-widgets.c:1557 ../driver/xscreensaver-demo.glade.h:69
-#: ../driver/xscreensaver-demo.glade2.h:50
+#: driver/demo-Gtk-widgets.c:1557 driver/xscreensaver-demo.glade2.h:44
 msgid "StaticGray"
 msgstr "Statikus szürke"
 
-#: ../driver/demo-Gtk-widgets.c:1558 ../driver/xscreensaver-demo.glade.h:42
-#: ../driver/xscreensaver-demo.glade2.h:27
+#: driver/demo-Gtk-widgets.c:1558 driver/xscreensaver-demo.glade2.h:22
 msgid "GrayScale"
 msgstr "Szürkeárnyalatos"
 
-#: ../driver/demo-Gtk-widgets.c:1559 ../driver/xscreensaver-demo.glade.h:24
-#: ../driver/xscreensaver-demo.glade2.h:15
+#: driver/demo-Gtk-widgets.c:1559 driver/xscreensaver-demo.glade2.h:12
 msgid "DirectColor"
 msgstr "DirectColor"
 
-#: ../driver/demo-Gtk-widgets.c:1560 ../driver/xscreensaver-demo.glade.h:14
-#: ../driver/xscreensaver-demo.glade2.h:7 ../hacks/config/fuzzyflakes.xml.h:3
+#: driver/demo-Gtk-widgets.c:1560 driver/xscreensaver-demo.glade2.h:6
+#: hacks/config/fuzzyflakes.xml.h:3
 msgid "Color"
 msgstr "Színes"
 
-#: ../driver/demo-Gtk-widgets.c:1561 ../driver/xscreensaver-demo.glade.h:41
-#: ../driver/xscreensaver-demo.glade2.h:26
+#: driver/demo-Gtk-widgets.c:1561 driver/xscreensaver-demo.glade2.h:21
 msgid "Gray"
 msgstr "Szürke"
 
-#: ../driver/demo-Gtk-widgets.c:1562 ../driver/xscreensaver-demo.glade.h:53
-#: ../driver/xscreensaver-demo.glade2.h:37
+#: driver/demo-Gtk-widgets.c:1562 driver/xscreensaver-demo.glade2.h:32
 msgid "Mono"
 msgstr "Mono"
 
-#: ../driver/demo-Gtk-widgets.c:1572 ../driver/xscreensaver-demo.glade.h:72
+#: driver/demo-Gtk-widgets.c:1572
 msgid ""
 "The X visual type that this demo will require.  If that visual is available "
 "it will be used, otherwise, this demo will not be run."
 msgstr ""
 "Az X megjelenítő típusa, amit ez a demó használni fog. Ez a megjelenítő lesz "
-"használva, ha rendelkezére áll, egyébként ez a demó nem fog futni."
+"használva, ha rendelkezésre áll, egyébként ez a demó nem fog futni."
 
-#: ../driver/demo-Gtk-widgets.c:1575 ../driver/xscreensaver-demo.glade.h:16
+#: driver/demo-Gtk-widgets.c:1575
 msgid "Command Line:"
 msgstr "Parancssor:"
 
-#: ../driver/demo-Gtk-widgets.c:1647 ../driver/xscreensaver-demo.glade.h:31
+#: driver/demo-Gtk-widgets.c:1647
 msgid "Documentation..."
 msgstr "Dokumentáció..."
 
-#: ../driver/demo-Gtk-widgets.c:1655 ../driver/xscreensaver-demo.glade.h:13
+#: driver/demo-Gtk-widgets.c:1655
 msgid "Click here to read the manual for this display mode, if it has one."
 msgstr ""
 "Kattintson ide ezen megjelenítési mód kézikönyvének (ha van) "
 "megjelenítéséhez."
 
-#: ../driver/demo-Gtk-widgets.c:1680 ../driver/xscreensaver-demo.glade.h:4
+#: driver/demo-Gtk-widgets.c:1680
 msgid "Advanced >>"
 msgstr "Bővített >>"
 
-#: ../driver/demo-Gtk-widgets.c:1688 ../driver/xscreensaver-demo.glade.h:32
+#: driver/demo-Gtk-widgets.c:1688
 msgid "Edit the command line directly."
 msgstr "Parancssor szerkesztése közvetlenül."
 
-#: ../driver/demo-Gtk-widgets.c:1690 ../driver/xscreensaver-demo.glade.h:67
+#: driver/demo-Gtk-widgets.c:1690
 msgid "Standard <<"
 msgstr "Szabvány <<"
 
-#: ../driver/demo-Gtk-widgets.c:1698 ../driver/xscreensaver-demo.glade.h:6
+#: driver/demo-Gtk-widgets.c:1698
 msgid "Back to the graphical configuration options."
 msgstr "Vissza a grafikai beállításokhoz."
 
-#: ../driver/demo-Gtk-widgets.c:1709 ../driver/demo-Gtk.c:748
-#: ../driver/xscreensaver-demo.glade.h:54
-msgid "OK"
-msgstr "OK"
-
-#: ../driver/demo-Gtk-widgets.c:1718 ../driver/xscreensaver-demo.glade.h:11
+#: driver/demo-Gtk-widgets.c:1718
 msgid "Cancel"
 msgstr "Mégsem"
 
-#: ../driver/demo-Gtk.c:656
-msgid "For updates, check http://www.jwz.org/xscreensaver/"
-msgstr "Frissítésekért nézze meg ezt weblapot: http://www.jwz.org/xscreensaver/"
-
-#: ../driver/demo-Gtk.c:786
-msgid ""
-"Error:\n"
-"\n"
-"No Help URL has been specified.\n"
-msgstr ""
-"Hiba:\n"
-"\n"
-"Nincs megadva Súgó cím (URL).\n"
-
-#: ../driver/demo-Gtk.c:872
-msgid ""
-"Error:\n"
-"\n"
-"The xscreensaver daemon did not start up properly.\n"
-"\n"
-msgstr ""
-"Hiba:\n"
-"\n"
-"Az xscreensaver démon nem indult el megfelelően.\n"
-"\n"
-
-#: ../driver/demo-Gtk.c:884
-msgid ""
-"You are running as root.  This usually means that xscreensaver\n"
-"was unable to contact your X server because access control is\n"
-"turned on.  Try running this command:\n"
-"\n"
-"                        xhost +localhost\n"
-"\n"
-"and then selecting `File / Restart Daemon'.\n"
-"\n"
-"Note that turning off access control will allow anyone logged\n"
-"on to this machine to access your screen, which might be\n"
-"considered a security problem.  Please read the xscreensaver\n"
-"manual and FAQ for more information.\n"
-"\n"
-"You shouldn't run X as root. Instead, you should log in as a\n"
-"normal user, and `su' as necessary."
-msgstr ""
-"Rootként indította a programot. Ez általában azt jelenti, hogy az "
-"xscreensaver\n"
-"nem tudott kapcsolódni az X kiszolgálóhoz, mert a hozzáférés-szabályozás\n"
-"(access control) be van kapcsolva. Próbálja ezt a parancsot futtatni:\n"
-"\n"
-"                        xhost +localhost\n"
-"\n"
-"ezután válassza a \"Fájl / Démon újraindítása\" pontot.\n"
-"\n"
-"Ne feledje, hogy a hozzáférés-szabályozás kikapcsolása lehetővé teszi\n"
-"a hozzáférést a képernyőjéhez bárki számára, aki be van jelentkezve,\n"
-"ez biztonsági problémát jelenthet. Kérjük olvassa el az xscreensaver\n"
-"kézikönyvét és a FAQ-ot további információkért.\n"
-"\n"
-"Ne futtassa az X-et rootként. Ehelyett jelentkezzen be egyszerű\n"
-"felhasználóként és használja a \"su\" parancsot, ahol szükséges."
-
-#: ../driver/demo-Gtk.c:900
-msgid "Please check your $PATH and permissions."
-msgstr "Kérem ellenőrizze az útvonalakat ($PATH) és a jogokat."
-
-#: ../driver/demo-Gtk.c:935
-msgid ""
-"Error:\n"
-"\n"
-"Couldn't determine init file name!\n"
-msgstr ""
-"Hiba:\n"
-"\n"
-"Nem sikerült megállapítani a kezdő fájl nevét!\n"
-
-#: ../driver/demo-Gtk.c:940
-#, c-format
-msgid ""
-"Error:\n"
-"\n"
-"Couldn't write %s\n"
-msgstr ""
-"Hiba:\n"
-"\n"
-"Nem lehet írni ezt a fájlt: %s\n"
-
-#: ../driver/demo-Gtk.c:999
-msgid ""
-"Error:\n"
-"\n"
-"no `manualCommand' resource set."
-msgstr ""
-"Hiba:\n"
-"\n"
-"Nincs beállítva \"manualCommand\" érték."
-
-#: ../driver/demo-Gtk.c:1180
-#, c-format
-msgid ""
-"Error:\n"
-"\n"
-"Unparsable time format: \"%s\"\n"
-msgstr ""
-"Hiba:\n"
-"\n"
-"Feldolgozhatatlan időformátum: \"%s\"\n"
-
-#: ../driver/demo-Gtk.c:1836
-#, c-format
-msgid ""
-"Error:\n"
-"\n"
-"Directory does not exist: \"%s\"\n"
-msgstr ""
-"Hiba:\n"
-"\n"
-"Nem létezik a könyvtár: \"%s\"\n"
-
-#: ../driver/demo-Gtk.c:2553
-msgid "Descriptions not available: no XML support compiled in."
-msgstr "A leírások nem érhetőek el: nincs XML támogatás befordítva."
-
-#: ../driver/demo-Gtk.c:2558
-msgid "No description available."
-msgstr "Nincs elérhető leírás."
-
-#: ../driver/demo-Gtk.c:2823
-msgid "Blank Screen"
-msgstr "A képernyő elsötétítése"
-
-#: ../driver/demo-Gtk.c:2829
-msgid "Screen Saver Disabled"
-msgstr "Képernyővédő kikapcsolva"
-
-#: ../driver/demo-Gtk.c:2862
-#, c-format
-msgid "%s: %.100s Settings"
-msgstr "%s: %.100s beállításai"
-
-#: ../driver/demo-Gtk.c:3017
-#, c-format
-msgid ""
-"Warning:\n"
-"\n"
-"file \"%s\" has changed, reloading.\n"
-msgstr ""
-"Figyelem:\n"
-"\n"
-"A(z) \"%s\" fájl megváltozott, újratöltés.\n"
-
-#: ../driver/demo-Gtk.c:3099
-msgid "No Preview"
-msgstr "Nincs előnézet"
-
-#: ../driver/demo-Gtk.c:3099
-msgid "Available"
-msgstr "Elérhető"
-
-#: ../driver/demo-Gtk.c:3100
-msgid "Not"
-msgstr "Nem"
-
-#: ../driver/demo-Gtk.c:3100
-msgid "Installed"
-msgstr "Telepítve"
-
-#: ../driver/demo-Gtk.c:3865
-#, c-format
-msgid ""
-"Warning:\n"
-"\n"
-"The XScreenSaver daemon doesn't seem to be running\n"
-"on display \"%s\".  Launch it now?"
-msgstr ""
-"Figyelem:\n"
-"\n"
-"Az XScreenSaver démon nem fut\n"
-"ezen a képernyőn: \"%s\".  Elindítsam most?"
-
-#: ../driver/demo-Gtk.c:3875
-#, c-format
-msgid ""
-"Warning:\n"
-"\n"
-"%s is running as user \"%s\" on host \"%s\".\n"
-"But the xscreensaver managing display \"%s\"\n"
-"is running as user \"%s\" on host \"%s\".\n"
-"\n"
-"Since they are different users, they won't be reading/writing\n"
-"the same ~/.xscreensaver file, so %s isn't\n"
-"going to work right.\n"
-"\n"
-"You should either re-run %s as \"%s\", or re-run\n"
-"xscreensaver as \"%s\".\n"
-"\n"
-"Restart the xscreensaver daemon now?\n"
-msgstr ""
-"Figyelem:\n"
-"\n"
-"A következőt: \"%s\" \"%s\" felhasználó futtatja ezen a kiszolgálón: \"%s"
-"\".\n"
-"De az xscreensavert kezelő \"%s\" képernyőt\n"
-"\"%s\" felhasználó futtatja \"%s\" képernyőn.\n"
-"\n"
-"Mivel ezek különböző felhasználók, nem tudják ugyanazt a ~/.xscreensaver\n"
-"fájlt írni, így az %s nem fog megfelelően működni.\n"
-"\n"
-"Vagy az %s-t futtassa újra \"%s\" felhasználóként, vagy\n"
-"az xscreensavert futtassa \"%s\" felhasználóként.\n"
-"\n"
-"Újraindítja az xscreensaver démont most?\n"
-
-#: ../driver/demo-Gtk.c:3900
-#, c-format
-msgid ""
-"Warning:\n"
-"\n"
-"%s is running as user \"%s\" on host \"%s\".\n"
-"But the xscreensaver managing display \"%s\"\n"
-"is running as user \"%s\" on host \"%s\".\n"
-"\n"
-"If those two machines don't share a file system (that is,\n"
-"if they don't see the same ~%s/.xscreensaver file) then\n"
-"%s won't work right.\n"
-"\n"
-"Restart the daemon on \"%s\" as \"%s\" now?\n"
-msgstr ""
-"Figyelem:\n"
-"\n"
-"A következőt: \"%s\" \"%s\" felhasználó futtatja ezen a kiszolgálón: \"%s"
-"\".\n"
-"De az xscreensavert kezelő \"%s\" képernyőt\n"
-"\"%s\" felhasználó futtatja \"%s\" kiszolgálón.\n"
-"\n"
-"Ha ez a két kiszolgáló nem használ egy közös fájlrendszert (ekkor nem\n"
-"tudják ugyanazt a ~%s/.xscreensaver fájlt írni) akkor a(z) %s nem fog\n"
-"megfelelően működni.\n"
-"\n"
-"Újraindítja most az xscreensaver démont \"%s\" kiszolgálón \"%s\" "
-"felhasználóként?\n"
-
-#: ../driver/demo-Gtk.c:3922
-#, c-format
-msgid ""
-"Warning:\n"
-"\n"
-"This is %s version %s.\n"
-"But the xscreensaver managing display \"%s\"\n"
-"is version %s.  This could cause problems.\n"
-"\n"
-"Restart the xscreensaver daemon now?\n"
-msgstr ""
-"Figyelem:\n"
-"\n"
-"Ez a(z) %s %s verziója.\n"
-"De a(z) \"%s\" képernyőt kezelő xscreensaver\n"
-"%s verziójú. Ez gondokat okozhat.\n"
-"\n"
-"Újraindítja az xscreensaver démont most?\n"
-
-#: ../driver/demo-Gtk.c:4379
-#, c-format
-msgid "%s: unknown option: %s\n"
-msgstr "%s: ismeretlen opció: %s\n"
-
-#: ../driver/demo-Gtk.c:4443
-msgid "Screensaver Preferences"
-msgstr "Képernyővédő beállításai"
-
-#: ../driver/screensaver-properties.desktop.in.h:1
+#: driver/screensaver-properties.desktop.in.h:1
 msgid "Change screensaver properties"
 msgstr "Képernyővédő tulajdonságainak megváltoztatása"
 
-#: ../driver/screensaver-properties.desktop.in.h:2
+#: driver/screensaver-properties.desktop.in.h:2
 msgid "Screensaver"
 msgstr "Képernyővédő"
 
-#: ../driver/xscreensaver-demo.glade.h:1
-msgid "/\");"
-msgstr "/\");"
-
-#: ../driver/xscreensaver-demo.glade2.h:1
+#: driver/xscreensaver-demo.glade2.h:1
 msgid "*"
 msgstr "*"
 
-#: ../driver/xscreensaver-demo.glade2.h:6
+#: driver/xscreensaver-demo.glade2.h:5
 msgid "Choose _Random Image:"
 msgstr "Véletlensze_rű kép választása:"
 
-#: ../driver/xscreensaver-demo.glade2.h:18
-msgid "Display Subprocess _Errors"
-msgstr "Alfolyamatok hibáinak meg_jelenítése"
-
-#: ../driver/xscreensaver-demo.glade2.h:19
-msgid "Display _Splash Screen at Startup"
-msgstr "_Indítókép megjelenítése indításkor"
-
-#: ../driver/xscreensaver-demo.glade2.h:20
+#: driver/xscreensaver-demo.glade2.h:14
 msgid "F_ade Duration"
 msgstr "Elhalványulás i_dőtartama"
 
-#: ../driver/xscreensaver-demo.glade2.h:21
+#: driver/xscreensaver-demo.glade2.h:15
 msgid "Fade from Black When _Unblanking"
 msgstr "Visszaállí_táskor a képernyő feketéből tűnjön elő"
 
-#: ../driver/xscreensaver-demo.glade2.h:22
+#: driver/xscreensaver-demo.glade2.h:16
 msgid "Fade to Black when _Blanking"
 msgstr "E_lsötétítéskor elfeketítés"
 
-#: ../driver/xscreensaver-demo.glade2.h:24
+#: driver/xscreensaver-demo.glade2.h:17
+msgid "Fading and Colormaps"
+msgstr "Elhalványulás és színtérképek"
+
+#: driver/xscreensaver-demo.glade2.h:19
 msgid "Grab Desktop _Images"
 msgstr "_Asztalképek használata"
 
-#: ../driver/xscreensaver-demo.glade2.h:25
+#: driver/xscreensaver-demo.glade2.h:20
 msgid "Grab _Video Frames"
 msgstr "_Videoképek használata"
 
-#: ../driver/xscreensaver-demo.glade2.h:28
+#: driver/xscreensaver-demo.glade2.h:23
 msgid "How long after the screen blanks until a password will be required."
 msgstr "A képernyő elsötétülése után ennyi perccel jelszó szükséges."
 
-#: ../driver/xscreensaver-demo.glade2.h:29
-msgid "How long before the screensaver activates."
-msgstr "A képernyővédő bekapcsolása ennyi perc inaktivitás után"
+#: driver/xscreensaver-demo.glade2.h:24
+msgid "How long before the screen saver activates."
+msgstr "A képernyővédő bekapcsolása ennyi perc után."
 
-#: ../driver/xscreensaver-demo.glade2.h:30
+#: driver/xscreensaver-demo.glade2.h:25
 msgid ""
 "How long each display mode should run before choosing a new one (in Random "
 "mode.)"
@@ -895,15 +842,19 @@
 "Meddig fusson egy-egy képernyővédő mielőtt egy újat választ (Véletlenszerű "
 "módban)"
 
-#: ../driver/xscreensaver-demo.glade2.h:32
+#: driver/xscreensaver-demo.glade2.h:27
 msgid "How long until the monitor goes completely black."
 msgstr "A monitor teljes elsötétítése ennyi idő eltelte után."
 
-#: ../driver/xscreensaver-demo.glade2.h:36
+#: driver/xscreensaver-demo.glade2.h:31
 msgid "Install _Colormap"
 msgstr "S_zíntérkép telepítése"
 
-#: ../driver/xscreensaver-demo.glade2.h:38
+#: driver/xscreensaver-demo.glade2.h:33
+msgid "Never blank the screen or power down the monitor."
+msgstr "Soha ne sötétítse el a képet vagy kapcsolja ki a monitort."
+
+#: driver/xscreensaver-demo.glade2.h:34
 msgid ""
 "No Preview\n"
 "Available"
@@ -911,7 +862,7 @@
 "Nincs elérhető\n"
 "előnézet"
 
-#: ../driver/xscreensaver-demo.glade2.h:40
+#: driver/xscreensaver-demo.glade2.h:36
 msgid ""
 "Not\n"
 "Installed"
@@ -919,15 +870,63 @@
 "Nincs\n"
 "telepítve"
 
-#: ../driver/xscreensaver-demo.glade2.h:48
+#: driver/xscreensaver-demo.glade2.h:42
 msgid "Stand_by After"
 msgstr "_Készenlét"
 
-#: ../driver/xscreensaver-demo.glade2.h:51
+#: driver/xscreensaver-demo.glade2.h:45
 msgid "Sus_pend After"
 msgstr "_Felfüggesztés"
 
-#: ../driver/xscreensaver-demo.glade2.h:58
+#: driver/xscreensaver-demo.glade2.h:46
+msgid "Text Manipulation"
+msgstr "Szövegmanipuláció"
+
+#: driver/xscreensaver-demo.glade2.h:47
+msgid "Text _file"
+msgstr "S_zövegfájl"
+
+#: driver/xscreensaver-demo.glade2.h:48
+msgid "Text-displaying modes will display the contents of this URL (HTML or RSS)."
+msgstr "A szöveget megjelenítő képernyővédők ezen URL (HTML vagy RSS) tartalmát fogják megjeleníteni."
+
+#: driver/xscreensaver-demo.glade2.h:49
+msgid "Text-displaying modes will display the contents of this file."
+msgstr "A szöveget megjelenítő képernyővédők ezen fájl tartalmát fogják megjeleníteni."
+
+#: driver/xscreensaver-demo.glade2.h:50
+msgid "Text-displaying modes will display the local host name, date, and time."
+msgstr "A szöveget megjelenítő képernyővédők a számítógép nevét, a dátumot és az időt fogják megjeleníteni."
+
+#: driver/xscreensaver-demo.glade2.h:51
+msgid "Text-displaying modes will display the output of this program."
+msgstr "A szöveget megjelenítő képernyővédők ezen program kimenetét fogják megjeleníteni."
+
+#: driver/xscreensaver-demo.glade2.h:52
+msgid "Text-displaying modes will display the text typed here."
+msgstr "A szöveget megjelenítő képernyővédők az ide beírt szöveget fogják megjeleníteni."
+
+#: driver/xscreensaver-demo.glade2.h:55
+msgid "When idle or locked, blacken the screen only."
+msgstr "Üresjáratban vagy zároláskor csak sötétítse el a képernyőt."
+
+#: driver/xscreensaver-demo.glade2.h:56
+msgid ""
+"When idle or locked, choose a random display mode from among the checked "
+"items in the list below."
+msgstr "Üresjáratban vagy zároláskor válasszon véletlenszerűen egy képernyővédőt az alábbi listában megjelöltek közül."
+
+#: driver/xscreensaver-demo.glade2.h:57
+msgid ""
+"When idle or locked, choose a random display mode from among the checked "
+"items in the list below.  Run that same mode on each monitor."
+msgstr "Üresjáratban vagy zároláskor válasszon véletlenszerűen egy képernyővédőt az alábbi listában megjelöltek közül. Minden egyes monitoron ugyanez jelenjen meg."
+
+#: driver/xscreensaver-demo.glade2.h:58
+msgid "When idle or locked, run the display mode selected below."
+msgstr "Üresjáratban vagy zároláskor futtassa az alábbi listában megjelölt képernyővédőt."
+
+#: driver/xscreensaver-demo.glade2.h:61
 msgid ""
 "Whether the image-manipulating modes should operate on images captured from "
 "the system's video input (if there is one.)"
@@ -935,516 +934,551 @@
 "A képmanipuláló módok használhatnak-e a rendszer videobemenetéről (ha van) "
 "készített képet?"
 
-#: ../driver/xscreensaver-demo.glade2.h:67
+#: driver/xscreensaver-demo.glade2.h:69
 msgid "_Advanced"
 msgstr "Bőví_tett"
 
-#: ../driver/xscreensaver-demo.glade2.h:68
+#: driver/xscreensaver-demo.glade2.h:70
 msgid "_Advanced >>"
 msgstr "_Bővített >>"
 
-#: ../driver/xscreensaver-demo.glade2.h:69
+#: driver/xscreensaver-demo.glade2.h:71
 msgid "_Blank After"
 msgstr "_Elsötétítés"
 
-#: ../driver/xscreensaver-demo.glade2.h:71
+#: driver/xscreensaver-demo.glade2.h:73
+msgid "_Blank Screen Only"
+msgstr "_Csak üres képernyő"
+
+#: driver/xscreensaver-demo.glade2.h:74
 msgid "_Browse"
 msgstr "Bö_ngészés"
 
-#: ../driver/xscreensaver-demo.glade2.h:72
+#: driver/xscreensaver-demo.glade2.h:75
 msgid "_Command Line:"
 msgstr "Paran_cssor:"
 
-#: ../driver/xscreensaver-demo.glade2.h:73
+#: driver/xscreensaver-demo.glade2.h:76
 msgid "_Cycle After"
 msgstr "_Váltás"
 
-#: ../driver/xscreensaver-demo.glade2.h:74
+#: driver/xscreensaver-demo.glade2.h:77
+msgid "_Disable Screen Saver"
+msgstr "Képernyővédő _tiltása"
+
+#: driver/xscreensaver-demo.glade2.h:78
 msgid "_Display Modes"
 msgstr "Képernyő mó_dok"
 
-#: ../driver/xscreensaver-demo.glade2.h:79
-msgid "_Lock Screen After"
-msgstr "Képernyő _zárolása"
-
-#: ../driver/xscreensaver-demo.glade2.h:81
+#: driver/xscreensaver-demo.glade2.h:82
+msgid "_Host Name and Time"
+msgstr "_Gépnév és idő"
+
+#: driver/xscreensaver-demo.glade2.h:84
+msgid "_Lock Screen After  "
+msgstr "Képernyő _zárolása  "
+
+#: driver/xscreensaver-demo.glade2.h:86
 msgid "_Mode:"
 msgstr "_Mód:"
 
-#: ../driver/xscreensaver-demo.glade2.h:82
+#: driver/xscreensaver-demo.glade2.h:87
 msgid "_Off After"
 msgstr "Kika_pcsolás"
 
-#: ../driver/xscreensaver-demo.glade2.h:83
+#: driver/xscreensaver-demo.glade2.h:88
+msgid "_Only One Screen Saver"
+msgstr "Csak _egy képernyővédő"
+
+#: driver/xscreensaver-demo.glade2.h:89
 msgid "_Power Management Enabled"
 msgstr "_Energiagazdálkodás használata"
 
-#: ../driver/xscreensaver-demo.glade2.h:84
+#: driver/xscreensaver-demo.glade2.h:90
 msgid "_Preview"
 msgstr "Elő_nézet"
 
-#: ../driver/xscreensaver-demo.glade2.h:85
+#: driver/xscreensaver-demo.glade2.h:91
+msgid "_Program"
+msgstr "Pr_ogram"
+
+#: driver/xscreensaver-demo.glade2.h:92
 msgid "_Quit"
 msgstr "_Kilépés"
 
-#: ../driver/xscreensaver-demo.glade2.h:87
+#: driver/xscreensaver-demo.glade2.h:93
+msgid "_Random Screen Saver"
+msgstr "_Véletlenszerű képernyővédő"
+
+#: driver/xscreensaver-demo.glade2.h:95
+msgid "_Same Random Savers"
+msgstr "_Ugyanazok a véletlenszerű képernyővédők"
+
+#: driver/xscreensaver-demo.glade2.h:96
 msgid "_Settings..."
 msgstr "Beállítás_ok..."
 
-#: ../driver/xscreensaver-demo.glade2.h:88
+#: driver/xscreensaver-demo.glade2.h:97
 msgid "_Standard <<"
 msgstr "_Egyszerű <<"
 
-#: ../driver/xscreensaver-demo.glade2.h:89
-msgid "_Verbose Diagnostics"
-msgstr "Bőbeszédű _diagnosztika"
-
-#: ../driver/xscreensaver-demo.glade2.h:90
+#: driver/xscreensaver-demo.glade2.h:98
+msgid "_Text"
+msgstr "Szöve_g"
+
+#: driver/xscreensaver-demo.glade2.h:99
+msgid "_URL"
+msgstr "_URL"
+
+#: driver/xscreensaver-demo.glade2.h:100
 msgid "_Visual:"
 msgstr "Meg_jelenítő:"
 
-#: ../driver/xscreensaver-demo.glade2.h:91
+#: driver/xscreensaver-demo.glade2.h:101
 msgid "dialog1"
 msgstr "dialog1"
 
-#: ../driver/xscreensaver-demo.glade2.h:93
+#: driver/xscreensaver-demo.glade2.h:103
 msgid "no preview"
 msgstr "nincs előnézet"
 
-#: ../driver/xscreensaver-demo.glade2.h:94
+#: driver/xscreensaver-demo.glade2.h:104
 msgid "not installed"
 msgstr "nincs telepítve"
 
-#: ../driver/xscreensaver-demo.glade2.h:95
+#: driver/xscreensaver-demo.glade2.h:105
 msgid "preview"
 msgstr "előnézet"
 
-#: ../hacks/config/anemone.xml.h:1
+#: hacks/config/anemone.xml.h:1
 msgid "Anemone"
 msgstr "Anemóna"
 
-#: ../hacks/config/anemone.xml.h:2 ../hacks/config/fuzzyflakes.xml.h:1
+#: hacks/config/anemone.xml.h:2 hacks/config/fuzzyflakes.xml.h:1
 msgid "Arms"
 msgstr "Karok"
 
-#: ../hacks/config/anemone.xml.h:3 ../hacks/config/anemotaxis.xml.h:5
-#: ../hacks/config/ant.xml.h:6 ../hacks/config/antinspect.xml.h:4
-#: ../hacks/config/antspotlight.xml.h:3 ../hacks/config/apollonian.xml.h:5
-#: ../hacks/config/atlantis.xml.h:4 ../hacks/config/attraction.xml.h:8
-#: ../hacks/config/atunnel.xml.h:3 ../hacks/config/barcode.xml.h:4
-#: ../hacks/config/blaster.xml.h:4 ../hacks/config/blinkbox.xml.h:5
-#: ../hacks/config/blitspin.xml.h:4 ../hacks/config/blocktube.xml.h:4
-#: ../hacks/config/bouboule.xml.h:3 ../hacks/config/bouncingcow.xml.h:6
-#: ../hacks/config/boxed.xml.h:4 ../hacks/config/braid.xml.h:4
-#: ../hacks/config/bubble3d.xml.h:3 ../hacks/config/bubbles.xml.h:8
-#: ../hacks/config/bumps.xml.h:4 ../hacks/config/cage.xml.h:2
-#: ../hacks/config/circuit.xml.h:4 ../hacks/config/cloudlife.xml.h:3
-#: ../hacks/config/compass.xml.h:3 ../hacks/config/coral.xml.h:7
-#: ../hacks/config/critical.xml.h:4 ../hacks/config/crystal.xml.h:6
-#: ../hacks/config/cubenetic.xml.h:8 ../hacks/config/cubestorm.xml.h:4
-#: ../hacks/config/cynosure.xml.h:4 ../hacks/config/dangerball.xml.h:3
-#: ../hacks/config/decayscreen.xml.h:2 ../hacks/config/deluxe.xml.h:4
-#: ../hacks/config/demon.xml.h:4 ../hacks/config/discrete.xml.h:2
-#: ../hacks/config/distort.xml.h:4 ../hacks/config/drift.xml.h:3
-#: ../hacks/config/endgame.xml.h:3 ../hacks/config/engine.xml.h:8
-#: ../hacks/config/epicycle.xml.h:5 ../hacks/config/eruption.xml.h:5
-#: ../hacks/config/euler2d.xml.h:3 ../hacks/config/extrusion.xml.h:3
-#: ../hacks/config/fadeplot.xml.h:4 ../hacks/config/fireworkx.xml.h:3
-#: ../hacks/config/flag.xml.h:2 ../hacks/config/flame.xml.h:6
-#: ../hacks/config/flipflop.xml.h:1 ../hacks/config/flipscreen3d.xml.h:1
-#: ../hacks/config/flow.xml.h:2 ../hacks/config/fluidballs.xml.h:5
-#: ../hacks/config/flyingtoasters.xml.h:5 ../hacks/config/fontglide.xml.h:4
-#: ../hacks/config/forest.xml.h:1 ../hacks/config/fuzzyflakes.xml.h:7
-#: ../hacks/config/galaxy.xml.h:3 ../hacks/config/gears.xml.h:2
-#: ../hacks/config/gflux.xml.h:7 ../hacks/config/glblur.xml.h:4
-#: ../hacks/config/glforestfire.xml.h:4 ../hacks/config/glknots.xml.h:3
-#: ../hacks/config/glmatrix.xml.h:8 ../hacks/config/glplanet.xml.h:2
-#: ../hacks/config/glsnake.xml.h:6 ../hacks/config/gltext.xml.h:3
-#: ../hacks/config/goop.xml.h:4 ../hacks/config/grav.xml.h:2
-#: ../hacks/config/greynetic.xml.h:1 ../hacks/config/halo.xml.h:2
-#: ../hacks/config/hopalong.xml.h:9 ../hacks/config/hyperball.xml.h:2
-#: ../hacks/config/hypercube.xml.h:2 ../hacks/config/hypertorus.xml.h:6
-#: ../hacks/config/ifs.xml.h:1 ../hacks/config/interference.xml.h:7
-#: ../hacks/config/intermomentary.xml.h:1 ../hacks/config/jigglypuff.xml.h:6
-#: ../hacks/config/jigsaw.xml.h:3 ../hacks/config/juggle.xml.h:4
-#: ../hacks/config/julia.xml.h:2 ../hacks/config/kaleidescope.xml.h:3
-#: ../hacks/config/klein.xml.h:2 ../hacks/config/kumppa.xml.h:3
-#: ../hacks/config/lament.xml.h:2 ../hacks/config/laser.xml.h:3
-#: ../hacks/config/lavalite.xml.h:10 ../hacks/config/lightning.xml.h:1
-#: ../hacks/config/lisa.xml.h:2 ../hacks/config/lissie.xml.h:3
-#: ../hacks/config/lmorph.xml.h:3 ../hacks/config/loop.xml.h:1
-#: ../hacks/config/maze.xml.h:4 ../hacks/config/memscroller.xml.h:5
-#: ../hacks/config/menger.xml.h:3 ../hacks/config/metaballs.xml.h:4
-#: ../hacks/config/mirrorblob.xml.h:12 ../hacks/config/mismunch.xml.h:2
-#: ../hacks/config/moebius.xml.h:3 ../hacks/config/moire2.xml.h:2
-#: ../hacks/config/molecule.xml.h:10 ../hacks/config/morph3d.xml.h:3
-#: ../hacks/config/mountain.xml.h:2 ../hacks/config/munch.xml.h:4
-#: ../hacks/config/nerverot.xml.h:9 ../hacks/config/noof.xml.h:2
-#: ../hacks/config/pacman.xml.h:1 ../hacks/config/penetrate.xml.h:3
-#: ../hacks/config/penrose.xml.h:6 ../hacks/config/petri.xml.h:5
-#: ../hacks/config/phosphor.xml.h:5 ../hacks/config/piecewise.xml.h:4
-#: ../hacks/config/pinion.xml.h:5 ../hacks/config/pipes.xml.h:5
-#: ../hacks/config/polyhedra.xml.h:18 ../hacks/config/polyominoes.xml.h:2
-#: ../hacks/config/polytopes.xml.h:11 ../hacks/config/pong.xml.h:1
-#: ../hacks/config/popsquares.xml.h:3 ../hacks/config/providence.xml.h:2
-#: ../hacks/config/pulsar.xml.h:11 ../hacks/config/pyro.xml.h:4
-#: ../hacks/config/qix.xml.h:7 ../hacks/config/queens.xml.h:1
-#: ../hacks/config/rd-bomb.xml.h:9 ../hacks/config/ripples.xml.h:4
-#: ../hacks/config/rocks.xml.h:4 ../hacks/config/rotor.xml.h:3
-#: ../hacks/config/rubik.xml.h:3 ../hacks/config/sballs.xml.h:4
-#: ../hacks/config/shadebobs.xml.h:3 ../hacks/config/sierpinski.xml.h:2
-#: ../hacks/config/sierpinski3d.xml.h:2 ../hacks/config/slidescreen.xml.h:2
-#: ../hacks/config/slip.xml.h:2 ../hacks/config/speedmine.xml.h:3
-#: ../hacks/config/sphere.xml.h:2 ../hacks/config/spheremonics.xml.h:5
-#: ../hacks/config/spiral.xml.h:3 ../hacks/config/spotlight.xml.h:2
-#: ../hacks/config/sproingies.xml.h:2 ../hacks/config/squiral.xml.h:5
-#: ../hacks/config/stairs.xml.h:1 ../hacks/config/starfish.xml.h:3
-#: ../hacks/config/starwars.xml.h:6 ../hacks/config/strange.xml.h:1
-#: ../hacks/config/substrate.xml.h:2 ../hacks/config/superquadrics.xml.h:4
-#: ../hacks/config/swirl.xml.h:2 ../hacks/config/t3d.xml.h:6
-#: ../hacks/config/thornbird.xml.h:2 ../hacks/config/triangle.xml.h:1
-#: ../hacks/config/truchet.xml.h:1 ../hacks/config/twang.xml.h:3
-#: ../hacks/config/vines.xml.h:1 ../hacks/config/webcollage.xml.h:4
-#: ../hacks/config/worm.xml.h:4 ../hacks/config/wormhole.xml.h:2
-#: ../hacks/config/xearth.xml.h:7 ../hacks/config/xfishtank.xml.h:3
-#: ../hacks/config/xflame.xml.h:4 ../hacks/config/xjack.xml.h:1
-#: ../hacks/config/xmatrix.xml.h:5 ../hacks/config/xmountains.xml.h:13
-#: ../hacks/config/xplanet.xml.h:8 ../hacks/config/xrayswarm.xml.h:2
-#: ../hacks/config/zoom.xml.h:2
+#: hacks/config/anemone.xml.h:3 hacks/config/anemotaxis.xml.h:5
+#: hacks/config/antinspect.xml.h:4 hacks/config/antspotlight.xml.h:3
+#: hacks/config/ant.xml.h:6 hacks/config/apollonian.xml.h:5
+#: hacks/config/atlantis.xml.h:4 hacks/config/attraction.xml.h:8
+#: hacks/config/atunnel.xml.h:3 hacks/config/barcode.xml.h:4
+#: hacks/config/blaster.xml.h:3 hacks/config/blinkbox.xml.h:5
+#: hacks/config/blitspin.xml.h:4 hacks/config/blocktube.xml.h:4
+#: hacks/config/boing.xml.h:2 hacks/config/bouboule.xml.h:3
+#: hacks/config/bouncingcow.xml.h:6 hacks/config/boxed.xml.h:4
+#: hacks/config/boxfit.xml.h:8 hacks/config/braid.xml.h:4
+#: hacks/config/bubble3d.xml.h:3 hacks/config/bubbles.xml.h:8
+#: hacks/config/bumps.xml.h:3 hacks/config/cage.xml.h:2
+#: hacks/config/carousel.xml.h:5 hacks/config/circuit.xml.h:4
+#: hacks/config/cloudlife.xml.h:3 hacks/config/compass.xml.h:3
+#: hacks/config/coral.xml.h:7 hacks/config/critical.xml.h:3
+#: hacks/config/crystal.xml.h:6 hacks/config/cubenetic.xml.h:8
+#: hacks/config/cubestorm.xml.h:4 hacks/config/cynosure.xml.h:4
+#: hacks/config/dangerball.xml.h:3 hacks/config/decayscreen.xml.h:2
+#: hacks/config/deluxe.xml.h:4 hacks/config/demon.xml.h:4
+#: hacks/config/discrete.xml.h:2 hacks/config/distort.xml.h:4
+#: hacks/config/drift.xml.h:3 hacks/config/endgame.xml.h:3
+#: hacks/config/engine.xml.h:8 hacks/config/epicycle.xml.h:5
+#: hacks/config/eruption.xml.h:5 hacks/config/euler2d.xml.h:3
+#: hacks/config/extrusion.xml.h:3 hacks/config/fadeplot.xml.h:4
+#: hacks/config/fireworkx.xml.h:3 hacks/config/flag.xml.h:2
+#: hacks/config/flame.xml.h:6 hacks/config/flipflop.xml.h:1
+#: hacks/config/flipscreen3d.xml.h:1 hacks/config/fliptext.xml.h:3
+#: hacks/config/flow.xml.h:2 hacks/config/fluidballs.xml.h:5
+#: hacks/config/flyingtoasters.xml.h:5 hacks/config/fontglide.xml.h:4
+#: hacks/config/forest.xml.h:1 hacks/config/fuzzyflakes.xml.h:7
+#: hacks/config/galaxy.xml.h:3 hacks/config/gears.xml.h:2
+#: hacks/config/gflux.xml.h:6 hacks/config/glblur.xml.h:4
+#: hacks/config/glforestfire.xml.h:4 hacks/config/glknots.xml.h:3
+#: hacks/config/glmatrix.xml.h:8 hacks/config/glplanet.xml.h:2
+#: hacks/config/glsnake.xml.h:6 hacks/config/gltext.xml.h:4
+#: hacks/config/goop.xml.h:4 hacks/config/grav.xml.h:2
+#: hacks/config/greynetic.xml.h:1 hacks/config/halo.xml.h:2
+#: hacks/config/hopalong.xml.h:9 hacks/config/hyperball.xml.h:2
+#: hacks/config/hypercube.xml.h:2 hacks/config/hypertorus.xml.h:6
+#: hacks/config/ifs.xml.h:4 hacks/config/interference.xml.h:7
+#: hacks/config/intermomentary.xml.h:1 hacks/config/jigglypuff.xml.h:6
+#: hacks/config/jigsaw.xml.h:3 hacks/config/juggle.xml.h:2
+#: hacks/config/julia.xml.h:2 hacks/config/kaleidescope.xml.h:2
+#: hacks/config/klein.xml.h:2 hacks/config/kumppa.xml.h:3
+#: hacks/config/lament.xml.h:2 hacks/config/laser.xml.h:3
+#: hacks/config/lavalite.xml.h:10 hacks/config/lightning.xml.h:1
+#: hacks/config/lisa.xml.h:2 hacks/config/lissie.xml.h:3
+#: hacks/config/lmorph.xml.h:3 hacks/config/loop.xml.h:1
+#: hacks/config/maze.xml.h:4 hacks/config/memscroller.xml.h:5
+#: hacks/config/menger.xml.h:3 hacks/config/metaballs.xml.h:4
+#: hacks/config/mirrorblob.xml.h:12 hacks/config/mismunch.xml.h:2
+#: hacks/config/moebius.xml.h:3 hacks/config/moire2.xml.h:2
+#: hacks/config/molecule.xml.h:11 hacks/config/morph3d.xml.h:3
+#: hacks/config/mountain.xml.h:2 hacks/config/munch.xml.h:3
+#: hacks/config/nerverot.xml.h:9 hacks/config/noof.xml.h:2
+#: hacks/config/pacman.xml.h:1 hacks/config/penetrate.xml.h:3
+#: hacks/config/penrose.xml.h:6 hacks/config/petri.xml.h:5
+#: hacks/config/phosphor.xml.h:4 hacks/config/piecewise.xml.h:4
+#: hacks/config/pinion.xml.h:5 hacks/config/pipes.xml.h:5
+#: hacks/config/polyhedra.xml.h:18 hacks/config/polyominoes.xml.h:2
+#: hacks/config/polytopes.xml.h:11 hacks/config/pong.xml.h:1
+#: hacks/config/popsquares.xml.h:3 hacks/config/providence.xml.h:2
+#: hacks/config/pulsar.xml.h:11 hacks/config/pyro.xml.h:4
+#: hacks/config/qix.xml.h:7 hacks/config/queens.xml.h:1
+#: hacks/config/rd-bomb.xml.h:9 hacks/config/ripples.xml.h:4
+#: hacks/config/rocks.xml.h:4 hacks/config/rotor.xml.h:3
+#: hacks/config/rubik.xml.h:3 hacks/config/sballs.xml.h:4
+#: hacks/config/shadebobs.xml.h:3 hacks/config/sierpinski3d.xml.h:2
+#: hacks/config/sierpinski.xml.h:2 hacks/config/slidescreen.xml.h:2
+#: hacks/config/slip.xml.h:2 hacks/config/speedmine.xml.h:3
+#: hacks/config/spheremonics.xml.h:5 hacks/config/sphere.xml.h:2
+#: hacks/config/spiral.xml.h:3 hacks/config/spotlight.xml.h:2
+#: hacks/config/sproingies.xml.h:2 hacks/config/squiral.xml.h:4
+#: hacks/config/stairs.xml.h:1 hacks/config/starfish.xml.h:3
+#: hacks/config/starwars.xml.h:6 hacks/config/strange.xml.h:1
+#: hacks/config/substrate.xml.h:7 hacks/config/superquadrics.xml.h:4
+#: hacks/config/swirl.xml.h:2 hacks/config/t3d.xml.h:6
+#: hacks/config/thornbird.xml.h:2 hacks/config/triangle.xml.h:1
+#: hacks/config/truchet.xml.h:1 hacks/config/twang.xml.h:3
+#: hacks/config/vines.xml.h:1 hacks/config/wormhole.xml.h:2
+#: hacks/config/worm.xml.h:3 hacks/config/xearth.xml.h:7
+#: hacks/config/xfishtank.xml.h:3 hacks/config/xflame.xml.h:4
+#: hacks/config/xjack.xml.h:1 hacks/config/xmatrix.xml.h:5
+#: hacks/config/xmountains.xml.h:13 hacks/config/xplanet.xml.h:8
+#: hacks/config/xrayswarm.xml.h:2 hacks/config/zoom.xml.h:2
 msgid "Fast"
 msgstr "Gyors"
 
-#: ../hacks/config/anemone.xml.h:4 ../hacks/config/anemotaxis.xml.h:6
-#: ../hacks/config/blaster.xml.h:5 ../hacks/config/bouboule.xml.h:4
-#: ../hacks/config/coral.xml.h:8 ../hacks/config/cubenetic.xml.h:9
-#: ../hacks/config/eruption.xml.h:6 ../hacks/config/euler2d.xml.h:4
-#: ../hacks/config/flame.xml.h:7 ../hacks/config/fluidballs.xml.h:6
-#: ../hacks/config/fuzzyflakes.xml.h:8 ../hacks/config/kaleidescope.xml.h:4
-#: ../hacks/config/lisa.xml.h:3 ../hacks/config/pedal.xml.h:4
-#: ../hacks/config/petri.xml.h:7 ../hacks/config/qix.xml.h:8
-#: ../hacks/config/substrate.xml.h:3 ../hacks/config/thornbird.xml.h:3
-#: ../hacks/config/whirlwindwarp.xml.h:1 ../hacks/config/wormhole.xml.h:3
-#: ../hacks/config/xfishtank.xml.h:4
+#: hacks/config/anemone.xml.h:4 hacks/config/anemotaxis.xml.h:6
+#: hacks/config/blaster.xml.h:4 hacks/config/bouboule.xml.h:4
+#: hacks/config/coral.xml.h:8 hacks/config/cubenetic.xml.h:9
+#: hacks/config/eruption.xml.h:6 hacks/config/euler2d.xml.h:4
+#: hacks/config/fiberlamp.xml.h:2 hacks/config/flame.xml.h:7
+#: hacks/config/fluidballs.xml.h:6 hacks/config/fuzzyflakes.xml.h:8
+#: hacks/config/kaleidescope.xml.h:3 hacks/config/lisa.xml.h:3
+#: hacks/config/pedal.xml.h:4 hacks/config/petri.xml.h:7
+#: hacks/config/qix.xml.h:8 hacks/config/substrate.xml.h:8
+#: hacks/config/thornbird.xml.h:3 hacks/config/whirlwindwarp.xml.h:1
+#: hacks/config/wormhole.xml.h:3 hacks/config/xfishtank.xml.h:4
 msgid "Few"
 msgstr "Kevés"
 
-#: ../hacks/config/anemone.xml.h:5 ../hacks/config/anemotaxis.xml.h:7
-#: ../hacks/config/ant.xml.h:9 ../hacks/config/apollonian.xml.h:7
-#: ../hacks/config/attraction.xml.h:19 ../hacks/config/blaster.xml.h:7
-#: ../hacks/config/bouboule.xml.h:5 ../hacks/config/braid.xml.h:7
-#: ../hacks/config/coral.xml.h:9 ../hacks/config/critical.xml.h:5
-#: ../hacks/config/crystal.xml.h:8 ../hacks/config/cubenetic.xml.h:13
-#: ../hacks/config/cynosure.xml.h:6 ../hacks/config/deco.xml.h:5
-#: ../hacks/config/deluxe.xml.h:6 ../hacks/config/demon.xml.h:6
-#: ../hacks/config/discrete.xml.h:4 ../hacks/config/drift.xml.h:9
-#: ../hacks/config/epicycle.xml.h:8 ../hacks/config/eruption.xml.h:12
-#: ../hacks/config/euler2d.xml.h:8 ../hacks/config/fadeplot.xml.h:6
-#: ../hacks/config/flag.xml.h:5 ../hacks/config/flame.xml.h:11
-#: ../hacks/config/flow.xml.h:7 ../hacks/config/fluidballs.xml.h:13
-#: ../hacks/config/forest.xml.h:3 ../hacks/config/fuzzyflakes.xml.h:12
-#: ../hacks/config/galaxy.xml.h:6 ../hacks/config/grav.xml.h:4
-#: ../hacks/config/halo.xml.h:4 ../hacks/config/hopalong.xml.h:15
-#: ../hacks/config/ifs.xml.h:3 ../hacks/config/imsmap.xml.h:9
-#: ../hacks/config/interference.xml.h:14 ../hacks/config/julia.xml.h:6
-#: ../hacks/config/kaleidescope.xml.h:6 ../hacks/config/laser.xml.h:6
-#: ../hacks/config/lightning.xml.h:3 ../hacks/config/lisa.xml.h:5
-#: ../hacks/config/lissie.xml.h:6 ../hacks/config/loop.xml.h:4
-#: ../hacks/config/metaballs.xml.h:6 ../hacks/config/mismunch.xml.h:4
-#: ../hacks/config/moire.xml.h:5 ../hacks/config/moire2.xml.h:3
-#: ../hacks/config/mountain.xml.h:4 ../hacks/config/nerverot.xml.h:15
-#: ../hacks/config/pedal.xml.h:6 ../hacks/config/penrose.xml.h:7
-#: ../hacks/config/petri.xml.h:11 ../hacks/config/polyominoes.xml.h:5
-#: ../hacks/config/qix.xml.h:14 ../hacks/config/rd-bomb.xml.h:12
-#: ../hacks/config/ripples.xml.h:7 ../hacks/config/rocks.xml.h:5
-#: ../hacks/config/rotor.xml.h:6 ../hacks/config/shadebobs.xml.h:5
-#: ../hacks/config/sierpinski.xml.h:4 ../hacks/config/slip.xml.h:4
-#: ../hacks/config/sphere.xml.h:3 ../hacks/config/spiral.xml.h:6
-#: ../hacks/config/squiral.xml.h:10 ../hacks/config/starfish.xml.h:5
-#: ../hacks/config/strange.xml.h:2 ../hacks/config/swirl.xml.h:3
-#: ../hacks/config/thornbird.xml.h:4 ../hacks/config/triangle.xml.h:3
-#: ../hacks/config/vines.xml.h:2 ../hacks/config/whirlwindwarp.xml.h:4
-#: ../hacks/config/worm.xml.h:5 ../hacks/config/xearth.xml.h:12
-#: ../hacks/config/xfishtank.xml.h:8
+#: hacks/config/anemone.xml.h:5 hacks/config/anemotaxis.xml.h:7
+#: hacks/config/ant.xml.h:9 hacks/config/apollonian.xml.h:7
+#: hacks/config/attraction.xml.h:18 hacks/config/blaster.xml.h:6
+#: hacks/config/bouboule.xml.h:5 hacks/config/braid.xml.h:7
+#: hacks/config/coral.xml.h:9 hacks/config/critical.xml.h:4
+#: hacks/config/crystal.xml.h:8 hacks/config/cubenetic.xml.h:13
+#: hacks/config/cynosure.xml.h:6 hacks/config/deco.xml.h:5
+#: hacks/config/deluxe.xml.h:6 hacks/config/demon.xml.h:6
+#: hacks/config/discrete.xml.h:4 hacks/config/drift.xml.h:9
+#: hacks/config/epicycle.xml.h:8 hacks/config/eruption.xml.h:12
+#: hacks/config/euler2d.xml.h:8 hacks/config/fadeplot.xml.h:6
+#: hacks/config/fiberlamp.xml.h:6 hacks/config/flag.xml.h:5
+#: hacks/config/flame.xml.h:11 hacks/config/flow.xml.h:7
+#: hacks/config/fluidballs.xml.h:13 hacks/config/forest.xml.h:3
+#: hacks/config/fuzzyflakes.xml.h:12 hacks/config/galaxy.xml.h:6
+#: hacks/config/grav.xml.h:4 hacks/config/halo.xml.h:4
+#: hacks/config/hopalong.xml.h:15 hacks/config/ifs.xml.h:8
+#: hacks/config/imsmap.xml.h:9 hacks/config/interference.xml.h:14
+#: hacks/config/julia.xml.h:6 hacks/config/kaleidescope.xml.h:5
+#: hacks/config/laser.xml.h:6 hacks/config/lightning.xml.h:3
+#: hacks/config/lisa.xml.h:5 hacks/config/lissie.xml.h:6
+#: hacks/config/loop.xml.h:4 hacks/config/metaballs.xml.h:6
+#: hacks/config/mismunch.xml.h:4 hacks/config/moire2.xml.h:3
+#: hacks/config/moire.xml.h:5 hacks/config/mountain.xml.h:4
+#: hacks/config/nerverot.xml.h:15 hacks/config/pedal.xml.h:6
+#: hacks/config/penrose.xml.h:7 hacks/config/petri.xml.h:11
+#: hacks/config/polyominoes.xml.h:5 hacks/config/qix.xml.h:14
+#: hacks/config/rd-bomb.xml.h:12 hacks/config/ripples.xml.h:7
+#: hacks/config/rocks.xml.h:5 hacks/config/rotor.xml.h:6
+#: hacks/config/shadebobs.xml.h:5 hacks/config/sierpinski.xml.h:4
+#: hacks/config/slip.xml.h:4 hacks/config/sphere.xml.h:3
+#: hacks/config/spiral.xml.h:6 hacks/config/squiral.xml.h:9
+#: hacks/config/starfish.xml.h:5 hacks/config/strange.xml.h:2
+#: hacks/config/swirl.xml.h:3 hacks/config/thornbird.xml.h:4
+#: hacks/config/triangle.xml.h:3 hacks/config/vines.xml.h:2
+#: hacks/config/whirlwindwarp.xml.h:4 hacks/config/worm.xml.h:4
+#: hacks/config/xearth.xml.h:12 hacks/config/xfishtank.xml.h:8
 msgid "Many"
 msgstr "Sok"
 
-#: ../hacks/config/anemone.xml.h:6 ../hacks/config/ant.xml.h:11
-#: ../hacks/config/apollonian.xml.h:8 ../hacks/config/attraction.xml.h:20
-#: ../hacks/config/bouboule.xml.h:6 ../hacks/config/braid.xml.h:9
-#: ../hacks/config/critical.xml.h:6 ../hacks/config/crystal.xml.h:10
-#: ../hacks/config/cynosure.xml.h:7 ../hacks/config/deco.xml.h:8
-#: ../hacks/config/deluxe.xml.h:7 ../hacks/config/demon.xml.h:7
-#: ../hacks/config/discrete.xml.h:6 ../hacks/config/drift.xml.h:10
-#: ../hacks/config/epicycle.xml.h:9 ../hacks/config/eruption.xml.h:14
-#: ../hacks/config/euler2d.xml.h:9 ../hacks/config/fadeplot.xml.h:7
-#: ../hacks/config/flag.xml.h:6 ../hacks/config/flame.xml.h:12
-#: ../hacks/config/flow.xml.h:8 ../hacks/config/forest.xml.h:4
-#: ../hacks/config/galaxy.xml.h:7 ../hacks/config/grav.xml.h:5
-#: ../hacks/config/halo.xml.h:6 ../hacks/config/hopalong.xml.h:17
-#: ../hacks/config/ifs.xml.h:4 ../hacks/config/imsmap.xml.h:10
-#: ../hacks/config/interference.xml.h:15 ../hacks/config/julia.xml.h:7
-#: ../hacks/config/laser.xml.h:8 ../hacks/config/lightning.xml.h:4
-#: ../hacks/config/lisa.xml.h:6 ../hacks/config/lissie.xml.h:7
-#: ../hacks/config/loop.xml.h:5 ../hacks/config/metaballs.xml.h:10
-#: ../hacks/config/moire.xml.h:7 ../hacks/config/moire2.xml.h:5
-#: ../hacks/config/mountain.xml.h:6 ../hacks/config/penrose.xml.h:8
-#: ../hacks/config/polyominoes.xml.h:6 ../hacks/config/popsquares.xml.h:4
-#: ../hacks/config/rd-bomb.xml.h:13 ../hacks/config/rocks.xml.h:6
-#: ../hacks/config/rotor.xml.h:7 ../hacks/config/shadebobs.xml.h:6
-#: ../hacks/config/sierpinski.xml.h:5 ../hacks/config/slip.xml.h:5
-#: ../hacks/config/sphere.xml.h:4 ../hacks/config/spiral.xml.h:8
-#: ../hacks/config/squiral.xml.h:11 ../hacks/config/starfish.xml.h:6
-#: ../hacks/config/strange.xml.h:3 ../hacks/config/swirl.xml.h:5
-#: ../hacks/config/thornbird.xml.h:5 ../hacks/config/triangle.xml.h:4
-#: ../hacks/config/vines.xml.h:3 ../hacks/config/worm.xml.h:6
-#: ../hacks/config/xearth.xml.h:17 ../hacks/config/xfishtank.xml.h:9
+#: hacks/config/anemone.xml.h:6 hacks/config/ant.xml.h:11
+#: hacks/config/apollonian.xml.h:8 hacks/config/attraction.xml.h:19
+#: hacks/config/bouboule.xml.h:6 hacks/config/braid.xml.h:9
+#: hacks/config/critical.xml.h:5 hacks/config/crystal.xml.h:10
+#: hacks/config/cynosure.xml.h:7 hacks/config/deco.xml.h:8
+#: hacks/config/deluxe.xml.h:7 hacks/config/demon.xml.h:7
+#: hacks/config/discrete.xml.h:6 hacks/config/drift.xml.h:10
+#: hacks/config/epicycle.xml.h:9 hacks/config/eruption.xml.h:14
+#: hacks/config/euler2d.xml.h:9 hacks/config/fadeplot.xml.h:7
+#: hacks/config/flag.xml.h:6 hacks/config/flame.xml.h:12
+#: hacks/config/flow.xml.h:8 hacks/config/forest.xml.h:4
+#: hacks/config/galaxy.xml.h:7 hacks/config/grav.xml.h:5
+#: hacks/config/halo.xml.h:6 hacks/config/hopalong.xml.h:17
+#: hacks/config/imsmap.xml.h:10 hacks/config/interference.xml.h:15
+#: hacks/config/julia.xml.h:7 hacks/config/laser.xml.h:8
+#: hacks/config/lightning.xml.h:4 hacks/config/lisa.xml.h:6
+#: hacks/config/lissie.xml.h:7 hacks/config/loop.xml.h:5
+#: hacks/config/metaballs.xml.h:10 hacks/config/moire2.xml.h:5
+#: hacks/config/moire.xml.h:7 hacks/config/mountain.xml.h:6
+#: hacks/config/penrose.xml.h:8 hacks/config/polyominoes.xml.h:6
+#: hacks/config/popsquares.xml.h:4 hacks/config/rd-bomb.xml.h:13
+#: hacks/config/rocks.xml.h:6 hacks/config/rotor.xml.h:7
+#: hacks/config/shadebobs.xml.h:6 hacks/config/sierpinski.xml.h:5
+#: hacks/config/slip.xml.h:5 hacks/config/sphere.xml.h:4
+#: hacks/config/spiral.xml.h:8 hacks/config/squiral.xml.h:10
+#: hacks/config/starfish.xml.h:6 hacks/config/strange.xml.h:3
+#: hacks/config/swirl.xml.h:5 hacks/config/thornbird.xml.h:5
+#: hacks/config/triangle.xml.h:4 hacks/config/vines.xml.h:3
+#: hacks/config/worm.xml.h:5 hacks/config/xearth.xml.h:17
+#: hacks/config/xfishtank.xml.h:9
 msgid "Number of Colors"
 msgstr "Színek száma"
 
-#: ../hacks/config/anemone.xml.h:7 ../hacks/config/fireflies.xml.h:32
-#: ../hacks/config/pyro.xml.h:8
+#: hacks/config/anemone.xml.h:7 hacks/config/fireflies.xml.h:32
+#: hacks/config/pyro.xml.h:8
 msgid "Often"
 msgstr "Gyakran"
 
-#: ../hacks/config/anemone.xml.h:8
+#: hacks/config/anemone.xml.h:8
 msgid "Rarely"
 msgstr "Ritkán"
 
-#: ../hacks/config/anemone.xml.h:9 ../hacks/config/anemotaxis.xml.h:10
-#: ../hacks/config/ant.xml.h:15 ../hacks/config/antinspect.xml.h:6
-#: ../hacks/config/antspotlight.xml.h:5 ../hacks/config/apollonian.xml.h:11
-#: ../hacks/config/atlantis.xml.h:13 ../hacks/config/attraction.xml.h:27
-#: ../hacks/config/atunnel.xml.h:6 ../hacks/config/barcode.xml.h:6
-#: ../hacks/config/blaster.xml.h:9 ../hacks/config/blinkbox.xml.h:7
-#: ../hacks/config/blitspin.xml.h:7 ../hacks/config/blocktube.xml.h:9
-#: ../hacks/config/bouboule.xml.h:8 ../hacks/config/bouncingcow.xml.h:10
-#: ../hacks/config/boxed.xml.h:7 ../hacks/config/braid.xml.h:11
-#: ../hacks/config/bubble3d.xml.h:5 ../hacks/config/bubbles.xml.h:10
-#: ../hacks/config/bumps.xml.h:5 ../hacks/config/cage.xml.h:4
-#: ../hacks/config/circuit.xml.h:10 ../hacks/config/cloudlife.xml.h:11
-#: ../hacks/config/compass.xml.h:4 ../hacks/config/coral.xml.h:12
-#: ../hacks/config/critical.xml.h:7 ../hacks/config/crystal.xml.h:11
-#: ../hacks/config/cubenetic.xml.h:22 ../hacks/config/cubestorm.xml.h:8
-#: ../hacks/config/cynosure.xml.h:9 ../hacks/config/dangerball.xml.h:5
-#: ../hacks/config/decayscreen.xml.h:17 ../hacks/config/deluxe.xml.h:8
-#: ../hacks/config/demon.xml.h:8 ../hacks/config/discrete.xml.h:7
-#: ../hacks/config/distort.xml.h:11 ../hacks/config/drift.xml.h:12
-#: ../hacks/config/endgame.xml.h:5 ../hacks/config/engine.xml.h:15
-#: ../hacks/config/epicycle.xml.h:10 ../hacks/config/eruption.xml.h:19
-#: ../hacks/config/euler2d.xml.h:14 ../hacks/config/extrusion.xml.h:11
-#: ../hacks/config/fadeplot.xml.h:8 ../hacks/config/fireworkx.xml.h:9
-#: ../hacks/config/flag.xml.h:7 ../hacks/config/flame.xml.h:14
-#: ../hacks/config/flipflop.xml.h:5 ../hacks/config/flipscreen3d.xml.h:6
-#: ../hacks/config/flow.xml.h:10 ../hacks/config/fluidballs.xml.h:18
-#: ../hacks/config/flyingtoasters.xml.h:11 ../hacks/config/fontglide.xml.h:13
-#: ../hacks/config/forest.xml.h:5 ../hacks/config/fuzzyflakes.xml.h:15
-#: ../hacks/config/galaxy.xml.h:11 ../hacks/config/gears.xml.h:7
-#: ../hacks/config/gflux.xml.h:13 ../hacks/config/glblur.xml.h:14
-#: ../hacks/config/glforestfire.xml.h:14 ../hacks/config/glknots.xml.h:17
-#: ../hacks/config/glmatrix.xml.h:18 ../hacks/config/glplanet.xml.h:8
-#: ../hacks/config/glsnake.xml.h:12 ../hacks/config/gltext.xml.h:13
-#: ../hacks/config/goop.xml.h:10 ../hacks/config/grav.xml.h:8
-#: ../hacks/config/greynetic.xml.h:3 ../hacks/config/halo.xml.h:10
-#: ../hacks/config/hopalong.xml.h:21 ../hacks/config/hyperball.xml.h:8
-#: ../hacks/config/hypercube.xml.h:7 ../hacks/config/hypertorus.xml.h:13
-#: ../hacks/config/ifs.xml.h:5 ../hacks/config/interference.xml.h:17
-#: ../hacks/config/intermomentary.xml.h:4 ../hacks/config/jigglypuff.xml.h:16
-#: ../hacks/config/jigsaw.xml.h:5 ../hacks/config/juggle.xml.h:8
-#: ../hacks/config/julia.xml.h:8 ../hacks/config/kaleidescope.xml.h:8
-#: ../hacks/config/klein.xml.h:7 ../hacks/config/kumppa.xml.h:8
-#: ../hacks/config/lament.xml.h:6 ../hacks/config/laser.xml.h:10
-#: ../hacks/config/lavalite.xml.h:27 ../hacks/config/lightning.xml.h:5
-#: ../hacks/config/lisa.xml.h:8 ../hacks/config/lissie.xml.h:9
-#: ../hacks/config/lmorph.xml.h:11 ../hacks/config/loop.xml.h:7
-#: ../hacks/config/maze.xml.h:14 ../hacks/config/memscroller.xml.h:7
-#: ../hacks/config/menger.xml.h:16 ../hacks/config/metaballs.xml.h:13
-#: ../hacks/config/mirrorblob.xml.h:19 ../hacks/config/mismunch.xml.h:10
-#: ../hacks/config/moebius.xml.h:7 ../hacks/config/moire2.xml.h:6
-#: ../hacks/config/molecule.xml.h:22 ../hacks/config/morph3d.xml.h:6
-#: ../hacks/config/mountain.xml.h:7 ../hacks/config/munch.xml.h:8
-#: ../hacks/config/nerverot.xml.h:20 ../hacks/config/noof.xml.h:5
-#: ../hacks/config/pacman.xml.h:5 ../hacks/config/penetrate.xml.h:6
-#: ../hacks/config/penrose.xml.h:11 ../hacks/config/petri.xml.h:23
-#: ../hacks/config/phosphor.xml.h:8 ../hacks/config/piecewise.xml.h:9
-#: ../hacks/config/pinion.xml.h:13 ../hacks/config/pipes.xml.h:16
-#: ../hacks/config/polyhedra.xml.h:119 ../hacks/config/polyominoes.xml.h:10
-#: ../hacks/config/polytopes.xml.h:20 ../hacks/config/pong.xml.h:4
-#: ../hacks/config/popsquares.xml.h:5 ../hacks/config/providence.xml.h:5
-#: ../hacks/config/pulsar.xml.h:15 ../hacks/config/pyro.xml.h:13
-#: ../hacks/config/qix.xml.h:19 ../hacks/config/queens.xml.h:4
-#: ../hacks/config/rd-bomb.xml.h:17 ../hacks/config/ripples.xml.h:11
-#: ../hacks/config/rocks.xml.h:9 ../hacks/config/rotor.xml.h:11
-#: ../hacks/config/rubik.xml.h:9 ../hacks/config/sballs.xml.h:13
-#: ../hacks/config/shadebobs.xml.h:9 ../hacks/config/sierpinski.xml.h:7
-#: ../hacks/config/sierpinski3d.xml.h:8 ../hacks/config/slidescreen.xml.h:6
-#: ../hacks/config/slip.xml.h:7 ../hacks/config/speedmine.xml.h:14
-#: ../hacks/config/sphere.xml.h:5 ../hacks/config/spheremonics.xml.h:19
-#: ../hacks/config/spiral.xml.h:9 ../hacks/config/spotlight.xml.h:4
-#: ../hacks/config/sproingies.xml.h:6 ../hacks/config/squiral.xml.h:15
-#: ../hacks/config/stairs.xml.h:3 ../hacks/config/starfish.xml.h:8
-#: ../hacks/config/starwars.xml.h:12 ../hacks/config/strange.xml.h:4
-#: ../hacks/config/substrate.xml.h:10 ../hacks/config/superquadrics.xml.h:8
-#: ../hacks/config/swirl.xml.h:6 ../hacks/config/t3d.xml.h:11
-#: ../hacks/config/thornbird.xml.h:7 ../hacks/config/triangle.xml.h:5
-#: ../hacks/config/truchet.xml.h:2 ../hacks/config/twang.xml.h:9
-#: ../hacks/config/vines.xml.h:4 ../hacks/config/webcollage.xml.h:7
-#: ../hacks/config/worm.xml.h:8 ../hacks/config/wormhole.xml.h:5
-#: ../hacks/config/xearth.xml.h:22 ../hacks/config/xfishtank.xml.h:10
-#: ../hacks/config/xflame.xml.h:5 ../hacks/config/xjack.xml.h:2
-#: ../hacks/config/xmatrix.xml.h:15 ../hacks/config/xplanet.xml.h:59
-#: ../hacks/config/xrayswarm.xml.h:3 ../hacks/config/zoom.xml.h:6
+#: hacks/config/anemone.xml.h:9 hacks/config/anemotaxis.xml.h:10
+#: hacks/config/antinspect.xml.h:6 hacks/config/antspotlight.xml.h:5
+#: hacks/config/ant.xml.h:15 hacks/config/apollonian.xml.h:11
+#: hacks/config/atlantis.xml.h:13 hacks/config/attraction.xml.h:26
+#: hacks/config/atunnel.xml.h:6 hacks/config/barcode.xml.h:6
+#: hacks/config/blaster.xml.h:8 hacks/config/blinkbox.xml.h:7
+#: hacks/config/blitspin.xml.h:7 hacks/config/blocktube.xml.h:9
+#: hacks/config/boing.xml.h:10 hacks/config/bouboule.xml.h:8
+#: hacks/config/bouncingcow.xml.h:10 hacks/config/boxed.xml.h:7
+#: hacks/config/boxfit.xml.h:12 hacks/config/braid.xml.h:11
+#: hacks/config/bubble3d.xml.h:5 hacks/config/bubbles.xml.h:10
+#: hacks/config/bumps.xml.h:4 hacks/config/cage.xml.h:4
+#: hacks/config/carousel.xml.h:14 hacks/config/circuit.xml.h:10
+#: hacks/config/cloudlife.xml.h:11 hacks/config/compass.xml.h:4
+#: hacks/config/coral.xml.h:12 hacks/config/critical.xml.h:6
+#: hacks/config/crystal.xml.h:11 hacks/config/cubenetic.xml.h:22
+#: hacks/config/cubestorm.xml.h:8 hacks/config/cynosure.xml.h:9
+#: hacks/config/dangerball.xml.h:5 hacks/config/decayscreen.xml.h:17
+#: hacks/config/deluxe.xml.h:8 hacks/config/demon.xml.h:8
+#: hacks/config/discrete.xml.h:7 hacks/config/distort.xml.h:11
+#: hacks/config/drift.xml.h:12 hacks/config/endgame.xml.h:5
+#: hacks/config/engine.xml.h:15 hacks/config/epicycle.xml.h:10
+#: hacks/config/eruption.xml.h:19 hacks/config/euler2d.xml.h:14
+#: hacks/config/extrusion.xml.h:11 hacks/config/fadeplot.xml.h:8
+#: hacks/config/fireworkx.xml.h:9 hacks/config/flag.xml.h:7
+#: hacks/config/flame.xml.h:14 hacks/config/flipflop.xml.h:5
+#: hacks/config/flipscreen3d.xml.h:6 hacks/config/fliptext.xml.h:13
+#: hacks/config/flow.xml.h:10 hacks/config/fluidballs.xml.h:18
+#: hacks/config/flyingtoasters.xml.h:11 hacks/config/fontglide.xml.h:13
+#: hacks/config/forest.xml.h:5 hacks/config/fuzzyflakes.xml.h:15
+#: hacks/config/galaxy.xml.h:11 hacks/config/gears.xml.h:7
+#: hacks/config/gflux.xml.h:12 hacks/config/glblur.xml.h:14
+#: hacks/config/glforestfire.xml.h:14 hacks/config/glknots.xml.h:17
+#: hacks/config/glmatrix.xml.h:18 hacks/config/glplanet.xml.h:8
+#: hacks/config/glsnake.xml.h:12 hacks/config/gltext.xml.h:15
+#: hacks/config/goop.xml.h:10 hacks/config/grav.xml.h:8
+#: hacks/config/greynetic.xml.h:3 hacks/config/halo.xml.h:10
+#: hacks/config/hopalong.xml.h:21 hacks/config/hyperball.xml.h:8
+#: hacks/config/hypercube.xml.h:7 hacks/config/hypertorus.xml.h:13
+#: hacks/config/ifs.xml.h:13 hacks/config/interference.xml.h:17
+#: hacks/config/intermomentary.xml.h:4 hacks/config/jigglypuff.xml.h:16
+#: hacks/config/jigsaw.xml.h:5 hacks/config/juggle.xml.h:8
+#: hacks/config/julia.xml.h:8 hacks/config/kaleidescope.xml.h:7
+#: hacks/config/klein.xml.h:7 hacks/config/kumppa.xml.h:8
+#: hacks/config/lament.xml.h:6 hacks/config/laser.xml.h:10
+#: hacks/config/lavalite.xml.h:27 hacks/config/lightning.xml.h:5
+#: hacks/config/lisa.xml.h:8 hacks/config/lissie.xml.h:9
+#: hacks/config/lmorph.xml.h:11 hacks/config/loop.xml.h:7
+#: hacks/config/maze.xml.h:14 hacks/config/memscroller.xml.h:7
+#: hacks/config/menger.xml.h:16 hacks/config/metaballs.xml.h:13
+#: hacks/config/mirrorblob.xml.h:19 hacks/config/mismunch.xml.h:10
+#: hacks/config/moebius.xml.h:7 hacks/config/moire2.xml.h:6
+#: hacks/config/molecule.xml.h:23 hacks/config/morph3d.xml.h:6
+#: hacks/config/mountain.xml.h:7 hacks/config/munch.xml.h:7
+#: hacks/config/nerverot.xml.h:20 hacks/config/noof.xml.h:5
+#: hacks/config/pacman.xml.h:5 hacks/config/penetrate.xml.h:6
+#: hacks/config/penrose.xml.h:11 hacks/config/petri.xml.h:23
+#: hacks/config/phosphor.xml.h:7 hacks/config/piecewise.xml.h:9
+#: hacks/config/pinion.xml.h:13 hacks/config/pipes.xml.h:15
+#: hacks/config/polyhedra.xml.h:119 hacks/config/polyominoes.xml.h:10
+#: hacks/config/polytopes.xml.h:20 hacks/config/pong.xml.h:4
+#: hacks/config/popsquares.xml.h:5 hacks/config/providence.xml.h:5
+#: hacks/config/pulsar.xml.h:15 hacks/config/pyro.xml.h:13
+#: hacks/config/qix.xml.h:19 hacks/config/queens.xml.h:4
+#: hacks/config/rd-bomb.xml.h:17 hacks/config/ripples.xml.h:11
+#: hacks/config/rocks.xml.h:9 hacks/config/rotor.xml.h:11
+#: hacks/config/rubik.xml.h:9 hacks/config/sballs.xml.h:13
+#: hacks/config/shadebobs.xml.h:9 hacks/config/sierpinski3d.xml.h:8
+#: hacks/config/sierpinski.xml.h:7 hacks/config/slidescreen.xml.h:6
+#: hacks/config/slip.xml.h:7 hacks/config/speedmine.xml.h:13
+#: hacks/config/spheremonics.xml.h:19 hacks/config/sphere.xml.h:5
+#: hacks/config/spiral.xml.h:9 hacks/config/spotlight.xml.h:4
+#: hacks/config/sproingies.xml.h:6 hacks/config/squiral.xml.h:14
+#: hacks/config/stairs.xml.h:3 hacks/config/starfish.xml.h:8
+#: hacks/config/starwars.xml.h:12 hacks/config/strange.xml.h:4
+#: hacks/config/substrate.xml.h:15 hacks/config/superquadrics.xml.h:8
+#: hacks/config/swirl.xml.h:6 hacks/config/t3d.xml.h:11
+#: hacks/config/thornbird.xml.h:7 hacks/config/triangle.xml.h:5
+#: hacks/config/truchet.xml.h:2 hacks/config/twang.xml.h:9
+#: hacks/config/vines.xml.h:4 hacks/config/wormhole.xml.h:5
+#: hacks/config/worm.xml.h:7 hacks/config/xearth.xml.h:22
+#: hacks/config/xfishtank.xml.h:10 hacks/config/xflame.xml.h:5
+#: hacks/config/xjack.xml.h:2 hacks/config/xmatrix.xml.h:15
+#: hacks/config/xplanet.xml.h:59 hacks/config/xrayswarm.xml.h:3
+#: hacks/config/zoom.xml.h:6
 msgid "Slow"
 msgstr "Lassú"
 
-#: ../hacks/config/anemone.xml.h:10 ../hacks/config/anemotaxis.xml.h:12
-#: ../hacks/config/ant.xml.h:17 ../hacks/config/antinspect.xml.h:7
-#: ../hacks/config/antspotlight.xml.h:6 ../hacks/config/apollonian.xml.h:12
-#: ../hacks/config/attraction.xml.h:29 ../hacks/config/atunnel.xml.h:7
-#: ../hacks/config/barcode.xml.h:7 ../hacks/config/blaster.xml.h:10
-#: ../hacks/config/blinkbox.xml.h:8 ../hacks/config/blocktube.xml.h:11
-#: ../hacks/config/bouboule.xml.h:9 ../hacks/config/braid.xml.h:12
-#: ../hacks/config/bubble3d.xml.h:6 ../hacks/config/bubbles.xml.h:11
-#: ../hacks/config/bumps.xml.h:6 ../hacks/config/cage.xml.h:6
-#: ../hacks/config/circuit.xml.h:11 ../hacks/config/cloudlife.xml.h:13
-#: ../hacks/config/compass.xml.h:5 ../hacks/config/coral.xml.h:14
-#: ../hacks/config/critical.xml.h:8 ../hacks/config/crystal.xml.h:12
-#: ../hacks/config/cubenetic.xml.h:24 ../hacks/config/cynosure.xml.h:10
-#: ../hacks/config/dangerball.xml.h:6 ../hacks/config/decayscreen.xml.h:18
-#: ../hacks/config/deluxe.xml.h:9 ../hacks/config/demon.xml.h:10
-#: ../hacks/config/discrete.xml.h:9 ../hacks/config/distort.xml.h:13
-#: ../hacks/config/drift.xml.h:13 ../hacks/config/endgame.xml.h:6
-#: ../hacks/config/engine.xml.h:16 ../hacks/config/epicycle.xml.h:11
-#: ../hacks/config/eruption.xml.h:20 ../hacks/config/euler2d.xml.h:15
-#: ../hacks/config/extrusion.xml.h:13 ../hacks/config/fadeplot.xml.h:10
-#: ../hacks/config/fireworkx.xml.h:11 ../hacks/config/flag.xml.h:9
-#: ../hacks/config/flame.xml.h:15 ../hacks/config/flipflop.xml.h:7
-#: ../hacks/config/flipscreen3d.xml.h:7 ../hacks/config/flow.xml.h:12
-#: ../hacks/config/fluidballs.xml.h:20 ../hacks/config/forest.xml.h:6
-#: ../hacks/config/fuzzyflakes.xml.h:17 ../hacks/config/galaxy.xml.h:12
-#: ../hacks/config/glblur.xml.h:17 ../hacks/config/glforestfire.xml.h:15
-#: ../hacks/config/glplanet.xml.h:10 ../hacks/config/gltext.xml.h:15
-#: ../hacks/config/goop.xml.h:11 ../hacks/config/grav.xml.h:9
-#: ../hacks/config/greynetic.xml.h:4 ../hacks/config/halo.xml.h:11
-#: ../hacks/config/hopalong.xml.h:23 ../hacks/config/hyperball.xml.h:9
-#: ../hacks/config/hypercube.xml.h:8 ../hacks/config/ifs.xml.h:6
-#: ../hacks/config/intermomentary.xml.h:5 ../hacks/config/jigsaw.xml.h:7
-#: ../hacks/config/juggle.xml.h:9 ../hacks/config/julia.xml.h:10
-#: ../hacks/config/kaleidescope.xml.h:9 ../hacks/config/klein.xml.h:8
-#: ../hacks/config/kumppa.xml.h:9 ../hacks/config/lament.xml.h:7
-#: ../hacks/config/laser.xml.h:11 ../hacks/config/lavalite.xml.h:30
-#: ../hacks/config/lightning.xml.h:6 ../hacks/config/lisa.xml.h:9
-#: ../hacks/config/lissie.xml.h:11 ../hacks/config/lmorph.xml.h:12
-#: ../hacks/config/loop.xml.h:9 ../hacks/config/memscroller.xml.h:8
-#: ../hacks/config/menger.xml.h:18 ../hacks/config/metaballs.xml.h:15
-#: ../hacks/config/mirrorblob.xml.h:21 ../hacks/config/mismunch.xml.h:12
-#: ../hacks/config/moebius.xml.h:10 ../hacks/config/moire2.xml.h:7
-#: ../hacks/config/molecule.xml.h:24 ../hacks/config/morph3d.xml.h:7
-#: ../hacks/config/mountain.xml.h:8 ../hacks/config/munch.xml.h:10
-#: ../hacks/config/nerverot.xml.h:22 ../hacks/config/noof.xml.h:6
-#: ../hacks/config/pacman.xml.h:6 ../hacks/config/penrose.xml.h:12
-#: ../hacks/config/petri.xml.h:25 ../hacks/config/phosphor.xml.h:9
-#: ../hacks/config/piecewise.xml.h:11 ../hacks/config/pipes.xml.h:17
-#: ../hacks/config/polyominoes.xml.h:11 ../hacks/config/pong.xml.h:5
-#: ../hacks/config/popsquares.xml.h:6 ../hacks/config/providence.xml.h:6
-#: ../hacks/config/pulsar.xml.h:17 ../hacks/config/qix.xml.h:22
-#: ../hacks/config/queens.xml.h:6 ../hacks/config/rotor.xml.h:12
-#: ../hacks/config/rubik.xml.h:11 ../hacks/config/sballs.xml.h:14
-#: ../hacks/config/shadebobs.xml.h:10 ../hacks/config/sierpinski.xml.h:9
-#: ../hacks/config/sierpinski3d.xml.h:10 ../hacks/config/slidescreen.xml.h:7
-#: ../hacks/config/slip.xml.h:9 ../hacks/config/speedmine.xml.h:16
-#: ../hacks/config/sphere.xml.h:6 ../hacks/config/spheremonics.xml.h:22
-#: ../hacks/config/spiral.xml.h:10 ../hacks/config/spotlight.xml.h:5
-#: ../hacks/config/sproingies.xml.h:8 ../hacks/config/squiral.xml.h:17
-#: ../hacks/config/stairs.xml.h:5 ../hacks/config/starfish.xml.h:9
-#: ../hacks/config/strange.xml.h:5 ../hacks/config/substrate.xml.h:11
-#: ../hacks/config/superquadrics.xml.h:10 ../hacks/config/swirl.xml.h:7
-#: ../hacks/config/t3d.xml.h:13 ../hacks/config/thornbird.xml.h:8
-#: ../hacks/config/triangle.xml.h:6 ../hacks/config/truchet.xml.h:3
-#: ../hacks/config/twang.xml.h:10 ../hacks/config/vines.xml.h:5
-#: ../hacks/config/webcollage.xml.h:8 ../hacks/config/whirlygig.xml.h:13
-#: ../hacks/config/worm.xml.h:9 ../hacks/config/xearth.xml.h:25
-#: ../hacks/config/xflame.xml.h:6 ../hacks/config/xjack.xml.h:3
-#: ../hacks/config/xmatrix.xml.h:18 ../hacks/config/xplanet.xml.h:60
-#: ../hacks/config/xrayswarm.xml.h:4 ../hacks/config/zoom.xml.h:7
+#: hacks/config/anemone.xml.h:10 hacks/config/anemotaxis.xml.h:12
+#: hacks/config/antinspect.xml.h:7 hacks/config/antspotlight.xml.h:6
+#: hacks/config/ant.xml.h:17 hacks/config/apollonian.xml.h:12
+#: hacks/config/attraction.xml.h:28 hacks/config/atunnel.xml.h:7
+#: hacks/config/barcode.xml.h:7 hacks/config/blaster.xml.h:9
+#: hacks/config/blinkbox.xml.h:8 hacks/config/blocktube.xml.h:11
+#: hacks/config/boing.xml.h:12 hacks/config/bouboule.xml.h:9
+#: hacks/config/boxfit.xml.h:14 hacks/config/braid.xml.h:12
+#: hacks/config/bubble3d.xml.h:6 hacks/config/bubbles.xml.h:11
+#: hacks/config/bumps.xml.h:5 hacks/config/cage.xml.h:6
+#: hacks/config/circuit.xml.h:11 hacks/config/cloudlife.xml.h:13
+#: hacks/config/compass.xml.h:5 hacks/config/coral.xml.h:14
+#: hacks/config/critical.xml.h:7 hacks/config/crystal.xml.h:12
+#: hacks/config/cubenetic.xml.h:24 hacks/config/cynosure.xml.h:10
+#: hacks/config/dangerball.xml.h:6 hacks/config/decayscreen.xml.h:18
+#: hacks/config/deluxe.xml.h:9 hacks/config/demon.xml.h:10
+#: hacks/config/discrete.xml.h:9 hacks/config/distort.xml.h:13
+#: hacks/config/drift.xml.h:13 hacks/config/endgame.xml.h:6
+#: hacks/config/engine.xml.h:16 hacks/config/epicycle.xml.h:11
+#: hacks/config/eruption.xml.h:20 hacks/config/euler2d.xml.h:15
+#: hacks/config/extrusion.xml.h:13 hacks/config/fadeplot.xml.h:10
+#: hacks/config/fireworkx.xml.h:11 hacks/config/flag.xml.h:9
+#: hacks/config/flame.xml.h:15 hacks/config/flipflop.xml.h:7
+#: hacks/config/flipscreen3d.xml.h:7 hacks/config/fliptext.xml.h:14
+#: hacks/config/flow.xml.h:12 hacks/config/fluidballs.xml.h:20
+#: hacks/config/forest.xml.h:6 hacks/config/fuzzyflakes.xml.h:17
+#: hacks/config/galaxy.xml.h:12 hacks/config/glblur.xml.h:17
+#: hacks/config/glforestfire.xml.h:15 hacks/config/glplanet.xml.h:10
+#: hacks/config/gltext.xml.h:17 hacks/config/goop.xml.h:11
+#: hacks/config/grav.xml.h:9 hacks/config/greynetic.xml.h:4
+#: hacks/config/halo.xml.h:11 hacks/config/hopalong.xml.h:23
+#: hacks/config/hyperball.xml.h:9 hacks/config/hypercube.xml.h:8
+#: hacks/config/ifs.xml.h:14 hacks/config/intermomentary.xml.h:5
+#: hacks/config/jigsaw.xml.h:7 hacks/config/juggle.xml.h:9
+#: hacks/config/julia.xml.h:10 hacks/config/kaleidescope.xml.h:8
+#: hacks/config/klein.xml.h:8 hacks/config/kumppa.xml.h:9
+#: hacks/config/lament.xml.h:7 hacks/config/laser.xml.h:11
+#: hacks/config/lavalite.xml.h:30 hacks/config/lightning.xml.h:6
+#: hacks/config/lisa.xml.h:9 hacks/config/lissie.xml.h:11
+#: hacks/config/lmorph.xml.h:12 hacks/config/loop.xml.h:9
+#: hacks/config/memscroller.xml.h:8 hacks/config/menger.xml.h:18
+#: hacks/config/metaballs.xml.h:15 hacks/config/mirrorblob.xml.h:21
+#: hacks/config/mismunch.xml.h:12 hacks/config/moebius.xml.h:10
+#: hacks/config/moire2.xml.h:7 hacks/config/molecule.xml.h:25
+#: hacks/config/morph3d.xml.h:7 hacks/config/mountain.xml.h:8
+#: hacks/config/munch.xml.h:9 hacks/config/nerverot.xml.h:22
+#: hacks/config/noof.xml.h:6 hacks/config/pacman.xml.h:6
+#: hacks/config/penrose.xml.h:12 hacks/config/petri.xml.h:25
+#: hacks/config/phosphor.xml.h:8 hacks/config/piecewise.xml.h:11
+#: hacks/config/pipes.xml.h:16 hacks/config/polyominoes.xml.h:11
+#: hacks/config/pong.xml.h:5 hacks/config/popsquares.xml.h:6
+#: hacks/config/providence.xml.h:6 hacks/config/pulsar.xml.h:17
+#: hacks/config/qix.xml.h:22 hacks/config/queens.xml.h:6
+#: hacks/config/rotor.xml.h:12 hacks/config/rubik.xml.h:11
+#: hacks/config/sballs.xml.h:14 hacks/config/shadebobs.xml.h:10
+#: hacks/config/sierpinski3d.xml.h:10 hacks/config/sierpinski.xml.h:9
+#: hacks/config/slidescreen.xml.h:7 hacks/config/slip.xml.h:9
+#: hacks/config/speedmine.xml.h:15 hacks/config/spheremonics.xml.h:22
+#: hacks/config/sphere.xml.h:6 hacks/config/spiral.xml.h:10
+#: hacks/config/spotlight.xml.h:5 hacks/config/sproingies.xml.h:8
+#: hacks/config/squiral.xml.h:16 hacks/config/stairs.xml.h:5
+#: hacks/config/starfish.xml.h:9 hacks/config/strange.xml.h:5
+#: hacks/config/substrate.xml.h:16 hacks/config/superquadrics.xml.h:10
+#: hacks/config/swirl.xml.h:7 hacks/config/t3d.xml.h:13
+#: hacks/config/thornbird.xml.h:8 hacks/config/triangle.xml.h:6
+#: hacks/config/truchet.xml.h:3 hacks/config/twang.xml.h:10
+#: hacks/config/vines.xml.h:5 hacks/config/whirlygig.xml.h:13
+#: hacks/config/worm.xml.h:8 hacks/config/xearth.xml.h:25
+#: hacks/config/xflame.xml.h:6 hacks/config/xjack.xml.h:3
+#: hacks/config/xmatrix.xml.h:18 hacks/config/xplanet.xml.h:60
+#: hacks/config/xrayswarm.xml.h:4 hacks/config/zoom.xml.h:7
 msgid "Speed"
 msgstr "Sebesség"
 
-#: ../hacks/config/anemone.xml.h:11
+#: hacks/config/anemone.xml.h:11
 msgid "Tentacles"
 msgstr "Elágazások"
 
-#: ../hacks/config/anemone.xml.h:12 ../hacks/config/cubestorm.xml.h:11
-#: ../hacks/config/deluxe.xml.h:10 ../hacks/config/fuzzyflakes.xml.h:18
-#: ../hacks/config/glknots.xml.h:19 ../hacks/config/lmorph.xml.h:13
-#: ../hacks/config/pong.xml.h:7 ../hacks/config/starfish.xml.h:11
-#: ../hacks/config/thornbird.xml.h:9
+#: hacks/config/anemone.xml.h:12 hacks/config/cubestorm.xml.h:11
+#: hacks/config/deluxe.xml.h:10 hacks/config/fuzzyflakes.xml.h:18
+#: hacks/config/glknots.xml.h:19 hacks/config/lmorph.xml.h:13
+#: hacks/config/pong.xml.h:7 hacks/config/starfish.xml.h:11
+#: hacks/config/thornbird.xml.h:9
 msgid "Thick"
 msgstr "Vastag"
 
-#: ../hacks/config/anemone.xml.h:13 ../hacks/config/fuzzyflakes.xml.h:19
-#: ../hacks/config/glknots.xml.h:20 ../hacks/config/moire2.xml.h:8
-#: ../hacks/config/thornbird.xml.h:10
+#: hacks/config/anemone.xml.h:13 hacks/config/fuzzyflakes.xml.h:19
+#: hacks/config/glknots.xml.h:20 hacks/config/moire2.xml.h:8
+#: hacks/config/thornbird.xml.h:10
 msgid "Thickness"
 msgstr "Vastagság"
 
-#: ../hacks/config/anemone.xml.h:14 ../hacks/config/cubestorm.xml.h:12
-#: ../hacks/config/deluxe.xml.h:11 ../hacks/config/fuzzyflakes.xml.h:20
-#: ../hacks/config/glknots.xml.h:21 ../hacks/config/lmorph.xml.h:14
-#: ../hacks/config/pong.xml.h:8 ../hacks/config/starfish.xml.h:12
-#: ../hacks/config/thornbird.xml.h:11
+#: hacks/config/anemone.xml.h:14 hacks/config/cubestorm.xml.h:12
+#: hacks/config/deluxe.xml.h:11 hacks/config/fuzzyflakes.xml.h:20
+#: hacks/config/glknots.xml.h:21 hacks/config/lmorph.xml.h:14
+#: hacks/config/pong.xml.h:8 hacks/config/starfish.xml.h:12
+#: hacks/config/thornbird.xml.h:11
 msgid "Thin"
 msgstr "Vékony"
 
-#: ../hacks/config/anemone.xml.h:15
+#: hacks/config/anemone.xml.h:15
 msgid "Turn speed"
 msgstr "Forgási sebesség"
 
-#: ../hacks/config/anemone.xml.h:16 ../hacks/config/ant.xml.h:22
-#: ../hacks/config/apollonian.xml.h:13 ../hacks/config/attraction.xml.h:33
-#: ../hacks/config/bouboule.xml.h:11 ../hacks/config/braid.xml.h:13
-#: ../hacks/config/critical.xml.h:9 ../hacks/config/crystal.xml.h:13
-#: ../hacks/config/cynosure.xml.h:11 ../hacks/config/deco.xml.h:11
-#: ../hacks/config/deluxe.xml.h:14 ../hacks/config/demon.xml.h:13
-#: ../hacks/config/discrete.xml.h:11 ../hacks/config/drift.xml.h:14
-#: ../hacks/config/epicycle.xml.h:14 ../hacks/config/euler2d.xml.h:17
-#: ../hacks/config/fadeplot.xml.h:12 ../hacks/config/flag.xml.h:14
-#: ../hacks/config/flame.xml.h:16 ../hacks/config/flow.xml.h:15
-#: ../hacks/config/forest.xml.h:8 ../hacks/config/galaxy.xml.h:14
-#: ../hacks/config/grav.xml.h:11 ../hacks/config/halo.xml.h:14
-#: ../hacks/config/hopalong.xml.h:25 ../hacks/config/ifs.xml.h:8
-#: ../hacks/config/imsmap.xml.h:15 ../hacks/config/interference.xml.h:19
-#: ../hacks/config/julia.xml.h:12 ../hacks/config/laser.xml.h:12
-#: ../hacks/config/lightning.xml.h:8 ../hacks/config/lisa.xml.h:12
-#: ../hacks/config/lissie.xml.h:13 ../hacks/config/loop.xml.h:12
-#: ../hacks/config/metaballs.xml.h:16 ../hacks/config/moire.xml.h:11
-#: ../hacks/config/moire2.xml.h:9 ../hacks/config/mountain.xml.h:9
-#: ../hacks/config/nerverot.xml.h:23 ../hacks/config/penrose.xml.h:13
-#: ../hacks/config/polyominoes.xml.h:12 ../hacks/config/rd-bomb.xml.h:20
-#: ../hacks/config/rocks.xml.h:13 ../hacks/config/rotor.xml.h:13
-#: ../hacks/config/shadebobs.xml.h:12 ../hacks/config/sierpinski.xml.h:12
-#: ../hacks/config/slip.xml.h:12 ../hacks/config/sphere.xml.h:8
-#: ../hacks/config/spiral.xml.h:12 ../hacks/config/squiral.xml.h:19
-#: ../hacks/config/starfish.xml.h:15 ../hacks/config/strange.xml.h:8
-#: ../hacks/config/swirl.xml.h:9 ../hacks/config/thornbird.xml.h:13
-#: ../hacks/config/triangle.xml.h:8 ../hacks/config/vines.xml.h:7
-#: ../hacks/config/worm.xml.h:10 ../hacks/config/xearth.xml.h:28
-#: ../hacks/config/xfishtank.xml.h:11
+#: hacks/config/anemone.xml.h:16 hacks/config/ant.xml.h:22
+#: hacks/config/apollonian.xml.h:13 hacks/config/attraction.xml.h:32
+#: hacks/config/bouboule.xml.h:11 hacks/config/braid.xml.h:13
+#: hacks/config/critical.xml.h:8 hacks/config/crystal.xml.h:13
+#: hacks/config/cynosure.xml.h:11 hacks/config/deco.xml.h:10
+#: hacks/config/deluxe.xml.h:14 hacks/config/demon.xml.h:13
+#: hacks/config/discrete.xml.h:11 hacks/config/drift.xml.h:14
+#: hacks/config/epicycle.xml.h:13 hacks/config/euler2d.xml.h:17
+#: hacks/config/fadeplot.xml.h:12 hacks/config/flag.xml.h:13
+#: hacks/config/flame.xml.h:16 hacks/config/flow.xml.h:15
+#: hacks/config/forest.xml.h:8 hacks/config/galaxy.xml.h:14
+#: hacks/config/grav.xml.h:11 hacks/config/halo.xml.h:13
+#: hacks/config/hopalong.xml.h:25 hacks/config/imsmap.xml.h:15
+#: hacks/config/interference.xml.h:19 hacks/config/julia.xml.h:12
+#: hacks/config/laser.xml.h:12 hacks/config/lightning.xml.h:8
+#: hacks/config/lisa.xml.h:12 hacks/config/lissie.xml.h:13
+#: hacks/config/loop.xml.h:12 hacks/config/metaballs.xml.h:16
+#: hacks/config/moire2.xml.h:9 hacks/config/moire.xml.h:11
+#: hacks/config/mountain.xml.h:9 hacks/config/nerverot.xml.h:23
+#: hacks/config/penrose.xml.h:13 hacks/config/polyominoes.xml.h:12
+#: hacks/config/rd-bomb.xml.h:20 hacks/config/rocks.xml.h:12
+#: hacks/config/rotor.xml.h:13 hacks/config/shadebobs.xml.h:12
+#: hacks/config/sierpinski.xml.h:12 hacks/config/slip.xml.h:12
+#: hacks/config/sphere.xml.h:8 hacks/config/spiral.xml.h:12
+#: hacks/config/squiral.xml.h:18 hacks/config/starfish.xml.h:14
+#: hacks/config/strange.xml.h:8 hacks/config/swirl.xml.h:9
+#: hacks/config/thornbird.xml.h:13 hacks/config/triangle.xml.h:8
+#: hacks/config/vines.xml.h:7 hacks/config/worm.xml.h:9
+#: hacks/config/xearth.xml.h:28 hacks/config/xfishtank.xml.h:11
 msgid "Two"
 msgstr "Kettő"
 
-#: ../hacks/config/anemone.xml.h:17
+#: hacks/config/anemone.xml.h:17
 msgid "Wiggling tentacles. By Gabriel Finch."
 msgstr "Tekergőző karok. Írta Gabriel Finch."
 
-#: ../hacks/config/anemone.xml.h:18
+#: hacks/config/anemone.xml.h:18
 msgid "Withdraw freqency"
 msgstr "Visszahúzás gyakorisága"
 
-#: ../hacks/config/anemotaxis.xml.h:1
+#: hacks/config/anemotaxis.xml.h:1
 msgid "Anemotaxis"
 msgstr "Anemotaxis"
 
-#: ../hacks/config/anemotaxis.xml.h:2
+#: hacks/config/anemotaxis.xml.h:2
 msgid ""
 "Anemotaxis demonstrates a search algorithm designed for locating a source of "
 "odor in turbulent atmosphere. The searcher is able to sense the odor and "
@@ -1456,29 +1490,88 @@
 "megállapítani a pillanatnyi helyi szélirányt. A cél a forrás megtalálása, a "
 "legrövidebb idő alatt. Írta Eugene Balkovsky."
 
-#: ../hacks/config/anemotaxis.xml.h:3
+#: hacks/config/anemotaxis.xml.h:3
 msgid "Distance"
 msgstr "Távolság"
 
-#: ../hacks/config/anemotaxis.xml.h:4 ../hacks/config/hyperball.xml.h:1
-#: ../hacks/config/hypercube.xml.h:1
+#: hacks/config/anemotaxis.xml.h:4 hacks/config/hyperball.xml.h:1
+#: hacks/config/hypercube.xml.h:1
 msgid "Far"
 msgstr "Távoli"
 
-#: ../hacks/config/anemotaxis.xml.h:8 ../hacks/config/hyperball.xml.h:7
-#: ../hacks/config/hypercube.xml.h:6
+#: hacks/config/anemotaxis.xml.h:8 hacks/config/hyperball.xml.h:7
+#: hacks/config/hypercube.xml.h:6
 msgid "Near"
 msgstr "Közeli"
 
-#: ../hacks/config/anemotaxis.xml.h:9
+#: hacks/config/anemotaxis.xml.h:9
 msgid "Searchers"
 msgstr "Keresők"
 
-#: ../hacks/config/anemotaxis.xml.h:11
+#: hacks/config/anemotaxis.xml.h:11
 msgid "Sources"
 msgstr "Források"
 
-#: ../hacks/config/ant.xml.h:1
+#: hacks/config/antinspect.xml.h:1
+msgid "AntInspect"
+msgstr "AntInspect"
+
+#: hacks/config/antinspect.xml.h:2
+msgid "Draw Shadows"
+msgstr "Árnyékok rajzolása"
+
+#: hacks/config/antinspect.xml.h:3
+msgid ""
+"Draws a trio of ants moving their spheres around a circle. Written by Blair "
+"Tennessy."
+msgstr "Három, egy kör körül gömbökben mozgó hangyát rajzol. Írta Blair Tennessy."
+
+#: hacks/config/antinspect.xml.h:5 hacks/config/antspotlight.xml.h:4
+#: hacks/config/atlantis.xml.h:11 hacks/config/atunnel.xml.h:5
+#: hacks/config/blocktube.xml.h:8 hacks/config/boing.xml.h:8
+#: hacks/config/boxed.xml.h:6 hacks/config/bubble3d.xml.h:4
+#: hacks/config/cage.xml.h:3 hacks/config/carousel.xml.h:12
+#: hacks/config/circuit.xml.h:9 hacks/config/cubenetic.xml.h:21
+#: hacks/config/cubestorm.xml.h:7 hacks/config/dangerball.xml.h:4
+#: hacks/config/endgame.xml.h:4 hacks/config/engine.xml.h:14
+#: hacks/config/extrusion.xml.h:10 hacks/config/flipflop.xml.h:4
+#: hacks/config/flipscreen3d.xml.h:5 hacks/config/fliptext.xml.h:12
+#: hacks/config/fluidballs.xml.h:17 hacks/config/flurry.xml.h:9
+#: hacks/config/flyingtoasters.xml.h:10 hacks/config/gears.xml.h:6
+#: hacks/config/gflux.xml.h:11 hacks/config/glblur.xml.h:13
+#: hacks/config/gleidescope.xml.h:10 hacks/config/glforestfire.xml.h:13
+#: hacks/config/glknots.xml.h:16 hacks/config/glmatrix.xml.h:17
+#: hacks/config/glplanet.xml.h:7 hacks/config/glslideshow.xml.h:19
+#: hacks/config/glsnake.xml.h:10 hacks/config/gltext.xml.h:14
+#: hacks/config/hypertorus.xml.h:12 hacks/config/jigglypuff.xml.h:15
+#: hacks/config/klein.xml.h:6 hacks/config/lament.xml.h:5
+#: hacks/config/lavalite.xml.h:26 hacks/config/menger.xml.h:15
+#: hacks/config/mirrorblob.xml.h:18 hacks/config/moebius.xml.h:6
+#: hacks/config/molecule.xml.h:22 hacks/config/morph3d.xml.h:5
+#: hacks/config/noof.xml.h:4 hacks/config/pinion.xml.h:12
+#: hacks/config/pipes.xml.h:14 hacks/config/polyhedra.xml.h:118
+#: hacks/config/polytopes.xml.h:18 hacks/config/providence.xml.h:4
+#: hacks/config/pulsar.xml.h:14 hacks/config/queens.xml.h:3
+#: hacks/config/rubik.xml.h:6 hacks/config/sballs.xml.h:12
+#: hacks/config/sierpinski3d.xml.h:6 hacks/config/spheremonics.xml.h:18
+#: hacks/config/sproingies.xml.h:4 hacks/config/stairs.xml.h:2
+#: hacks/config/starwars.xml.h:11 hacks/config/superquadrics.xml.h:7
+msgid "Show Frames-per-Second"
+msgstr "Képkocka/másodperc mutatása (FPS)"
+
+#: hacks/config/antspotlight.xml.h:1
+msgid "AntSpotlight"
+msgstr "Hangya reflektorfénnyel"
+
+#: hacks/config/antspotlight.xml.h:2
+msgid ""
+"Antspotlight draws an ant (with a headlight) who walks on top of an image of "
+"your desktop or other image. Written by Blair Tennessy."
+msgstr ""
+"A Hangya reflektorfénnyel egy hangyát rajzol (fejlámpával), ami az "
+"asztalának képén vagy egy más kép felületén sétál. Írta Blair Tennessy."
+
+#: hacks/config/ant.xml.h:1
 msgid ""
 "A cellular automaton that is really a two-dimensional Turing machine: as the "
 "heads (``ants'') walk along the screen, they change pixel values in their "
@@ -1490,175 +1583,117 @@
 "képpontok értékeit. Amikor a megváltoztatott képpontokon áthaladnak, "
 "viselkedésük megváltozik. Írta David Bagley."
 
-#: ../hacks/config/ant.xml.h:2
+#: hacks/config/ant.xml.h:2
 msgid "Ant"
 msgstr "Hangya"
 
-#: ../hacks/config/ant.xml.h:3
+#: hacks/config/ant.xml.h:3
 msgid "Ant Size"
 msgstr "Hangyák mérete"
 
-#: ../hacks/config/ant.xml.h:4
+#: hacks/config/ant.xml.h:4
 msgid "Ants Count"
 msgstr "Hangyák száma"
 
-#: ../hacks/config/ant.xml.h:5
+#: hacks/config/ant.xml.h:5
 msgid "Draw Eyes"
 msgstr "Szemek rajzolása"
 
-#: ../hacks/config/ant.xml.h:7
+#: hacks/config/ant.xml.h:7
 msgid "Four Sided Cells"
 msgstr "Négyoldalú cellák"
 
-#: ../hacks/config/ant.xml.h:8 ../hacks/config/attraction.xml.h:13
-#: ../hacks/config/cloudlife.xml.h:7 ../hacks/config/cubenetic.xml.h:11
-#: ../hacks/config/demon.xml.h:5 ../hacks/config/discrete.xml.h:3
-#: ../hacks/config/distort.xml.h:5 ../hacks/config/fadeplot.xml.h:5
-#: ../hacks/config/flag.xml.h:4 ../hacks/config/flow.xml.h:4
-#: ../hacks/config/fluidballs.xml.h:12 ../hacks/config/fuzzyflakes.xml.h:10
-#: ../hacks/config/gleidescope.xml.h:7 ../hacks/config/halftone.xml.h:8
-#: ../hacks/config/hopalong.xml.h:13 ../hacks/config/interference.xml.h:11
-#: ../hacks/config/julia.xml.h:5 ../hacks/config/lissie.xml.h:4
-#: ../hacks/config/loop.xml.h:2 ../hacks/config/moire.xml.h:4
-#: ../hacks/config/piecewise.xml.h:5 ../hacks/config/rd-bomb.xml.h:11
-#: ../hacks/config/rorschach.xml.h:5 ../hacks/config/rubik.xml.h:4
-#: ../hacks/config/sierpinski.xml.h:3 ../hacks/config/slip.xml.h:3
+#: hacks/config/ant.xml.h:8 hacks/config/attraction.xml.h:13
+#: hacks/config/cloudlife.xml.h:7 hacks/config/cubenetic.xml.h:11
+#: hacks/config/demon.xml.h:5 hacks/config/discrete.xml.h:3
+#: hacks/config/distort.xml.h:5 hacks/config/fadeplot.xml.h:5
+#: hacks/config/flag.xml.h:4 hacks/config/flow.xml.h:4
+#: hacks/config/fluidballs.xml.h:12 hacks/config/fuzzyflakes.xml.h:10
+#: hacks/config/gleidescope.xml.h:7 hacks/config/halftone.xml.h:8
+#: hacks/config/hopalong.xml.h:13 hacks/config/interference.xml.h:11
+#: hacks/config/julia.xml.h:5 hacks/config/lissie.xml.h:4
+#: hacks/config/loop.xml.h:2 hacks/config/moire.xml.h:4
+#: hacks/config/piecewise.xml.h:5 hacks/config/rd-bomb.xml.h:11
+#: hacks/config/rorschach.xml.h:5 hacks/config/rubik.xml.h:4
+#: hacks/config/sierpinski.xml.h:3 hacks/config/slip.xml.h:3
 msgid "Large"
 msgstr "Nagy"
 
-#: ../hacks/config/ant.xml.h:10
+#: hacks/config/ant.xml.h:10
 msgid "Nine Sided Cells"
 msgstr "Kilencoldalú cellák"
 
-#: ../hacks/config/ant.xml.h:12
+#: hacks/config/ant.xml.h:12
 msgid "Random Cell Shape"
 msgstr "Véletlen cellaalak"
 
-#: ../hacks/config/ant.xml.h:13 ../hacks/config/speedmine.xml.h:11
+#: hacks/config/ant.xml.h:13 hacks/config/speedmine.xml.h:11
 msgid "Sharp Turns"
 msgstr "Éles fordulások"
 
-#: ../hacks/config/ant.xml.h:14
+#: hacks/config/ant.xml.h:14
 msgid "Six Sided Cells"
 msgstr "Hatoldalú cellák"
 
-#: ../hacks/config/ant.xml.h:16 ../hacks/config/attraction.xml.h:28
-#: ../hacks/config/cloudlife.xml.h:12 ../hacks/config/cubenetic.xml.h:23
-#: ../hacks/config/demon.xml.h:9 ../hacks/config/discrete.xml.h:8
-#: ../hacks/config/distort.xml.h:12 ../hacks/config/fadeplot.xml.h:9
-#: ../hacks/config/flag.xml.h:8 ../hacks/config/flow.xml.h:11
-#: ../hacks/config/fluidballs.xml.h:19 ../hacks/config/fuzzyflakes.xml.h:16
-#: ../hacks/config/gleidescope.xml.h:12 ../hacks/config/halftone.xml.h:14
-#: ../hacks/config/hopalong.xml.h:22 ../hacks/config/interference.xml.h:18
-#: ../hacks/config/julia.xml.h:9 ../hacks/config/lissie.xml.h:10
-#: ../hacks/config/loop.xml.h:8 ../hacks/config/metaballs.xml.h:14
-#: ../hacks/config/moire.xml.h:9 ../hacks/config/piecewise.xml.h:10
-#: ../hacks/config/rd-bomb.xml.h:18 ../hacks/config/rorschach.xml.h:8
-#: ../hacks/config/rubik.xml.h:10 ../hacks/config/sierpinski.xml.h:8
-#: ../hacks/config/slip.xml.h:8
+#: hacks/config/ant.xml.h:16 hacks/config/attraction.xml.h:27
+#: hacks/config/cloudlife.xml.h:12 hacks/config/cubenetic.xml.h:23
+#: hacks/config/demon.xml.h:9 hacks/config/discrete.xml.h:8
+#: hacks/config/distort.xml.h:12 hacks/config/fadeplot.xml.h:9
+#: hacks/config/flag.xml.h:8 hacks/config/flow.xml.h:11
+#: hacks/config/fluidballs.xml.h:19 hacks/config/fuzzyflakes.xml.h:16
+#: hacks/config/gleidescope.xml.h:12 hacks/config/halftone.xml.h:14
+#: hacks/config/hopalong.xml.h:22 hacks/config/interference.xml.h:18
+#: hacks/config/julia.xml.h:9 hacks/config/lissie.xml.h:10
+#: hacks/config/loop.xml.h:8 hacks/config/metaballs.xml.h:14
+#: hacks/config/moire.xml.h:9 hacks/config/piecewise.xml.h:10
+#: hacks/config/rd-bomb.xml.h:18 hacks/config/rorschach.xml.h:8
+#: hacks/config/rubik.xml.h:10 hacks/config/sierpinski.xml.h:8
+#: hacks/config/slip.xml.h:8
 msgid "Small"
 msgstr "Kicsi"
 
-#: ../hacks/config/ant.xml.h:18
+#: hacks/config/ant.xml.h:18
 msgid "Three Sided Cells"
 msgstr "Háromoldalú cellák"
 
-#: ../hacks/config/ant.xml.h:19 ../hacks/config/demon.xml.h:12
-#: ../hacks/config/discrete.xml.h:10 ../hacks/config/fadeplot.xml.h:11
-#: ../hacks/config/flag.xml.h:13 ../hacks/config/flow.xml.h:14
-#: ../hacks/config/lissie.xml.h:12 ../hacks/config/loop.xml.h:11
-#: ../hacks/config/rubik.xml.h:12 ../hacks/config/sierpinski.xml.h:11
-#: ../hacks/config/slip.xml.h:11
+#: hacks/config/ant.xml.h:19 hacks/config/demon.xml.h:12
+#: hacks/config/discrete.xml.h:10 hacks/config/fadeplot.xml.h:11
+#: hacks/config/flag.xml.h:12 hacks/config/flow.xml.h:14
+#: hacks/config/lissie.xml.h:12 hacks/config/loop.xml.h:11
+#: hacks/config/rubik.xml.h:12 hacks/config/sierpinski.xml.h:11
+#: hacks/config/slip.xml.h:11
 msgid "Timeout"
 msgstr "Időtúllépés"
 
-#: ../hacks/config/ant.xml.h:20
+#: hacks/config/ant.xml.h:20
 msgid "Truchet Lines"
 msgstr "Truchet vonalak"
 
-#: ../hacks/config/ant.xml.h:21
+#: hacks/config/ant.xml.h:21
 msgid "Twelve Sided Cells"
 msgstr "Tizenkét oldalú cellák"
 
-#: ../hacks/config/antinspect.xml.h:1
-msgid "AntInspect"
-msgstr "AntInspect"
-
-#: ../hacks/config/antinspect.xml.h:2
-msgid "Draw Shadows"
-msgstr "Árnyékok rajzolása"
-
-#: ../hacks/config/antinspect.xml.h:3
-msgid ""
-"Draws a trio of ants moving their spheres around a circle. Written by Blair "
-"Tennessy."
-msgstr "Három, egy kör körül gömbökben mozgó hangyát rajzol. Írta Blair Tennessy."
-
-#: ../hacks/config/antinspect.xml.h:5 ../hacks/config/antspotlight.xml.h:4
-#: ../hacks/config/atlantis.xml.h:11 ../hacks/config/atunnel.xml.h:5
-#: ../hacks/config/blocktube.xml.h:8 ../hacks/config/boxed.xml.h:6
-#: ../hacks/config/bubble3d.xml.h:4 ../hacks/config/cage.xml.h:3
-#: ../hacks/config/circuit.xml.h:9 ../hacks/config/cubenetic.xml.h:21
-#: ../hacks/config/cubestorm.xml.h:7 ../hacks/config/dangerball.xml.h:4
-#: ../hacks/config/endgame.xml.h:4 ../hacks/config/engine.xml.h:14
-#: ../hacks/config/extrusion.xml.h:10 ../hacks/config/flipflop.xml.h:4
-#: ../hacks/config/flipscreen3d.xml.h:5 ../hacks/config/fluidballs.xml.h:17
-#: ../hacks/config/flurry.xml.h:9 ../hacks/config/flyingtoasters.xml.h:10
-#: ../hacks/config/gears.xml.h:6 ../hacks/config/gflux.xml.h:12
-#: ../hacks/config/glblur.xml.h:13 ../hacks/config/gleidescope.xml.h:10
-#: ../hacks/config/glforestfire.xml.h:13 ../hacks/config/glknots.xml.h:16
-#: ../hacks/config/glmatrix.xml.h:17 ../hacks/config/glplanet.xml.h:7
-#: ../hacks/config/glslideshow.xml.h:18 ../hacks/config/glsnake.xml.h:10
-#: ../hacks/config/gltext.xml.h:12 ../hacks/config/hypertorus.xml.h:12
-#: ../hacks/config/jigglypuff.xml.h:15 ../hacks/config/klein.xml.h:6
-#: ../hacks/config/lament.xml.h:5 ../hacks/config/lavalite.xml.h:26
-#: ../hacks/config/menger.xml.h:15 ../hacks/config/mirrorblob.xml.h:18
-#: ../hacks/config/moebius.xml.h:6 ../hacks/config/molecule.xml.h:21
-#: ../hacks/config/morph3d.xml.h:5 ../hacks/config/noof.xml.h:4
-#: ../hacks/config/pinion.xml.h:12 ../hacks/config/pipes.xml.h:15
-#: ../hacks/config/polyhedra.xml.h:118 ../hacks/config/polytopes.xml.h:18
-#: ../hacks/config/providence.xml.h:4 ../hacks/config/pulsar.xml.h:14
-#: ../hacks/config/queens.xml.h:3 ../hacks/config/rubik.xml.h:6
-#: ../hacks/config/sballs.xml.h:12 ../hacks/config/sierpinski3d.xml.h:6
-#: ../hacks/config/spheremonics.xml.h:18 ../hacks/config/sproingies.xml.h:4
-#: ../hacks/config/stairs.xml.h:2 ../hacks/config/starwars.xml.h:11
-#: ../hacks/config/superquadrics.xml.h:7
-msgid "Show Frames-per-Second"
-msgstr "Képkocka/másodperc mutatása (FPS)"
-
-#: ../hacks/config/antspotlight.xml.h:1
-msgid "AntSpotlight"
-msgstr "Hangya reflektorfénnyel"
-
-#: ../hacks/config/antspotlight.xml.h:2
-msgid ""
-"Antspotlight draws an ant (with a headlight) who walks on top of an image of "
-"your desktop or other image. Written by Blair Tennessy."
-msgstr ""
-"A Hangya reflektorfénnyel egy hangyát rajzol (fejlámpával), ami az "
-"asztalának képén vagy egy más kép felületén sétál. Írta Blair Tennessy."
-
-#: ../hacks/config/apollonian.xml.h:1
+#: hacks/config/apollonian.xml.h:1
 msgid "Apollonian"
 msgstr "Apollóni"
 
-#: ../hacks/config/apollonian.xml.h:2
+#: hacks/config/apollonian.xml.h:2
 msgid "Deep"
 msgstr "Mély"
 
-#: ../hacks/config/apollonian.xml.h:3
+#: hacks/config/apollonian.xml.h:3
 msgid "Depth"
 msgstr "Mélység"
 
-#: ../hacks/config/apollonian.xml.h:4
+#: hacks/config/apollonian.xml.h:4
 msgid "Draw Labels"
 msgstr "Címkék rajzolása"
 
-#: ../hacks/config/apollonian.xml.h:6
+#: hacks/config/apollonian.xml.h:6
 msgid "Include Alternate Geometries"
 msgstr "Váltakozó geometriák is"
 
-#: ../hacks/config/apollonian.xml.h:9
+#: hacks/config/apollonian.xml.h:9
 msgid ""
 "Packs a large circle with smaller circles, demonstrating the Descartes "
 "Circle Theorem. Written by Allan R. Wilks and David Bagley."
@@ -1666,111 +1701,111 @@
 "Egy nagy kört kisebbekkel tölt meg, bizonyítva Descartes körelméletét. Írta "
 "Allan R. Wilks és David Bagley."
 
-#: ../hacks/config/apollonian.xml.h:10
+#: hacks/config/apollonian.xml.h:10
 msgid "Shallow"
 msgstr "Sekély"
 
-#: ../hacks/config/apple2.xml.h:1
+#: hacks/config/apple2.xml.h:1
 msgid "Apple ]["
 msgstr "Apple ]["
 
-#: ../hacks/config/apple2.xml.h:2
+#: hacks/config/apple2.xml.h:2
 msgid "Basic Programming Mode"
 msgstr "Basic programozó mód"
 
-#: ../hacks/config/apple2.xml.h:3 ../hacks/config/halo.xml.h:8
-#: ../hacks/config/imsmap.xml.h:11
+#: hacks/config/apple2.xml.h:3 hacks/config/halo.xml.h:8
+#: hacks/config/imsmap.xml.h:11
 msgid "Random Mode"
 msgstr "Véletlen mód"
 
-#: ../hacks/config/apple2.xml.h:4
+#: hacks/config/apple2.xml.h:4
 msgid ""
 "Simulates an original Apple ][ Plus computer in all its 1979 glory. It also "
 "reproduces the appearance of display on a color television set of the "
-"period. In \"Text Mode\", it displays the output of a command (e.g., "
-"\"fortune\".) In \"Slideshow Mode\", it chooses a number of images from the "
-"image source you configured into XScreenSaver and displays them within the "
-"limitations of the Apple ][ display hardware. (Six available colors in hi-"
-"res mode!) In \"Basic Programming Mode\", a simulated user types in a BASIC "
-"program and runs it. By Trevor Blackwell."
+"period. In \"Text Mode\", it displays the output of a program, or the "
+"contents of a file or URL, as configured on the \"Advanced\" tab of the main "
+"Screensaver Preferences window. In \"Slideshow Mode\", it chooses a number "
+"of images from the image source you configured into XScreenSaver and "
+"displays them within the limitations of the Apple ][ display hardware. (Six "
+"available colors in hi-res mode!) In \"Basic Programming Mode\", a simulated "
+"user types in a BASIC program and runs it. By Trevor Blackwell."
 msgstr ""
 "Egy eredeti Apple ][ Plus számítógépet szimulál teljes 1979-es dicsőségében. "
 "A korszakra jellemző színes tv készülékek képernyőjének megjelenítését is "
-"reprodukálja. Szöveges módban egy parancs (például \"fortune\") kimenetét "
-"jeleníti meg. Diavetítés módban az Xscreensaverben beállított képforrásról "
+"reprodukálja. Szöveges módban egy program kimenetét, vagy egy fájl vagy URL tartalmát jeleníti meg, ahogyan az a fő Képernyővédő beállításai ablak Bővített fülén be van állítva. Diavetítés módban az Xscreensaverben beállított képforrásról "
 "választ néhány képet és megjeleníti azokat, az Apple ][ képernyőhardverének "
 "korlátain belül (Nagy felbontású módban hat elérhető szín!). Basic "
 "programozó módban egy szimulált felhasználó begépel egy BASIC programot és "
 "futtatja azt. Írta Trevor Blackwell."
 
-#: ../hacks/config/apple2.xml.h:5
+#: hacks/config/apple2.xml.h:5
 msgid "Slideshow Mode"
 msgstr "Diavetítés mód"
 
-#: ../hacks/config/apple2.xml.h:6
+#: hacks/config/apple2.xml.h:6
 msgid "Text Mode"
 msgstr "Szöveges mód"
 
-#: ../hacks/config/apple2.xml.h:7 ../hacks/config/fontglide.xml.h:15
-#: ../hacks/config/noseguy.xml.h:8 ../hacks/config/phosphor.xml.h:10
-#: ../hacks/config/starwars.xml.h:17
+#: hacks/config/apple2.xml.h:7 hacks/config/fliptext.xml.h:17
+#: hacks/config/fontglide.xml.h:15 hacks/config/noseguy.xml.h:7
+#: hacks/config/phosphor.xml.h:9 hacks/config/starwars.xml.h:17
 msgid "Text Program"
 msgstr "Szövegprogram"
 
-#: ../hacks/config/atlantis.xml.h:1
+#: hacks/config/atlantis.xml.h:1
 msgid "Agressive"
 msgstr "Agresszív"
 
-#: ../hacks/config/atlantis.xml.h:2
+#: hacks/config/atlantis.xml.h:2
 msgid "Atlantis"
 msgstr "Atlantisz"
 
-#: ../hacks/config/atlantis.xml.h:3
+#: hacks/config/atlantis.xml.h:3
 msgid "Clear Water"
 msgstr "Tiszta víz"
 
-#: ../hacks/config/atlantis.xml.h:5
+#: hacks/config/atlantis.xml.h:5
 msgid "Flat Background"
 msgstr "Sima háttér"
 
-#: ../hacks/config/atlantis.xml.h:6
+#: hacks/config/atlantis.xml.h:6
 msgid "Gradient Background"
 msgstr "Színátmenetes háttér"
 
-#: ../hacks/config/atlantis.xml.h:7
+#: hacks/config/atlantis.xml.h:7
 msgid "Number of Sharks"
 msgstr "Cápák száma"
 
-#: ../hacks/config/atlantis.xml.h:8
+#: hacks/config/atlantis.xml.h:8
 msgid "Shark Proximity"
 msgstr "Cápák közelsége"
 
-#: ../hacks/config/atlantis.xml.h:9
+#: hacks/config/atlantis.xml.h:9
 msgid "Shark Speed"
 msgstr "Cápák sebessége"
 
-#: ../hacks/config/atlantis.xml.h:10
+#: hacks/config/atlantis.xml.h:10
 msgid "Shimmering Water"
 msgstr "Csillogó víz"
 
-#: ../hacks/config/atlantis.xml.h:12
+#: hacks/config/atlantis.xml.h:12
 msgid "Shy"
 msgstr "Félénk"
 
-#: ../hacks/config/atlantis.xml.h:14 ../hacks/config/cage.xml.h:5
-#: ../hacks/config/extrusion.xml.h:12 ../hacks/config/gears.xml.h:8
-#: ../hacks/config/glblur.xml.h:15 ../hacks/config/glplanet.xml.h:9
-#: ../hacks/config/glsnake.xml.h:13 ../hacks/config/gltext.xml.h:14
-#: ../hacks/config/menger.xml.h:17 ../hacks/config/mismunch.xml.h:11
-#: ../hacks/config/molecule.xml.h:23 ../hacks/config/munch.xml.h:9
-#: ../hacks/config/sierpinski3d.xml.h:9 ../hacks/config/speedmine.xml.h:15
-#: ../hacks/config/spheremonics.xml.h:21 ../hacks/config/sproingies.xml.h:7
-#: ../hacks/config/stairs.xml.h:4 ../hacks/config/stonerview.xml.h:2
-#: ../hacks/config/superquadrics.xml.h:9
+#: hacks/config/atlantis.xml.h:14 hacks/config/cage.xml.h:5
+#: hacks/config/extrusion.xml.h:12 hacks/config/gears.xml.h:8
+#: hacks/config/glblur.xml.h:15 hacks/config/glplanet.xml.h:9
+#: hacks/config/glsnake.xml.h:13 hacks/config/gltext.xml.h:16
+#: hacks/config/menger.xml.h:17 hacks/config/mismunch.xml.h:11
+#: hacks/config/molecule.xml.h:24 hacks/config/munch.xml.h:8
+#: hacks/config/sierpinski3d.xml.h:9 hacks/config/speedmine.xml.h:14
+#: hacks/config/spheremonics.xml.h:21 hacks/config/sproingies.xml.h:7
+#: hacks/config/stairs.xml.h:4 hacks/config/stonerview.xml.h:2
+#: hacks/config/superquadrics.xml.h:9 hacks/config/webcollage.xml.h:8
 msgid "Solid"
 msgstr "Egyszínű"
 
-#: ../hacks/config/atlantis.xml.h:15
+#: hacks/config/atlantis.xml.h:15
 msgid ""
 "This is xfishtank writ large: a GL animation of a number of sharks, "
 "dolphins, and whales. The swimming motions are great. Originally written by "
@@ -1779,93 +1814,93 @@
 "Ez egy nagy xfishtank: GL animáció számos cápával, delfinnel és bálnával. Az "
 "úszó mozgások nagyszerűek. Eredetileg Mark Kilgard írta."
 
-#: ../hacks/config/atlantis.xml.h:16
+#: hacks/config/atlantis.xml.h:16
 msgid "Whale Speed"
 msgstr "Bálnák sebessége"
 
-#: ../hacks/config/atlantis.xml.h:17 ../hacks/config/atunnel.xml.h:10
-#: ../hacks/config/blinkbox.xml.h:9 ../hacks/config/blocktube.xml.h:13
-#: ../hacks/config/cage.xml.h:8 ../hacks/config/cubestorm.xml.h:14
-#: ../hacks/config/dangerball.xml.h:11 ../hacks/config/extrusion.xml.h:19
-#: ../hacks/config/flipflop.xml.h:8 ../hacks/config/flyingtoasters.xml.h:14
-#: ../hacks/config/gears.xml.h:11 ../hacks/config/glblur.xml.h:20
-#: ../hacks/config/glforestfire.xml.h:20 ../hacks/config/glknots.xml.h:23
-#: ../hacks/config/glplanet.xml.h:15 ../hacks/config/glsnake.xml.h:15
-#: ../hacks/config/gltext.xml.h:18 ../hacks/config/jigglypuff.xml.h:25
-#: ../hacks/config/lament.xml.h:9 ../hacks/config/lavalite.xml.h:32
-#: ../hacks/config/menger.xml.h:21 ../hacks/config/mirrorblob.xml.h:24
-#: ../hacks/config/moebius.xml.h:11 ../hacks/config/molecule.xml.h:26
-#: ../hacks/config/pinion.xml.h:15 ../hacks/config/polyhedra.xml.h:173
-#: ../hacks/config/pulsar.xml.h:20 ../hacks/config/sballs.xml.h:18
-#: ../hacks/config/sierpinski3d.xml.h:12 ../hacks/config/speedmine.xml.h:19
-#: ../hacks/config/spheremonics.xml.h:26 ../hacks/config/sproingies.xml.h:10
-#: ../hacks/config/stairs.xml.h:7 ../hacks/config/stonerview.xml.h:4
-#: ../hacks/config/superquadrics.xml.h:12
+#: hacks/config/atlantis.xml.h:17 hacks/config/atunnel.xml.h:10
+#: hacks/config/blinkbox.xml.h:9 hacks/config/blocktube.xml.h:13
+#: hacks/config/boing.xml.h:15 hacks/config/cage.xml.h:8
+#: hacks/config/cubestorm.xml.h:14 hacks/config/dangerball.xml.h:11
+#: hacks/config/extrusion.xml.h:19 hacks/config/flipflop.xml.h:8
+#: hacks/config/flyingtoasters.xml.h:14 hacks/config/gears.xml.h:11
+#: hacks/config/glblur.xml.h:20 hacks/config/glforestfire.xml.h:20
+#: hacks/config/glknots.xml.h:23 hacks/config/glplanet.xml.h:15
+#: hacks/config/glsnake.xml.h:15 hacks/config/gltext.xml.h:21
+#: hacks/config/jigglypuff.xml.h:25 hacks/config/lament.xml.h:9
+#: hacks/config/lavalite.xml.h:32 hacks/config/menger.xml.h:21
+#: hacks/config/mirrorblob.xml.h:24 hacks/config/moebius.xml.h:11
+#: hacks/config/molecule.xml.h:27 hacks/config/pinion.xml.h:15
+#: hacks/config/polyhedra.xml.h:173 hacks/config/pulsar.xml.h:20
+#: hacks/config/sballs.xml.h:18 hacks/config/sierpinski3d.xml.h:12
+#: hacks/config/speedmine.xml.h:18 hacks/config/spheremonics.xml.h:26
+#: hacks/config/sproingies.xml.h:10 hacks/config/stairs.xml.h:7
+#: hacks/config/stonerview.xml.h:4 hacks/config/superquadrics.xml.h:12
 msgid "Wireframe"
 msgstr "Drótváz"
 
-#: ../hacks/config/attraction.xml.h:1
+#: hacks/config/attraction.xml.h:1
 msgid "Attraction"
 msgstr "Vonzás"
 
-#: ../hacks/config/attraction.xml.h:2
+#: hacks/config/attraction.xml.h:2
 msgid "Ball Count"
 msgstr "Labdák száma"
 
-#: ../hacks/config/attraction.xml.h:3
+#: hacks/config/attraction.xml.h:3
 msgid "Ball Mass"
 msgstr "Labdatömeg"
 
-#: ../hacks/config/attraction.xml.h:4 ../hacks/config/fluidballs.xml.h:3
+#: hacks/config/attraction.xml.h:4 hacks/config/fluidballs.xml.h:3
 msgid "Balls"
 msgstr "Labdák"
 
-#: ../hacks/config/attraction.xml.h:5
+#: hacks/config/attraction.xml.h:5
 msgid "Bounce Off Walls"
 msgstr "Lepattanás a falakról"
 
-#: ../hacks/config/attraction.xml.h:6 ../hacks/config/hopalong.xml.h:1
-#: ../hacks/config/interference.xml.h:5 ../hacks/config/qix.xml.h:2
-#: ../hacks/config/wander.xml.h:3
+#: hacks/config/attraction.xml.h:6 hacks/config/hopalong.xml.h:1
+#: hacks/config/interference.xml.h:5 hacks/config/qix.xml.h:2
+#: hacks/config/wander.xml.h:3
 msgid "Color Contrast"
 msgstr "Színek közti különbség"
 
-#: ../hacks/config/attraction.xml.h:7
+#: hacks/config/attraction.xml.h:7
 msgid "Environmental Viscosity"
 msgstr "Környezet viszkozitása"
 
-#: ../hacks/config/attraction.xml.h:9
+#: hacks/config/attraction.xml.h:9
 msgid "Filled Splines"
 msgstr "Kitöltött görbék"
 
-#: ../hacks/config/attraction.xml.h:10 ../hacks/config/ccurve.xml.h:9
-#: ../hacks/config/cloudlife.xml.h:5 ../hacks/config/cubenetic.xml.h:10
-#: ../hacks/config/euler2d.xml.h:5 ../hacks/config/flame.xml.h:9
-#: ../hacks/config/glslideshow.xml.h:13 ../hacks/config/goop.xml.h:6
-#: ../hacks/config/halftone.xml.h:7 ../hacks/config/hopalong.xml.h:10
-#: ../hacks/config/hyperball.xml.h:3 ../hacks/config/hypercube.xml.h:3
-#: ../hacks/config/interference.xml.h:8 ../hacks/config/jigglypuff.xml.h:8
-#: ../hacks/config/kumppa.xml.h:4 ../hacks/config/lavalite.xml.h:12
-#: ../hacks/config/nerverot.xml.h:11 ../hacks/config/petri.xml.h:8
-#: ../hacks/config/pyro.xml.h:5 ../hacks/config/qix.xml.h:10
-#: ../hacks/config/speedmine.xml.h:5 ../hacks/config/spheremonics.xml.h:6
-#: ../hacks/config/spiral.xml.h:4 ../hacks/config/squiral.xml.h:7
-#: ../hacks/config/superquadrics.xml.h:5 ../hacks/config/t3d.xml.h:7
-#: ../hacks/config/twang.xml.h:5 ../hacks/config/wander.xml.h:8
-#: ../hacks/config/xmountains.xml.h:17
+#: hacks/config/attraction.xml.h:10 hacks/config/carousel.xml.h:7
+#: hacks/config/ccurve.xml.h:9 hacks/config/cloudlife.xml.h:5
+#: hacks/config/cubenetic.xml.h:10 hacks/config/euler2d.xml.h:5
+#: hacks/config/flame.xml.h:9 hacks/config/fliptext.xml.h:9
+#: hacks/config/glslideshow.xml.h:13 hacks/config/goop.xml.h:6
+#: hacks/config/halftone.xml.h:7 hacks/config/hopalong.xml.h:10
+#: hacks/config/hyperball.xml.h:3 hacks/config/hypercube.xml.h:3
+#: hacks/config/interference.xml.h:8 hacks/config/jigglypuff.xml.h:8
+#: hacks/config/kumppa.xml.h:4 hacks/config/lavalite.xml.h:12
+#: hacks/config/nerverot.xml.h:11 hacks/config/petri.xml.h:8
+#: hacks/config/pyro.xml.h:5 hacks/config/qix.xml.h:10
+#: hacks/config/speedmine.xml.h:5 hacks/config/spheremonics.xml.h:6
+#: hacks/config/spiral.xml.h:4 hacks/config/squiral.xml.h:6
+#: hacks/config/superquadrics.xml.h:5 hacks/config/t3d.xml.h:7
+#: hacks/config/twang.xml.h:5 hacks/config/wander.xml.h:8
+#: hacks/config/xmountains.xml.h:17
 msgid "High"
 msgstr "Magas"
 
-#: ../hacks/config/attraction.xml.h:11
+#: hacks/config/attraction.xml.h:11
 msgid "Ignore Screen Edges"
 msgstr "Képernyő széleinek mellőzése"
 
-#: ../hacks/config/attraction.xml.h:12
+#: hacks/config/attraction.xml.h:12
 msgid "Inward"
 msgstr "Befelé"
 
-#. #### -graphmode [none]
-#: ../hacks/config/attraction.xml.h:15
+#: hacks/config/attraction.xml.h:14
 msgid ""
 "Like qix, this uses a simple simple motion model to generate many different "
 "display modes. The control points attract each other up to a certain "
@@ -1889,101 +1924,104 @@
 "nagyon kaotikusan néz ki. Írta Jamie Zawinski, John Pezaris Lisp kódjára "
 "támaszkodva."
 
-#: ../hacks/config/attraction.xml.h:16 ../hacks/config/deluxe.xml.h:5
-#: ../hacks/config/lmorph.xml.h:7 ../hacks/config/pedal.xml.h:5
-#: ../hacks/config/starfish.xml.h:4 ../hacks/config/whirlygig.xml.h:10
+#: hacks/config/attraction.xml.h:15 hacks/config/deluxe.xml.h:5
+#: hacks/config/lmorph.xml.h:7 hacks/config/pedal.xml.h:5
+#: hacks/config/starfish.xml.h:4 hacks/config/whirlygig.xml.h:10
 msgid "Lines"
 msgstr "Vonalak"
 
-#: ../hacks/config/attraction.xml.h:17 ../hacks/config/blocktube.xml.h:5
-#: ../hacks/config/braid.xml.h:6 ../hacks/config/cynosure.xml.h:5
-#: ../hacks/config/drift.xml.h:8 ../hacks/config/eruption.xml.h:11
-#: ../hacks/config/euler2d.xml.h:6 ../hacks/config/fireflies.xml.h:21
-#: ../hacks/config/flow.xml.h:6 ../hacks/config/fontglide.xml.h:8
-#: ../hacks/config/galaxy.xml.h:5 ../hacks/config/juggle.xml.h:6
-#: ../hacks/config/klein.xml.h:4 ../hacks/config/laser.xml.h:5
-#: ../hacks/config/menger.xml.h:4 ../hacks/config/metaballs.xml.h:5
-#: ../hacks/config/mismunch.xml.h:3 ../hacks/config/munch.xml.h:5
-#: ../hacks/config/nerverot.xml.h:13 ../hacks/config/petri.xml.h:9
-#: ../hacks/config/polyominoes.xml.h:4 ../hacks/config/rotor.xml.h:5
-#: ../hacks/config/shadebobs.xml.h:4 ../hacks/config/sierpinski3d.xml.h:3
-#: ../hacks/config/spheremonics.xml.h:7 ../hacks/config/substrate.xml.h:6
-#: ../hacks/config/wander.xml.h:10 ../hacks/config/whirlwindwarp.xml.h:3
+#: hacks/config/attraction.xml.h:16 hacks/config/blocktube.xml.h:5
+#: hacks/config/braid.xml.h:6 hacks/config/cynosure.xml.h:5
+#: hacks/config/drift.xml.h:8 hacks/config/eruption.xml.h:11
+#: hacks/config/euler2d.xml.h:6 hacks/config/fiberlamp.xml.h:5
+#: hacks/config/fireflies.xml.h:21 hacks/config/flow.xml.h:6
+#: hacks/config/fontglide.xml.h:8 hacks/config/galaxy.xml.h:5
+#: hacks/config/juggle.xml.h:4 hacks/config/klein.xml.h:4
+#: hacks/config/laser.xml.h:5 hacks/config/menger.xml.h:4
+#: hacks/config/metaballs.xml.h:5 hacks/config/mismunch.xml.h:3
+#: hacks/config/munch.xml.h:4 hacks/config/nerverot.xml.h:13
+#: hacks/config/petri.xml.h:9 hacks/config/polyominoes.xml.h:4
+#: hacks/config/rotor.xml.h:5 hacks/config/shadebobs.xml.h:4
+#: hacks/config/sierpinski3d.xml.h:3 hacks/config/spheremonics.xml.h:7
+#: hacks/config/substrate.xml.h:11 hacks/config/wander.xml.h:10
+#: hacks/config/whirlwindwarp.xml.h:3
 msgid "Long"
 msgstr "Hosszú"
 
-#: ../hacks/config/attraction.xml.h:18 ../hacks/config/ccurve.xml.h:10
-#: ../hacks/config/cloudlife.xml.h:8 ../hacks/config/cubenetic.xml.h:12
-#: ../hacks/config/euler2d.xml.h:7 ../hacks/config/flame.xml.h:10
-#: ../hacks/config/glslideshow.xml.h:15 ../hacks/config/goop.xml.h:7
-#: ../hacks/config/halftone.xml.h:9 ../hacks/config/hopalong.xml.h:14
-#: ../hacks/config/hyperball.xml.h:6 ../hacks/config/hypercube.xml.h:5
-#: ../hacks/config/interference.xml.h:12 ../hacks/config/jigglypuff.xml.h:11
-#: ../hacks/config/kumppa.xml.h:6 ../hacks/config/lavalite.xml.h:14
-#: ../hacks/config/nerverot.xml.h:14 ../hacks/config/petri.xml.h:10
-#: ../hacks/config/pyro.xml.h:7 ../hacks/config/qix.xml.h:13
-#: ../hacks/config/speedmine.xml.h:6 ../hacks/config/spheremonics.xml.h:8
-#: ../hacks/config/spiral.xml.h:5 ../hacks/config/squiral.xml.h:9
-#: ../hacks/config/superquadrics.xml.h:6 ../hacks/config/t3d.xml.h:8
-#: ../hacks/config/twang.xml.h:7 ../hacks/config/wander.xml.h:11
+#: hacks/config/attraction.xml.h:17 hacks/config/carousel.xml.h:9
+#: hacks/config/ccurve.xml.h:10 hacks/config/cloudlife.xml.h:8
+#: hacks/config/cubenetic.xml.h:12 hacks/config/euler2d.xml.h:7
+#: hacks/config/flame.xml.h:10 hacks/config/fliptext.xml.h:10
+#: hacks/config/glslideshow.xml.h:16 hacks/config/goop.xml.h:7
+#: hacks/config/halftone.xml.h:9 hacks/config/hopalong.xml.h:14
+#: hacks/config/hyperball.xml.h:6 hacks/config/hypercube.xml.h:5
+#: hacks/config/interference.xml.h:12 hacks/config/jigglypuff.xml.h:11
+#: hacks/config/kumppa.xml.h:6 hacks/config/lavalite.xml.h:14
+#: hacks/config/nerverot.xml.h:14 hacks/config/petri.xml.h:10
+#: hacks/config/pyro.xml.h:7 hacks/config/qix.xml.h:13
+#: hacks/config/speedmine.xml.h:6 hacks/config/spheremonics.xml.h:8
+#: hacks/config/spiral.xml.h:5 hacks/config/squiral.xml.h:8
+#: hacks/config/superquadrics.xml.h:6 hacks/config/t3d.xml.h:8
+#: hacks/config/twang.xml.h:7 hacks/config/wander.xml.h:11
 msgid "Low"
 msgstr "Alacsony"
 
-#: ../hacks/config/attraction.xml.h:21
+#: hacks/config/attraction.xml.h:20
 msgid "Orbital Mode"
 msgstr "Orbitális mód"
 
-#: ../hacks/config/attraction.xml.h:22
+#: hacks/config/attraction.xml.h:21
 msgid "Outward"
 msgstr "Kifelé"
 
-#: ../hacks/config/attraction.xml.h:23
+#: hacks/config/attraction.xml.h:22
 msgid "Polygons"
 msgstr "Sokszögek"
 
-#: ../hacks/config/attraction.xml.h:24 ../hacks/config/fuzzyflakes.xml.h:13
-#: ../hacks/config/spotlight.xml.h:3 ../hacks/config/xplanet.xml.h:55
+#: hacks/config/attraction.xml.h:23 hacks/config/fuzzyflakes.xml.h:13
+#: hacks/config/spotlight.xml.h:3 hacks/config/xplanet.xml.h:55
 msgid "Radius"
 msgstr "Sugár"
 
-#: ../hacks/config/attraction.xml.h:25
+#: hacks/config/attraction.xml.h:24
 msgid "Repulsion Threshold"
 msgstr "Taszítási küszöb"
 
-#: ../hacks/config/attraction.xml.h:26 ../hacks/config/blocktube.xml.h:7
-#: ../hacks/config/braid.xml.h:10 ../hacks/config/cynosure.xml.h:8
-#: ../hacks/config/drift.xml.h:11 ../hacks/config/eruption.xml.h:18
-#: ../hacks/config/euler2d.xml.h:12 ../hacks/config/fireflies.xml.h:34
-#: ../hacks/config/flow.xml.h:9 ../hacks/config/galaxy.xml.h:9
-#: ../hacks/config/klein.xml.h:5 ../hacks/config/laser.xml.h:9
-#: ../hacks/config/menger.xml.h:14 ../hacks/config/metaballs.xml.h:12
-#: ../hacks/config/mismunch.xml.h:8 ../hacks/config/munch.xml.h:7
-#: ../hacks/config/nerverot.xml.h:19 ../hacks/config/petri.xml.h:22
-#: ../hacks/config/polyominoes.xml.h:9 ../hacks/config/rotor.xml.h:9
-#: ../hacks/config/shadebobs.xml.h:8 ../hacks/config/sierpinski3d.xml.h:5
-#: ../hacks/config/spheremonics.xml.h:17 ../hacks/config/substrate.xml.h:9
-#: ../hacks/config/wander.xml.h:12 ../hacks/config/whirlwindwarp.xml.h:6
+#: hacks/config/attraction.xml.h:25 hacks/config/blocktube.xml.h:7
+#: hacks/config/braid.xml.h:10 hacks/config/cynosure.xml.h:8
+#: hacks/config/drift.xml.h:11 hacks/config/eruption.xml.h:18
+#: hacks/config/euler2d.xml.h:12 hacks/config/fiberlamp.xml.h:7
+#: hacks/config/fireflies.xml.h:34 hacks/config/flow.xml.h:9
+#: hacks/config/galaxy.xml.h:9 hacks/config/juggle.xml.h:7
+#: hacks/config/klein.xml.h:5 hacks/config/laser.xml.h:9
+#: hacks/config/menger.xml.h:14 hacks/config/metaballs.xml.h:12
+#: hacks/config/mismunch.xml.h:8 hacks/config/munch.xml.h:6
+#: hacks/config/nerverot.xml.h:19 hacks/config/petri.xml.h:22
+#: hacks/config/polyominoes.xml.h:9 hacks/config/rotor.xml.h:9
+#: hacks/config/shadebobs.xml.h:8 hacks/config/sierpinski3d.xml.h:5
+#: hacks/config/spheremonics.xml.h:17 hacks/config/substrate.xml.h:14
+#: hacks/config/wander.xml.h:12 hacks/config/whirlwindwarp.xml.h:6
 msgid "Short"
 msgstr "Rövid"
 
-#: ../hacks/config/attraction.xml.h:30
+#: hacks/config/attraction.xml.h:29
 msgid "Splines"
 msgstr "Görbék"
 
-#: ../hacks/config/attraction.xml.h:31 ../hacks/config/fireflies.xml.h:42
+#: hacks/config/attraction.xml.h:30 hacks/config/fireflies.xml.h:42
 msgid "Tails"
 msgstr "Nyomvonalak"
 
-#: ../hacks/config/attraction.xml.h:32 ../hacks/config/euler2d.xml.h:16
-#: ../hacks/config/juggle.xml.h:10
+#: hacks/config/attraction.xml.h:31 hacks/config/euler2d.xml.h:16
+#: hacks/config/juggle.xml.h:10
 msgid "Trail Length"
 msgstr "Nyomvonal hossza"
 
-#: ../hacks/config/atunnel.xml.h:1
+#: hacks/config/atunnel.xml.h:1
 msgid "Atunnel"
 msgstr "Atunnel"
 
-#: ../hacks/config/atunnel.xml.h:2
+#: hacks/config/atunnel.xml.h:2
 msgid ""
 "Draws an animation of a textured tunnel in GL. Requires OpenGL, and a "
 "machine with fast hardware support for texture maps. Written by Eric "
@@ -1993,38 +2031,38 @@
 "textúratérképekhez gyors hardvertámogatással rendelkező gép szükséges hozzá. "
 "Írta Eric Lassauge és Roman Podobedov."
 
-#: ../hacks/config/atunnel.xml.h:4 ../hacks/config/distort.xml.h:9
-#: ../hacks/config/glforestfire.xml.h:10 ../hacks/config/lament.xml.h:4
-#: ../hacks/config/sballs.xml.h:6
+#: hacks/config/atunnel.xml.h:4 hacks/config/distort.xml.h:9
+#: hacks/config/glforestfire.xml.h:10 hacks/config/lament.xml.h:4
+#: hacks/config/sballs.xml.h:6
 msgid "Normal"
 msgstr "Normál"
 
-#: ../hacks/config/atunnel.xml.h:8 ../hacks/config/glforestfire.xml.h:18
-#: ../hacks/config/lament.xml.h:8 ../hacks/config/sballs.xml.h:17
+#: hacks/config/atunnel.xml.h:8 hacks/config/glforestfire.xml.h:18
+#: hacks/config/lament.xml.h:8 hacks/config/sballs.xml.h:17
 msgid "Untextured"
 msgstr "Textúrázatlan"
 
-#: ../hacks/config/atunnel.xml.h:9
+#: hacks/config/atunnel.xml.h:9
 msgid "Use light"
 msgstr "Fény használata"
 
-#: ../hacks/config/barcode.xml.h:1
+#: hacks/config/barcode.xml.h:1
 msgid "Barcode"
 msgstr "Vonalkód"
 
-#: ../hacks/config/barcode.xml.h:2
+#: hacks/config/barcode.xml.h:2
 msgid "Barcode Clock (24 Hour)"
 msgstr "Vonalkód óra (24 órás)"
 
-#: ../hacks/config/barcode.xml.h:3
+#: hacks/config/barcode.xml.h:3
 msgid "Barcode Clock (AM/PM)"
 msgstr "Vonalkód óra (12 órás)"
 
-#: ../hacks/config/barcode.xml.h:5
+#: hacks/config/barcode.xml.h:5
 msgid "Scrolling Barcodes"
 msgstr "Gördülő vonalkódok"
 
-#: ../hacks/config/barcode.xml.h:8
+#: hacks/config/barcode.xml.h:8
 msgid ""
 "This draws a random sequence of colorful barcodes scrolling across your "
 "screen. CONSUME! By Dan Bornstein."
@@ -2032,12 +2070,11 @@
 "A képernyőn átgördülő színes vonalkódok sorozatát rajzolja ki. FOGYASSZ! "
 "Írta Dan Bornstein."
 
-#: ../hacks/config/blaster.xml.h:1
+#: hacks/config/blaster.xml.h:1
 msgid "Blaster"
 msgstr "Robbantó"
 
-#. #### -mother_ship_color1 [white]
-#: ../hacks/config/blaster.xml.h:3
+#: hacks/config/blaster.xml.h:2
 msgid ""
 "Draws a simulation of flying space-combat robots (cleverly disguised as "
 "colored circles) doing battle in front of a moving star field. Written by "
@@ -2046,35 +2083,35 @@
 "Egy mozgó csillagmező előtt csatázó harci űrrobotokat (melyek okosan színes "
 "körök mögé rejtőztek) szimulál. Írta Jonathan Lin."
 
-#: ../hacks/config/blaster.xml.h:6 ../hacks/config/penetrate.xml.h:4
+#: hacks/config/blaster.xml.h:5 hacks/config/penetrate.xml.h:4
 msgid "Lasers"
 msgstr "Lézerek"
 
-#: ../hacks/config/blaster.xml.h:8
+#: hacks/config/blaster.xml.h:7
 msgid "Robots"
 msgstr "Robotok"
 
-#: ../hacks/config/blaster.xml.h:11 ../hacks/config/glplanet.xml.h:11
+#: hacks/config/blaster.xml.h:10 hacks/config/glplanet.xml.h:11
 msgid "Stars"
 msgstr "Csillagok"
 
-#: ../hacks/config/blinkbox.xml.h:1
+#: hacks/config/blinkbox.xml.h:1
 msgid "BlinkBox"
 msgstr "Villanó doboz"
 
-#: ../hacks/config/blinkbox.xml.h:2
+#: hacks/config/blinkbox.xml.h:2
 msgid "Box Size"
 msgstr "Dobozméret"
 
-#: ../hacks/config/blinkbox.xml.h:3
+#: hacks/config/blinkbox.xml.h:3
 msgid "Dissolve"
 msgstr "Áttűnés"
 
-#: ../hacks/config/blinkbox.xml.h:4 ../hacks/config/phosphor.xml.h:4
+#: hacks/config/blinkbox.xml.h:4 hacks/config/phosphor.xml.h:3
 msgid "Fade"
 msgstr "Elhalványulás"
 
-#: ../hacks/config/blinkbox.xml.h:6
+#: hacks/config/blinkbox.xml.h:6
 msgid ""
 "Shows a ball contained inside of a bounding box. Colored blocks blink in "
 "when the ball hits the edges. Written by Jeremy English."
@@ -2082,27 +2119,27 @@
 "Egy zárt doboz belsejében lévő labdát jelenít meg. Ha a labda eléri az "
 "éleit, színes lapok villannak fel. Írta Jeremy English."
 
-#: ../hacks/config/blitspin.xml.h:1
+#: hacks/config/blitspin.xml.h:1
 msgid "90 deg Rotation Speed"
 msgstr "90 fokos forgatás sebessége"
 
-#: ../hacks/config/blitspin.xml.h:2
+#: hacks/config/blitspin.xml.h:2
 msgid "Bitmap to rotate"
 msgstr "Forgatandó bitkép"
 
-#: ../hacks/config/blitspin.xml.h:3
+#: hacks/config/blitspin.xml.h:3
 msgid "BlitSpin"
 msgstr "Blitspin"
 
-#: ../hacks/config/blitspin.xml.h:5
+#: hacks/config/blitspin.xml.h:5
 msgid "Fuzzy Rotation Speed"
 msgstr "Homályos forgatás sebessége"
 
-#: ../hacks/config/blitspin.xml.h:6
+#: hacks/config/blitspin.xml.h:6
 msgid "Grab Screen"
 msgstr "Képernyő elkapása"
 
-#: ../hacks/config/blitspin.xml.h:8
+#: hacks/config/blitspin.xml.h:8
 msgid ""
 "The ``blitspin'' hack repeatedly rotates a bitmap by 90 degrees by using "
 "logical operations: the bitmap is divided into quadrants, and the quadrants "
@@ -2123,27 +2160,27 @@
 "elforgatva. Megadhatja a használandó képet XBM vagy XPM fájlként, vagy "
 "megadhatja, hogy a képernyőképet forgassa."
 
-#: ../hacks/config/blocktube.xml.h:1
+#: hacks/config/blocktube.xml.h:1
 msgid "BlockTube"
 msgstr "Blokkcső"
 
-#: ../hacks/config/blocktube.xml.h:2
+#: hacks/config/blocktube.xml.h:2
 msgid "Color Change Time"
 msgstr "Színváltás ideje"
 
-#: ../hacks/config/blocktube.xml.h:3
+#: hacks/config/blocktube.xml.h:3
 msgid "Color Hold Time"
 msgstr "Színtartás ideje"
 
-#: ../hacks/config/blocktube.xml.h:6
+#: hacks/config/blocktube.xml.h:6
 msgid "Reflective Blocks"
 msgstr "Visszaverő blokkok"
 
-#: ../hacks/config/blocktube.xml.h:10
+#: hacks/config/blocktube.xml.h:10
 msgid "Solid Blocks"
 msgstr "Egyszínű blokkok"
 
-#: ../hacks/config/blocktube.xml.h:12
+#: hacks/config/blocktube.xml.h:12
 msgid ""
 "This hack draws a swirling, falling tunnel of reflective slabs. They fade "
 "from hue to hue. Written by Lars R. Damerow."
@@ -2151,19 +2188,71 @@
 "Ez a hack egy örvénylő, eső lapokból álló alagutat rajzol. A lapok "
 "árnyalatról árnyalatra változnak. Írta Lars R. Damerow."
 
-#: ../hacks/config/bouboule.xml.h:1
+#: hacks/config/boing.xml.h:1
+msgid "Boing"
+msgstr "Boing"
+
+#: hacks/config/boing.xml.h:3 hacks/config/fireflies.xml.h:17
+#: hacks/config/pinion.xml.h:7
+msgid "Huge"
+msgstr "Óriási"
+
+#: hacks/config/boing.xml.h:4
+msgid "Lighting"
+msgstr "Megvilágítás"
+
+#: hacks/config/boing.xml.h:5
+msgid "Meridians"
+msgstr "Délkörök"
+
+#: hacks/config/boing.xml.h:6
+msgid "Parallels"
+msgstr "Párhuzamosok"
+
+#: hacks/config/boing.xml.h:7
+msgid "Scanlines"
+msgstr "Scanline-ok"
+
+#: hacks/config/boing.xml.h:9 hacks/config/galaxy.xml.h:10
+#: hacks/config/lisa.xml.h:7 hacks/config/lissie.xml.h:8
+#: hacks/config/loop.xml.h:6 hacks/config/penrose.xml.h:10
+#: hacks/config/pong.xml.h:3 hacks/config/rotor.xml.h:10
+#: hacks/config/rubik.xml.h:8 hacks/config/sproingies.xml.h:5
+#: hacks/config/wander.xml.h:13 hacks/config/worm.xml.h:6
+msgid "Size"
+msgstr "Méret"
+
+#: hacks/config/boing.xml.h:11
+msgid "Smoothing"
+msgstr "Simítás"
+
+#: hacks/config/boing.xml.h:13
+msgid ""
+"This bouncing ball is a clone of the first graphics demo for the Amiga 1000, "
+"which was written by Dale Luck and RJ Mical during a break at the 1984 "
+"Consumer Electronics Show (or so the legend goes.) This looks like the "
+"original Amiga demo if you turn off \"smoothing\" and \"lighting\" and turn "
+"on \"scanlines\". Written by Jamie Zawinski."
+msgstr "Ez a pattogó labda az első Amiga 1000-re írt demó klónja, amit eredetileg Dale Luck és RJ Mical írt az 1984-es Consumer Electronics Show szünetében (legalábbis a legenda szerint.) Ha kikapcsolja a simítást és a megvilágítást, valamint bekapcsolja a scanline-okat, úgy fog kinézni, mint az eredeti Amiga demó. Írta Jamie Zawinski."
+
+#: hacks/config/boing.xml.h:14 hacks/config/fireflies.xml.h:43
+#: hacks/config/pinion.xml.h:14
+msgid "Tiny"
+msgstr "Pici"
+
+#: hacks/config/bouboule.xml.h:1
 msgid "Bouboule"
 msgstr "Bouboule"
 
-#: ../hacks/config/bouboule.xml.h:2 ../hacks/config/rocks.xml.h:3
+#: hacks/config/bouboule.xml.h:2 hacks/config/rocks.xml.h:3
 msgid "Do Red/Blue 3D seperation"
 msgstr "Kék/piros 3 dimenziós szétválasztás."
 
-#: ../hacks/config/bouboule.xml.h:7
+#: hacks/config/bouboule.xml.h:7
 msgid "Number of Spots"
 msgstr "Cseppek száma"
 
-#: ../hacks/config/bouboule.xml.h:10
+#: hacks/config/bouboule.xml.h:10
 msgid ""
 "This draws what looks like a spinning, deforming balloon with varying-sized "
 "spots painted on its invisible surface. Written by Jeremie Petit."
@@ -2171,55 +2260,56 @@
 "Ez egy forgó, változó alakú léggömb-szerű alakot rajzol, változó méretű "
 "foltokkal a láthatatlan felszínén. Írta Jeremie Petit."
 
-#: ../hacks/config/bouncingcow.xml.h:1
+#: hacks/config/bouncingcow.xml.h:1
 msgid "A Cow. A Trampoline. Together, they fight crime. By Jamie Zawinski."
 msgstr "Egy tehén. Egy gumiasztal. Együtt a bűn ellen. Írta Jamie Zawinski."
 
-#: ../hacks/config/bouncingcow.xml.h:2 ../hacks/config/boxed.xml.h:1
-#: ../hacks/config/cubestorm.xml.h:1 ../hacks/config/flyingtoasters.xml.h:3
-#: ../hacks/config/fontglide.xml.h:1 ../hacks/config/gears.xml.h:1
-#: ../hacks/config/gflux.xml.h:1 ../hacks/config/glknots.xml.h:1
-#: ../hacks/config/glmatrix.xml.h:1 ../hacks/config/jigglypuff.xml.h:1
-#: ../hacks/config/pinion.xml.h:3 ../hacks/config/polyhedra.xml.h:3
-#: ../hacks/config/pyro.xml.h:1 ../hacks/config/rd-bomb.xml.h:6
-#: ../hacks/config/rocks.xml.h:1 ../hacks/config/starwars.xml.h:1
-#: ../hacks/config/wormhole.xml.h:1 ../hacks/config/xfishtank.xml.h:1
+#: hacks/config/bouncingcow.xml.h:2 hacks/config/boxed.xml.h:1
+#: hacks/config/carousel.xml.h:3 hacks/config/cubestorm.xml.h:1
+#: hacks/config/flyingtoasters.xml.h:3 hacks/config/fontglide.xml.h:1
+#: hacks/config/gears.xml.h:1 hacks/config/gflux.xml.h:1
+#: hacks/config/glknots.xml.h:1 hacks/config/glmatrix.xml.h:1
+#: hacks/config/jigglypuff.xml.h:1 hacks/config/pinion.xml.h:3
+#: hacks/config/polyhedra.xml.h:3 hacks/config/pyro.xml.h:1
+#: hacks/config/rd-bomb.xml.h:6 hacks/config/rocks.xml.h:1
+#: hacks/config/starwars.xml.h:1 hacks/config/wormhole.xml.h:1
+#: hacks/config/xfishtank.xml.h:1
 msgid "Animation Speed"
 msgstr "Animáció sebessége"
 
-#: ../hacks/config/bouncingcow.xml.h:3
+#: hacks/config/bouncingcow.xml.h:3
 msgid "Beefy Cow"
 msgstr "Húsos tehén"
 
-#: ../hacks/config/bouncingcow.xml.h:4
+#: hacks/config/bouncingcow.xml.h:4
 msgid "Bounce Speed"
 msgstr "Pattogás sebessége"
 
-#: ../hacks/config/bouncingcow.xml.h:5
+#: hacks/config/bouncingcow.xml.h:5
 msgid "BouncingCow"
 msgstr "Pattogó tehén"
 
-#: ../hacks/config/bouncingcow.xml.h:7
+#: hacks/config/bouncingcow.xml.h:7
 msgid "Herd"
 msgstr "Gulya"
 
-#: ../hacks/config/bouncingcow.xml.h:8
+#: hacks/config/bouncingcow.xml.h:8
 msgid "Moo"
 msgstr "Egy"
 
-#: ../hacks/config/bouncingcow.xml.h:9
+#: hacks/config/bouncingcow.xml.h:9
 msgid "Number of Cows"
 msgstr "Tehenek száma"
 
-#: ../hacks/config/bouncingcow.xml.h:11
+#: hacks/config/bouncingcow.xml.h:11
 msgid "Wireframe Cow"
 msgstr "Drótváz tehén"
 
-#: ../hacks/config/boxed.xml.h:2
+#: hacks/config/boxed.xml.h:2
 msgid "Boxed"
 msgstr "Dobozolt"
 
-#: ../hacks/config/boxed.xml.h:3
+#: hacks/config/boxed.xml.h:3
 msgid ""
 "Draws a box full of 3D bouncing balls that explode. Written by Sander van "
 "Grieken."
@@ -2227,17 +2317,66 @@
 "Egy pattogó, majd felrobbanó 3D labdákkal teli dobozt rajzol. Írta Sander "
 "van Grieken."
 
-#: ../hacks/config/boxed.xml.h:5 ../hacks/config/cubestorm.xml.h:5
-#: ../hacks/config/fontglide.xml.h:9 ../hacks/config/glknots.xml.h:6
-#: ../hacks/config/polyhedra.xml.h:85
+#: hacks/config/boxed.xml.h:5 hacks/config/cubestorm.xml.h:5
+#: hacks/config/fontglide.xml.h:9 hacks/config/glknots.xml.h:6
+#: hacks/config/polyhedra.xml.h:85
 msgid "Motion Speed"
 msgstr "Mozgás sebessége"
 
-#: ../hacks/config/braid.xml.h:1
+#: hacks/config/boxfit.xml.h:1 hacks/config/popsquares.xml.h:1
+msgid "Border"
+msgstr "Szegély"
+
+#: hacks/config/boxfit.xml.h:2
+msgid "BoxFit"
+msgstr "BoxFit"
+
+#: hacks/config/boxfit.xml.h:3 hacks/config/cubenetic.xml.h:1
+msgid "Boxes"
+msgstr "Dobozok"
+
+#: hacks/config/boxfit.xml.h:4
+msgid "Boxes Only"
+msgstr "Csak dobozok"
+
+#: hacks/config/boxfit.xml.h:5
+msgid "Boxes or Circles"
+msgstr "Dobozok vagy körök"
+
+#: hacks/config/boxfit.xml.h:6
+msgid "Circles Only"
+msgstr "Csak körök"
+
+#: hacks/config/boxfit.xml.h:7
+msgid "Color Gradient"
+msgstr "Színátmenet"
+
+#: hacks/config/boxfit.xml.h:9
+msgid "Grab Images"
+msgstr "Képek megragadása"
+
+#: hacks/config/boxfit.xml.h:10
+msgid "Grow By"
+msgstr "Növekedés ennyivel:"
+
+#: hacks/config/boxfit.xml.h:11
+msgid ""
+"Packs the screen with growing squares or circles, colored according to a "
+"horizontal or vertical gradient, or according to the colors of the desktop "
+"or a loaded image file. The objects grow until they touch, then stop. When "
+"the screen is full, they shrink away and the process restarts. Written by "
+"Jamie Zawinski."
+msgstr "Feltölti a képernyőt növekvő négyzetekkel vagy körökkel, melyek egy vízszintes vagy függőleges színátmenetnek vagy az asztal vagy egy betöltött képfájl színeinek megfelelően színeződnek. Az objektumok addig nőnek, míg el nem érik egymást, akkor megállnak. Ha a képernyő megtelik, összezsugorodnak és a folyamat elölről kezdődik. Írta Jamie Zawinski."
+
+#: hacks/config/boxfit.xml.h:13 hacks/config/xearth.xml.h:23
+msgid "Spacing"
+msgstr "Térköz"
+
+#: hacks/config/braid.xml.h:1
 msgid "Braid"
 msgstr "Fonat"
 
-#: ../hacks/config/braid.xml.h:2
+#: hacks/config/braid.xml.h:2
 msgid ""
 "Draws random color-cycling inter-braided concentric circles. Written by John "
 "Neil."
@@ -2245,68 +2384,68 @@
 "Véletlenszerűen színeket forgató, összefonódó koncentrikus köröket rajzol. "
 "Írta John Neil."
 
-#: ../hacks/config/braid.xml.h:3 ../hacks/config/bsod.xml.h:9
-#: ../hacks/config/ccurve.xml.h:7 ../hacks/config/coral.xml.h:6
-#: ../hacks/config/cynosure.xml.h:3 ../hacks/config/deco.xml.h:4
-#: ../hacks/config/drift.xml.h:2 ../hacks/config/epicycle.xml.h:3
-#: ../hacks/config/eruption.xml.h:3 ../hacks/config/euler2d.xml.h:1
-#: ../hacks/config/flame.xml.h:5 ../hacks/config/galaxy.xml.h:2
-#: ../hacks/config/glsnake.xml.h:5 ../hacks/config/helix.xml.h:3
-#: ../hacks/config/hopalong.xml.h:2 ../hacks/config/imsmap.xml.h:6
-#: ../hacks/config/klein.xml.h:1 ../hacks/config/laser.xml.h:2
-#: ../hacks/config/menger.xml.h:2 ../hacks/config/metaballs.xml.h:3
-#: ../hacks/config/mismunch.xml.h:1 ../hacks/config/moire.xml.h:3
-#: ../hacks/config/molecule.xml.h:9 ../hacks/config/munch.xml.h:3
-#: ../hacks/config/nerverot.xml.h:8 ../hacks/config/pedal.xml.h:3
-#: ../hacks/config/penrose.xml.h:5 ../hacks/config/polyhedra.xml.h:17
-#: ../hacks/config/polyominoes.xml.h:1 ../hacks/config/rorschach.xml.h:3
-#: ../hacks/config/rotzoomer.xml.h:5 ../hacks/config/shadebobs.xml.h:2
-#: ../hacks/config/sierpinski3d.xml.h:1 ../hacks/config/spheremonics.xml.h:4
-#: ../hacks/config/starfish.xml.h:2 ../hacks/config/substrate.xml.h:1
-#: ../hacks/config/vidwhacker.xml.h:3 ../hacks/config/wander.xml.h:7
-#: ../hacks/config/xspirograph.xml.h:3
+#: hacks/config/braid.xml.h:3 hacks/config/bsod.xml.h:9
+#: hacks/config/ccurve.xml.h:7 hacks/config/coral.xml.h:6
+#: hacks/config/cynosure.xml.h:3 hacks/config/deco.xml.h:4
+#: hacks/config/drift.xml.h:2 hacks/config/epicycle.xml.h:3
+#: hacks/config/eruption.xml.h:3 hacks/config/euler2d.xml.h:1
+#: hacks/config/flame.xml.h:5 hacks/config/galaxy.xml.h:2
+#: hacks/config/glsnake.xml.h:5 hacks/config/helix.xml.h:3
+#: hacks/config/hopalong.xml.h:2 hacks/config/imsmap.xml.h:6
+#: hacks/config/klein.xml.h:1 hacks/config/laser.xml.h:2
+#: hacks/config/menger.xml.h:2 hacks/config/metaballs.xml.h:3
+#: hacks/config/mismunch.xml.h:1 hacks/config/moire.xml.h:3
+#: hacks/config/molecule.xml.h:10 hacks/config/munch.xml.h:2
+#: hacks/config/nerverot.xml.h:8 hacks/config/pedal.xml.h:3
+#: hacks/config/penrose.xml.h:5 hacks/config/polyhedra.xml.h:17
+#: hacks/config/polyominoes.xml.h:1 hacks/config/rorschach.xml.h:3
+#: hacks/config/rotzoomer.xml.h:5 hacks/config/shadebobs.xml.h:2
+#: hacks/config/sierpinski3d.xml.h:1 hacks/config/spheremonics.xml.h:4
+#: hacks/config/starfish.xml.h:2 hacks/config/substrate.xml.h:6
+#: hacks/config/vidwhacker.xml.h:3 hacks/config/wander.xml.h:7
+#: hacks/config/xspirograph.xml.h:3
 msgid "Duration"
 msgstr "Időtartam"
 
-#: ../hacks/config/braid.xml.h:5 ../hacks/config/epicycle.xml.h:7
-#: ../hacks/config/nerverot.xml.h:12
+#: hacks/config/braid.xml.h:5 hacks/config/epicycle.xml.h:7
+#: hacks/config/nerverot.xml.h:12
 msgid "Line Thickness"
 msgstr "Vonal vastagsága"
 
-#: ../hacks/config/braid.xml.h:8
+#: hacks/config/braid.xml.h:8
 msgid "Max Rings"
 msgstr "Gyűrűk max. száma"
 
-#: ../hacks/config/bsod.xml.h:1 ../hacks/config/molecule.xml.h:1
-#: ../hacks/config/vidwhacker.xml.h:1 ../hacks/config/webcollage.xml.h:1
+#: hacks/config/bsod.xml.h:1 hacks/config/molecule.xml.h:1
+#: hacks/config/vidwhacker.xml.h:1
 msgid "2 minutes"
 msgstr "2 perc"
 
-#: ../hacks/config/bsod.xml.h:2 ../hacks/config/molecule.xml.h:2
+#: hacks/config/bsod.xml.h:2 hacks/config/molecule.xml.h:2
 msgid "5 seconds"
 msgstr "5 másodperc"
 
-#: ../hacks/config/bsod.xml.h:3
+#: hacks/config/bsod.xml.h:3
 msgid "AmigaDOS"
 msgstr "AmigaDOS"
 
-#: ../hacks/config/bsod.xml.h:4
+#: hacks/config/bsod.xml.h:4
 msgid "Apple II"
 msgstr "Apple II"
 
-#: ../hacks/config/bsod.xml.h:5
+#: hacks/config/bsod.xml.h:5
 msgid "Atari"
 msgstr "Atari"
 
-#: ../hacks/config/bsod.xml.h:6
+#: hacks/config/bsod.xml.h:6
 msgid "BSD"
 msgstr "BSD"
 
-#: ../hacks/config/bsod.xml.h:7
+#: hacks/config/bsod.xml.h:7
 msgid "BSOD"
 msgstr "BSOD"
 
-#: ../hacks/config/bsod.xml.h:8
+#: hacks/config/bsod.xml.h:8
 msgid ""
 "BSOD stands for ``Blue Screen of Death.'' The finest in personal computer "
 "emulation, this hack simulates popular screen savers from a number of less "
@@ -2316,79 +2455,91 @@
 "emuláció vezető technológiájaként, ez a hack népszerű képernyővédőket "
 "szimulál számos kevésbé robusztus operációs rendszerből. Írta Jamie Zawinski."
 
-#: ../hacks/config/bsod.xml.h:10
+#: hacks/config/bsod.xml.h:10
 msgid "HPUX"
 msgstr "HPUX"
 
-#: ../hacks/config/bsod.xml.h:11
+#: hacks/config/bsod.xml.h:11
 msgid "HVX/GCOS6"
 msgstr "HVX/GCOS6"
 
-#: ../hacks/config/bsod.xml.h:12
-msgid "Linux"
-msgstr "Linux"
-
-#: ../hacks/config/bsod.xml.h:13
+#: hacks/config/bsod.xml.h:12
+msgid "Linux (fsck)"
+msgstr "Linux (fsck)"
+
+#: hacks/config/bsod.xml.h:13
+msgid "Linux (hppa)"
+msgstr "Linux (hppa)"
+
+#: hacks/config/bsod.xml.h:14
+msgid "Linux (sparc)"
+msgstr "Linux (sparc)"
+
+#: hacks/config/bsod.xml.h:15
 msgid "MS-DOS"
 msgstr "MS-DOS"
 
-#: ../hacks/config/bsod.xml.h:14
+#: hacks/config/bsod.xml.h:16
 msgid "Mac Bomb"
 msgstr "Mac Bomb"
 
-#: ../hacks/config/bsod.xml.h:15
+#: hacks/config/bsod.xml.h:17
 msgid "MacOS X"
 msgstr "MacOS X"
 
-#: ../hacks/config/bsod.xml.h:16
+#: hacks/config/bsod.xml.h:18
 msgid "MacsBug"
 msgstr "MacsBug"
 
-#: ../hacks/config/bsod.xml.h:17
-msgid "NCD X Terminal"
-msgstr "NCD X Terminál"
-
-#: ../hacks/config/bsod.xml.h:18
+#: hacks/config/bsod.xml.h:19
+msgid "NCD X Terminal  "
+msgstr "NCD X Terminál  "
+
+#: hacks/config/bsod.xml.h:20
+msgid "Nvidia"
+msgstr "Nvidia"
+
+#: hacks/config/bsod.xml.h:21
 msgid "OS/390"
 msgstr "OS/390"
 
-#: ../hacks/config/bsod.xml.h:19
+#: hacks/config/bsod.xml.h:22
 msgid "SCO"
 msgstr "SCO"
 
-#: ../hacks/config/bsod.xml.h:20
+#: hacks/config/bsod.xml.h:23
 msgid "Sad Mac"
 msgstr "Sad Mac"
 
-#: ../hacks/config/bsod.xml.h:21
+#: hacks/config/bsod.xml.h:24
 msgid "Solaris"
 msgstr "Solaris"
 
-#: ../hacks/config/bsod.xml.h:22
-msgid "Sparc Linux"
-msgstr "Sparc Linux"
+#: hacks/config/bsod.xml.h:25
+msgid "Tru64"
+msgstr "Tru64"
 
-#: ../hacks/config/bsod.xml.h:23
+#: hacks/config/bsod.xml.h:26
 msgid "VMS"
 msgstr "VMS"
 
-#: ../hacks/config/bsod.xml.h:24
-msgid "Windows 2000"
-msgstr "Windows 2000"
+#: hacks/config/bsod.xml.h:27
+msgid "Windows 2000  "
+msgstr "Windows 2000  "
 
-#: ../hacks/config/bsod.xml.h:25
+#: hacks/config/bsod.xml.h:28
 msgid "Windows 3.1"
 msgstr "Windows 3.1"
 
-#: ../hacks/config/bsod.xml.h:26
+#: hacks/config/bsod.xml.h:29
 msgid "Windows NT"
 msgstr "Windows NT"
 
-#: ../hacks/config/bubble3d.xml.h:1
+#: hacks/config/bubble3d.xml.h:1
 msgid "Bubble3D"
 msgstr "3D buborék"
 
-#: ../hacks/config/bubble3d.xml.h:2
+#: hacks/config/bubble3d.xml.h:2
 msgid ""
 "Draws a stream of rising, undulating 3D bubbles, rising toward the top of "
 "the screen, with nice specular reflections. Written by Richard Jones."
@@ -2396,39 +2547,39 @@
 "A képernyő teteje felé emelkedő, hullámzó 3D buborékok folyamát rajzolja, "
 "szépen tükröző visszaverődésekkel. Írta Richard Jones."
 
-#: ../hacks/config/bubbles.xml.h:1 ../hacks/config/xfishtank.xml.h:2
+#: hacks/config/bubbles.xml.h:1 hacks/config/xfishtank.xml.h:2
 msgid "Bubbles"
 msgstr "Buborékok"
 
-#: ../hacks/config/bubbles.xml.h:2
+#: hacks/config/bubbles.xml.h:2
 msgid "Bubbles Fall"
 msgstr "Eső buborékok"
 
-#: ../hacks/config/bubbles.xml.h:3
+#: hacks/config/bubbles.xml.h:3
 msgid "Bubbles Float"
 msgstr "Lebegő buborékok"
 
-#: ../hacks/config/bubbles.xml.h:4
+#: hacks/config/bubbles.xml.h:4
 msgid "Bubbles Rise"
 msgstr "Emelkedő buborékok"
 
-#: ../hacks/config/bubbles.xml.h:5
+#: hacks/config/bubbles.xml.h:5
 msgid "Bubbles exist in three dimensions"
 msgstr "A buborékok három dimenzióban léteznek"
 
-#: ../hacks/config/bubbles.xml.h:6
+#: hacks/config/bubbles.xml.h:6
 msgid "Don't hide bubbles when they pop"
 msgstr "Ne rejtse el a buborékokat, amikor kidurrannak"
 
-#: ../hacks/config/bubbles.xml.h:7
+#: hacks/config/bubbles.xml.h:7
 msgid "Draw circles instead of pixmap bubbles"
 msgstr "Körök rajzolása képpont-buborékok helyett"
 
-#: ../hacks/config/bubbles.xml.h:9
+#: hacks/config/bubbles.xml.h:9
 msgid "Leave Trails"
 msgstr "Nyomjelzők hagyása"
 
-#: ../hacks/config/bubbles.xml.h:12
+#: hacks/config/bubbles.xml.h:12
 msgid ""
 "This simulates the kind of bubble formation that happens when water boils:"
 "small bubbles appear, and as they get closer to each other, they combine to "
@@ -2438,8 +2589,7 @@
 "buborékok jelennek meg, és ahogy közelebb kerülnek egymáshoz, nagyobb "
 "buborékokat alkotnak, amik alkalmanként kipukkannak. Írta James Macnicol."
 
-#. #### -invert
-#: ../hacks/config/bumps.xml.h:2
+#: hacks/config/bumps.xml.h:1
 msgid ""
 "A bit like `Spotlight', except that instead of merely exposing part of your "
 "desktop, it creates a bump map from it. Basically, it 3D-izes a roaming "
@@ -2450,15 +2600,15 @@
 "háromdimenziósítja az asztal egy részét, a színintenzitást alapul véve. Írta "
 "Shane Smit."
 
-#: ../hacks/config/bumps.xml.h:3
+#: hacks/config/bumps.xml.h:2
 msgid "Bumps"
 msgstr "Domborzat"
 
-#: ../hacks/config/cage.xml.h:1
+#: hacks/config/cage.xml.h:1
 msgid "Cage"
 msgstr "Kalitka"
 
-#: ../hacks/config/cage.xml.h:7
+#: hacks/config/cage.xml.h:7
 msgid ""
 "This draws Escher's ``Impossible Cage,'' a 3d analog of a moebius strip, and "
 "rotates it in three dimensions. Written by Marcelo Vianna."
@@ -2466,35 +2616,108 @@
 "Ez megrajzolja Escher \"Lehetetlen kalitkáját\", a Moebius szalag 3d "
 "megfelelőjét és háromdimenzióban megforgatja. Írta Marcelo Vianna."
 
-#: ../hacks/config/ccurve.xml.h:1
+#: hacks/config/carousel.xml.h:1 hacks/config/coral.xml.h:1
+#: hacks/config/deco.xml.h:1 hacks/config/helix.xml.h:1
+#: hacks/config/imsmap.xml.h:1 hacks/config/jigsaw.xml.h:2
+#: hacks/config/moire.xml.h:1 hacks/config/pedal.xml.h:1
+#: hacks/config/rorschach.xml.h:1 hacks/config/rotzoomer.xml.h:2
+#: hacks/config/wander.xml.h:2 hacks/config/xspirograph.xml.h:1
+msgid "1 Minute"
+msgstr "1 perc"
+
+#: hacks/config/carousel.xml.h:2
+msgid "5 Seconds"
+msgstr "5 másodperc"
+
+#: hacks/config/carousel.xml.h:4
+msgid "Carousel"
+msgstr "Körhinta"
+
+#: hacks/config/carousel.xml.h:6 hacks/config/electricsheep.xml.h:7
+#: hacks/config/fliptext.xml.h:8
+msgid "Frame Rate"
+msgstr "Képkockaráta"
+
+#: hacks/config/carousel.xml.h:8
+msgid ""
+"Loads several random images, and displays them flying in a circular "
+"formation. The circle changes speed and direction randomly, tilts on its "
+"axis, and the images move in and out. To tell it where to find the images to "
+"display, go to the \"Advanced\" tab on the Screensaver Preferences window. "
+"Select \"Choose Random Images\", and enter your image directory in the text "
+"field right below that. (Note: not the the \"Advanced\" button at the bottom "
+"of this window: the tab at the top of the *other* window.) This program "
+"requires a good video card capable of supporting large textures. Written by "
+"Jamie Zawinski."
+msgstr ""
+"Képek egy véletlen sorozatát tölti be, majd kör alakzatban repülve megjeleníti őket. A kör véletlenszerűen változtatja a sebességét és irányát, billeg a tengelyén, a képek pedig ki-be mozognak. A megjelenítendő képek helyét a Képernyővédő "
+"beállításai ablak \"bővített\" lapján adhatja meg. Válassza ki a \"Véletlenszerű "
+"kép választása\" négyzetet és adja meg a képek könyvtárát az alatta lévő "
+"szövegmezőben. Ennek a programnak a működéséhez jó videokártya szükséges, "
+"amely támogatja nagy képek használatát. Írta Jamie Zawinski."
+
+#: hacks/config/carousel.xml.h:10
+msgid "No Tilting"
+msgstr "Nincs billegés"
+
+#: hacks/config/carousel.xml.h:11
+msgid "Number of Images:"
+msgstr "Képek száma:"
+
+#: hacks/config/carousel.xml.h:13 hacks/config/glslideshow.xml.h:20
+msgid "Show Image Titles"
+msgstr "Képek neveinek mutatása"
+
+#: hacks/config/carousel.xml.h:15
+msgid "Tilt In/Out Only"
+msgstr "Csak be/ki billegés"
+
+#: hacks/config/carousel.xml.h:16
+msgid "Tilt In/Out and Left/Right"
+msgstr "Be/ki és bal/jobb billegés"
+
+#: hacks/config/carousel.xml.h:17
+msgid "Tilt Left/Right Only"
+msgstr "Csak bal/jobb billegés"
+
+#: hacks/config/carousel.xml.h:18 hacks/config/glslideshow.xml.h:21
+#: hacks/config/mirrorblob.xml.h:22
+msgid "Time until loading a new image:"
+msgstr "Új kép betöltése ennyi idő után:"
+
+#: hacks/config/carousel.xml.h:19
+msgid "Zoom In/Out"
+msgstr "Nagyítás be/ki"
+
+#: hacks/config/ccurve.xml.h:1
 msgid "0 seconds"
 msgstr "0 másodperc"
 
-#: ../hacks/config/ccurve.xml.h:2 ../hacks/config/epicycle.xml.h:1
+#: hacks/config/ccurve.xml.h:2 hacks/config/epicycle.xml.h:1
 msgid "1 minute"
 msgstr "1 perc"
 
-#: ../hacks/config/ccurve.xml.h:3 ../hacks/config/epicycle.xml.h:2
-#: ../hacks/config/polyhedra.xml.h:1
+#: hacks/config/ccurve.xml.h:3 hacks/config/epicycle.xml.h:2
+#: hacks/config/polyhedra.xml.h:1
 msgid "1 second"
 msgstr "1 másodperc"
 
-#: ../hacks/config/ccurve.xml.h:4
+#: hacks/config/ccurve.xml.h:4
 msgid "C Curve"
 msgstr "C görbe"
 
-#: ../hacks/config/ccurve.xml.h:5 ../hacks/config/fuzzyflakes.xml.h:4
+#: hacks/config/ccurve.xml.h:5 hacks/config/fuzzyflakes.xml.h:4
 msgid "Delay"
 msgstr "Késleltetés"
 
-#: ../hacks/config/ccurve.xml.h:6 ../hacks/config/coral.xml.h:5
-#: ../hacks/config/imsmap.xml.h:5 ../hacks/config/kumppa.xml.h:1
-#: ../hacks/config/qix.xml.h:6 ../hacks/config/squiral.xml.h:2
-#: ../hacks/config/wander.xml.h:4 ../hacks/config/xmatrix.xml.h:2
+#: hacks/config/ccurve.xml.h:6 hacks/config/coral.xml.h:5
+#: hacks/config/imsmap.xml.h:5 hacks/config/kumppa.xml.h:1
+#: hacks/config/qix.xml.h:6 hacks/config/squiral.xml.h:2
+#: hacks/config/wander.xml.h:4 hacks/config/xmatrix.xml.h:2
 msgid "Density"
 msgstr "Sűrűség"
 
-#: ../hacks/config/ccurve.xml.h:8
+#: hacks/config/ccurve.xml.h:8
 msgid ""
 "Generates self-similar linear fractals, including the classic ``C Curve.'' "
 "Written by Rick Campbell."
@@ -2502,52 +2725,53 @@
 "Félig hasonló lineáris fraktálokat generál, beleértve a klasszikus \"C-görbét"
 "\". Írta Rick Campbell."
 
-#: ../hacks/config/circuit.xml.h:1
+#: hacks/config/circuit.xml.h:1
 msgid "Animates a number of 3D electronic components. Written by Ben Buxton."
 msgstr "Számos 3D elektronikai összetevőt mozgat. Írta Ben Buxton."
 
-#: ../hacks/config/circuit.xml.h:2
+#: hacks/config/circuit.xml.h:2
 msgid "Circuit"
 msgstr "Áramkör"
 
-#: ../hacks/config/circuit.xml.h:3 ../hacks/config/gflux.xml.h:4
-#: ../hacks/config/pulsar.xml.h:2
+#: hacks/config/circuit.xml.h:3 hacks/config/gflux.xml.h:4
+#: hacks/config/pulsar.xml.h:2
 msgid "Directional Lighting"
 msgstr "Irányított megvilágítás"
 
-#: ../hacks/config/circuit.xml.h:5
+#: hacks/config/circuit.xml.h:5
 msgid "Flat Coloring"
 msgstr "Sima színezés"
 
-#: ../hacks/config/circuit.xml.h:6
+#: hacks/config/circuit.xml.h:6
 msgid "Parts"
 msgstr "Alkatrészek"
 
-#: ../hacks/config/circuit.xml.h:7 ../hacks/config/flipscreen3d.xml.h:4
-#: ../hacks/config/gleidescope.xml.h:9 ../hacks/config/glplanet.xml.h:6
+#: hacks/config/circuit.xml.h:7 hacks/config/flipscreen3d.xml.h:4
+#: hacks/config/gleidescope.xml.h:9 hacks/config/glplanet.xml.h:6
+#: hacks/config/ifs.xml.h:10
 msgid "Rotate"
 msgstr "Forgatás"
 
-#: ../hacks/config/circuit.xml.h:8 ../hacks/config/pinion.xml.h:10
+#: hacks/config/circuit.xml.h:8 hacks/config/pinion.xml.h:10
 msgid "Rotation Speed"
 msgstr "Forgatás sebessége"
 
-#: ../hacks/config/circuit.xml.h:12 ../hacks/config/cubestorm.xml.h:9
-#: ../hacks/config/dangerball.xml.h:9 ../hacks/config/engine.xml.h:17
-#: ../hacks/config/klein.xml.h:9 ../hacks/config/whirlygig.xml.h:14
+#: hacks/config/circuit.xml.h:12 hacks/config/cubestorm.xml.h:9
+#: hacks/config/dangerball.xml.h:9 hacks/config/engine.xml.h:17
+#: hacks/config/klein.xml.h:9 hacks/config/whirlygig.xml.h:14
 msgid "Spin"
 msgstr "Pörgés"
 
-#: ../hacks/config/cloudlife.xml.h:1 ../hacks/config/demon.xml.h:2
-#: ../hacks/config/petri.xml.h:1
+#: hacks/config/cloudlife.xml.h:1 hacks/config/demon.xml.h:2
+#: hacks/config/petri.xml.h:1
 msgid "Cell Size"
 msgstr "Sejtméret"
 
-#: ../hacks/config/cloudlife.xml.h:2
+#: hacks/config/cloudlife.xml.h:2
 msgid "CloudLife"
 msgstr "CloudLife"
 
-#: ../hacks/config/cloudlife.xml.h:4
+#: hacks/config/cloudlife.xml.h:4
 msgid ""
 "Generates cloud-like formations based on a variant of Conway's Life. The "
 "difference is that cells have a maximum age, after which they count as 3 for "
@@ -2561,35 +2785,35 @@
 "felrobbannak, és nem maradnak egy helyben, így nem égetnek lyukat a "
 "monitorba. Írta Don Marti."
 
-#: ../hacks/config/cloudlife.xml.h:6
+#: hacks/config/cloudlife.xml.h:6
 msgid "Initial Density"
 msgstr "Kezdő sűrűség"
 
-#: ../hacks/config/cloudlife.xml.h:9
+#: hacks/config/cloudlife.xml.h:9
 msgid "Max Age"
 msgstr "Legnagyobb kor"
 
-#: ../hacks/config/cloudlife.xml.h:10
+#: hacks/config/cloudlife.xml.h:10
 msgid "Old"
 msgstr "Öreg"
 
-#: ../hacks/config/cloudlife.xml.h:14
+#: hacks/config/cloudlife.xml.h:14
 msgid "Young"
 msgstr "Fiatal"
 
-#: ../hacks/config/compass.xml.h:1
+#: hacks/config/compass.xml.h:1
 msgid "Compass"
 msgstr "Iránytű"
 
-#: ../hacks/config/compass.xml.h:2 ../hacks/config/deluxe.xml.h:3
-#: ../hacks/config/fontglide.xml.h:3 ../hacks/config/fuzzyflakes.xml.h:5
-#: ../hacks/config/interference.xml.h:6 ../hacks/config/kumppa.xml.h:2
-#: ../hacks/config/nerverot.xml.h:6 ../hacks/config/piecewise.xml.h:3
-#: ../hacks/config/pipes.xml.h:4
+#: hacks/config/compass.xml.h:2 hacks/config/deluxe.xml.h:3
+#: hacks/config/fontglide.xml.h:3 hacks/config/fuzzyflakes.xml.h:5
+#: hacks/config/interference.xml.h:6 hacks/config/kumppa.xml.h:2
+#: hacks/config/nerverot.xml.h:6 hacks/config/piecewise.xml.h:3
+#: hacks/config/pipes.xml.h:4
 msgid "Double Buffer"
 msgstr "Dupla puffer"
 
-#: ../hacks/config/compass.xml.h:6
+#: hacks/config/compass.xml.h:6
 msgid ""
 "This draws a compass, with all elements spinning about randomly, for that "
 "``lost and nauseous'' feeling. Written by Jamie Zawinski."
@@ -2597,73 +2821,63 @@
 "Ez egy iránytűt rajzol, amelynek minden eleme véletlenszerűen forog, "
 "\"elveszett és émelygő\" érzést keltve. Írta Jamie Zawinski."
 
-#: ../hacks/config/coral.xml.h:1 ../hacks/config/deco.xml.h:1
-#: ../hacks/config/helix.xml.h:1 ../hacks/config/imsmap.xml.h:1
-#: ../hacks/config/jigsaw.xml.h:2 ../hacks/config/moire.xml.h:1
-#: ../hacks/config/pedal.xml.h:1 ../hacks/config/rorschach.xml.h:1
-#: ../hacks/config/rotzoomer.xml.h:2 ../hacks/config/wander.xml.h:2
-#: ../hacks/config/xspirograph.xml.h:1
-msgid "1 Minute"
-msgstr "1 perc"
-
-#: ../hacks/config/coral.xml.h:2 ../hacks/config/deco.xml.h:2
-#: ../hacks/config/glslideshow.xml.h:1 ../hacks/config/helix.xml.h:2
-#: ../hacks/config/imsmap.xml.h:2 ../hacks/config/moire.xml.h:2
-#: ../hacks/config/pedal.xml.h:2 ../hacks/config/penrose.xml.h:1
-#: ../hacks/config/rorschach.xml.h:2 ../hacks/config/xspirograph.xml.h:2
+#: hacks/config/coral.xml.h:2 hacks/config/deco.xml.h:2
+#: hacks/config/glslideshow.xml.h:1 hacks/config/helix.xml.h:2
+#: hacks/config/imsmap.xml.h:2 hacks/config/moire.xml.h:2
+#: hacks/config/pedal.xml.h:2 hacks/config/penrose.xml.h:1
+#: hacks/config/rorschach.xml.h:2 hacks/config/xspirograph.xml.h:2
 msgid "1 Second"
 msgstr "1 másodperc"
 
-#: ../hacks/config/coral.xml.h:3
+#: hacks/config/coral.xml.h:3
 msgid "Coral"
 msgstr "Korall"
 
-#: ../hacks/config/coral.xml.h:4 ../hacks/config/fireworkx.xml.h:2
-#: ../hacks/config/gflux.xml.h:3 ../hacks/config/glblur.xml.h:2
-#: ../hacks/config/glmatrix.xml.h:3 ../hacks/config/imsmap.xml.h:4
-#: ../hacks/config/lavalite.xml.h:6 ../hacks/config/pyro.xml.h:2
-#: ../hacks/config/qix.xml.h:5 ../hacks/config/squiral.xml.h:1
-#: ../hacks/config/xearth.xml.h:4
+#: hacks/config/coral.xml.h:4 hacks/config/fireworkx.xml.h:2
+#: hacks/config/gflux.xml.h:3 hacks/config/glblur.xml.h:2
+#: hacks/config/glmatrix.xml.h:3 hacks/config/imsmap.xml.h:4
+#: hacks/config/lavalite.xml.h:6 hacks/config/pyro.xml.h:2
+#: hacks/config/qix.xml.h:5 hacks/config/squiral.xml.h:1
+#: hacks/config/xearth.xml.h:4
 msgid "Dense"
 msgstr "Sűrű"
 
-#: ../hacks/config/coral.xml.h:10 ../hacks/config/squiral.xml.h:14
+#: hacks/config/coral.xml.h:10 hacks/config/squiral.xml.h:13
 msgid "Seeds"
 msgstr "Magok"
 
-#: ../hacks/config/coral.xml.h:11
+#: hacks/config/coral.xml.h:11
 msgid "Simulates coral growth, albeit somewhat slowly. Written by Frederick Roeber."
 msgstr ""
 "Korallok növekedését szimulálja, jóllehet némiképp lassan. Írta Frederick "
 "Roeber."
 
-#: ../hacks/config/coral.xml.h:13 ../hacks/config/fireworkx.xml.h:10
-#: ../hacks/config/gflux.xml.h:14 ../hacks/config/glblur.xml.h:16
-#: ../hacks/config/glmatrix.xml.h:19 ../hacks/config/imsmap.xml.h:13
-#: ../hacks/config/lavalite.xml.h:29 ../hacks/config/pyro.xml.h:14
-#: ../hacks/config/qix.xml.h:21 ../hacks/config/squiral.xml.h:16
-#: ../hacks/config/xearth.xml.h:24 ../hacks/config/xmatrix.xml.h:17
+#: hacks/config/coral.xml.h:13 hacks/config/fireworkx.xml.h:10
+#: hacks/config/gflux.xml.h:13 hacks/config/glblur.xml.h:16
+#: hacks/config/glmatrix.xml.h:19 hacks/config/imsmap.xml.h:13
+#: hacks/config/lavalite.xml.h:29 hacks/config/pyro.xml.h:14
+#: hacks/config/qix.xml.h:21 hacks/config/squiral.xml.h:15
+#: hacks/config/xearth.xml.h:24 hacks/config/xmatrix.xml.h:17
 msgid "Sparse"
 msgstr "Elszórt"
 
-#: ../hacks/config/cosmos.xml.h:1
+#: hacks/config/cosmos.xml.h:1
 msgid "Cosmos"
 msgstr "Kozmosz"
 
-#: ../hacks/config/cosmos.xml.h:2
+#: hacks/config/cosmos.xml.h:2
 msgid ""
 "Draws fireworks and zooming, fading flares. By Tom Campbell. You can find it "
 "at &lt;http://www.cosmosx.org/&gt;"
 msgstr ""
-"Tüzijátékot és növekvő, eltűnő fényjeleket rajzol. Írta Tom Campbell."
+"Tűzijátékot és növekvő, eltűnő fényjeleket rajzol. Írta Tom Campbell."
 "Megtalálható a következő címen: &lt;http://www.cosmosx.org/&gt;"
 
-#: ../hacks/config/critical.xml.h:1
+#: hacks/config/critical.xml.h:1
 msgid "Critical"
 msgstr "Kritikus"
 
-#. #### -trail [50]
-#: ../hacks/config/critical.xml.h:3
+#: hacks/config/critical.xml.h:2
 msgid ""
 "Draws a system of self-organizing lines. It starts out as random squiggles, "
 "but after a few iterations, order begins to appear. Written by Martin Pool."
@@ -2671,44 +2885,44 @@
 "Önrendező vonalak rendszerét rajzolja. Véletlenszerű macskakaparásként "
 "indul, de néhány ismétlés után rend látszik megjelenni. Írta Martin Pool."
 
-#: ../hacks/config/crystal.xml.h:1
+#: hacks/config/crystal.xml.h:1
 msgid "Center on Screen"
 msgstr "A képernyő közepére"
 
-#: ../hacks/config/crystal.xml.h:2 ../hacks/config/deluxe.xml.h:1
-#: ../hacks/config/fadeplot.xml.h:1 ../hacks/config/flow.xml.h:1
-#: ../hacks/config/galaxy.xml.h:1 ../hacks/config/glforestfire.xml.h:1
-#: ../hacks/config/grav.xml.h:1 ../hacks/config/julia.xml.h:1
-#: ../hacks/config/laser.xml.h:1 ../hacks/config/lisa.xml.h:1
-#: ../hacks/config/lissie.xml.h:2 ../hacks/config/morph3d.xml.h:2
-#: ../hacks/config/mountain.xml.h:1 ../hacks/config/piecewise.xml.h:2
-#: ../hacks/config/qix.xml.h:4 ../hacks/config/rocks.xml.h:2
-#: ../hacks/config/rotor.xml.h:2 ../hacks/config/rubik.xml.h:1
-#: ../hacks/config/shadebobs.xml.h:1 ../hacks/config/sierpinski.xml.h:1
-#: ../hacks/config/slip.xml.h:1 ../hacks/config/spiral.xml.h:1
-#: ../hacks/config/sproingies.xml.h:1 ../hacks/config/superquadrics.xml.h:1
-#: ../hacks/config/swirl.xml.h:1 ../hacks/config/worm.xml.h:3
+#: hacks/config/crystal.xml.h:2 hacks/config/deluxe.xml.h:1
+#: hacks/config/fadeplot.xml.h:1 hacks/config/flow.xml.h:1
+#: hacks/config/galaxy.xml.h:1 hacks/config/glforestfire.xml.h:1
+#: hacks/config/grav.xml.h:1 hacks/config/julia.xml.h:1
+#: hacks/config/laser.xml.h:1 hacks/config/lisa.xml.h:1
+#: hacks/config/lissie.xml.h:2 hacks/config/morph3d.xml.h:2
+#: hacks/config/mountain.xml.h:1 hacks/config/piecewise.xml.h:2
+#: hacks/config/qix.xml.h:4 hacks/config/rocks.xml.h:2
+#: hacks/config/rotor.xml.h:2 hacks/config/rubik.xml.h:1
+#: hacks/config/shadebobs.xml.h:1 hacks/config/sierpinski.xml.h:1
+#: hacks/config/slip.xml.h:1 hacks/config/spiral.xml.h:1
+#: hacks/config/sproingies.xml.h:1 hacks/config/superquadrics.xml.h:1
+#: hacks/config/swirl.xml.h:1 hacks/config/worm.xml.h:2
 msgid "Count"
 msgstr "Szám"
 
-#: ../hacks/config/crystal.xml.h:3
+#: hacks/config/crystal.xml.h:3
 msgid "Crystal"
 msgstr "Kristály"
 
-#: ../hacks/config/crystal.xml.h:4
+#: hacks/config/crystal.xml.h:4
 msgid "Draw Cell"
 msgstr "Cella rajzolása"
 
-#: ../hacks/config/crystal.xml.h:5 ../hacks/config/spheremonics.xml.h:3
-#: ../hacks/config/xearth.xml.h:6
+#: hacks/config/crystal.xml.h:5 hacks/config/spheremonics.xml.h:3
+#: hacks/config/xearth.xml.h:6
 msgid "Draw Grid"
 msgstr "Rács rajzolása"
 
-#: ../hacks/config/crystal.xml.h:7
+#: hacks/config/crystal.xml.h:7
 msgid "Horizontal Symmetries"
 msgstr "Vízszintes szimmetriák"
 
-#: ../hacks/config/crystal.xml.h:9
+#: hacks/config/crystal.xml.h:9
 msgid ""
 "Moving polygons, similar to a kaleidescope (more like a kaleidescope than "
 "the hack called `kaleid,' actually.) This one by Jouk Jansen."
@@ -2716,39 +2930,35 @@
 "Mozgó sokszögek, hasonlóan a kaleidescope-hoz. (Sokkal inkább hasonlít "
 "kaleidoszkópra, mint a kaleidescope hack). Írta Jouk Jansen."
 
-#: ../hacks/config/crystal.xml.h:14
+#: hacks/config/crystal.xml.h:14
 msgid "Vertical Symmetries"
 msgstr "Függőleges szimmetriák"
 
-#: ../hacks/config/cubenetic.xml.h:1
-msgid "Boxes"
-msgstr "Dobozok"
-
-#: ../hacks/config/cubenetic.xml.h:2
+#: hacks/config/cubenetic.xml.h:2
 msgid "Cubenetic"
 msgstr "Cubenetic"
 
-#: ../hacks/config/cubenetic.xml.h:3
+#: hacks/config/cubenetic.xml.h:3
 msgid "Display Solid Colors"
 msgstr "Homogén színek megjelenítése"
 
-#: ../hacks/config/cubenetic.xml.h:4
+#: hacks/config/cubenetic.xml.h:4
 msgid "Display Surface Patterns"
 msgstr "Felületi minták megjelenítése"
 
-#: ../hacks/config/cubenetic.xml.h:5
+#: hacks/config/cubenetic.xml.h:5
 msgid "Display Wireframe"
 msgstr "Drótváz megjelenítése"
 
-#: ../hacks/config/cubenetic.xml.h:6 ../hacks/config/glblur.xml.h:3
-#: ../hacks/config/glknots.xml.h:2 ../hacks/config/gltext.xml.h:2
-#: ../hacks/config/lavalite.xml.h:7 ../hacks/config/menger.xml.h:1
-#: ../hacks/config/molecule.xml.h:4 ../hacks/config/polyhedra.xml.h:16
-#: ../hacks/config/spheremonics.xml.h:1
+#: hacks/config/cubenetic.xml.h:6 hacks/config/glblur.xml.h:3
+#: hacks/config/glknots.xml.h:2 hacks/config/gltext.xml.h:3
+#: hacks/config/lavalite.xml.h:7 hacks/config/menger.xml.h:1
+#: hacks/config/molecule.xml.h:4 hacks/config/polyhedra.xml.h:16
+#: hacks/config/spheremonics.xml.h:1
 msgid "Don't Rotate"
 msgstr "Ne forgassa"
 
-#: ../hacks/config/cubenetic.xml.h:7
+#: hacks/config/cubenetic.xml.h:7
 msgid ""
 "Draws a pulsating set of overlapping boxes with ever-chaning blobby patterns "
 "undulating across their surfaces. It's sort of a cubist Lavalite. Written by "
@@ -2758,90 +2968,90 @@
 "változó minták jelennek meg. Leginkább egy kubista műalkotásra hasonlít. "
 "Írta Jamie Zawinski."
 
-#: ../hacks/config/cubenetic.xml.h:14 ../hacks/config/glblur.xml.h:6
-#: ../hacks/config/glknots.xml.h:8 ../hacks/config/gltext.xml.h:5
-#: ../hacks/config/lavalite.xml.h:19 ../hacks/config/menger.xml.h:7
-#: ../hacks/config/molecule.xml.h:14 ../hacks/config/polyhedra.xml.h:110
-#: ../hacks/config/spheremonics.xml.h:10
+#: hacks/config/cubenetic.xml.h:14 hacks/config/glblur.xml.h:6
+#: hacks/config/glknots.xml.h:8 hacks/config/gltext.xml.h:7
+#: hacks/config/lavalite.xml.h:19 hacks/config/menger.xml.h:7
+#: hacks/config/molecule.xml.h:15 hacks/config/polyhedra.xml.h:110
+#: hacks/config/spheremonics.xml.h:10
 msgid "Rotate around X and Y axes"
 msgstr "Forgatás az X és Y tengelyek körül"
 
-#: ../hacks/config/cubenetic.xml.h:15 ../hacks/config/glblur.xml.h:7
-#: ../hacks/config/glknots.xml.h:9 ../hacks/config/gltext.xml.h:6
-#: ../hacks/config/lavalite.xml.h:20 ../hacks/config/menger.xml.h:8
-#: ../hacks/config/molecule.xml.h:15 ../hacks/config/polyhedra.xml.h:111
-#: ../hacks/config/spheremonics.xml.h:11
+#: hacks/config/cubenetic.xml.h:15 hacks/config/glblur.xml.h:7
+#: hacks/config/glknots.xml.h:9 hacks/config/gltext.xml.h:8
+#: hacks/config/lavalite.xml.h:20 hacks/config/menger.xml.h:8
+#: hacks/config/molecule.xml.h:16 hacks/config/polyhedra.xml.h:111
+#: hacks/config/spheremonics.xml.h:11
 msgid "Rotate around X and Z axes"
 msgstr "Forgatás az X és Z tengelyek körül"
 
-#: ../hacks/config/cubenetic.xml.h:16 ../hacks/config/glblur.xml.h:8
-#: ../hacks/config/glknots.xml.h:10 ../hacks/config/gltext.xml.h:7
-#: ../hacks/config/lavalite.xml.h:21 ../hacks/config/menger.xml.h:9
-#: ../hacks/config/molecule.xml.h:16 ../hacks/config/polyhedra.xml.h:112
-#: ../hacks/config/spheremonics.xml.h:12
+#: hacks/config/cubenetic.xml.h:16 hacks/config/glblur.xml.h:8
+#: hacks/config/glknots.xml.h:10 hacks/config/gltext.xml.h:9
+#: hacks/config/lavalite.xml.h:21 hacks/config/menger.xml.h:9
+#: hacks/config/molecule.xml.h:17 hacks/config/polyhedra.xml.h:112
+#: hacks/config/spheremonics.xml.h:12
 msgid "Rotate around X axis"
 msgstr "Forgatás az X tengely körül"
 
-#: ../hacks/config/cubenetic.xml.h:17 ../hacks/config/glblur.xml.h:9
-#: ../hacks/config/glknots.xml.h:11 ../hacks/config/gltext.xml.h:8
-#: ../hacks/config/lavalite.xml.h:22 ../hacks/config/menger.xml.h:10
-#: ../hacks/config/molecule.xml.h:17 ../hacks/config/polyhedra.xml.h:113
-#: ../hacks/config/spheremonics.xml.h:13
+#: hacks/config/cubenetic.xml.h:17 hacks/config/glblur.xml.h:9
+#: hacks/config/glknots.xml.h:11 hacks/config/gltext.xml.h:10
+#: hacks/config/lavalite.xml.h:22 hacks/config/menger.xml.h:10
+#: hacks/config/molecule.xml.h:18 hacks/config/polyhedra.xml.h:113
+#: hacks/config/spheremonics.xml.h:13
 msgid "Rotate around Y and Z axes"
 msgstr "Forgatás az Y és Z tengelyek körül"
 
-#: ../hacks/config/cubenetic.xml.h:18 ../hacks/config/glblur.xml.h:10
-#: ../hacks/config/glknots.xml.h:12 ../hacks/config/gltext.xml.h:9
-#: ../hacks/config/lavalite.xml.h:23 ../hacks/config/menger.xml.h:11
-#: ../hacks/config/molecule.xml.h:18 ../hacks/config/polyhedra.xml.h:114
-#: ../hacks/config/spheremonics.xml.h:14
+#: hacks/config/cubenetic.xml.h:18 hacks/config/glblur.xml.h:10
+#: hacks/config/glknots.xml.h:12 hacks/config/gltext.xml.h:11
+#: hacks/config/lavalite.xml.h:23 hacks/config/menger.xml.h:11
+#: hacks/config/molecule.xml.h:19 hacks/config/polyhedra.xml.h:114
+#: hacks/config/spheremonics.xml.h:14
 msgid "Rotate around Y axis"
 msgstr "Forgatás az Y tengely körül"
 
-#: ../hacks/config/cubenetic.xml.h:19 ../hacks/config/glblur.xml.h:11
-#: ../hacks/config/glknots.xml.h:13 ../hacks/config/gltext.xml.h:10
-#: ../hacks/config/lavalite.xml.h:24 ../hacks/config/menger.xml.h:12
-#: ../hacks/config/molecule.xml.h:19 ../hacks/config/polyhedra.xml.h:115
-#: ../hacks/config/spheremonics.xml.h:15
+#: hacks/config/cubenetic.xml.h:19 hacks/config/glblur.xml.h:11
+#: hacks/config/glknots.xml.h:13 hacks/config/gltext.xml.h:12
+#: hacks/config/lavalite.xml.h:24 hacks/config/menger.xml.h:12
+#: hacks/config/molecule.xml.h:20 hacks/config/polyhedra.xml.h:115
+#: hacks/config/spheremonics.xml.h:15
 msgid "Rotate around Z axis"
 msgstr "Forgatás a Z tengely körül"
 
-#: ../hacks/config/cubenetic.xml.h:20 ../hacks/config/glblur.xml.h:12
-#: ../hacks/config/glknots.xml.h:14 ../hacks/config/gltext.xml.h:11
-#: ../hacks/config/lavalite.xml.h:25 ../hacks/config/menger.xml.h:13
-#: ../hacks/config/molecule.xml.h:20 ../hacks/config/polyhedra.xml.h:116
-#: ../hacks/config/spheremonics.xml.h:16
+#: hacks/config/cubenetic.xml.h:20 hacks/config/glblur.xml.h:12
+#: hacks/config/glknots.xml.h:14 hacks/config/gltext.xml.h:13
+#: hacks/config/lavalite.xml.h:25 hacks/config/menger.xml.h:13
+#: hacks/config/molecule.xml.h:21 hacks/config/polyhedra.xml.h:116
+#: hacks/config/spheremonics.xml.h:16
 msgid "Rotate around all three axes"
 msgstr "Forgatás mindhárom tengely körül"
 
-#: ../hacks/config/cubenetic.xml.h:25
+#: hacks/config/cubenetic.xml.h:25
 msgid "Surface Pattern Complexity"
 msgstr "Felületi minta összetettsége"
 
-#: ../hacks/config/cubenetic.xml.h:26
+#: hacks/config/cubenetic.xml.h:26
 msgid "Surface Pattern Overlap"
 msgstr "Felületi minták átfedése"
 
-#: ../hacks/config/cubenetic.xml.h:27
+#: hacks/config/cubenetic.xml.h:27
 msgid "Surface Pattern Speed"
 msgstr "Felületi minták sebessége"
 
-#: ../hacks/config/cubenetic.xml.h:28 ../hacks/config/cubestorm.xml.h:13
-#: ../hacks/config/dangerball.xml.h:10 ../hacks/config/engine.xml.h:20
-#: ../hacks/config/glblur.xml.h:19 ../hacks/config/glforestfire.xml.h:19
-#: ../hacks/config/glknots.xml.h:22 ../hacks/config/glplanet.xml.h:14
-#: ../hacks/config/gltext.xml.h:17 ../hacks/config/lavalite.xml.h:31
-#: ../hacks/config/menger.xml.h:20 ../hacks/config/molecule.xml.h:25
-#: ../hacks/config/polyhedra.xml.h:172 ../hacks/config/spheremonics.xml.h:25
-#: ../hacks/config/wander.xml.h:15
+#: hacks/config/cubenetic.xml.h:28 hacks/config/cubestorm.xml.h:13
+#: hacks/config/dangerball.xml.h:10 hacks/config/engine.xml.h:20
+#: hacks/config/glblur.xml.h:19 hacks/config/glforestfire.xml.h:19
+#: hacks/config/glknots.xml.h:22 hacks/config/glplanet.xml.h:14
+#: hacks/config/gltext.xml.h:20 hacks/config/lavalite.xml.h:31
+#: hacks/config/menger.xml.h:20 hacks/config/molecule.xml.h:26
+#: hacks/config/polyhedra.xml.h:172 hacks/config/spheremonics.xml.h:25
+#: hacks/config/wander.xml.h:15
 msgid "Wander"
 msgstr "Vándorlás"
 
-#: ../hacks/config/cubestorm.xml.h:2
+#: hacks/config/cubestorm.xml.h:2
 msgid "CubeStorm"
 msgstr "Kockavihar"
 
-#: ../hacks/config/cubestorm.xml.h:3
+#: hacks/config/cubestorm.xml.h:3
 msgid ""
 "Draws a series of rotating 3D boxes that intersect each other and eventually "
 "fill space. Written by Jamie Zawinski."
@@ -2849,15 +3059,15 @@
 "Forgó, egymást metsző és a helyet véletlenül kitöltő 3D dobozok sorozatát "
 "rajzolja ki."
 
-#: ../hacks/config/cubestorm.xml.h:6
+#: hacks/config/cubestorm.xml.h:6
 msgid "Number of Cubes"
 msgstr "Kockák száma"
 
-#: ../hacks/config/cubestorm.xml.h:10
+#: hacks/config/cubestorm.xml.h:10
 msgid "Strut Thickness"
 msgstr "Merevítés vastagsága"
 
-#: ../hacks/config/cynosure.xml.h:1
+#: hacks/config/cynosure.xml.h:1
 msgid ""
 "A hack similar to `greynetic', but less frenetic. The first implementation "
 "was by Stephen Linhart; then Ozymandias G. Desiderata wrote a Java applet "
@@ -2869,15 +3079,15 @@
 "applet klónt. Ezt a klónt fedezte fel Jamie Zawinski és portolta C-be, hogy "
 "itt megjelenhessen."
 
-#: ../hacks/config/cynosure.xml.h:2
+#: hacks/config/cynosure.xml.h:2
 msgid "Cynosure"
 msgstr "Cynosure"
 
-#: ../hacks/config/dangerball.xml.h:1
+#: hacks/config/dangerball.xml.h:1
 msgid "DangerBall"
 msgstr "Veszélyes labda"
 
-#: ../hacks/config/dangerball.xml.h:2
+#: hacks/config/dangerball.xml.h:2
 msgid ""
 "Draws a ball that periodically extrudes many random spikes. Ouch! Written by "
 "Jamie Zawinski."
@@ -2885,79 +3095,79 @@
 "Egy labdát rajzol, amely szabályos időközönként véletlenszerűen tüskéket dug "
 "ki. Írta Jamie Zawinski."
 
-#: ../hacks/config/dangerball.xml.h:7
+#: hacks/config/dangerball.xml.h:7
 msgid "Spike Count"
 msgstr "Tüskék száma"
 
-#: ../hacks/config/dangerball.xml.h:8
+#: hacks/config/dangerball.xml.h:8
 msgid "Spike Growth"
 msgstr "Tüskék növekedése"
 
-#: ../hacks/config/decayscreen.xml.h:1
+#: hacks/config/decayscreen.xml.h:1
 msgid "DecayScreen"
 msgstr "Bomló képernyő"
 
-#: ../hacks/config/decayscreen.xml.h:3
+#: hacks/config/decayscreen.xml.h:3
 msgid "Fuzzy Melt"
 msgstr "Életlen olvadás"
 
-#: ../hacks/config/decayscreen.xml.h:4
+#: hacks/config/decayscreen.xml.h:4
 msgid "Melt Away From Center"
 msgstr "A középponttól távolodó olvadás"
 
-#: ../hacks/config/decayscreen.xml.h:5
+#: hacks/config/decayscreen.xml.h:5
 msgid "Melt Down"
 msgstr "Olvadás lefelé"
 
-#: ../hacks/config/decayscreen.xml.h:6
+#: hacks/config/decayscreen.xml.h:6
 msgid "Melt Down, Left"
 msgstr "Olvadás lefelé, balra"
 
-#: ../hacks/config/decayscreen.xml.h:7
+#: hacks/config/decayscreen.xml.h:7
 msgid "Melt Down, Right"
 msgstr "Olvadás lefelé, jobbra"
 
-#: ../hacks/config/decayscreen.xml.h:8
+#: hacks/config/decayscreen.xml.h:8
 msgid "Melt Left"
 msgstr "Olvadás balra"
 
-#: ../hacks/config/decayscreen.xml.h:9
+#: hacks/config/decayscreen.xml.h:9
 msgid "Melt Right"
 msgstr "Olvadás jobbra"
 
-#: ../hacks/config/decayscreen.xml.h:10
+#: hacks/config/decayscreen.xml.h:10
 msgid "Melt Towards Center"
 msgstr "Olvadás a középpont felé"
 
-#: ../hacks/config/decayscreen.xml.h:11
+#: hacks/config/decayscreen.xml.h:11
 msgid "Melt Up"
 msgstr "Olvadás fel"
 
-#: ../hacks/config/decayscreen.xml.h:12
+#: hacks/config/decayscreen.xml.h:12
 msgid "Melt Up, Left"
 msgstr "Olvadás fel, balra"
 
-#: ../hacks/config/decayscreen.xml.h:13
+#: hacks/config/decayscreen.xml.h:13
 msgid "Melt Up, Right"
 msgstr "Olvadás fel, jobbra"
 
-#: ../hacks/config/decayscreen.xml.h:14
+#: hacks/config/decayscreen.xml.h:14
 msgid "Melty Melt"
 msgstr "Összeolvadós olvadás"
 
-#: ../hacks/config/decayscreen.xml.h:15
+#: hacks/config/decayscreen.xml.h:15
 msgid "Random Melt Style"
 msgstr "Véletlen olvadási stílus"
 
-#: ../hacks/config/decayscreen.xml.h:16
+#: hacks/config/decayscreen.xml.h:16
 msgid "Shuffle Melt"
 msgstr "Keveredő olvadás"
 
-#: ../hacks/config/decayscreen.xml.h:19
+#: hacks/config/decayscreen.xml.h:19
 msgid "Stretchy Melt"
 msgstr "Nyúlós olvadás"
 
-#: ../hacks/config/decayscreen.xml.h:20
+#: hacks/config/decayscreen.xml.h:20
 msgid ""
 "This takes an image and makes it melt. You've no doubt seen this effect "
 "before, but no screensaver would really be complete without it. It works "
@@ -2971,21 +3181,20 @@
 "kikapcsolása után is folytatódik, kérjen orvosi segítséget. Írta David Wald, "
 "Vivek Khera, Jamie Zawinski és Vince Levey."
 
-#: ../hacks/config/deco.xml.h:3
+#: hacks/config/deco.xml.h:3
 msgid "Deco"
 msgstr "Deco"
 
-#: ../hacks/config/deco.xml.h:6 ../hacks/config/menger.xml.h:5
-#: ../hacks/config/sierpinski3d.xml.h:4
+#: hacks/config/deco.xml.h:6 hacks/config/menger.xml.h:5
+#: hacks/config/sierpinski3d.xml.h:4
 msgid "Max Depth"
 msgstr "Max. mélység"
 
-#: ../hacks/config/deco.xml.h:7
+#: hacks/config/deco.xml.h:7
 msgid "Min Size"
 msgstr "Min. méret"
 
-#. #### -cycle-delay [1000000]
-#: ../hacks/config/deco.xml.h:10
+#: hacks/config/deco.xml.h:9
 msgid ""
 "This one subdivides and colors rectangles randomly. It looks kind of like "
 "Brady-Bunch-era rec-room wall paneling. (Raven says: ``this screensaver is "
@@ -2997,17 +3206,17 @@
 "olyan csúnya, hogy lejön róla a festék. Írta Jamie Zawinski, Michael Bayne "
 "Java kódja alapján."
 
-#: ../hacks/config/deco.xml.h:12 ../hacks/config/rd-bomb.xml.h:23
-#: ../hacks/config/whirlygig.xml.h:20 ../hacks/config/xearth.xml.h:33
-#: ../hacks/config/zoom.xml.h:10
+#: hacks/config/deco.xml.h:11 hacks/config/rd-bomb.xml.h:23
+#: hacks/config/whirlygig.xml.h:20 hacks/config/xearth.xml.h:33
+#: hacks/config/zoom.xml.h:10
 msgid "x"
 msgstr "x"
 
-#: ../hacks/config/deluxe.xml.h:2
+#: hacks/config/deluxe.xml.h:2
 msgid "Deluxe"
 msgstr "Deluxe"
 
-#: ../hacks/config/deluxe.xml.h:12
+#: hacks/config/deluxe.xml.h:12
 msgid ""
 "This draws a pulsing sequence of stars, circles, and lines. It would look "
 "better if it was faster, but as far as I can tell, there is no way to make "
@@ -3018,11 +3227,11 @@
 "program gyorsabban működne, de úgy tűnik a gyorsítás végül mindig "
 "villódzáshoz vezet. Elég béna ez az X... Írta Jamie Zawinski."
 
-#: ../hacks/config/deluxe.xml.h:13
+#: hacks/config/deluxe.xml.h:13
 msgid "Transparency"
 msgstr "Átlátszóság"
 
-#: ../hacks/config/demon.xml.h:1
+#: hacks/config/demon.xml.h:1
 msgid ""
 "A cellular automaton that starts with a random field, and organizes it into "
 "stripes and spirals. Written by David Bagley."
@@ -3030,19 +3239,19 @@
 "Egy véletlen mezővel induló, majd sávokká és spirálokká szerveződő "
 "sejtautomata. Írta David Bagley."
 
-#: ../hacks/config/demon.xml.h:3
+#: hacks/config/demon.xml.h:3
 msgid "Demon"
 msgstr "Démon"
 
-#: ../hacks/config/demon.xml.h:11
+#: hacks/config/demon.xml.h:11
 msgid "States"
 msgstr "Állapotok"
 
-#: ../hacks/config/discrete.xml.h:1
+#: hacks/config/discrete.xml.h:1
 msgid "Discrete"
 msgstr "Discrete"
 
-#: ../hacks/config/discrete.xml.h:5
+#: hacks/config/discrete.xml.h:5
 msgid ""
 "More ``discrete map'' systems, including new variants of Hopalong and Julia, "
 "and a few others. Written by Tim Auckland."
@@ -3050,39 +3259,39 @@
 "További \"diszkrét térkép\" alapú rendszerek, kiegészítve újabb Hopalong és "
 "Julia variánsokkal és még néhány másikkal. Írta Tim Auckland."
 
-#: ../hacks/config/distort.xml.h:1
+#: hacks/config/distort.xml.h:1
 msgid "Black Hole"
 msgstr "Fekete lyuk"
 
-#: ../hacks/config/distort.xml.h:2
+#: hacks/config/distort.xml.h:2
 msgid "Bounce"
 msgstr "Ütközés"
 
-#: ../hacks/config/distort.xml.h:3
+#: hacks/config/distort.xml.h:3
 msgid "Distort"
 msgstr "Torzítás"
 
-#: ../hacks/config/distort.xml.h:6
+#: hacks/config/distort.xml.h:6
 msgid "Lens Count"
 msgstr "Lencsék száma"
 
-#: ../hacks/config/distort.xml.h:7
+#: hacks/config/distort.xml.h:7
 msgid "Lens Size"
 msgstr "Lencsék mérete"
 
-#: ../hacks/config/distort.xml.h:8
+#: hacks/config/distort.xml.h:8
 msgid "Magnify"
 msgstr "Nagyítás"
 
-#: ../hacks/config/distort.xml.h:10
+#: hacks/config/distort.xml.h:10
 msgid "Reflect"
 msgstr "Visszaverődés"
 
-#: ../hacks/config/distort.xml.h:14
+#: hacks/config/distort.xml.h:14
 msgid "Swamp Thing"
 msgstr "Mocsári dolog"
 
-#: ../hacks/config/distort.xml.h:15
+#: hacks/config/distort.xml.h:15
 msgid ""
 "This hack grabs an image of the screen, and then lets a transparent lens "
 "wander around the screen, magnifying whatever is underneath. Written by "
@@ -3091,30 +3300,30 @@
 "Ez a hack egy képernyőképet vesz, ezután egy átlátszó lencsét vándoroltat a "
 "képernyőn, ami felnagyít mindent, ami csak alatta van. Írta Jonas Munsin."
 
-#: ../hacks/config/distort.xml.h:16 ../hacks/config/moire.xml.h:12
-#: ../hacks/config/rd-bomb.xml.h:21 ../hacks/config/ripples.xml.h:15
-#: ../hacks/config/rotzoomer.xml.h:10 ../hacks/config/swirl.xml.h:10
-#: ../hacks/config/twang.xml.h:15 ../hacks/config/xflame.xml.h:7
+#: hacks/config/distort.xml.h:16 hacks/config/moire.xml.h:12
+#: hacks/config/rd-bomb.xml.h:21 hacks/config/ripples.xml.h:15
+#: hacks/config/rotzoomer.xml.h:10 hacks/config/swirl.xml.h:10
+#: hacks/config/twang.xml.h:15 hacks/config/xflame.xml.h:7
 msgid "Use Shared Memory"
 msgstr "Osztott memória használata"
 
-#: ../hacks/config/distort.xml.h:17
+#: hacks/config/distort.xml.h:17
 msgid "Vortex"
 msgstr "Örvény"
 
-#: ../hacks/config/drift.xml.h:1
+#: hacks/config/drift.xml.h:1
 msgid "Drift"
 msgstr "Sodródás"
 
-#: ../hacks/config/drift.xml.h:4
+#: hacks/config/drift.xml.h:4
 msgid "Fractal Growth"
 msgstr "Fraktálok növekedése"
 
-#: ../hacks/config/drift.xml.h:5
+#: hacks/config/drift.xml.h:5
 msgid "High Dimensional Sphere"
 msgstr "Magasabb dimenziójú gömb"
 
-#: ../hacks/config/drift.xml.h:6
+#: hacks/config/drift.xml.h:6
 msgid ""
 "How could one possibly describe this except as ``drifting recursive fractal "
 "cosmic flames?'' Another fine hack from the Scott Draves collection of fine "
@@ -3123,15 +3332,31 @@
 "Ez talán úgy írható le, mint egy \"kozmikus, sodródó, rekurzív fraktál-"
 "lángcsóva\". Egy újabb szép példány Scott Draves gyűjteményéből."
 
-#: ../hacks/config/drift.xml.h:7
+#: hacks/config/drift.xml.h:7
 msgid "Lissojous Figures"
 msgstr "Lissajous ábrák"
 
-#: ../hacks/config/electricsheep.xml.h:1
+#: hacks/config/electricsheep.xml.h:1
+msgid "1 Gbyte cache"
+msgstr "1 Gbyte gyorsítótár"
+
+#: hacks/config/electricsheep.xml.h:2
+msgid "100 Mbyte cache"
+msgstr "100 Mbyte gyorsítótár"
+
+#: hacks/config/electricsheep.xml.h:3
+msgid "3 Gbyte cache"
+msgstr "3 Gbyte gyorsítótár"
+
+#: hacks/config/electricsheep.xml.h:4
+msgid "300 Mbyte cache"
+msgstr "300 Mbyte gyorsítótár"
+
+#: hacks/config/electricsheep.xml.h:5
 msgid "ElectricSheep"
 msgstr "Elektonikus bárány"
 
-#: ../hacks/config/electricsheep.xml.h:2
+#: hacks/config/electricsheep.xml.h:6
 msgid ""
 "ElectricSheep is an xscreensaver module that displays mpeg video of an "
 "animated fractal flame. In the background, it contributes render cycles to "
@@ -3149,35 +3374,37 @@
 "internetkapcsolattal rendelkezik.Írta Scott Draves. Megtalálható a következő "
 "címen: &lt;http://www.electricsheep.org/&gt;."
 
-#: ../hacks/config/electricsheep.xml.h:3
-msgid "Frame Rate"
-msgstr "Képkockaráta"
-
-#: ../hacks/config/electricsheep.xml.h:4
-msgid "Hide Sheep"
-msgstr "Bárány elrejtése"
-
-#: ../hacks/config/electricsheep.xml.h:5
-msgid "Megabytes of Local Sheep Storage"
-msgstr "Megabájtok helyi bárány tárolására"
-
-#: ../hacks/config/electricsheep.xml.h:6
+#: hacks/config/electricsheep.xml.h:8
 msgid "Nickname"
 msgstr "Becenév"
 
-#: ../hacks/config/electricsheep.xml.h:7
+#: hacks/config/electricsheep.xml.h:9
+msgid "No Animation"
+msgstr "Nincs animáció"
+
+#: hacks/config/electricsheep.xml.h:10
+msgid "No Network"
+msgstr "Nincs hálózat"
+
+#: hacks/config/electricsheep.xml.h:11
 msgid "Repititions of each Sheep"
 msgstr "Egyes bárányok ismétlődései"
 
-#: ../hacks/config/electricsheep.xml.h:8
-msgid "Standalone"
-msgstr "Egyedülálló"
-
-#: ../hacks/config/electricsheep.xml.h:9
+#: hacks/config/electricsheep.xml.h:12
 msgid "URL"
 msgstr "URL"
 
-#: ../hacks/config/endgame.xml.h:1
+#: hacks/config/electricsheep.xml.h:13
+msgid "Unlimited"
+msgstr "Korlátlan"
+
+#: hacks/config/electricsheep.xml.h:14 hacks/config/gleidescope.xml.h:13
+#: hacks/config/hyperball.xml.h:16 hacks/config/hypercube.xml.h:16
+#: hacks/config/zoom.xml.h:8
+msgid "Zoom"
+msgstr "Nagyítás"
+
+#: hacks/config/endgame.xml.h:1
 msgid ""
 "Black slips out of three mating nets, but the fourth one holds him tight! A "
 "brilliant composition! Written by Blair Tennessy."
@@ -3185,31 +3412,31 @@
 "Sötét kicsúszik a három mattoló  hálójából, de a negyedik sarokba szorítja! "
 "Briliáns kompozíció! Írta Blair Tennessy."
 
-#: ../hacks/config/endgame.xml.h:2
+#: hacks/config/endgame.xml.h:2
 msgid "Endgame"
 msgstr "Végjáték"
 
-#: ../hacks/config/engine.xml.h:1
+#: hacks/config/engine.xml.h:1
 msgid "Audi Quattro (5 cylinders)"
 msgstr "Audi Quattro (5 henger)"
 
-#: ../hacks/config/engine.xml.h:2
+#: hacks/config/engine.xml.h:2
 msgid "BMW M3 (4 cylinders)"
 msgstr "BMW M3 (4 henger)"
 
-#: ../hacks/config/engine.xml.h:3
+#: hacks/config/engine.xml.h:3
 msgid "BMW M5 (6 cylinders)"
 msgstr "BMW M5 (6 henger)"
 
-#: ../hacks/config/engine.xml.h:4
+#: hacks/config/engine.xml.h:4
 msgid "Corvette Z06 (8 cylinders, V)"
 msgstr "Corvette Z06 (8 henger, V)"
 
-#: ../hacks/config/engine.xml.h:5
+#: hacks/config/engine.xml.h:5
 msgid "Dodge Viper (10 cylinders, V)"
 msgstr "Dodge Viper (10 henger, V)"
 
-#: ../hacks/config/engine.xml.h:6
+#: hacks/config/engine.xml.h:6
 msgid ""
 "Draws a simple model of an engine that floats around the screen. Written by "
 "Ben Buxton and Ed Beroset."
@@ -3217,48 +3444,47 @@
 "Egyszerű motormodellt rajzol fel, amely körbeszáll a képernyőn.Írta Ben "
 "Buxton és Ed Beroset."
 
-#: ../hacks/config/engine.xml.h:7
+#: hacks/config/engine.xml.h:7
 msgid "Engine"
 msgstr "Motor"
 
-#: ../hacks/config/engine.xml.h:9
+#: hacks/config/engine.xml.h:9
 msgid "Honda Insight (3 cylinders)"
 msgstr "Honda Insight (3 henger)"
 
-#: ../hacks/config/engine.xml.h:10
+#: hacks/config/engine.xml.h:10
 msgid "Jaguar XKE (12 cylinders, V)"
 msgstr "Jaguar XKE (12 henger, V)"
 
-#: ../hacks/config/engine.xml.h:11
+#: hacks/config/engine.xml.h:11
 msgid "Porsche 911 (6 cylinders, flat)"
 msgstr "Porsche 911 (6 henger, sima)"
 
-#: ../hacks/config/engine.xml.h:12
+#: hacks/config/engine.xml.h:12
 msgid "Random Engine"
 msgstr "Véletlen motor"
 
-#: ../hacks/config/engine.xml.h:13
+#: hacks/config/engine.xml.h:13
 msgid "Show Engine Name"
 msgstr "Motornév megjelenítése"
 
-#: ../hacks/config/engine.xml.h:18
+#: hacks/config/engine.xml.h:18
 msgid "Subaru XT (6 cylinders, V)"
 msgstr "Subaru XT (6 henger, V)"
 
-#: ../hacks/config/engine.xml.h:19
+#: hacks/config/engine.xml.h:19
 msgid "VW Beetle (4 cylinders, flat)"
 msgstr "VW Beetle (4 henger, sima)"
 
-#: ../hacks/config/epicycle.xml.h:4
+#: hacks/config/epicycle.xml.h:4
 msgid "Epicycle"
 msgstr "Epiciklus"
 
-#: ../hacks/config/epicycle.xml.h:6
+#: hacks/config/epicycle.xml.h:6
 msgid "Harmonics"
 msgstr "Harmonikusok"
 
-#. #### -size_factor_max [2.05]
-#: ../hacks/config/epicycle.xml.h:13
+#: hacks/config/epicycle.xml.h:12
 msgid ""
 "This program draws the path traced out by a point on the edge of a circle. "
 "That circle rotates around a point on the rim of another circle, and so on, "
@@ -3270,64 +3496,64 @@
 "volt az alapja a heliocentrikus világkép előtti gondolkodásnak megfelelő "
 "bolygómozgás-modellnek. Írta James Youngman."
 
-#: ../hacks/config/eruption.xml.h:1
+#: hacks/config/eruption.xml.h:1
 msgid "An exposive version of XFlame. By W.P. van Paassen."
 msgstr "Az X láng egy robbanó verziója. Írta W.P. van Paassen."
 
-#: ../hacks/config/eruption.xml.h:2
+#: hacks/config/eruption.xml.h:2
 msgid "Cooling factor"
 msgstr "Hűtési arány"
 
-#: ../hacks/config/eruption.xml.h:4
+#: hacks/config/eruption.xml.h:4
 msgid "Eruption"
 msgstr "Kitörés"
 
-#: ../hacks/config/eruption.xml.h:7 ../hacks/config/fluidballs.xml.h:9
-#: ../hacks/config/qix.xml.h:9 ../hacks/config/speedmine.xml.h:4
+#: hacks/config/eruption.xml.h:7 hacks/config/fluidballs.xml.h:9
+#: hacks/config/qix.xml.h:9 hacks/config/speedmine.xml.h:4
 msgid "Gravity"
 msgstr "Gravitáció"
 
-#: ../hacks/config/eruption.xml.h:8
+#: hacks/config/eruption.xml.h:8
 msgid "Heat"
 msgstr "Hő"
 
-#: ../hacks/config/eruption.xml.h:9
+#: hacks/config/eruption.xml.h:9
 msgid "Inferno"
 msgstr "Pokol"
 
-#: ../hacks/config/eruption.xml.h:10
+#: hacks/config/eruption.xml.h:10
 msgid "Little"
 msgstr "Kicsi"
 
-#: ../hacks/config/eruption.xml.h:13
+#: hacks/config/eruption.xml.h:13
 msgid "Negative"
 msgstr "Negatív"
 
-#: ../hacks/config/eruption.xml.h:15
+#: hacks/config/eruption.xml.h:15
 msgid "Number of Particles"
 msgstr "Részecskék száma"
 
-#: ../hacks/config/eruption.xml.h:16
+#: hacks/config/eruption.xml.h:16
 msgid "Pleasant"
 msgstr "Kellemes"
 
-#: ../hacks/config/eruption.xml.h:17
+#: hacks/config/eruption.xml.h:17
 msgid "Positive"
 msgstr "Pozitív"
 
-#: ../hacks/config/euler2d.xml.h:2
+#: hacks/config/euler2d.xml.h:2
 msgid "Euler2d"
 msgstr "Euler2d"
 
-#: ../hacks/config/euler2d.xml.h:10 ../hacks/config/whirlwindwarp.xml.h:5
+#: hacks/config/euler2d.xml.h:10 hacks/config/whirlwindwarp.xml.h:5
 msgid "Particles"
 msgstr "Részecskék"
 
-#: ../hacks/config/euler2d.xml.h:11
+#: hacks/config/euler2d.xml.h:11
 msgid "Power"
 msgstr "Erő"
 
-#: ../hacks/config/euler2d.xml.h:13
+#: hacks/config/euler2d.xml.h:13
 msgid ""
 "Simulates two dimensional Incompressible Inviscid Fluid Flow. Written by "
 "Stephen Montgomery-Smith."
@@ -3335,7 +3561,7 @@
 "Összenyomhatatlan, belső súrlódástól mentes folyadék mozgását szimulálja két "
 "dimenzióban. Írta Stephen Montgomery-Smith."
 
-#: ../hacks/config/extrusion.xml.h:1
+#: hacks/config/extrusion.xml.h:1
 msgid ""
 "Draws various rotating extruded shapes that twist around, lengthen, and turn "
 "inside out. Created by David Konerding from the samples that come with the "
@@ -3346,56 +3572,56 @@
 "mintaprogramok alapján, melyek Linas Vepstas GL Extrusion "
 "programkönyvtárához tartoznak."
 
-#: ../hacks/config/extrusion.xml.h:2
+#: hacks/config/extrusion.xml.h:2
 msgid "Extrusion"
 msgstr "Préselés"
 
-#: ../hacks/config/extrusion.xml.h:4
+#: hacks/config/extrusion.xml.h:4
 msgid "Helix 2"
 msgstr "Spirál 2"
 
-#: ../hacks/config/extrusion.xml.h:5
+#: hacks/config/extrusion.xml.h:5
 msgid "Helix 3"
 msgstr "Spirál 3"
 
-#: ../hacks/config/extrusion.xml.h:6
+#: hacks/config/extrusion.xml.h:6
 msgid "Helix 4"
 msgstr "Spirál 4"
 
-#: ../hacks/config/extrusion.xml.h:7
+#: hacks/config/extrusion.xml.h:7
 msgid "Join Offset"
 msgstr "Az összekapcsolás távolsága"
 
-#: ../hacks/config/extrusion.xml.h:8 ../hacks/config/polytopes.xml.h:16
+#: hacks/config/extrusion.xml.h:8 hacks/config/polytopes.xml.h:16
 msgid "Random Object"
 msgstr "Véletlen objektum"
 
-#: ../hacks/config/extrusion.xml.h:9
+#: hacks/config/extrusion.xml.h:9
 msgid "Screw"
 msgstr "Csavar"
 
-#: ../hacks/config/extrusion.xml.h:14
+#: hacks/config/extrusion.xml.h:14
 msgid "Taper"
 msgstr "Kúp"
 
-#: ../hacks/config/extrusion.xml.h:15
+#: hacks/config/extrusion.xml.h:15
 msgid "Texture Image"
 msgstr "Textúra kép"
 
-#: ../hacks/config/extrusion.xml.h:16
+#: hacks/config/extrusion.xml.h:16
 msgid "Twistoid"
 msgstr "Fonott"
 
-#: ../hacks/config/extrusion.xml.h:17 ../hacks/config/glplanet.xml.h:12
-#: ../hacks/config/pulsar.xml.h:19
+#: hacks/config/extrusion.xml.h:17 hacks/config/glplanet.xml.h:12
+#: hacks/config/pulsar.xml.h:19
 msgid "Use Flat Coloring"
 msgstr "Sima színezés használata"
 
-#: ../hacks/config/extrusion.xml.h:18 ../hacks/config/glplanet.xml.h:13
+#: hacks/config/extrusion.xml.h:18 hacks/config/glplanet.xml.h:13
 msgid "Use Lighting"
 msgstr "Világítás használata"
 
-#: ../hacks/config/fadeplot.xml.h:2
+#: hacks/config/fadeplot.xml.h:2
 msgid ""
 "Draws what looks like a waving ribbon following a sinusoidal path. Written "
 "by Bas van Gaalen and Charles Vidal."
@@ -3403,15 +3629,31 @@
 "Szinuszgörbén mozgó hullámzó szalagot jelenít meg. Írta Bas van Gaalen és "
 "Charles Vidal."
 
-#: ../hacks/config/fadeplot.xml.h:3
+#: hacks/config/fadeplot.xml.h:3
 msgid "FadePlot"
 msgstr "Elhalványuló pontozás"
 
-#: ../hacks/config/fireflies.xml.h:1
+#: hacks/config/fiberlamp.xml.h:1
+msgid "Draws a groovy rotating fiber optic lamp. Written by Tim Auckland."
+msgstr "Forgó optikaiszál-lámpát rajzol. Írta Tim Auckland."
+
+#: hacks/config/fiberlamp.xml.h:3
+msgid "Fiberlamp"
+msgstr "Szállámpa"
+
+#: hacks/config/fiberlamp.xml.h:4
+msgid "Fibers"
+msgstr "Szálak"
+
+#: hacks/config/fiberlamp.xml.h:8
+msgid "Time between Knocks"
+msgstr "Koccanások időköze"
+
+#: hacks/config/fireflies.xml.h:1
 msgid "10 times"
 msgstr "Tízszeres"
 
-#: ../hacks/config/fireflies.xml.h:2
+#: hacks/config/fireflies.xml.h:2
 msgid ""
 "A bunch of fireflies chase a few baits around the screen, leaving colorful "
 "tails which get blown around by the wind. Written by Matt Perry. This "
@@ -3424,205 +3666,196 @@
 "program nincs benne az XScreenSaver csomagban, de megtalálhatja a következő "
 "címen: &lt;http://somewhere.fscked.org/fireflies/&gt;."
 
-#: ../hacks/config/fireflies.xml.h:3
+#: hacks/config/fireflies.xml.h:3
 msgid "Add some fireflies"
 msgstr "Néhány szentjánosbogár hozzáadása"
 
-#: ../hacks/config/fireflies.xml.h:4
+#: hacks/config/fireflies.xml.h:4
 msgid "Bait accel"
 msgstr "Csali gyorsulása"
 
-#: ../hacks/config/fireflies.xml.h:5
+#: hacks/config/fireflies.xml.h:5
 msgid "Bait speed"
 msgstr "Csali sebessége"
 
-#: ../hacks/config/fireflies.xml.h:6
+#: hacks/config/fireflies.xml.h:6
 msgid "Color cycle speed"
 msgstr "Színcsere sebessége"
 
-#: ../hacks/config/fireflies.xml.h:7
+#: hacks/config/fireflies.xml.h:7
 msgid "Draw baits"
 msgstr "Csalik rajzolása"
 
-#: ../hacks/config/fireflies.xml.h:8
+#: hacks/config/fireflies.xml.h:8
 msgid "Faded colors"
 msgstr "Elhalványuló színek"
 
-#: ../hacks/config/fireflies.xml.h:9
+#: hacks/config/fireflies.xml.h:9
 msgid "Fast Forward speed"
 msgstr "Gyors továbbítás sebessége"
 
-#: ../hacks/config/fireflies.xml.h:10
+#: hacks/config/fireflies.xml.h:10
 msgid "Fireflies"
 msgstr "Szentjánosbogarak"
 
-#: ../hacks/config/fireflies.xml.h:11
+#: hacks/config/fireflies.xml.h:11
 msgid "Firefly accel"
 msgstr "Bogarak gyorsulása"
 
-#: ../hacks/config/fireflies.xml.h:12
+#: hacks/config/fireflies.xml.h:12
 msgid "Firefly size"
 msgstr "Bogarak mérete"
 
-#: ../hacks/config/fireflies.xml.h:13
+#: hacks/config/fireflies.xml.h:13
 msgid "Firefly speed"
 msgstr "Bogarak sebessége"
 
-#: ../hacks/config/fireflies.xml.h:14
+#: hacks/config/fireflies.xml.h:14
 msgid "Frames per sec"
 msgstr "Képkockák száma másodpercenként"
 
-#: ../hacks/config/fireflies.xml.h:15
+#: hacks/config/fireflies.xml.h:15
 msgid "Glow factor"
 msgstr "Izzás mértéke"
 
-#: ../hacks/config/fireflies.xml.h:16
+#: hacks/config/fireflies.xml.h:16
 msgid "Half"
 msgstr "Fél"
 
-#: ../hacks/config/fireflies.xml.h:17 ../hacks/config/pinion.xml.h:7
-msgid "Huge"
-msgstr "Óriási"
-
-#: ../hacks/config/fireflies.xml.h:18 ../hacks/config/fluidballs.xml.h:10
+#: hacks/config/fireflies.xml.h:18 hacks/config/fluidballs.xml.h:10
 msgid "Hurricane"
 msgstr "Hurrikán"
 
-#: ../hacks/config/fireflies.xml.h:19
+#: hacks/config/fireflies.xml.h:19
 msgid "Invisible"
 msgstr "Láthatatlan"
 
-#: ../hacks/config/fireflies.xml.h:20
+#: hacks/config/fireflies.xml.h:20
 msgid "Kill some fireflies"
 msgstr "Néhány szentjánosbogár megölése"
 
-#: ../hacks/config/fireflies.xml.h:22
+#: hacks/config/fireflies.xml.h:22
 msgid "Make all swarms do something"
 msgstr "Minden raj csináljon valamit"
 
-#: ../hacks/config/fireflies.xml.h:23
+#: hacks/config/fireflies.xml.h:23
 msgid "Matrix (pause and rotate)"
 msgstr "Mátrix (szünet és forgatás)"
 
-#: ../hacks/config/fireflies.xml.h:24
+#: hacks/config/fireflies.xml.h:24
 msgid "Maximum baits"
 msgstr "Csalik maximum"
 
-#: ../hacks/config/fireflies.xml.h:25
+#: hacks/config/fireflies.xml.h:25
 msgid "Maximum flies"
 msgstr "Bogarak maximum"
 
-#: ../hacks/config/fireflies.xml.h:26
+#: hacks/config/fireflies.xml.h:26
 msgid "Merge two swarms"
 msgstr "Két raj összeolvadása"
 
-#: ../hacks/config/fireflies.xml.h:27
+#: hacks/config/fireflies.xml.h:27
 msgid "Minimum baits"
 msgstr "Csalik minimum"
 
-#: ../hacks/config/fireflies.xml.h:28
+#: hacks/config/fireflies.xml.h:28
 msgid "Minimum flies"
 msgstr "Bogarak minimum"
 
-#: ../hacks/config/fireflies.xml.h:29
+#: hacks/config/fireflies.xml.h:29
 msgid "Narrow"
 msgstr "Keskeny"
 
-#: ../hacks/config/fireflies.xml.h:30
+#: hacks/config/fireflies.xml.h:30
 msgid "Never"
 msgstr "Soha"
 
-#: ../hacks/config/fireflies.xml.h:31
+#: hacks/config/fireflies.xml.h:31
 msgid "Normal swarm motion"
 msgstr "Normális rajmozgás"
 
-#: ../hacks/config/fireflies.xml.h:33
+#: hacks/config/fireflies.xml.h:33
 msgid "Opaque"
 msgstr "Átlátszatlan"
 
-#: ../hacks/config/fireflies.xml.h:35
+#: hacks/config/fireflies.xml.h:35
 msgid "Split a swarm"
 msgstr "Raj felosztása"
 
-#: ../hacks/config/fireflies.xml.h:36 ../hacks/config/fluidballs.xml.h:21
-#: ../hacks/config/glforestfire.xml.h:16
+#: hacks/config/fireflies.xml.h:36 hacks/config/fluidballs.xml.h:21
+#: hacks/config/glforestfire.xml.h:16
 msgid "Still"
 msgstr "Álló"
 
-#: ../hacks/config/fireflies.xml.h:37
+#: hacks/config/fireflies.xml.h:37
 msgid "Swarm bursts into rainbow               "
 msgstr "Raj szivárványt alkot               "
 
-#: ../hacks/config/fireflies.xml.h:38
+#: hacks/config/fireflies.xml.h:38
 msgid "Swarm comes to a halt"
 msgstr "Raj megáll"
 
-#: ../hacks/config/fireflies.xml.h:39
+#: hacks/config/fireflies.xml.h:39
 msgid "Swarm does loops"
 msgstr "Raj köröket ír le"
 
-#: ../hacks/config/fireflies.xml.h:40
+#: hacks/config/fireflies.xml.h:40
 msgid "Swarm hyperspeed"
 msgstr "Raj hipersebességű"
 
-#: ../hacks/config/fireflies.xml.h:41
+#: hacks/config/fireflies.xml.h:41
 msgid "Swarm tails glow"
 msgstr "Raj nyomjelzői izzanak"
 
-#: ../hacks/config/fireflies.xml.h:43 ../hacks/config/pinion.xml.h:14
-msgid "Tiny"
-msgstr "Pici"
-
-#: ../hacks/config/fireflies.xml.h:44
+#: hacks/config/fireflies.xml.h:44
 msgid "Wide"
 msgstr "Széles"
 
-#: ../hacks/config/fireflies.xml.h:45 ../hacks/config/fluidballs.xml.h:23
+#: hacks/config/fireflies.xml.h:45 hacks/config/fluidballs.xml.h:23
 msgid "Wind"
 msgstr "Szél"
 
-#: ../hacks/config/fireflies.xml.h:46
+#: hacks/config/fireflies.xml.h:46
 msgid "Wind picks up"
 msgstr "A szél feltámad"
 
-#: ../hacks/config/fireworkx.xml.h:1 ../hacks/config/lavalite.xml.h:3
+#: hacks/config/fireworkx.xml.h:1 hacks/config/lavalite.xml.h:3
 msgid "Activity"
 msgstr "Tevékenység"
 
-#: ../hacks/config/fireworkx.xml.h:4
+#: hacks/config/fireworkx.xml.h:4
 msgid "Fast Fade (more realistic)"
 msgstr "Gyors áttűnés (még valóságosabb)"
 
-#: ../hacks/config/fireworkx.xml.h:5
+#: hacks/config/fireworkx.xml.h:5
 msgid "Fireworkx"
 msgstr "Fireworkx"
 
-#: ../hacks/config/fireworkx.xml.h:6
+#: hacks/config/fireworkx.xml.h:6
 msgid "Light effect"
 msgstr "Fényhatás"
 
-#: ../hacks/config/fireworkx.xml.h:7
+#: hacks/config/fireworkx.xml.h:7
 msgid "Pyrotechnics simulation eye-candy. Written by Rony B. Chandran."
 msgstr "Pirotechnikai bemutató. Írta Rony B. Chandran."
 
-#: ../hacks/config/fireworkx.xml.h:8
+#: hacks/config/fireworkx.xml.h:8
 msgid "Shoot"
 msgstr "Lövés"
 
-#: ../hacks/config/flag.xml.h:1
+#: hacks/config/flag.xml.h:1
 msgid "Bitmap for Flag"
 msgstr "A zászló képe"
 
-#: ../hacks/config/flag.xml.h:3
+#: hacks/config/flag.xml.h:3
 msgid "Flag"
 msgstr "Zászló"
 
-#: ../hacks/config/flag.xml.h:10
+#: hacks/config/flag.xml.h:10
 msgid "Text for Flag"
 msgstr "Zászló szövege"
 
-#. #### -size [-7]
-#: ../hacks/config/flag.xml.h:12
+#: hacks/config/flag.xml.h:11
 msgid ""
 "This draws a waving colored flag, that undulates its way around the screen. "
 "The trick is the flag can contain arbitrary text and images. By default, it "
@@ -3636,39 +3869,39 @@
 "típusát jeleníti meg, vagy \"Bob\" képét. A szöveg és a kép felülbírálható "
 "parancssori kapcsolókkal. Írta Charles Vidal és Jamie Zawinski."
 
-#: ../hacks/config/flame.xml.h:1 ../hacks/config/jigsaw.xml.h:1
-#: ../hacks/config/maze.xml.h:1 ../hacks/config/rotzoomer.xml.h:1
-#: ../hacks/config/wander.xml.h:1
+#: hacks/config/flame.xml.h:1 hacks/config/jigsaw.xml.h:1
+#: hacks/config/maze.xml.h:1 hacks/config/rotzoomer.xml.h:1
+#: hacks/config/wander.xml.h:1
 msgid "0 Seconds"
 msgstr "0 másodperc"
 
-#: ../hacks/config/flame.xml.h:2 ../hacks/config/gleidescope.xml.h:1
-#: ../hacks/config/glslideshow.xml.h:2 ../hacks/config/maze.xml.h:2
-#: ../hacks/config/mirrorblob.xml.h:1
+#: hacks/config/flame.xml.h:2 hacks/config/gleidescope.xml.h:1
+#: hacks/config/glslideshow.xml.h:2 hacks/config/maze.xml.h:2
+#: hacks/config/mirrorblob.xml.h:1
 msgid "10 Seconds"
 msgstr "10 másodperc"
 
-#: ../hacks/config/flame.xml.h:3
+#: hacks/config/flame.xml.h:3
 msgid "Another iterative fractal generator. Written by Scott Draves."
 msgstr "Egy újabb iteratív fraktálgenerátor. Írta Scott Draves."
 
-#: ../hacks/config/flame.xml.h:4 ../hacks/config/jigglypuff.xml.h:4
+#: hacks/config/flame.xml.h:4 hacks/config/jigglypuff.xml.h:4
 msgid "Complexity"
 msgstr "Összetettség"
 
-#: ../hacks/config/flame.xml.h:8
+#: hacks/config/flame.xml.h:8
 msgid "Flame"
 msgstr "Láng"
 
-#: ../hacks/config/flame.xml.h:13
+#: hacks/config/flame.xml.h:13
 msgid "Number of Fractals"
 msgstr "Fraktálok száma"
 
-#: ../hacks/config/flipflop.xml.h:2
+#: hacks/config/flipflop.xml.h:2
 msgid "FlipFlop"
 msgstr "FlipFlop"
 
-#: ../hacks/config/flipflop.xml.h:3
+#: hacks/config/flipflop.xml.h:3
 msgid ""
 "Flipflop draws a grid of 3D colored tiles that change positions with each "
 "other. Written by Kevin Ogden."
@@ -3676,15 +3909,15 @@
 "Színes, helyzetüket együtt változtató 3D négyzetekből álló rácsot rajzol. "
 "Írta Kevin Ogden."
 
-#: ../hacks/config/flipflop.xml.h:6
+#: hacks/config/flipflop.xml.h:6
 msgid "Solid Tiles"
 msgstr "Egyszínű kockák"
 
-#: ../hacks/config/flipscreen3d.xml.h:2
+#: hacks/config/flipscreen3d.xml.h:2
 msgid "Flipscreen3d"
 msgstr "Flipscreen 3D"
 
-#: ../hacks/config/flipscreen3d.xml.h:3
+#: hacks/config/flipscreen3d.xml.h:3
 msgid ""
 "Grabs an image of the desktop, turns it into a GL texture map, and spins it "
 "around and deforms it in various ways. Written by Ben Buxton."
@@ -3692,15 +3925,55 @@
 "Képet készít az asztaláról, GL textúraképpé alakítja, majd körbeforgatja és "
 "különböző módokon eltorzítja. Írta Ben Buxton."
 
-#: ../hacks/config/flow.xml.h:3
+#: hacks/config/fliptext.xml.h:1 hacks/config/starwars.xml.h:3
+msgid "Centered Text"
+msgstr "Középre helyezett szöveg"
+
+#: hacks/config/fliptext.xml.h:2
+msgid ""
+"Draws successive pages of text. The lines flip in and out in a soothing 3D "
+"pattern. The text can be the output of a program or the contents of a file "
+"or URL, as configured on the \"Advanced\" tab of the main Screensaver "
+"Preferences window. Written by Jamie Zawinski."
+msgstr "Egymást követő szöveges oldalakat rajzol. A sorok egy megnyugtató 3D mintába pattannak be és ki. A szöveg lehet egy program kimenete, vagy egy fájl vagy URL tartalma, ahogyan az a fő Képernyővédő beállításai ablak Bővített fülén be van állítva. Írta Jamie Zawinski."
+
+#: hacks/config/fliptext.xml.h:4
+msgid "FlipText"
+msgstr "FlipText"
+
+#: hacks/config/fliptext.xml.h:5 hacks/config/starwars.xml.h:7
+msgid "Flush Left Text"
+msgstr "Szöveg balra"
+
+#: hacks/config/fliptext.xml.h:6 hacks/config/starwars.xml.h:8
+msgid "Flush Right Text"
+msgstr "Szöveg jobbra"
+
+#: hacks/config/fliptext.xml.h:7 hacks/config/starwars.xml.h:9
+msgid "Font Point Size"
+msgstr "Betűméret pontokban"
+
+#: hacks/config/fliptext.xml.h:11
+msgid "Random Text Alignment"
+msgstr "Véletlen szövegigazítás"
+
+#: hacks/config/fliptext.xml.h:15 hacks/config/starwars.xml.h:15
+msgid "Text Columns"
+msgstr "Szövegoszlopok"
+
+#: hacks/config/fliptext.xml.h:16 hacks/config/starwars.xml.h:16
+msgid "Text Lines"
+msgstr "Szövegsorok"
+
+#: hacks/config/flow.xml.h:3
 msgid "Flow"
 msgstr "Áramlat"
 
-#: ../hacks/config/flow.xml.h:5
+#: hacks/config/flow.xml.h:5
 msgid "Length of trails"
 msgstr "Nyomvonalak hossza"
 
-#: ../hacks/config/flow.xml.h:13
+#: hacks/config/flow.xml.h:13
 msgid ""
 "Strange attractors formed of flows in a 3D differential equation phase "
 "space. Written by Tim Auckland."
@@ -3708,55 +3981,55 @@
 "Áramlatokból formálódó furcsa attraktorok háromdimenziós "
 "differenciálegyenlet fázisterében. Írta Tim Auckland."
 
-#: ../hacks/config/flow.xml.h:16
+#: hacks/config/flow.xml.h:16
 msgid "turn on/off bounding box."
-msgstr "határoló doboz ki/be."
+msgstr "határoló doboz be/ki."
 
-#: ../hacks/config/flow.xml.h:17
+#: hacks/config/flow.xml.h:17
 msgid "turn on/off double buffering."
-msgstr "dupla pufferelés használata ki/be."
+msgstr "dupla pufferelés használata be/ki."
 
-#: ../hacks/config/flow.xml.h:18
+#: hacks/config/flow.xml.h:18
 msgid "turn on/off periodic attractors."
-msgstr "periodikus attraktorok ki/be."
+msgstr "periodikus attraktorok be/ki."
 
-#: ../hacks/config/flow.xml.h:19
+#: hacks/config/flow.xml.h:19
 msgid "turn on/off ride in the flow."
-msgstr "az áramlatban való lebegés ki/be."
+msgstr "az áramlatban való lebegés be/ki."
 
-#: ../hacks/config/flow.xml.h:20
+#: hacks/config/flow.xml.h:20
 msgid "turn on/off rotating around attractor."
-msgstr "körbeforgási attraktor ki/be."
+msgstr "körbeforgási attraktor be/ki."
 
-#: ../hacks/config/flow.xml.h:21
+#: hacks/config/flow.xml.h:21
 msgid "turn on/off search for new attractors."
-msgstr "új attraktorok keresése ki/be."
+msgstr "új attraktorok keresése be/ki."
 
-#: ../hacks/config/fluidballs.xml.h:1
+#: hacks/config/fluidballs.xml.h:1
 msgid "      Freefall"
 msgstr "      Szabadesés"
 
-#: ../hacks/config/fluidballs.xml.h:2
+#: hacks/config/fluidballs.xml.h:2
 msgid "Ball Size"
 msgstr "Labdaméret"
 
-#: ../hacks/config/fluidballs.xml.h:4
+#: hacks/config/fluidballs.xml.h:4
 msgid "Clay"
 msgstr "Agyag"
 
-#: ../hacks/config/fluidballs.xml.h:7
+#: hacks/config/fluidballs.xml.h:7
 msgid "FluidBalls"
 msgstr "Folyadéklabdák"
 
-#: ../hacks/config/fluidballs.xml.h:8 ../hacks/config/twang.xml.h:4
+#: hacks/config/fluidballs.xml.h:8 hacks/config/twang.xml.h:4
 msgid "Friction"
 msgstr "Súrlódás"
 
-#: ../hacks/config/fluidballs.xml.h:11
+#: hacks/config/fluidballs.xml.h:11
 msgid "Jupiter"
 msgstr "Jupiter"
 
-#: ../hacks/config/fluidballs.xml.h:14
+#: hacks/config/fluidballs.xml.h:14
 msgid ""
 "Models the physics of bouncing balls, or of particles in a gas or fluid, "
 "depending on the settings. If \"Shake Box\" is selected, then every now and "
@@ -3768,53 +4041,53 @@
 "időnként meg lesz forgatva (így a lesüllyedt labdák továbbra is mozgásban "
 "maradnak). Írta Peter Birtles és Jamie Zawinski."
 
-#: ../hacks/config/fluidballs.xml.h:15
+#: hacks/config/fluidballs.xml.h:15
 msgid "Rubber"
 msgstr "Gumi"
 
-#: ../hacks/config/fluidballs.xml.h:16
+#: hacks/config/fluidballs.xml.h:16
 msgid "Shake Box"
 msgstr "Doboz összerázása"
 
-#: ../hacks/config/fluidballs.xml.h:22
+#: hacks/config/fluidballs.xml.h:22
 msgid "Various Ball Sizes"
 msgstr "Különböző méretű labdák"
 
-#: ../hacks/config/flurry.xml.h:1
+#: hacks/config/flurry.xml.h:1
 msgid "Binary"
 msgstr "Bináris"
 
-#: ../hacks/config/flurry.xml.h:2
+#: hacks/config/flurry.xml.h:2
 msgid "Classic"
 msgstr "Klasszikus"
 
-#: ../hacks/config/flurry.xml.h:3
+#: hacks/config/flurry.xml.h:3
 msgid "Fire"
 msgstr "Tűz"
 
-#: ../hacks/config/flurry.xml.h:4
+#: hacks/config/flurry.xml.h:4
 msgid "Flurry"
 msgstr "Izgalom"
 
-#: ../hacks/config/flurry.xml.h:5
+#: hacks/config/flurry.xml.h:5
 msgid "Insane"
 msgstr "Őrült"
 
-#: ../hacks/config/flurry.xml.h:6
+#: hacks/config/flurry.xml.h:6
 msgid "Psychedelic"
 msgstr "Pszichedelikus"
 
-#: ../hacks/config/flurry.xml.h:7
+#: hacks/config/flurry.xml.h:7
 msgid "RGB"
 msgstr "RGB"
 
-#: ../hacks/config/flurry.xml.h:8 ../hacks/config/fontglide.xml.h:12
-#: ../hacks/config/jigglypuff.xml.h:13 ../hacks/config/sballs.xml.h:10
-#: ../hacks/config/whirlygig.xml.h:12
+#: hacks/config/flurry.xml.h:8 hacks/config/fontglide.xml.h:12
+#: hacks/config/jigglypuff.xml.h:13 hacks/config/sballs.xml.h:10
+#: hacks/config/whirlygig.xml.h:12
 msgid "Random"
 msgstr "Véletlen"
 
-#: ../hacks/config/flurry.xml.h:10
+#: hacks/config/flurry.xml.h:10
 msgid ""
 "This port of the OSX screensaver of the same name draws a colourful star"
 "(fish)like flurry of particles. xscreensaver port by Tobias Sargeant &lt;"
@@ -3826,11 +4099,11 @@
 "sargeant@bigpond.com&gt; az eredeti Mac verziót Calum Robinson &lt;"
 "calumr@mac.com&gt; http://homepage.mac.com/calumr készítette."
 
-#: ../hacks/config/flurry.xml.h:11
+#: hacks/config/flurry.xml.h:11
 msgid "Water"
 msgstr "Víz"
 
-#: ../hacks/config/flyingtoasters.xml.h:1
+#: hacks/config/flyingtoasters.xml.h:1
 msgid ""
 "A fleet of 3d space-age jet-powered flying toasters (and toast!) Inspired by "
 "the ancient Berkeley Systems After Dark flying toasters. By Jamie Zawinski "
@@ -3840,83 +4113,85 @@
 "pirítósok!) flottája. Az ősi Berkeley Systems After Dark repülő "
 "kenyérpirítói ihlették. Írta Jamie Zawinski és Baconmonkey."
 
-#: ../hacks/config/flyingtoasters.xml.h:2
+#: hacks/config/flyingtoasters.xml.h:2
 msgid "Air Speed"
 msgstr "Levegő sebessége"
 
-#: ../hacks/config/flyingtoasters.xml.h:4
+#: hacks/config/flyingtoasters.xml.h:4
 msgid "Chrome Toasters"
 msgstr "Krómozott kenyérpirítók"
 
-#: ../hacks/config/flyingtoasters.xml.h:6
+#: hacks/config/flyingtoasters.xml.h:6
 msgid "Flying Toasters"
 msgstr "Repülő kenyérpirítók"
 
-#: ../hacks/config/flyingtoasters.xml.h:7 ../hacks/config/glslideshow.xml.h:16
-#: ../hacks/config/jigglypuff.xml.h:12 ../hacks/config/juggle.xml.h:7
-#: ../hacks/config/mirrorblob.xml.h:16 ../hacks/config/pipes.xml.h:11
+#: hacks/config/flyingtoasters.xml.h:7 hacks/config/glslideshow.xml.h:17
+#: hacks/config/jigglypuff.xml.h:12 hacks/config/juggle.xml.h:5
+#: hacks/config/mirrorblob.xml.h:16 hacks/config/pipes.xml.h:10
 msgid "None"
 msgstr "Nincs"
 
-#: ../hacks/config/flyingtoasters.xml.h:8
+#: hacks/config/flyingtoasters.xml.h:8
 msgid "Number of Slices"
 msgstr "Szeletek száma"
 
-#: ../hacks/config/flyingtoasters.xml.h:9
+#: hacks/config/flyingtoasters.xml.h:9
 msgid "Number of Toasters"
 msgstr "Kenyérpirítók száma"
 
-#: ../hacks/config/flyingtoasters.xml.h:12
+#: hacks/config/flyingtoasters.xml.h:12
 msgid "Solid Colors"
 msgstr "Homogén színek"
 
-#: ../hacks/config/flyingtoasters.xml.h:13
+#: hacks/config/flyingtoasters.xml.h:13
 msgid "Swarm"
 msgstr "Raj"
 
-#: ../hacks/config/fontglide.xml.h:2
+#: hacks/config/fontglide.xml.h:2
 msgid "Brief"
 msgstr "Rövid"
 
-#: ../hacks/config/fontglide.xml.h:5
+#: hacks/config/fontglide.xml.h:5
 msgid "Font Border Thickness"
 msgstr "Betűk határának vastagsága"
 
-#: ../hacks/config/fontglide.xml.h:6
+#: hacks/config/fontglide.xml.h:6
 msgid "FontGlide"
 msgstr "Beúszó betűk"
 
-#: ../hacks/config/fontglide.xml.h:7
+#: hacks/config/fontglide.xml.h:7
 msgid "Horizontally scrolling text"
 msgstr "Vízszintesen gördülő szöveg"
 
-#: ../hacks/config/fontglide.xml.h:10
+#: hacks/config/fontglide.xml.h:10
 msgid "Pages of text"
 msgstr "Szöveges oldalak"
 
-#: ../hacks/config/fontglide.xml.h:11
+#: hacks/config/fontglide.xml.h:11
 msgid ""
 "Puts text on the screen using large characters that glide in from the edges, "
 "assemble, then disperse. Alternately, it can simply scroll whole sentences "
-"from right to left. By Jamie Zawinski."
+"from right to left. The text can be the output of a program or the contents "
+"of a file or URL, as configured on the \"Advanced\" tab of the main "
+"Screensaver Preferences window. Written Jamie Zawinski."
 msgstr ""
 "A szélekről beúszó, nagy karakterekből összeálló, majd feloszló szöveget "
 "jelenít meg a képernyőn. Vagy egyszerűen képes egész mondatokat jobbról "
-"balra görgetni. Írta Jamie Zawinski."
+"balra görgetni. A szöveg lehet egy program kimenete, vagy egy fájl vagy URL tartalma, ahogyan az a fő Képernyővédő beállításai ablak Bővített fülén be van állítva. Írta Jamie Zawinski."
 
-#: ../hacks/config/fontglide.xml.h:14
+#: hacks/config/fontglide.xml.h:14
 msgid "Text Linger"
 msgstr "Szöveg késleltetése"
 
-#: ../hacks/config/fontglide.xml.h:16
+#: hacks/config/fontglide.xml.h:16
 msgid "Vapor Trails"
 msgstr "Páranyomok"
 
-#: ../hacks/config/forest.xml.h:2 ../hacks/config/glforestfire.xml.h:6
+#: hacks/config/forest.xml.h:2 hacks/config/glforestfire.xml.h:6
 msgid "Forest"
 msgstr "Erdő"
 
-#: ../hacks/config/forest.xml.h:7
+#: hacks/config/forest.xml.h:7
 msgid ""
 "This draws fractal trees. Written by Peter Baumung. Everybody loves "
 "fractals, right?"
@@ -3924,48 +4199,35 @@
 "Ez fraktál-fákat rajzol. Írta Peter Baumung. Mindenki szereti a fraktálokat, "
 "ugye?"
 
-#: ../hacks/config/fuzzyflakes.xml.h:2
+#: hacks/config/fuzzyflakes.xml.h:2
 msgid "Border Thickness"
 msgstr "Határ vastagsága"
 
-#: ../hacks/config/fuzzyflakes.xml.h:6
-msgid ""
-"Falling colored snowflake/flower shapes. Inspired by the credits of the "
-"anime \"Azumanga Daioh\". Written by Barry Dmytro."
-msgstr ""
-"Hulló, színes hópehely- vagy virágformák. Az \"Azumanga Daioh\" című anime "
-"stáblistájának hatására. Írta Barry Dmytro."
+#: hacks/config/fuzzyflakes.xml.h:6
+msgid "Falling colored snowflake/flower shapes. Written by Barry Dmytro."
+msgstr "Hulló, színes hópehely- vagy virágformák. Írta Barry Dmytro."
 
-#: ../hacks/config/fuzzyflakes.xml.h:9
+#: hacks/config/fuzzyflakes.xml.h:9
 msgid "FuzzyFlakes"
 msgstr "Pelyhek"
 
-#: ../hacks/config/fuzzyflakes.xml.h:11 ../hacks/config/xspirograph.xml.h:4
+#: hacks/config/fuzzyflakes.xml.h:11 hacks/config/xspirograph.xml.h:4
 msgid "Layers"
 msgstr "Rétegek"
 
-#: ../hacks/config/fuzzyflakes.xml.h:14
+#: hacks/config/fuzzyflakes.xml.h:14
 msgid "Random Colors"
 msgstr "Véletlen színek"
 
-#: ../hacks/config/galaxy.xml.h:4
+#: hacks/config/galaxy.xml.h:4
 msgid "Galaxy"
 msgstr "Galaxis"
 
-#: ../hacks/config/galaxy.xml.h:8
+#: hacks/config/galaxy.xml.h:8
 msgid "Rotate Viewpoint"
 msgstr "Nézőpont forgatása"
 
-#: ../hacks/config/galaxy.xml.h:10 ../hacks/config/lisa.xml.h:7
-#: ../hacks/config/lissie.xml.h:8 ../hacks/config/loop.xml.h:6
-#: ../hacks/config/penrose.xml.h:10 ../hacks/config/pong.xml.h:3
-#: ../hacks/config/rotor.xml.h:10 ../hacks/config/rubik.xml.h:8
-#: ../hacks/config/sproingies.xml.h:5 ../hacks/config/wander.xml.h:13
-#: ../hacks/config/worm.xml.h:7
-msgid "Size"
-msgstr "Méret"
-
-#: ../hacks/config/galaxy.xml.h:13
+#: hacks/config/galaxy.xml.h:13
 msgid ""
 "This draws spinning galaxies, which then collide and scatter their stars to "
 "the, uh, four winds or something. Originally an Amiga program by Uli "
@@ -3975,19 +4237,19 @@
 "csillagaikat a négy égtáj felé vagy valami ilyesmi. Eredetileg egy Amiga "
 "program Uli Siegmundtól."
 
-#: ../hacks/config/gears.xml.h:3
+#: hacks/config/gears.xml.h:3
 msgid "Gears"
 msgstr "Fogaskerekek"
 
-#: ../hacks/config/gears.xml.h:4
+#: hacks/config/gears.xml.h:4
 msgid "Planetary Gear System"
 msgstr "Összekapcsolt fogaskerék-rendszer"
 
-#: ../hacks/config/gears.xml.h:5 ../hacks/config/goop.xml.h:9
+#: hacks/config/gears.xml.h:5 hacks/config/goop.xml.h:9
 msgid "Rotational Speed"
 msgstr "Forgás sebessége"
 
-#: ../hacks/config/gears.xml.h:9
+#: hacks/config/gears.xml.h:9
 msgid ""
 "This draws sets of turning, interlocking gears, rotating in three "
 "dimensions. Another GL hack, by Danny Sung, Brian Paul, Ed Mackey, and Jamie "
@@ -3997,16 +4259,15 @@
 "rajzol. Egy újabb GL hack, írta Danny Sung, Brian Paul, Ed Mackey és Jamie "
 "Zawinski."
 
-#: ../hacks/config/gears.xml.h:10
+#: hacks/config/gears.xml.h:10
 msgid "Three Gear System"
 msgstr "Három fogaskerékből álló rendszer"
 
-#: ../hacks/config/gflux.xml.h:2
+#: hacks/config/gflux.xml.h:2
 msgid "Checkerboard"
 msgstr "Sakktábla"
 
-#. #### -zoom [1.0]
-#: ../hacks/config/gflux.xml.h:6
+#: hacks/config/gflux.xml.h:5
 msgid ""
 "Draws a rippling waves on a rotating wireframe grid, using GL. Written by "
 "Josiah Pease."
@@ -4014,43 +4275,43 @@
 "Fodrozódó hullámokat rajzol egy forgó drótváz-rácson, GL használatával. Írta "
 "Josiah Pease."
 
-#: ../hacks/config/gflux.xml.h:8
+#: hacks/config/gflux.xml.h:7
 msgid "Flat Lighting"
 msgstr "Sima világítás"
 
-#: ../hacks/config/gflux.xml.h:9
+#: hacks/config/gflux.xml.h:8
 msgid "GFlux"
 msgstr "GFlux"
 
-#: ../hacks/config/gflux.xml.h:10
+#: hacks/config/gflux.xml.h:9
 msgid "Mesh Density"
 msgstr "Háló sűrűsége"
 
-#: ../hacks/config/gflux.xml.h:11
+#: hacks/config/gflux.xml.h:10
 msgid "Screen Image"
 msgstr "Képernyőkép"
 
-#: ../hacks/config/gflux.xml.h:15 ../hacks/config/interference.xml.h:21
+#: hacks/config/gflux.xml.h:14 hacks/config/interference.xml.h:21
 msgid "Wave Speed"
 msgstr "Hullám sebessége"
 
-#: ../hacks/config/gflux.xml.h:16 ../hacks/config/glmatrix.xml.h:20
+#: hacks/config/gflux.xml.h:15 hacks/config/glmatrix.xml.h:20
 msgid "Waves"
 msgstr "Hullámok"
 
-#: ../hacks/config/gflux.xml.h:17
+#: hacks/config/gflux.xml.h:16
 msgid "Wire Mesh"
 msgstr "Drótháló"
 
-#: ../hacks/config/glblur.xml.h:1
+#: hacks/config/glblur.xml.h:1
 msgid "Blur Smoothness"
 msgstr "Elmosás folyamatossága"
 
-#: ../hacks/config/glblur.xml.h:5
+#: hacks/config/glblur.xml.h:5
 msgid "GLBlur"
 msgstr "GL elmosás"
 
-#: ../hacks/config/glblur.xml.h:18
+#: hacks/config/glblur.xml.h:18
 msgid ""
 "This program draws a box and a few line segments, and generates a radial "
 "blur outward from it. This creates flowing field effects. This is done by "
@@ -4067,12 +4328,12 @@
 "bufferen. Mint ilyen, meglehetősen grafikaigényes: ne próbálja hardveresen "
 "gyorsított OpenGL textúratámogatás nélkül futtatni, ez károsíthatja a gépét."
 
-#: ../hacks/config/gleidescope.xml.h:2 ../hacks/config/glslideshow.xml.h:6
-#: ../hacks/config/mirrorblob.xml.h:3
+#: hacks/config/gleidescope.xml.h:2 hacks/config/glslideshow.xml.h:6
+#: hacks/config/mirrorblob.xml.h:3
 msgid "5 Minutes"
 msgstr "5 perc"
 
-#: ../hacks/config/gleidescope.xml.h:3
+#: hacks/config/gleidescope.xml.h:3
 msgid ""
 "An OpenGL kaleidescope that operates on your desktop image, or on image "
 "files loaded from disk. Written by andrew dean."
@@ -4080,36 +4341,31 @@
 "OpenGL kaleidoszkóp, ami az asztala képén vagy a lemezről betöltött képeken "
 "operál. Írta Andrew Dean."
 
-#: ../hacks/config/gleidescope.xml.h:4
+#: hacks/config/gleidescope.xml.h:4
 msgid "Gleidescope"
 msgstr "GL kaleidoszkóp"
 
-#: ../hacks/config/gleidescope.xml.h:5
+#: hacks/config/gleidescope.xml.h:5
 msgid "Image Duration"
 msgstr "Kép időtartama"
 
-#: ../hacks/config/gleidescope.xml.h:6
+#: hacks/config/gleidescope.xml.h:6
 msgid "Image file"
 msgstr "Képfájl"
 
-#: ../hacks/config/gleidescope.xml.h:8
+#: hacks/config/gleidescope.xml.h:8
 msgid "Move"
 msgstr "Mozgatás"
 
-#: ../hacks/config/gleidescope.xml.h:11
+#: hacks/config/gleidescope.xml.h:11
 msgid "Size of tube"
 msgstr "A cső mérete"
 
-#: ../hacks/config/gleidescope.xml.h:13 ../hacks/config/hyperball.xml.h:16
-#: ../hacks/config/hypercube.xml.h:17 ../hacks/config/zoom.xml.h:8
-msgid "Zoom"
-msgstr "Nagyítás"
-
-#: ../hacks/config/glforestfire.xml.h:2
+#: hacks/config/glforestfire.xml.h:2
 msgid "Desert"
 msgstr "Sivatag"
 
-#: ../hacks/config/glforestfire.xml.h:3
+#: hacks/config/glforestfire.xml.h:3
 msgid ""
 "Draws an animation of sprinkling fire-like 3D triangles in a landscape "
 "filled with trees. Requires OpenGL, and a machine with fast hardware support "
@@ -4121,39 +4377,39 @@
 "gép szükséges hozzá. Írta Eric Lassauge &lt;lassauge@users.sourceforge."
 "net&gt;."
 
-#: ../hacks/config/glforestfire.xml.h:5 ../hacks/config/glmatrix.xml.h:9
+#: hacks/config/glforestfire.xml.h:5 hacks/config/glmatrix.xml.h:9
 msgid "Fog"
 msgstr "Köd"
 
-#: ../hacks/config/glforestfire.xml.h:7
+#: hacks/config/glforestfire.xml.h:7
 msgid "GLForestFire"
 msgstr "GL erdőtűz"
 
-#: ../hacks/config/glforestfire.xml.h:8
+#: hacks/config/glforestfire.xml.h:8
 msgid "Huge Fire"
 msgstr "Óriási tűz"
 
-#: ../hacks/config/glforestfire.xml.h:9
+#: hacks/config/glforestfire.xml.h:9
 msgid "No shadow"
 msgstr "Árnyékok ki"
 
-#: ../hacks/config/glforestfire.xml.h:11
+#: hacks/config/glforestfire.xml.h:11
 msgid "Number of trees"
 msgstr "Fák száma"
 
-#: ../hacks/config/glforestfire.xml.h:12
+#: hacks/config/glforestfire.xml.h:12
 msgid "Rain"
 msgstr "Eső"
 
-#: ../hacks/config/glforestfire.xml.h:17
+#: hacks/config/glforestfire.xml.h:17
 msgid "Track mouse"
 msgstr "Egér követése"
 
-#: ../hacks/config/glknots.xml.h:4
+#: hacks/config/glknots.xml.h:4
 msgid "GLKnots"
 msgstr "GL csomók"
 
-#: ../hacks/config/glknots.xml.h:5
+#: hacks/config/glknots.xml.h:5
 msgid ""
 "Generates some twisting 3d knot patterns. Spins 'em around. Written by Jamie "
 "Zawinski."
@@ -4161,37 +4417,37 @@
 "Kígyózó, három dimenziós csomómintákat generál és körbeforgatja azokat. Írta "
 "Jamie Zawinski."
 
-#: ../hacks/config/glknots.xml.h:7 ../hacks/config/lavalite.xml.h:17
-#: ../hacks/config/spheremonics.xml.h:9
+#: hacks/config/glknots.xml.h:7 hacks/config/lavalite.xml.h:17
+#: hacks/config/spheremonics.xml.h:9
 msgid "Resolution"
 msgstr "Felbontás"
 
-#: ../hacks/config/glknots.xml.h:15
+#: hacks/config/glknots.xml.h:15
 msgid "Segmented"
 msgstr "Darabos"
 
-#: ../hacks/config/glknots.xml.h:18 ../hacks/config/lavalite.xml.h:28
-#: ../hacks/config/xmountains.xml.h:25
+#: hacks/config/glknots.xml.h:18 hacks/config/lavalite.xml.h:28
+#: hacks/config/xmountains.xml.h:25
 msgid "Smooth"
 msgstr "Sima"
 
-#: ../hacks/config/glmatrix.xml.h:2 ../hacks/config/xmatrix.xml.h:1
+#: hacks/config/glmatrix.xml.h:2 hacks/config/xmatrix.xml.h:1
 msgid "Binary Encoding"
 msgstr "Bináris kódolás"
 
-#: ../hacks/config/glmatrix.xml.h:4
+#: hacks/config/glmatrix.xml.h:4
 msgid "Draw Glyphs"
 msgstr "Karakterek rajzolása"
 
-#: ../hacks/config/glmatrix.xml.h:5
+#: hacks/config/glmatrix.xml.h:5
 msgid "Draw Outlines"
 msgstr "Körvonalak rajzolása"
 
-#: ../hacks/config/glmatrix.xml.h:6
+#: hacks/config/glmatrix.xml.h:6
 msgid "Draw Solid Boxes"
 msgstr "Egyszínű négyzetek rajzolása"
 
-#: ../hacks/config/glmatrix.xml.h:7
+#: hacks/config/glmatrix.xml.h:7
 msgid ""
 "Draws 3D dropping characters similar to what is seen in the title sequence "
 "of \"The Matrix\". See also \"xmatrix\" for a 2D rendering of the similar "
@@ -4202,35 +4458,35 @@
 "láthatóhoz. Lásd még az \"xmátrix\"-ot a filmbeli számítógépek képernyőin "
 "megjelenő kétdimenziós hatásért. Írta Jamie Zawinski."
 
-#: ../hacks/config/glmatrix.xml.h:10
+#: hacks/config/glmatrix.xml.h:10
 msgid "GLMatrix"
 msgstr "GL mátrix"
 
-#: ../hacks/config/glmatrix.xml.h:11 ../hacks/config/xmatrix.xml.h:7
+#: hacks/config/glmatrix.xml.h:11 hacks/config/xmatrix.xml.h:7
 msgid "Genetic Encoding"
 msgstr "Genetikai kódolás"
 
-#: ../hacks/config/glmatrix.xml.h:12
+#: hacks/config/glmatrix.xml.h:12
 msgid "Glyph Density"
 msgstr "Karaktersűrűség"
 
-#: ../hacks/config/glmatrix.xml.h:13
+#: hacks/config/glmatrix.xml.h:13
 msgid "Glyph Speed"
 msgstr "Karakterek sebessége"
 
-#: ../hacks/config/glmatrix.xml.h:14 ../hacks/config/xmatrix.xml.h:8
+#: hacks/config/glmatrix.xml.h:14 hacks/config/xmatrix.xml.h:8
 msgid "Hexadecimal Encoding"
 msgstr "Hexadecimális kódolás"
 
-#: ../hacks/config/glmatrix.xml.h:15 ../hacks/config/xmatrix.xml.h:11
+#: hacks/config/glmatrix.xml.h:15 hacks/config/xmatrix.xml.h:11
 msgid "Matrix Encoding"
 msgstr "Mátrix kódolás"
 
-#: ../hacks/config/glmatrix.xml.h:16
+#: hacks/config/glmatrix.xml.h:16
 msgid "Panning"
 msgstr "Forgatás"
 
-#: ../hacks/config/glplanet.xml.h:1
+#: hacks/config/glplanet.xml.h:1
 msgid ""
 "Draws a planet bouncing around in space. Written by David Konerding. The "
 "built-in image is a map of the earth (extracted from `xearth'), but you can "
@@ -4241,51 +4497,55 @@
 "a Föld képe (Az xearth-ből), de tetszőleges mintázat ráhúzható a gömbre, "
 "például az \"ssystem\"-mel érkező bolygóképek."
 
-#: ../hacks/config/glplanet.xml.h:3
+#: hacks/config/glplanet.xml.h:3
 msgid "GLPlanet"
 msgstr "GL bolygó"
 
-#: ../hacks/config/glplanet.xml.h:4
+#: hacks/config/glplanet.xml.h:4
 msgid "Image File"
 msgstr "Képfájl"
 
-#: ../hacks/config/glplanet.xml.h:5
+#: hacks/config/glplanet.xml.h:5
 msgid "Roll"
 msgstr "Görgetés"
 
-#: ../hacks/config/glslideshow.xml.h:4 ../hacks/config/rd-bomb.xml.h:5
-#: ../hacks/config/xplanet.xml.h:4
+#: hacks/config/glslideshow.xml.h:4 hacks/config/rd-bomb.xml.h:5
+#: hacks/config/substrate.xml.h:4 hacks/config/xplanet.xml.h:4
 #, no-c-format
 msgid "100%"
 msgstr "100%"
 
-#: ../hacks/config/glslideshow.xml.h:5 ../hacks/config/glsnake.xml.h:2
-#: ../hacks/config/mirrorblob.xml.h:2 ../hacks/config/penrose.xml.h:2
+#: hacks/config/glslideshow.xml.h:5 hacks/config/glsnake.xml.h:2
+#: hacks/config/mirrorblob.xml.h:2 hacks/config/penrose.xml.h:2
 msgid "30 Seconds"
 msgstr "30 másodperc"
 
-#: ../hacks/config/glslideshow.xml.h:8
+#: hacks/config/glslideshow.xml.h:8
 #, no-c-format
 msgid "50%"
 msgstr "50%"
 
-#: ../hacks/config/glslideshow.xml.h:9
+#: hacks/config/glslideshow.xml.h:9
 msgid "Always show at least this much of the image:"
 msgstr "Mindig mutasson legalább ennyit a képből:"
 
-#: ../hacks/config/glslideshow.xml.h:10 ../hacks/config/mirrorblob.xml.h:6
+#: hacks/config/glslideshow.xml.h:10 hacks/config/mirrorblob.xml.h:6
 msgid "Crossfade Duration:"
 msgstr "Áttűnés időtartama:"
 
-#: ../hacks/config/glslideshow.xml.h:11
+#: hacks/config/glslideshow.xml.h:11
 msgid "Frame Rate:"
 msgstr "Képkockaráta:"
 
-#: ../hacks/config/glslideshow.xml.h:12
+#: hacks/config/glslideshow.xml.h:12
 msgid "GLSlideshow"
 msgstr "GL diavetítés"
 
-#: ../hacks/config/glslideshow.xml.h:14
+#: hacks/config/glslideshow.xml.h:14
+msgid "Letterbox"
+msgstr "Levélszekrény"
+
+#: hacks/config/glslideshow.xml.h:15
 msgid ""
 "Loads a random sequence of images and smoothly scans and zooms around in "
 "each, fading from pan to pan. To tell it where to find the images to "
@@ -4298,32 +4558,24 @@
 msgstr ""
 "Képek egy véletlen sorozatát tölti be, majd mindegyiket egyenletesen "
 "végigpásztázza és nagyítja, képről képre. A képek helyét a Képernyővédő "
-"beállításai ablak bővített lapján adhatja meg. Válassza ki a \"Véletlenszerű "
+"beállításai ablak \"bővített\" lapján adhatja meg. Válassza ki a \"Véletlenszerű "
 "kép választása\" négyzetet és adja meg a képek könyvtárát az alatta lévő "
 "szövegmezőben. Ennek a programnak a működéséhez jó videokártya szükséges, "
 "amely támogatja nagy képek használatát. Írta Jamie Zawinski és Mike Oliphant."
 
-#: ../hacks/config/glslideshow.xml.h:17
+#: hacks/config/glslideshow.xml.h:18
 msgid "Pan/Zoom Duration:"
 msgstr "Görgetés/nagyítás időtartama:"
 
-#: ../hacks/config/glslideshow.xml.h:19
-msgid "Show Image Titles"
-msgstr "Képek neveinek mutatása"
-
-#: ../hacks/config/glslideshow.xml.h:20 ../hacks/config/mirrorblob.xml.h:22
-msgid "Time until loading a new image:"
-msgstr "Új kép betöltése ennyi idő után:"
-
-#: ../hacks/config/glsnake.xml.h:1 ../hacks/config/lavalite.xml.h:1
+#: hacks/config/glsnake.xml.h:1 hacks/config/lavalite.xml.h:1
 msgid "1"
 msgstr "1"
 
-#: ../hacks/config/glsnake.xml.h:3
+#: hacks/config/glsnake.xml.h:3
 msgid "Angular Velocity"
 msgstr "Forgás sebessége"
 
-#: ../hacks/config/glsnake.xml.h:4
+#: hacks/config/glsnake.xml.h:4
 msgid ""
 "Draws a simulation of the Rubik's Snake puzzle. Written by Jamie Wilkinson, "
 "Andrew Bennetts, and Peter Aylett."
@@ -4331,35 +4583,39 @@
 "Rubik kígyó-kirakójának szimulációját rajzolja meg. Írta Jamie Wilkinson, "
 "Andrew Bennetts és Peter Aylett."
 
-#: ../hacks/config/glsnake.xml.h:7
+#: hacks/config/glsnake.xml.h:7
 msgid "GlSnake"
 msgstr "GL kígyó"
 
-#: ../hacks/config/glsnake.xml.h:8
+#: hacks/config/glsnake.xml.h:8
 msgid "Loose"
 msgstr "Bő"
 
-#: ../hacks/config/glsnake.xml.h:9
+#: hacks/config/glsnake.xml.h:9
 msgid "Packing"
 msgstr "Csomagolás"
 
-#: ../hacks/config/glsnake.xml.h:11
+#: hacks/config/glsnake.xml.h:11
 msgid "Show Titles"
 msgstr "Címek mutatása"
 
-#: ../hacks/config/glsnake.xml.h:14
+#: hacks/config/glsnake.xml.h:14
 msgid "Tight"
 msgstr "Szűk"
 
-#: ../hacks/config/glsnake.xml.h:16
+#: hacks/config/glsnake.xml.h:16
 msgid "Y Angular Velocity"
 msgstr "Y irányú forgás sebessége"
 
-#: ../hacks/config/glsnake.xml.h:17
+#: hacks/config/glsnake.xml.h:17
 msgid "Z Angular Velocity"
 msgstr "Z irányú forgás sebessége"
 
-#: ../hacks/config/gltext.xml.h:1
+#: hacks/config/gltext.xml.h:1
+msgid "Always face front"
+msgstr "Mindig előre nézzen"
+
+#: hacks/config/gltext.xml.h:2
 msgid ""
 "Displays a few lines of text spinning around in a solid 3D font. Written by "
 "Jamie Zawinski."
@@ -4367,20 +4623,27 @@
 "Néhány sornyi körbeforgó szöveget jelenít meg, egyszínű 3D betűkkel. Írta "
 "Jamie Zawinski."
 
-#: ../hacks/config/gltext.xml.h:4
+#: hacks/config/gltext.xml.h:5
 msgid "GLText"
 msgstr "GL szöveg"
 
-#: ../hacks/config/gltext.xml.h:16 ../hacks/config/noseguy.xml.h:6
+#: hacks/config/gltext.xml.h:6
+msgid "Program"
+msgstr "Program"
+
+#: hacks/config/gltext.xml.h:18
+msgid "Spin all the way around"
+msgstr "Végig pörögjön körbe"
+
+#: hacks/config/gltext.xml.h:19 hacks/config/noseguy.xml.h:5
 msgid "Text"
 msgstr "Szöveg"
 
-#: ../hacks/config/goban.xml.h:1
+#: hacks/config/goban.xml.h:1
 msgid "Goban"
 msgstr "Goban"
 
-#. #### write me
-#: ../hacks/config/goban.xml.h:3
+#: hacks/config/goban.xml.h:2
 msgid ""
 "Replays historical games of go (aka wei-chi and baduk) on the screen. By "
 "Scott Draves. You can find it at &lt;http://www.draves.org/goban/&gt;."
@@ -4388,35 +4651,35 @@
 "Néhány híres go játszmát játszik újra a képernyőn. Írta Scott Draves. A "
 "program honlapjának címe: &lt;http://www.draves.org/goban/&gt;."
 
-#: ../hacks/config/goop.xml.h:1
+#: hacks/config/goop.xml.h:1
 msgid "Additive Colors (reflected light)"
 msgstr "Additív színek (visszavert fény)"
 
-#: ../hacks/config/goop.xml.h:2
+#: hacks/config/goop.xml.h:2
 msgid "Blob Count"
 msgstr "Foltok száma"
 
-#: ../hacks/config/goop.xml.h:3
+#: hacks/config/goop.xml.h:3
 msgid "Elasticity"
 msgstr "Rugalmasság"
 
-#: ../hacks/config/goop.xml.h:5
+#: hacks/config/goop.xml.h:5
 msgid "Goop"
 msgstr "Goop"
 
-#: ../hacks/config/goop.xml.h:8
+#: hacks/config/goop.xml.h:8
 msgid "Opaque Blobs"
 msgstr "Átlátszatlan foltok"
 
-#: ../hacks/config/goop.xml.h:12
+#: hacks/config/goop.xml.h:12
 msgid "Speed Limit"
 msgstr "Sebességkorlát"
 
-#: ../hacks/config/goop.xml.h:13
+#: hacks/config/goop.xml.h:13
 msgid "Subtractive Colors (transmitted light)"
 msgstr "Színek kivonása (áteresztett fény)"
 
-#: ../hacks/config/goop.xml.h:14
+#: hacks/config/goop.xml.h:14
 msgid ""
 "This draws set of animating, transparent, amoeba-like blobs. The blobs "
 "change shape as they wander around the screen, and they are translucent, so "
@@ -4433,27 +4696,27 @@
 "ugyanezt a hatást éri el több réteg összepréselt műanyag és a köztük lévő "
 "színes olaj segítségével. Írta Jamie Zawinski."
 
-#: ../hacks/config/goop.xml.h:15
+#: hacks/config/goop.xml.h:15
 msgid "Transparent Blobs"
 msgstr "Átlátszó foltok"
 
-#: ../hacks/config/goop.xml.h:16
+#: hacks/config/goop.xml.h:16
 msgid "XOR Blobs"
 msgstr "XOR foltok"
 
-#: ../hacks/config/grav.xml.h:3
+#: hacks/config/grav.xml.h:3
 msgid "Grav"
 msgstr "Grav"
 
-#: ../hacks/config/grav.xml.h:6
+#: hacks/config/grav.xml.h:6
 msgid "Object Trails"
 msgstr "Objektumnyomok"
 
-#: ../hacks/config/grav.xml.h:7
+#: hacks/config/grav.xml.h:7
 msgid "Orbital Decay"
 msgstr "Pályavonal-lecsengés"
 
-#: ../hacks/config/grav.xml.h:10
+#: hacks/config/grav.xml.h:10
 msgid ""
 "This program draws a simple orbital simulation. If you turn on trails, it "
 "looks kind of like a cloud-chamber photograph. Written by Greg Bowering."
@@ -4462,29 +4725,29 @@
 "objektumnyomokat, akkor a kép úgy fog kinézni, mint egy ködkamra-felvétel. "
 "Írta Greg Bowering."
 
-#: ../hacks/config/greynetic.xml.h:2
+#: hacks/config/greynetic.xml.h:2
 msgid "Greynetic"
 msgstr "Greynetic"
 
-#: ../hacks/config/greynetic.xml.h:5
+#: hacks/config/greynetic.xml.h:5
 msgid "This draws random colored and stippled rectangles. Written by Jamie Zawinski."
 msgstr ""
 "Ez színezett és pontozott négyzeteket rajzol véletlenszerűen. Írta Jamie "
 "Zawinski."
 
-#: ../hacks/config/halftone.xml.h:1
+#: hacks/config/halftone.xml.h:1
 msgid "Delay (Large = low cpu load)"
 msgstr "Késleltetés (Nagy = alacsony processzorterhelés)"
 
-#: ../hacks/config/halftone.xml.h:2
+#: hacks/config/halftone.xml.h:2
 msgid "Dot fill factor"
 msgstr "Pont-kitöltési faktor"
 
-#: ../hacks/config/halftone.xml.h:3
+#: hacks/config/halftone.xml.h:3
 msgid "Dot size"
 msgstr "Pontok mérete"
 
-#: ../hacks/config/halftone.xml.h:4
+#: hacks/config/halftone.xml.h:4
 msgid ""
 "Draws the gravity force in each point on the screen seen through a halftone "
 "dot pattern. The gravity force is calculated from a set of moving mass "
@@ -4496,52 +4759,51 @@
 "kiszámítva. Távolabbról nézve a legszebb a hatás. Írta: Peter Jaric &lt;"
 "<peter@jaric.org>&gt;."
 
-#: ../hacks/config/halftone.xml.h:5
+#: hacks/config/halftone.xml.h:5
 msgid "Gravity points"
 msgstr "Gravitációs pontok"
 
-#: ../hacks/config/halftone.xml.h:6
+#: hacks/config/halftone.xml.h:6
 msgid "Halftone"
 msgstr "Féltónus"
 
-#: ../hacks/config/halftone.xml.h:10
+#: hacks/config/halftone.xml.h:10
 msgid "Maximum mass"
 msgstr "Maximális tömeg"
 
-#: ../hacks/config/halftone.xml.h:11
+#: hacks/config/halftone.xml.h:11
 msgid "Maximum speed"
 msgstr "Maximális sebesség"
 
-#: ../hacks/config/halftone.xml.h:12
+#: hacks/config/halftone.xml.h:12
 msgid "Minimum mass"
 msgstr "Minimális tömeg"
 
-#: ../hacks/config/halftone.xml.h:13
+#: hacks/config/halftone.xml.h:13
 msgid "Minimum speed"
 msgstr "Minimális sebesség"
 
-#: ../hacks/config/halo.xml.h:1
+#: hacks/config/halo.xml.h:1
 msgid "Animate Circles"
 msgstr "Animált körök"
 
-#: ../hacks/config/halo.xml.h:3
+#: hacks/config/halo.xml.h:3
 msgid "Halo"
 msgstr "Halo"
 
-#: ../hacks/config/halo.xml.h:5
+#: hacks/config/halo.xml.h:5
 msgid "Number of Circles"
 msgstr "Körök száma"
 
-#: ../hacks/config/halo.xml.h:7
+#: hacks/config/halo.xml.h:7
 msgid "Ramp Mode"
 msgstr "Rámpa-mód"
 
-#: ../hacks/config/halo.xml.h:9
+#: hacks/config/halo.xml.h:9
 msgid "Seuss Mode"
 msgstr "Seuss-mód"
 
-#. #### -no-cycle
-#: ../hacks/config/halo.xml.h:13
+#: hacks/config/halo.xml.h:12
 msgid ""
 "This draws trippy psychedelic circular patterns that hurt to look at. It can "
 "also animate the control-points, but that takes a lot of CPU and bandwidth. "
@@ -4551,65 +4813,65 @@
 "A vezérlőpontok animálhatók, de ez gyors CPU-t és nagy sávszélességet "
 "igényel. Írta Jamie Zawinski."
 
-#: ../hacks/config/helix.xml.h:4
+#: hacks/config/helix.xml.h:4
 msgid "Helix"
 msgstr "Spirál"
 
-#: ../hacks/config/helix.xml.h:5
+#: hacks/config/helix.xml.h:5
 msgid ""
 "This repeatedly generates spirally string-art-ish patterns. Written by Jamie "
 "Zawinski."
 msgstr "Spirális drótmintákat generál. Írta Jamie Zawinski."
 
-#: ../hacks/config/hopalong.xml.h:3
+#: hacks/config/hopalong.xml.h:3
 msgid "EJK1"
 msgstr "EJK1"
 
-#: ../hacks/config/hopalong.xml.h:4
+#: hacks/config/hopalong.xml.h:4
 msgid "EJK2"
 msgstr "EJK2"
 
-#: ../hacks/config/hopalong.xml.h:5
+#: hacks/config/hopalong.xml.h:5
 msgid "EJK3"
 msgstr "EJK3"
 
-#: ../hacks/config/hopalong.xml.h:6
+#: hacks/config/hopalong.xml.h:6
 msgid "EJK4"
 msgstr "EJK4"
 
-#: ../hacks/config/hopalong.xml.h:7
+#: hacks/config/hopalong.xml.h:7
 msgid "EJK5"
 msgstr "EJK5"
 
-#: ../hacks/config/hopalong.xml.h:8
+#: hacks/config/hopalong.xml.h:8
 msgid "EJK6"
 msgstr "EJK6"
 
-#: ../hacks/config/hopalong.xml.h:11
+#: hacks/config/hopalong.xml.h:11
 msgid "Hopalong"
 msgstr "Hopalong"
 
-#: ../hacks/config/hopalong.xml.h:12
+#: hacks/config/hopalong.xml.h:12
 msgid "Jong"
 msgstr "Jong"
 
-#: ../hacks/config/hopalong.xml.h:16
+#: hacks/config/hopalong.xml.h:16
 msgid "Martin"
 msgstr "Martin"
 
-#: ../hacks/config/hopalong.xml.h:18
+#: hacks/config/hopalong.xml.h:18
 msgid "Popcorn"
 msgstr "Pattogatott kukorica"
 
-#: ../hacks/config/hopalong.xml.h:19
+#: hacks/config/hopalong.xml.h:19
 msgid "RR"
 msgstr "RR"
 
-#: ../hacks/config/hopalong.xml.h:20
+#: hacks/config/hopalong.xml.h:20
 msgid "Sine"
 msgstr "Szinusz"
 
-#: ../hacks/config/hopalong.xml.h:24
+#: hacks/config/hopalong.xml.h:24
 msgid ""
 "This draws lacy fractal patterns, based on iteration in the imaginary plane, "
 "from a 1986 Scientific American article. Mostly written by Patrick Naughton."
@@ -4618,11 +4880,11 @@
 "iteráción alapul. Az algoritmus egy 1986-os Scientific American cikkből "
 "származik. A program nagyrészt Patrick Naughton munkája."
 
-#: ../hacks/config/hyperball.xml.h:4
+#: hacks/config/hyperball.xml.h:4
 msgid "Hyperball"
 msgstr "Hiperlabda"
 
-#: ../hacks/config/hyperball.xml.h:5
+#: hacks/config/hyperball.xml.h:5
 msgid ""
 "Hyperball is to hypercube as dodecahedron is to cube: this displays a 2D "
 "projection of the sequence of 3D objects which are the projections of the 4D "
@@ -4636,36 +4898,35 @@
 "ez egy \"120 oldalú politóp\". Írta Joe Keane. Lásd még a \"polytopes\" "
 "képernyővédőt ennek egy sokkal általánosabb, OpenGL-t használó verziójáért."
 
-#: ../hacks/config/hyperball.xml.h:10 ../hacks/config/hypercube.xml.h:11
+#: hacks/config/hyperball.xml.h:10 hacks/config/hypercube.xml.h:10
 msgid "XW Rotation"
 msgstr "XW forgatás"
 
-#: ../hacks/config/hyperball.xml.h:11 ../hacks/config/hypercube.xml.h:12
+#: hacks/config/hyperball.xml.h:11 hacks/config/hypercube.xml.h:11
 msgid "XY Rotation"
 msgstr "XY forgatás"
 
-#: ../hacks/config/hyperball.xml.h:12 ../hacks/config/hypercube.xml.h:13
+#: hacks/config/hyperball.xml.h:12 hacks/config/hypercube.xml.h:12
 msgid "XZ Rotation"
 msgstr "XZ forgatás"
 
-#: ../hacks/config/hyperball.xml.h:13 ../hacks/config/hypercube.xml.h:14
+#: hacks/config/hyperball.xml.h:13 hacks/config/hypercube.xml.h:13
 msgid "YW Rotation"
 msgstr "YW forgatás"
 
-#: ../hacks/config/hyperball.xml.h:14 ../hacks/config/hypercube.xml.h:15
+#: hacks/config/hyperball.xml.h:14 hacks/config/hypercube.xml.h:14
 msgid "YZ Rotation"
 msgstr "YZ forgatás"
 
-#: ../hacks/config/hyperball.xml.h:15 ../hacks/config/hypercube.xml.h:16
+#: hacks/config/hyperball.xml.h:15 hacks/config/hypercube.xml.h:15
 msgid "ZW Rotation"
 msgstr "ZW forgatás"
 
-#: ../hacks/config/hypercube.xml.h:4
+#: hacks/config/hypercube.xml.h:4
 msgid "Hypercube"
 msgstr "Hiperkocka"
 
-#. #### -color7 [#00FFD0]
-#: ../hacks/config/hypercube.xml.h:10
+#: hacks/config/hypercube.xml.h:9
 msgid ""
 "This displays 2D projections of the sequence of 3D objects which are the "
 "projections of the 4D analog to the cube: as a square is composed of four "
@@ -4687,56 +4948,56 @@
 "Fritz Mueller és Jamie Zawinski. Lásd még a \"polytopes\" képernyővédőt "
 "ennek egy sokkal általánosabb, OpenGL-t használó verziójáért."
 
-#: ../hacks/config/hypertorus.xml.h:1 ../hacks/config/polytopes.xml.h:1
+#: hacks/config/hypertorus.xml.h:1 hacks/config/polytopes.xml.h:1
 msgid "-4.0"
 msgstr "-4.0"
 
-#: ../hacks/config/hypertorus.xml.h:2 ../hacks/config/polytopes.xml.h:5
+#: hacks/config/hypertorus.xml.h:2 hacks/config/polytopes.xml.h:5
 msgid "4.0"
 msgstr "4.0"
 
-#: ../hacks/config/hypertorus.xml.h:3
+#: hacks/config/hypertorus.xml.h:3
 msgid "4D Hypertorus"
 msgstr "4D Hipertórusz"
 
-#: ../hacks/config/hypertorus.xml.h:4
+#: hacks/config/hypertorus.xml.h:4
 msgid "Color Wheel"
 msgstr "Színkerék"
 
-#: ../hacks/config/hypertorus.xml.h:5 ../hacks/config/polytopes.xml.h:10
+#: hacks/config/hypertorus.xml.h:5 hacks/config/polytopes.xml.h:10
 msgid "Display Speed"
 msgstr "Megjelenítés sebessége"
 
-#: ../hacks/config/hypertorus.xml.h:7 ../hacks/config/polytopes.xml.h:12
+#: hacks/config/hypertorus.xml.h:7 hacks/config/polytopes.xml.h:12
 msgid "Orthographic 3d"
 msgstr "Ortografikus 3d"
 
-#: ../hacks/config/hypertorus.xml.h:8 ../hacks/config/polytopes.xml.h:13
+#: hacks/config/hypertorus.xml.h:8 hacks/config/polytopes.xml.h:13
 msgid "Orthographic 4d"
 msgstr "Ortografikus 4d"
 
-#: ../hacks/config/hypertorus.xml.h:9 ../hacks/config/polytopes.xml.h:14
+#: hacks/config/hypertorus.xml.h:9 hacks/config/polytopes.xml.h:14
 msgid "Perspective 3d"
 msgstr "Perspektíva 3d"
 
-#: ../hacks/config/hypertorus.xml.h:10 ../hacks/config/polytopes.xml.h:15
+#: hacks/config/hypertorus.xml.h:10 hacks/config/polytopes.xml.h:15
 msgid "Perspective 4d"
 msgstr "Perspektíva 4d"
 
-#: ../hacks/config/hypertorus.xml.h:11
+#: hacks/config/hypertorus.xml.h:11
 msgid "See-Through Bands"
 msgstr "Átlátszó gyűrűk"
 
-#: ../hacks/config/hypertorus.xml.h:14
+#: hacks/config/hypertorus.xml.h:14
 msgid "Solid Object"
 msgstr "Egyszínű objektum"
 
-#: ../hacks/config/hypertorus.xml.h:15 ../hacks/config/mirrorblob.xml.h:20
-#: ../hacks/config/polytopes.xml.h:21 ../hacks/config/pulsar.xml.h:16
+#: hacks/config/hypertorus.xml.h:15 hacks/config/mirrorblob.xml.h:20
+#: hacks/config/polytopes.xml.h:21 hacks/config/pulsar.xml.h:16
 msgid "Solid Surface"
 msgstr "Egyszínű felület"
 
-#: ../hacks/config/hypertorus.xml.h:16
+#: hacks/config/hypertorus.xml.h:16
 msgid ""
 "This program shows a rotating Clifford Torus: a torus lying on the \"surface"
 "\" of a 4D hypersphere. Written by Carsten Steger, inspired by Thomas "
@@ -4748,71 +5009,108 @@
 "\"Beyond the Third Dimension: Geometry, Computer Graphics, and Higher "
 "Dimensions\", Scientific American Library, 1990. könyve alapján."
 
-#: ../hacks/config/hypertorus.xml.h:17 ../hacks/config/polytopes.xml.h:23
+#: hacks/config/hypertorus.xml.h:17 hacks/config/polytopes.xml.h:23
 msgid "Transparent Surface"
 msgstr "Átlátszó felület"
 
-#: ../hacks/config/hypertorus.xml.h:18
+#: hacks/config/hypertorus.xml.h:18
 msgid "Two-Sided"
 msgstr "Kétoldalú"
 
-#: ../hacks/config/hypertorus.xml.h:19 ../hacks/config/polytopes.xml.h:24
+#: hacks/config/hypertorus.xml.h:19 hacks/config/polytopes.xml.h:24
 msgid "WX Rotation Speed"
 msgstr "WX forgatás sebessége  "
 
-#: ../hacks/config/hypertorus.xml.h:20 ../hacks/config/polytopes.xml.h:25
+#: hacks/config/hypertorus.xml.h:20 hacks/config/polytopes.xml.h:25
 msgid "WY Rotation Speed"
 msgstr "WY forgatás sebessége  "
 
-#: ../hacks/config/hypertorus.xml.h:21 ../hacks/config/polytopes.xml.h:26
+#: hacks/config/hypertorus.xml.h:21 hacks/config/polytopes.xml.h:26
 msgid "WZ Rotation Speed"
 msgstr "WZ forgatás sebessége  "
 
-#: ../hacks/config/hypertorus.xml.h:22 ../hacks/config/polytopes.xml.h:27
+#: hacks/config/hypertorus.xml.h:22 hacks/config/polytopes.xml.h:27
 msgid "Wireframe Mesh"
 msgstr "Drótváz háló"
 
-#: ../hacks/config/hypertorus.xml.h:23 ../hacks/config/polytopes.xml.h:28
+#: hacks/config/hypertorus.xml.h:23 hacks/config/polytopes.xml.h:28
 msgid "XY Rotation Speed"
 msgstr "XY forgatás sebessége"
 
-#: ../hacks/config/hypertorus.xml.h:24 ../hacks/config/polytopes.xml.h:29
+#: hacks/config/hypertorus.xml.h:24 hacks/config/polytopes.xml.h:29
 msgid "XZ Rotation Speed"
 msgstr "XZ forgatás sebessége"
 
-#: ../hacks/config/hypertorus.xml.h:25 ../hacks/config/polytopes.xml.h:30
+#: hacks/config/hypertorus.xml.h:25 hacks/config/polytopes.xml.h:30
 msgid "YZ Rotation Speed"
 msgstr "YZ forgatás sebessége"
 
-#: ../hacks/config/ifs.xml.h:2
+#: hacks/config/ifs.xml.h:1
+msgid "2"
+msgstr "2"
+
+#: hacks/config/ifs.xml.h:2
+msgid "Blend"
+msgstr "Vegyítés"
+
+#: hacks/config/ifs.xml.h:3
+msgid "Detail"
+msgstr "Részletesség"
+
+#: hacks/config/ifs.xml.h:5
+msgid "Function"
+msgstr "Függvény"
+
+#: hacks/config/ifs.xml.h:6
+msgid "Functions"
+msgstr "Függvények"
+
+#: hacks/config/ifs.xml.h:7
 msgid "IFS"
 msgstr "IFS"
 
-#: ../hacks/config/ifs.xml.h:7
+#: hacks/config/ifs.xml.h:9
+msgid "Number of Colours"
+msgstr "Színek száma"
+
+#: hacks/config/ifs.xml.h:11 hacks/config/phosphor.xml.h:6
+msgid "Scale"
+msgstr "Méretezés"
+
+#: hacks/config/ifs.xml.h:12
+msgid "Single"
+msgstr "Egyszeres"
+
+#: hacks/config/ifs.xml.h:15
 msgid ""
-"This one draws spinning, colliding iterated-function-system images. Written "
-"by Massimino Pascal."
-msgstr ""
-"Forgó, összeütköző képek iterált függvényrendszerekről. Írta Massimino "
-"Pascal."
-
-#: ../hacks/config/imsmap.xml.h:3
+"This one draws spinning, colliding iterated-function-system images. Note "
+"that the \"quality\" parameter is exponential. Number of points drawn is "
+"functions^detail. The number of colours is only used in Blend mode to "
+"provide a palette to create the base colours. These are then blended "
+"together in a non-colourmap friendly fashion. Written by Chris Le Sueur."
+msgstr "Ez forgó, összeütköző iterált függényrendszer képeket rajzol. Ne feledje, hogy a \"minőség\" paraméter exponenciális. A kirajzolt pontok száma: függvények^részletesség. A színek számát csak a Blend mód használja az alapvető színek létrehozására szolgáló paletta megadásához. Ezek azután egy nem színtérkép-barát módszerrel össze lesznek keverve. Írta Chris Le Sueur."
+
+#: hacks/config/ifs.xml.h:16
+msgid "Translate"
+msgstr "Fordítás"
+
+#: hacks/config/imsmap.xml.h:3
 msgid "Brightness Gradients"
 msgstr "Fényességi átmenetek"
 
-#: ../hacks/config/imsmap.xml.h:7
+#: hacks/config/imsmap.xml.h:7
 msgid "Hue Gradients"
 msgstr "Árnyalati átmenetek"
 
-#: ../hacks/config/imsmap.xml.h:8
+#: hacks/config/imsmap.xml.h:8
 msgid "IMSmap"
 msgstr "IMSmap"
 
-#: ../hacks/config/imsmap.xml.h:12
+#: hacks/config/imsmap.xml.h:12
 msgid "Saturation Gradients"
 msgstr "Telítettségi átmenetek"
 
-#: ../hacks/config/imsmap.xml.h:14
+#: hacks/config/imsmap.xml.h:14
 msgid ""
 "This generates random cloud-like patterns. It looks quite different in "
 "monochrome and color. The basic idea is to take four points on the edge of "
@@ -4837,19 +5135,19 @@
 "leginkább valamilyen infravörös felvételhez hasonlít. Írta Juergen Nickelsen "
 "és Jamie Zawinski."
 
-#: ../hacks/config/interference.xml.h:1
+#: hacks/config/interference.xml.h:1
 msgid "0"
 msgstr "0"
 
-#: ../hacks/config/interference.xml.h:2
+#: hacks/config/interference.xml.h:2
 msgid "360"
 msgstr "360"
 
-#: ../hacks/config/interference.xml.h:3
+#: hacks/config/interference.xml.h:3
 msgid "Anim Speed"
 msgstr "Animáció sebessége"
 
-#: ../hacks/config/interference.xml.h:4
+#: hacks/config/interference.xml.h:4
 msgid ""
 "Another color-field hack, this one works by computing decaying sinusoidal "
 "waves, and allowing them to interfere with each other as their origins move. "
@@ -4859,36 +5157,36 @@
 "ábrázol, melyek interferálnak egymással, ahogy kezdőpontjaik mozognak.Írta "
 "Hannu Mallat."
 
-#: ../hacks/config/interference.xml.h:9
+#: hacks/config/interference.xml.h:9
 msgid "Hue"
 msgstr "Árnyalat"
 
-#: ../hacks/config/interference.xml.h:10
+#: hacks/config/interference.xml.h:10
 msgid "Interference"
 msgstr "Interferencia"
 
-#: ../hacks/config/interference.xml.h:13 ../hacks/config/t3d.xml.h:9
-#: ../hacks/config/xearth.xml.h:11 ../hacks/config/zoom.xml.h:5
+#: hacks/config/interference.xml.h:13 hacks/config/t3d.xml.h:9
+#: hacks/config/xearth.xml.h:11 hacks/config/zoom.xml.h:5
 msgid "Magnification"
 msgstr "Nagyítás"
 
-#: ../hacks/config/interference.xml.h:16
+#: hacks/config/interference.xml.h:16
 msgid "Number of Waves"
 msgstr "Hullámok száma"
 
-#: ../hacks/config/interference.xml.h:20
+#: hacks/config/interference.xml.h:20
 msgid "Wave Size"
 msgstr "Hullámméret"
 
-#: ../hacks/config/intermomentary.xml.h:2
+#: hacks/config/intermomentary.xml.h:2
 msgid "Intermomentary"
 msgstr "Intermomentary"
 
-#: ../hacks/config/intermomentary.xml.h:3
+#: hacks/config/intermomentary.xml.h:3
 msgid "Number of Discs"
 msgstr "Lemezek száma"
 
-#: ../hacks/config/intermomentary.xml.h:6
+#: hacks/config/intermomentary.xml.h:6
 msgid ""
 "The Intersection Momentary is a fun visualization defining the relationships "
 "between objects with Casey Reas, William Ngan, and Robert Hodgin. "
@@ -4899,59 +5197,65 @@
 "of the circles. Ported to XScreensaver from the art project \"InterMomentary"
 "\" at http://www.complexification.net"
 msgstr ""
-"A \"Hirtelen metszés\" az objektumok közötti kapcsolatnak egy mókás vizualizációja. Írta "
-"Casey Reas, William Ngan, és Robert Hodgin. Kiállításával a Whitney Museum of American Art van megbízva. Egy felület, 100 kicsi és közepes méretű körrel kitöltve. Minden körnek különböző mérete és iránya van, de egyforma lassan haladnak. Megjeleníthető: A, a körök pillanatnyi metszete. B, a körök összetett metszete. Az XScreensaverhez az \"InterMomentary\" művészeti projektből lett portolva, amely elérhető a http://www.complexification.net címen"
+"A \"Hirtelen metszés\" az objektumok közötti kapcsolatnak egy mókás "
+"vizualizációja. Írta Casey Reas, William Ngan, és Robert Hodgin. "
+"Kiállításával a Whitney Museum of American Art van megbízva. Egy felület, "
+"100 kicsi és közepes méretű körrel kitöltve. Minden körnek különböző mérete "
+"és iránya van, de egyforma lassan haladnak. Megjeleníthető: A, a körök "
+"pillanatnyi metszete. B, a körök összetett metszete. Az XScreensaverhez az "
+"\"InterMomentary\" művészeti projektből lett portolva, amely elérhető a "
+"http://www.complexification.net címen"
 
-#: ../hacks/config/jigglypuff.xml.h:2
+#: hacks/config/jigglypuff.xml.h:2
 msgid "Chrome"
 msgstr "Króm"
 
-#: ../hacks/config/jigglypuff.xml.h:3
+#: hacks/config/jigglypuff.xml.h:3
 msgid "Clown barf"
 msgstr "Műhányás"
 
-#: ../hacks/config/jigglypuff.xml.h:5
+#: hacks/config/jigglypuff.xml.h:5
 msgid "Cycle"
 msgstr "Körforgás"
 
-#: ../hacks/config/jigglypuff.xml.h:7
+#: hacks/config/jigglypuff.xml.h:7
 msgid "Flower box"
 msgstr "Virágdoboz"
 
-#: ../hacks/config/jigglypuff.xml.h:9
+#: hacks/config/jigglypuff.xml.h:9
 msgid "Inertial damping"
 msgstr "Tehetetlenségi kiegyenlítés"
 
-#: ../hacks/config/jigglypuff.xml.h:10
+#: hacks/config/jigglypuff.xml.h:10
 msgid "JigglyPuff"
 msgstr "JigglyPuff"
 
-#: ../hacks/config/jigglypuff.xml.h:14
+#: hacks/config/jigglypuff.xml.h:14
 msgid "Rotation speed"
 msgstr "Forgatás sebessége"
 
-#: ../hacks/config/jigglypuff.xml.h:17 ../hacks/config/sphere.xml.h:7
+#: hacks/config/jigglypuff.xml.h:17 hacks/config/sphere.xml.h:7
 msgid "Sphere"
 msgstr "Gömb"
 
-#: ../hacks/config/jigglypuff.xml.h:18
+#: hacks/config/jigglypuff.xml.h:18
 msgid "Sphere strength"
 msgstr "Gömb erőssége"
 
-#: ../hacks/config/jigglypuff.xml.h:19
+#: hacks/config/jigglypuff.xml.h:19
 msgid "Spookiness"
 msgstr "Kísértetiesség"
 
-#: ../hacks/config/jigglypuff.xml.h:20
+#: hacks/config/jigglypuff.xml.h:20
 msgid "Spoooooky"
 msgstr "Kíííííísérteties"
 
-#: ../hacks/config/jigglypuff.xml.h:21 ../hacks/config/polyhedra.xml.h:155
-#: ../hacks/config/sballs.xml.h:16
+#: hacks/config/jigglypuff.xml.h:21 hacks/config/polyhedra.xml.h:155
+#: hacks/config/sballs.xml.h:16
 msgid "Tetrahedron"
 msgstr "Tetraéder"
 
-#: ../hacks/config/jigglypuff.xml.h:22
+#: hacks/config/jigglypuff.xml.h:22
 msgid ""
 "This little gem does bad things with quasi-spherical objects. The gist of it "
 "is that you have what is, structurally, a tetrahedron with tesselated faces. "
@@ -4977,39 +5281,39 @@
 "jelölje be a \"véletlen\" négyzetet. felülbírálja az összes opciót, kivéve a "
 "képkockaarányt, késleltetést és összetettséget. Írta Keith Macleod"
 
-#: ../hacks/config/jigglypuff.xml.h:23
+#: hacks/config/jigglypuff.xml.h:23
 msgid "Vertex-vertex behavior"
 msgstr "Csúcs-csúcs viselkedés"
 
-#: ../hacks/config/jigglypuff.xml.h:24
+#: hacks/config/jigglypuff.xml.h:24
 msgid "Vertex-vertex force"
 msgstr "Csúcs-csúcs erő"
 
-#: ../hacks/config/jigglypuff.xml.h:26
+#: hacks/config/jigglypuff.xml.h:26
 msgid "collapse"
 msgstr "összecsukás"
 
-#: ../hacks/config/jigglypuff.xml.h:27
+#: hacks/config/jigglypuff.xml.h:27
 msgid "expand"
 msgstr "kiterjesztés"
 
-#: ../hacks/config/jigglypuff.xml.h:28
+#: hacks/config/jigglypuff.xml.h:28
 msgid "none"
 msgstr "nincs"
 
-#: ../hacks/config/jigglypuff.xml.h:29
+#: hacks/config/jigglypuff.xml.h:29
 msgid "strong"
 msgstr "erős"
 
-#: ../hacks/config/jigsaw.xml.h:4
+#: hacks/config/jigsaw.xml.h:4
 msgid "Jigsaw"
 msgstr "Kirakós"
 
-#: ../hacks/config/jigsaw.xml.h:6
+#: hacks/config/jigsaw.xml.h:6
 msgid "Solved Duration"
 msgstr "Megoldás időtartama"
 
-#: ../hacks/config/jigsaw.xml.h:8
+#: hacks/config/jigsaw.xml.h:8
 msgid ""
 "This grabs a screen image, carves it up into a jigsaw puzzle, shuffles it, "
 "and then solves the puzzle. This works especially well when you feed it an "
@@ -5025,28 +5329,59 @@
 "könnyű kitalálni még a kirakás után sem, hogy mit ábrázol az elkapott "
 "képkocka. Írta Jamie Zawinski."
 
-#: ../hacks/config/juggle.xml.h:1
-msgid "Checkered Balls"
-msgstr "Pepita labdák"
-
-#. -pattern would be a really long, confusing option menu
-#: ../hacks/config/juggle.xml.h:3
+#: hacks/config/juggle.xml.h:1
 msgid "Draws a juggling stick-man. Written by Tim Auckland."
 msgstr "Zsonglőrködő pálcikaembert jelenít meg. Írta Tim Auckland."
 
-#: ../hacks/config/juggle.xml.h:5
+#: hacks/config/juggle.xml.h:3
 msgid "Juggle"
 msgstr "Zsonglőr"
 
-#: ../hacks/config/julia.xml.h:3 ../hacks/config/rorschach.xml.h:4
+#: hacks/config/juggle.xml.h:6
+msgid "Performance Length"
+msgstr "Előadás hossza"
+
+#: hacks/config/juggle.xml.h:11
+msgid "Use Pattern "
+msgstr "Minta használata "
+
+#: hacks/config/juggle.xml.h:12
+msgid "turn on/off Balls."
+msgstr "labdák be/ki."
+
+#: hacks/config/juggle.xml.h:13
+msgid "turn on/off Bowling Balls."
+msgstr "tekegolyók be/ki."
+
+#: hacks/config/juggle.xml.h:14
+msgid "turn on/off Clubs."
+msgstr "bábuk be/ki."
+
+#: hacks/config/juggle.xml.h:15
+msgid "turn on/off Flaming Torches."
+msgstr "lángoló fáklyák be/ki."
+
+#: hacks/config/juggle.xml.h:16
+msgid "turn on/off Knives."
+msgstr "kések be/ki."
+
+#: hacks/config/juggle.xml.h:17
+msgid "turn on/off Rings."
+msgstr "gyűrűk be/ki."
+
+#: hacks/config/juggle.xml.h:18
+msgid "turn on/off pattern descriptions."
+msgstr "mintaleírások be/ki."
+
+#: hacks/config/julia.xml.h:3 hacks/config/rorschach.xml.h:4
 msgid "Iterations"
 msgstr "Iterációk"
 
-#: ../hacks/config/julia.xml.h:4
+#: hacks/config/julia.xml.h:4
 msgid "Julia"
 msgstr "Julia"
 
-#: ../hacks/config/julia.xml.h:11
+#: hacks/config/julia.xml.h:11
 msgid ""
 "This one draws spinning, animating (are you detecting a pattern here yet?) "
 "explorations of the Julia set. You've probably seen static images of this "
@@ -5062,8 +5397,7 @@
 "vezérlőpontot mutatja, ahonnan kiindulva a program a kép többi részét "
 "generálja. Írta Sean McCullough."
 
-#. #### -spring_constant [5]
-#: ../hacks/config/kaleidescope.xml.h:2
+#: hacks/config/kaleidescope.xml.h:1
 msgid ""
 "Another clone of an ancient meme, consisting largely of frenetic rotational "
 "motion of colored lines. This one is by Ron Tapia. The motion is nice, but I "
@@ -5076,27 +5410,27 @@
 "színekre lenne szükség. Talán az sem ártana, ha a forgási sebesség többet "
 "változna."
 
-#: ../hacks/config/kaleidescope.xml.h:5
+#: hacks/config/kaleidescope.xml.h:4
 msgid "Kaleidescope"
 msgstr "Kaleidescope"
 
-#: ../hacks/config/kaleidescope.xml.h:7 ../hacks/config/qix.xml.h:18
+#: hacks/config/kaleidescope.xml.h:6 hacks/config/qix.xml.h:18
 msgid "Segments"
 msgstr "Darabkák"
 
-#: ../hacks/config/kaleidescope.xml.h:10
+#: hacks/config/kaleidescope.xml.h:9
 msgid "Symmetry"
 msgstr "Szimmetria"
 
-#: ../hacks/config/kaleidescope.xml.h:11
+#: hacks/config/kaleidescope.xml.h:10
 msgid "Trails"
 msgstr "Nyomok"
 
-#: ../hacks/config/klein.xml.h:3
+#: hacks/config/klein.xml.h:3
 msgid "Klein"
 msgstr "Klein"
 
-#: ../hacks/config/klein.xml.h:10
+#: hacks/config/klein.xml.h:10
 msgid ""
 "This draws a visualization of a Klein bottle or some other interesting "
 "parametric surfaces. Written by Andrey Mirtchovski."
@@ -5104,23 +5438,23 @@
 "Ez egy Klein-üveget, vagy más érdekes paraméteres felületet jelenít meg. "
 "Írta: Andrey Mirtchovski."
 
-#: ../hacks/config/klein.xml.h:11
+#: hacks/config/klein.xml.h:11
 msgid "Use Randomized Surfaces and Primitives"
 msgstr "Véletlenszerű felületek és primitívek használata"
 
-#: ../hacks/config/klein.xml.h:12
+#: hacks/config/klein.xml.h:12
 msgid "Wander Around the Screen"
 msgstr "Vándorlás a képernyőn"
 
-#: ../hacks/config/kumppa.xml.h:5
+#: hacks/config/kumppa.xml.h:5
 msgid "Kumppa"
 msgstr "Kumppa"
 
-#: ../hacks/config/kumppa.xml.h:7
+#: hacks/config/kumppa.xml.h:7
 msgid "Randomize"
 msgstr "Véletlen"
 
-#: ../hacks/config/kumppa.xml.h:10
+#: hacks/config/kumppa.xml.h:10
 msgid ""
 "Spiraling, spinning, and very, very fast splashes of color rush toward the "
 "screen. Written by Teemu Suutari."
@@ -5128,7 +5462,7 @@
 "Spirálisan mozgó, forgó, nagy sebességgel a képernyő felé rohanó "
 "színfoltokat ábrázol. Írta Teemu Suutari."
 
-#: ../hacks/config/lament.xml.h:1
+#: hacks/config/lament.xml.h:1
 msgid ""
 "Animates a simulation of Lemarchand's Box, repeatedly solving itself. "
 "Requires OpenGL, and a machine with fast hardware support for texture maps. "
@@ -5138,15 +5472,15 @@
 "OpenGL-t és olyan videokártyát igényel, mely gyors textúrakezelést tud "
 "megvalósítani. Figyelem: néha az ajtókat is kinyitja. Írta Jamie Zawinski."
 
-#: ../hacks/config/lament.xml.h:3
+#: hacks/config/lament.xml.h:3
 msgid "Lament"
 msgstr "Lament"
 
-#: ../hacks/config/laser.xml.h:4
+#: hacks/config/laser.xml.h:4
 msgid "Laser"
 msgstr "Lézer"
 
-#: ../hacks/config/laser.xml.h:7
+#: hacks/config/laser.xml.h:7
 msgid ""
 "Moving radiating lines, that look vaguely like scanning laser beams. Written "
 "by Pascal Pensa. (Frankie say: relax.)"
@@ -5154,19 +5488,19 @@
 "Mozgó, szétsugárzó vonalakat jelenít meg, melyek pásztázó lézersugarakhoz "
 "hasonlítanak. Írta Pascal Pensa (Frankie azt mondja: nyugi.)"
 
-#: ../hacks/config/lavalite.xml.h:2 ../hacks/config/xmountains.xml.h:2
+#: hacks/config/lavalite.xml.h:2 hacks/config/xmountains.xml.h:2
 msgid "10"
 msgstr "10"
 
-#: ../hacks/config/lavalite.xml.h:4
+#: hacks/config/lavalite.xml.h:4
 msgid "Classic Lavalite"
 msgstr "Klasszikus Lavalite"
 
-#: ../hacks/config/lavalite.xml.h:5
+#: hacks/config/lavalite.xml.h:5
 msgid "Cone Lavalite"
 msgstr "Kúp Lavalite"
 
-#: ../hacks/config/lavalite.xml.h:8
+#: hacks/config/lavalite.xml.h:8
 msgid ""
 "Draws a 3D Simulation a Lava Lite(r): odd-shaped blobs of a mysterious "
 "substance are heated, slowly rise to the top of the bottle, and then drop "
@@ -5187,35 +5521,35 @@
 "Enterprises, Inc. regisztrált kereskedelmi védjegye az USA-ban és a világ "
 "más országaiban.\""
 
-#: ../hacks/config/lavalite.xml.h:9
+#: hacks/config/lavalite.xml.h:9
 msgid "Faceted"
 msgstr "Lapokkal borított"
 
-#: ../hacks/config/lavalite.xml.h:11
+#: hacks/config/lavalite.xml.h:11
 msgid "Giant Lavalite"
 msgstr "Óriás Lavalite"
 
-#: ../hacks/config/lavalite.xml.h:13
+#: hacks/config/lavalite.xml.h:13
 msgid "LavaLite"
 msgstr "LavaLite"
 
-#: ../hacks/config/lavalite.xml.h:15
+#: hacks/config/lavalite.xml.h:15
 msgid "Max Blobs"
 msgstr "Foltok maximum"
 
-#: ../hacks/config/lavalite.xml.h:16
+#: hacks/config/lavalite.xml.h:16
 msgid "Random Lamp Style"
 msgstr "Véletlenszerű lámpastílus"
 
-#: ../hacks/config/lavalite.xml.h:18
+#: hacks/config/lavalite.xml.h:18
 msgid "Rocket Lavalite"
 msgstr "Rakéta Lavalite"
 
-#: ../hacks/config/lightning.xml.h:2
+#: hacks/config/lightning.xml.h:2
 msgid "Lightning"
 msgstr "Villámlás"
 
-#: ../hacks/config/lightning.xml.h:7
+#: hacks/config/lightning.xml.h:7
 msgid ""
 "This one draws crackling fractal lightning bolts. It's simple, direct, and "
 "to the point. If only it had sound... Written by Keith Romberg."
@@ -5223,15 +5557,15 @@
 "Cikkcakkban haladó, fraktálos villámcsapásokat jelenít meg. Egyszerű, "
 "közvetlen és célratörő. Ha még hangja is lenne... Írta Keith Romberg."
 
-#: ../hacks/config/lisa.xml.h:4
+#: hacks/config/lisa.xml.h:4
 msgid "Lisa"
 msgstr "Lisa"
 
-#: ../hacks/config/lisa.xml.h:10
+#: hacks/config/lisa.xml.h:10
 msgid "Steps"
 msgstr "Lépésszám"
 
-#: ../hacks/config/lisa.xml.h:11
+#: hacks/config/lisa.xml.h:11
 msgid ""
 "This draws Lisajous loops, by Caleb Cullen. Remember that device they had "
 "the Phantom Zone prisoners in during their trial in Superman? I think that "
@@ -5241,7 +5575,7 @@
 "azokra az eszközökre, amelyekben a Fantomzóna foglyait tartották a Superman "
 "elleni per alatt? Ez pont úgy néz ki."
 
-#: ../hacks/config/lissie.xml.h:1
+#: hacks/config/lissie.xml.h:1
 msgid ""
 "Another Lissajous figure. This one draws the progress of circular shapes "
 "along a path. Written by Alexander Jolk."
@@ -5249,55 +5583,53 @@
 "Egy másik Lissajous-alakzat. Ez körkörös alakzatok egy útvonal mentén való "
 "haladását rajzolja meg. Írta Alexander Jolk."
 
-#: ../hacks/config/lissie.xml.h:5
+#: hacks/config/lissie.xml.h:5
 msgid "Lissie"
 msgstr "Lissie"
 
-#: ../hacks/config/lmorph.xml.h:1
+#: hacks/config/lmorph.xml.h:1
 msgid "Closed Figures"
 msgstr "Zárt alakzatok"
 
-#: ../hacks/config/lmorph.xml.h:2
+#: hacks/config/lmorph.xml.h:2
 msgid "Control Points"
 msgstr "Vezérlőpontok"
 
-#: ../hacks/config/lmorph.xml.h:4
+#: hacks/config/lmorph.xml.h:4
 msgid "Interpolation Steps"
 msgstr "Közelítési lépések"
 
-#: ../hacks/config/lmorph.xml.h:5
+#: hacks/config/lmorph.xml.h:5
 msgid "LMorph"
 msgstr "LMorph"
 
-#: ../hacks/config/lmorph.xml.h:6
+#: hacks/config/lmorph.xml.h:6
 msgid "Less"
 msgstr "Kevesebb"
 
-#: ../hacks/config/lmorph.xml.h:8
+#: hacks/config/lmorph.xml.h:8
 msgid "More"
 msgstr "Több"
 
-#: ../hacks/config/lmorph.xml.h:9
+#: hacks/config/lmorph.xml.h:9
 msgid "Open Figures"
 msgstr "Nyílt alakzatok"
 
-#: ../hacks/config/lmorph.xml.h:10
+#: hacks/config/lmorph.xml.h:10
 msgid "Open and Closed Figures"
 msgstr "Nyílt és zárt alakzatok"
 
-#: ../hacks/config/lmorph.xml.h:15
+#: hacks/config/lmorph.xml.h:15
 msgid ""
 "This generates random spline-ish line drawings and morphs between them. "
 "Written by Sverre H. Huseby and Glenn T. Lines."
-msgstr ""
-"Véletlenszerű spline-os rajzolatokat és köztük történő  átalakulásokat "
-"jelenít meg. Írta Sverre H. Huseby és Glenn T. Lines."
+msgstr "Véletlenszerű görbevonalakat és köztük történő átalakulásokat generál. Írta Sverre H. Huseby és Glenn T. Lines."
 
-#: ../hacks/config/loop.xml.h:3
+#: hacks/config/loop.xml.h:3
 msgid "Loop"
 msgstr "Hurok"
 
-#: ../hacks/config/loop.xml.h:10
+#: hacks/config/loop.xml.h:10
 msgid ""
 "This one produces loop-shaped colonies that spawn, age, and eventually die. "
 "Written by David Bagley."
@@ -5305,52 +5637,51 @@
 "Hurok alakú populációkat jelenít meg, melyek sokasodnak, megöregszenek, és "
 "végül elpusztulnak. Írta David Bagley."
 
-#: ../hacks/config/maze.xml.h:3
+#: hacks/config/maze.xml.h:3
 msgid "Backtracking Generator"
 msgstr "Visszaléptetés generátor"
 
-#: ../hacks/config/maze.xml.h:5 ../hacks/config/slidescreen.xml.h:3
+#: hacks/config/maze.xml.h:5 hacks/config/slidescreen.xml.h:3
 msgid "Grid Size"
 msgstr "Rács mérete"
 
-#: ../hacks/config/maze.xml.h:6
+#: hacks/config/maze.xml.h:6
 msgid "Head Toward Exit"
 msgstr "A kijárat felé"
 
-#: ../hacks/config/maze.xml.h:7
+#: hacks/config/maze.xml.h:7
 msgid "Ignorant of Exit Direction"
 msgstr "A kijárat irányának ismerete nélkül"
 
-#: ../hacks/config/maze.xml.h:8
+#: hacks/config/maze.xml.h:8
 msgid "Joining Generator"
 msgstr "Összekapcsolási generátor"
 
-#: ../hacks/config/maze.xml.h:9
+#: hacks/config/maze.xml.h:9
 msgid "Maze"
 msgstr "Labirintus"
 
-#: ../hacks/config/maze.xml.h:10
+#: hacks/config/maze.xml.h:10
 msgid "Post-Solve Delay"
 msgstr "Megoldás utáni várakozás"
 
-#: ../hacks/config/maze.xml.h:11
+#: hacks/config/maze.xml.h:11
 msgid "Pre-Solve Delay"
 msgstr "Megoldás előtti várakozás"
 
-#: ../hacks/config/maze.xml.h:12
+#: hacks/config/maze.xml.h:12
 msgid "Random Generator"
 msgstr "Véletlen generátor"
 
-#: ../hacks/config/maze.xml.h:13
+#: hacks/config/maze.xml.h:13
 msgid "Seeding Generator"
 msgstr "Inicializálási generátor"
 
-#: ../hacks/config/maze.xml.h:15
+#: hacks/config/maze.xml.h:15
 msgid "Solve Speed"
 msgstr "Megoldás sebessége"
 
-#. #### -surround-color [slateblue]
-#: ../hacks/config/maze.xml.h:17
+#: hacks/config/maze.xml.h:16
 msgid ""
 "This is the ancient X maze demo, modified to work with xscreensaver. It "
 "generates a random maze, then solves it with visual feedback. Originally by "
@@ -5361,27 +5692,27 @@
 "visszajelzéssel bejárja azt. Az eredeti verziót Jim Randell írta - több "
 "ezren módosítottak benne utólag."
 
-#: ../hacks/config/memscroller.xml.h:1
+#: hacks/config/memscroller.xml.h:1
 msgid "Draw Green"
 msgstr "Rajzolás zöldben"
 
-#: ../hacks/config/memscroller.xml.h:2
+#: hacks/config/memscroller.xml.h:2
 msgid "Draw Random Numbers"
 msgstr "Véletlen számok rajzolása"
 
-#: ../hacks/config/memscroller.xml.h:3
+#: hacks/config/memscroller.xml.h:3
 msgid "Draw in RGB"
 msgstr "Rajzolás RGB-ben"
 
-#: ../hacks/config/memscroller.xml.h:4
+#: hacks/config/memscroller.xml.h:4
 msgid "Dump Memory"
 msgstr "Memória kiírása"
 
-#: ../hacks/config/memscroller.xml.h:6
+#: hacks/config/memscroller.xml.h:6
 msgid "MemScroller"
 msgstr "Memóriagörgető"
 
-#: ../hacks/config/memscroller.xml.h:9
+#: hacks/config/memscroller.xml.h:9
 msgid ""
 "This draws a dump of its own process memory scrolling across the screen in "
 "three windows at three different rates. Written by Jamie Zawinski."
@@ -5389,11 +5720,11 @@
 "Ez a saját folyamatának memóriáját írja ki és görgeti a képernyőn három "
 "ablakban három különböző sebességgel. Írta Jamie Zawinski."
 
-#: ../hacks/config/menger.xml.h:6
+#: hacks/config/menger.xml.h:6
 msgid "Menger"
 msgstr "Menger"
 
-#: ../hacks/config/menger.xml.h:19
+#: hacks/config/menger.xml.h:19
 msgid ""
 "This draws the three-dimensional variant of the recursive Menger Gasket, a "
 "cube-based fractal object analagous to the Sierpinski Tetrahedron. Written "
@@ -5403,11 +5734,11 @@
 "egy kockán alapuló fraktálobjektum, a Sierpinski-féle tetraéder megfelelője. "
 "Írta Jamie Zawinski."
 
-#: ../hacks/config/metaballs.xml.h:1
+#: hacks/config/metaballs.xml.h:1
 msgid "Big"
 msgstr "Nagy"
 
-#: ../hacks/config/metaballs.xml.h:2
+#: hacks/config/metaballs.xml.h:2
 msgid ""
 "Draws two dimensional metaballs: overlapping and merging balls with fuzzy "
 "edges. By W.P. van Paassen."
@@ -5415,31 +5746,31 @@
 "Kétdimenziós metalabdákat rajzol: egymást átfedő és összemosódó labdákat "
 "homályos szélekkel. Írta W.P. van Paassen."
 
-#: ../hacks/config/metaballs.xml.h:7
+#: hacks/config/metaballs.xml.h:7
 msgid "MetaBall Movement"
 msgstr "Metalabdák mozgása"
 
-#: ../hacks/config/metaballs.xml.h:8
+#: hacks/config/metaballs.xml.h:8
 msgid "MetaBall Radius"
 msgstr "Metalabdák sugara"
 
-#: ../hacks/config/metaballs.xml.h:9
+#: hacks/config/metaballs.xml.h:9
 msgid "MetaBalls"
 msgstr "Metalabdák"
 
-#: ../hacks/config/metaballs.xml.h:11
+#: hacks/config/metaballs.xml.h:11
 msgid "Number of MetaBalls"
 msgstr "Metalabdák száma"
 
-#: ../hacks/config/mirrorblob.xml.h:4
+#: hacks/config/mirrorblob.xml.h:4
 msgid "Blobby"
 msgstr "Foltos"
 
-#: ../hacks/config/mirrorblob.xml.h:5 ../hacks/config/nerverot.xml.h:2
+#: hacks/config/mirrorblob.xml.h:5 hacks/config/nerverot.xml.h:2
 msgid "Calm"
 msgstr "Nyugodt"
 
-#: ../hacks/config/mirrorblob.xml.h:7
+#: hacks/config/mirrorblob.xml.h:7
 msgid ""
 "Draws a wobbly blob that distorts the image behind it. Requires OpenGL "
 "hardware acceleration for nice animation. Written by Jon Dowdall."
@@ -5447,55 +5778,55 @@
 "Egy imbolygó foltot rajzol, ami eltorzítja a mögötte lévő képet. Hardveres "
 "OpenGL gyorsítást igényel a szép animációhoz. Írta Jon Dowdall."
 
-#: ../hacks/config/mirrorblob.xml.h:8
+#: hacks/config/mirrorblob.xml.h:8
 msgid "Enable Background Image"
 msgstr "Háttérkép engedélyezése"
 
-#: ../hacks/config/mirrorblob.xml.h:9
+#: hacks/config/mirrorblob.xml.h:9
 msgid "Enable Colouring"
 msgstr "Színezés engedélyezése"
 
-#: ../hacks/config/mirrorblob.xml.h:10
+#: hacks/config/mirrorblob.xml.h:10
 msgid "Enable Reflected Image"
 msgstr "Visszavert kép engedélyezése"
 
-#: ../hacks/config/mirrorblob.xml.h:11
+#: hacks/config/mirrorblob.xml.h:11
 msgid "Enable Walls"
 msgstr "Falak engedélyezése"
 
-#: ../hacks/config/mirrorblob.xml.h:13
+#: hacks/config/mirrorblob.xml.h:13
 msgid "Field Points"
 msgstr "Mezőpontok"
 
-#: ../hacks/config/mirrorblob.xml.h:14
+#: hacks/config/mirrorblob.xml.h:14
 msgid "Freaky"
 msgstr "Ijesztő"
 
-#: ../hacks/config/mirrorblob.xml.h:15
+#: hacks/config/mirrorblob.xml.h:15
 msgid "MirrorBlob"
 msgstr "Tükörfolt"
 
-#: ../hacks/config/mirrorblob.xml.h:17
+#: hacks/config/mirrorblob.xml.h:17
 msgid "Offset Texture Coordinates"
 msgstr "Mintázat koordinátáinak eltolása"
 
-#: ../hacks/config/mirrorblob.xml.h:23
+#: hacks/config/mirrorblob.xml.h:23
 msgid "Very Freaky"
 msgstr "Nagyon ijesztő"
 
-#: ../hacks/config/mirrorblob.xml.h:25
+#: hacks/config/mirrorblob.xml.h:25
 msgid "X Resolution"
 msgstr "X felbontás"
 
-#: ../hacks/config/mirrorblob.xml.h:26
+#: hacks/config/mirrorblob.xml.h:26
 msgid "Y Resolution"
 msgstr "Y felbontás"
 
-#: ../hacks/config/mismunch.xml.h:5
+#: hacks/config/mismunch.xml.h:5
 msgid "Mismunch"
 msgstr "Mismunch"
 
-#: ../hacks/config/mismunch.xml.h:6
+#: hacks/config/mismunch.xml.h:6
 msgid ""
 "Munching errors! This is a creatively broken misimplementation of the "
 "classic munching squares graphics hack. Written by Steven Hazel."
@@ -5503,20 +5834,20 @@
 "Ez a klasszikus \"munching squares\" grafikus hack kreatívan elrontott "
 "megvalósítása. Írta Steven Hazel."
 
-#: ../hacks/config/mismunch.xml.h:7
+#: hacks/config/mismunch.xml.h:7
 msgid "One"
 msgstr "Egy"
 
-#: ../hacks/config/mismunch.xml.h:9
+#: hacks/config/mismunch.xml.h:9
 msgid "Simultaneous Squares"
 msgstr "Párhuzamos négyzetek"
 
-#: ../hacks/config/mismunch.xml.h:13 ../hacks/config/munch.xml.h:11
-#: ../hacks/config/qix.xml.h:26
+#: hacks/config/mismunch.xml.h:13 hacks/config/munch.xml.h:10
+#: hacks/config/qix.xml.h:26
 msgid "XOR"
 msgstr "XOR"
 
-#: ../hacks/config/moebius.xml.h:1
+#: hacks/config/moebius.xml.h:1
 msgid ""
 "Another M. C. Escher hack by Marcelo Vianna, this one draws ``Moebius Strip "
 "II,'' a GL image of ants walking along the surface of a moebius strip."
@@ -5525,35 +5856,52 @@
 "szalagot ábrázol: hangyák vándorolnak egy Möbius-szalag felszínén, OpenGL-es "
 "megjelenítéssel."
 
-#: ../hacks/config/moebius.xml.h:2
+#: hacks/config/moebius.xml.h:2
 msgid "Draw Ants"
 msgstr "Hangyák rajzolása"
 
-#: ../hacks/config/moebius.xml.h:4
+#: hacks/config/moebius.xml.h:4
 msgid "Mesh Floor"
 msgstr "Hálós padló"
 
-#: ../hacks/config/moebius.xml.h:5
+#: hacks/config/moebius.xml.h:5
 msgid "Moebius"
 msgstr "Moebius"
 
-#: ../hacks/config/moebius.xml.h:8
+#: hacks/config/moebius.xml.h:8
 msgid "Solid Floor"
 msgstr "Egyszínű padló"
 
-#: ../hacks/config/moebius.xml.h:9 ../hacks/config/qix.xml.h:20
+#: hacks/config/moebius.xml.h:9 hacks/config/qix.xml.h:20
 msgid "Solid Objects"
 msgstr "Egyszínű objektumok"
 
-#: ../hacks/config/moire.xml.h:6
+#: hacks/config/moire2.xml.h:1
+msgid ""
+"Another example of the fun you can have with moire interference patterns; "
+"this hack generates fields of concentric circles or ovals, and combines the "
+"planes with various operations. The planes are moving independently of one "
+"another, causing the interference lines to ``spray.'' Written by Jamie "
+"Zawinski."
+msgstr ""
+"Egy újabb példa mókás Moire-féle interferenciamintára. Koncentrikus körök "
+"vagy ellipszisek halmazát generálja, az egyes síkok között különféle "
+"műveleteket végezve. A síkok egymástól teljesen függetlenül mozognak, így az "
+"interferencia-vonalak fokozatosan szétszóródnak. Írta Jamie Zawinski."
+
+#: hacks/config/moire2.xml.h:4
+msgid "Moire2"
+msgstr "Moire2"
+
+#: hacks/config/moire.xml.h:6
 msgid "Moire"
 msgstr "Moire"
 
-#: ../hacks/config/moire.xml.h:8 ../hacks/config/rorschach.xml.h:6
+#: hacks/config/moire.xml.h:8 hacks/config/rorschach.xml.h:6
 msgid "Offset"
 msgstr "Eltolás"
 
-#: ../hacks/config/moire.xml.h:10
+#: hacks/config/moire.xml.h:10
 msgid ""
 "This one draws cool circular interference patterns. Most of the circles you "
 "see aren't explicitly rendered, but show up as a result of interactions "
@@ -5570,40 +5918,27 @@
 "egyszerű, néhány ciklusból és aritmetikai műveletből áll, így a képzeletbeli "
 "elegancia-skálán igen magas helyezést ér el."
 
-#: ../hacks/config/moire2.xml.h:1
-msgid ""
-"Another example of the fun you can have with moire interference patterns; "
-"this hack generates fields of concentric circles or ovals, and combines the "
-"planes with various operations. The planes are moving independently of one "
-"another, causing the interference lines to ``spray.'' Written by Jamie "
-"Zawinski."
-msgstr ""
-"Egy újabb példa mókás Moire-féle interferenciamintára. Koncentrikus körök "
-"vagy ellipszisek halmazát generálja, az egyes síkok között különféle "
-"műveleteket végezve. A síkok egymástól teljesen függetlenül mozognak, így az "
-"interferenciavonalak fokozatosan szétszóródnak. Írta Jamie Zawinski."
-
-#: ../hacks/config/moire2.xml.h:4
-msgid "Moire2"
-msgstr "Moire2"
-
-#: ../hacks/config/molecule.xml.h:3
+#: hacks/config/molecule.xml.h:3
 msgid "Describe Molecule"
 msgstr "A molekula leírása"
 
-#: ../hacks/config/molecule.xml.h:5
+#: hacks/config/molecule.xml.h:5
 msgid "Draw Atomic Bonds"
 msgstr "Atomi kötések rajzolása"
 
-#: ../hacks/config/molecule.xml.h:6
-msgid "Draw Atoms"
-msgstr "Atomok rajzolása"
+#: hacks/config/molecule.xml.h:6
+msgid "Draw Atomic Nuclei"
+msgstr "Atom nukleonjainak rajzolása"
 
-#: ../hacks/config/molecule.xml.h:7 ../hacks/config/spheremonics.xml.h:2
+#: hacks/config/molecule.xml.h:7 hacks/config/spheremonics.xml.h:2
 msgid "Draw Bounding Box"
 msgstr "Határoló doboz rajzolása"
 
-#: ../hacks/config/molecule.xml.h:8
+#: hacks/config/molecule.xml.h:8
+msgid "Draw Electron Shells"
+msgstr "Elektronhéjak rajzolása"
+
+#: hacks/config/molecule.xml.h:9
 msgid ""
 "Draws several different representations of molecules. Some common molecules "
 "are built in, and it can also read PDB (Protein Data Base) files as input. "
@@ -5613,19 +5948,19 @@
 "molekula adatai be vannak építve, de a program képes bemenetként PDB "
 "(Protein Data Base) fájlok feldolgozására is. Írta Jamie Zawinski."
 
-#: ../hacks/config/molecule.xml.h:11
+#: hacks/config/molecule.xml.h:12
 msgid "Label Atoms"
 msgstr "Atomok címkézése"
 
-#: ../hacks/config/molecule.xml.h:12
+#: hacks/config/molecule.xml.h:13
 msgid "Molecule"
 msgstr "Molekula"
 
-#: ../hacks/config/molecule.xml.h:13
+#: hacks/config/molecule.xml.h:14
 msgid "PDB File or Directory"
 msgstr "PDB fájl vagy könyvtár"
 
-#: ../hacks/config/morph3d.xml.h:1
+#: hacks/config/morph3d.xml.h:1
 msgid ""
 "Another 3d shape-changing GL hack, by Marcelo Vianna. It has the same shiny-"
 "plastic feel as Superquadrics, as many computer-generated objects do..."
@@ -5634,11 +5969,11 @@
 "Ugyanolyan fényes műanyagszerű hatást kelt, mint a Superquadrics, vagy sok "
 "más számítógép által renderelt objektum..."
 
-#: ../hacks/config/morph3d.xml.h:4
+#: hacks/config/morph3d.xml.h:4
 msgid "Morph3D"
 msgstr "Morph3D"
 
-#: ../hacks/config/mountain.xml.h:3
+#: hacks/config/mountain.xml.h:3
 msgid ""
 "Generates random 3d plots that look vaguely mountainous. Written by Pascal "
 "Pensa."
@@ -5646,12 +5981,11 @@
 "Véletlenszerű 3D-s ponthalmazokat rajzol ki, melyek halványan hegyekre "
 "emlékeztetnek. Írta Pascal Pensa."
 
-#: ../hacks/config/mountain.xml.h:5
+#: hacks/config/mountain.xml.h:5
 msgid "Mountain"
 msgstr "Hegy"
 
-#. #### -logminwidth [7]
-#: ../hacks/config/munch.xml.h:2
+#: hacks/config/munch.xml.h:1
 msgid ""
 "DATAI 2 ADDB 1,2 ROTC 2,-22 XOR 1,2 JRST .-4 As reported by HAKMEM, in 1962, "
 "Jackson Wright wrote the above PDP-1 code. That code still lives on in this "
@@ -5663,27 +5997,27 @@
 "évvel később még mindig jelen van ebben a képernyővédőben. A kísérő kód "
 "azonban időközben jelentősen kibővült. Ez a verzió Tim Showalter munkája."
 
-#: ../hacks/config/munch.xml.h:6
+#: hacks/config/munch.xml.h:5
 msgid "Munch"
 msgstr "Munch"
 
-#: ../hacks/config/nerverot.xml.h:1
+#: hacks/config/nerverot.xml.h:1
 msgid "Blot Count"
 msgstr "A foltok száma"
 
-#: ../hacks/config/nerverot.xml.h:3
+#: hacks/config/nerverot.xml.h:3
 msgid "Changes"
 msgstr "Módosítások"
 
-#: ../hacks/config/nerverot.xml.h:4
+#: hacks/config/nerverot.xml.h:4
 msgid "Colors"
 msgstr "Színek"
 
-#: ../hacks/config/nerverot.xml.h:5
+#: hacks/config/nerverot.xml.h:5
 msgid "Crunchiness"
 msgstr "Ropogósság"
 
-#: ../hacks/config/nerverot.xml.h:7
+#: hacks/config/nerverot.xml.h:7
 msgid ""
 "Draws different shapes composed of nervously vibrating squiggles, as if seen "
 "through a camera operated by a monkey on crack. By Dan Bornstein."
@@ -5692,76 +6026,71 @@
 "állnak, mintha egy veszett majom rögzítené a képet kamerával a kezében. Írta "
 "Dan Bornstein."
 
-#: ../hacks/config/nerverot.xml.h:10
+#: hacks/config/nerverot.xml.h:10
 msgid "Frequent"
 msgstr "Gyakori"
 
-#: ../hacks/config/nerverot.xml.h:16
+#: hacks/config/nerverot.xml.h:16
 msgid "NerveRot"
 msgstr "NerveRot"
 
-#: ../hacks/config/nerverot.xml.h:17
+#: hacks/config/nerverot.xml.h:17
 msgid "Nervousness"
 msgstr "Idegesség"
 
-#: ../hacks/config/nerverot.xml.h:18 ../hacks/config/pyro.xml.h:12
+#: hacks/config/nerverot.xml.h:18 hacks/config/pyro.xml.h:12
 msgid "Seldom"
 msgstr "Ritkán"
 
-#: ../hacks/config/nerverot.xml.h:21
+#: hacks/config/nerverot.xml.h:21
 msgid "Spastic"
 msgstr "Görcsös"
 
-#: ../hacks/config/noof.xml.h:1
+#: hacks/config/noof.xml.h:1
 msgid "Draws some rotatey patterns, using OpenGL. Written by Mark Kilgard."
 msgstr "Forgó mintákat rajzol, OpenGL használatával. Írta Mark Kilgard."
 
-#: ../hacks/config/noof.xml.h:3
+#: hacks/config/noof.xml.h:3
 msgid "Noof"
 msgstr "Noof"
 
-#. #### -text-background [?]
-#: ../hacks/config/noseguy.xml.h:2
+#: hacks/config/noseguy.xml.h:1
 msgid ""
 "A little man with a big nose wanders around your screen saying things. The "
-"things which he says can come from a file, or from an external program like "
-"`zippy' or `fortune'. This was extracted from `xnlock' by Dan Heller. "
-"Colorized by Jamie Zawinski."
-msgstr ""
-"Egy nagy orrú emberke jár körbe a képernyőn, mindenféle dolgokat mondva. A "
-"szöveg egy megadott fájlból vagy egy külső programból is származhat, például "
-"a \"zippy\"-ből vagy a \"fortune\"-ből. Az \"xnlock\" alapján készítette: "
-"Dan Heller. A színezést Jamie Zawinski végezte."
+"things which he says are the output of a program or the contents of a file "
+"or URL, as configured on the \"Advanced\" tab of the main Screensaver "
+"Preferences window. By Dan Heller and Jamie Zawinski."
+msgstr "Egy nagy orrú emberke jár körbe a képernyőn, mindenféle dolgokat mondva. A szöveg, amit mond, lehet egy program kimenete, vagy egy fájl vagy URL tartalma, ahogyan az a fő Képernyővédő beállításai ablak Bővített fülén be van állítva. Készítette: Dan Heller és Jamie Zawinski."
 
-#: ../hacks/config/noseguy.xml.h:3
+#: hacks/config/noseguy.xml.h:2
 msgid "Get Text from File"
 msgstr "A szöveg fájlból jöjjön"
 
-#: ../hacks/config/noseguy.xml.h:4
+#: hacks/config/noseguy.xml.h:3
 msgid "Get Text from Program"
 msgstr "A szöveg programból jöjjön"
 
-#: ../hacks/config/noseguy.xml.h:5
+#: hacks/config/noseguy.xml.h:4
 msgid "Noseguy"
 msgstr "Nagyorrú"
 
-#: ../hacks/config/noseguy.xml.h:7
+#: hacks/config/noseguy.xml.h:6
 msgid "Text File"
 msgstr "Szöveges fájl"
 
-#: ../hacks/config/noseguy.xml.h:9
+#: hacks/config/noseguy.xml.h:8
 msgid "Use Text Below"
 msgstr "Az alábbi szöveg használata"
 
-#: ../hacks/config/pacman.xml.h:2
+#: hacks/config/pacman.xml.h:2
 msgid "Pacman"
 msgstr "Pacman"
 
-#: ../hacks/config/pacman.xml.h:3
+#: hacks/config/pacman.xml.h:3
 msgid "Player Size"
 msgstr "Játékos mérete"
 
-#: ../hacks/config/pacman.xml.h:4
+#: hacks/config/pacman.xml.h:4
 msgid ""
 "Simulates a game of Pac-Man on a randomly-created level. Written by Edwin de "
 "Jong."
@@ -5769,12 +6098,11 @@
 "Pac-man játékot szimulál egy véletlenszerűen létrehozott szinten. Írta Edwin "
 "de Jong."
 
-#: ../hacks/config/pedal.xml.h:7
+#: hacks/config/pedal.xml.h:7
 msgid "Pedal"
 msgstr "Pedál"
 
-#. #### -background [black]
-#: ../hacks/config/pedal.xml.h:9
+#: hacks/config/pedal.xml.h:8
 msgid ""
 "This is sort of a combination spirograph/string-art. It generates a large, "
 "complex polygon, and lets the X server do the bulk of the work by giving it "
@@ -5786,33 +6114,33 @@
 "páratlan forgatási szabály alapján. Írta Dale Moore, régi PDP-11-es "
 "kódrészletek alapján."
 
-#: ../hacks/config/penetrate.xml.h:1
+#: hacks/config/penetrate.xml.h:1
 msgid "Always play well"
 msgstr "Mindig jól játsszon"
 
-#: ../hacks/config/penetrate.xml.h:2
+#: hacks/config/penetrate.xml.h:2
 msgid "Explosions"
 msgstr "Robbanások"
 
-#: ../hacks/config/penetrate.xml.h:5
+#: hacks/config/penetrate.xml.h:5
 msgid "Penetrate"
 msgstr "Áthatolás"
 
-#: ../hacks/config/penetrate.xml.h:7
+#: hacks/config/penetrate.xml.h:7
 msgid "Start badly, but learn"
 msgstr "Gyenge kezdés, de tanul"
 
-#: ../hacks/config/penetrate.xml.h:8
+#: hacks/config/penetrate.xml.h:8
 msgid ""
 "This hack simulates the classic arcade game Missile Command. Written by Adam "
 "Miller."
 msgstr "A klasszikus Missile Command játékot szimulálja a program. Írta Adam Miller."
 
-#: ../hacks/config/penrose.xml.h:3
+#: hacks/config/penrose.xml.h:3
 msgid "Draw Ammann Lines"
 msgstr "Ammann-vonalak húzása"
 
-#: ../hacks/config/penrose.xml.h:4
+#: hacks/config/penrose.xml.h:4
 msgid ""
 "Draws quasiperiodic tilings; think of the implications on modern formica "
 "technology. Written by Timo Korvola. In April 1997, Sir Roger Penrose, a "
@@ -5840,76 +6168,75 @@
 "parancsolni.\" Ez a történet a News of the Weird 491-es számában jelent meg, "
 "1997. július 4-én."
 
-#: ../hacks/config/penrose.xml.h:9
+#: hacks/config/penrose.xml.h:9
 msgid "Penrose"
 msgstr "Penrose"
 
-#: ../hacks/config/petri.xml.h:2
+#: hacks/config/petri.xml.h:2
 msgid "Colony Shape"
 msgstr "Kolónia formája"
 
-#: ../hacks/config/petri.xml.h:3
+#: hacks/config/petri.xml.h:3
 msgid "Death Comes"
 msgstr "Jön a Kaszás"
 
-#: ../hacks/config/petri.xml.h:4
+#: hacks/config/petri.xml.h:4
 msgid "Diamond"
 msgstr "Gyémánt"
 
-#: ../hacks/config/petri.xml.h:6
+#: hacks/config/petri.xml.h:6
 msgid "Fertility"
 msgstr "Termékenység"
 
-#: ../hacks/config/petri.xml.h:12
+#: hacks/config/petri.xml.h:12
 msgid "Maxium Lifespan"
 msgstr "Maximális élettartam"
 
-#: ../hacks/config/petri.xml.h:13
+#: hacks/config/petri.xml.h:13
 msgid "Maxium Rate of Death"
 msgstr "Maximális halálozási ráta"
 
-#: ../hacks/config/petri.xml.h:14
+#: hacks/config/petri.xml.h:14
 msgid "Maxium Rate of Growth"
 msgstr "Maximális növekedési ráta"
 
-#: ../hacks/config/petri.xml.h:15
+#: hacks/config/petri.xml.h:15
 msgid "Minium Lifespan"
 msgstr "Minimális élettartam"
 
-#: ../hacks/config/petri.xml.h:16
+#: hacks/config/petri.xml.h:16
 msgid "Minium Rate of Death"
 msgstr "Minimális halálozási ráta"
 
-#: ../hacks/config/petri.xml.h:17
+#: hacks/config/petri.xml.h:17
 msgid "Minium Rate of Growth"
 msgstr "Minimális növekedési ráta"
 
-#: ../hacks/config/petri.xml.h:18
+#: hacks/config/petri.xml.h:18
 msgid "Mold Varieties"
 msgstr "Penészváltozatok"
 
-#: ../hacks/config/petri.xml.h:19
+#: hacks/config/petri.xml.h:19
 msgid "Offspring"
 msgstr "Sarjadékok"
 
-#: ../hacks/config/petri.xml.h:20
+#: hacks/config/petri.xml.h:20
 msgid "Petri"
 msgstr "Petri"
 
-#: ../hacks/config/petri.xml.h:21
+#: hacks/config/petri.xml.h:21
 msgid "Quickly"
 msgstr "Gyorsan"
 
-#: ../hacks/config/petri.xml.h:24
+#: hacks/config/petri.xml.h:24
 msgid "Slowly"
 msgstr "Lassan"
 
-#: ../hacks/config/petri.xml.h:26
+#: hacks/config/petri.xml.h:26
 msgid "Square"
 msgstr "Négyzet"
 
-#. #### -mem-throttle [22M]
-#: ../hacks/config/petri.xml.h:28
+#: hacks/config/petri.xml.h:27
 msgid ""
 "This simulates colonies of mold growing in a petri dish. Growing colored "
 "circles overlap and leave spiral interference in their wake. Written by Dan "
@@ -5918,50 +6245,46 @@
 "Egy petri-csészében szaporodó egysejtűkolóniákat ábrázol. A növekvő színes "
 "körök átfedik egymást, spirális interferenciát keltve. Írta Dan Bornstein."
 
-#. #### -font [fixed]
-#: ../hacks/config/phosphor.xml.h:2
+#: hacks/config/phosphor.xml.h:1
 msgid ""
 "Draws a simulation of an old terminal, with large pixels and long-sustain "
-"phosphor. It can run any program as a source of the text it displays. "
-"Written by Jamie Zawinski."
+"phosphor. This program is also a fully-functional VT100 emulator! The text "
+"can be the output of a program or the contents of a file or URL, as "
+"configured on the \"Advanced\" tab of the main Screensaver Preferences "
+"window. Written by Jamie Zawinski."
 msgstr ""
-"Egy hagyományos terminál működését szimulálja, nagy képpontokkal, lassan "
-"elhalványuló foszforeszkáló kijelzővel. A megjelenített szöveg bármilyen "
-"programból származhat. Írta Jamie Zawinski."
+"Egy régi terminál működését szimulálja, nagy képpontokkal, lassan "
+"elhalványuló foszforeszkáló kijelzővel. A program ezen kívül egy teljes funkcionalitású VT-100 emulátor!  A szöveg lehet egy program kimenete, vagy egy fájl vagy URL tartalma, ahogyan az a fő Képernyővédő beállításai ablak Bővített fülén be van állítva. Írta Jamie Zawinski."
 
-#: ../hacks/config/phosphor.xml.h:3
+#: hacks/config/phosphor.xml.h:2
 msgid "Dump pipe"
 msgstr "Csővezeték kiírása"
 
-#: ../hacks/config/phosphor.xml.h:6
+#: hacks/config/phosphor.xml.h:5
 msgid "Phosphor"
 msgstr "Foszfor"
 
-#: ../hacks/config/phosphor.xml.h:7
-msgid "Scale"
-msgstr "Méretezés"
-
-#: ../hacks/config/phosphor.xml.h:11
+#: hacks/config/phosphor.xml.h:10
 msgid "Use PTY"
 msgstr "Pszeudoterminál használata"
 
-#: ../hacks/config/piecewise.xml.h:1
+#: hacks/config/piecewise.xml.h:1
 msgid "Color shifting speed"
 msgstr "Színek eltolásának sebessége"
 
-#: ../hacks/config/piecewise.xml.h:6
+#: hacks/config/piecewise.xml.h:6
 msgid "Maximum radius"
 msgstr "Legnagyobb sugár"
 
-#: ../hacks/config/piecewise.xml.h:7
+#: hacks/config/piecewise.xml.h:7
 msgid "Minimum radius"
 msgstr "Legkisebb sugár"
 
-#: ../hacks/config/piecewise.xml.h:8
+#: hacks/config/piecewise.xml.h:8
 msgid "Piecewise"
 msgstr "Piecewise"
 
-#: ../hacks/config/piecewise.xml.h:12
+#: hacks/config/piecewise.xml.h:12
 msgid ""
 "This draws a bunch of moving circles which switch from visibility to "
 "invisibility at intersection points. Written by Geoffrey Irving."
@@ -5969,60 +6292,59 @@
 "Egy csomó mozgó kört rajzol, amelyek a metszéspontokon láthatókból "
 "láthatatlanokká válnak. Írta Geoffrey Irving."
 
-#: ../hacks/config/pinion.xml.h:1
+#: hacks/config/pinion.xml.h:1
 msgid "100"
 msgstr "100"
 
-#: ../hacks/config/pinion.xml.h:2
+#: hacks/config/pinion.xml.h:2
 msgid "2000"
 msgstr "2000"
 
-#: ../hacks/config/pinion.xml.h:4
+#: hacks/config/pinion.xml.h:4
 msgid ""
 "Draws an interconnected set of gears moving across the screen. Written by "
 "Jamie Zawinski."
 msgstr ""
-"Ez a képernyőn áthaladó, összekapcsolódó fogaskerekek sorozatát rajzolja. Írta Jamie "
-"Zawinski."
+"Ez a képernyőn áthaladó, összekapcsolódó fogaskerekek sorozatát rajzolja. "
+"Írta Jamie Zawinski."
 
-#: ../hacks/config/pinion.xml.h:6
+#: hacks/config/pinion.xml.h:6
 msgid "Gear Size"
 msgstr "Fogaskerék mérete"
 
-#: ../hacks/config/pinion.xml.h:8
+#: hacks/config/pinion.xml.h:8
 msgid "Max RPM"
 msgstr "Max RPM"
 
-#: ../hacks/config/pinion.xml.h:9
+#: hacks/config/pinion.xml.h:9
 msgid "Pinion"
 msgstr "Fogaskerekek"
 
-#: ../hacks/config/pinion.xml.h:11
+#: hacks/config/pinion.xml.h:11
 msgid "Scrolling Speed"
 msgstr "Görgetés sebessége"
 
-#: ../hacks/config/pipes.xml.h:1
+#: hacks/config/pipes.xml.h:1
 msgid "Allow Tight Turns"
 msgstr "Éles kanyarok engedélyezése"
 
-#: ../hacks/config/pipes.xml.h:2
+#: hacks/config/pipes.xml.h:2
 msgid "Ball Joints"
 msgstr "Gömbölyű illesztések"
 
-#: ../hacks/config/pipes.xml.h:3
+#: hacks/config/pipes.xml.h:3
 msgid "Curved Pipes"
 msgstr "Hajlított csövek"
 
-#: ../hacks/config/pipes.xml.h:6
+#: hacks/config/pipes.xml.h:6
 msgid "Fisheye Lens"
 msgstr "Halszem lencsék"
 
-#: ../hacks/config/pipes.xml.h:7
+#: hacks/config/pipes.xml.h:7
 msgid "Gadgetry"
 msgstr "Bigyók"
 
-#. #### -no-rotatepipes
-#: ../hacks/config/pipes.xml.h:9
+#: hacks/config/pipes.xml.h:8
 msgid ""
 "If you've ever been in the same room with a Windows NT machine, you've "
 "probably seen this GL hack. This version is by Marcelo Vianna."
@@ -6030,68 +6352,68 @@
 "Ha már tartózkodott egy szobában Windows NT-s géppel, bizonyára látta már "
 "ezt az OpenGL-demót. Ezt a változatot Marcelo Vianna készítette."
 
-#: ../hacks/config/pipes.xml.h:10 ../hacks/config/substrate.xml.h:7
-#: ../hacks/config/wormhole.xml.h:4
+#: hacks/config/pipes.xml.h:9 hacks/config/substrate.xml.h:12
+#: hacks/config/wormhole.xml.h:4
 msgid "Lots"
 msgstr "Rengeteg"
 
-#: ../hacks/config/pipes.xml.h:12
+#: hacks/config/pipes.xml.h:11
 msgid "Number of Pipe Systems"
 msgstr "Csőrendszerek száma"
 
-#: ../hacks/config/pipes.xml.h:13
+#: hacks/config/pipes.xml.h:12
 msgid "Pipe Fittings"
 msgstr "Csőillesztések"
 
-#: ../hacks/config/pipes.xml.h:14
+#: hacks/config/pipes.xml.h:13
 msgid "Pipes"
 msgstr "Csövek"
 
-#: ../hacks/config/pipes.xml.h:18
+#: hacks/config/pipes.xml.h:17
 msgid "System Length"
 msgstr "Rendszer hossza"
 
-#: ../hacks/config/polyhedra.xml.h:2
+#: hacks/config/polyhedra.xml.h:2
 msgid "30 seconds"
 msgstr "30 másodperc"
 
-#: ../hacks/config/polyhedra.xml.h:4 ../hacks/config/sballs.xml.h:1
+#: hacks/config/polyhedra.xml.h:4 hacks/config/sballs.xml.h:1
 msgid "Cube"
 msgstr "Kocka"
 
-#: ../hacks/config/polyhedra.xml.h:5
+#: hacks/config/polyhedra.xml.h:5
 msgid "Cubitruncated Cuboctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:6
+#: hacks/config/polyhedra.xml.h:6
 msgid "Cuboctahedron"
 msgstr "Kuboktaéder"
 
-#: ../hacks/config/polyhedra.xml.h:7
+#: hacks/config/polyhedra.xml.h:7
 msgid "Cubohemioctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:8
+#: hacks/config/polyhedra.xml.h:8
 msgid "Deltoidal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:9
+#: hacks/config/polyhedra.xml.h:9
 msgid "Deltoidal Icositetrahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:10
+#: hacks/config/polyhedra.xml.h:10
 msgid "Disdyakisdodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:11
+#: hacks/config/polyhedra.xml.h:11
 msgid "Disdyakistriacontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:12
+#: hacks/config/polyhedra.xml.h:12
 msgid "Display Random Polyhedron"
 msgstr "Véletlen poliéder megjelenítése"
 
-#: ../hacks/config/polyhedra.xml.h:13
+#: hacks/config/polyhedra.xml.h:13
 msgid ""
 "Displays different 3D solids and some information about each. A new solid is "
 "chosen every few seconds. There are 75 uniform polyhedra, plus 5 inifite "
@@ -6103,591 +6425,591 @@
 "valamint 5 végtelen prizma- és antiprizmakészlet, duálisaikkal együtt "
 "összesen 160. Írta Dr. Zvi Har'El és Jamie Zawinski."
 
-#: ../hacks/config/polyhedra.xml.h:14
+#: hacks/config/polyhedra.xml.h:14
 msgid "Ditrigonal Dodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:15 ../hacks/config/sballs.xml.h:2
+#: hacks/config/polyhedra.xml.h:15 hacks/config/sballs.xml.h:2
 msgid "Dodecahedron"
 msgstr "Dodekaéder"
 
-#: ../hacks/config/polyhedra.xml.h:19
+#: hacks/config/polyhedra.xml.h:19
 msgid "Great Cubicuboctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:20
+#: hacks/config/polyhedra.xml.h:20
 msgid "Great Deltoidal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:21
+#: hacks/config/polyhedra.xml.h:21
 msgid "Great Deltoidal Icositetrahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:22
+#: hacks/config/polyhedra.xml.h:22
 msgid "Great Dirhombicosidodecacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:23
+#: hacks/config/polyhedra.xml.h:23
 msgid "Great Dirhombicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:24
+#: hacks/config/polyhedra.xml.h:24
 msgid "Great Disdyakisdodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:25
+#: hacks/config/polyhedra.xml.h:25
 msgid "Great Disdyakistriacontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:26
+#: hacks/config/polyhedra.xml.h:26
 msgid "Great Ditrigonal Dodecacronic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:27
+#: hacks/config/polyhedra.xml.h:27
 msgid "Great Ditrigonal Dodecicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:28
+#: hacks/config/polyhedra.xml.h:28
 msgid "Great Ditrigonal Icosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:29
+#: hacks/config/polyhedra.xml.h:29
 msgid "Great Dodecacronic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:30
+#: hacks/config/polyhedra.xml.h:30
 msgid "Great Dodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:31
+#: hacks/config/polyhedra.xml.h:31
 msgid "Great Dodecahedron"
 msgstr "Nagy dodekaéder"
 
-#: ../hacks/config/polyhedra.xml.h:32
+#: hacks/config/polyhedra.xml.h:32
 msgid "Great Dodecahemicosacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:33
+#: hacks/config/polyhedra.xml.h:33
 msgid "Great Dodecahemicosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:34
+#: hacks/config/polyhedra.xml.h:34
 msgid "Great Dodecahemidodecacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:35
+#: hacks/config/polyhedra.xml.h:35
 msgid "Great Dodecahemidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:36
+#: hacks/config/polyhedra.xml.h:36
 msgid "Great Dodecicosacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:37
+#: hacks/config/polyhedra.xml.h:37
 msgid "Great Dodecicosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:38
+#: hacks/config/polyhedra.xml.h:38
 msgid "Great Dodecicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:39
+#: hacks/config/polyhedra.xml.h:39
 msgid "Great Hexacronic Icositetrahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:40
+#: hacks/config/polyhedra.xml.h:40
 msgid "Great Hexagonal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:41
+#: hacks/config/polyhedra.xml.h:41
 msgid "Great Icosacronic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:42
+#: hacks/config/polyhedra.xml.h:42
 msgid "Great Icosahedron"
 msgstr "Nagy ikozaéder"
 
-#: ../hacks/config/polyhedra.xml.h:43
+#: hacks/config/polyhedra.xml.h:43
 msgid "Great Icosicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:44
+#: hacks/config/polyhedra.xml.h:44
 msgid "Great Icosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:45
+#: hacks/config/polyhedra.xml.h:45
 msgid "Great Icosihemidodecacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:46
+#: hacks/config/polyhedra.xml.h:46
 msgid "Great Icosihemidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:47
+#: hacks/config/polyhedra.xml.h:47
 msgid "Great Inverted Pentagonal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:48
+#: hacks/config/polyhedra.xml.h:48
 msgid "Great Inverted Snub Icosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:49
+#: hacks/config/polyhedra.xml.h:49
 msgid "Great Pentagonal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:50
+#: hacks/config/polyhedra.xml.h:50
 msgid "Great Pentagrammic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:51
+#: hacks/config/polyhedra.xml.h:51
 msgid "Great Pentakisdodekahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:52
+#: hacks/config/polyhedra.xml.h:52
 msgid "Great Retrosnub Icosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:53
+#: hacks/config/polyhedra.xml.h:53
 msgid "Great Rhombic Triacontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:54
+#: hacks/config/polyhedra.xml.h:54
 msgid "Great Rhombicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:55
+#: hacks/config/polyhedra.xml.h:55
 msgid "Great Rhombicuboctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:56
+#: hacks/config/polyhedra.xml.h:56
 msgid "Great Rhombidodecacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:57
+#: hacks/config/polyhedra.xml.h:57
 msgid "Great Rhombidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:58
+#: hacks/config/polyhedra.xml.h:58
 msgid "Great Rhombihexacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:59
+#: hacks/config/polyhedra.xml.h:59
 msgid "Great Rhombihexahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:60
+#: hacks/config/polyhedra.xml.h:60
 msgid "Great Snub Dodecicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:61
+#: hacks/config/polyhedra.xml.h:61
 msgid "Great Snub Icosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:62
+#: hacks/config/polyhedra.xml.h:62
 msgid "Great Stellapentakisdodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:63
+#: hacks/config/polyhedra.xml.h:63
 msgid "Great Stellated Dodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:64
+#: hacks/config/polyhedra.xml.h:64
 msgid "Great Stellated Truncated Dodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:65
+#: hacks/config/polyhedra.xml.h:65
 msgid "Great Triakisicosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:66
+#: hacks/config/polyhedra.xml.h:66
 msgid "Great Triakisoctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:67
+#: hacks/config/polyhedra.xml.h:67
 msgid "Great Triambic Icosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:68
+#: hacks/config/polyhedra.xml.h:68
 msgid "Great Truncated Cuboctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:69
+#: hacks/config/polyhedra.xml.h:69
 msgid "Great Truncated Icosahedron"
 msgstr "Nagy csonkított ikozaéder"
 
-#: ../hacks/config/polyhedra.xml.h:70
+#: hacks/config/polyhedra.xml.h:70
 msgid "Great Truncated Icosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:71
+#: hacks/config/polyhedra.xml.h:71
 msgid "Hexahemioctacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:72 ../hacks/config/sballs.xml.h:5
+#: hacks/config/polyhedra.xml.h:72 hacks/config/sballs.xml.h:5
 msgid "Icosahedron"
 msgstr "Ikozaéder"
 
-#: ../hacks/config/polyhedra.xml.h:73
+#: hacks/config/polyhedra.xml.h:73
 msgid "Icosidodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:74
+#: hacks/config/polyhedra.xml.h:74
 msgid "Icosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:75
+#: hacks/config/polyhedra.xml.h:75
 msgid "Icositruncated Dodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:76
+#: hacks/config/polyhedra.xml.h:76
 msgid "Inverted Snub Dodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:77
+#: hacks/config/polyhedra.xml.h:77
 msgid "Medial Deltoidal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:78
+#: hacks/config/polyhedra.xml.h:78
 msgid "Medial Disdyakistriacontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:79
+#: hacks/config/polyhedra.xml.h:79
 msgid "Medial Hexagonal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:80
+#: hacks/config/polyhedra.xml.h:80
 msgid "Medial Icosacronic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:81
+#: hacks/config/polyhedra.xml.h:81
 msgid "Medial Inverted Pentagonal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:82
+#: hacks/config/polyhedra.xml.h:82
 msgid "Medial Pentagonal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:83
+#: hacks/config/polyhedra.xml.h:83
 msgid "Medial Rhombic Triacontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:84
+#: hacks/config/polyhedra.xml.h:84
 msgid "Medial Triambic Icosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:86 ../hacks/config/sballs.xml.h:7
+#: hacks/config/polyhedra.xml.h:86 hacks/config/sballs.xml.h:7
 msgid "Octahedron"
 msgstr "Oktaéder"
 
-#: ../hacks/config/polyhedra.xml.h:87
+#: hacks/config/polyhedra.xml.h:87
 msgid "Octahemioctacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:88
+#: hacks/config/polyhedra.xml.h:88
 msgid "Octahemioctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:89
+#: hacks/config/polyhedra.xml.h:89
 msgid "Pentagonal Antiprism"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:90
+#: hacks/config/polyhedra.xml.h:90
 msgid "Pentagonal Deltohedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:91
+#: hacks/config/polyhedra.xml.h:91
 msgid "Pentagonal Dipyramid"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:92
+#: hacks/config/polyhedra.xml.h:92
 msgid "Pentagonal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:93
+#: hacks/config/polyhedra.xml.h:93
 msgid "Pentagonal Icositetrahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:94
+#: hacks/config/polyhedra.xml.h:94
 msgid "Pentagonal Prism"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:95
+#: hacks/config/polyhedra.xml.h:95
 msgid "Pentagrammic Antiprism"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:96
+#: hacks/config/polyhedra.xml.h:96
 msgid "Pentagrammic Concave Deltohedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:97
+#: hacks/config/polyhedra.xml.h:97
 msgid "Pentagrammic Crossed Antiprism"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:98
+#: hacks/config/polyhedra.xml.h:98
 msgid "Pentagrammic Deltohedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:99
+#: hacks/config/polyhedra.xml.h:99
 msgid "Pentagrammic Dipyramid"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:100
+#: hacks/config/polyhedra.xml.h:100
 msgid "Pentagrammic Prism"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:101
+#: hacks/config/polyhedra.xml.h:101
 msgid "Pentakisdodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:102
+#: hacks/config/polyhedra.xml.h:102
 msgid "Polyhedra"
 msgstr "Poliéder"
 
-#: ../hacks/config/polyhedra.xml.h:103
+#: hacks/config/polyhedra.xml.h:103
 msgid "Rhombic Dodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:104
+#: hacks/config/polyhedra.xml.h:104
 msgid "Rhombic Triacontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:105
+#: hacks/config/polyhedra.xml.h:105
 msgid "Rhombicosacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:106
+#: hacks/config/polyhedra.xml.h:106
 msgid "Rhombicosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:107
+#: hacks/config/polyhedra.xml.h:107
 msgid "Rhombicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:108
+#: hacks/config/polyhedra.xml.h:108
 msgid "Rhombicuboctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:109
+#: hacks/config/polyhedra.xml.h:109
 msgid "Rhombidodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:117
+#: hacks/config/polyhedra.xml.h:117
 msgid "Show Description"
 msgstr "Leírás mutatása"
 
-#: ../hacks/config/polyhedra.xml.h:120
+#: hacks/config/polyhedra.xml.h:120
 msgid "Small Cubicuboctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:121
+#: hacks/config/polyhedra.xml.h:121
 msgid "Small Ditrigonal Dodecacronic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:122
+#: hacks/config/polyhedra.xml.h:122
 msgid "Small Ditrigonal Dodecicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:123
+#: hacks/config/polyhedra.xml.h:123
 msgid "Small Ditrigonal Icosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:124
+#: hacks/config/polyhedra.xml.h:124
 msgid "Small Dodecacronic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:125
+#: hacks/config/polyhedra.xml.h:125
 msgid "Small Dodecahemicosacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:126
+#: hacks/config/polyhedra.xml.h:126
 msgid "Small Dodecahemicosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:127
+#: hacks/config/polyhedra.xml.h:127
 msgid "Small Dodecahemidodecacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:128
+#: hacks/config/polyhedra.xml.h:128
 msgid "Small Dodecahemidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:129
+#: hacks/config/polyhedra.xml.h:129
 msgid "Small Dodecicosacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:130
+#: hacks/config/polyhedra.xml.h:130
 msgid "Small Dodecicosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:131
+#: hacks/config/polyhedra.xml.h:131
 msgid "Small Dodecicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:132
+#: hacks/config/polyhedra.xml.h:132
 msgid "Small Hexacronic Icositetrahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:133
+#: hacks/config/polyhedra.xml.h:133
 msgid "Small Hexagonal Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:134
+#: hacks/config/polyhedra.xml.h:134
 msgid "Small Hexagrammic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:135
+#: hacks/config/polyhedra.xml.h:135
 msgid "Small Icosacronic Hexecontahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:136
+#: hacks/config/polyhedra.xml.h:136
 msgid "Small Icosicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:137
+#: hacks/config/polyhedra.xml.h:137
 msgid "Small Icosihemidodecacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:138
+#: hacks/config/polyhedra.xml.h:138
 msgid "Small Icosihemidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:139
+#: hacks/config/polyhedra.xml.h:139
 msgid "Small Retrosnub Icosicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:140
+#: hacks/config/polyhedra.xml.h:140
 msgid "Small Rhombidodecacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:141
+#: hacks/config/polyhedra.xml.h:141
 msgid "Small Rhombidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:142
+#: hacks/config/polyhedra.xml.h:142
 msgid "Small Rhombihexacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:143
+#: hacks/config/polyhedra.xml.h:143
 msgid "Small Rhombihexahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:144
+#: hacks/config/polyhedra.xml.h:144
 msgid "Small Snub Icosicosidodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:145
+#: hacks/config/polyhedra.xml.h:145
 msgid "Small Stellapentakisdodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:146
+#: hacks/config/polyhedra.xml.h:146
 msgid "Small Stellated Dodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:147
+#: hacks/config/polyhedra.xml.h:147
 msgid "Small Stellated Truncated Dodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:148
+#: hacks/config/polyhedra.xml.h:148
 msgid "Small Triambic Icosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:149
+#: hacks/config/polyhedra.xml.h:149
 msgid "Snub Cube"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:150
+#: hacks/config/polyhedra.xml.h:150
 msgid "Snub Dodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:151
+#: hacks/config/polyhedra.xml.h:151
 msgid "Snub Dodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:152
+#: hacks/config/polyhedra.xml.h:152
 msgid "Snub Icosidodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:153
+#: hacks/config/polyhedra.xml.h:153
 msgid "Stellated Truncated Hexahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:154
+#: hacks/config/polyhedra.xml.h:154
 msgid "Tetradyakishexahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:156
+#: hacks/config/polyhedra.xml.h:156
 msgid "Tetrahemihexacron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:157
+#: hacks/config/polyhedra.xml.h:157
 msgid "Tetrahemihexahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:158
+#: hacks/config/polyhedra.xml.h:158
 msgid "Tetrakishexahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:159
+#: hacks/config/polyhedra.xml.h:159
 msgid "Triakisicosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:160
+#: hacks/config/polyhedra.xml.h:160
 msgid "Triakisoctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:161
+#: hacks/config/polyhedra.xml.h:161
 msgid "Triakistetrahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:162
+#: hacks/config/polyhedra.xml.h:162
 msgid "Tridyakisicosahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:163
+#: hacks/config/polyhedra.xml.h:163
 msgid "Truncated Cube"
 msgstr "Csonkított kocka"
 
-#: ../hacks/config/polyhedra.xml.h:164
+#: hacks/config/polyhedra.xml.h:164
 msgid "Truncated Cuboctahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:165
+#: hacks/config/polyhedra.xml.h:165
 msgid "Truncated Dodecadodecahedron"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:166
+#: hacks/config/polyhedra.xml.h:166
 msgid "Truncated Dodecahedron"
 msgstr "Csonkított dodekaéder"
 
-#: ../hacks/config/polyhedra.xml.h:167
+#: hacks/config/polyhedra.xml.h:167
 msgid "Truncated Great Dodecahedron"
 msgstr "Csonkított nagy dodekaéder"
 
-#: ../hacks/config/polyhedra.xml.h:168
+#: hacks/config/polyhedra.xml.h:168
 msgid "Truncated Icosahedron"
 msgstr "Csonkított ikozaéder"
 
-#: ../hacks/config/polyhedra.xml.h:169
+#: hacks/config/polyhedra.xml.h:169
 msgid "Truncated Icosidodechedon"
 msgstr ""
 
-#: ../hacks/config/polyhedra.xml.h:170
+#: hacks/config/polyhedra.xml.h:170
 msgid "Truncated Octahedron"
 msgstr "Csonkított oktaéder"
 
-#: ../hacks/config/polyhedra.xml.h:171
+#: hacks/config/polyhedra.xml.h:171
 msgid "Truncated Tetrahedron"
 msgstr "Csonkított tetraéder"
 
-#: ../hacks/config/polyominoes.xml.h:3
+#: hacks/config/polyominoes.xml.h:3
 msgid "Identical Pieces"
 msgstr "Azonos darabok"
 
-#: ../hacks/config/polyominoes.xml.h:7
+#: hacks/config/polyominoes.xml.h:7
 msgid "Polyominoes"
 msgstr "Sokszögből álló elemek"
 
-#: ../hacks/config/polyominoes.xml.h:8
+#: hacks/config/polyominoes.xml.h:8
 msgid ""
 "Repeatedly attempts to completely fill a rectangle with irregularly-shaped "
 "puzzle pieces. Written by Stephen Montgomery-Smith."
@@ -6695,43 +7017,43 @@
 "Ismétlődően megpróbál teljesen kitölteni egy téglalapot szabálytalan alakú "
 "kirakódarabokkal. Írta: Stephen Montgomery-Smith."
 
-#: ../hacks/config/polytopes.xml.h:2
+#: hacks/config/polytopes.xml.h:2
 msgid "120-Cell"
 msgstr "120-oldalú"
 
-#: ../hacks/config/polytopes.xml.h:3
+#: hacks/config/polytopes.xml.h:3
 msgid "16-Cell (Hyper-Octahedron)"
 msgstr "16-oldalú (hiper-oktaéder)"
 
-#: ../hacks/config/polytopes.xml.h:4
+#: hacks/config/polytopes.xml.h:4
 msgid "24-Cell"
 msgstr "24-oldalú"
 
-#: ../hacks/config/polytopes.xml.h:6
+#: hacks/config/polytopes.xml.h:6
 msgid "5-Cell (Hyper-Tetrahedron)"
 msgstr "5-oldalú (hiper-tetraéder)"
 
-#: ../hacks/config/polytopes.xml.h:7
+#: hacks/config/polytopes.xml.h:7
 msgid "600-Cell"
 msgstr "600-oldalú"
 
-#: ../hacks/config/polytopes.xml.h:8
+#: hacks/config/polytopes.xml.h:8
 msgid "8-Cell (Hypercube / Tesseract)"
 msgstr "8-oldalú (hiperkocka)"
 
-#: ../hacks/config/polytopes.xml.h:9
+#: hacks/config/polytopes.xml.h:9
 msgid "Colors By 4D Depth"
 msgstr "Színek a 4D mélység szerint"
 
-#: ../hacks/config/polytopes.xml.h:17
+#: hacks/config/polytopes.xml.h:17
 msgid "Regular 4D Polytopes"
 msgstr "Szabályos 4D politópok"
 
-#: ../hacks/config/polytopes.xml.h:19
+#: hacks/config/polytopes.xml.h:19
 msgid "Single Color"
 msgstr "Egyszínű"
 
-#: ../hacks/config/polytopes.xml.h:22
+#: hacks/config/polytopes.xml.h:22
 msgid ""
 "This program shows one of the six regular 4D polytopes rotating in 4D. "
 "Written by Carsten Steger, inspired by H.S.M Coxeter's book \"Regular "
@@ -6745,11 +7067,11 @@
 "Geometry, Computer Graphics, and Higher Dimensions\", Scientific American "
 "Library, 1990. könyvei alapján."
 
-#: ../hacks/config/pong.xml.h:2
+#: hacks/config/pong.xml.h:2
 msgid "Pong"
 msgstr "Pong"
 
-#: ../hacks/config/pong.xml.h:6
+#: hacks/config/pong.xml.h:6
 msgid ""
 "The pong program simulates an ancient Pong home video game, as well as "
 "various artifacts from displaying it on a color TV set. Written by Jeremy "
@@ -6758,45 +7080,41 @@
 "A pong program az ősi Pong videojátékot szimulálja, valamint a színes "
 "tévékészüléken való megjelenítését. Írta Jeremy English és Trevor Blackwell."
 
-#: ../hacks/config/popsquares.xml.h:1
-msgid "Border"
-msgstr "Szegély"
-
-#: ../hacks/config/popsquares.xml.h:2
+#: hacks/config/popsquares.xml.h:2
 msgid "End color"
 msgstr "Befejező szín"
 
-#: ../hacks/config/popsquares.xml.h:7
+#: hacks/config/popsquares.xml.h:7
 msgid "Start color"
 msgstr "Induló szín"
 
-#: ../hacks/config/popsquares.xml.h:8
+#: hacks/config/popsquares.xml.h:8
 msgid "Subdivision"
 msgstr "Albeosztás"
 
-#: ../hacks/config/popsquares.xml.h:9
+#: hacks/config/popsquares.xml.h:9
 msgid "This draws a pop-art-ish looking grid of pulsing colors. By Levi Burton."
 msgstr ""
 "Ez egy pop-art-szerűen kinéző, pulzáló színekből álló rácsot rajzol. Írta "
 "Levi Burton."
 
-#: ../hacks/config/popsquares.xml.h:10
+#: hacks/config/popsquares.xml.h:10
 msgid "Twitch"
 msgstr "Rángatózás"
 
-#: ../hacks/config/popsquares.xml.h:11
+#: hacks/config/popsquares.xml.h:11
 msgid "popsquares"
 msgstr "popsquares"
 
-#: ../hacks/config/providence.xml.h:1
+#: hacks/config/providence.xml.h:1
 msgid "Draw Eye"
 msgstr "Szem rajzolása"
 
-#: ../hacks/config/providence.xml.h:3
+#: hacks/config/providence.xml.h:3
 msgid "Providence"
 msgstr "Providence"
 
-#: ../hacks/config/providence.xml.h:7
+#: hacks/config/providence.xml.h:7
 msgid ""
 "The providence code displays an eye, shrouded in glory, set upon the base of "
 "a pyramid. Written by Blair Tennessy."
@@ -6804,11 +7122,11 @@
 "A providence kódja egy glóriával körülvett szemet rajzol egy piramis "
 "alapjának tetején. Írta Blair Tennessy."
 
-#: ../hacks/config/pulsar.xml.h:1
+#: hacks/config/pulsar.xml.h:1
 msgid "Anti-alias Lines"
 msgstr "Vonalak élsimítása"
 
-#: ../hacks/config/pulsar.xml.h:3
+#: hacks/config/pulsar.xml.h:3
 msgid ""
 "Draws some intersecting planes, making use of alpha blending, fog, textures, "
 "and mipmaps, plus a ``frames per second'' meter so that you can tell how "
@@ -6818,99 +7136,99 @@
 "használatával, továbbá a \"képkocka per másodperc\" kijelzőn lemérhető, "
 "milyen gyors a videokártya... OpenGL-t igényel. Írta David Konerding."
 
-#: ../hacks/config/pulsar.xml.h:4
+#: hacks/config/pulsar.xml.h:4
 msgid "Enable Blending"
 msgstr "Színkeveredés engedélyezése"
 
-#: ../hacks/config/pulsar.xml.h:5
+#: hacks/config/pulsar.xml.h:5
 msgid "Enable Depth Buffer"
 msgstr "Mélységi puffer bekapcsolása"
 
-#: ../hacks/config/pulsar.xml.h:6
+#: hacks/config/pulsar.xml.h:6
 msgid "Enable Fog"
 msgstr "Köd bekapcsolása"
 
-#: ../hacks/config/pulsar.xml.h:7
+#: hacks/config/pulsar.xml.h:7
 msgid "Enable Lighting"
 msgstr "Megvilágítás bekapcsolása"
 
-#: ../hacks/config/pulsar.xml.h:8
+#: hacks/config/pulsar.xml.h:8
 msgid "Enable Texture Filtering"
 msgstr "Textúraszűrés bekapcsolása"
 
-#: ../hacks/config/pulsar.xml.h:9
+#: hacks/config/pulsar.xml.h:9
 msgid "Enable Texture Mipmaps"
 msgstr "Textúra-mipmap-ek engedélyezése"
 
-#: ../hacks/config/pulsar.xml.h:10
+#: hacks/config/pulsar.xml.h:10
 msgid "Enable Texturing"
 msgstr "Textúrázás bekapcsolása"
 
-#: ../hacks/config/pulsar.xml.h:12
+#: hacks/config/pulsar.xml.h:12
 msgid "Pulsar"
 msgstr "Pulzár"
 
-#: ../hacks/config/pulsar.xml.h:13
+#: hacks/config/pulsar.xml.h:13
 msgid "Quad Count"
 msgstr "Négyszögek száma"
 
-#: ../hacks/config/pulsar.xml.h:18
+#: hacks/config/pulsar.xml.h:18
 msgid "Texture PPM File"
 msgstr "Textúra PPM fájl"
 
-#: ../hacks/config/pyro.xml.h:3
+#: hacks/config/pyro.xml.h:3
 msgid "Explosive Yield"
 msgstr "Robbanási teljesítmény"
 
-#: ../hacks/config/pyro.xml.h:6
+#: hacks/config/pyro.xml.h:6
 msgid "Launch Frequency"
 msgstr "Kilövés gyakorisága"
 
-#: ../hacks/config/pyro.xml.h:9
+#: hacks/config/pyro.xml.h:9
 msgid "Particle Density"
 msgstr "Részecskesűrűség"
 
-#: ../hacks/config/pyro.xml.h:10
+#: hacks/config/pyro.xml.h:10
 msgid "Pyro"
-msgstr "Tüzijáték"
+msgstr "Tűzijáték"
 
-#: ../hacks/config/pyro.xml.h:11
+#: hacks/config/pyro.xml.h:11
 msgid "Pyro draws exploding fireworks. Blah blah blah. Written by Jamie Zawinski."
 msgstr "A Pyro robbanó tűzijátékot rajzol, bla-bla-bla. Írta Jamie Zawinski."
 
-#: ../hacks/config/qix.xml.h:1
+#: hacks/config/qix.xml.h:1
 msgid "Additive Colors"
 msgstr "Additív színek"
 
-#: ../hacks/config/qix.xml.h:3
+#: hacks/config/qix.xml.h:3
 msgid "Corners"
 msgstr "Sarkok"
 
-#: ../hacks/config/qix.xml.h:11
+#: hacks/config/qix.xml.h:11
 msgid "Line Segments"
 msgstr "Vonaldarabkák"
 
-#: ../hacks/config/qix.xml.h:12
+#: hacks/config/qix.xml.h:12
 msgid "Linear Motion"
 msgstr "Lineáris mozgás"
 
-#: ../hacks/config/qix.xml.h:15
+#: hacks/config/qix.xml.h:15
 msgid "Max Size"
 msgstr "Max. méret"
 
-#: ../hacks/config/qix.xml.h:16
+#: hacks/config/qix.xml.h:16
 msgid "Qix"
 msgstr "Qix"
 
-#: ../hacks/config/qix.xml.h:17
+#: hacks/config/qix.xml.h:17
 msgid "Random Motion"
 msgstr "Véletlen mozgás"
 
-#: ../hacks/config/qix.xml.h:23
+#: hacks/config/qix.xml.h:23
 msgid "Subtractive Colors"
 msgstr "Szubtraktív színek"
 
-#: ../hacks/config/qix.xml.h:24
+#: hacks/config/qix.xml.h:24
 msgid ""
 "This is the swiss army chainsaw of qix programs. It bounces a series of line "
 "segments around the screen, and uses variations on this basic motion pattern "
@@ -6923,15 +7241,15 @@
 "vonaldarabok, kitöltött sokszögek, egymást átfedő áttetsző területek... Írta "
 "Jamie Zawinski."
 
-#: ../hacks/config/qix.xml.h:25
+#: hacks/config/qix.xml.h:25
 msgid "Transparent"
 msgstr "Átlátszó"
 
-#: ../hacks/config/queens.xml.h:2
+#: hacks/config/queens.xml.h:2
 msgid "Queens"
 msgstr "Királynők"
 
-#: ../hacks/config/queens.xml.h:5
+#: hacks/config/queens.xml.h:5
 msgid ""
 "Solves the N-Queens problem (where, in this program, N is between 5 and 10 "
 "queens.) The problem is: how may one place N queens on an NxN chessboard "
@@ -6941,16 +7259,16 @@
 "között lehet). A feladvány: hogy lehet lerakni N számú vezért egy NxN "
 "nagyságú sakktáblára úgy, hogy ne üssék egymást? Írta Blair Tennessy"
 
-#: ../hacks/config/rd-bomb.xml.h:1
+#: hacks/config/rd-bomb.xml.h:1
 msgid "/"
 msgstr "/"
 
-#: ../hacks/config/rd-bomb.xml.h:3
+#: hacks/config/rd-bomb.xml.h:3
 #, no-c-format
 msgid "1%"
 msgstr "1%"
 
-#: ../hacks/config/rd-bomb.xml.h:7
+#: hacks/config/rd-bomb.xml.h:7
 msgid ""
 "Another variation of the `Bomb' program by Scott Draves. This draws a grid "
 "of growing square-like shapes that, once they overtake each other, react in "
@@ -6960,75 +7278,75 @@
 "négyzetekből álló rácsokat ábrázol, melyek egymásba nyúlva kiszámíthatatlan "
 "módon hatnak egymásra. Az \"RD\" jelentése: reakció-diffúzió."
 
-#: ../hacks/config/rd-bomb.xml.h:8
+#: hacks/config/rd-bomb.xml.h:8
 msgid "Epoch"
 msgstr "Kezdet"
 
-#: ../hacks/config/rd-bomb.xml.h:10
+#: hacks/config/rd-bomb.xml.h:10
 msgid "Fill Screen"
 msgstr "Képernyő feltöltése"
 
-#: ../hacks/config/rd-bomb.xml.h:14
+#: hacks/config/rd-bomb.xml.h:14
 msgid "RD-Bomb"
 msgstr "RD-bomba"
 
-#: ../hacks/config/rd-bomb.xml.h:15
+#: hacks/config/rd-bomb.xml.h:15
 msgid "Reaction/Difusion"
 msgstr "Reakció/diffúzió"
 
-#: ../hacks/config/rd-bomb.xml.h:16
+#: hacks/config/rd-bomb.xml.h:16
 msgid "Seed Radius"
 msgstr "Magsugár"
 
-#: ../hacks/config/rd-bomb.xml.h:19 ../hacks/config/twang.xml.h:12
+#: hacks/config/rd-bomb.xml.h:19 hacks/config/twang.xml.h:12
 msgid "Tile Size"
 msgstr "Csempeméret"
 
-#: ../hacks/config/rd-bomb.xml.h:22
+#: hacks/config/rd-bomb.xml.h:22
 msgid "Wander Speed"
 msgstr "Vándorlás sebessége"
 
-#: ../hacks/config/ripples.xml.h:1
+#: hacks/config/ripples.xml.h:1
 msgid "Big Drops"
 msgstr "Nagy cseppek"
 
-#: ../hacks/config/ripples.xml.h:2
+#: hacks/config/ripples.xml.h:2
 msgid "Colors    Two"
 msgstr "Színek     Kettő"
 
-#: ../hacks/config/ripples.xml.h:3
+#: hacks/config/ripples.xml.h:3
 msgid "Drizzle"
 msgstr "Szitáló eső"
 
-#: ../hacks/config/ripples.xml.h:5
+#: hacks/config/ripples.xml.h:5
 msgid "Grab Screen Image"
 msgstr "Képernyőkép használata"
 
-#: ../hacks/config/ripples.xml.h:6
+#: hacks/config/ripples.xml.h:6
 msgid "Lighting Effect"
 msgstr "Villám-effektus"
 
-#: ../hacks/config/ripples.xml.h:8
+#: hacks/config/ripples.xml.h:8
 msgid "Moving Splashes"
 msgstr "Mozgó foltok"
 
-#: ../hacks/config/ripples.xml.h:9
+#: hacks/config/ripples.xml.h:9
 msgid "Psychedelic Colors"
 msgstr "Pszichedelikus színek"
 
-#: ../hacks/config/ripples.xml.h:10
+#: hacks/config/ripples.xml.h:10
 msgid "Ripples"
 msgstr "Fodrozódás"
 
-#: ../hacks/config/ripples.xml.h:12
+#: hacks/config/ripples.xml.h:12
 msgid "Small Drops"
 msgstr "Kis cseppek"
 
-#: ../hacks/config/ripples.xml.h:13
+#: hacks/config/ripples.xml.h:13
 msgid "Storm"
 msgstr "Vihar"
 
-#: ../hacks/config/ripples.xml.h:14
+#: hacks/config/ripples.xml.h:14
 msgid ""
 "This draws rippling interference patterns like splashing water. With the -"
 "water option, it manipulates your desktop image to look like something is "
@@ -7038,20 +7356,19 @@
 "water opcióval a munkaasztal képét úgy dolgozza fel, mintha valami "
 "folyamatosan csepegne rá. Írta Tom Hammersley."
 
-#: ../hacks/config/rocks.xml.h:7
+#: hacks/config/rocks.xml.h:7
 msgid "Rocks"
 msgstr "Sziklák"
 
-#: ../hacks/config/rocks.xml.h:8
+#: hacks/config/rocks.xml.h:8
 msgid "Rotation"
 msgstr "Forgatás"
 
-#: ../hacks/config/rocks.xml.h:10
+#: hacks/config/rocks.xml.h:10
 msgid "Steering"
 msgstr "Elfordulás"
 
-#. #### -right3d [Red]
-#: ../hacks/config/rocks.xml.h:12
+#: hacks/config/rocks.xml.h:11
 msgid ""
 "This draws an animation of flight through an asteroid field, with changes in "
 "rotation and direction. It can also display 3D separations for red/blue "
@@ -7062,15 +7379,15 @@
 "is kapcsolható, ha 3D-s szemüveggel rendelkezik! A program nagyrészt Jamie "
 "Zawinski munkája."
 
-#: ../hacks/config/rocks.xml.h:14
+#: hacks/config/rocks.xml.h:13
 msgid "Velocity"
 msgstr "Sebesség"
 
-#: ../hacks/config/rorschach.xml.h:7
+#: hacks/config/rorschach.xml.h:7
 msgid "Rorschach"
 msgstr "Rorschach"
 
-#: ../hacks/config/rorschach.xml.h:9
+#: hacks/config/rorschach.xml.h:9
 msgid ""
 "This generates random inkblot patterns. The algorithm is deceptively simple "
 "for how well it works; it merely walks a dot around the screen randomly, and "
@@ -7084,15 +7401,15 @@
 "tükrözi. Ha különféle ábrákat ismer fel a pacákban, az csak az Ön "
 "képzeletének játéka lehet. Írta Jamie Zawinski."
 
-#: ../hacks/config/rorschach.xml.h:10
+#: hacks/config/rorschach.xml.h:10
 msgid "With X Symmetry"
 msgstr "X szimmetriával"
 
-#: ../hacks/config/rorschach.xml.h:11
+#: hacks/config/rorschach.xml.h:11
 msgid "With Y Symmetry"
 msgstr "Y szimmetriával"
 
-#: ../hacks/config/rotor.xml.h:1
+#: hacks/config/rotor.xml.h:1
 msgid ""
 "Another ancient xlock demo, this one by Tom Lawrence. It draws a line "
 "segment moving along a complex spiraling curve."
@@ -7100,19 +7417,19 @@
 "Ez is egy ősrégi xlock demó, Írta Tim Lawrence. Egy vonaldarabot rajzol meg, "
 "amely egy összetett spirális görbén mozog."
 
-#: ../hacks/config/rotor.xml.h:4 ../hacks/config/wander.xml.h:9
+#: hacks/config/rotor.xml.h:4 hacks/config/wander.xml.h:9
 msgid "Length"
 msgstr "Hossz"
 
-#: ../hacks/config/rotor.xml.h:8
+#: hacks/config/rotor.xml.h:8
 msgid "Rotor"
 msgstr "Rotor"
 
-#: ../hacks/config/rotzoomer.xml.h:3
+#: hacks/config/rotzoomer.xml.h:3
 msgid "Animate"
 msgstr "Animálás"
 
-#: ../hacks/config/rotzoomer.xml.h:4
+#: hacks/config/rotzoomer.xml.h:4
 msgid ""
 "Creates a collage of rotated and scaled portions of the screen. Written by "
 "Claudio Matsuoka."
@@ -7120,27 +7437,27 @@
 "A munkaasztal képének egyes darabjait elforgatva, átméretezve jeleníti meg. "
 "Írta Claudio Matsuoka."
 
-#: ../hacks/config/rotzoomer.xml.h:6
+#: hacks/config/rotzoomer.xml.h:6
 msgid "Rectangle Count"
 msgstr "Téglalapok száma"
 
-#: ../hacks/config/rotzoomer.xml.h:7
+#: hacks/config/rotzoomer.xml.h:7
 msgid "RotZoomer"
 msgstr "RotZoomer"
 
-#: ../hacks/config/rotzoomer.xml.h:8
+#: hacks/config/rotzoomer.xml.h:8
 msgid "Stationary Rectangles"
 msgstr "Álló téglalapok"
 
-#: ../hacks/config/rotzoomer.xml.h:9
+#: hacks/config/rotzoomer.xml.h:9
 msgid "Sweeping Arcs"
 msgstr "Széles körívek"
 
-#: ../hacks/config/rotzoomer.xml.h:11
+#: hacks/config/rotzoomer.xml.h:11
 msgid "Wandering Rectangles"
 msgstr "Vonuló téglalapok"
 
-#: ../hacks/config/rubik.xml.h:2
+#: hacks/config/rubik.xml.h:2
 msgid ""
 "Draws a Rubik's Cube that rotates in three dimensions and repeatedly "
 "shuffles and solves itself. Another fine GL hack by Marcelo Vianna."
@@ -7148,15 +7465,15 @@
 "Három dimenzióban forgó Rubik-kockát jelenít meg, mely folyamatosan változva "
 "mintegy kirakja saját magát. Egy újabb OpenGL-es hack Marcelo Viannától."
 
-#: ../hacks/config/rubik.xml.h:5
+#: hacks/config/rubik.xml.h:5
 msgid "Rubik"
 msgstr "Rubik"
 
-#: ../hacks/config/rubik.xml.h:7
+#: hacks/config/rubik.xml.h:7
 msgid "Show Shuffling"
 msgstr "Keverés mutatása"
 
-#: ../hacks/config/sballs.xml.h:3
+#: hacks/config/sballs.xml.h:3
 msgid ""
 "Draws an animation of textured balls spinning like crazy in GL. Requires "
 "OpenGL, and a machine with fast hardware support for texture maps. Written "
@@ -7166,27 +7483,27 @@
 "textúratérképekhez gyors hardvertámogatással rendelkező gép szükséges hozzá. "
 "Írta Eric Lassauge &lt;lassauge@users.sourceforge.net&gt;."
 
-#: ../hacks/config/sballs.xml.h:8
+#: hacks/config/sballs.xml.h:8
 msgid "Plane"
 msgstr "Sík"
 
-#: ../hacks/config/sballs.xml.h:9
+#: hacks/config/sballs.xml.h:9
 msgid "Pyramid"
 msgstr "Piramis"
 
-#: ../hacks/config/sballs.xml.h:11
+#: hacks/config/sballs.xml.h:11
 msgid "Sballs"
 msgstr "S-labdák"
 
-#: ../hacks/config/sballs.xml.h:15
+#: hacks/config/sballs.xml.h:15
 msgid "Star"
 msgstr "Csillag"
 
-#: ../hacks/config/shadebobs.xml.h:7
+#: hacks/config/shadebobs.xml.h:7
 msgid "ShadeBobs"
 msgstr "Árnyékvetületek"
 
-#: ../hacks/config/shadebobs.xml.h:11
+#: hacks/config/shadebobs.xml.h:11
 msgid ""
 "This draws smoothly-shaded oscillating oval patterns, that look something "
 "like vapor trails or neon tubes. Written by Shane Smit."
@@ -7194,11 +7511,23 @@
 "Ez lágyan árnyékolt, rezgő ovális alakú mintákat rajzol, ami gőznyomokra "
 "vagy neoncsövekre emlékeztet. Írta Shane Smit."
 
-#: ../hacks/config/sierpinski.xml.h:6
+#: hacks/config/sierpinski3d.xml.h:7
+msgid "Sierpinski3D"
+msgstr "Sierpinski3D"
+
+#: hacks/config/sierpinski3d.xml.h:11
+msgid ""
+"This draws the three-dimensional variant of the recursive Sierpinski "
+"triangle fractal, using GL. Written by Tim Robinson and Jamie Zawinski."
+msgstr ""
+"A rekurzív Sierpinski-féle háromszög-fraktál egy háromdimenziós variánsát "
+"jeleníti meg OpenGL-lel. Írta Tim Robinson és Jamie Zawinski."
+
+#: hacks/config/sierpinski.xml.h:6
 msgid "Sierpinski"
 msgstr "Sierpinski"
 
-#: ../hacks/config/sierpinski.xml.h:10
+#: hacks/config/sierpinski.xml.h:10
 msgid ""
 "This draws the two-dimensional variant of the recursive Sierpinski triangle "
 "fractal. Written by Desmond Daignault."
@@ -7206,32 +7535,20 @@
 "A rekurzív Sierpinski-féle háromszög-fraktál egy kétdimenziós variánsát "
 "jeleníti meg. Írta Desmond Daignault."
 
-#: ../hacks/config/sierpinski3d.xml.h:7
-msgid "Sierpinski3D"
-msgstr "Sierpinski3D"
-
-#: ../hacks/config/sierpinski3d.xml.h:11
-msgid ""
-"This draws the three-dimensional variant of the recursive Sierpinski "
-"triangle fractal, using GL. Written by Tim Robinson and Jamie Zawinski."
-msgstr ""
-"A rekurzív Sierpinski-féle háromszög-fraktál egy háromdimenziós variánsát "
-"jeleníti meg OpenGL-lel. Írta Tim Robinson és Jamie Zawinski."
-
-#: ../hacks/config/slidescreen.xml.h:1 ../hacks/config/twang.xml.h:1
-#: ../hacks/config/zoom.xml.h:1
+#: hacks/config/slidescreen.xml.h:1 hacks/config/twang.xml.h:1
+#: hacks/config/zoom.xml.h:1
 msgid "Border Width"
 msgstr "Szegély szélessége"
 
-#: ../hacks/config/slidescreen.xml.h:4
+#: hacks/config/slidescreen.xml.h:4
 msgid "Slide Speed"
 msgstr "Eltolás sebessége"
 
-#: ../hacks/config/slidescreen.xml.h:5
+#: hacks/config/slidescreen.xml.h:5
 msgid "SlideScreen"
 msgstr "Elcsúszó képernyők"
 
-#: ../hacks/config/slidescreen.xml.h:8
+#: hacks/config/slidescreen.xml.h:8
 msgid ""
 "This takes an image, divides it into a grid, and then randomly shuffles the "
 "squares around as if it was one of those annoying ``16-puzzle'' games, where "
@@ -7245,11 +7562,11 @@
 "bosszantóan nehéz tud lenni, sokkal szórakoztatóbb nézni az automatikus "
 "permutálódást. Írta Jamie Zawinski."
 
-#: ../hacks/config/slip.xml.h:6
+#: hacks/config/slip.xml.h:6
 msgid "Slip"
 msgstr "Slip"
 
-#: ../hacks/config/slip.xml.h:10
+#: hacks/config/slip.xml.h:10
 msgid ""
 "This program throws some random bits on the screen, then sucks them through "
 "a jet engine and spews them out the other side. To avoid turning the image "
@@ -7266,64 +7583,67 @@
 "munkaasztal képét kezdi átalakítani. Írta Scott Draves, továbbfejlesztette: "
 "Jamie Zawinski."
 
-#: ../hacks/config/sonar.xml.h:1
+#: hacks/config/sonar.xml.h:1
 msgid "Ping known hosts"
 msgstr "Isnert kiszolgálók pingelése"
 
-#: ../hacks/config/sonar.xml.h:2
+#: hacks/config/sonar.xml.h:2
 msgid "Ping mode..."
 msgstr "Pingelési mód..."
 
-#: ../hacks/config/sonar.xml.h:3
+#: hacks/config/sonar.xml.h:3
 msgid "Ping subnet/24 (254 hosts)"
 msgstr "Alhálózat/24 pingelése (254 gép)"
 
-#: ../hacks/config/sonar.xml.h:4
+#: hacks/config/sonar.xml.h:4
 msgid "Ping subnet/25 (126 hosts)"
 msgstr "Alhálózat/25 pingelése (126 gép)"
 
-#: ../hacks/config/sonar.xml.h:5
+#: hacks/config/sonar.xml.h:5
 msgid "Ping subnet/26 (62 hosts)"
 msgstr "Alhálózat/26 pingelése (62 gép)"
 
-#: ../hacks/config/sonar.xml.h:6
+#: hacks/config/sonar.xml.h:6
 msgid "Ping subnet/27 (31 hosts)"
 msgstr "Alhálózat/27 pingelése (31 gép)"
 
-#: ../hacks/config/sonar.xml.h:7
+#: hacks/config/sonar.xml.h:7
 msgid "Ping subnet/28 (14 hosts)"
 msgstr "Alhálózat/28 pingelése (14 gép)"
 
-#: ../hacks/config/sonar.xml.h:8
+#: hacks/config/sonar.xml.h:8
 msgid "Ping subnet/29 (6 hosts)"
 msgstr "Alhálózat/29 pingelése (6 gép)"
 
-#: ../hacks/config/sonar.xml.h:9
+#: hacks/config/sonar.xml.h:9
 msgid "Ping subnet/30 (2 hosts)"
 msgstr "Alhálózat/30 pingelése (2 gép)"
 
-#: ../hacks/config/sonar.xml.h:10
+#: hacks/config/sonar.xml.h:10
 msgid "Resolve Host Names"
 msgstr "Kiszolgálónevek feloldása"
 
-#: ../hacks/config/sonar.xml.h:11
+#: hacks/config/sonar.xml.h:11
+msgid "Show Ping Times"
+msgstr "Ping idők mutatása"
+
+#: hacks/config/sonar.xml.h:12
 msgid "Simulation Team Members"
 msgstr "Szimulált csapatok létszáma"
 
-#: ../hacks/config/sonar.xml.h:12
+#: hacks/config/sonar.xml.h:13
 msgid "Sonar"
 msgstr "Sonar"
 
-#: ../hacks/config/sonar.xml.h:13
+#: hacks/config/sonar.xml.h:14
 msgid "Team A Name"
 msgstr "A csapat neve"
 
-#: ../hacks/config/sonar.xml.h:14
+#: hacks/config/sonar.xml.h:15
 msgid "Team B Name"
 msgstr "B csapat neve"
 
-#. #### -ttl [90]
-#: ../hacks/config/sonar.xml.h:16
+#: hacks/config/sonar.xml.h:16
 msgid ""
 "This program draws a simulation of a sonar screen. By default, it displays a "
 "random assortment of ``bogies'' on the screen, but if installed as \"setuid "
@@ -7336,36 +7656,35 @@
 "ként lett telepítve, pingelheti az alhálózatot, megmutatva a hálózat egyéb "
 "gépeinek aktivitását. Írta Stephen Martin és Jamie Zawinski."
 
-#: ../hacks/config/sonar.xml.h:17
+#: hacks/config/sonar.xml.h:17
 msgid "vs."
 msgstr " - "
 
-#: ../hacks/config/speedmine.xml.h:1
+#: hacks/config/speedmine.xml.h:1
 msgid "Allow Wall Collisions"
 msgstr "Falütközések engedélyezése"
 
-#: ../hacks/config/speedmine.xml.h:2
+#: hacks/config/speedmine.xml.h:2
 msgid "Display Crosshair"
 msgstr "Célkereszt mutatása"
 
-#: ../hacks/config/speedmine.xml.h:7
+#: hacks/config/speedmine.xml.h:7
 msgid "Max Velocity"
 msgstr "Legnagyobb sebesség"
 
-#: ../hacks/config/speedmine.xml.h:8
+#: hacks/config/speedmine.xml.h:8
 msgid "Mine Shaft"
 msgstr "Bányaakna"
 
-#: ../hacks/config/speedmine.xml.h:9
+#: hacks/config/speedmine.xml.h:9
 msgid "Present Bonuses"
 msgstr "A jelenlegi bónuszok"
 
-#: ../hacks/config/speedmine.xml.h:10
+#: hacks/config/speedmine.xml.h:10
 msgid "Rocky Walls"
 msgstr "Sziklás falak"
 
-#. #### -psychedelic
-#: ../hacks/config/speedmine.xml.h:13
+#: hacks/config/speedmine.xml.h:12
 msgid ""
 "Simulates speeding down a rocky mineshaft, or a funky dancing worm. Written "
 "by Conrad Parker."
@@ -7373,32 +7692,23 @@
 "Egy bányaaknában való lefelé száguldást szimulál vagy egy táncoló kukacot. "
 "Írta Conrad Parker."
 
-#: ../hacks/config/speedmine.xml.h:17
+#: hacks/config/speedmine.xml.h:16
 msgid "SpeedMine"
 msgstr "SpeedMine"
 
-#: ../hacks/config/speedmine.xml.h:18
+#: hacks/config/speedmine.xml.h:17
 msgid "Thrust"
 msgstr "Tolóerő"
 
-#: ../hacks/config/speedmine.xml.h:20 ../hacks/config/worm.xml.h:11
+#: hacks/config/speedmine.xml.h:19 hacks/config/worm.xml.h:10
 msgid "Worm"
 msgstr "Kukac"
 
-#: ../hacks/config/sphere.xml.h:1
-msgid ""
-"Another of the classic screenhacks of the distant past, this one draws "
-"shaded spheres in multiple colors. This hack traces its lineage back to Tom "
-"Duff in 1982."
-msgstr ""
-"Egy klasszikus képernyővédő a hőskorból. Többféle színű árnyékolt gömböket "
-"jelenít meg. Az első változatát Tom Duff készítette 1982-ben."
-
-#: ../hacks/config/sphereeversion.xml.h:1
+#: hacks/config/sphereeversion.xml.h:1
 msgid "SphereEversion"
 msgstr "Gömbösödés"
 
-#: ../hacks/config/sphereeversion.xml.h:2
+#: hacks/config/sphereeversion.xml.h:2
 msgid ""
 "SphereEversion draws an animation of a sphere being turned inside out. A "
 "sphere can be turned inside out, without any tears, sharp creases or "
@@ -7415,15 +7725,15 @@
 "része az XScreenSaver csomagnak, de letölthető erről a címről: &lt;http://"
 "www.dgp.utoronto.ca/~mjmcguff/eversion/&gt;."
 
-#: ../hacks/config/spheremonics.xml.h:20
+#: hacks/config/spheremonics.xml.h:20
 msgid "Smoothed Lines"
 msgstr "Simított vonalak"
 
-#: ../hacks/config/spheremonics.xml.h:23
+#: hacks/config/spheremonics.xml.h:23
 msgid "Spheremonics"
 msgstr "Szférák"
 
-#: ../hacks/config/spheremonics.xml.h:24
+#: hacks/config/spheremonics.xml.h:24
 msgid ""
 "These closed objects are commonly called spherical harmonics, although they "
 "are only remotely related to the mathematical definition found in the "
@@ -7435,11 +7745,20 @@
 "definícióival, a legjelentősebbek ezek közül az impulzusmomentum "
 "operátorainak sajátfüggvényei. Írta Paul Bourke és Jamie Zawinski."
 
-#: ../hacks/config/spiral.xml.h:2 ../hacks/config/superquadrics.xml.h:2
+#: hacks/config/sphere.xml.h:1
+msgid ""
+"Another of the classic screenhacks of the distant past, this one draws "
+"shaded spheres in multiple colors. This hack traces its lineage back to Tom "
+"Duff in 1982."
+msgstr ""
+"Egy klasszikus képernyővédő a hőskorból. Többféle színű árnyékolt gömböket "
+"jelenít meg. Az első változatát Tom Duff készítette 1982-ben."
+
+#: hacks/config/spiral.xml.h:2 hacks/config/superquadrics.xml.h:2
 msgid "Cycles"
 msgstr "Körök"
 
-#: ../hacks/config/spiral.xml.h:7
+#: hacks/config/spiral.xml.h:7
 msgid ""
 "Moving circular patterns, by Peter Schmitzberger. Moving circular patterns "
 "means moire; interference patterns, of course."
@@ -7447,11 +7766,11 @@
 "Mozgó körökből álló mintát jelenít meg. Írta Peter Schmitzberger. A mozgó, "
 "körökből álló minták természetesen Moire-effektust jelentenek."
 
-#: ../hacks/config/spiral.xml.h:11
+#: hacks/config/spiral.xml.h:11
 msgid "Spiral"
 msgstr "Spirál"
 
-#: ../hacks/config/spotlight.xml.h:1
+#: hacks/config/spotlight.xml.h:1
 msgid ""
 "Draws a spotlight scanning across a black screen, illuminating the "
 "underlying desktop when it passes. Written by Rick Schultz."
@@ -7459,20 +7778,19 @@
 "A fekete képernyőt pásztázó reflektorfényt rajzol, amely megvilágítja az "
 "alatta lévő asztalt. Írta Rick Schultz."
 
-#: ../hacks/config/spotlight.xml.h:6
+#: hacks/config/spotlight.xml.h:6
 msgid "Spotlight"
 msgstr "Reflektorfény"
 
-#: ../hacks/config/sproingies.xml.h:3
+#: hacks/config/sproingies.xml.h:3
 msgid "Q-Bert meets Marble Madness! Written by Ed Mackey."
 msgstr "Q-Bert plusz Marble Madness! Írta Ed Mackey"
 
-#: ../hacks/config/sproingies.xml.h:9
+#: hacks/config/sproingies.xml.h:9
 msgid "Sproingies"
 msgstr "Sproingies"
 
-#. #### -cycle
-#: ../hacks/config/squiral.xml.h:4
+#: hacks/config/squiral.xml.h:3
 msgid ""
 "Draws a set of interacting, square-spiral-producing automata. The spirals "
 "grow outward until they hit something, then they go around it. Written by "
@@ -7482,31 +7800,31 @@
 "program. A spirálok kifelé nőnek egészen addig, amíg valamibe bele nem "
 "ütköznek - ekkor az objektumot megkerülik. Írta Jeff Epler."
 
-#: ../hacks/config/squiral.xml.h:6
+#: hacks/config/squiral.xml.h:5
 msgid "Handedness"
 msgstr "Bal- vagy jobbkezesség"
 
-#: ../hacks/config/squiral.xml.h:8
+#: hacks/config/squiral.xml.h:7
 msgid "Left"
 msgstr "Bal"
 
-#: ../hacks/config/squiral.xml.h:12 ../hacks/config/twang.xml.h:8
+#: hacks/config/squiral.xml.h:11 hacks/config/twang.xml.h:8
 msgid "Randomness"
 msgstr "Véletlenszerűség"
 
-#: ../hacks/config/squiral.xml.h:13
+#: hacks/config/squiral.xml.h:12
 msgid "Right"
 msgstr "Jobb"
 
-#: ../hacks/config/squiral.xml.h:18
+#: hacks/config/squiral.xml.h:17
 msgid "Squiral"
 msgstr "Squiral"
 
-#: ../hacks/config/ssystem.xml.h:1
+#: hacks/config/ssystem.xml.h:1
 msgid "SSystem"
 msgstr "Naprendszer"
 
-#: ../hacks/config/ssystem.xml.h:2
+#: hacks/config/ssystem.xml.h:2
 msgid ""
 "SSystem is a GL Solar System simulator. It simulates flybys of Sun, the nine "
 "planets and a few major satellites, with four camera modes. Written by Raul "
@@ -7533,11 +7851,11 @@
 "xscreensaverrel. Zaklassa nyugodtan a Celestia szerzőit az xscreensaver "
 "támogatás beépítéséért!"
 
-#: ../hacks/config/stairs.xml.h:6
+#: hacks/config/stairs.xml.h:6
 msgid "Stairs"
 msgstr "Lépcsők"
 
-#: ../hacks/config/stairs.xml.h:8
+#: hacks/config/stairs.xml.h:8
 msgid ""
 "by Marcelo Vianna's third Escher GL hack, this one draws an ``infinite'' "
 "staircase."
@@ -7545,20 +7863,19 @@
 "Marcelo Vianna harmadik Escher GL hack-je, ez egy \"végtelen\" lépcsőházat "
 "rajzol."
 
-#: ../hacks/config/starfish.xml.h:1
+#: hacks/config/starfish.xml.h:1
 msgid "Color Gradients"
 msgstr "Színátmenetek"
 
-#: ../hacks/config/starfish.xml.h:7
+#: hacks/config/starfish.xml.h:7
 msgid "Pulsating Blob"
 msgstr "Pulzáló folt"
 
-#: ../hacks/config/starfish.xml.h:10
+#: hacks/config/starfish.xml.h:10
 msgid "Starfish"
 msgstr "Tengeri csillag"
 
-#. #### -no-cycle
-#: ../hacks/config/starfish.xml.h:14
+#: hacks/config/starfish.xml.h:13
 msgid ""
 "This generates a sequence of undulating, throbbing, star-like patterns which "
 "pulsate, rotate, and turn inside out. Another display mode uses these shapes "
@@ -7569,69 +7886,51 @@
 "pulzálnak, forognak, kifordulnak. Egy másik módban az alakzatok cserélődő "
 "színmezőkre kerülnek. A mozgás nagyon organikus. Írta Jamie Zawinski."
 
-#: ../hacks/config/starwars.xml.h:2
+#: hacks/config/starwars.xml.h:2
 msgid "Anti-aliased Lines"
 msgstr "Élsimított vonalak"
 
-#: ../hacks/config/starwars.xml.h:3
-msgid "Centered Text"
-msgstr "Középre helyezett szöveg"
-
-#: ../hacks/config/starwars.xml.h:4
+#: hacks/config/starwars.xml.h:4
 msgid ""
 "Draws a stream of text slowly scrolling into the distance at an angle, over "
-"a star field, like at the beginning of the movie of the same name. Written "
-"by Jamie Zawinski and Claudio Matauoka."
+"a star field, like at the beginning of the movie of the same name. The text "
+"can be the output of a program or the contents of a file or URL, as "
+"configured on the \"Advanced\" tab of the main Screensaver Preferences "
+"window. Written by Jamie Zawinski and Claudio Matauoka."
 msgstr ""
 "Folyamatosan elgördülő, távolodó szöveget jelenít meg csillagmező fölött, "
-"hasonlóan a híres film nyitóképsorához. Írta Jamie Zawinski és Claudio "
+"hasonlóan az azonos című film nyitóképsorához. A szöveg lehet egy program kimenete, vagy egy fájl vagy URL tartalma, ahogyan az a fő Képernyővédő beállításai ablak Bővített fülén be van állítva. Írta Jamie Zawinski és Claudio "
 "Matauoka."
 
-#: ../hacks/config/starwars.xml.h:5
+#: hacks/config/starwars.xml.h:5
 msgid "Fade Out"
 msgstr "Elhalványulás"
 
-#: ../hacks/config/starwars.xml.h:7
-msgid "Flush Left Text"
-msgstr "Szöveg balra"
-
-#: ../hacks/config/starwars.xml.h:8
-msgid "Flush Right Text"
-msgstr "Szöveg jobbra"
-
-#: ../hacks/config/starwars.xml.h:9
-msgid "Font Point Size"
-msgstr "Betűméret pontokban"
-
-#: ../hacks/config/starwars.xml.h:10
+#: hacks/config/starwars.xml.h:10
 msgid "Scroll Speed"
 msgstr "Görgetés sebessége"
 
-#: ../hacks/config/starwars.xml.h:13
+#: hacks/config/starwars.xml.h:13
 msgid "Star Rotation Speed"
 msgstr "Csillagok forgatásának sebessége"
 
-#: ../hacks/config/starwars.xml.h:14
+#: hacks/config/starwars.xml.h:14
 msgid "StarWars"
 msgstr "Csillagok háborúja"
 
-#: ../hacks/config/starwars.xml.h:15
-msgid "Text Columns"
-msgstr "Szövegoszlopok"
-
-#: ../hacks/config/starwars.xml.h:16
-msgid "Text Lines"
-msgstr "Szövegsorok"
-
-#: ../hacks/config/starwars.xml.h:18
+#: hacks/config/starwars.xml.h:18
+msgid "Texture-Mapped Font"
+msgstr "Textúra-leképezett betűk"
+
+#: hacks/config/starwars.xml.h:19
 msgid "Thick Lines"
 msgstr "Vékony vonalak"
 
-#: ../hacks/config/starwars.xml.h:19
+#: hacks/config/starwars.xml.h:20
 msgid "Wrap Long Lines"
 msgstr "Hosszú sorok tördelése"
 
-#: ../hacks/config/stonerview.xml.h:1
+#: hacks/config/stonerview.xml.h:1
 msgid ""
 "Chains of colorful squares dance around each other in complex spiral "
 "patterns. Written by Andrew Plotkin, based on SGI's `electropaint' "
@@ -7641,15 +7940,15 @@
 "láncolatát jeleníti meg. Írta Andrew Plotkin, az SGI \"electropaint\" nevű "
 "képernyővédője alapján."
 
-#: ../hacks/config/stonerview.xml.h:3
+#: hacks/config/stonerview.xml.h:3
 msgid "StonerView"
 msgstr "StonerView"
 
-#: ../hacks/config/strange.xml.h:6
+#: hacks/config/strange.xml.h:6
 msgid "Strange"
 msgstr "Strange"
 
-#: ../hacks/config/strange.xml.h:7
+#: hacks/config/strange.xml.h:7
 msgid ""
 "This draws strange attractors: it's a colorful, unpredictably-animating "
 "field of dots that swoops and twists around. The motion is very nice. "
@@ -7659,30 +7958,42 @@
 "ponthalmazokat rajzol ki, melyek folyamatosan és kiszámíthatatlanul  "
 "mozognak, csavarodnak. A mozgás nagyon látványos. Írta Massimino Pascal."
 
-#: ../hacks/config/substrate.xml.h:4
+#: hacks/config/substrate.xml.h:2 hacks/config/xplanet.xml.h:2
+#, no-c-format
+msgid "0%"
+msgstr "0%"
+
+#: hacks/config/substrate.xml.h:5
+msgid "Circle Percentage"
+msgstr "Körvonalak százalékban"
+
+#: hacks/config/substrate.xml.h:9
 msgid "Initial Cracks"
 msgstr "Kezdő töréspontok"
 
-#: ../hacks/config/substrate.xml.h:5
+#: hacks/config/substrate.xml.h:10
 msgid ""
 "Lines like crystals grow on a computational substrate. A simple "
 "perpendicular growth rule creates intricate city-like structures. By J. "
 "Tarbell and Mike Kershaw."
-msgstr "Egy számítógépes szubsztrátumban kristályokként növekvő vonalakat rajzol. Egy egyszerű merőleges növekedési szabály bonyolult, város-szerű struktúrákat hoz létre. Írta J. Tarbell és Mike Kershaw."
+msgstr ""
+"Egy számítógépes szubsztrátumban kristályokként növekvő vonalakat rajzol. "
+"Egy egyszerű merőleges növekedési szabály bonyolult, város-szerű "
+"struktúrákat hoz létre. Írta J. Tarbell és Mike Kershaw."
 
-#: ../hacks/config/substrate.xml.h:8
+#: hacks/config/substrate.xml.h:13
 msgid "Sandgrains"
 msgstr "Homokszemek"
 
-#: ../hacks/config/substrate.xml.h:12
+#: hacks/config/substrate.xml.h:17
 msgid "Substrate"
 msgstr "Szubsztrátum"
 
-#: ../hacks/config/substrate.xml.h:13
+#: hacks/config/substrate.xml.h:18
 msgid "Wireframe only"
 msgstr "Csak drótváz"
 
-#: ../hacks/config/superquadrics.xml.h:3
+#: hacks/config/superquadrics.xml.h:3
 msgid ""
 "Ed Mackey reports that he wrote the first version of this program in BASIC "
 "on a Commodore 64 in 1987, as a 320x200 black and white wireframe. Now it is "
@@ -7692,11 +8003,11 @@
 "1987-ben, 320x200-as fekete-fehér drótvázzal. A mostani változat OpenGL-"
 "alapú, tükröződési effektusokkal."
 
-#: ../hacks/config/superquadrics.xml.h:11
+#: hacks/config/superquadrics.xml.h:11
 msgid "Superquadrics"
 msgstr "Szuperkvadrát"
 
-#: ../hacks/config/swirl.xml.h:4
+#: hacks/config/swirl.xml.h:4
 msgid ""
 "More flowing, swirly patterns. This version is by M. Dobie and R. Taylor, "
 "but you might have seen a Mac program similar to this called FlowFazer. "
@@ -7707,44 +8018,43 @@
 "Mac programban. Egy hasonló koncepción alapuló Java kisalkalmazás is "
 "elérhető."
 
-#: ../hacks/config/swirl.xml.h:8
+#: hacks/config/swirl.xml.h:8
 msgid "Swirl"
 msgstr "Swirl"
 
-#: ../hacks/config/t3d.xml.h:1
+#: hacks/config/t3d.xml.h:1
 msgid "0 deg"
 msgstr "0 fok"
 
-#: ../hacks/config/t3d.xml.h:2
+#: hacks/config/t3d.xml.h:2
 msgid "5 Minute Tick Marks"
 msgstr "5 percenkénti jelzések"
 
-#: ../hacks/config/t3d.xml.h:3
+#: hacks/config/t3d.xml.h:3
 msgid "90 deg"
 msgstr "90 fok"
 
-#: ../hacks/config/t3d.xml.h:4
+#: hacks/config/t3d.xml.h:4
 msgid "Bigger"
 msgstr "Nagyobb"
 
-#: ../hacks/config/t3d.xml.h:5
+#: hacks/config/t3d.xml.h:5
 msgid "Cycle Seconds"
 msgstr "Másodpercek váltása"
 
-#: ../hacks/config/t3d.xml.h:10
+#: hacks/config/t3d.xml.h:10
 msgid "Minute Tick Marks"
 msgstr "Percenkénti jelzések"
 
-#: ../hacks/config/t3d.xml.h:12
+#: hacks/config/t3d.xml.h:12
 msgid "Smaller"
 msgstr "Kisebb"
 
-#: ../hacks/config/t3d.xml.h:14
+#: hacks/config/t3d.xml.h:14
 msgid "T3D"
 msgstr "T3D"
 
-#. #### -hsv [?]
-#: ../hacks/config/t3d.xml.h:16
+#: hacks/config/t3d.xml.h:15
 msgid ""
 "This draws a working analog clock composed of floating, throbbing bubbles. "
 "Written by Bernd Paysan."
@@ -7752,29 +8062,29 @@
 "Olyan mutatós órát jelenít meg, mely lebegő, alakváltoztató buborékokból "
 "áll. Írta Bernd Paysan."
 
-#: ../hacks/config/t3d.xml.h:17
+#: hacks/config/t3d.xml.h:16
 msgid "Turn Side-to-Side"
 msgstr "Oldalról oldara fordítás"
 
-#: ../hacks/config/t3d.xml.h:18
+#: hacks/config/t3d.xml.h:17
 msgid "Wobbliness"
 msgstr "Imbolygósság"
 
-#: ../hacks/config/thornbird.xml.h:1
+#: hacks/config/thornbird.xml.h:1
 msgid ""
 "Displays a view of the ``Bird in a Thornbush'' fractal. Written by Tim "
 "Auckland."
 msgstr "Egy \"Madár a tövisbokorban\" fraktált rajzol ki. Írta Tim Auckland."
 
-#: ../hacks/config/thornbird.xml.h:6
+#: hacks/config/thornbird.xml.h:6
 msgid "Points"
 msgstr "Pontok"
 
-#: ../hacks/config/thornbird.xml.h:12
+#: hacks/config/thornbird.xml.h:12
 msgid "Thornbird"
 msgstr "Tövismadár"
 
-#: ../hacks/config/triangle.xml.h:2
+#: hacks/config/triangle.xml.h:2
 msgid ""
 "Generates random mountain ranges using iterative subdivision of triangles. "
 "Written by Tobias Gloth."
@@ -7782,12 +8092,11 @@
 "Véletlenszerű hegyvonulatokat rajzol háromszögek iterált felosztása "
 "segítségével. Írta Tobias Gloth."
 
-#: ../hacks/config/triangle.xml.h:7
+#: hacks/config/triangle.xml.h:7
 msgid "Triangle"
 msgstr "Háromszög"
 
-#. #### -anim-step-size [3]
-#: ../hacks/config/truchet.xml.h:5
+#: hacks/config/truchet.xml.h:4
 msgid ""
 "This draws line- and arc-based Truchet patterns that tile the screen. "
 "Written by Adrian Likins."
@@ -7795,50 +8104,49 @@
 "Vonalakból és ívekből álló Truchet-mintákat rajzol, melyek betöltik az egész "
 "képernyőt. Írta Adrian Likins."
 
-#: ../hacks/config/truchet.xml.h:6
+#: hacks/config/truchet.xml.h:5
 msgid "Truchet"
 msgstr "Truchet"
 
-#: ../hacks/config/twang.xml.h:2
+#: hacks/config/twang.xml.h:2
 msgid "Divides the screen into a grid, and plucks them. Written by Dan Bornstein."
 msgstr ""
 "A képernyőt rácsszerűen felosztja, majd a részeket mozgatja. Írta Dan "
 "Bornstein."
 
-#: ../hacks/config/twang.xml.h:6
+#: hacks/config/twang.xml.h:6
 msgid "Jumpy"
 msgstr "Ugrálós"
 
-#: ../hacks/config/twang.xml.h:11
+#: hacks/config/twang.xml.h:11
 msgid "Springiness"
 msgstr "Ruganyosság"
 
-#: ../hacks/config/twang.xml.h:13
+#: hacks/config/twang.xml.h:13
 msgid "Transference"
 msgstr "Átvitel"
 
-#: ../hacks/config/twang.xml.h:14
+#: hacks/config/twang.xml.h:14
 msgid "Twang"
 msgstr "Pengetés"
 
-#. #### -instring [?]
-#: ../hacks/config/vermiculate.xml.h:2
+#: hacks/config/vermiculate.xml.h:1
 msgid "Draws squiggly worm-like paths. Written by Tyler Pierce."
 msgstr "Tekergőző, féreg-szerű útvonalakat rajzol. Írta Tyler Pierce."
 
-#: ../hacks/config/vermiculate.xml.h:3
+#: hacks/config/vermiculate.xml.h:2
 msgid "Vermiculate"
 msgstr "Féregminta"
 
-#: ../hacks/config/vidwhacker.xml.h:2 ../hacks/config/webcollage.xml.h:2
+#: hacks/config/vidwhacker.xml.h:2
 msgid "2 seconds"
 msgstr "2 másodperc"
 
-#: ../hacks/config/vidwhacker.xml.h:4
+#: hacks/config/vidwhacker.xml.h:4
 msgid "Image Directory"
 msgstr "Képkönyvtár"
 
-#: ../hacks/config/vidwhacker.xml.h:5
+#: hacks/config/vidwhacker.xml.h:5
 msgid ""
 "This is actually just a shell script that grabs a frame of video from the "
 "system's video input, and then uses some PBM filters (chosen at random) to "
@@ -7854,11 +8162,11 @@
 "másodpercig megmutatja, majd minden kezdődik elölről. Igen érdekes "
 "effektusokat tud generálni televíziós adásból."
 
-#: ../hacks/config/vidwhacker.xml.h:6
+#: hacks/config/vidwhacker.xml.h:6
 msgid "VidWhacker"
 msgstr "VidWhacker"
 
-#: ../hacks/config/vines.xml.h:6
+#: hacks/config/vines.xml.h:6
 msgid ""
 "This one generates a continuous sequence of small, curvy geometric patterns. "
 "It scatters them around your screen until it fills up, then it clears the "
@@ -7868,62 +8176,76 @@
 "szétszóródnak a képernyőn, majd amikor az betelik, letisztítja és kezdődik "
 "minden elölről. Írta Tracy Camp és David Hansen."
 
-#: ../hacks/config/vines.xml.h:8
+#: hacks/config/vines.xml.h:8
 msgid "Vines"
 msgstr "Indák"
 
-#: ../hacks/config/wander.xml.h:5
+#: hacks/config/wander.xml.h:5
 msgid "Draw Spots"
 msgstr "Pontok rajzolása"
 
-#: ../hacks/config/wander.xml.h:6
+#: hacks/config/wander.xml.h:6
 msgid "Draws a colorful random-walk, in various forms. Written by Rick Campbell."
 msgstr ""
 "Színes, véletlenszerű útvonalat rajzol, különféle alakzatokkal. Írta Rick "
 "Campbell."
 
-#: ../hacks/config/wander.xml.h:14
+#: hacks/config/wander.xml.h:14
 msgid "Sustain"
 msgstr "Fenntartás"
 
-#: ../hacks/config/webcollage.xml.h:3
+#: hacks/config/webcollage.xml.h:1
+msgid "2 min"
+msgstr "2 perc"
+
+#: hacks/config/webcollage.xml.h:2
+msgid "30 secs"
+msgstr "30 másodperc"
+
+#: hacks/config/webcollage.xml.h:3
+msgid "Delay:                    None"
+msgstr "Késleltetés:          Nincs"
+
+#: hacks/config/webcollage.xml.h:4
 msgid "Dictionary File"
 msgstr "Szótárfájl"
 
-#: ../hacks/config/webcollage.xml.h:5
+#: hacks/config/webcollage.xml.h:5
+msgid "Opacity:      Transparent"
+msgstr "Átlátszóság:      Átlátszó"
+
+#: hacks/config/webcollage.xml.h:6
 msgid "Overall Filter Program"
 msgstr "Általános szűrőprogram"
 
-#: ../hacks/config/webcollage.xml.h:6
+#: hacks/config/webcollage.xml.h:7
 msgid "Per-Image Filter Program"
 msgstr "Képenkénti szűrőprogram"
 
-#: ../hacks/config/webcollage.xml.h:9
+#: hacks/config/webcollage.xml.h:9
 msgid ""
 "This program makes collages out of random images pulled off of the World "
 "Wide Web. It finds these images by doing random web searches, and then "
 "extracting images from the returned pages. It can also be set up to filter "
-"the images through the `VidWhacker' program, above, which looks really "
-"great. (Note that most of the images it finds are text, and not pictures. "
-"This is because most of the web is pictures of text. Which is pretty sad.) "
-"Written by Jamie Zawinski."
+"the images through the `VidWhacker' program. WARNING: THE INTERNET SOMETIMES "
+"CONTAINS PORNOGRAPHY. The Internet being what it is, absolutely anything "
+"might show up in the collage including -- quite possibly -- pornography, or "
+"even nudity. Please act accordingly. Written by Jamie Zawinski."
 msgstr ""
 "A program kollázst állít össze az internetről véletlenszerűen letöltött "
 "képekből. Véletlenszerű keresések eredményét dolgozza fel, a talált "
 "oldalakból kinyert képekkel. A kapott képek megszűrhetők a \"VidWhacker\" "
-"programmal, nagyszerű eredményekkel. Megjegyzés: a megtalált anyagok nagy "
-"része szöveg, nem valódi kép. A web nagy része ugyanis szöveges információt "
-"tartalmazó kép, sajnos. Írta Jamie Zawinski."
-
-#: ../hacks/config/webcollage.xml.h:10
-msgid "URL Timeout"
-msgstr "URL időtúllépés"
-
-#: ../hacks/config/webcollage.xml.h:11
+"programmal. FIGYELMEZTETÉS: AZ INTERNET NÉHOL PORNOGRÁFIÁT TARTALMAZ. Az internet az, ami, akármi megjelenhet a kollázsban, beleértve -- elég nagy valószínűséggel -- a pornográfiát vagy a meztelenséget. Kérem ennek megfelelően cselekedjen. Írta Jamie Zawinski."
+
+#: hacks/config/webcollage.xml.h:10
+msgid "URL Timeout:     2 secs"
+msgstr "URL időtúllépés:     2 másodperc"
+
+#: hacks/config/webcollage.xml.h:11
 msgid "WebCollage"
 msgstr "Web kollázs"
 
-#: ../hacks/config/whirlwindwarp.xml.h:2
+#: hacks/config/whirlwindwarp.xml.h:2
 msgid ""
 "Floating stars are acted upon by a mixture of simple 2D forcefields. The "
 "strength of each forcefield changes continuously, and it is also switched on "
@@ -7933,99 +8255,89 @@
 "erőssége folyamatosan változik, véletlenszerűen ki-be kapcsolódik. Írta Paul "
 "'Joey' Clark."
 
-#: ../hacks/config/whirlwindwarp.xml.h:7
+#: hacks/config/whirlwindwarp.xml.h:7
 msgid "Trail Size"
 msgstr "Nyom mérete"
 
-#: ../hacks/config/whirlwindwarp.xml.h:8
+#: hacks/config/whirlwindwarp.xml.h:8
 msgid "WhirlwindWarp"
 msgstr "Örvénylés"
 
-#: ../hacks/config/whirlygig.xml.h:1
+#: hacks/config/whirlygig.xml.h:1
 msgid "Amplitude"
 msgstr "Amplitúdó"
 
-#: ../hacks/config/whirlygig.xml.h:2
+#: hacks/config/whirlygig.xml.h:2
 msgid "Circle"
 msgstr "Kör"
 
-#: ../hacks/config/whirlygig.xml.h:3
+#: hacks/config/whirlygig.xml.h:3
 msgid "Draws zooming chains of sinusoidal spots. Written by Ashton Trey Belew."
 msgstr ""
 "Változó méretű foltok láncaiból álló szinuszoidokat rajzol. Írta Ashton Trey "
 "Belew."
 
-#: ../hacks/config/whirlygig.xml.h:4
+#: hacks/config/whirlygig.xml.h:4
 msgid "Explain modes"
 msgstr "Módok leírása"
 
-#: ../hacks/config/whirlygig.xml.h:5
+#: hacks/config/whirlygig.xml.h:5
 msgid "Fun"
 msgstr "Mókás"
 
-#: ../hacks/config/whirlygig.xml.h:6
+#: hacks/config/whirlygig.xml.h:6
 msgid "Funky"
 msgstr "Funky"
 
-#: ../hacks/config/whirlygig.xml.h:7
+#: hacks/config/whirlygig.xml.h:7
 msgid "Innie"
 msgstr "Innie"
 
-#: ../hacks/config/whirlygig.xml.h:8
+#: hacks/config/whirlygig.xml.h:8
 msgid "Leave a trail"
 msgstr "Nyomot hagy"
 
-#: ../hacks/config/whirlygig.xml.h:9
+#: hacks/config/whirlygig.xml.h:9
 msgid "Linear"
 msgstr "Lineáris"
 
-#: ../hacks/config/whirlygig.xml.h:11
+#: hacks/config/whirlygig.xml.h:11
 msgid "Lissajous"
 msgstr "Lissajous"
 
-#: ../hacks/config/whirlygig.xml.h:15
+#: hacks/config/whirlygig.xml.h:15
 msgid "Test"
 msgstr "Teszt"
 
-#: ../hacks/config/whirlygig.xml.h:16
+#: hacks/config/whirlygig.xml.h:16
 msgid "Use Double Buffering"
 msgstr "Dupla pufferelés használata"
 
-#: ../hacks/config/whirlygig.xml.h:17
+#: hacks/config/whirlygig.xml.h:17
 msgid "Whirlies"
 msgstr "Kis örvények"
 
-#: ../hacks/config/whirlygig.xml.h:18
+#: hacks/config/whirlygig.xml.h:18
 msgid "WhirlyGig"
 msgstr "WhirlyGig"
 
-#: ../hacks/config/whirlygig.xml.h:19
+#: hacks/config/whirlygig.xml.h:19
 msgid "Wrap the screen"
 msgstr "Képernyő tördelése"
 
-#. #### -3d
-#: ../hacks/config/worm.xml.h:2
-msgid ""
-"An ancient xlock hack that draws multicolored worms that crawl around the "
-"screen. Written by Brad Taylor, Dave Lemke, Boris Putanec, and Henrik "
-"Theiling."
-msgstr ""
-"Egy ősi x képernyővédő hack, ami sokszínű, a képernyőt körbekúszó férgeket "
-"rajzol. Írta Brad Taylor, Dave Lemke, Boris Putanec és Henrik Theiling."
-
-#: ../hacks/config/wormhole.xml.h:6
+#: hacks/config/wormhole.xml.h:6
 msgid "Star speed"
 msgstr "Csillagok sebessége"
 
-#: ../hacks/config/wormhole.xml.h:7
+#: hacks/config/wormhole.xml.h:7
 msgid "Stars Created"
 msgstr "Létrejövő csillagok"
 
-#: ../hacks/config/wormhole.xml.h:8
+#: hacks/config/wormhole.xml.h:8
 msgid "Wormhole"
 msgstr "Féreglyuk"
 
-#: ../hacks/config/wormhole.xml.h:9
+#: hacks/config/wormhole.xml.h:9
 msgid ""
 "Wormhole simulates flying through a colored wormhole in space. Written by "
 "Jon Rafkind."
@@ -8033,11 +8345,20 @@
 "A Féreglyuk egy űrutazást szimulál egy féreglyukon keresztül. Írta Jon "
 "Rafkind."
 
-#: ../hacks/config/xanalogtv.xml.h:1
+#: hacks/config/worm.xml.h:1
+msgid ""
+"An ancient xlock hack that draws multicolored worms that crawl around the "
+"screen. Written by Brad Taylor, Dave Lemke, Boris Putanec, and Henrik "
+"Theiling."
+msgstr ""
+"Egy ősi x képernyővédő hack, ami sokszínű, a képernyőt körbekúszó férgeket "
+"rajzol. Írta Brad Taylor, Dave Lemke, Boris Putanec és Henrik Theiling."
+
+#: hacks/config/xanalogtv.xml.h:1
 msgid "XAnalogTV"
 msgstr "X analóg tv"
 
-#: ../hacks/config/xanalogtv.xml.h:2
+#: hacks/config/xanalogtv.xml.h:2
 msgid ""
 "XAnalogTV shows a detailed simulation of an old TV set showing various test "
 "patterns, with various picture artifacts like snow, bloom, distortion, "
@@ -8051,11 +8372,11 @@
 "az Ön által megadott képekkel, néhányon színes sávokkal vagy csak a statikus "
 "zajjal. Írta Trevor Blackwell."
 
-#: ../hacks/config/xaos.xml.h:1
+#: hacks/config/xaos.xml.h:1
 msgid "XaoS"
 msgstr "XaoS"
 
-#: ../hacks/config/xaos.xml.h:2
+#: hacks/config/xaos.xml.h:2
 msgid ""
 "XaoS generates fast fly-through animations of the Mandelbrot and other "
 "fractal sets. Written by Thomas Marsh and Jan Hubicka. This is not included "
@@ -8066,43 +8387,43 @@
 "Thomas Marsh és Jan Hubicka. Ez nem része az XScreenSaver csomagnak, de "
 "letölthető a következő címről: &lt;http://xaos.theory.org/&gt;."
 
-#: ../hacks/config/xdaliclock.xml.h:1
+#: hacks/config/xdaliclock.xml.h:1
 msgid "12-Hour Time"
 msgstr "12 órás idő"
 
-#: ../hacks/config/xdaliclock.xml.h:2
+#: hacks/config/xdaliclock.xml.h:2
 msgid "24-Hour Time"
 msgstr "24 órás idő"
 
-#: ../hacks/config/xdaliclock.xml.h:3
+#: hacks/config/xdaliclock.xml.h:3
 msgid "Cycle Colors"
 msgstr "Színek váltogatása"
 
-#: ../hacks/config/xdaliclock.xml.h:4
+#: hacks/config/xdaliclock.xml.h:4
 msgid "Display Seconds"
 msgstr "Másodpercek megjelenítése"
 
-#: ../hacks/config/xdaliclock.xml.h:5
+#: hacks/config/xdaliclock.xml.h:5
 msgid "Huge Font"
 msgstr "Óriási betű"
 
-#: ../hacks/config/xdaliclock.xml.h:6 ../hacks/config/xmatrix.xml.h:10
+#: hacks/config/xdaliclock.xml.h:6 hacks/config/xmatrix.xml.h:10
 msgid "Large Font"
 msgstr "Nagy betű"
 
-#: ../hacks/config/xdaliclock.xml.h:7
+#: hacks/config/xdaliclock.xml.h:7
 msgid "Medium Font"
 msgstr "Közepes betű"
 
-#: ../hacks/config/xdaliclock.xml.h:8 ../hacks/config/xmatrix.xml.h:16
+#: hacks/config/xdaliclock.xml.h:8 hacks/config/xmatrix.xml.h:16
 msgid "Small Font"
 msgstr "Kicsi betű"
 
-#: ../hacks/config/xdaliclock.xml.h:9
+#: hacks/config/xdaliclock.xml.h:9
 msgid "XDaliClock"
 msgstr "XDaliClock"
 
-#: ../hacks/config/xdaliclock.xml.h:10
+#: hacks/config/xdaliclock.xml.h:10
 msgid ""
 "XDaliClock draws a large digital clock, the numbers of which change by "
 "``melting'' into their new shapes. Written by Jamie Zawinski. This is not "
@@ -8114,87 +8435,83 @@
 "XScreenSaver csomagnak, de ha még nincs meg, megtalálhatja a következő címen:"
 "&lt;http://www.jwz.org/xdaliclock/&gt;."
 
-#: ../hacks/config/xearth.xml.h:1
+#: hacks/config/xearth.xml.h:1
 msgid "Bright"
 msgstr "Világos"
 
-#: ../hacks/config/xearth.xml.h:2 ../hacks/config/xplanet.xml.h:7
+#: hacks/config/xearth.xml.h:2 hacks/config/xplanet.xml.h:7
 msgid "Date/Time Stamp"
 msgstr "Dátum/időbélyegző"
 
-#: ../hacks/config/xearth.xml.h:3
+#: hacks/config/xearth.xml.h:3
 msgid "Day  Dim"
 msgstr "Nappal   Homály"
 
-#: ../hacks/config/xearth.xml.h:5
+#: hacks/config/xearth.xml.h:5
 msgid "Display Stars"
 msgstr "Csillagok mutatása"
 
-#: ../hacks/config/xearth.xml.h:8
+#: hacks/config/xearth.xml.h:8
 msgid "Label Cities"
 msgstr "Városok címkézése"
 
-#: ../hacks/config/xearth.xml.h:9 ../hacks/config/xplanet.xml.h:49
+#: hacks/config/xearth.xml.h:9 hacks/config/xplanet.xml.h:49
 msgid "Lower Left"
 msgstr "Bal alsó"
 
-#: ../hacks/config/xearth.xml.h:10 ../hacks/config/xplanet.xml.h:50
+#: hacks/config/xearth.xml.h:10 hacks/config/xplanet.xml.h:50
 msgid "Lower Right"
 msgstr "Jobb alsó"
 
-#: ../hacks/config/xearth.xml.h:13 ../hacks/config/xplanet.xml.h:51
+#: hacks/config/xearth.xml.h:13 hacks/config/xplanet.xml.h:51
 msgid "Mercator Projection"
 msgstr "Mercator vetület"
 
-#: ../hacks/config/xearth.xml.h:14
+#: hacks/config/xearth.xml.h:14
 msgid "Night   Dim"
 msgstr "Éjjel   Homály"
 
-#: ../hacks/config/xearth.xml.h:15
+#: hacks/config/xearth.xml.h:15
 msgid "No Stars"
 msgstr "Csillagok ki"
 
-#: ../hacks/config/xearth.xml.h:16
+#: hacks/config/xearth.xml.h:16
 msgid "North/South Rotation"
 msgstr "Észak/Dél forgatás"
 
-#: ../hacks/config/xearth.xml.h:18 ../hacks/config/xplanet.xml.h:53
+#: hacks/config/xearth.xml.h:18 hacks/config/xplanet.xml.h:53
 msgid "Orthographic Projection"
 msgstr "Ortografikus vetület"
 
-#: ../hacks/config/xearth.xml.h:19 ../hacks/config/xplanet.xml.h:56
+#: hacks/config/xearth.xml.h:19 hacks/config/xplanet.xml.h:56
 msgid "Real Time"
 msgstr "Valós idő"
 
-#: ../hacks/config/xearth.xml.h:20
+#: hacks/config/xearth.xml.h:20
 msgid "Shaded Image"
 msgstr "Árnyékolt kép"
 
-#: ../hacks/config/xearth.xml.h:21
+#: hacks/config/xearth.xml.h:21
 msgid "Sharp"
 msgstr "Éles"
 
-#: ../hacks/config/xearth.xml.h:23
-msgid "Spacing"
-msgstr "Térköz"
-
-#: ../hacks/config/xearth.xml.h:26
+#: hacks/config/xearth.xml.h:26
 msgid "Terminator   Blurry"
 msgstr "Terminátor  Elmosódott"
 
-#: ../hacks/config/xearth.xml.h:27 ../hacks/config/xplanet.xml.h:61
+#: hacks/config/xearth.xml.h:27 hacks/config/xplanet.xml.h:61
 msgid "Time Warp"
 msgstr "Időugrás"
 
-#: ../hacks/config/xearth.xml.h:29 ../hacks/config/xplanet.xml.h:62
+#: hacks/config/xearth.xml.h:29 hacks/config/xplanet.xml.h:62
 msgid "Upper Left"
 msgstr "Bal felső"
 
-#: ../hacks/config/xearth.xml.h:30 ../hacks/config/xplanet.xml.h:63
+#: hacks/config/xearth.xml.h:30 hacks/config/xplanet.xml.h:63
 msgid "Upper Right"
 msgstr "Jobb felső"
 
-#: ../hacks/config/xearth.xml.h:31
+#: hacks/config/xearth.xml.h:31
 msgid ""
 "XEarth draws an image of the Earth, as seen from your favorite vantage point "
 "in space, correctly shaded for the current position of the Sun. Written by "
@@ -8210,19 +8527,19 @@
 "általánosabb, xplanet nevű program, mely a &lt;http://xplanet.sourceforge."
 "net/&gt; címen található."
 
-#: ../hacks/config/xearth.xml.h:32
+#: hacks/config/xearth.xml.h:32
 msgid "Xearth"
 msgstr "Xearth"
 
-#: ../hacks/config/xfishtank.xml.h:5
+#: hacks/config/xfishtank.xml.h:5
 msgid "Fish"
 msgstr "Hal"
 
-#: ../hacks/config/xfishtank.xml.h:6
+#: hacks/config/xfishtank.xml.h:6
 msgid "Fish Speed"
 msgstr "Hal sebessége"
 
-#: ../hacks/config/xfishtank.xml.h:7
+#: hacks/config/xfishtank.xml.h:7
 msgid ""
 "Fish! This is not included with the XScreenSaver package, but if you don't "
 "have it already, you can find it at &lt;http://metalab.unc.edu/pub/Linux/X11/"
@@ -8231,15 +8548,15 @@
 "Halak! Ez nem része az XScreenSaver csomagnak, de letölthető a következő "
 "címről: &lt;http://metalab.unc.edu/pub/Linux/X11/demos/&gt;."
 
-#: ../hacks/config/xfishtank.xml.h:12
+#: hacks/config/xfishtank.xml.h:12
 msgid "XFishTank"
 msgstr "X-Akvárium"
 
-#: ../hacks/config/xflame.xml.h:1
+#: hacks/config/xflame.xml.h:1
 msgid "Bitmap File"
 msgstr "Bitkép fájl"
 
-#: ../hacks/config/xflame.xml.h:2
+#: hacks/config/xflame.xml.h:2
 msgid ""
 "Draws a simulation of pulsing fire. It can also take an arbitrary image and "
 "set it on fire too. Written by Carsten Haitzler, hacked on by many others."
@@ -8247,16 +8564,15 @@
 "Lobogó tüzet szimulál. Megadható egy tetszőleges kép, melyet szintén tűzre "
 "vethet.Írta Carsten Haitzler, de sokan mások is dolgoztak rajta."
 
-#: ../hacks/config/xflame.xml.h:3
+#: hacks/config/xflame.xml.h:3
 msgid "Enable Blooming"
 msgstr "Virágzási effektus"
 
-#: ../hacks/config/xflame.xml.h:8
+#: hacks/config/xflame.xml.h:8
 msgid "Xflame"
 msgstr "X láng"
 
-#. #### -font []
-#: ../hacks/config/xjack.xml.h:5
+#: hacks/config/xjack.xml.h:4
 msgid ""
 "This program behaves schizophrenically and makes a lot of typos. Written by "
 "Jamie Zawinski. If you haven't seen Stanley Kubrick's masterpiece, ``The "
@@ -8268,12 +8584,11 @@
 "mesterművét, nem fogja érteni. Akik igen, így írják le ezt a hacket: "
 "\"ihletett\"."
 
-#: ../hacks/config/xjack.xml.h:6
+#: hacks/config/xjack.xml.h:5
 msgid "Xjack"
 msgstr "Xjack"
 
-#. #### -w []
-#: ../hacks/config/xlyap.xml.h:2
+#: hacks/config/xlyap.xml.h:1
 msgid ""
 "This generates pretty fractal pictures by doing funky math involving the "
 "``Lyapunov exponent.'' It has a cool interactive mode, too. Written by Ron "
@@ -8283,11 +8598,11 @@
 "exponenst használva. A program interaktív módban is használható. Írta Ron "
 "Record."
 
-#: ../hacks/config/xlyap.xml.h:3
+#: hacks/config/xlyap.xml.h:2
 msgid "Xlyap"
 msgstr "Xlyap"
 
-#: ../hacks/config/xmatrix.xml.h:3
+#: hacks/config/xmatrix.xml.h:3
 msgid ""
 "Draws dropping characters similar to what is seen on the computer monitors "
 "in \"The Matrix\". See also \"glmatrix\" for a 3D rendering of the similar "
@@ -8298,159 +8613,159 @@
 "leeső karaktereket rajzol. Lásd még a \"GL mátrix\"-ot a film főcímében "
 "megjelenő hatás háromdimenziós megjelenítéséért. Írta Jamie Zawinski."
 
-#: ../hacks/config/xmatrix.xml.h:4
+#: hacks/config/xmatrix.xml.h:4
 msgid "Expansion Algorithm"
 msgstr "Terjeszkedő algoritmus"
 
-#: ../hacks/config/xmatrix.xml.h:6
+#: hacks/config/xmatrix.xml.h:6
 msgid "Full"
 msgstr "Teljes"
 
-#: ../hacks/config/xmatrix.xml.h:9
+#: hacks/config/xmatrix.xml.h:9
 msgid "Knock Knock"
 msgstr "Kopp kopp"
 
-#: ../hacks/config/xmatrix.xml.h:12
+#: hacks/config/xmatrix.xml.h:12
 msgid "Phone Number"
 msgstr "Telefonszám"
 
-#: ../hacks/config/xmatrix.xml.h:13
+#: hacks/config/xmatrix.xml.h:13
 msgid "Run Trace Program"
 msgstr "Visszakövető program futtatása"
 
-#: ../hacks/config/xmatrix.xml.h:14
+#: hacks/config/xmatrix.xml.h:14
 msgid "Slider Algorithm"
 msgstr "Csúszka-algoritmus"
 
-#: ../hacks/config/xmatrix.xml.h:19
+#: hacks/config/xmatrix.xml.h:19
 msgid "Synergistic Algorithm"
 msgstr "Szinergisztikus algoritmus"
 
-#: ../hacks/config/xmatrix.xml.h:20
+#: hacks/config/xmatrix.xml.h:20
 msgid "Xmatrix"
 msgstr "Xmátrix"
 
-#: ../hacks/config/xmountains.xml.h:1
+#: hacks/config/xmountains.xml.h:1
 msgid "1.0"
 msgstr "1.0"
 
-#: ../hacks/config/xmountains.xml.h:3
+#: hacks/config/xmountains.xml.h:3
 msgid "14"
 msgstr "14"
 
-#: ../hacks/config/xmountains.xml.h:4
+#: hacks/config/xmountains.xml.h:4
 msgid "7"
 msgstr "7"
 
-#: ../hacks/config/xmountains.xml.h:5
+#: hacks/config/xmountains.xml.h:5
 msgid "Altitude  Low"
 msgstr "Magasság Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:6
+#: hacks/config/xmountains.xml.h:6
 msgid "Ambient  Low"
 msgstr "Körülvevő   Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:7
+#: hacks/config/xmountains.xml.h:7
 msgid "Angle of Light"
 msgstr "Fény szöge"
 
-#: ../hacks/config/xmountains.xml.h:8
+#: hacks/config/xmountains.xml.h:8
 msgid "Contour  Low"
 msgstr "Körvonalak   Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:9
+#: hacks/config/xmountains.xml.h:9
 msgid "Contrast  Low"
 msgstr "Kontraszt   Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:10
+#: hacks/config/xmountains.xml.h:10
 msgid "Craggy"
 msgstr "Sziklás"
 
-#: ../hacks/config/xmountains.xml.h:11
+#: hacks/config/xmountains.xml.h:11
 msgid "Cross Update"
 msgstr "Keresztfrissítés"
 
-#: ../hacks/config/xmountains.xml.h:12
+#: hacks/config/xmountains.xml.h:12
 msgid "Distance  Low"
 msgstr "Távolság  Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:14
+#: hacks/config/xmountains.xml.h:14
 msgid "Foreground"
 msgstr "Előtér"
 
-#: ../hacks/config/xmountains.xml.h:15
+#: hacks/config/xmountains.xml.h:15
 msgid "Fractal Options"
 msgstr "Fraktál beállításai"
 
-#: ../hacks/config/xmountains.xml.h:16
+#: hacks/config/xmountains.xml.h:16
 msgid "Height  Low"
 msgstr "Magasság Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:18
+#: hacks/config/xmountains.xml.h:18
 msgid "Horizontal  Low"
 msgstr "Vízszintes   Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:19
+#: hacks/config/xmountains.xml.h:19
 msgid "Iteration  0"
 msgstr "Iterációk  0"
 
-#: ../hacks/config/xmountains.xml.h:20
+#: hacks/config/xmountains.xml.h:20
 msgid "Light Level"
 msgstr "Fény szintje"
 
-#: ../hacks/config/xmountains.xml.h:21
+#: hacks/config/xmountains.xml.h:21
 msgid "Recursion  0"
 msgstr "Rekurzió  0"
 
-#: ../hacks/config/xmountains.xml.h:22
+#: hacks/config/xmountains.xml.h:22
 msgid "Reflections"
 msgstr "Visszaverődések"
 
-#: ../hacks/config/xmountains.xml.h:23
+#: hacks/config/xmountains.xml.h:23
 msgid "Sea Level  Low"
 msgstr "Tengerszint Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:24
+#: hacks/config/xmountains.xml.h:24
 msgid "Side View"
 msgstr "Oldalnézet"
 
-#: ../hacks/config/xmountains.xml.h:26
+#: hacks/config/xmountains.xml.h:26
 msgid "Smoothing  0"
 msgstr "Simítás   0"
 
-#: ../hacks/config/xmountains.xml.h:27
+#: hacks/config/xmountains.xml.h:27
 msgid "Speed  Slow"
 msgstr "Sebesség  Lassú"
 
-#: ../hacks/config/xmountains.xml.h:28
+#: hacks/config/xmountains.xml.h:28
 msgid "Terrain"
 msgstr "Terep"
 
-#: ../hacks/config/xmountains.xml.h:29
+#: hacks/config/xmountains.xml.h:29
 msgid "Top View"
 msgstr "Felülnézet"
 
-#: ../hacks/config/xmountains.xml.h:30
+#: hacks/config/xmountains.xml.h:30
 msgid "V. Shift  Low"
 msgstr "Függ. eltolás  Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:31
+#: hacks/config/xmountains.xml.h:31
 msgid "V. Stretch  Low"
 msgstr "Függ. nyújtás   Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:32
+#: hacks/config/xmountains.xml.h:32
 msgid "Variance  Low"
 msgstr "Változatosság  Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:33
+#: hacks/config/xmountains.xml.h:33
 msgid "Vertical  Low"
 msgstr "Függőleges   Alacsony"
 
-#: ../hacks/config/xmountains.xml.h:34
+#: hacks/config/xmountains.xml.h:34
 msgid "Viewpoint"
 msgstr "Nézőpont"
 
-#: ../hacks/config/xmountains.xml.h:35
+#: hacks/config/xmountains.xml.h:35
 msgid ""
 "XMountains generates realistic-looking fractal terrains of snow-capped "
 "mountains near water, with either a top view or a side view. Written by "
@@ -8464,356 +8779,351 @@
 "http://www.epcc.ed.ac.uk/~spb/xmountains/&gt; (Legalább 2.7 vagy újabb "
 "verzió szükséges!)"
 
-#: ../hacks/config/xmountains.xml.h:36
+#: hacks/config/xmountains.xml.h:36
 msgid "Xf  0.0"
 msgstr "Xf  0.0"
 
-#: ../hacks/config/xmountains.xml.h:37
+#: hacks/config/xmountains.xml.h:37
 msgid "Xmountains"
 msgstr "X hegyek"
 
-#: ../hacks/config/xmountains.xml.h:38
+#: hacks/config/xmountains.xml.h:38
 msgid "Yf  0.0"
 msgstr "Yf  0.0"
 
-#: ../hacks/config/xplanet.xml.h:2
-#, no-c-format
-msgid "0%"
-msgstr "0%"
-
-#: ../hacks/config/xplanet.xml.h:5
+#: hacks/config/xplanet.xml.h:5
 msgid "Ancient Projection"
 msgstr "Ősi vetület"
 
-#: ../hacks/config/xplanet.xml.h:6
+#: hacks/config/xplanet.xml.h:6
 msgid "Azimuthal Projection"
 msgstr "Azimutális vetület"
 
-#: ../hacks/config/xplanet.xml.h:9
+#: hacks/config/xplanet.xml.h:9
 msgid "From Ariel"
 msgstr "Az Arielről"
 
-#: ../hacks/config/xplanet.xml.h:10
+#: hacks/config/xplanet.xml.h:10
 msgid "From Callisto"
 msgstr "A Callistoról"
 
-#: ../hacks/config/xplanet.xml.h:11
+#: hacks/config/xplanet.xml.h:11
 msgid "From Charon"
 msgstr "A Charonról"
 
-#: ../hacks/config/xplanet.xml.h:12
+#: hacks/config/xplanet.xml.h:12
 msgid "From Deimos"
 msgstr "A Deimosról"
 
-#: ../hacks/config/xplanet.xml.h:13
+#: hacks/config/xplanet.xml.h:13
 msgid "From Dione"
 msgstr "A Dione-ról"
 
-#: ../hacks/config/xplanet.xml.h:14
+#: hacks/config/xplanet.xml.h:14
 msgid "From Earth"
 msgstr "A Földről"
 
-#: ../hacks/config/xplanet.xml.h:15
+#: hacks/config/xplanet.xml.h:15
 msgid "From Enceladus"
 msgstr "Az Enceladusról"
 
-#: ../hacks/config/xplanet.xml.h:16
+#: hacks/config/xplanet.xml.h:16
 msgid "From Europa"
 msgstr "Az Európáról"
 
-#: ../hacks/config/xplanet.xml.h:17
+#: hacks/config/xplanet.xml.h:17
 msgid "From Ganymede"
 msgstr "A Ganümédészről"
 
-#: ../hacks/config/xplanet.xml.h:18
+#: hacks/config/xplanet.xml.h:18
 msgid "From Hyperion"
 msgstr "A Hyperionról"
 
-#: ../hacks/config/xplanet.xml.h:19
+#: hacks/config/xplanet.xml.h:19
 msgid "From Iapetus"
 msgstr "A Iapetusról"
 
-#: ../hacks/config/xplanet.xml.h:20
+#: hacks/config/xplanet.xml.h:20
 msgid "From Io"
 msgstr "Az Ioról"
 
-#: ../hacks/config/xplanet.xml.h:21
+#: hacks/config/xplanet.xml.h:21
 msgid "From Jupiter"
 msgstr "A Jupiterről"
 
-#: ../hacks/config/xplanet.xml.h:22
+#: hacks/config/xplanet.xml.h:22
 msgid "From Major"
 msgstr "A Majorról"
 
-#: ../hacks/config/xplanet.xml.h:23
+#: hacks/config/xplanet.xml.h:23
 msgid "From Mars"
 msgstr "A Marsról"
 
-#: ../hacks/config/xplanet.xml.h:24
+#: hacks/config/xplanet.xml.h:24
 msgid "From Mercury"
 msgstr "A Merkúrról"
 
-#: ../hacks/config/xplanet.xml.h:25
+#: hacks/config/xplanet.xml.h:25
 msgid "From Mimas"
 msgstr "A Mimasról"
 
-#: ../hacks/config/xplanet.xml.h:26
+#: hacks/config/xplanet.xml.h:26
 msgid "From Miranda"
 msgstr "A Mirandaról"
 
-#: ../hacks/config/xplanet.xml.h:27
+#: hacks/config/xplanet.xml.h:27
 msgid "From Moon"
 msgstr "A Holdról"
 
-#: ../hacks/config/xplanet.xml.h:28
+#: hacks/config/xplanet.xml.h:28
 msgid "From Neptune"
 msgstr "A Neptunról"
 
-#: ../hacks/config/xplanet.xml.h:29
+#: hacks/config/xplanet.xml.h:29
 msgid "From Nereid"
 msgstr "A Nereidről"
 
-#: ../hacks/config/xplanet.xml.h:30
+#: hacks/config/xplanet.xml.h:30
 msgid "From Oberon"
 msgstr "Az Oberonról"
 
-#: ../hacks/config/xplanet.xml.h:31
+#: hacks/config/xplanet.xml.h:31
 msgid "From Phobos"
 msgstr "A Phobosról"
 
-#: ../hacks/config/xplanet.xml.h:32
+#: hacks/config/xplanet.xml.h:32
 msgid "From Phoebe"
 msgstr "A Phoebe-ről"
 
-#: ../hacks/config/xplanet.xml.h:33
+#: hacks/config/xplanet.xml.h:33
 msgid "From Pluto"
 msgstr "A Plútóról"
 
-#: ../hacks/config/xplanet.xml.h:34
+#: hacks/config/xplanet.xml.h:34
 msgid "From Random"
 msgstr "Véletlen helyről"
 
-#: ../hacks/config/xplanet.xml.h:35
+#: hacks/config/xplanet.xml.h:35
 msgid "From Rhea"
 msgstr "A Rhearól"
 
-#: ../hacks/config/xplanet.xml.h:36
+#: hacks/config/xplanet.xml.h:36
 msgid "From Saturn"
 msgstr "A Szaturnuszról"
 
-#: ../hacks/config/xplanet.xml.h:37
+#: hacks/config/xplanet.xml.h:37
 msgid "From Sun"
 msgstr "A Napról"
 
-#: ../hacks/config/xplanet.xml.h:38
+#: hacks/config/xplanet.xml.h:38
 msgid "From Tethys"
 msgstr "A Tethysről"
 
-#: ../hacks/config/xplanet.xml.h:39
+#: hacks/config/xplanet.xml.h:39
 msgid "From Titan"
 msgstr "A Titánról"
 
-#: ../hacks/config/xplanet.xml.h:40
+#: hacks/config/xplanet.xml.h:40
 msgid "From Titania"
 msgstr "A Titániáról"
 
-#: ../hacks/config/xplanet.xml.h:41
+#: hacks/config/xplanet.xml.h:41
 msgid "From Triton"
 msgstr "A Tritonról"
 
-#: ../hacks/config/xplanet.xml.h:42
+#: hacks/config/xplanet.xml.h:42
 msgid "From Umbriel"
 msgstr "Az Umbrielről"
 
-#: ../hacks/config/xplanet.xml.h:43
+#: hacks/config/xplanet.xml.h:43
 msgid "From Uranus"
 msgstr "Az Uránuszról"
 
-#: ../hacks/config/xplanet.xml.h:44
+#: hacks/config/xplanet.xml.h:44
 msgid "From Venus"
 msgstr "A Vénuszról"
 
-#: ../hacks/config/xplanet.xml.h:45
+#: hacks/config/xplanet.xml.h:45
 msgid "Hemisphere Projection"
 msgstr "Félgömb vetület"
 
-#: ../hacks/config/xplanet.xml.h:46
+#: hacks/config/xplanet.xml.h:46
 msgid "Lambert Projection"
 msgstr "Lambert vetület"
 
-#: ../hacks/config/xplanet.xml.h:47
+#: hacks/config/xplanet.xml.h:47
 msgid "Latitude"
 msgstr "Szélesség"
 
-#: ../hacks/config/xplanet.xml.h:48
+#: hacks/config/xplanet.xml.h:48
 msgid "Longitude"
 msgstr "Hosszúság"
 
-#: ../hacks/config/xplanet.xml.h:52
+#: hacks/config/xplanet.xml.h:52
 msgid "Mollweide Projection"
 msgstr "Mollweide vetület"
 
-#: ../hacks/config/xplanet.xml.h:54
+#: hacks/config/xplanet.xml.h:54
 msgid "Peters Projection"
 msgstr "Peters vetület"
 
-#: ../hacks/config/xplanet.xml.h:57
+#: hacks/config/xplanet.xml.h:57
 msgid "Rectangular Projection"
 msgstr "Négyzetes vetület"
 
-#: ../hacks/config/xplanet.xml.h:58
+#: hacks/config/xplanet.xml.h:58
 msgid "Render as a Globe"
 msgstr "Megjelenítés gömbként"
 
-#: ../hacks/config/xplanet.xml.h:64
+#: hacks/config/xplanet.xml.h:64
 msgid "View Ariel"
 msgstr "Az Ariel mutatása"
 
-#: ../hacks/config/xplanet.xml.h:65
+#: hacks/config/xplanet.xml.h:65
 msgid "View Callisto"
 msgstr "A Callisto mutatása"
 
-#: ../hacks/config/xplanet.xml.h:66
+#: hacks/config/xplanet.xml.h:66
 msgid "View Charon"
 msgstr "A Charon mutatása"
 
-#: ../hacks/config/xplanet.xml.h:67
+#: hacks/config/xplanet.xml.h:67
 msgid "View Deimos"
 msgstr "A Deimos mutatása"
 
-#: ../hacks/config/xplanet.xml.h:68
+#: hacks/config/xplanet.xml.h:68
 msgid "View Dione"
 msgstr "A Dione mutatása"
 
-#: ../hacks/config/xplanet.xml.h:69
+#: hacks/config/xplanet.xml.h:69
 msgid "View Earth"
 msgstr "A Föld mutatása"
 
-#: ../hacks/config/xplanet.xml.h:70
+#: hacks/config/xplanet.xml.h:70
 msgid "View Enceladus"
 msgstr "Az Enceladus mutatása"
 
-#: ../hacks/config/xplanet.xml.h:71
+#: hacks/config/xplanet.xml.h:71
 msgid "View Europa"
 msgstr "Az Európa mutatása"
 
-#: ../hacks/config/xplanet.xml.h:72
+#: hacks/config/xplanet.xml.h:72
 msgid "View Ganymede"
 msgstr "A Ganümédész mutatása"
 
-#: ../hacks/config/xplanet.xml.h:73
+#: hacks/config/xplanet.xml.h:73
 msgid "View Hyperion"
 msgstr "A Hyperion mutatása"
 
-#: ../hacks/config/xplanet.xml.h:74
+#: hacks/config/xplanet.xml.h:74
 msgid "View Iapetus"
 msgstr "A Iapetus mutatása"
 
-#: ../hacks/config/xplanet.xml.h:75
+#: hacks/config/xplanet.xml.h:75
 msgid "View Io"
 msgstr "Az Io mutatása"
 
-#: ../hacks/config/xplanet.xml.h:76
+#: hacks/config/xplanet.xml.h:76
 msgid "View Jupiter"
 msgstr "A Jupiter mutatása"
 
-#: ../hacks/config/xplanet.xml.h:77
+#: hacks/config/xplanet.xml.h:77
 msgid "View Major"
 msgstr "A Major mutatása"
 
-#: ../hacks/config/xplanet.xml.h:78
+#: hacks/config/xplanet.xml.h:78
 msgid "View Mars"
 msgstr "A Mars mutatása"
 
-#: ../hacks/config/xplanet.xml.h:79
+#: hacks/config/xplanet.xml.h:79
 msgid "View Mercury"
 msgstr "A Merkúr mutatása"
 
-#: ../hacks/config/xplanet.xml.h:80
+#: hacks/config/xplanet.xml.h:80
 msgid "View Mimas"
 msgstr "A Mimas mutatása"
 
-#: ../hacks/config/xplanet.xml.h:81
+#: hacks/config/xplanet.xml.h:81
 msgid "View Miranda"
 msgstr "A Miranda mutatása"
 
-#: ../hacks/config/xplanet.xml.h:82
+#: hacks/config/xplanet.xml.h:82
 msgid "View Moon"
 msgstr "A Hold mutatása"
 
-#: ../hacks/config/xplanet.xml.h:83
+#: hacks/config/xplanet.xml.h:83
 msgid "View Neptune"
 msgstr "A Neptun mutatása"
 
-#: ../hacks/config/xplanet.xml.h:84
+#: hacks/config/xplanet.xml.h:84
 msgid "View Nereid"
 msgstr "A Nereid mutatása"
 
-#: ../hacks/config/xplanet.xml.h:85
+#: hacks/config/xplanet.xml.h:85
 msgid "View Oberon"
 msgstr "A Oberon mutatása"
 
-#: ../hacks/config/xplanet.xml.h:86
+#: hacks/config/xplanet.xml.h:86
 msgid "View Phobos"
 msgstr "A Phobos mutatása"
 
-#: ../hacks/config/xplanet.xml.h:87
+#: hacks/config/xplanet.xml.h:87
 msgid "View Phoebe"
 msgstr "A Phoebe mutatása"
 
-#: ../hacks/config/xplanet.xml.h:88
+#: hacks/config/xplanet.xml.h:88
 msgid "View Pluto"
 msgstr "A Plútó mutatása"
 
-#: ../hacks/config/xplanet.xml.h:89
+#: hacks/config/xplanet.xml.h:89
 msgid "View Random"
 msgstr "Véletlen mutatása"
 
-#: ../hacks/config/xplanet.xml.h:90
+#: hacks/config/xplanet.xml.h:90
 msgid "View Rhea"
 msgstr "A Rhea mutatása"
 
-#: ../hacks/config/xplanet.xml.h:91
+#: hacks/config/xplanet.xml.h:91
 msgid "View Saturn"
 msgstr "A Szaturnusz mutatása"
 
-#: ../hacks/config/xplanet.xml.h:92
+#: hacks/config/xplanet.xml.h:92
 msgid "View Sun"
 msgstr "A Nap mutatása"
 
-#: ../hacks/config/xplanet.xml.h:93
+#: hacks/config/xplanet.xml.h:93
 msgid "View Tethys"
 msgstr "A Tethys mutatása"
 
-#: ../hacks/config/xplanet.xml.h:94
+#: hacks/config/xplanet.xml.h:94
 msgid "View Titan"
 msgstr "A Titán mutatása"
 
-#: ../hacks/config/xplanet.xml.h:95
+#: hacks/config/xplanet.xml.h:95
 msgid "View Titania"
 msgstr "A Titánia mutatása"
 
-#: ../hacks/config/xplanet.xml.h:96
+#: hacks/config/xplanet.xml.h:96
 msgid "View Triton"
 msgstr "A Triton mutatása"
 
-#: ../hacks/config/xplanet.xml.h:97
+#: hacks/config/xplanet.xml.h:97
 msgid "View Umbriel"
 msgstr "Az Umbriel mutatása"
 
-#: ../hacks/config/xplanet.xml.h:98
+#: hacks/config/xplanet.xml.h:98
 msgid "View Uranus"
 msgstr "Az Uránusz mutatása"
 
-#: ../hacks/config/xplanet.xml.h:99
+#: hacks/config/xplanet.xml.h:99
 msgid "View Venus"
 msgstr "A Vénusz mutatása"
 
-#: ../hacks/config/xplanet.xml.h:100
+#: hacks/config/xplanet.xml.h:100
 msgid "Xplanet"
 msgstr "X bolygó"
 
-#: ../hacks/config/xplanet.xml.h:101
+#: hacks/config/xplanet.xml.h:101
 msgid ""
 "Xplanet draws an image of the Earth, as seen from your favorite vantage "
 "point in space, correctly shaded for the current position of the Sun. "
@@ -8826,7 +9136,7 @@
 "része az XScreenSaver csomagnak, de letölthető a következő címről: &lt;"
 "http://xplanet.sourceforge.net/&gt;."
 
-#: ../hacks/config/xrayswarm.xml.h:1
+#: hacks/config/xrayswarm.xml.h:1
 msgid ""
 "Draws a few swarms of critters flying around the screen, with nicely faded "
 "color trails behind them. Written by Chris Leger."
@@ -8834,12 +9144,11 @@
 "Rajokban áramló részecskéket jelenít meg, melyek elhalványuló színes "
 "nyomvonalat húznak maguk után. Írta Chris Leger."
 
-#: ../hacks/config/xrayswarm.xml.h:5
+#: hacks/config/xrayswarm.xml.h:5
 msgid "XRaySwarm"
 msgstr "X sugárraj"
 
-#. #### -nonopopup
-#: ../hacks/config/xsnow.xml.h:2
+#: hacks/config/xsnow.xml.h:1
 msgid ""
 "Draws falling snow and the occasional tiny Santa. By Rick Jansen. You can "
 "find it at &lt;http://www.euronet.nl/~rja/Xsnow/&gt;."
@@ -8847,41 +9156,41 @@
 "Hóesést és az alkalomhoz illő kis Mikulást rajzol. Írta Rick Jansen."
 "Megtalálható a következő címen: &lt;http://www.euronet.nl/~rja/Xsnow/&gt;."
 
-#: ../hacks/config/xsnow.xml.h:3
+#: hacks/config/xsnow.xml.h:2
 msgid "Xsnow"
 msgstr "X hó"
 
-#: ../hacks/config/xspirograph.xml.h:5
+#: hacks/config/xspirograph.xml.h:5
 msgid ""
 "Simulates that pen-in-nested-plastic-gears toy from your childhood. By Rohit "
 "Singh."
 msgstr "A műanyagkerekekbe ágyazott toll játékot szimulálja. Írta Rohit Singh."
 
-#: ../hacks/config/xspirograph.xml.h:6
+#: hacks/config/xspirograph.xml.h:6
 msgid "XSpiroGraph"
 msgstr "XSpiroGraph"
 
-#: ../hacks/config/xteevee.xml.h:1
+#: hacks/config/xteevee.xml.h:1
 msgid "Color Bars Enabled"
 msgstr "Színes sávok bekapcsolása"
 
-#: ../hacks/config/xteevee.xml.h:2
+#: hacks/config/xteevee.xml.h:2
 msgid "Cycle Through Modes"
 msgstr "Módok váltogatása"
 
-#: ../hacks/config/xteevee.xml.h:3
+#: hacks/config/xteevee.xml.h:3
 msgid "Rolling Enabled"
 msgstr "Gördülés bekapcsolása"
 
-#: ../hacks/config/xteevee.xml.h:4
+#: hacks/config/xteevee.xml.h:4
 msgid "Static Enabled"
 msgstr "Zaj engedélyezése"
 
-#: ../hacks/config/xteevee.xml.h:5
+#: hacks/config/xteevee.xml.h:5
 msgid "XTeeVee"
 msgstr "XTeeVee"
 
-#: ../hacks/config/xteevee.xml.h:6
+#: hacks/config/xteevee.xml.h:6
 msgid ""
 "XTeeVee simulates various television problems, including static, loss of "
 "vertical hold, and a test pattern. By Greg Knauss."
@@ -8890,15 +9199,15 @@
 "zajt, a függőleges vonalak \"hordóssá\" válását és a monoszkópot. Írta Greg "
 "Knauss."
 
-#: ../hacks/config/zoom.xml.h:3
+#: hacks/config/zoom.xml.h:3
 msgid "Lens Offset"
 msgstr "Lencse eltolása"
 
-#: ../hacks/config/zoom.xml.h:4
+#: hacks/config/zoom.xml.h:4
 msgid "Lenses"
 msgstr "Lencsék"
 
-#: ../hacks/config/zoom.xml.h:9
+#: hacks/config/zoom.xml.h:9
 msgid ""
 "Zooms in on a part of the screen and then moves around. With the -lenses "
 "option the result is like looking through many overlapping lenses rather "

=== modified file 'po/it.po'
--- po/it.po	2005-04-09 00:06:43 +0000
+++ po/it.po	2005-12-08 16:00:22 +0000
@@ -1,28 +1,29 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR Free Software Foundation, Inc.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-#
-#, fuzzy
+# Italian translation of xcsreensaver.
+# Copyright (C) 2005 Free Software Foundation, Inc.
+# Roberto Inzerillo <robicd@gmx.net>, 2005.
+# 
+# 
 msgid ""
 msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
+"Project-Id-Version: xscreensaver 4.21\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2005-02-28 21:49+0100\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
+"PO-Revision-Date: 2005-03-29 13:10+0100\n"
+"Last-Translator: Roberto Inzerillo <robicd@gmx.net>\n"
+"Language-Team: Italian <tp@lists.linux.it>\n"
 "MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 
 #: driver/demo-Gtk.c:656
 msgid "For updates, check http://www.jwz.org/xscreensaver/"
-msgstr ""
+msgstr "Per gli aggiornamenti, visita http://www.jwz.org/xscreensaver/"
 
-#: driver/demo-Gtk.c:748 driver/demo-Gtk-widgets.c:1709
+#: driver/demo-Gtk.c:748
+#: driver/demo-Gtk-widgets.c:1709
 #: driver/xscreensaver-demo.glade.h:54
 msgid "OK"
-msgstr ""
+msgstr "OK"
 
 #: driver/demo-Gtk.c:786
 msgid ""
@@ -30,6 +31,9 @@
 "\n"
 "No Help URL has been specified.\n"
 msgstr ""
+"Errore:\n"
+"\n"
+"Non è stata specificata alcuna URL per l'Help.\n"
 
 #: driver/demo-Gtk.c:873
 msgid ""
@@ -38,6 +42,10 @@
 "The xscreensaver daemon did not start up properly.\n"
 "\n"
 msgstr ""
+"Errore:\n"
+"\n"
+"Il demone xscreensaver non si è avviato correttamente.\n"
+"\n"
 
 #: driver/demo-Gtk.c:885
 msgid ""
@@ -57,6 +65,22 @@
 "You shouldn't run X as root. Instead, you should log in as a\n"
 "normal user, and `su' as necessary."
 msgstr ""
+"Sei l'utente root. Questo in genere significa che xscreensaver non è\n"
+"capace di contattare il server X perchè è attivo il controllo di accesso.\n"
+"Prova ad eseguire il comando:\n"
+"\n"
+"                        xhost +localhost\n"
+"\n"
+"e poi a selezionare \"File / Riesegui il demone\".\n"
+"\n"
+"Si noti che disattivando il controllo di accesso, si consente ad ogni\n"
+"utente loggato in questo computer di accedere a questo schermo e\n"
+"questo potrebbe essere considerato un problema di sicurezza. Per\n"
+"ulteriori informazioni, sei pregato di leggere il manuale e le FAQ di\n"
+"xscreensaver.\n"
+"\n"
+"Non dovresti eseguire X come utente root. Invece, dovresti loggarti come\n"
+"un utente normale e usare \"su\" quando necessario."
 
 #: driver/demo-Gtk.c:901
 msgid "Please check your $PATH and permissions."
@@ -92,9 +116,12 @@
 "Unparsable time format: \"%s\"\n"
 msgstr ""
 
-#: driver/demo-Gtk.c:1546 driver/demo-Gtk.c:2874
-#: driver/demo-Gtk-widgets.c:1550 driver/demo-Gtk-widgets.c:1573
-#: driver/xscreensaver-demo.glade.h:5 driver/xscreensaver-demo.glade2.h:3
+#: driver/demo-Gtk.c:1546
+#: driver/demo-Gtk.c:2874
+#: driver/demo-Gtk-widgets.c:1550
+#: driver/demo-Gtk-widgets.c:1573
+#: driver/xscreensaver-demo.glade.h:5
+#: driver/xscreensaver-demo.glade2.h:3
 msgid "Any"
 msgstr ""
 
@@ -106,12 +133,14 @@
 "Directory does not exist: \"%s\"\n"
 msgstr ""
 
-#: driver/demo-Gtk.c:2142 driver/demo-Gtk-widgets.c:571
+#: driver/demo-Gtk.c:2142
+#: driver/demo-Gtk-widgets.c:571
 #: driver/xscreensaver-demo.glade.h:75
 msgid "Use"
 msgstr ""
 
-#: driver/demo-Gtk.c:2152 driver/demo-Gtk-widgets.c:591
+#: driver/demo-Gtk.c:2152
+#: driver/demo-Gtk-widgets.c:591
 #: driver/xscreensaver-demo.glade.h:63
 #, fuzzy
 msgid "Screen Saver"
@@ -134,10 +163,11 @@
 msgid "Screen Saver Disabled"
 msgstr "Salvaschermo"
 
-#: driver/demo-Gtk.c:2855 driver/demo-Gtk-widgets.c:482
+#: driver/demo-Gtk.c:2855
+#: driver/demo-Gtk-widgets.c:482
 #: driver/xscreensaver-demo.glade.h:58
 msgid "Preview"
-msgstr ""
+msgstr "Anteprima"
 
 #: driver/demo-Gtk.c:2865
 #, c-format
@@ -230,13 +260,12 @@
 msgstr ""
 
 #: driver/demo-Gtk.c:4446
-#, fuzzy
 msgid "Screensaver Preferences"
-msgstr "Salvaschermo"
+msgstr "Configurazione dello screensaver"
 
 #: driver/demo-Gtk-conf.c:818
 msgid "Browse..."
-msgstr ""
+msgstr "Sfoglia..."
 
 #: driver/demo-Gtk-conf.c:1110
 msgid "Select file."
@@ -247,7 +276,8 @@
 msgid "Couldn't find pixmap file: %s"
 msgstr ""
 
-#: driver/demo-Gtk-support.c:147 driver/demo-Gtk-support.c:179
+#: driver/demo-Gtk-support.c:147
+#: driver/demo-Gtk-support.c:179
 #, c-format
 msgid "Error loading pixmap file: %s"
 msgstr ""
@@ -255,479 +285,552 @@
 #: driver/demo-Gtk-support.c:182
 #, c-format
 msgid "reason: %s\n"
-msgstr ""
+msgstr "motivo: %s\n"
 
-#: driver/demo-Gtk-widgets.c:161 driver/xscreensaver-demo.glade.h:89
+#: driver/demo-Gtk-widgets.c:161
+#: driver/xscreensaver-demo.glade.h:89
 #: driver/xscreensaver-demo.glade2.h:65
 #, fuzzy
 msgid "XScreenSaver"
 msgstr "Salvaschermo"
 
-#: driver/demo-Gtk-widgets.c:182 driver/xscreensaver-demo.glade2.h:76
+#: driver/demo-Gtk-widgets.c:182
+#: driver/xscreensaver-demo.glade2.h:76
 msgid "_File"
-msgstr ""
+msgstr "_File"
 
-#: driver/demo-Gtk-widgets.c:202 driver/xscreensaver-demo.glade.h:93
+#: driver/demo-Gtk-widgets.c:202
+#: driver/xscreensaver-demo.glade.h:93
 #: driver/xscreensaver-demo.glade2.h:70
 msgid "_Blank Screen Now"
-msgstr ""
-
-#: driver/demo-Gtk-widgets.c:211 driver/xscreensaver-demo.glade.h:2
-msgid ""
-"Activate the XScreenSaver daemon now (locking the screen if so configured.)"
-msgstr ""
-
-#: driver/demo-Gtk-widgets.c:215 driver/xscreensaver-demo.glade.h:97
+msgstr "_Annerisci lo schermo adesso"
+
+#: driver/demo-Gtk-widgets.c:211
+#: driver/xscreensaver-demo.glade.h:2
+msgid "Activate the XScreenSaver daemon now (locking the screen if so configured.)"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:215
+#: driver/xscreensaver-demo.glade.h:97
 #: driver/xscreensaver-demo.glade2.h:80
 msgid "_Lock Screen Now"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:224 driver/xscreensaver-demo.glade.h:51
+#: driver/demo-Gtk-widgets.c:224
+#: driver/xscreensaver-demo.glade.h:51
 msgid "Lock the screen now (even if \"Lock Screen\" is unchecked.)"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:228 driver/xscreensaver-demo.glade.h:96
+#: driver/demo-Gtk-widgets.c:228
+#: driver/xscreensaver-demo.glade.h:96
 #: driver/xscreensaver-demo.glade2.h:78
 msgid "_Kill Daemon"
-msgstr ""
+msgstr "_Termina demone"
 
-#: driver/demo-Gtk-widgets.c:237 driver/xscreensaver-demo.glade.h:71
+#: driver/demo-Gtk-widgets.c:237
+#: driver/xscreensaver-demo.glade.h:71
 msgid "Tell the running XScreenSaver daemon to exit."
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:241 driver/xscreensaver-demo.glade.h:98
+#: driver/demo-Gtk-widgets.c:241
+#: driver/xscreensaver-demo.glade.h:98
 #: driver/xscreensaver-demo.glade2.h:86
 msgid "_Restart Daemon"
-msgstr ""
+msgstr "_Riavvia demone"
 
-#: driver/demo-Gtk-widgets.c:250 driver/xscreensaver-demo.glade.h:49
+#: driver/demo-Gtk-widgets.c:250
+#: driver/xscreensaver-demo.glade.h:49
 msgid "Kill and re-launch the XScreenSaver daemon."
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:263 driver/xscreensaver-demo.glade.h:95
+#: driver/demo-Gtk-widgets.c:263
+#: driver/xscreensaver-demo.glade.h:95
 msgid "_Exit"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:272 driver/xscreensaver-demo.glade.h:33
-msgid ""
-"Exit the xscreensaver-demo program (but leave the XScreenSaver daemon "
-"running in the background.)"
+#: driver/demo-Gtk-widgets.c:272
+#: driver/xscreensaver-demo.glade.h:33
+msgid "Exit the xscreensaver-demo program (but leave the XScreenSaver daemon running in the background.)"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:276 driver/xscreensaver-demo.glade2.h:77
+#: driver/demo-Gtk-widgets.c:276
+#: driver/xscreensaver-demo.glade2.h:77
 msgid "_Help"
-msgstr ""
+msgstr "A_iuto"
 
-#: driver/demo-Gtk-widgets.c:296 driver/xscreensaver-demo.glade.h:92
+#: driver/demo-Gtk-widgets.c:296
+#: driver/xscreensaver-demo.glade.h:92
 #: driver/xscreensaver-demo.glade2.h:66
 msgid "_About..."
-msgstr ""
+msgstr "_Informazioni su..."
 
-#: driver/demo-Gtk-widgets.c:305 driver/xscreensaver-demo.glade.h:30
+#: driver/demo-Gtk-widgets.c:305
+#: driver/xscreensaver-demo.glade.h:30
 msgid "Display version information."
-msgstr ""
+msgstr "Mostra informazioni sulla versione."
 
-#: driver/demo-Gtk-widgets.c:309 driver/xscreensaver-demo.glade.h:94
+#: driver/demo-Gtk-widgets.c:309
+#: driver/xscreensaver-demo.glade.h:94
 #: driver/xscreensaver-demo.glade2.h:75
 msgid "_Documentation..."
-msgstr ""
+msgstr "_Documentazione..."
 
-#: driver/demo-Gtk-widgets.c:318 driver/xscreensaver-demo.glade.h:38
+#: driver/demo-Gtk-widgets.c:318
+#: driver/xscreensaver-demo.glade.h:38
 msgid "Go to the documentation on the XScreenSaver web page."
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:348 driver/xscreensaver-demo.glade.h:18
+#: driver/demo-Gtk-widgets.c:348
+#: driver/xscreensaver-demo.glade.h:18
 msgid "Cycle After"
-msgstr ""
+msgstr "Cambia dopo"
 
-#: driver/demo-Gtk-widgets.c:370 driver/xscreensaver-demo.glade.h:78
+#: driver/demo-Gtk-widgets.c:370
+#: driver/xscreensaver-demo.glade.h:78
 #: driver/xscreensaver-demo.glade2.h:54
 msgid "Whether a password should be required to un-blank the screen."
-msgstr ""
+msgstr "Deve essere richiesta una password per riattivare lo schermo?"
 
-#: driver/demo-Gtk-widgets.c:372 driver/xscreensaver-demo.glade.h:50
+#: driver/demo-Gtk-widgets.c:372
+#: driver/xscreensaver-demo.glade.h:50
 msgid "Lock Screen After"
-msgstr ""
+msgstr "Blocca lo schermo dopo"
 
-#: driver/demo-Gtk-widgets.c:380 driver/xscreensaver-demo.glade.h:8
+#: driver/demo-Gtk-widgets.c:380
+#: driver/xscreensaver-demo.glade.h:8
 msgid "Blank After"
-msgstr ""
+msgstr "Spegni dopo"
 
-#: driver/demo-Gtk-widgets.c:403 driver/demo-Gtk-widgets.c:453
-#: driver/demo-Gtk-widgets.c:467 driver/demo-Gtk-widgets.c:1016
+#: driver/demo-Gtk-widgets.c:403
+#: driver/demo-Gtk-widgets.c:453
+#: driver/demo-Gtk-widgets.c:467
+#: driver/demo-Gtk-widgets.c:1016
 #: driver/xscreensaver-demo.glade.h:43
 msgid "How long before the monitor goes completely black."
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:407 driver/demo-Gtk-widgets.c:419
-#: driver/demo-Gtk-widgets.c:431 driver/demo-Gtk-widgets.c:1020
-#: driver/demo-Gtk-widgets.c:1032 driver/demo-Gtk-widgets.c:1044
-#: driver/xscreensaver-demo.glade.h:99 driver/xscreensaver-demo.glade2.h:92
+#: driver/demo-Gtk-widgets.c:407
+#: driver/demo-Gtk-widgets.c:419
+#: driver/demo-Gtk-widgets.c:431
+#: driver/demo-Gtk-widgets.c:1020
+#: driver/demo-Gtk-widgets.c:1032
+#: driver/demo-Gtk-widgets.c:1044
+#: driver/xscreensaver-demo.glade.h:99
+#: driver/xscreensaver-demo.glade2.h:92
 msgid "minutes"
-msgstr ""
+msgstr "minuti"
 
-#: driver/demo-Gtk-widgets.c:490 driver/xscreensaver-demo.glade.h:21
+#: driver/demo-Gtk-widgets.c:490
+#: driver/xscreensaver-demo.glade.h:21
 #: driver/xscreensaver-demo.glade2.h:12
-msgid ""
-"Demo the selected screen saver in full-screen mode (click the mouse to "
-"return.)"
-msgstr ""
+msgid "Demo the selected screen saver in full-screen mode (click the mouse to return.)"
+msgstr "Esegui una demo a schermo intero dello screensaver selezionato (click del mouse per ritornare)."
 
-#: driver/demo-Gtk-widgets.c:492 driver/xscreensaver-demo.glade.h:65
+#: driver/demo-Gtk-widgets.c:492
+#: driver/xscreensaver-demo.glade.h:65
 msgid "Settings..."
-msgstr ""
+msgstr "Configurazione..."
 
-#: driver/demo-Gtk-widgets.c:500 driver/xscreensaver-demo.glade.h:17
+#: driver/demo-Gtk-widgets.c:500
+#: driver/xscreensaver-demo.glade.h:17
 #: driver/xscreensaver-demo.glade2.h:9
 msgid "Customization and explanation of the selected screen saver."
-msgstr ""
+msgstr "Personalizzazione e dettagli dello screensaver selezionato."
 
-#: driver/demo-Gtk-widgets.c:521 driver/xscreensaver-demo.glade.h:52
+#: driver/demo-Gtk-widgets.c:521
+#: driver/xscreensaver-demo.glade.h:52
 msgid "Mode:"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:539 driver/xscreensaver-demo.glade.h:25
+#: driver/demo-Gtk-widgets.c:539
+#: driver/xscreensaver-demo.glade.h:25
 #: driver/xscreensaver-demo.glade2.h:16
-#, fuzzy
 msgid "Disable Screen Saver"
-msgstr "Salvaschermo"
+msgstr "Disabilita lo screensaver"
 
-#: driver/demo-Gtk-widgets.c:542 driver/xscreensaver-demo.glade.h:9
+#: driver/demo-Gtk-widgets.c:542
+#: driver/xscreensaver-demo.glade.h:9
 #: driver/xscreensaver-demo.glade2.h:5
 msgid "Blank Screen Only"
-msgstr ""
+msgstr "Annerisci lo schermo"
 
-#: driver/demo-Gtk-widgets.c:545 driver/xscreensaver-demo.glade.h:56
+#: driver/demo-Gtk-widgets.c:545
+#: driver/xscreensaver-demo.glade.h:56
 #: driver/xscreensaver-demo.glade2.h:42
-#, fuzzy
 msgid "Only One Screen Saver"
-msgstr "Salvaschermo"
+msgstr "Un solo screensaver"
 
-#: driver/demo-Gtk-widgets.c:548 driver/xscreensaver-demo.glade.h:60
+#: driver/demo-Gtk-widgets.c:548
+#: driver/xscreensaver-demo.glade.h:60
 #: driver/xscreensaver-demo.glade2.h:44
-#, fuzzy
 msgid "Random Screen Saver"
-msgstr "Salvaschermo"
+msgstr "Casuale"
 
-#: driver/demo-Gtk-widgets.c:644 driver/xscreensaver-demo.glade.h:91
+#: driver/demo-Gtk-widgets.c:644
+#: driver/xscreensaver-demo.glade.h:91
 msgid "\\/"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:652 driver/xscreensaver-demo.glade.h:61
+#: driver/demo-Gtk-widgets.c:652
+#: driver/xscreensaver-demo.glade.h:61
 #: driver/xscreensaver-demo.glade2.h:45
-msgid ""
-"Run the next screen saver in the list in full-screen mode (click the mouse "
-"to return.)"
-msgstr ""
+msgid "Run the next screen saver in the list in full-screen mode (click the mouse to return.)"
+msgstr "Esegui il prossimo screensaver della lista a schermo intero (click del mouse per ritornare)"
 
 #: driver/demo-Gtk-widgets.c:654
-msgid "/\\"
+msgid "/\""
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:662 driver/xscreensaver-demo.glade.h:62
+#: driver/demo-Gtk-widgets.c:662
+#: driver/xscreensaver-demo.glade.h:62
 #: driver/xscreensaver-demo.glade2.h:46
-msgid ""
-"Run the previous screen saver in the list in full-screen mode (click the "
-"mouse to return.)"
-msgstr ""
+msgid "Run the previous screen saver in the list in full-screen mode (click the mouse to return.)"
+msgstr "Esegui lo screensaver precedente della lista a schermo intero (click del mouse per ritornare)"
 
-#: driver/demo-Gtk-widgets.c:664 driver/demo-Gtk-widgets.c:1607
-#: driver/xscreensaver-demo.glade.h:22 driver/xscreensaver-demo.glade2.h:13
+#: driver/demo-Gtk-widgets.c:664
+#: driver/demo-Gtk-widgets.c:1607
+#: driver/xscreensaver-demo.glade.h:22
+#: driver/xscreensaver-demo.glade2.h:13
 msgid "Description"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:691 driver/xscreensaver-demo.glade.h:26
+#: driver/demo-Gtk-widgets.c:691
+#: driver/xscreensaver-demo.glade.h:26
 msgid "Display Modes"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:707 driver/xscreensaver-demo.glade.h:23
+#: driver/demo-Gtk-widgets.c:707
+#: driver/xscreensaver-demo.glade.h:23
 #: driver/xscreensaver-demo.glade2.h:14
 msgid "Diagnostics"
-msgstr ""
+msgstr "Diagnostica"
 
-#: driver/demo-Gtk-widgets.c:751 driver/xscreensaver-demo.glade.h:80
+#: driver/demo-Gtk-widgets.c:751
+#: driver/xscreensaver-demo.glade.h:80
 #: driver/xscreensaver-demo.glade2.h:56
 msgid "Whether the daemon should print lots of debugging information."
-msgstr ""
+msgstr "Il demone deve comunicare parecchie informazioni di debug?"
 
-#: driver/demo-Gtk-widgets.c:753 driver/xscreensaver-demo.glade.h:76
+#: driver/demo-Gtk-widgets.c:753
+#: driver/xscreensaver-demo.glade.h:76
 msgid "Verbose Diagnostics"
-msgstr ""
+msgstr "Diagnostica dettagliata"
 
-#: driver/demo-Gtk-widgets.c:768 driver/xscreensaver-demo.glade.h:79
+#: driver/demo-Gtk-widgets.c:768
+#: driver/xscreensaver-demo.glade.h:79
 #: driver/xscreensaver-demo.glade2.h:55
-msgid ""
-"Whether any error output of the display modes should be redirected to the "
-"screen."
-msgstr ""
+msgid "Whether any error output of the display modes should be redirected to the screen."
+msgstr "Si devono redirigere a schermo tutti i messaggi di errore della modalità di visualizzazione?"
 
-#: driver/demo-Gtk-widgets.c:770 driver/xscreensaver-demo.glade.h:29
+#: driver/demo-Gtk-widgets.c:770
+#: driver/xscreensaver-demo.glade.h:29
 msgid "Display Subprocess Errors"
-msgstr ""
+msgstr "Mostra gli errori dei sottoprocessi"
 
-#: driver/demo-Gtk-widgets.c:785 driver/xscreensaver-demo.glade.h:87
+#: driver/demo-Gtk-widgets.c:785
+#: driver/xscreensaver-demo.glade.h:87
 #: driver/xscreensaver-demo.glade2.h:63
-msgid ""
-"Whether the splash screen (with the version number and `Help' button) should "
-"be momentarily displayed when the daemon first starts up."
-msgstr ""
+msgid "Whether the splash screen (with the version number and `Help' button) should be momentarily displayed when the daemon first starts up."
+msgstr "Quando il demone viene avviato, si deve mostrare lo Splash Screen (con la versione ad il bottone \"Help\")?"
 
-#: driver/demo-Gtk-widgets.c:787 driver/xscreensaver-demo.glade.h:28
+#: driver/demo-Gtk-widgets.c:787
+#: driver/xscreensaver-demo.glade.h:28
 msgid "Display Splash Screen at Startup"
-msgstr ""
+msgstr "Mostra uno Splash Screen all'avvio"
 
-#: driver/demo-Gtk-widgets.c:796 driver/xscreensaver-demo.glade.h:15
+#: driver/demo-Gtk-widgets.c:796
+#: driver/xscreensaver-demo.glade.h:15
 #: driver/xscreensaver-demo.glade2.h:8
 msgid "Colormaps"
-msgstr ""
+msgstr "Mappe colori"
 
-#: driver/demo-Gtk-widgets.c:840 driver/xscreensaver-demo.glade.h:88
+#: driver/demo-Gtk-widgets.c:840
+#: driver/xscreensaver-demo.glade.h:88
 #: driver/xscreensaver-demo.glade2.h:64
-msgid ""
-"Whether to install a private colormap when running in 8-bit mode on the "
-"default Visual."
-msgstr ""
+msgid "Whether to install a private colormap when running in 8-bit mode on the default Visual."
+msgstr "In modalità 8 bit, installare una mappa colori privata nella visualizzazione corrente?"
 
-#: driver/demo-Gtk-widgets.c:842 driver/xscreensaver-demo.glade.h:48
+#: driver/demo-Gtk-widgets.c:842
+#: driver/xscreensaver-demo.glade.h:48
 msgid "Install Colormap"
-msgstr ""
+msgstr "Utilizza una mappa colori"
 
-#: driver/demo-Gtk-widgets.c:865 driver/xscreensaver-demo.glade.h:86
+#: driver/demo-Gtk-widgets.c:865
+#: driver/xscreensaver-demo.glade.h:86
 #: driver/xscreensaver-demo.glade2.h:62
-msgid ""
-"Whether the screen should slowly fade to black when the screen saver "
-"activates."
-msgstr ""
+msgid "Whether the screen should slowly fade to black when the screen saver activates."
+msgstr "All'attivazione dello screensaver, passare dallo schermo al nero con una dissolvenza?"
 
-#: driver/demo-Gtk-widgets.c:867 driver/xscreensaver-demo.glade.h:36
+#: driver/demo-Gtk-widgets.c:867
+#: driver/xscreensaver-demo.glade.h:36
 msgid "Fade To Black When Blanking"
-msgstr ""
+msgstr "Dissolvenza verso lo schermo nero"
 
-#: driver/demo-Gtk-widgets.c:882 driver/xscreensaver-demo.glade.h:85
+#: driver/demo-Gtk-widgets.c:882
+#: driver/xscreensaver-demo.glade.h:85
 #: driver/xscreensaver-demo.glade2.h:61
-msgid ""
-"Whether the screen should slowly fade in from black when the screen saver "
-"deactivates."
-msgstr ""
+msgid "Whether the screen should slowly fade in from black when the screen saver deactivates."
+msgstr "Alla disattivazione dello screensaver, passare dal nero allo schermo con una dissolvenza?"
 
-#: driver/demo-Gtk-widgets.c:884 driver/xscreensaver-demo.glade.h:35
+#: driver/demo-Gtk-widgets.c:884
+#: driver/xscreensaver-demo.glade.h:35
 msgid "Fade From Black When Unblanking"
-msgstr ""
+msgstr "Dissolvenza dallo schermo nero"
 
-#: driver/demo-Gtk-widgets.c:910 driver/xscreensaver-demo.glade.h:34
+#: driver/demo-Gtk-widgets.c:910
+#: driver/xscreensaver-demo.glade.h:34
 msgid "Fade Duration"
-msgstr ""
+msgstr "Durata della dissolvenza"
 
-#: driver/demo-Gtk-widgets.c:928 driver/xscreensaver-demo.glade.h:44
+#: driver/demo-Gtk-widgets.c:928
+#: driver/xscreensaver-demo.glade.h:44
 #: driver/xscreensaver-demo.glade2.h:31
 msgid "How long it should take for the screen to fade in and out."
-msgstr ""
+msgstr "Durata della dissolvenza."
 
-#: driver/demo-Gtk-widgets.c:932 driver/xscreensaver-demo.glade.h:100
+#: driver/demo-Gtk-widgets.c:932
+#: driver/xscreensaver-demo.glade.h:100
 #: driver/xscreensaver-demo.glade2.h:96
 msgid "seconds"
-msgstr ""
+msgstr "secondi"
 
-#: driver/demo-Gtk-widgets.c:942 driver/xscreensaver-demo.glade.h:27
+#: driver/demo-Gtk-widgets.c:942
+#: driver/xscreensaver-demo.glade.h:27
 #: driver/xscreensaver-demo.glade2.h:17
 msgid "Display Power Management"
-msgstr ""
+msgstr "Gestione dell'alimentazione del monitor"
 
-#: driver/demo-Gtk-widgets.c:986 driver/xscreensaver-demo.glade.h:84
+#: driver/demo-Gtk-widgets.c:986
+#: driver/xscreensaver-demo.glade.h:84
 #: driver/xscreensaver-demo.glade2.h:60
 msgid "Whether the monitor should be powered down after a while."
-msgstr ""
+msgstr "Il monitor deve essere spento dopo un po'?"
 
-#: driver/demo-Gtk-widgets.c:988 driver/xscreensaver-demo.glade.h:57
+#: driver/demo-Gtk-widgets.c:988
+#: driver/xscreensaver-demo.glade.h:57
 msgid "Power Management Enabled"
-msgstr ""
+msgstr "Gestione dell'alimentazione abilitata"
 
-#: driver/demo-Gtk-widgets.c:1056 driver/xscreensaver-demo.glade.h:55
+#: driver/demo-Gtk-widgets.c:1056
+#: driver/xscreensaver-demo.glade.h:55
 msgid "Off After"
-msgstr ""
+msgstr "Spegni dopo"
 
-#: driver/demo-Gtk-widgets.c:1069 driver/xscreensaver-demo.glade.h:70
+#: driver/demo-Gtk-widgets.c:1069
+#: driver/xscreensaver-demo.glade.h:70
 msgid "Suspend After"
-msgstr ""
+msgstr "Sospendi dopo"
 
-#: driver/demo-Gtk-widgets.c:1082 driver/xscreensaver-demo.glade.h:68
+#: driver/demo-Gtk-widgets.c:1082
+#: driver/xscreensaver-demo.glade.h:68
 msgid "Standby After"
-msgstr ""
+msgstr "Standby dopo"
 
-#: driver/demo-Gtk-widgets.c:1105 driver/xscreensaver-demo.glade.h:45
+#: driver/demo-Gtk-widgets.c:1105
+#: driver/xscreensaver-demo.glade.h:45
 #: driver/xscreensaver-demo.glade2.h:33
 msgid "How long until the monitor goes into power-saving mode."
-msgstr ""
+msgstr "Dopo quanto tempo il monitor va in modalità risparmio-energetico."
 
-#: driver/demo-Gtk-widgets.c:1119 driver/xscreensaver-demo.glade.h:46
+#: driver/demo-Gtk-widgets.c:1119
+#: driver/xscreensaver-demo.glade.h:46
 #: driver/xscreensaver-demo.glade2.h:34
 msgid "How long until the monitor powers down."
-msgstr ""
+msgstr "Dopo quanto tempo il monitor si spegne."
 
-#: driver/demo-Gtk-widgets.c:1123 driver/xscreensaver-demo.glade.h:47
+#: driver/demo-Gtk-widgets.c:1123
+#: driver/xscreensaver-demo.glade.h:47
 #: driver/xscreensaver-demo.glade2.h:35
 msgid "Image Manipulation"
-msgstr ""
+msgstr "Manipolazione delle immagini"
 
-#: driver/demo-Gtk-widgets.c:1167 driver/xscreensaver-demo.glade.h:81
+#: driver/demo-Gtk-widgets.c:1167
+#: driver/xscreensaver-demo.glade.h:81
 #: driver/xscreensaver-demo.glade2.h:57
-msgid ""
-"Whether the image-manipulating modes should be allowed to operate on an "
-"image of your desktop."
-msgstr ""
+msgid "Whether the image-manipulating modes should be allowed to operate on an image of your desktop."
+msgstr "La modalità Manipolazione delle immagini deve operare sull'immagine del desktop?"
 
-#: driver/demo-Gtk-widgets.c:1169 driver/xscreensaver-demo.glade.h:39
+#: driver/demo-Gtk-widgets.c:1169
+#: driver/xscreensaver-demo.glade.h:39
 msgid "Grab Desktop Images"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1184 driver/xscreensaver-demo.glade.h:82
-msgid ""
-"Whether the image-manipulating modes should operate on images captured from "
-"the system's video input (if there is one)."
-msgstr ""
+#: driver/demo-Gtk-widgets.c:1184
+#: driver/xscreensaver-demo.glade.h:82
+msgid "Whether the image-manipulating modes should operate on images captured from the system's video input (if there is one)."
+msgstr "La modalità Manipolazione delle immagini deve operare su immagini catturate dall'input video di sistema (se ce n'è)?"
 
-#: driver/demo-Gtk-widgets.c:1186 driver/xscreensaver-demo.glade.h:40
+#: driver/demo-Gtk-widgets.c:1186
+#: driver/xscreensaver-demo.glade.h:40
 msgid "Grab Video Frames"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1201 driver/xscreensaver-demo.glade.h:83
+#: driver/demo-Gtk-widgets.c:1201
+#: driver/xscreensaver-demo.glade.h:83
 #: driver/xscreensaver-demo.glade2.h:59
-msgid ""
-"Whether the image-manipulating modes should operate on random images loaded "
-"from disk."
-msgstr ""
+msgid "Whether the image-manipulating modes should operate on random images loaded from disk."
+msgstr "La modalità Manipolazione delle immagini deve operare su immagini random prese dal disco?"
 
-#: driver/demo-Gtk-widgets.c:1203 driver/xscreensaver-demo.glade.h:12
+#: driver/demo-Gtk-widgets.c:1203
+#: driver/xscreensaver-demo.glade.h:12
 msgid "Choose Random Image:"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1236 driver/xscreensaver-demo.glade.h:73
+#: driver/demo-Gtk-widgets.c:1236
+#: driver/xscreensaver-demo.glade.h:73
 #: driver/xscreensaver-demo.glade2.h:52
 msgid "The directory from which images will be randomly chosen."
-msgstr ""
+msgstr "La directory da dove verranno scelte le immagini random."
 
-#: driver/demo-Gtk-widgets.c:1238 driver/xscreensaver-demo.glade.h:10
+#: driver/demo-Gtk-widgets.c:1238
+#: driver/xscreensaver-demo.glade.h:10
 msgid "Browse"
-msgstr ""
+msgstr "Sfoglia"
 
-#: driver/demo-Gtk-widgets.c:1246 driver/demo-Gtk-widgets.c:1599
-#: driver/xscreensaver-demo.glade.h:3 driver/xscreensaver-demo.glade2.h:2
+#: driver/demo-Gtk-widgets.c:1246
+#: driver/demo-Gtk-widgets.c:1599
+#: driver/xscreensaver-demo.glade.h:3
+#: driver/xscreensaver-demo.glade2.h:2
 msgid "Advanced"
-msgstr ""
+msgstr "Avanzate"
 
-#: driver/demo-Gtk-widgets.c:1444 driver/xscreensaver-demo.glade.h:90
+#: driver/demo-Gtk-widgets.c:1444
+#: driver/xscreensaver-demo.glade.h:90
 msgid "XScreenSaver: Mode-Specific Settings"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1466 driver/xscreensaver-demo.glade.h:64
+#: driver/demo-Gtk-widgets.c:1466
+#: driver/xscreensaver-demo.glade.h:64
 #: driver/xscreensaver-demo.glade2.h:47
 msgid "Settings"
-msgstr ""
+msgstr "Configurazione"
 
-#: driver/demo-Gtk-widgets.c:1495 driver/xscreensaver-demo.glade.h:66
+#: driver/demo-Gtk-widgets.c:1495
+#: driver/xscreensaver-demo.glade.h:66
 #: driver/xscreensaver-demo.glade2.h:49
 msgid "Standard"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1532 driver/xscreensaver-demo.glade.h:77
+#: driver/demo-Gtk-widgets.c:1532
+#: driver/xscreensaver-demo.glade.h:77
 msgid "Visual:"
-msgstr ""
+msgstr "Visualizzazione:"
 
-#: driver/demo-Gtk-widgets.c:1551 driver/xscreensaver-demo.glade.h:7
+#: driver/demo-Gtk-widgets.c:1551
+#: driver/xscreensaver-demo.glade.h:7
 #: driver/xscreensaver-demo.glade2.h:4
 msgid "Best"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1552 driver/xscreensaver-demo.glade.h:19
+#: driver/demo-Gtk-widgets.c:1552
+#: driver/xscreensaver-demo.glade.h:19
 #: driver/xscreensaver-demo.glade2.h:10
 msgid "Default"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1553 driver/xscreensaver-demo.glade.h:20
+#: driver/demo-Gtk-widgets.c:1553
+#: driver/xscreensaver-demo.glade.h:20
 #: driver/xscreensaver-demo.glade2.h:11
 msgid "Default-N"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1554 driver/xscreensaver-demo.glade.h:37
+#: driver/demo-Gtk-widgets.c:1554
+#: driver/xscreensaver-demo.glade.h:37
 #: driver/xscreensaver-demo.glade2.h:23
 msgid "GL"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1555 driver/xscreensaver-demo.glade.h:74
+#: driver/demo-Gtk-widgets.c:1555
+#: driver/xscreensaver-demo.glade.h:74
 #: driver/xscreensaver-demo.glade2.h:53
 msgid "TrueColor"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1556 driver/xscreensaver-demo.glade.h:59
+#: driver/demo-Gtk-widgets.c:1556
+#: driver/xscreensaver-demo.glade.h:59
 #: driver/xscreensaver-demo.glade2.h:43
 msgid "PseudoColor"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1557 driver/xscreensaver-demo.glade.h:69
+#: driver/demo-Gtk-widgets.c:1557
+#: driver/xscreensaver-demo.glade.h:69
 #: driver/xscreensaver-demo.glade2.h:50
 msgid "StaticGray"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1558 driver/xscreensaver-demo.glade.h:42
+#: driver/demo-Gtk-widgets.c:1558
+#: driver/xscreensaver-demo.glade.h:42
 #: driver/xscreensaver-demo.glade2.h:27
 msgid "GrayScale"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1559 driver/xscreensaver-demo.glade.h:24
+#: driver/demo-Gtk-widgets.c:1559
+#: driver/xscreensaver-demo.glade.h:24
 #: driver/xscreensaver-demo.glade2.h:15
 msgid "DirectColor"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1560 driver/xscreensaver-demo.glade.h:14
-#: driver/xscreensaver-demo.glade2.h:7 hacks/config/fuzzyflakes.xml.h:3
+#: driver/demo-Gtk-widgets.c:1560
+#: driver/xscreensaver-demo.glade.h:14
+#: driver/xscreensaver-demo.glade2.h:7
+#: hacks/config/fuzzyflakes.xml.h:3
 msgid "Color"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1561 driver/xscreensaver-demo.glade.h:41
+#: driver/demo-Gtk-widgets.c:1561
+#: driver/xscreensaver-demo.glade.h:41
 #: driver/xscreensaver-demo.glade2.h:26
 msgid "Gray"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1562 driver/xscreensaver-demo.glade.h:53
+#: driver/demo-Gtk-widgets.c:1562
+#: driver/xscreensaver-demo.glade.h:53
 #: driver/xscreensaver-demo.glade2.h:37
 msgid "Mono"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1572 driver/xscreensaver-demo.glade.h:72
-msgid ""
-"The X visual type that this demo will require.  If that visual is available "
-"it will be used, otherwise, this demo will not be run."
+#: driver/demo-Gtk-widgets.c:1572
+#: driver/xscreensaver-demo.glade.h:72
+msgid "The X visual type that this demo will require.  If that visual is available it will be used, otherwise, this demo will not be run."
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1575 driver/xscreensaver-demo.glade.h:16
+#: driver/demo-Gtk-widgets.c:1575
+#: driver/xscreensaver-demo.glade.h:16
 msgid "Command Line:"
-msgstr ""
+msgstr "Riga di comando:"
 
-#: driver/demo-Gtk-widgets.c:1647 driver/xscreensaver-demo.glade.h:31
+#: driver/demo-Gtk-widgets.c:1647
+#: driver/xscreensaver-demo.glade.h:31
 msgid "Documentation..."
-msgstr ""
+msgstr "Documentazione..."
 
-#: driver/demo-Gtk-widgets.c:1655 driver/xscreensaver-demo.glade.h:13
+#: driver/demo-Gtk-widgets.c:1655
+#: driver/xscreensaver-demo.glade.h:13
 msgid "Click here to read the manual for this display mode, if it has one."
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1680 driver/xscreensaver-demo.glade.h:4
+#: driver/demo-Gtk-widgets.c:1680
+#: driver/xscreensaver-demo.glade.h:4
 msgid "Advanced >>"
-msgstr ""
+msgstr "Avanzate >>"
 
-#: driver/demo-Gtk-widgets.c:1688 driver/xscreensaver-demo.glade.h:32
+#: driver/demo-Gtk-widgets.c:1688
+#: driver/xscreensaver-demo.glade.h:32
 msgid "Edit the command line directly."
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1690 driver/xscreensaver-demo.glade.h:67
+#: driver/demo-Gtk-widgets.c:1690
+#: driver/xscreensaver-demo.glade.h:67
 msgid "Standard <<"
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1698 driver/xscreensaver-demo.glade.h:6
+#: driver/demo-Gtk-widgets.c:1698
+#: driver/xscreensaver-demo.glade.h:6
 msgid "Back to the graphical configuration options."
 msgstr ""
 
-#: driver/demo-Gtk-widgets.c:1718 driver/xscreensaver-demo.glade.h:11
+#: driver/demo-Gtk-widgets.c:1718
+#: driver/xscreensaver-demo.glade.h:11
 msgid "Cancel"
 msgstr ""
 
@@ -750,58 +853,55 @@
 
 #: driver/xscreensaver-demo.glade2.h:6
 msgid "Choose _Random Image:"
-msgstr ""
+msgstr "Usa un'immagine _random:"
 
 #: driver/xscreensaver-demo.glade2.h:18
 msgid "Display Subprocess _Errors"
-msgstr ""
+msgstr "Mostra gli _errori dei sottoprocessi"
 
 #: driver/xscreensaver-demo.glade2.h:19
-#, fuzzy
 msgid "Display _Splash Screen at Startup"
-msgstr "Salvaschermo"
+msgstr "Mostra uno _Splash Screen all'avvio"
 
 #: driver/xscreensaver-demo.glade2.h:20
 msgid "F_ade Duration"
-msgstr ""
+msgstr "_Durata della dissolvenza"
 
 #: driver/xscreensaver-demo.glade2.h:21
 msgid "Fade from Black When _Unblanking"
-msgstr ""
+msgstr "Dissolvenza dallo schermo ne_ro"
 
 #: driver/xscreensaver-demo.glade2.h:22
 msgid "Fade to Black when _Blanking"
-msgstr ""
+msgstr "Dissolvenza verso lo schermo _nero"
 
 #: driver/xscreensaver-demo.glade2.h:24
 msgid "Grab Desktop _Images"
-msgstr ""
+msgstr "Utilizza un'_istantanea del desktop"
 
 #: driver/xscreensaver-demo.glade2.h:25
 msgid "Grab _Video Frames"
-msgstr ""
+msgstr "Utilizza i fotogrammi _video"
 
 #: driver/xscreensaver-demo.glade2.h:28
 msgid "How long after the screen blanks until a password will be required."
-msgstr ""
+msgstr "Dopo lo spegnimenro dello schermo, il tempo dopo il quale viene richiesta una password."
 
 #: driver/xscreensaver-demo.glade2.h:29
 msgid "How long before the screensaver activates."
-msgstr ""
+msgstr "Quanto tempo passa prima che si attivi lo screensaver."
 
 #: driver/xscreensaver-demo.glade2.h:30
-msgid ""
-"How long each display mode should run before choosing a new one (in Random "
-"mode.)"
-msgstr ""
+msgid "How long each display mode should run before choosing a new one (in Random mode.)"
+msgstr "In modalità casuale, il tempo che intercorre tra una modalità di visualizzazione e l'altra."
 
 #: driver/xscreensaver-demo.glade2.h:32
 msgid "How long until the monitor goes completely black."
-msgstr ""
+msgstr "Dopo quanto tempo il monitor va in modalità standby."
 
 #: driver/xscreensaver-demo.glade2.h:36
 msgid "Install _Colormap"
-msgstr ""
+msgstr "Utilizza una mappa _colori"
 
 #: driver/xscreensaver-demo.glade2.h:38
 msgid ""
@@ -814,69 +914,68 @@
 "Not\n"
 "Installed"
 msgstr ""
+"Non\n"
+"installato"
 
 #: driver/xscreensaver-demo.glade2.h:48
 msgid "Stand_by After"
-msgstr ""
+msgstr "Stand_by dopo"
 
 #: driver/xscreensaver-demo.glade2.h:51
 msgid "Sus_pend After"
-msgstr ""
+msgstr "Sos_pendi dopo"
 
 #: driver/xscreensaver-demo.glade2.h:58
-msgid ""
-"Whether the image-manipulating modes should operate on images captured from "
-"the system's video input (if there is one.)"
+msgid "Whether the image-manipulating modes should operate on images captured from the system's video input (if there is one.)"
 msgstr ""
 
 #: driver/xscreensaver-demo.glade2.h:67
 msgid "_Advanced"
-msgstr ""
+msgstr "_Avanzate"
 
 #: driver/xscreensaver-demo.glade2.h:68
 msgid "_Advanced >>"
-msgstr ""
+msgstr "_Avanzate >>"
 
 #: driver/xscreensaver-demo.glade2.h:69
 msgid "_Blank After"
-msgstr ""
+msgstr "Annerisci lo _schermo dopo"
 
 #: driver/xscreensaver-demo.glade2.h:71
 msgid "_Browse"
-msgstr ""
+msgstr "S_foglia"
 
 #: driver/xscreensaver-demo.glade2.h:72
 msgid "_Command Line:"
-msgstr ""
+msgstr "_Riga di comando:"
 
 #: driver/xscreensaver-demo.glade2.h:73
 msgid "_Cycle After"
-msgstr ""
+msgstr "Cam_bia screensaver ogni"
 
 #: driver/xscreensaver-demo.glade2.h:74
 msgid "_Display Modes"
-msgstr ""
+msgstr "Mo_dalità di visualizzazione"
 
 #: driver/xscreensaver-demo.glade2.h:79
-#, fuzzy
 msgid "_Lock Screen After"
-msgstr "Salvaschermo"
+msgstr "B_locca lo schermo dopo"
 
 #: driver/xscreensaver-demo.glade2.h:81
 msgid "_Mode:"
-msgstr ""
+msgstr "_Modalità"
 
 #: driver/xscreensaver-demo.glade2.h:82
 msgid "_Off After"
-msgstr ""
+msgstr "Spegni d_opo"
 
 #: driver/xscreensaver-demo.glade2.h:83
 msgid "_Power Management Enabled"
-msgstr ""
+msgstr "_Gestione dell'alimentazione abilitata"
 
 #: driver/xscreensaver-demo.glade2.h:84
 msgid "_Preview"
-msgstr ""
+msgstr "Ante_prima"
 
 #: driver/xscreensaver-demo.glade2.h:85
 msgid "_Quit"
@@ -884,7 +983,7 @@
 
 #: driver/xscreensaver-demo.glade2.h:87
 msgid "_Settings..."
-msgstr ""
+msgstr "C_onfigurazione..."
 
 #: driver/xscreensaver-demo.glade2.h:88
 msgid "_Standard <<"
@@ -892,11 +991,11 @@
 
 #: driver/xscreensaver-demo.glade2.h:89
 msgid "_Verbose Diagnostics"
-msgstr ""
+msgstr "Diagnostica _dettagliata"
 
 #: driver/xscreensaver-demo.glade2.h:90
 msgid "_Visual:"
-msgstr ""
+msgstr "_Visualizzazione:"
 
 #: driver/xscreensaver-demo.glade2.h:91
 msgid "dialog1"
@@ -908,424 +1007,781 @@
 
 #: driver/xscreensaver-demo.glade2.h:94
 msgid "not installed"
-msgstr ""
+msgstr "non installato"
 
 #: driver/xscreensaver-demo.glade2.h:95
 msgid "preview"
-msgstr ""
+msgstr "anteprima"
 
 #: hacks/config/anemone.xml.h:1
 msgid "Anemone"
-msgstr ""
+msgstr "Anemone"
 
-#: hacks/config/anemone.xml.h:2 hacks/config/fuzzyflakes.xml.h:1
+#: hacks/config/anemone.xml.h:2
+#: hacks/config/fuzzyflakes.xml.h:1
 msgid "Arms"
-msgstr ""
+msgstr "Braccia"
 
-#: hacks/config/anemone.xml.h:3 hacks/config/anemotaxis.xml.h:5
-#: hacks/config/antinspect.xml.h:4 hacks/config/antspotlight.xml.h:3
-#: hacks/config/ant.xml.h:6 hacks/config/apollonian.xml.h:5
-#: hacks/config/atlantis.xml.h:4 hacks/config/attraction.xml.h:8
-#: hacks/config/atunnel.xml.h:3 hacks/config/barcode.xml.h:4
-#: hacks/config/blaster.xml.h:3 hacks/config/blinkbox.xml.h:5
-#: hacks/config/blitspin.xml.h:4 hacks/config/blocktube.xml.h:4
-#: hacks/config/boing.xml.h:2 hacks/config/bouboule.xml.h:3
-#: hacks/config/bouncingcow.xml.h:6 hacks/config/boxed.xml.h:4
-#: hacks/config/boxfit.xml.h:7 hacks/config/braid.xml.h:4
-#: hacks/config/bubble3d.xml.h:3 hacks/config/bubbles.xml.h:8
-#: hacks/config/bumps.xml.h:3 hacks/config/cage.xml.h:2
-#: hacks/config/carousel.xml.h:5 hacks/config/circuit.xml.h:4
-#: hacks/config/cloudlife.xml.h:3 hacks/config/compass.xml.h:3
-#: hacks/config/coral.xml.h:7 hacks/config/critical.xml.h:3
-#: hacks/config/crystal.xml.h:6 hacks/config/cubenetic.xml.h:8
-#: hacks/config/cubestorm.xml.h:4 hacks/config/cynosure.xml.h:4
-#: hacks/config/dangerball.xml.h:3 hacks/config/decayscreen.xml.h:2
-#: hacks/config/deluxe.xml.h:4 hacks/config/demon.xml.h:4
-#: hacks/config/discrete.xml.h:2 hacks/config/distort.xml.h:4
-#: hacks/config/drift.xml.h:3 hacks/config/endgame.xml.h:3
-#: hacks/config/engine.xml.h:8 hacks/config/epicycle.xml.h:5
-#: hacks/config/eruption.xml.h:5 hacks/config/euler2d.xml.h:3
-#: hacks/config/extrusion.xml.h:3 hacks/config/fadeplot.xml.h:4
-#: hacks/config/fireworkx.xml.h:3 hacks/config/flag.xml.h:2
-#: hacks/config/flame.xml.h:6 hacks/config/flipflop.xml.h:1
-#: hacks/config/flipscreen3d.xml.h:1 hacks/config/flow.xml.h:2
-#: hacks/config/fluidballs.xml.h:5 hacks/config/flyingtoasters.xml.h:5
-#: hacks/config/fontglide.xml.h:4 hacks/config/forest.xml.h:1
-#: hacks/config/fuzzyflakes.xml.h:7 hacks/config/galaxy.xml.h:3
-#: hacks/config/gears.xml.h:2 hacks/config/gflux.xml.h:6
-#: hacks/config/glblur.xml.h:4 hacks/config/glforestfire.xml.h:4
-#: hacks/config/glknots.xml.h:3 hacks/config/glmatrix.xml.h:8
-#: hacks/config/glplanet.xml.h:2 hacks/config/glsnake.xml.h:6
-#: hacks/config/gltext.xml.h:3 hacks/config/goop.xml.h:4
-#: hacks/config/grav.xml.h:2 hacks/config/greynetic.xml.h:1
-#: hacks/config/halo.xml.h:2 hacks/config/hopalong.xml.h:9
-#: hacks/config/hyperball.xml.h:2 hacks/config/hypercube.xml.h:2
-#: hacks/config/hypertorus.xml.h:6 hacks/config/ifs.xml.h:1
-#: hacks/config/interference.xml.h:7 hacks/config/intermomentary.xml.h:1
-#: hacks/config/jigglypuff.xml.h:6 hacks/config/jigsaw.xml.h:3
-#: hacks/config/juggle.xml.h:2 hacks/config/julia.xml.h:2
-#: hacks/config/kaleidescope.xml.h:2 hacks/config/klein.xml.h:2
-#: hacks/config/kumppa.xml.h:3 hacks/config/lament.xml.h:2
-#: hacks/config/laser.xml.h:3 hacks/config/lavalite.xml.h:10
-#: hacks/config/lightning.xml.h:1 hacks/config/lisa.xml.h:2
-#: hacks/config/lissie.xml.h:3 hacks/config/lmorph.xml.h:3
-#: hacks/config/loop.xml.h:1 hacks/config/maze.xml.h:4
-#: hacks/config/memscroller.xml.h:5 hacks/config/menger.xml.h:3
-#: hacks/config/metaballs.xml.h:4 hacks/config/mirrorblob.xml.h:12
-#: hacks/config/mismunch.xml.h:2 hacks/config/moebius.xml.h:3
-#: hacks/config/moire2.xml.h:2 hacks/config/molecule.xml.h:10
-#: hacks/config/morph3d.xml.h:3 hacks/config/mountain.xml.h:2
-#: hacks/config/munch.xml.h:3 hacks/config/nerverot.xml.h:9
-#: hacks/config/noof.xml.h:2 hacks/config/pacman.xml.h:1
-#: hacks/config/penetrate.xml.h:3 hacks/config/penrose.xml.h:6
-#: hacks/config/petri.xml.h:5 hacks/config/phosphor.xml.h:4
-#: hacks/config/piecewise.xml.h:4 hacks/config/pinion.xml.h:5
-#: hacks/config/pipes.xml.h:5 hacks/config/polyhedra.xml.h:18
-#: hacks/config/polyominoes.xml.h:2 hacks/config/polytopes.xml.h:11
-#: hacks/config/pong.xml.h:1 hacks/config/popsquares.xml.h:3
-#: hacks/config/providence.xml.h:2 hacks/config/pulsar.xml.h:11
-#: hacks/config/pyro.xml.h:4 hacks/config/qix.xml.h:7
-#: hacks/config/queens.xml.h:1 hacks/config/rd-bomb.xml.h:9
-#: hacks/config/ripples.xml.h:4 hacks/config/rocks.xml.h:4
-#: hacks/config/rotor.xml.h:3 hacks/config/rubik.xml.h:3
-#: hacks/config/sballs.xml.h:4 hacks/config/shadebobs.xml.h:3
-#: hacks/config/sierpinski3d.xml.h:2 hacks/config/sierpinski.xml.h:2
-#: hacks/config/slidescreen.xml.h:2 hacks/config/slip.xml.h:2
-#: hacks/config/speedmine.xml.h:3 hacks/config/spheremonics.xml.h:5
-#: hacks/config/sphere.xml.h:2 hacks/config/spiral.xml.h:3
-#: hacks/config/spotlight.xml.h:2 hacks/config/sproingies.xml.h:2
-#: hacks/config/squiral.xml.h:4 hacks/config/stairs.xml.h:1
-#: hacks/config/starfish.xml.h:3 hacks/config/starwars.xml.h:6
-#: hacks/config/strange.xml.h:1 hacks/config/substrate.xml.h:7
-#: hacks/config/superquadrics.xml.h:4 hacks/config/swirl.xml.h:2
-#: hacks/config/t3d.xml.h:6 hacks/config/thornbird.xml.h:2
-#: hacks/config/triangle.xml.h:1 hacks/config/truchet.xml.h:1
-#: hacks/config/twang.xml.h:3 hacks/config/vines.xml.h:1
-#: hacks/config/wormhole.xml.h:2 hacks/config/worm.xml.h:3
-#: hacks/config/xearth.xml.h:7 hacks/config/xfishtank.xml.h:3
-#: hacks/config/xflame.xml.h:4 hacks/config/xjack.xml.h:1
-#: hacks/config/xmatrix.xml.h:5 hacks/config/xmountains.xml.h:13
-#: hacks/config/xplanet.xml.h:8 hacks/config/xrayswarm.xml.h:2
+#: hacks/config/anemone.xml.h:3
+#: hacks/config/anemotaxis.xml.h:5
+#: hacks/config/antinspect.xml.h:4
+#: hacks/config/antspotlight.xml.h:3
+#: hacks/config/ant.xml.h:6
+#: hacks/config/apollonian.xml.h:5
+#: hacks/config/atlantis.xml.h:4
+#: hacks/config/attraction.xml.h:8
+#: hacks/config/atunnel.xml.h:3
+#: hacks/config/barcode.xml.h:4
+#: hacks/config/blaster.xml.h:3
+#: hacks/config/blinkbox.xml.h:5
+#: hacks/config/blitspin.xml.h:4
+#: hacks/config/blocktube.xml.h:4
+#: hacks/config/boing.xml.h:2
+#: hacks/config/bouboule.xml.h:3
+#: hacks/config/bouncingcow.xml.h:6
+#: hacks/config/boxed.xml.h:4
+#: hacks/config/boxfit.xml.h:7
+#: hacks/config/braid.xml.h:4
+#: hacks/config/bubble3d.xml.h:3
+#: hacks/config/bubbles.xml.h:8
+#: hacks/config/bumps.xml.h:3
+#: hacks/config/cage.xml.h:2
+#: hacks/config/carousel.xml.h:5
+#: hacks/config/circuit.xml.h:4
+#: hacks/config/cloudlife.xml.h:3
+#: hacks/config/compass.xml.h:3
+#: hacks/config/coral.xml.h:7
+#: hacks/config/critical.xml.h:3
+#: hacks/config/crystal.xml.h:6
+#: hacks/config/cubenetic.xml.h:8
+#: hacks/config/cubestorm.xml.h:4
+#: hacks/config/cynosure.xml.h:4
+#: hacks/config/dangerball.xml.h:3
+#: hacks/config/decayscreen.xml.h:2
+#: hacks/config/deluxe.xml.h:4
+#: hacks/config/demon.xml.h:4
+#: hacks/config/discrete.xml.h:2
+#: hacks/config/distort.xml.h:4
+#: hacks/config/drift.xml.h:3
+#: hacks/config/endgame.xml.h:3
+#: hacks/config/engine.xml.h:8
+#: hacks/config/epicycle.xml.h:5
+#: hacks/config/eruption.xml.h:5
+#: hacks/config/euler2d.xml.h:3
+#: hacks/config/extrusion.xml.h:3
+#: hacks/config/fadeplot.xml.h:4
+#: hacks/config/fireworkx.xml.h:3
+#: hacks/config/flag.xml.h:2
+#: hacks/config/flame.xml.h:6
+#: hacks/config/flipflop.xml.h:1
+#: hacks/config/flipscreen3d.xml.h:1
+#: hacks/config/flow.xml.h:2
+#: hacks/config/fluidballs.xml.h:5
+#: hacks/config/flyingtoasters.xml.h:5
+#: hacks/config/fontglide.xml.h:4
+#: hacks/config/forest.xml.h:1
+#: hacks/config/fuzzyflakes.xml.h:7
+#: hacks/config/galaxy.xml.h:3
+#: hacks/config/gears.xml.h:2
+#: hacks/config/gflux.xml.h:6
+#: hacks/config/glblur.xml.h:4
+#: hacks/config/glforestfire.xml.h:4
+#: hacks/config/glknots.xml.h:3
+#: hacks/config/glmatrix.xml.h:8
+#: hacks/config/glplanet.xml.h:2
+#: hacks/config/glsnake.xml.h:6
+#: hacks/config/gltext.xml.h:3
+#: hacks/config/goop.xml.h:4
+#: hacks/config/grav.xml.h:2
+#: hacks/config/greynetic.xml.h:1
+#: hacks/config/halo.xml.h:2
+#: hacks/config/hopalong.xml.h:9
+#: hacks/config/hyperball.xml.h:2
+#: hacks/config/hypercube.xml.h:2
+#: hacks/config/hypertorus.xml.h:6
+#: hacks/config/ifs.xml.h:1
+#: hacks/config/interference.xml.h:7
+#: hacks/config/intermomentary.xml.h:1
+#: hacks/config/jigglypuff.xml.h:6
+#: hacks/config/jigsaw.xml.h:3
+#: hacks/config/juggle.xml.h:2
+#: hacks/config/julia.xml.h:2
+#: hacks/config/kaleidescope.xml.h:2
+#: hacks/config/klein.xml.h:2
+#: hacks/config/kumppa.xml.h:3
+#: hacks/config/lament.xml.h:2
+#: hacks/config/laser.xml.h:3
+#: hacks/config/lavalite.xml.h:10
+#: hacks/config/lightning.xml.h:1
+#: hacks/config/lisa.xml.h:2
+#: hacks/config/lissie.xml.h:3
+#: hacks/config/lmorph.xml.h:3
+#: hacks/config/loop.xml.h:1
+#: hacks/config/maze.xml.h:4
+#: hacks/config/memscroller.xml.h:5
+#: hacks/config/menger.xml.h:3
+#: hacks/config/metaballs.xml.h:4
+#: hacks/config/mirrorblob.xml.h:12
+#: hacks/config/mismunch.xml.h:2
+#: hacks/config/moebius.xml.h:3
+#: hacks/config/moire2.xml.h:2
+#: hacks/config/molecule.xml.h:10
+#: hacks/config/morph3d.xml.h:3
+#: hacks/config/mountain.xml.h:2
+#: hacks/config/munch.xml.h:3
+#: hacks/config/nerverot.xml.h:9
+#: hacks/config/noof.xml.h:2
+#: hacks/config/pacman.xml.h:1
+#: hacks/config/penetrate.xml.h:3
+#: hacks/config/penrose.xml.h:6
+#: hacks/config/petri.xml.h:5
+#: hacks/config/phosphor.xml.h:4
+#: hacks/config/piecewise.xml.h:4
+#: hacks/config/pinion.xml.h:5
+#: hacks/config/pipes.xml.h:5
+#: hacks/config/polyhedra.xml.h:18
+#: hacks/config/polyominoes.xml.h:2
+#: hacks/config/polytopes.xml.h:11
+#: hacks/config/pong.xml.h:1
+#: hacks/config/popsquares.xml.h:3
+#: hacks/config/providence.xml.h:2
+#: hacks/config/pulsar.xml.h:11
+#: hacks/config/pyro.xml.h:4
+#: hacks/config/qix.xml.h:7
+#: hacks/config/queens.xml.h:1
+#: hacks/config/rd-bomb.xml.h:9
+#: hacks/config/ripples.xml.h:4
+#: hacks/config/rocks.xml.h:4
+#: hacks/config/rotor.xml.h:3
+#: hacks/config/rubik.xml.h:3
+#: hacks/config/sballs.xml.h:4
+#: hacks/config/shadebobs.xml.h:3
+#: hacks/config/sierpinski3d.xml.h:2
+#: hacks/config/sierpinski.xml.h:2
+#: hacks/config/slidescreen.xml.h:2
+#: hacks/config/slip.xml.h:2
+#: hacks/config/speedmine.xml.h:3
+#: hacks/config/spheremonics.xml.h:5
+#: hacks/config/sphere.xml.h:2
+#: hacks/config/spiral.xml.h:3
+#: hacks/config/spotlight.xml.h:2
+#: hacks/config/sproingies.xml.h:2
+#: hacks/config/squiral.xml.h:4
+#: hacks/config/stairs.xml.h:1
+#: hacks/config/starfish.xml.h:3
+#: hacks/config/starwars.xml.h:6
+#: hacks/config/strange.xml.h:1
+#: hacks/config/substrate.xml.h:7
+#: hacks/config/superquadrics.xml.h:4
+#: hacks/config/swirl.xml.h:2
+#: hacks/config/t3d.xml.h:6
+#: hacks/config/thornbird.xml.h:2
+#: hacks/config/triangle.xml.h:1
+#: hacks/config/truchet.xml.h:1
+#: hacks/config/twang.xml.h:3
+#: hacks/config/vines.xml.h:1
+#: hacks/config/wormhole.xml.h:2
+#: hacks/config/worm.xml.h:3
+#: hacks/config/xearth.xml.h:7
+#: hacks/config/xfishtank.xml.h:3
+#: hacks/config/xflame.xml.h:4
+#: hacks/config/xjack.xml.h:1
+#: hacks/config/xmatrix.xml.h:5
+#: hacks/config/xmountains.xml.h:13
+#: hacks/config/xplanet.xml.h:8
+#: hacks/config/xrayswarm.xml.h:2
 #: hacks/config/zoom.xml.h:2
 msgid "Fast"
-msgstr ""
+msgstr "Veloce"
 
-#: hacks/config/anemone.xml.h:4 hacks/config/anemotaxis.xml.h:6
-#: hacks/config/blaster.xml.h:4 hacks/config/bouboule.xml.h:4
-#: hacks/config/coral.xml.h:8 hacks/config/cubenetic.xml.h:9
-#: hacks/config/eruption.xml.h:6 hacks/config/euler2d.xml.h:4
-#: hacks/config/fiberlamp.xml.h:2 hacks/config/flame.xml.h:7
-#: hacks/config/fluidballs.xml.h:6 hacks/config/fuzzyflakes.xml.h:8
-#: hacks/config/kaleidescope.xml.h:3 hacks/config/lisa.xml.h:3
-#: hacks/config/pedal.xml.h:4 hacks/config/petri.xml.h:7
-#: hacks/config/qix.xml.h:8 hacks/config/substrate.xml.h:8
-#: hacks/config/thornbird.xml.h:3 hacks/config/whirlwindwarp.xml.h:1
-#: hacks/config/wormhole.xml.h:3 hacks/config/xfishtank.xml.h:4
+#: hacks/config/anemone.xml.h:4
+#: hacks/config/anemotaxis.xml.h:6
+#: hacks/config/blaster.xml.h:4
+#: hacks/config/bouboule.xml.h:4
+#: hacks/config/coral.xml.h:8
+#: hacks/config/cubenetic.xml.h:9
+#: hacks/config/eruption.xml.h:6
+#: hacks/config/euler2d.xml.h:4
+#: hacks/config/fiberlamp.xml.h:2
+#: hacks/config/flame.xml.h:7
+#: hacks/config/fluidballs.xml.h:6
+#: hacks/config/fuzzyflakes.xml.h:8
+#: hacks/config/kaleidescope.xml.h:3
+#: hacks/config/lisa.xml.h:3
+#: hacks/config/pedal.xml.h:4
+#: hacks/config/petri.xml.h:7
+#: hacks/config/qix.xml.h:8
+#: hacks/config/substrate.xml.h:8
+#: hacks/config/thornbird.xml.h:3
+#: hacks/config/whirlwindwarp.xml.h:1
+#: hacks/config/wormhole.xml.h:3
+#: hacks/config/xfishtank.xml.h:4
 msgid "Few"
-msgstr ""
+msgstr "Poche"
 
-#: hacks/config/anemone.xml.h:5 hacks/config/anemotaxis.xml.h:7
-#: hacks/config/ant.xml.h:9 hacks/config/apollonian.xml.h:7
-#: hacks/config/attraction.xml.h:18 hacks/config/blaster.xml.h:6
-#: hacks/config/bouboule.xml.h:5 hacks/config/braid.xml.h:7
-#: hacks/config/coral.xml.h:9 hacks/config/critical.xml.h:4
-#: hacks/config/crystal.xml.h:8 hacks/config/cubenetic.xml.h:13
-#: hacks/config/cynosure.xml.h:6 hacks/config/deco.xml.h:5
-#: hacks/config/deluxe.xml.h:6 hacks/config/demon.xml.h:6
-#: hacks/config/discrete.xml.h:4 hacks/config/drift.xml.h:9
-#: hacks/config/epicycle.xml.h:8 hacks/config/eruption.xml.h:12
-#: hacks/config/euler2d.xml.h:8 hacks/config/fadeplot.xml.h:6
-#: hacks/config/fiberlamp.xml.h:6 hacks/config/flag.xml.h:5
-#: hacks/config/flame.xml.h:11 hacks/config/flow.xml.h:7
-#: hacks/config/fluidballs.xml.h:13 hacks/config/forest.xml.h:3
-#: hacks/config/fuzzyflakes.xml.h:12 hacks/config/galaxy.xml.h:6
-#: hacks/config/grav.xml.h:4 hacks/config/halo.xml.h:4
-#: hacks/config/hopalong.xml.h:15 hacks/config/ifs.xml.h:3
-#: hacks/config/imsmap.xml.h:9 hacks/config/interference.xml.h:14
-#: hacks/config/julia.xml.h:6 hacks/config/kaleidescope.xml.h:5
-#: hacks/config/laser.xml.h:6 hacks/config/lightning.xml.h:3
-#: hacks/config/lisa.xml.h:5 hacks/config/lissie.xml.h:6
-#: hacks/config/loop.xml.h:4 hacks/config/metaballs.xml.h:6
-#: hacks/config/mismunch.xml.h:4 hacks/config/moire2.xml.h:3
-#: hacks/config/moire.xml.h:5 hacks/config/mountain.xml.h:4
-#: hacks/config/nerverot.xml.h:15 hacks/config/pedal.xml.h:6
-#: hacks/config/penrose.xml.h:7 hacks/config/petri.xml.h:11
-#: hacks/config/polyominoes.xml.h:5 hacks/config/qix.xml.h:14
-#: hacks/config/rd-bomb.xml.h:12 hacks/config/ripples.xml.h:7
-#: hacks/config/rocks.xml.h:5 hacks/config/rotor.xml.h:6
-#: hacks/config/shadebobs.xml.h:5 hacks/config/sierpinski.xml.h:4
-#: hacks/config/slip.xml.h:4 hacks/config/sphere.xml.h:3
-#: hacks/config/spiral.xml.h:6 hacks/config/squiral.xml.h:9
-#: hacks/config/starfish.xml.h:5 hacks/config/strange.xml.h:2
-#: hacks/config/swirl.xml.h:3 hacks/config/thornbird.xml.h:4
-#: hacks/config/triangle.xml.h:3 hacks/config/vines.xml.h:2
-#: hacks/config/whirlwindwarp.xml.h:4 hacks/config/worm.xml.h:4
-#: hacks/config/xearth.xml.h:12 hacks/config/xfishtank.xml.h:8
+#: hacks/config/anemone.xml.h:5
+#: hacks/config/anemotaxis.xml.h:7
+#: hacks/config/ant.xml.h:9
+#: hacks/config/apollonian.xml.h:7
+#: hacks/config/attraction.xml.h:18
+#: hacks/config/blaster.xml.h:6
+#: hacks/config/bouboule.xml.h:5
+#: hacks/config/braid.xml.h:7
+#: hacks/config/coral.xml.h:9
+#: hacks/config/critical.xml.h:4
+#: hacks/config/crystal.xml.h:8
+#: hacks/config/cubenetic.xml.h:13
+#: hacks/config/cynosure.xml.h:6
+#: hacks/config/deco.xml.h:5
+#: hacks/config/deluxe.xml.h:6
+#: hacks/config/demon.xml.h:6
+#: hacks/config/discrete.xml.h:4
+#: hacks/config/drift.xml.h:9
+#: hacks/config/epicycle.xml.h:8
+#: hacks/config/eruption.xml.h:12
+#: hacks/config/euler2d.xml.h:8
+#: hacks/config/fadeplot.xml.h:6
+#: hacks/config/fiberlamp.xml.h:6
+#: hacks/config/flag.xml.h:5
+#: hacks/config/flame.xml.h:11
+#: hacks/config/flow.xml.h:7
+#: hacks/config/fluidballs.xml.h:13
+#: hacks/config/forest.xml.h:3
+#: hacks/config/fuzzyflakes.xml.h:12
+#: hacks/config/galaxy.xml.h:6
+#: hacks/config/grav.xml.h:4
+#: hacks/config/halo.xml.h:4
+#: hacks/config/hopalong.xml.h:15
+#: hacks/config/ifs.xml.h:3
+#: hacks/config/imsmap.xml.h:9
+#: hacks/config/interference.xml.h:14
+#: hacks/config/julia.xml.h:6
+#: hacks/config/kaleidescope.xml.h:5
+#: hacks/config/laser.xml.h:6
+#: hacks/config/lightning.xml.h:3
+#: hacks/config/lisa.xml.h:5
+#: hacks/config/lissie.xml.h:6
+#: hacks/config/loop.xml.h:4
+#: hacks/config/metaballs.xml.h:6
+#: hacks/config/mismunch.xml.h:4
+#: hacks/config/moire2.xml.h:3
+#: hacks/config/moire.xml.h:5
+#: hacks/config/mountain.xml.h:4
+#: hacks/config/nerverot.xml.h:15
+#: hacks/config/pedal.xml.h:6
+#: hacks/config/penrose.xml.h:7
+#: hacks/config/petri.xml.h:11
+#: hacks/config/polyominoes.xml.h:5
+#: hacks/config/qix.xml.h:14
+#: hacks/config/rd-bomb.xml.h:12
+#: hacks/config/ripples.xml.h:7
+#: hacks/config/rocks.xml.h:5
+#: hacks/config/rotor.xml.h:6
+#: hacks/config/shadebobs.xml.h:5
+#: hacks/config/sierpinski.xml.h:4
+#: hacks/config/slip.xml.h:4
+#: hacks/config/sphere.xml.h:3
+#: hacks/config/spiral.xml.h:6
+#: hacks/config/squiral.xml.h:9
+#: hacks/config/starfish.xml.h:5
+#: hacks/config/strange.xml.h:2
+#: hacks/config/swirl.xml.h:3
+#: hacks/config/thornbird.xml.h:4
+#: hacks/config/triangle.xml.h:3
+#: hacks/config/vines.xml.h:2
+#: hacks/config/whirlwindwarp.xml.h:4
+#: hacks/config/worm.xml.h:4
+#: hacks/config/xearth.xml.h:12
+#: hacks/config/xfishtank.xml.h:8
 msgid "Many"
-msgstr ""
+msgstr "Molte"
 
-#: hacks/config/anemone.xml.h:6 hacks/config/ant.xml.h:11
-#: hacks/config/apollonian.xml.h:8 hacks/config/attraction.xml.h:19
-#: hacks/config/bouboule.xml.h:6 hacks/config/braid.xml.h:9
-#: hacks/config/critical.xml.h:5 hacks/config/crystal.xml.h:10
-#: hacks/config/cynosure.xml.h:7 hacks/config/deco.xml.h:8
-#: hacks/config/deluxe.xml.h:7 hacks/config/demon.xml.h:7
-#: hacks/config/discrete.xml.h:6 hacks/config/drift.xml.h:10
-#: hacks/config/epicycle.xml.h:9 hacks/config/eruption.xml.h:14
-#: hacks/config/euler2d.xml.h:9 hacks/config/fadeplot.xml.h:7
-#: hacks/config/flag.xml.h:6 hacks/config/flame.xml.h:12
-#: hacks/config/flow.xml.h:8 hacks/config/forest.xml.h:4
-#: hacks/config/galaxy.xml.h:7 hacks/config/grav.xml.h:5
-#: hacks/config/halo.xml.h:6 hacks/config/hopalong.xml.h:17
-#: hacks/config/ifs.xml.h:4 hacks/config/imsmap.xml.h:10
-#: hacks/config/interference.xml.h:15 hacks/config/julia.xml.h:7
-#: hacks/config/laser.xml.h:8 hacks/config/lightning.xml.h:4
-#: hacks/config/lisa.xml.h:6 hacks/config/lissie.xml.h:7
-#: hacks/config/loop.xml.h:5 hacks/config/metaballs.xml.h:10
-#: hacks/config/moire2.xml.h:5 hacks/config/moire.xml.h:7
-#: hacks/config/mountain.xml.h:6 hacks/config/penrose.xml.h:8
-#: hacks/config/polyominoes.xml.h:6 hacks/config/popsquares.xml.h:4
-#: hacks/config/rd-bomb.xml.h:13 hacks/config/rocks.xml.h:6
-#: hacks/config/rotor.xml.h:7 hacks/config/shadebobs.xml.h:6
-#: hacks/config/sierpinski.xml.h:5 hacks/config/slip.xml.h:5
-#: hacks/config/sphere.xml.h:4 hacks/config/spiral.xml.h:8
-#: hacks/config/squiral.xml.h:10 hacks/config/starfish.xml.h:6
-#: hacks/config/strange.xml.h:3 hacks/config/swirl.xml.h:5
-#: hacks/config/thornbird.xml.h:5 hacks/config/triangle.xml.h:4
-#: hacks/config/vines.xml.h:3 hacks/config/worm.xml.h:5
-#: hacks/config/xearth.xml.h:17 hacks/config/xfishtank.xml.h:9
+#: hacks/config/anemone.xml.h:6
+#: hacks/config/ant.xml.h:11
+#: hacks/config/apollonian.xml.h:8
+#: hacks/config/attraction.xml.h:19
+#: hacks/config/bouboule.xml.h:6
+#: hacks/config/braid.xml.h:9
+#: hacks/config/critical.xml.h:5
+#: hacks/config/crystal.xml.h:10
+#: hacks/config/cynosure.xml.h:7
+#: hacks/config/deco.xml.h:8
+#: hacks/config/deluxe.xml.h:7
+#: hacks/config/demon.xml.h:7
+#: hacks/config/discrete.xml.h:6
+#: hacks/config/drift.xml.h:10
+#: hacks/config/epicycle.xml.h:9
+#: hacks/config/eruption.xml.h:14
+#: hacks/config/euler2d.xml.h:9
+#: hacks/config/fadeplot.xml.h:7
+#: hacks/config/flag.xml.h:6
+#: hacks/config/flame.xml.h:12
+#: hacks/config/flow.xml.h:8
+#: hacks/config/forest.xml.h:4
+#: hacks/config/galaxy.xml.h:7
+#: hacks/config/grav.xml.h:5
+#: hacks/config/halo.xml.h:6
+#: hacks/config/hopalong.xml.h:17
+#: hacks/config/ifs.xml.h:4
+#: hacks/config/imsmap.xml.h:10
+#: hacks/config/interference.xml.h:15
+#: hacks/config/julia.xml.h:7
+#: hacks/config/laser.xml.h:8
+#: hacks/config/lightning.xml.h:4
+#: hacks/config/lisa.xml.h:6
+#: hacks/config/lissie.xml.h:7
+#: hacks/config/loop.xml.h:5
+#: hacks/config/metaballs.xml.h:10
+#: hacks/config/moire2.xml.h:5
+#: hacks/config/moire.xml.h:7
+#: hacks/config/mountain.xml.h:6
+#: hacks/config/penrose.xml.h:8
+#: hacks/config/polyominoes.xml.h:6
+#: hacks/config/popsquares.xml.h:4
+#: hacks/config/rd-bomb.xml.h:13
+#: hacks/config/rocks.xml.h:6
+#: hacks/config/rotor.xml.h:7
+#: hacks/config/shadebobs.xml.h:6
+#: hacks/config/sierpinski.xml.h:5
+#: hacks/config/slip.xml.h:5
+#: hacks/config/sphere.xml.h:4
+#: hacks/config/spiral.xml.h:8
+#: hacks/config/squiral.xml.h:10
+#: hacks/config/starfish.xml.h:6
+#: hacks/config/strange.xml.h:3
+#: hacks/config/swirl.xml.h:5
+#: hacks/config/thornbird.xml.h:5
+#: hacks/config/triangle.xml.h:4
+#: hacks/config/vines.xml.h:3
+#: hacks/config/worm.xml.h:5
+#: hacks/config/xearth.xml.h:17
+#: hacks/config/xfishtank.xml.h:9
 msgid "Number of Colors"
 msgstr ""
 
-#: hacks/config/anemone.xml.h:7 hacks/config/fireflies.xml.h:32
+#: hacks/config/anemone.xml.h:7
+#: hacks/config/fireflies.xml.h:32
 #: hacks/config/pyro.xml.h:8
 msgid "Often"
-msgstr ""
+msgstr "Alta"
 
 #: hacks/config/anemone.xml.h:8
 msgid "Rarely"
-msgstr ""
+msgstr "Bassa"
 
-#: hacks/config/anemone.xml.h:9 hacks/config/anemotaxis.xml.h:10
-#: hacks/config/antinspect.xml.h:6 hacks/config/antspotlight.xml.h:5
-#: hacks/config/ant.xml.h:15 hacks/config/apollonian.xml.h:11
-#: hacks/config/atlantis.xml.h:13 hacks/config/attraction.xml.h:26
-#: hacks/config/atunnel.xml.h:6 hacks/config/barcode.xml.h:6
-#: hacks/config/blaster.xml.h:8 hacks/config/blinkbox.xml.h:7
-#: hacks/config/blitspin.xml.h:7 hacks/config/blocktube.xml.h:9
-#: hacks/config/boing.xml.h:10 hacks/config/bouboule.xml.h:8
-#: hacks/config/bouncingcow.xml.h:10 hacks/config/boxed.xml.h:7
-#: hacks/config/boxfit.xml.h:10 hacks/config/braid.xml.h:11
-#: hacks/config/bubble3d.xml.h:5 hacks/config/bubbles.xml.h:10
-#: hacks/config/bumps.xml.h:4 hacks/config/cage.xml.h:4
-#: hacks/config/carousel.xml.h:14 hacks/config/circuit.xml.h:10
-#: hacks/config/cloudlife.xml.h:11 hacks/config/compass.xml.h:4
-#: hacks/config/coral.xml.h:12 hacks/config/critical.xml.h:6
-#: hacks/config/crystal.xml.h:11 hacks/config/cubenetic.xml.h:22
-#: hacks/config/cubestorm.xml.h:8 hacks/config/cynosure.xml.h:9
-#: hacks/config/dangerball.xml.h:5 hacks/config/decayscreen.xml.h:17
-#: hacks/config/deluxe.xml.h:8 hacks/config/demon.xml.h:8
-#: hacks/config/discrete.xml.h:7 hacks/config/distort.xml.h:11
-#: hacks/config/drift.xml.h:12 hacks/config/endgame.xml.h:5
-#: hacks/config/engine.xml.h:15 hacks/config/epicycle.xml.h:10
-#: hacks/config/eruption.xml.h:19 hacks/config/euler2d.xml.h:14
-#: hacks/config/extrusion.xml.h:11 hacks/config/fadeplot.xml.h:8
-#: hacks/config/fireworkx.xml.h:9 hacks/config/flag.xml.h:7
-#: hacks/config/flame.xml.h:14 hacks/config/flipflop.xml.h:5
-#: hacks/config/flipscreen3d.xml.h:6 hacks/config/flow.xml.h:10
-#: hacks/config/fluidballs.xml.h:18 hacks/config/flyingtoasters.xml.h:11
-#: hacks/config/fontglide.xml.h:13 hacks/config/forest.xml.h:5
-#: hacks/config/fuzzyflakes.xml.h:15 hacks/config/galaxy.xml.h:11
-#: hacks/config/gears.xml.h:7 hacks/config/gflux.xml.h:12
-#: hacks/config/glblur.xml.h:14 hacks/config/glforestfire.xml.h:14
-#: hacks/config/glknots.xml.h:17 hacks/config/glmatrix.xml.h:18
-#: hacks/config/glplanet.xml.h:8 hacks/config/glsnake.xml.h:12
-#: hacks/config/gltext.xml.h:13 hacks/config/goop.xml.h:10
-#: hacks/config/grav.xml.h:8 hacks/config/greynetic.xml.h:3
-#: hacks/config/halo.xml.h:10 hacks/config/hopalong.xml.h:21
-#: hacks/config/hyperball.xml.h:8 hacks/config/hypercube.xml.h:7
-#: hacks/config/hypertorus.xml.h:13 hacks/config/ifs.xml.h:5
-#: hacks/config/interference.xml.h:17 hacks/config/intermomentary.xml.h:4
-#: hacks/config/jigglypuff.xml.h:16 hacks/config/jigsaw.xml.h:5
-#: hacks/config/juggle.xml.h:8 hacks/config/julia.xml.h:8
-#: hacks/config/kaleidescope.xml.h:7 hacks/config/klein.xml.h:7
-#: hacks/config/kumppa.xml.h:8 hacks/config/lament.xml.h:6
-#: hacks/config/laser.xml.h:10 hacks/config/lavalite.xml.h:27
-#: hacks/config/lightning.xml.h:5 hacks/config/lisa.xml.h:8
-#: hacks/config/lissie.xml.h:9 hacks/config/lmorph.xml.h:11
-#: hacks/config/loop.xml.h:7 hacks/config/maze.xml.h:14
-#: hacks/config/memscroller.xml.h:7 hacks/config/menger.xml.h:16
-#: hacks/config/metaballs.xml.h:13 hacks/config/mirrorblob.xml.h:19
-#: hacks/config/mismunch.xml.h:10 hacks/config/moebius.xml.h:7
-#: hacks/config/moire2.xml.h:6 hacks/config/molecule.xml.h:22
-#: hacks/config/morph3d.xml.h:6 hacks/config/mountain.xml.h:7
-#: hacks/config/munch.xml.h:7 hacks/config/nerverot.xml.h:20
-#: hacks/config/noof.xml.h:5 hacks/config/pacman.xml.h:5
-#: hacks/config/penetrate.xml.h:6 hacks/config/penrose.xml.h:11
-#: hacks/config/petri.xml.h:23 hacks/config/phosphor.xml.h:7
-#: hacks/config/piecewise.xml.h:9 hacks/config/pinion.xml.h:13
-#: hacks/config/pipes.xml.h:15 hacks/config/polyhedra.xml.h:119
-#: hacks/config/polyominoes.xml.h:10 hacks/config/polytopes.xml.h:20
-#: hacks/config/pong.xml.h:4 hacks/config/popsquares.xml.h:5
-#: hacks/config/providence.xml.h:5 hacks/config/pulsar.xml.h:15
-#: hacks/config/pyro.xml.h:13 hacks/config/qix.xml.h:19
-#: hacks/config/queens.xml.h:4 hacks/config/rd-bomb.xml.h:17
-#: hacks/config/ripples.xml.h:11 hacks/config/rocks.xml.h:9
-#: hacks/config/rotor.xml.h:11 hacks/config/rubik.xml.h:9
-#: hacks/config/sballs.xml.h:13 hacks/config/shadebobs.xml.h:9
-#: hacks/config/sierpinski3d.xml.h:8 hacks/config/sierpinski.xml.h:7
-#: hacks/config/slidescreen.xml.h:6 hacks/config/slip.xml.h:7
-#: hacks/config/speedmine.xml.h:13 hacks/config/spheremonics.xml.h:19
-#: hacks/config/sphere.xml.h:5 hacks/config/spiral.xml.h:9
-#: hacks/config/spotlight.xml.h:4 hacks/config/sproingies.xml.h:6
-#: hacks/config/squiral.xml.h:14 hacks/config/stairs.xml.h:3
-#: hacks/config/starfish.xml.h:8 hacks/config/starwars.xml.h:12
-#: hacks/config/strange.xml.h:4 hacks/config/substrate.xml.h:15
-#: hacks/config/superquadrics.xml.h:8 hacks/config/swirl.xml.h:6
-#: hacks/config/t3d.xml.h:11 hacks/config/thornbird.xml.h:7
-#: hacks/config/triangle.xml.h:5 hacks/config/truchet.xml.h:2
-#: hacks/config/twang.xml.h:9 hacks/config/vines.xml.h:4
-#: hacks/config/wormhole.xml.h:5 hacks/config/worm.xml.h:7
-#: hacks/config/xearth.xml.h:22 hacks/config/xfishtank.xml.h:10
-#: hacks/config/xflame.xml.h:5 hacks/config/xjack.xml.h:2
-#: hacks/config/xmatrix.xml.h:15 hacks/config/xplanet.xml.h:59
-#: hacks/config/xrayswarm.xml.h:3 hacks/config/zoom.xml.h:6
+#: hacks/config/anemone.xml.h:9
+#: hacks/config/anemotaxis.xml.h:10
+#: hacks/config/antinspect.xml.h:6
+#: hacks/config/antspotlight.xml.h:5
+#: hacks/config/ant.xml.h:15
+#: hacks/config/apollonian.xml.h:11
+#: hacks/config/atlantis.xml.h:13
+#: hacks/config/attraction.xml.h:26
+#: hacks/config/atunnel.xml.h:6
+#: hacks/config/barcode.xml.h:6
+#: hacks/config/blaster.xml.h:8
+#: hacks/config/blinkbox.xml.h:7
+#: hacks/config/blitspin.xml.h:7
+#: hacks/config/blocktube.xml.h:9
+#: hacks/config/boing.xml.h:10
+#: hacks/config/bouboule.xml.h:8
+#: hacks/config/bouncingcow.xml.h:10
+#: hacks/config/boxed.xml.h:7
+#: hacks/config/boxfit.xml.h:10
+#: hacks/config/braid.xml.h:11
+#: hacks/config/bubble3d.xml.h:5
+#: hacks/config/bubbles.xml.h:10
+#: hacks/config/bumps.xml.h:4
+#: hacks/config/cage.xml.h:4
+#: hacks/config/carousel.xml.h:14
+#: hacks/config/circuit.xml.h:10
+#: hacks/config/cloudlife.xml.h:11
+#: hacks/config/compass.xml.h:4
+#: hacks/config/coral.xml.h:12
+#: hacks/config/critical.xml.h:6
+#: hacks/config/crystal.xml.h:11
+#: hacks/config/cubenetic.xml.h:22
+#: hacks/config/cubestorm.xml.h:8
+#: hacks/config/cynosure.xml.h:9
+#: hacks/config/dangerball.xml.h:5
+#: hacks/config/decayscreen.xml.h:17
+#: hacks/config/deluxe.xml.h:8
+#: hacks/config/demon.xml.h:8
+#: hacks/config/discrete.xml.h:7
+#: hacks/config/distort.xml.h:11
+#: hacks/config/drift.xml.h:12
+#: hacks/config/endgame.xml.h:5
+#: hacks/config/engine.xml.h:15
+#: hacks/config/epicycle.xml.h:10
+#: hacks/config/eruption.xml.h:19
+#: hacks/config/euler2d.xml.h:14
+#: hacks/config/extrusion.xml.h:11
+#: hacks/config/fadeplot.xml.h:8
+#: hacks/config/fireworkx.xml.h:9
+#: hacks/config/flag.xml.h:7
+#: hacks/config/flame.xml.h:14
+#: hacks/config/flipflop.xml.h:5
+#: hacks/config/flipscreen3d.xml.h:6
+#: hacks/config/flow.xml.h:10
+#: hacks/config/fluidballs.xml.h:18
+#: hacks/config/flyingtoasters.xml.h:11
+#: hacks/config/fontglide.xml.h:13
+#: hacks/config/forest.xml.h:5
+#: hacks/config/fuzzyflakes.xml.h:15
+#: hacks/config/galaxy.xml.h:11
+#: hacks/config/gears.xml.h:7
+#: hacks/config/gflux.xml.h:12
+#: hacks/config/glblur.xml.h:14
+#: hacks/config/glforestfire.xml.h:14
+#: hacks/config/glknots.xml.h:17
+#: hacks/config/glmatrix.xml.h:18
+#: hacks/config/glplanet.xml.h:8
+#: hacks/config/glsnake.xml.h:12
+#: hacks/config/gltext.xml.h:13
+#: hacks/config/goop.xml.h:10
+#: hacks/config/grav.xml.h:8
+#: hacks/config/greynetic.xml.h:3
+#: hacks/config/halo.xml.h:10
+#: hacks/config/hopalong.xml.h:21
+#: hacks/config/hyperball.xml.h:8
+#: hacks/config/hypercube.xml.h:7
+#: hacks/config/hypertorus.xml.h:13
+#: hacks/config/ifs.xml.h:5
+#: hacks/config/interference.xml.h:17
+#: hacks/config/intermomentary.xml.h:4
+#: hacks/config/jigglypuff.xml.h:16
+#: hacks/config/jigsaw.xml.h:5
+#: hacks/config/juggle.xml.h:8
+#: hacks/config/julia.xml.h:8
+#: hacks/config/kaleidescope.xml.h:7
+#: hacks/config/klein.xml.h:7
+#: hacks/config/kumppa.xml.h:8
+#: hacks/config/lament.xml.h:6
+#: hacks/config/laser.xml.h:10
+#: hacks/config/lavalite.xml.h:27
+#: hacks/config/lightning.xml.h:5
+#: hacks/config/lisa.xml.h:8
+#: hacks/config/lissie.xml.h:9
+#: hacks/config/lmorph.xml.h:11
+#: hacks/config/loop.xml.h:7
+#: hacks/config/maze.xml.h:14
+#: hacks/config/memscroller.xml.h:7
+#: hacks/config/menger.xml.h:16
+#: hacks/config/metaballs.xml.h:13
+#: hacks/config/mirrorblob.xml.h:19
+#: hacks/config/mismunch.xml.h:10
+#: hacks/config/moebius.xml.h:7
+#: hacks/config/moire2.xml.h:6
+#: hacks/config/molecule.xml.h:22
+#: hacks/config/morph3d.xml.h:6
+#: hacks/config/mountain.xml.h:7
+#: hacks/config/munch.xml.h:7
+#: hacks/config/nerverot.xml.h:20
+#: hacks/config/noof.xml.h:5
+#: hacks/config/pacman.xml.h:5
+#: hacks/config/penetrate.xml.h:6
+#: hacks/config/penrose.xml.h:11
+#: hacks/config/petri.xml.h:23
+#: hacks/config/phosphor.xml.h:7
+#: hacks/config/piecewise.xml.h:9
+#: hacks/config/pinion.xml.h:13
+#: hacks/config/pipes.xml.h:15
+#: hacks/config/polyhedra.xml.h:119
+#: hacks/config/polyominoes.xml.h:10
+#: hacks/config/polytopes.xml.h:20
+#: hacks/config/pong.xml.h:4
+#: hacks/config/popsquares.xml.h:5
+#: hacks/config/providence.xml.h:5
+#: hacks/config/pulsar.xml.h:15
+#: hacks/config/pyro.xml.h:13
+#: hacks/config/qix.xml.h:19
+#: hacks/config/queens.xml.h:4
+#: hacks/config/rd-bomb.xml.h:17
+#: hacks/config/ripples.xml.h:11
+#: hacks/config/rocks.xml.h:9
+#: hacks/config/rotor.xml.h:11
+#: hacks/config/rubik.xml.h:9
+#: hacks/config/sballs.xml.h:13
+#: hacks/config/shadebobs.xml.h:9
+#: hacks/config/sierpinski3d.xml.h:8
+#: hacks/config/sierpinski.xml.h:7
+#: hacks/config/slidescreen.xml.h:6
+#: hacks/config/slip.xml.h:7
+#: hacks/config/speedmine.xml.h:13
+#: hacks/config/spheremonics.xml.h:19
+#: hacks/config/sphere.xml.h:5
+#: hacks/config/spiral.xml.h:9
+#: hacks/config/spotlight.xml.h:4
+#: hacks/config/sproingies.xml.h:6
+#: hacks/config/squiral.xml.h:14
+#: hacks/config/stairs.xml.h:3
+#: hacks/config/starfish.xml.h:8
+#: hacks/config/starwars.xml.h:12
+#: hacks/config/strange.xml.h:4
+#: hacks/config/substrate.xml.h:15
+#: hacks/config/superquadrics.xml.h:8
+#: hacks/config/swirl.xml.h:6
+#: hacks/config/t3d.xml.h:11
+#: hacks/config/thornbird.xml.h:7
+#: hacks/config/triangle.xml.h:5
+#: hacks/config/truchet.xml.h:2
+#: hacks/config/twang.xml.h:9
+#: hacks/config/vines.xml.h:4
+#: hacks/config/wormhole.xml.h:5
+#: hacks/config/worm.xml.h:7
+#: hacks/config/xearth.xml.h:22
+#: hacks/config/xfishtank.xml.h:10
+#: hacks/config/xflame.xml.h:5
+#: hacks/config/xjack.xml.h:2
+#: hacks/config/xmatrix.xml.h:15
+#: hacks/config/xplanet.xml.h:59
+#: hacks/config/xrayswarm.xml.h:3
+#: hacks/config/zoom.xml.h:6
 msgid "Slow"
-msgstr ""
+msgstr "Lento"
 
-#: hacks/config/anemone.xml.h:10 hacks/config/anemotaxis.xml.h:12
-#: hacks/config/antinspect.xml.h:7 hacks/config/antspotlight.xml.h:6
-#: hacks/config/ant.xml.h:17 hacks/config/apollonian.xml.h:12
-#: hacks/config/attraction.xml.h:28 hacks/config/atunnel.xml.h:7
-#: hacks/config/barcode.xml.h:7 hacks/config/blaster.xml.h:9
-#: hacks/config/blinkbox.xml.h:8 hacks/config/blocktube.xml.h:11
-#: hacks/config/boing.xml.h:12 hacks/config/bouboule.xml.h:9
-#: hacks/config/boxfit.xml.h:12 hacks/config/braid.xml.h:12
-#: hacks/config/bubble3d.xml.h:6 hacks/config/bubbles.xml.h:11
-#: hacks/config/bumps.xml.h:5 hacks/config/cage.xml.h:6
-#: hacks/config/circuit.xml.h:11 hacks/config/cloudlife.xml.h:13
-#: hacks/config/compass.xml.h:5 hacks/config/coral.xml.h:14
-#: hacks/config/critical.xml.h:7 hacks/config/crystal.xml.h:12
-#: hacks/config/cubenetic.xml.h:24 hacks/config/cynosure.xml.h:10
-#: hacks/config/dangerball.xml.h:6 hacks/config/decayscreen.xml.h:18
-#: hacks/config/deluxe.xml.h:9 hacks/config/demon.xml.h:10
-#: hacks/config/discrete.xml.h:9 hacks/config/distort.xml.h:13
-#: hacks/config/drift.xml.h:13 hacks/config/endgame.xml.h:6
-#: hacks/config/engine.xml.h:16 hacks/config/epicycle.xml.h:11
-#: hacks/config/eruption.xml.h:20 hacks/config/euler2d.xml.h:15
-#: hacks/config/extrusion.xml.h:13 hacks/config/fadeplot.xml.h:10
-#: hacks/config/fireworkx.xml.h:11 hacks/config/flag.xml.h:9
-#: hacks/config/flame.xml.h:15 hacks/config/flipflop.xml.h:7
-#: hacks/config/flipscreen3d.xml.h:7 hacks/config/flow.xml.h:12
-#: hacks/config/fluidballs.xml.h:20 hacks/config/forest.xml.h:6
-#: hacks/config/fuzzyflakes.xml.h:17 hacks/config/galaxy.xml.h:12
-#: hacks/config/glblur.xml.h:17 hacks/config/glforestfire.xml.h:15
-#: hacks/config/glplanet.xml.h:10 hacks/config/gltext.xml.h:15
-#: hacks/config/goop.xml.h:11 hacks/config/grav.xml.h:9
-#: hacks/config/greynetic.xml.h:4 hacks/config/halo.xml.h:11
-#: hacks/config/hopalong.xml.h:23 hacks/config/hyperball.xml.h:9
-#: hacks/config/hypercube.xml.h:8 hacks/config/ifs.xml.h:6
-#: hacks/config/intermomentary.xml.h:5 hacks/config/jigsaw.xml.h:7
-#: hacks/config/juggle.xml.h:9 hacks/config/julia.xml.h:10
-#: hacks/config/kaleidescope.xml.h:8 hacks/config/klein.xml.h:8
-#: hacks/config/kumppa.xml.h:9 hacks/config/lament.xml.h:7
-#: hacks/config/laser.xml.h:11 hacks/config/lavalite.xml.h:30
-#: hacks/config/lightning.xml.h:6 hacks/config/lisa.xml.h:9
-#: hacks/config/lissie.xml.h:11 hacks/config/lmorph.xml.h:12
-#: hacks/config/loop.xml.h:9 hacks/config/memscroller.xml.h:8
-#: hacks/config/menger.xml.h:18 hacks/config/metaballs.xml.h:15
-#: hacks/config/mirrorblob.xml.h:21 hacks/config/mismunch.xml.h:12
-#: hacks/config/moebius.xml.h:10 hacks/config/moire2.xml.h:7
-#: hacks/config/molecule.xml.h:24 hacks/config/morph3d.xml.h:7
-#: hacks/config/mountain.xml.h:8 hacks/config/munch.xml.h:9
-#: hacks/config/nerverot.xml.h:22 hacks/config/noof.xml.h:6
-#: hacks/config/pacman.xml.h:6 hacks/config/penrose.xml.h:12
-#: hacks/config/petri.xml.h:25 hacks/config/phosphor.xml.h:8
-#: hacks/config/piecewise.xml.h:11 hacks/config/pipes.xml.h:16
-#: hacks/config/polyominoes.xml.h:11 hacks/config/pong.xml.h:5
-#: hacks/config/popsquares.xml.h:6 hacks/config/providence.xml.h:6
-#: hacks/config/pulsar.xml.h:17 hacks/config/qix.xml.h:22
-#: hacks/config/queens.xml.h:6 hacks/config/rotor.xml.h:12
-#: hacks/config/rubik.xml.h:11 hacks/config/sballs.xml.h:14
-#: hacks/config/shadebobs.xml.h:10 hacks/config/sierpinski3d.xml.h:10
-#: hacks/config/sierpinski.xml.h:9 hacks/config/slidescreen.xml.h:7
-#: hacks/config/slip.xml.h:9 hacks/config/speedmine.xml.h:15
-#: hacks/config/spheremonics.xml.h:22 hacks/config/sphere.xml.h:6
-#: hacks/config/spiral.xml.h:10 hacks/config/spotlight.xml.h:5
-#: hacks/config/sproingies.xml.h:8 hacks/config/squiral.xml.h:16
-#: hacks/config/stairs.xml.h:5 hacks/config/starfish.xml.h:9
-#: hacks/config/strange.xml.h:5 hacks/config/substrate.xml.h:16
-#: hacks/config/superquadrics.xml.h:10 hacks/config/swirl.xml.h:7
-#: hacks/config/t3d.xml.h:13 hacks/config/thornbird.xml.h:8
-#: hacks/config/triangle.xml.h:6 hacks/config/truchet.xml.h:3
-#: hacks/config/twang.xml.h:10 hacks/config/vines.xml.h:5
-#: hacks/config/whirlygig.xml.h:13 hacks/config/worm.xml.h:8
-#: hacks/config/xearth.xml.h:25 hacks/config/xflame.xml.h:6
-#: hacks/config/xjack.xml.h:3 hacks/config/xmatrix.xml.h:18
-#: hacks/config/xplanet.xml.h:60 hacks/config/xrayswarm.xml.h:4
+#: hacks/config/anemone.xml.h:10
+#: hacks/config/anemotaxis.xml.h:12
+#: hacks/config/antinspect.xml.h:7
+#: hacks/config/antspotlight.xml.h:6
+#: hacks/config/ant.xml.h:17
+#: hacks/config/apollonian.xml.h:12
+#: hacks/config/attraction.xml.h:28
+#: hacks/config/atunnel.xml.h:7
+#: hacks/config/barcode.xml.h:7
+#: hacks/config/blaster.xml.h:9
+#: hacks/config/blinkbox.xml.h:8
+#: hacks/config/blocktube.xml.h:11
+#: hacks/config/boing.xml.h:12
+#: hacks/config/bouboule.xml.h:9
+#: hacks/config/boxfit.xml.h:12
+#: hacks/config/braid.xml.h:12
+#: hacks/config/bubble3d.xml.h:6
+#: hacks/config/bubbles.xml.h:11
+#: hacks/config/bumps.xml.h:5
+#: hacks/config/cage.xml.h:6
+#: hacks/config/circuit.xml.h:11
+#: hacks/config/cloudlife.xml.h:13
+#: hacks/config/compass.xml.h:5
+#: hacks/config/coral.xml.h:14
+#: hacks/config/critical.xml.h:7
+#: hacks/config/crystal.xml.h:12
+#: hacks/config/cubenetic.xml.h:24
+#: hacks/config/cynosure.xml.h:10
+#: hacks/config/dangerball.xml.h:6
+#: hacks/config/decayscreen.xml.h:18
+#: hacks/config/deluxe.xml.h:9
+#: hacks/config/demon.xml.h:10
+#: hacks/config/discrete.xml.h:9
+#: hacks/config/distort.xml.h:13
+#: hacks/config/drift.xml.h:13
+#: hacks/config/endgame.xml.h:6
+#: hacks/config/engine.xml.h:16
+#: hacks/config/epicycle.xml.h:11
+#: hacks/config/eruption.xml.h:20
+#: hacks/config/euler2d.xml.h:15
+#: hacks/config/extrusion.xml.h:13
+#: hacks/config/fadeplot.xml.h:10
+#: hacks/config/fireworkx.xml.h:11
+#: hacks/config/flag.xml.h:9
+#: hacks/config/flame.xml.h:15
+#: hacks/config/flipflop.xml.h:7
+#: hacks/config/flipscreen3d.xml.h:7
+#: hacks/config/flow.xml.h:12
+#: hacks/config/fluidballs.xml.h:20
+#: hacks/config/forest.xml.h:6
+#: hacks/config/fuzzyflakes.xml.h:17
+#: hacks/config/galaxy.xml.h:12
+#: hacks/config/glblur.xml.h:17
+#: hacks/config/glforestfire.xml.h:15
+#: hacks/config/glplanet.xml.h:10
+#: hacks/config/gltext.xml.h:15
+#: hacks/config/goop.xml.h:11
+#: hacks/config/grav.xml.h:9
+#: hacks/config/greynetic.xml.h:4
+#: hacks/config/halo.xml.h:11
+#: hacks/config/hopalong.xml.h:23
+#: hacks/config/hyperball.xml.h:9
+#: hacks/config/hypercube.xml.h:8
+#: hacks/config/ifs.xml.h:6
+#: hacks/config/intermomentary.xml.h:5
+#: hacks/config/jigsaw.xml.h:7
+#: hacks/config/juggle.xml.h:9
+#: hacks/config/julia.xml.h:10
+#: hacks/config/kaleidescope.xml.h:8
+#: hacks/config/klein.xml.h:8
+#: hacks/config/kumppa.xml.h:9
+#: hacks/config/lament.xml.h:7
+#: hacks/config/laser.xml.h:11
+#: hacks/config/lavalite.xml.h:30
+#: hacks/config/lightning.xml.h:6
+#: hacks/config/lisa.xml.h:9
+#: hacks/config/lissie.xml.h:11
+#: hacks/config/lmorph.xml.h:12
+#: hacks/config/loop.xml.h:9
+#: hacks/config/memscroller.xml.h:8
+#: hacks/config/menger.xml.h:18
+#: hacks/config/metaballs.xml.h:15
+#: hacks/config/mirrorblob.xml.h:21
+#: hacks/config/mismunch.xml.h:12
+#: hacks/config/moebius.xml.h:10
+#: hacks/config/moire2.xml.h:7
+#: hacks/config/molecule.xml.h:24
+#: hacks/config/morph3d.xml.h:7
+#: hacks/config/mountain.xml.h:8
+#: hacks/config/munch.xml.h:9
+#: hacks/config/nerverot.xml.h:22
+#: hacks/config/noof.xml.h:6
+#: hacks/config/pacman.xml.h:6
+#: hacks/config/penrose.xml.h:12
+#: hacks/config/petri.xml.h:25
+#: hacks/config/phosphor.xml.h:8
+#: hacks/config/piecewise.xml.h:11
+#: hacks/config/pipes.xml.h:16
+#: hacks/config/polyominoes.xml.h:11
+#: hacks/config/pong.xml.h:5
+#: hacks/config/popsquares.xml.h:6
+#: hacks/config/providence.xml.h:6
+#: hacks/config/pulsar.xml.h:17
+#: hacks/config/qix.xml.h:22
+#: hacks/config/queens.xml.h:6
+#: hacks/config/rotor.xml.h:12
+#: hacks/config/rubik.xml.h:11
+#: hacks/config/sballs.xml.h:14
+#: hacks/config/shadebobs.xml.h:10
+#: hacks/config/sierpinski3d.xml.h:10
+#: hacks/config/sierpinski.xml.h:9
+#: hacks/config/slidescreen.xml.h:7
+#: hacks/config/slip.xml.h:9
+#: hacks/config/speedmine.xml.h:15
+#: hacks/config/spheremonics.xml.h:22
+#: hacks/config/sphere.xml.h:6
+#: hacks/config/spiral.xml.h:10
+#: hacks/config/spotlight.xml.h:5
+#: hacks/config/sproingies.xml.h:8
+#: hacks/config/squiral.xml.h:16
+#: hacks/config/stairs.xml.h:5
+#: hacks/config/starfish.xml.h:9
+#: hacks/config/strange.xml.h:5
+#: hacks/config/substrate.xml.h:16
+#: hacks/config/superquadrics.xml.h:10
+#: hacks/config/swirl.xml.h:7
+#: hacks/config/t3d.xml.h:13
+#: hacks/config/thornbird.xml.h:8
+#: hacks/config/triangle.xml.h:6
+#: hacks/config/truchet.xml.h:3
+#: hacks/config/twang.xml.h:10
+#: hacks/config/vines.xml.h:5
+#: hacks/config/whirlygig.xml.h:13
+#: hacks/config/worm.xml.h:8
+#: hacks/config/xearth.xml.h:25
+#: hacks/config/xflame.xml.h:6
+#: hacks/config/xjack.xml.h:3
+#: hacks/config/xmatrix.xml.h:18
+#: hacks/config/xplanet.xml.h:60
+#: hacks/config/xrayswarm.xml.h:4
 #: hacks/config/zoom.xml.h:7
 msgid "Speed"
-msgstr ""
+msgstr "Velocità"
 
 #: hacks/config/anemone.xml.h:11
 msgid "Tentacles"
-msgstr ""
+msgstr "Tentacoli"
 
-#: hacks/config/anemone.xml.h:12 hacks/config/cubestorm.xml.h:11
-#: hacks/config/deluxe.xml.h:10 hacks/config/fuzzyflakes.xml.h:18
-#: hacks/config/glknots.xml.h:19 hacks/config/lmorph.xml.h:13
-#: hacks/config/pong.xml.h:7 hacks/config/starfish.xml.h:11
+#: hacks/config/anemone.xml.h:12
+#: hacks/config/cubestorm.xml.h:11
+#: hacks/config/deluxe.xml.h:10
+#: hacks/config/fuzzyflakes.xml.h:18
+#: hacks/config/glknots.xml.h:19
+#: hacks/config/lmorph.xml.h:13
+#: hacks/config/pong.xml.h:7
+#: hacks/config/starfish.xml.h:11
 #: hacks/config/thornbird.xml.h:9
 msgid "Thick"
-msgstr ""
+msgstr "Spesso"
 
-#: hacks/config/anemone.xml.h:13 hacks/config/fuzzyflakes.xml.h:19
-#: hacks/config/glknots.xml.h:20 hacks/config/moire2.xml.h:8
+#: hacks/config/anemone.xml.h:13
+#: hacks/config/fuzzyflakes.xml.h:19
+#: hacks/config/glknots.xml.h:20
+#: hacks/config/moire2.xml.h:8
 #: hacks/config/thornbird.xml.h:10
 msgid "Thickness"
-msgstr ""
+msgstr "Spessore"
 
-#: hacks/config/anemone.xml.h:14 hacks/config/cubestorm.xml.h:12
-#: hacks/config/deluxe.xml.h:11 hacks/config/fuzzyflakes.xml.h:20
-#: hacks/config/glknots.xml.h:21 hacks/config/lmorph.xml.h:14
-#: hacks/config/pong.xml.h:8 hacks/config/starfish.xml.h:12
+#: hacks/config/anemone.xml.h:14
+#: hacks/config/cubestorm.xml.h:12
+#: hacks/config/deluxe.xml.h:11
+#: hacks/config/fuzzyflakes.xml.h:20
+#: hacks/config/glknots.xml.h:21
+#: hacks/config/lmorph.xml.h:14
+#: hacks/config/pong.xml.h:8
+#: hacks/config/starfish.xml.h:12
 #: hacks/config/thornbird.xml.h:11
 msgid "Thin"
-msgstr ""
+msgstr "Sottile"
 
 #: hacks/config/anemone.xml.h:15
 msgid "Turn speed"
-msgstr ""
+msgstr "Velocità di rotazione"
 
-#: hacks/config/anemone.xml.h:16 hacks/config/ant.xml.h:22
-#: hacks/config/apollonian.xml.h:13 hacks/config/attraction.xml.h:32
-#: hacks/config/bouboule.xml.h:11 hacks/config/braid.xml.h:13
-#: hacks/config/critical.xml.h:8 hacks/config/crystal.xml.h:13
-#: hacks/config/cynosure.xml.h:11 hacks/config/deco.xml.h:10
-#: hacks/config/deluxe.xml.h:14 hacks/config/demon.xml.h:13
-#: hacks/config/discrete.xml.h:11 hacks/config/drift.xml.h:14
-#: hacks/config/epicycle.xml.h:13 hacks/config/euler2d.xml.h:17
-#: hacks/config/fadeplot.xml.h:12 hacks/config/flag.xml.h:13
-#: hacks/config/flame.xml.h:16 hacks/config/flow.xml.h:15
-#: hacks/config/forest.xml.h:8 hacks/config/galaxy.xml.h:14
-#: hacks/config/grav.xml.h:11 hacks/config/halo.xml.h:13
-#: hacks/config/hopalong.xml.h:25 hacks/config/ifs.xml.h:8
-#: hacks/config/imsmap.xml.h:15 hacks/config/interference.xml.h:19
-#: hacks/config/julia.xml.h:12 hacks/config/laser.xml.h:12
-#: hacks/config/lightning.xml.h:8 hacks/config/lisa.xml.h:12
-#: hacks/config/lissie.xml.h:13 hacks/config/loop.xml.h:12
-#: hacks/config/metaballs.xml.h:16 hacks/config/moire2.xml.h:9
-#: hacks/config/moire.xml.h:11 hacks/config/mountain.xml.h:9
-#: hacks/config/nerverot.xml.h:23 hacks/config/penrose.xml.h:13
-#: hacks/config/polyominoes.xml.h:12 hacks/config/rd-bomb.xml.h:20
-#: hacks/config/rocks.xml.h:12 hacks/config/rotor.xml.h:13
-#: hacks/config/shadebobs.xml.h:12 hacks/config/sierpinski.xml.h:12
-#: hacks/config/slip.xml.h:12 hacks/config/sphere.xml.h:8
-#: hacks/config/spiral.xml.h:12 hacks/config/squiral.xml.h:18
-#: hacks/config/starfish.xml.h:14 hacks/config/strange.xml.h:8
-#: hacks/config/swirl.xml.h:9 hacks/config/thornbird.xml.h:13
-#: hacks/config/triangle.xml.h:8 hacks/config/vines.xml.h:7
-#: hacks/config/worm.xml.h:9 hacks/config/xearth.xml.h:28
+#: hacks/config/anemone.xml.h:16
+#: hacks/config/ant.xml.h:22
+#: hacks/config/apollonian.xml.h:13
+#: hacks/config/attraction.xml.h:32
+#: hacks/config/bouboule.xml.h:11
+#: hacks/config/braid.xml.h:13
+#: hacks/config/critical.xml.h:8
+#: hacks/config/crystal.xml.h:13
+#: hacks/config/cynosure.xml.h:11
+#: hacks/config/deco.xml.h:10
+#: hacks/config/deluxe.xml.h:14
+#: hacks/config/demon.xml.h:13
+#: hacks/config/discrete.xml.h:11
+#: hacks/config/drift.xml.h:14
+#: hacks/config/epicycle.xml.h:13
+#: hacks/config/euler2d.xml.h:17
+#: hacks/config/fadeplot.xml.h:12
+#: hacks/config/flag.xml.h:13
+#: hacks/config/flame.xml.h:16
+#: hacks/config/flow.xml.h:15
+#: hacks/config/forest.xml.h:8
+#: hacks/config/galaxy.xml.h:14
+#: hacks/config/grav.xml.h:11
+#: hacks/config/halo.xml.h:13
+#: hacks/config/hopalong.xml.h:25
+#: hacks/config/ifs.xml.h:8
+#: hacks/config/imsmap.xml.h:15
+#: hacks/config/interference.xml.h:19
+#: hacks/config/julia.xml.h:12
+#: hacks/config/laser.xml.h:12
+#: hacks/config/lightning.xml.h:8
+#: hacks/config/lisa.xml.h:12
+#: hacks/config/lissie.xml.h:13
+#: hacks/config/loop.xml.h:12
+#: hacks/config/metaballs.xml.h:16
+#: hacks/config/moire2.xml.h:9
+#: hacks/config/moire.xml.h:11
+#: hacks/config/mountain.xml.h:9
+#: hacks/config/nerverot.xml.h:23
+#: hacks/config/penrose.xml.h:13
+#: hacks/config/polyominoes.xml.h:12
+#: hacks/config/rd-bomb.xml.h:20
+#: hacks/config/rocks.xml.h:12
+#: hacks/config/rotor.xml.h:13
+#: hacks/config/shadebobs.xml.h:12
+#: hacks/config/sierpinski.xml.h:12
+#: hacks/config/slip.xml.h:12
+#: hacks/config/sphere.xml.h:8
+#: hacks/config/spiral.xml.h:12
+#: hacks/config/squiral.xml.h:18
+#: hacks/config/starfish.xml.h:14
+#: hacks/config/strange.xml.h:8
+#: hacks/config/swirl.xml.h:9
+#: hacks/config/thornbird.xml.h:13
+#: hacks/config/triangle.xml.h:8
+#: hacks/config/vines.xml.h:7
+#: hacks/config/worm.xml.h:9
+#: hacks/config/xearth.xml.h:28
 #: hacks/config/xfishtank.xml.h:11
 msgid "Two"
 msgstr ""
@@ -1336,30 +1792,28 @@
 
 #: hacks/config/anemone.xml.h:18
 msgid "Withdraw freqency"
-msgstr ""
+msgstr "Frequenza di rientro"
 
 #: hacks/config/anemotaxis.xml.h:1
 msgid "Anemotaxis"
 msgstr ""
 
 #: hacks/config/anemotaxis.xml.h:2
-msgid ""
-"Anemotaxis demonstrates a search algorithm designed for locating a source of "
-"odor in turbulent atmosphere. The searcher is able to sense the odor and "
-"determine local instantaneous wind direction. The goal is to find the source "
-"in the shortest mean time. Written by Eugene Balkovsky."
+msgid "Anemotaxis demonstrates a search algorithm designed for locating a source of odor in turbulent atmosphere. The searcher is able to sense the odor and determine local instantaneous wind direction. The goal is to find the source in the shortest mean time. Written by Eugene Balkovsky."
 msgstr ""
 
 #: hacks/config/anemotaxis.xml.h:3
 msgid "Distance"
 msgstr ""
 
-#: hacks/config/anemotaxis.xml.h:4 hacks/config/hyperball.xml.h:1
+#: hacks/config/anemotaxis.xml.h:4
+#: hacks/config/hyperball.xml.h:1
 #: hacks/config/hypercube.xml.h:1
 msgid "Far"
 msgstr ""
 
-#: hacks/config/anemotaxis.xml.h:8 hacks/config/hyperball.xml.h:7
+#: hacks/config/anemotaxis.xml.h:8
+#: hacks/config/hyperball.xml.h:7
 #: hacks/config/hypercube.xml.h:6
 msgid "Near"
 msgstr ""
@@ -1381,40 +1835,67 @@
 msgstr ""
 
 #: hacks/config/antinspect.xml.h:3
-msgid ""
-"Draws a trio of ants moving their spheres around a circle. Written by Blair "
-"Tennessy."
+msgid "Draws a trio of ants moving their spheres around a circle. Written by Blair Tennessy."
 msgstr ""
 
-#: hacks/config/antinspect.xml.h:5 hacks/config/antspotlight.xml.h:4
-#: hacks/config/atlantis.xml.h:11 hacks/config/atunnel.xml.h:5
-#: hacks/config/blocktube.xml.h:8 hacks/config/boing.xml.h:8
-#: hacks/config/boxed.xml.h:6 hacks/config/bubble3d.xml.h:4
-#: hacks/config/cage.xml.h:3 hacks/config/carousel.xml.h:12
-#: hacks/config/circuit.xml.h:9 hacks/config/cubenetic.xml.h:21
-#: hacks/config/cubestorm.xml.h:7 hacks/config/dangerball.xml.h:4
-#: hacks/config/endgame.xml.h:4 hacks/config/engine.xml.h:14
-#: hacks/config/extrusion.xml.h:10 hacks/config/flipflop.xml.h:4
-#: hacks/config/flipscreen3d.xml.h:5 hacks/config/fluidballs.xml.h:17
-#: hacks/config/flurry.xml.h:9 hacks/config/flyingtoasters.xml.h:10
-#: hacks/config/gears.xml.h:6 hacks/config/gflux.xml.h:11
-#: hacks/config/glblur.xml.h:13 hacks/config/gleidescope.xml.h:10
-#: hacks/config/glforestfire.xml.h:13 hacks/config/glknots.xml.h:16
-#: hacks/config/glmatrix.xml.h:17 hacks/config/glplanet.xml.h:7
-#: hacks/config/glslideshow.xml.h:19 hacks/config/glsnake.xml.h:10
-#: hacks/config/gltext.xml.h:12 hacks/config/hypertorus.xml.h:12
-#: hacks/config/jigglypuff.xml.h:15 hacks/config/klein.xml.h:6
-#: hacks/config/lament.xml.h:5 hacks/config/lavalite.xml.h:26
-#: hacks/config/menger.xml.h:15 hacks/config/mirrorblob.xml.h:18
-#: hacks/config/moebius.xml.h:6 hacks/config/molecule.xml.h:21
-#: hacks/config/morph3d.xml.h:5 hacks/config/noof.xml.h:4
-#: hacks/config/pinion.xml.h:12 hacks/config/pipes.xml.h:14
-#: hacks/config/polyhedra.xml.h:118 hacks/config/polytopes.xml.h:18
-#: hacks/config/providence.xml.h:4 hacks/config/pulsar.xml.h:14
-#: hacks/config/queens.xml.h:3 hacks/config/rubik.xml.h:6
-#: hacks/config/sballs.xml.h:12 hacks/config/sierpinski3d.xml.h:6
-#: hacks/config/spheremonics.xml.h:18 hacks/config/sproingies.xml.h:4
-#: hacks/config/stairs.xml.h:2 hacks/config/starwars.xml.h:11
+#: hacks/config/antinspect.xml.h:5
+#: hacks/config/antspotlight.xml.h:4
+#: hacks/config/atlantis.xml.h:11
+#: hacks/config/atunnel.xml.h:5
+#: hacks/config/blocktube.xml.h:8
+#: hacks/config/boing.xml.h:8
+#: hacks/config/boxed.xml.h:6
+#: hacks/config/bubble3d.xml.h:4
+#: hacks/config/cage.xml.h:3
+#: hacks/config/carousel.xml.h:12
+#: hacks/config/circuit.xml.h:9
+#: hacks/config/cubenetic.xml.h:21
+#: hacks/config/cubestorm.xml.h:7
+#: hacks/config/dangerball.xml.h:4
+#: hacks/config/endgame.xml.h:4
+#: hacks/config/engine.xml.h:14
+#: hacks/config/extrusion.xml.h:10
+#: hacks/config/flipflop.xml.h:4
+#: hacks/config/flipscreen3d.xml.h:5
+#: hacks/config/fluidballs.xml.h:17
+#: hacks/config/flurry.xml.h:9
+#: hacks/config/flyingtoasters.xml.h:10
+#: hacks/config/gears.xml.h:6
+#: hacks/config/gflux.xml.h:11
+#: hacks/config/glblur.xml.h:13
+#: hacks/config/gleidescope.xml.h:10
+#: hacks/config/glforestfire.xml.h:13
+#: hacks/config/glknots.xml.h:16
+#: hacks/config/glmatrix.xml.h:17
+#: hacks/config/glplanet.xml.h:7
+#: hacks/config/glslideshow.xml.h:19
+#: hacks/config/glsnake.xml.h:10
+#: hacks/config/gltext.xml.h:12
+#: hacks/config/hypertorus.xml.h:12
+#: hacks/config/jigglypuff.xml.h:15
+#: hacks/config/klein.xml.h:6
+#: hacks/config/lament.xml.h:5
+#: hacks/config/lavalite.xml.h:26
+#: hacks/config/menger.xml.h:15
+#: hacks/config/mirrorblob.xml.h:18
+#: hacks/config/moebius.xml.h:6
+#: hacks/config/molecule.xml.h:21
+#: hacks/config/morph3d.xml.h:5
+#: hacks/config/noof.xml.h:4
+#: hacks/config/pinion.xml.h:12
+#: hacks/config/pipes.xml.h:14
+#: hacks/config/polyhedra.xml.h:118
+#: hacks/config/polytopes.xml.h:18
+#: hacks/config/providence.xml.h:4
+#: hacks/config/pulsar.xml.h:14
+#: hacks/config/queens.xml.h:3
+#: hacks/config/rubik.xml.h:6
+#: hacks/config/sballs.xml.h:12
+#: hacks/config/sierpinski3d.xml.h:6
+#: hacks/config/spheremonics.xml.h:18
+#: hacks/config/sproingies.xml.h:4
+#: hacks/config/stairs.xml.h:2
+#: hacks/config/starwars.xml.h:11
 #: hacks/config/superquadrics.xml.h:7
 msgid "Show Frames-per-Second"
 msgstr ""
@@ -1424,17 +1905,11 @@
 msgstr ""
 
 #: hacks/config/antspotlight.xml.h:2
-msgid ""
-"Antspotlight draws an ant (with a headlight) who walks on top of an image of "
-"your desktop or other image. Written by Blair Tennessy."
+msgid "Antspotlight draws an ant (with a headlight) who walks on top of an image of your desktop or other image. Written by Blair Tennessy."
 msgstr ""
 
 #: hacks/config/ant.xml.h:1
-msgid ""
-"A cellular automaton that is really a two-dimensional Turing machine: as the "
-"heads (``ants'') walk along the screen, they change pixel values in their "
-"path. Then, as they pass over changed pixels, their behavior is influenced. "
-"Written by David Bagley."
+msgid "A cellular automaton that is really a two-dimensional Turing machine: as the heads (``ants'') walk along the screen, they change pixel values in their path. Then, as they pass over changed pixels, their behavior is influenced. Written by David Bagley."
 msgstr ""
 
 #: hacks/config/ant.xml.h:2
@@ -1457,19 +1932,32 @@
 msgid "Four Sided Cells"
 msgstr ""
 
-#: hacks/config/ant.xml.h:8 hacks/config/attraction.xml.h:13
-#: hacks/config/cloudlife.xml.h:7 hacks/config/cubenetic.xml.h:11
-#: hacks/config/demon.xml.h:5 hacks/config/discrete.xml.h:3
-#: hacks/config/distort.xml.h:5 hacks/config/fadeplot.xml.h:5
-#: hacks/config/flag.xml.h:4 hacks/config/flow.xml.h:4
-#: hacks/config/fluidballs.xml.h:12 hacks/config/fuzzyflakes.xml.h:10
-#: hacks/config/gleidescope.xml.h:7 hacks/config/halftone.xml.h:8
-#: hacks/config/hopalong.xml.h:13 hacks/config/interference.xml.h:11
-#: hacks/config/julia.xml.h:5 hacks/config/lissie.xml.h:4
-#: hacks/config/loop.xml.h:2 hacks/config/moire.xml.h:4
-#: hacks/config/piecewise.xml.h:5 hacks/config/rd-bomb.xml.h:11
-#: hacks/config/rorschach.xml.h:5 hacks/config/rubik.xml.h:4
-#: hacks/config/sierpinski.xml.h:3 hacks/config/slip.xml.h:3
+#: hacks/config/ant.xml.h:8
+#: hacks/config/attraction.xml.h:13
+#: hacks/config/cloudlife.xml.h:7
+#: hacks/config/cubenetic.xml.h:11
+#: hacks/config/demon.xml.h:5
+#: hacks/config/discrete.xml.h:3
+#: hacks/config/distort.xml.h:5
+#: hacks/config/fadeplot.xml.h:5
+#: hacks/config/flag.xml.h:4
+#: hacks/config/flow.xml.h:4
+#: hacks/config/fluidballs.xml.h:12
+#: hacks/config/fuzzyflakes.xml.h:10
+#: hacks/config/gleidescope.xml.h:7
+#: hacks/config/halftone.xml.h:8
+#: hacks/config/hopalong.xml.h:13
+#: hacks/config/interference.xml.h:11
+#: hacks/config/julia.xml.h:5
+#: hacks/config/lissie.xml.h:4
+#: hacks/config/loop.xml.h:2
+#: hacks/config/moire.xml.h:4
+#: hacks/config/piecewise.xml.h:5
+#: hacks/config/rd-bomb.xml.h:11
+#: hacks/config/rorschach.xml.h:5
+#: hacks/config/rubik.xml.h:4
+#: hacks/config/sierpinski.xml.h:3
+#: hacks/config/slip.xml.h:3
 msgid "Large"
 msgstr ""
 
@@ -1481,7 +1969,8 @@
 msgid "Random Cell Shape"
 msgstr ""
 
-#: hacks/config/ant.xml.h:13 hacks/config/speedmine.xml.h:11
+#: hacks/config/ant.xml.h:13
+#: hacks/config/speedmine.xml.h:11
 msgid "Sharp Turns"
 msgstr ""
 
@@ -1489,19 +1978,32 @@
 msgid "Six Sided Cells"
 msgstr ""
 
-#: hacks/config/ant.xml.h:16 hacks/config/attraction.xml.h:27
-#: hacks/config/cloudlife.xml.h:12 hacks/config/cubenetic.xml.h:23
-#: hacks/config/demon.xml.h:9 hacks/config/discrete.xml.h:8
-#: hacks/config/distort.xml.h:12 hacks/config/fadeplot.xml.h:9
-#: hacks/config/flag.xml.h:8 hacks/config/flow.xml.h:11
-#: hacks/config/fluidballs.xml.h:19 hacks/config/fuzzyflakes.xml.h:16
-#: hacks/config/gleidescope.xml.h:12 hacks/config/halftone.xml.h:14
-#: hacks/config/hopalong.xml.h:22 hacks/config/interference.xml.h:18
-#: hacks/config/julia.xml.h:9 hacks/config/lissie.xml.h:10
-#: hacks/config/loop.xml.h:8 hacks/config/metaballs.xml.h:14
-#: hacks/config/moire.xml.h:9 hacks/config/piecewise.xml.h:10
-#: hacks/config/rd-bomb.xml.h:18 hacks/config/rorschach.xml.h:8
-#: hacks/config/rubik.xml.h:10 hacks/config/sierpinski.xml.h:8
+#: hacks/config/ant.xml.h:16
+#: hacks/config/attraction.xml.h:27
+#: hacks/config/cloudlife.xml.h:12
+#: hacks/config/cubenetic.xml.h:23
+#: hacks/config/demon.xml.h:9
+#: hacks/config/discrete.xml.h:8
+#: hacks/config/distort.xml.h:12
+#: hacks/config/fadeplot.xml.h:9
+#: hacks/config/flag.xml.h:8
+#: hacks/config/flow.xml.h:11
+#: hacks/config/fluidballs.xml.h:19
+#: hacks/config/fuzzyflakes.xml.h:16
+#: hacks/config/gleidescope.xml.h:12
+#: hacks/config/halftone.xml.h:14
+#: hacks/config/hopalong.xml.h:22
+#: hacks/config/interference.xml.h:18
+#: hacks/config/julia.xml.h:9
+#: hacks/config/lissie.xml.h:10
+#: hacks/config/loop.xml.h:8
+#: hacks/config/metaballs.xml.h:14
+#: hacks/config/moire.xml.h:9
+#: hacks/config/piecewise.xml.h:10
+#: hacks/config/rd-bomb.xml.h:18
+#: hacks/config/rorschach.xml.h:8
+#: hacks/config/rubik.xml.h:10
+#: hacks/config/sierpinski.xml.h:8
 #: hacks/config/slip.xml.h:8
 msgid "Small"
 msgstr ""
@@ -1510,11 +2012,16 @@
 msgid "Three Sided Cells"
 msgstr ""
 
-#: hacks/config/ant.xml.h:19 hacks/config/demon.xml.h:12
-#: hacks/config/discrete.xml.h:10 hacks/config/fadeplot.xml.h:11
-#: hacks/config/flag.xml.h:12 hacks/config/flow.xml.h:14
-#: hacks/config/lissie.xml.h:12 hacks/config/loop.xml.h:11
-#: hacks/config/rubik.xml.h:12 hacks/config/sierpinski.xml.h:11
+#: hacks/config/ant.xml.h:19
+#: hacks/config/demon.xml.h:12
+#: hacks/config/discrete.xml.h:10
+#: hacks/config/fadeplot.xml.h:11
+#: hacks/config/flag.xml.h:12
+#: hacks/config/flow.xml.h:14
+#: hacks/config/lissie.xml.h:12
+#: hacks/config/loop.xml.h:11
+#: hacks/config/rubik.xml.h:12
+#: hacks/config/sierpinski.xml.h:11
 #: hacks/config/slip.xml.h:11
 msgid "Timeout"
 msgstr ""
@@ -1548,9 +2055,7 @@
 msgstr ""
 
 #: hacks/config/apollonian.xml.h:9
-msgid ""
-"Packs a large circle with smaller circles, demonstrating the Descartes "
-"Circle Theorem. Written by Allan R. Wilks and David Bagley."
+msgid "Packs a large circle with smaller circles, demonstrating the Descartes Circle Theorem. Written by Allan R. Wilks and David Bagley."
 msgstr ""
 
 #: hacks/config/apollonian.xml.h:10
@@ -1565,21 +2070,14 @@
 msgid "Basic Programming Mode"
 msgstr ""
 
-#: hacks/config/apple2.xml.h:3 hacks/config/halo.xml.h:8
+#: hacks/config/apple2.xml.h:3
+#: hacks/config/halo.xml.h:8
 #: hacks/config/imsmap.xml.h:11
 msgid "Random Mode"
 msgstr ""
 
 #: hacks/config/apple2.xml.h:4
-msgid ""
-"Simulates an original Apple ][ Plus computer in all its 1979 glory. It also "
-"reproduces the appearance of display on a color television set of the "
-"period. In \"Text Mode\", it displays the output of a command (e.g., "
-"\"fortune\".) In \"Slideshow Mode\", it chooses a number of images from the "
-"image source you configured into XScreenSaver and displays them within the "
-"limitations of the Apple ][ display hardware. (Six available colors in hi-"
-"res mode!) In \"Basic Programming Mode\", a simulated user types in a BASIC "
-"program and runs it. By Trevor Blackwell."
+msgid "Simulates an original Apple ][ Plus computer in all its 1979 glory. It also reproduces the appearance of display on a color television set of the period. In \"Text Mode\", it displays the output of a command (e.g., \"fortune\".) In \"Slideshow Mode\", it chooses a number of images from the image source you configured into XScreenSaver and displays them within the limitations of the Apple ][ display hardware. (Six available colors in hi-res mode!) In \"Basic Programming Mode\", a simulated user types in a BASIC program and runs it. By Trevor Blackwell."
 msgstr ""
 
 #: hacks/config/apple2.xml.h:5
@@ -1590,8 +2088,10 @@
 msgid "Text Mode"
 msgstr ""
 
-#: hacks/config/apple2.xml.h:7 hacks/config/fontglide.xml.h:15
-#: hacks/config/noseguy.xml.h:7 hacks/config/phosphor.xml.h:9
+#: hacks/config/apple2.xml.h:7
+#: hacks/config/fontglide.xml.h:15
+#: hacks/config/noseguy.xml.h:7
+#: hacks/config/phosphor.xml.h:9
 #: hacks/config/starwars.xml.h:17
 msgid "Text Program"
 msgstr ""
@@ -1636,48 +2136,73 @@
 msgid "Shy"
 msgstr ""
 
-#: hacks/config/atlantis.xml.h:14 hacks/config/cage.xml.h:5
-#: hacks/config/extrusion.xml.h:12 hacks/config/gears.xml.h:8
-#: hacks/config/glblur.xml.h:15 hacks/config/glplanet.xml.h:9
-#: hacks/config/glsnake.xml.h:13 hacks/config/gltext.xml.h:14
-#: hacks/config/menger.xml.h:17 hacks/config/mismunch.xml.h:11
-#: hacks/config/molecule.xml.h:23 hacks/config/munch.xml.h:8
-#: hacks/config/sierpinski3d.xml.h:9 hacks/config/speedmine.xml.h:14
-#: hacks/config/spheremonics.xml.h:21 hacks/config/sproingies.xml.h:7
-#: hacks/config/stairs.xml.h:4 hacks/config/stonerview.xml.h:2
-#: hacks/config/superquadrics.xml.h:9 hacks/config/webcollage.xml.h:8
+#: hacks/config/atlantis.xml.h:14
+#: hacks/config/cage.xml.h:5
+#: hacks/config/extrusion.xml.h:12
+#: hacks/config/gears.xml.h:8
+#: hacks/config/glblur.xml.h:15
+#: hacks/config/glplanet.xml.h:9
+#: hacks/config/glsnake.xml.h:13
+#: hacks/config/gltext.xml.h:14
+#: hacks/config/menger.xml.h:17
+#: hacks/config/mismunch.xml.h:11
+#: hacks/config/molecule.xml.h:23
+#: hacks/config/munch.xml.h:8
+#: hacks/config/sierpinski3d.xml.h:9
+#: hacks/config/speedmine.xml.h:14
+#: hacks/config/spheremonics.xml.h:21
+#: hacks/config/sproingies.xml.h:7
+#: hacks/config/stairs.xml.h:4
+#: hacks/config/stonerview.xml.h:2
+#: hacks/config/superquadrics.xml.h:9
+#: hacks/config/webcollage.xml.h:8
 msgid "Solid"
 msgstr ""
 
 #: hacks/config/atlantis.xml.h:15
-msgid ""
-"This is xfishtank writ large: a GL animation of a number of sharks, "
-"dolphins, and whales. The swimming motions are great. Originally written by "
-"Mark Kilgard."
+msgid "This is xfishtank writ large: a GL animation of a number of sharks, dolphins, and whales. The swimming motions are great. Originally written by Mark Kilgard."
 msgstr ""
 
 #: hacks/config/atlantis.xml.h:16
 msgid "Whale Speed"
 msgstr ""
 
-#: hacks/config/atlantis.xml.h:17 hacks/config/atunnel.xml.h:10
-#: hacks/config/blinkbox.xml.h:9 hacks/config/blocktube.xml.h:13
-#: hacks/config/boing.xml.h:15 hacks/config/cage.xml.h:8
-#: hacks/config/cubestorm.xml.h:14 hacks/config/dangerball.xml.h:11
-#: hacks/config/extrusion.xml.h:19 hacks/config/flipflop.xml.h:8
-#: hacks/config/flyingtoasters.xml.h:14 hacks/config/gears.xml.h:11
-#: hacks/config/glblur.xml.h:20 hacks/config/glforestfire.xml.h:20
-#: hacks/config/glknots.xml.h:23 hacks/config/glplanet.xml.h:15
-#: hacks/config/glsnake.xml.h:15 hacks/config/gltext.xml.h:18
-#: hacks/config/jigglypuff.xml.h:25 hacks/config/lament.xml.h:9
-#: hacks/config/lavalite.xml.h:32 hacks/config/menger.xml.h:21
-#: hacks/config/mirrorblob.xml.h:24 hacks/config/moebius.xml.h:11
-#: hacks/config/molecule.xml.h:26 hacks/config/pinion.xml.h:15
-#: hacks/config/polyhedra.xml.h:173 hacks/config/pulsar.xml.h:20
-#: hacks/config/sballs.xml.h:18 hacks/config/sierpinski3d.xml.h:12
-#: hacks/config/speedmine.xml.h:18 hacks/config/spheremonics.xml.h:26
-#: hacks/config/sproingies.xml.h:10 hacks/config/stairs.xml.h:7
-#: hacks/config/stonerview.xml.h:4 hacks/config/superquadrics.xml.h:12
+#: hacks/config/atlantis.xml.h:17
+#: hacks/config/atunnel.xml.h:10
+#: hacks/config/blinkbox.xml.h:9
+#: hacks/config/blocktube.xml.h:13
+#: hacks/config/boing.xml.h:15
+#: hacks/config/cage.xml.h:8
+#: hacks/config/cubestorm.xml.h:14
+#: hacks/config/dangerball.xml.h:11
+#: hacks/config/extrusion.xml.h:19
+#: hacks/config/flipflop.xml.h:8
+#: hacks/config/flyingtoasters.xml.h:14
+#: hacks/config/gears.xml.h:11
+#: hacks/config/glblur.xml.h:20
+#: hacks/config/glforestfire.xml.h:20
+#: hacks/config/glknots.xml.h:23
+#: hacks/config/glplanet.xml.h:15
+#: hacks/config/glsnake.xml.h:15
+#: hacks/config/gltext.xml.h:18
+#: hacks/config/jigglypuff.xml.h:25
+#: hacks/config/lament.xml.h:9
+#: hacks/config/lavalite.xml.h:32
+#: hacks/config/menger.xml.h:21
+#: hacks/config/mirrorblob.xml.h:24
+#: hacks/config/moebius.xml.h:11
+#: hacks/config/molecule.xml.h:26
+#: hacks/config/pinion.xml.h:15
+#: hacks/config/polyhedra.xml.h:173
+#: hacks/config/pulsar.xml.h:20
+#: hacks/config/sballs.xml.h:18
+#: hacks/config/sierpinski3d.xml.h:12
+#: hacks/config/speedmine.xml.h:18
+#: hacks/config/spheremonics.xml.h:26
+#: hacks/config/sproingies.xml.h:10
+#: hacks/config/stairs.xml.h:7
+#: hacks/config/stonerview.xml.h:4
+#: hacks/config/superquadrics.xml.h:12
 msgid "Wireframe"
 msgstr ""
 
@@ -1693,7 +2218,8 @@
 msgid "Ball Mass"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:4 hacks/config/fluidballs.xml.h:3
+#: hacks/config/attraction.xml.h:4
+#: hacks/config/fluidballs.xml.h:3
 msgid "Balls"
 msgstr ""
 
@@ -1701,8 +2227,10 @@
 msgid "Bounce Off Walls"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:6 hacks/config/hopalong.xml.h:1
-#: hacks/config/interference.xml.h:5 hacks/config/qix.xml.h:2
+#: hacks/config/attraction.xml.h:6
+#: hacks/config/hopalong.xml.h:1
+#: hacks/config/interference.xml.h:5
+#: hacks/config/qix.xml.h:2
 #: hacks/config/wander.xml.h:3
 msgid "Color Contrast"
 msgstr ""
@@ -1715,21 +2243,36 @@
 msgid "Filled Splines"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:10 hacks/config/carousel.xml.h:7
-#: hacks/config/ccurve.xml.h:9 hacks/config/cloudlife.xml.h:5
-#: hacks/config/cubenetic.xml.h:10 hacks/config/euler2d.xml.h:5
-#: hacks/config/flame.xml.h:9 hacks/config/glslideshow.xml.h:13
-#: hacks/config/goop.xml.h:6 hacks/config/halftone.xml.h:7
-#: hacks/config/hopalong.xml.h:10 hacks/config/hyperball.xml.h:3
-#: hacks/config/hypercube.xml.h:3 hacks/config/interference.xml.h:8
-#: hacks/config/jigglypuff.xml.h:8 hacks/config/kumppa.xml.h:4
-#: hacks/config/lavalite.xml.h:12 hacks/config/nerverot.xml.h:11
-#: hacks/config/petri.xml.h:8 hacks/config/pyro.xml.h:5
-#: hacks/config/qix.xml.h:10 hacks/config/speedmine.xml.h:5
-#: hacks/config/spheremonics.xml.h:6 hacks/config/spiral.xml.h:4
-#: hacks/config/squiral.xml.h:6 hacks/config/superquadrics.xml.h:5
-#: hacks/config/t3d.xml.h:7 hacks/config/twang.xml.h:5
-#: hacks/config/wander.xml.h:8 hacks/config/xmountains.xml.h:17
+#: hacks/config/attraction.xml.h:10
+#: hacks/config/carousel.xml.h:7
+#: hacks/config/ccurve.xml.h:9
+#: hacks/config/cloudlife.xml.h:5
+#: hacks/config/cubenetic.xml.h:10
+#: hacks/config/euler2d.xml.h:5
+#: hacks/config/flame.xml.h:9
+#: hacks/config/glslideshow.xml.h:13
+#: hacks/config/goop.xml.h:6
+#: hacks/config/halftone.xml.h:7
+#: hacks/config/hopalong.xml.h:10
+#: hacks/config/hyperball.xml.h:3
+#: hacks/config/hypercube.xml.h:3
+#: hacks/config/interference.xml.h:8
+#: hacks/config/jigglypuff.xml.h:8
+#: hacks/config/kumppa.xml.h:4
+#: hacks/config/lavalite.xml.h:12
+#: hacks/config/nerverot.xml.h:11
+#: hacks/config/petri.xml.h:8
+#: hacks/config/pyro.xml.h:5
+#: hacks/config/qix.xml.h:10
+#: hacks/config/speedmine.xml.h:5
+#: hacks/config/spheremonics.xml.h:6
+#: hacks/config/spiral.xml.h:4
+#: hacks/config/squiral.xml.h:6
+#: hacks/config/superquadrics.xml.h:5
+#: hacks/config/t3d.xml.h:7
+#: hacks/config/twang.xml.h:5
+#: hacks/config/wander.xml.h:8
+#: hacks/config/xmountains.xml.h:17
 msgid "High"
 msgstr ""
 
@@ -1742,57 +2285,78 @@
 msgstr ""
 
 #: hacks/config/attraction.xml.h:14
-msgid ""
-"Like qix, this uses a simple simple motion model to generate many different "
-"display modes. The control points attract each other up to a certain "
-"distance, and then begin to repel each other. The attraction/repulsion is "
-"proportional to the distance between any two particles, similar to the "
-"strong and weak nuclear forces. One of the most interesting ways to watch "
-"this hack is simply as bouncing balls, because their motions and "
-"interactions with each other are so odd. Sometimes two balls will get into a "
-"tight orbit around each other, to be interrupted later by a third, or by the "
-"edge of the screen. It looks quite chaotic. Written by Jamie Zawinski, based "
-"on Lisp code by John Pezaris."
+msgid "Like qix, this uses a simple simple motion model to generate many different display modes. The control points attract each other up to a certain distance, and then begin to repel each other. The attraction/repulsion is proportional to the distance between any two particles, similar to the strong and weak nuclear forces. One of the most interesting ways to watch this hack is simply as bouncing balls, because their motions and interactions with each other are so odd. Sometimes two balls will get into a tight orbit around each other, to be interrupted later by a third, or by the edge of the screen. It looks quite chaotic. Written by Jamie Zawinski, based on Lisp code by John Pezaris."
 msgstr ""
 
-#: hacks/config/attraction.xml.h:15 hacks/config/deluxe.xml.h:5
-#: hacks/config/lmorph.xml.h:7 hacks/config/pedal.xml.h:5
-#: hacks/config/starfish.xml.h:4 hacks/config/whirlygig.xml.h:10
+#: hacks/config/attraction.xml.h:15
+#: hacks/config/deluxe.xml.h:5
+#: hacks/config/lmorph.xml.h:7
+#: hacks/config/pedal.xml.h:5
+#: hacks/config/starfish.xml.h:4
+#: hacks/config/whirlygig.xml.h:10
 msgid "Lines"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:16 hacks/config/blocktube.xml.h:5
-#: hacks/config/braid.xml.h:6 hacks/config/cynosure.xml.h:5
-#: hacks/config/drift.xml.h:8 hacks/config/eruption.xml.h:11
-#: hacks/config/euler2d.xml.h:6 hacks/config/fiberlamp.xml.h:5
-#: hacks/config/fireflies.xml.h:21 hacks/config/flow.xml.h:6
-#: hacks/config/fontglide.xml.h:8 hacks/config/galaxy.xml.h:5
-#: hacks/config/juggle.xml.h:4 hacks/config/klein.xml.h:4
-#: hacks/config/laser.xml.h:5 hacks/config/menger.xml.h:4
-#: hacks/config/metaballs.xml.h:5 hacks/config/mismunch.xml.h:3
-#: hacks/config/munch.xml.h:4 hacks/config/nerverot.xml.h:13
-#: hacks/config/petri.xml.h:9 hacks/config/polyominoes.xml.h:4
-#: hacks/config/rotor.xml.h:5 hacks/config/shadebobs.xml.h:4
-#: hacks/config/sierpinski3d.xml.h:3 hacks/config/spheremonics.xml.h:7
-#: hacks/config/substrate.xml.h:11 hacks/config/wander.xml.h:10
+#: hacks/config/attraction.xml.h:16
+#: hacks/config/blocktube.xml.h:5
+#: hacks/config/braid.xml.h:6
+#: hacks/config/cynosure.xml.h:5
+#: hacks/config/drift.xml.h:8
+#: hacks/config/eruption.xml.h:11
+#: hacks/config/euler2d.xml.h:6
+#: hacks/config/fiberlamp.xml.h:5
+#: hacks/config/fireflies.xml.h:21
+#: hacks/config/flow.xml.h:6
+#: hacks/config/fontglide.xml.h:8
+#: hacks/config/galaxy.xml.h:5
+#: hacks/config/juggle.xml.h:4
+#: hacks/config/klein.xml.h:4
+#: hacks/config/laser.xml.h:5
+#: hacks/config/menger.xml.h:4
+#: hacks/config/metaballs.xml.h:5
+#: hacks/config/mismunch.xml.h:3
+#: hacks/config/munch.xml.h:4
+#: hacks/config/nerverot.xml.h:13
+#: hacks/config/petri.xml.h:9
+#: hacks/config/polyominoes.xml.h:4
+#: hacks/config/rotor.xml.h:5
+#: hacks/config/shadebobs.xml.h:4
+#: hacks/config/sierpinski3d.xml.h:3
+#: hacks/config/spheremonics.xml.h:7
+#: hacks/config/substrate.xml.h:11
+#: hacks/config/wander.xml.h:10
 #: hacks/config/whirlwindwarp.xml.h:3
 msgid "Long"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:17 hacks/config/carousel.xml.h:9
-#: hacks/config/ccurve.xml.h:10 hacks/config/cloudlife.xml.h:8
-#: hacks/config/cubenetic.xml.h:12 hacks/config/euler2d.xml.h:7
-#: hacks/config/flame.xml.h:10 hacks/config/glslideshow.xml.h:16
-#: hacks/config/goop.xml.h:7 hacks/config/halftone.xml.h:9
-#: hacks/config/hopalong.xml.h:14 hacks/config/hyperball.xml.h:6
-#: hacks/config/hypercube.xml.h:5 hacks/config/interference.xml.h:12
-#: hacks/config/jigglypuff.xml.h:11 hacks/config/kumppa.xml.h:6
-#: hacks/config/lavalite.xml.h:14 hacks/config/nerverot.xml.h:14
-#: hacks/config/petri.xml.h:10 hacks/config/pyro.xml.h:7
-#: hacks/config/qix.xml.h:13 hacks/config/speedmine.xml.h:6
-#: hacks/config/spheremonics.xml.h:8 hacks/config/spiral.xml.h:5
-#: hacks/config/squiral.xml.h:8 hacks/config/superquadrics.xml.h:6
-#: hacks/config/t3d.xml.h:8 hacks/config/twang.xml.h:7
+#: hacks/config/attraction.xml.h:17
+#: hacks/config/carousel.xml.h:9
+#: hacks/config/ccurve.xml.h:10
+#: hacks/config/cloudlife.xml.h:8
+#: hacks/config/cubenetic.xml.h:12
+#: hacks/config/euler2d.xml.h:7
+#: hacks/config/flame.xml.h:10
+#: hacks/config/glslideshow.xml.h:16
+#: hacks/config/goop.xml.h:7
+#: hacks/config/halftone.xml.h:9
+#: hacks/config/hopalong.xml.h:14
+#: hacks/config/hyperball.xml.h:6
+#: hacks/config/hypercube.xml.h:5
+#: hacks/config/interference.xml.h:12
+#: hacks/config/jigglypuff.xml.h:11
+#: hacks/config/kumppa.xml.h:6
+#: hacks/config/lavalite.xml.h:14
+#: hacks/config/nerverot.xml.h:14
+#: hacks/config/petri.xml.h:10
+#: hacks/config/pyro.xml.h:7
+#: hacks/config/qix.xml.h:13
+#: hacks/config/speedmine.xml.h:6
+#: hacks/config/spheremonics.xml.h:8
+#: hacks/config/spiral.xml.h:5
+#: hacks/config/squiral.xml.h:8
+#: hacks/config/superquadrics.xml.h:6
+#: hacks/config/t3d.xml.h:8
+#: hacks/config/twang.xml.h:7
 #: hacks/config/wander.xml.h:11
 msgid "Low"
 msgstr ""
@@ -1809,8 +2373,10 @@
 msgid "Polygons"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:23 hacks/config/fuzzyflakes.xml.h:13
-#: hacks/config/spotlight.xml.h:3 hacks/config/xplanet.xml.h:55
+#: hacks/config/attraction.xml.h:23
+#: hacks/config/fuzzyflakes.xml.h:13
+#: hacks/config/spotlight.xml.h:3
+#: hacks/config/xplanet.xml.h:55
 msgid "Radius"
 msgstr ""
 
@@ -1818,20 +2384,34 @@
 msgid "Repulsion Threshold"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:25 hacks/config/blocktube.xml.h:7
-#: hacks/config/braid.xml.h:10 hacks/config/cynosure.xml.h:8
-#: hacks/config/drift.xml.h:11 hacks/config/eruption.xml.h:18
-#: hacks/config/euler2d.xml.h:12 hacks/config/fiberlamp.xml.h:7
-#: hacks/config/fireflies.xml.h:34 hacks/config/flow.xml.h:9
-#: hacks/config/galaxy.xml.h:9 hacks/config/juggle.xml.h:7
-#: hacks/config/klein.xml.h:5 hacks/config/laser.xml.h:9
-#: hacks/config/menger.xml.h:14 hacks/config/metaballs.xml.h:12
-#: hacks/config/mismunch.xml.h:8 hacks/config/munch.xml.h:6
-#: hacks/config/nerverot.xml.h:19 hacks/config/petri.xml.h:22
-#: hacks/config/polyominoes.xml.h:9 hacks/config/rotor.xml.h:9
-#: hacks/config/shadebobs.xml.h:8 hacks/config/sierpinski3d.xml.h:5
-#: hacks/config/spheremonics.xml.h:17 hacks/config/substrate.xml.h:14
-#: hacks/config/wander.xml.h:12 hacks/config/whirlwindwarp.xml.h:6
+#: hacks/config/attraction.xml.h:25
+#: hacks/config/blocktube.xml.h:7
+#: hacks/config/braid.xml.h:10
+#: hacks/config/cynosure.xml.h:8
+#: hacks/config/drift.xml.h:11
+#: hacks/config/eruption.xml.h:18
+#: hacks/config/euler2d.xml.h:12
+#: hacks/config/fiberlamp.xml.h:7
+#: hacks/config/fireflies.xml.h:34
+#: hacks/config/flow.xml.h:9
+#: hacks/config/galaxy.xml.h:9
+#: hacks/config/juggle.xml.h:7
+#: hacks/config/klein.xml.h:5
+#: hacks/config/laser.xml.h:9
+#: hacks/config/menger.xml.h:14
+#: hacks/config/metaballs.xml.h:12
+#: hacks/config/mismunch.xml.h:8
+#: hacks/config/munch.xml.h:6
+#: hacks/config/nerverot.xml.h:19
+#: hacks/config/petri.xml.h:22
+#: hacks/config/polyominoes.xml.h:9
+#: hacks/config/rotor.xml.h:9
+#: hacks/config/shadebobs.xml.h:8
+#: hacks/config/sierpinski3d.xml.h:5
+#: hacks/config/spheremonics.xml.h:17
+#: hacks/config/substrate.xml.h:14
+#: hacks/config/wander.xml.h:12
+#: hacks/config/whirlwindwarp.xml.h:6
 msgid "Short"
 msgstr ""
 
@@ -1839,11 +2419,13 @@
 msgid "Splines"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:30 hacks/config/fireflies.xml.h:42
+#: hacks/config/attraction.xml.h:30
+#: hacks/config/fireflies.xml.h:42
 msgid "Tails"
 msgstr ""
 
-#: hacks/config/attraction.xml.h:31 hacks/config/euler2d.xml.h:16
+#: hacks/config/attraction.xml.h:31
+#: hacks/config/euler2d.xml.h:16
 #: hacks/config/juggle.xml.h:10
 msgid "Trail Length"
 msgstr ""
@@ -1853,20 +2435,21 @@
 msgstr ""
 
 #: hacks/config/atunnel.xml.h:2
-msgid ""
-"Draws an animation of a textured tunnel in GL. Requires OpenGL, and a "
-"machine with fast hardware support for texture maps. Written by Eric "
-"Lassauge and Roman Podobedov."
+msgid "Draws an animation of a textured tunnel in GL. Requires OpenGL, and a machine with fast hardware support for texture maps. Written by Eric Lassauge and Roman Podobedov."
 msgstr ""
 
-#: hacks/config/atunnel.xml.h:4 hacks/config/distort.xml.h:9
-#: hacks/config/glforestfire.xml.h:10 hacks/config/lament.xml.h:4
+#: hacks/config/atunnel.xml.h:4
+#: hacks/config/distort.xml.h:9
+#: hacks/config/glforestfire.xml.h:10
+#: hacks/config/lament.xml.h:4
 #: hacks/config/sballs.xml.h:6
 msgid "Normal"
 msgstr ""
 
-#: hacks/config/atunnel.xml.h:8 hacks/config/glforestfire.xml.h:18
-#: hacks/config/lament.xml.h:8 hacks/config/sballs.xml.h:17
+#: hacks/config/atunnel.xml.h:8
+#: hacks/config/glforestfire.xml.h:18
+#: hacks/config/lament.xml.h:8
+#: hacks/config/sballs.xml.h:17
 msgid "Untextured"
 msgstr ""
 
@@ -1891,9 +2474,7 @@
 msgstr ""
 
 #: hacks/config/barcode.xml.h:8
-msgid ""
-"This draws a random sequence of colorful barcodes scrolling across your "
-"screen. CONSUME! By Dan Bornstein."
+msgid "This draws a random sequence of colorful barcodes scrolling across your screen. CONSUME! By Dan Bornstein."
 msgstr ""
 
 #: hacks/config/blaster.xml.h:1
@@ -1901,13 +2482,11 @@
 msgstr ""
 
 #: hacks/config/blaster.xml.h:2
-msgid ""
-"Draws a simulation of flying space-combat robots (cleverly disguised as "
-"colored circles) doing battle in front of a moving star field. Written by "
-"Jonathan Lin."
+msgid "Draws a simulation of flying space-combat robots (cleverly disguised as colored circles) doing battle in front of a moving star field. Written by Jonathan Lin."
 msgstr ""
 
-#: hacks/config/blaster.xml.h:5 hacks/config/penetrate.xml.h:4
+#: hacks/config/blaster.xml.h:5
+#: hacks/config/penetrate.xml.h:4
 msgid "Lasers"
 msgstr ""
 
@@ -1915,7 +2494,8 @@
 msgid "Robots"
 msgstr ""
 
-#: hacks/config/blaster.xml.h:10 hacks/config/glplanet.xml.h:11
+#: hacks/config/blaster.xml.h:10
+#: hacks/config/glplanet.xml.h:11
 msgid "Stars"
 msgstr ""
 
@@ -1931,14 +2511,13 @@
 msgid "Dissolve"
 msgstr ""
 
-#: hacks/config/blinkbox.xml.h:4 hacks/config/phosphor.xml.h:3
+#: hacks/config/blinkbox.xml.h:4
+#: hacks/config/phosphor.xml.h:3
 msgid "Fade"
 msgstr ""
 
 #: hacks/config/blinkbox.xml.h:6
-msgid ""
-"Shows a ball contained inside of a bounding box. Colored blocks blink in "
-"when the ball hits the edges. Written by Jeremy English."
+msgid "Shows a ball contained inside of a bounding box. Colored blocks blink in when the ball hits the edges. Written by Jeremy English."
 msgstr ""
 
 #: hacks/config/blitspin.xml.h:1
@@ -1962,16 +2541,7 @@
 msgstr ""
 
 #: hacks/config/blitspin.xml.h:8
-msgid ""
-"The ``blitspin'' hack repeatedly rotates a bitmap by 90 degrees by using "
-"logical operations: the bitmap is divided into quadrants, and the quadrants "
-"are shifted clockwise. Then the same thing is done again with progressively "
-"smaller quadrants, except that all sub-quadrants of a given size are rotated "
-"in parallel. Written by Jamie Zawinski based on some cool SmallTalk code "
-"seen in in Byte Magazine in 1981. As you watch it, the image appears to "
-"dissolve into static and then reconstitute itself, but rotated. You can "
-"provide the image to use, as an XBM or XPM file, or tell it to grab a screen "
-"image and rotate that."
+msgid "The ``blitspin'' hack repeatedly rotates a bitmap by 90 degrees by using logical operations: the bitmap is divided into quadrants, and the quadrants are shifted clockwise. Then the same thing is done again with progressively smaller quadrants, except that all sub-quadrants of a given size are rotated in parallel. Written by Jamie Zawinski based on some cool SmallTalk code seen in in Byte Magazine in 1981. As you watch it, the image appears to dissolve into static and then reconstitute itself, but rotated. You can provide the image to use, as an XBM or XPM file, or tell it to grab a screen image and rotate that."
 msgstr ""
 
 #: hacks/config/blocktube.xml.h:1
@@ -1995,16 +2565,15 @@
 msgstr ""
 
 #: hacks/config/blocktube.xml.h:12
-msgid ""
-"This hack draws a swirling, falling tunnel of reflective slabs. They fade "
-"from hue to hue. Written by Lars R. Damerow."
+msgid "This hack draws a swirling, falling tunnel of reflective slabs. They fade from hue to hue. Written by Lars R. Damerow."
 msgstr ""
 
 #: hacks/config/boing.xml.h:1
 msgid "Boing"
 msgstr ""
 
-#: hacks/config/boing.xml.h:3 hacks/config/fireflies.xml.h:17
+#: hacks/config/boing.xml.h:3
+#: hacks/config/fireflies.xml.h:17
 #: hacks/config/pinion.xml.h:7
 msgid "Huge"
 msgstr ""
@@ -2025,12 +2594,18 @@
 msgid "Scanlines"
 msgstr ""
 
-#: hacks/config/boing.xml.h:9 hacks/config/galaxy.xml.h:10
-#: hacks/config/lisa.xml.h:7 hacks/config/lissie.xml.h:8
-#: hacks/config/loop.xml.h:6 hacks/config/penrose.xml.h:10
-#: hacks/config/pong.xml.h:3 hacks/config/rotor.xml.h:10
-#: hacks/config/rubik.xml.h:8 hacks/config/sproingies.xml.h:5
-#: hacks/config/wander.xml.h:13 hacks/config/worm.xml.h:6
+#: hacks/config/boing.xml.h:9
+#: hacks/config/galaxy.xml.h:10
+#: hacks/config/lisa.xml.h:7
+#: hacks/config/lissie.xml.h:8
+#: hacks/config/loop.xml.h:6
+#: hacks/config/penrose.xml.h:10
+#: hacks/config/pong.xml.h:3
+#: hacks/config/rotor.xml.h:10
+#: hacks/config/rubik.xml.h:8
+#: hacks/config/sproingies.xml.h:5
+#: hacks/config/wander.xml.h:13
+#: hacks/config/worm.xml.h:6
 msgid "Size"
 msgstr ""
 
@@ -2039,15 +2614,11 @@
 msgstr ""
 
 #: hacks/config/boing.xml.h:13
-msgid ""
-"This bouncing ball is a clone of the first graphics demo for the Amiga 1000, "
-"which was written by Dale Luck and RJ Mical during a break at the 1984 "
-"Consumer Electronics Show (or so the legend goes.) This looks like the "
-"original Amiga demo if you turn off \"smoothing\" and \"lighting\" and turn "
-"on \"scanlines\". Written by Jamie Zawinski."
+msgid "This bouncing ball is a clone of the first graphics demo for the Amiga 1000, which was written by Dale Luck and RJ Mical during a break at the 1984 Consumer Electronics Show (or so the legend goes.) This looks like the original Amiga demo if you turn off \"smoothing\" and \"lighting\" and turn on \"scanlines\". Written by Jamie Zawinski."
 msgstr ""
 
-#: hacks/config/boing.xml.h:14 hacks/config/fireflies.xml.h:43
+#: hacks/config/boing.xml.h:14
+#: hacks/config/fireflies.xml.h:43
 #: hacks/config/pinion.xml.h:14
 msgid "Tiny"
 msgstr ""
@@ -2056,7 +2627,8 @@
 msgid "Bouboule"
 msgstr ""
 
-#: hacks/config/bouboule.xml.h:2 hacks/config/rocks.xml.h:3
+#: hacks/config/bouboule.xml.h:2
+#: hacks/config/rocks.xml.h:3
 msgid "Do Red/Blue 3D seperation"
 msgstr ""
 
@@ -2065,24 +2637,31 @@
 msgstr ""
 
 #: hacks/config/bouboule.xml.h:10
-msgid ""
-"This draws what looks like a spinning, deforming balloon with varying-sized "
-"spots painted on its invisible surface. Written by Jeremie Petit."
+msgid "This draws what looks like a spinning, deforming balloon with varying-sized spots painted on its invisible surface. Written by Jeremie Petit."
 msgstr ""
 
 #: hacks/config/bouncingcow.xml.h:1
 msgid "A Cow. A Trampoline. Together, they fight crime. By Jamie Zawinski."
 msgstr ""
 
-#: hacks/config/bouncingcow.xml.h:2 hacks/config/boxed.xml.h:1
-#: hacks/config/carousel.xml.h:3 hacks/config/cubestorm.xml.h:1
-#: hacks/config/flyingtoasters.xml.h:3 hacks/config/fontglide.xml.h:1
-#: hacks/config/gears.xml.h:1 hacks/config/gflux.xml.h:1
-#: hacks/config/glknots.xml.h:1 hacks/config/glmatrix.xml.h:1
-#: hacks/config/jigglypuff.xml.h:1 hacks/config/pinion.xml.h:3
-#: hacks/config/polyhedra.xml.h:3 hacks/config/pyro.xml.h:1
-#: hacks/config/rd-bomb.xml.h:6 hacks/config/rocks.xml.h:1
-#: hacks/config/starwars.xml.h:1 hacks/config/wormhole.xml.h:1
+#: hacks/config/bouncingcow.xml.h:2
+#: hacks/config/boxed.xml.h:1
+#: hacks/config/carousel.xml.h:3
+#: hacks/config/cubestorm.xml.h:1
+#: hacks/config/flyingtoasters.xml.h:3
+#: hacks/config/fontglide.xml.h:1
+#: hacks/config/gears.xml.h:1
+#: hacks/config/gflux.xml.h:1
+#: hacks/config/glknots.xml.h:1
+#: hacks/config/glmatrix.xml.h:1
+#: hacks/config/jigglypuff.xml.h:1
+#: hacks/config/pinion.xml.h:3
+#: hacks/config/polyhedra.xml.h:3
+#: hacks/config/pyro.xml.h:1
+#: hacks/config/rd-bomb.xml.h:6
+#: hacks/config/rocks.xml.h:1
+#: hacks/config/starwars.xml.h:1
+#: hacks/config/wormhole.xml.h:1
 #: hacks/config/xfishtank.xml.h:1
 msgid "Animation Speed"
 msgstr ""
@@ -2120,18 +2699,19 @@
 msgstr ""
 
 #: hacks/config/boxed.xml.h:3
-msgid ""
-"Draws a box full of 3D bouncing balls that explode. Written by Sander van "
-"Grieken."
+msgid "Draws a box full of 3D bouncing balls that explode. Written by Sander van Grieken."
 msgstr ""
 
-#: hacks/config/boxed.xml.h:5 hacks/config/cubestorm.xml.h:5
-#: hacks/config/fontglide.xml.h:9 hacks/config/glknots.xml.h:6
+#: hacks/config/boxed.xml.h:5
+#: hacks/config/cubestorm.xml.h:5
+#: hacks/config/fontglide.xml.h:9
+#: hacks/config/glknots.xml.h:6
 #: hacks/config/polyhedra.xml.h:85
 msgid "Motion Speed"
 msgstr ""
 
-#: hacks/config/boxfit.xml.h:1 hacks/config/popsquares.xml.h:1
+#: hacks/config/boxfit.xml.h:1
+#: hacks/config/popsquares.xml.h:1
 msgid "Border"
 msgstr ""
 
@@ -2139,7 +2719,8 @@
 msgid "BoxFit"
 msgstr ""
 
-#: hacks/config/boxfit.xml.h:3 hacks/config/cubenetic.xml.h:1
+#: hacks/config/boxfit.xml.h:3
+#: hacks/config/cubenetic.xml.h:1
 msgid "Boxes"
 msgstr ""
 
@@ -2160,14 +2741,11 @@
 msgstr ""
 
 #: hacks/config/boxfit.xml.h:9
-msgid ""
-"Packs the screen with growing boxes or circles, colored according to a "
-"horizontal or vertical gradient. The objects grow until they touch, then "
-"stop. When the screen is full, they shrink away and the process restarts. "
-"Written by Jamie Zawinski."
+msgid "Packs the screen with growing boxes or circles, colored according to a horizontal or vertical gradient. The objects grow until they touch, then stop. When the screen is full, they shrink away and the process restarts. Written by Jamie Zawinski."
 msgstr ""
 
-#: hacks/config/boxfit.xml.h:11 hacks/config/xearth.xml.h:23
+#: hacks/config/boxfit.xml.h:11
+#: hacks/config/xearth.xml.h:23
 msgid "Spacing"
 msgstr ""
 
@@ -2176,35 +2754,53 @@
 msgstr ""
 
 #: hacks/config/braid.xml.h:2
-msgid ""
-"Draws random color-cycling inter-braided concentric circles. Written by John "
-"Neil."
+msgid "Draws random color-cycling inter-braided concentric circles. Written by John Neil."
 msgstr ""
 
-#: hacks/config/braid.xml.h:3 hacks/config/bsod.xml.h:9
-#: hacks/config/ccurve.xml.h:7 hacks/config/coral.xml.h:6
-#: hacks/config/cynosure.xml.h:3 hacks/config/deco.xml.h:4
-#: hacks/config/drift.xml.h:2 hacks/config/epicycle.xml.h:3
-#: hacks/config/eruption.xml.h:3 hacks/config/euler2d.xml.h:1
-#: hacks/config/flame.xml.h:5 hacks/config/galaxy.xml.h:2
-#: hacks/config/glsnake.xml.h:5 hacks/config/helix.xml.h:3
-#: hacks/config/hopalong.xml.h:2 hacks/config/imsmap.xml.h:6
-#: hacks/config/klein.xml.h:1 hacks/config/laser.xml.h:2
-#: hacks/config/menger.xml.h:2 hacks/config/metaballs.xml.h:3
-#: hacks/config/mismunch.xml.h:1 hacks/config/moire.xml.h:3
-#: hacks/config/molecule.xml.h:9 hacks/config/munch.xml.h:2
-#: hacks/config/nerverot.xml.h:8 hacks/config/pedal.xml.h:3
-#: hacks/config/penrose.xml.h:5 hacks/config/polyhedra.xml.h:17
-#: hacks/config/polyominoes.xml.h:1 hacks/config/rorschach.xml.h:3
-#: hacks/config/rotzoomer.xml.h:5 hacks/config/shadebobs.xml.h:2
-#: hacks/config/sierpinski3d.xml.h:1 hacks/config/spheremonics.xml.h:4
-#: hacks/config/starfish.xml.h:2 hacks/config/substrate.xml.h:6
-#: hacks/config/vidwhacker.xml.h:3 hacks/config/wander.xml.h:7
+#: hacks/config/braid.xml.h:3
+#: hacks/config/bsod.xml.h:9
+#: hacks/config/ccurve.xml.h:7
+#: hacks/config/coral.xml.h:6
+#: hacks/config/cynosure.xml.h:3
+#: hacks/config/deco.xml.h:4
+#: hacks/config/drift.xml.h:2
+#: hacks/config/epicycle.xml.h:3
+#: hacks/config/eruption.xml.h:3
+#: hacks/config/euler2d.xml.h:1
+#: hacks/config/flame.xml.h:5
+#: hacks/config/galaxy.xml.h:2
+#: hacks/config/glsnake.xml.h:5
+#: hacks/config/helix.xml.h:3
+#: hacks/config/hopalong.xml.h:2
+#: hacks/config/imsmap.xml.h:6
+#: hacks/config/klein.xml.h:1
+#: hacks/config/laser.xml.h:2
+#: hacks/config/menger.xml.h:2
+#: hacks/config/metaballs.xml.h:3
+#: hacks/config/mismunch.xml.h:1
+#: hacks/config/moire.xml.h:3
+#: hacks/config/molecule.xml.h:9
+#: hacks/config/munch.xml.h:2
+#: hacks/config/nerverot.xml.h:8
+#: hacks/config/pedal.xml.h:3
+#: hacks/config/penrose.xml.h:5
+#: hacks/config/polyhedra.xml.h:17
+#: hacks/config/polyominoes.xml.h:1
+#: hacks/config/rorschach.xml.h:3
+#: hacks/config/rotzoomer.xml.h:5
+#: hacks/config/shadebobs.xml.h:2
+#: hacks/config/sierpinski3d.xml.h:1
+#: hacks/config/spheremonics.xml.h:4
+#: hacks/config/starfish.xml.h:2
+#: hacks/config/substrate.xml.h:6
+#: hacks/config/vidwhacker.xml.h:3
+#: hacks/config/wander.xml.h:7
 #: hacks/config/xspirograph.xml.h:3
 msgid "Duration"
-msgstr ""
+msgstr "Durata"
 
-#: hacks/config/braid.xml.h:5 hacks/config/epicycle.xml.h:7
+#: hacks/config/braid.xml.h:5
+#: hacks/config/epicycle.xml.h:7
 #: hacks/config/nerverot.xml.h:12
 msgid "Line Thickness"
 msgstr ""
@@ -2213,14 +2809,16 @@
 msgid "Max Rings"
 msgstr ""
 
-#: hacks/config/bsod.xml.h:1 hacks/config/molecule.xml.h:1
+#: hacks/config/bsod.xml.h:1
+#: hacks/config/molecule.xml.h:1
 #: hacks/config/vidwhacker.xml.h:1
 msgid "2 minutes"
-msgstr ""
+msgstr "2 minuti"
 
-#: hacks/config/bsod.xml.h:2 hacks/config/molecule.xml.h:2
+#: hacks/config/bsod.xml.h:2
+#: hacks/config/molecule.xml.h:2
 msgid "5 seconds"
-msgstr ""
+msgstr "5 secondi"
 
 #: hacks/config/bsod.xml.h:3
 msgid "AmigaDOS"
@@ -2243,10 +2841,7 @@
 msgstr ""
 
 #: hacks/config/bsod.xml.h:8
-msgid ""
-"BSOD stands for ``Blue Screen of Death.'' The finest in personal computer "
-"emulation, this hack simulates popular screen savers from a number of less "
-"robust operating systems. Written by Jamie Zawinski."
+msgid "BSOD stands for ``Blue Screen of Death.'' The finest in personal computer emulation, this hack simulates popular screen savers from a number of less robust operating systems. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/bsod.xml.h:10
@@ -2334,12 +2929,11 @@
 msgstr ""
 
 #: hacks/config/bubble3d.xml.h:2
-msgid ""
-"Draws a stream of rising, undulating 3D bubbles, rising toward the top of "
-"the screen, with nice specular reflections. Written by Richard Jones."
+msgid "Draws a stream of rising, undulating 3D bubbles, rising toward the top of the screen, with nice specular reflections. Written by Richard Jones."
 msgstr ""
 
-#: hacks/config/bubbles.xml.h:1 hacks/config/xfishtank.xml.h:2
+#: hacks/config/bubbles.xml.h:1
+#: hacks/config/xfishtank.xml.h:2
 msgid "Bubbles"
 msgstr ""
 
@@ -2372,17 +2966,11 @@
 msgstr ""
 
 #: hacks/config/bubbles.xml.h:12
-msgid ""
-"This simulates the kind of bubble formation that happens when water boils:"
-"small bubbles appear, and as they get closer to each other, they combine to "
-"form larger bubbles, which eventually pop. Written by James Macnicol."
+msgid "This simulates the kind of bubble formation that happens when water boils:small bubbles appear, and as they get closer to each other, they combine to form larger bubbles, which eventually pop. Written by James Macnicol."
 msgstr ""
 
 #: hacks/config/bumps.xml.h:1
-msgid ""
-"A bit like `Spotlight', except that instead of merely exposing part of your "
-"desktop, it creates a bump map from it. Basically, it 3D-izes a roaming "
-"section of your desktop, based on color intensity. Written by Shane Smit."
+msgid "A bit like `Spotlight', except that instead of merely exposing part of your desktop, it creates a bump map from it. Basically, it 3D-izes a roaming section of your desktop, based on color intensity. Written by Shane Smit."
 msgstr ""
 
 #: hacks/config/bumps.xml.h:2
@@ -2394,43 +2982,39 @@
 msgstr ""
 
 #: hacks/config/cage.xml.h:7
-msgid ""
-"This draws Escher's ``Impossible Cage,'' a 3d analog of a moebius strip, and "
-"rotates it in three dimensions. Written by Marcelo Vianna."
+msgid "This draws Escher's ``Impossible Cage,'' a 3d analog of a moebius strip, and rotates it in three dimensions. Written by Marcelo Vianna."
 msgstr ""
 
-#: hacks/config/carousel.xml.h:1 hacks/config/coral.xml.h:1
-#: hacks/config/deco.xml.h:1 hacks/config/helix.xml.h:1
-#: hacks/config/imsmap.xml.h:1 hacks/config/jigsaw.xml.h:2
-#: hacks/config/moire.xml.h:1 hacks/config/pedal.xml.h:1
-#: hacks/config/rorschach.xml.h:1 hacks/config/rotzoomer.xml.h:2
-#: hacks/config/wander.xml.h:2 hacks/config/xspirograph.xml.h:1
+#: hacks/config/carousel.xml.h:1
+#: hacks/config/coral.xml.h:1
+#: hacks/config/deco.xml.h:1
+#: hacks/config/helix.xml.h:1
+#: hacks/config/imsmap.xml.h:1
+#: hacks/config/jigsaw.xml.h:2
+#: hacks/config/moire.xml.h:1
+#: hacks/config/pedal.xml.h:1
+#: hacks/config/rorschach.xml.h:1
+#: hacks/config/rotzoomer.xml.h:2
+#: hacks/config/wander.xml.h:2
+#: hacks/config/xspirograph.xml.h:1
 msgid "1 Minute"
-msgstr ""
+msgstr "1 Minuto"
 
 #: hacks/config/carousel.xml.h:2
 msgid "5 Seconds"
-msgstr ""
+msgstr "5 Secondi"
 
 #: hacks/config/carousel.xml.h:4
 msgid "Carousel"
 msgstr ""
 
-#: hacks/config/carousel.xml.h:6 hacks/config/electricsheep.xml.h:3
+#: hacks/config/carousel.xml.h:6
+#: hacks/config/electricsheep.xml.h:3
 msgid "Frame Rate"
 msgstr ""
 
 #: hacks/config/carousel.xml.h:8
-msgid ""
-"Loads several random images, and displays them flying in a circular "
-"formation. The circle changes speed and direction randomly, tilts on its "
-"axis, and the images move in and out. To tell it where to find the images to "
-"display, go to the \"Advanced\" tab on the Screensaver Preferences window. "
-"Select \"Choose Random Images\", and enter your image directory in the text "
-"field right below that. (Note: not the the \"Advanced\" button at the bottom "
-"of this window: the tab at the top of the *other* window.) This program "
-"requires a good video card capable of supporting large textures. Written by "
-"Jamie Zawinski."
+msgid "Loads several random images, and displays them flying in a circular formation. The circle changes speed and direction randomly, tilts on its axis, and the images move in and out. To tell it where to find the images to display, go to the \"Advanced\" tab on the Screensaver Preferences window. Select \"Choose Random Images\", and enter your image directory in the text field right below that. (Note: not the the \"Advanced\" button at the bottom of this window: the tab at the top of the *other* window.) This program requires a good video card capable of supporting large textures. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/carousel.xml.h:10
@@ -2441,7 +3025,8 @@
 msgid "Number of Images:"
 msgstr ""
 
-#: hacks/config/carousel.xml.h:13 hacks/config/glslideshow.xml.h:20
+#: hacks/config/carousel.xml.h:13
+#: hacks/config/glslideshow.xml.h:20
 msgid "Show Image Titles"
 msgstr ""
 
@@ -2457,7 +3042,8 @@
 msgid "Tilt Left/Right Only"
 msgstr ""
 
-#: hacks/config/carousel.xml.h:18 hacks/config/glslideshow.xml.h:21
+#: hacks/config/carousel.xml.h:18
+#: hacks/config/glslideshow.xml.h:21
 #: hacks/config/mirrorblob.xml.h:22
 msgid "Time until loading a new image:"
 msgstr ""
@@ -2468,36 +3054,41 @@
 
 #: hacks/config/ccurve.xml.h:1
 msgid "0 seconds"
-msgstr ""
+msgstr "0 secondi"
 
-#: hacks/config/ccurve.xml.h:2 hacks/config/epicycle.xml.h:1
+#: hacks/config/ccurve.xml.h:2
+#: hacks/config/epicycle.xml.h:1
 msgid "1 minute"
-msgstr ""
+msgstr "1 minuto"
 
-#: hacks/config/ccurve.xml.h:3 hacks/config/epicycle.xml.h:2
+#: hacks/config/ccurve.xml.h:3
+#: hacks/config/epicycle.xml.h:2
 #: hacks/config/polyhedra.xml.h:1
 msgid "1 second"
-msgstr ""
+msgstr "1 secondo"
 
 #: hacks/config/ccurve.xml.h:4
 msgid "C Curve"
 msgstr ""
 
-#: hacks/config/ccurve.xml.h:5 hacks/config/fuzzyflakes.xml.h:4
+#: hacks/config/ccurve.xml.h:5
+#: hacks/config/fuzzyflakes.xml.h:4
 msgid "Delay"
 msgstr ""
 
-#: hacks/config/ccurve.xml.h:6 hacks/config/coral.xml.h:5
-#: hacks/config/imsmap.xml.h:5 hacks/config/kumppa.xml.h:1
-#: hacks/config/qix.xml.h:6 hacks/config/squiral.xml.h:2
-#: hacks/config/wander.xml.h:4 hacks/config/xmatrix.xml.h:2
+#: hacks/config/ccurve.xml.h:6
+#: hacks/config/coral.xml.h:5
+#: hacks/config/imsmap.xml.h:5
+#: hacks/config/kumppa.xml.h:1
+#: hacks/config/qix.xml.h:6
+#: hacks/config/squiral.xml.h:2
+#: hacks/config/wander.xml.h:4
+#: hacks/config/xmatrix.xml.h:2
 msgid "Density"
 msgstr ""
 
 #: hacks/config/ccurve.xml.h:8
-msgid ""
-"Generates self-similar linear fractals, including the classic ``C Curve.'' "
-"Written by Rick Campbell."
+msgid "Generates self-similar linear fractals, including the classic ``C Curve.'' Written by Rick Campbell."
 msgstr ""
 
 #: hacks/config/circuit.xml.h:1
@@ -2508,7 +3099,8 @@
 msgid "Circuit"
 msgstr ""
 
-#: hacks/config/circuit.xml.h:3 hacks/config/gflux.xml.h:4
+#: hacks/config/circuit.xml.h:3
+#: hacks/config/gflux.xml.h:4
 #: hacks/config/pulsar.xml.h:2
 msgid "Directional Lighting"
 msgstr ""
@@ -2521,22 +3113,29 @@
 msgid "Parts"
 msgstr ""
 
-#: hacks/config/circuit.xml.h:7 hacks/config/flipscreen3d.xml.h:4
-#: hacks/config/gleidescope.xml.h:9 hacks/config/glplanet.xml.h:6
+#: hacks/config/circuit.xml.h:7
+#: hacks/config/flipscreen3d.xml.h:4
+#: hacks/config/gleidescope.xml.h:9
+#: hacks/config/glplanet.xml.h:6
 msgid "Rotate"
 msgstr ""
 
-#: hacks/config/circuit.xml.h:8 hacks/config/pinion.xml.h:10
+#: hacks/config/circuit.xml.h:8
+#: hacks/config/pinion.xml.h:10
 msgid "Rotation Speed"
 msgstr ""
 
-#: hacks/config/circuit.xml.h:12 hacks/config/cubestorm.xml.h:9
-#: hacks/config/dangerball.xml.h:9 hacks/config/engine.xml.h:17
-#: hacks/config/klein.xml.h:9 hacks/config/whirlygig.xml.h:14
+#: hacks/config/circuit.xml.h:12
+#: hacks/config/cubestorm.xml.h:9
+#: hacks/config/dangerball.xml.h:9
+#: hacks/config/engine.xml.h:17
+#: hacks/config/klein.xml.h:9
+#: hacks/config/whirlygig.xml.h:14
 msgid "Spin"
 msgstr ""
 
-#: hacks/config/cloudlife.xml.h:1 hacks/config/demon.xml.h:2
+#: hacks/config/cloudlife.xml.h:1
+#: hacks/config/demon.xml.h:2
 #: hacks/config/petri.xml.h:1
 msgid "Cell Size"
 msgstr ""
@@ -2546,12 +3145,7 @@
 msgstr ""
 
 #: hacks/config/cloudlife.xml.h:4
-msgid ""
-"Generates cloud-like formations based on a variant of Conway's Life. The "
-"difference is that cells have a maximum age, after which they count as 3 for "
-"populating the next generation. This makes long-lived formations explode "
-"instead of just sitting there burning a hole in your screen. Written by Don "
-"Marti."
+msgid "Generates cloud-like formations based on a variant of Conway's Life. The difference is that cells have a maximum age, after which they count as 3 for populating the next generation. This makes long-lived formations explode instead of just sitting there burning a hole in your screen. Written by Don Marti."
 msgstr ""
 
 #: hacks/config/cloudlife.xml.h:6
@@ -2574,56 +3168,74 @@
 msgid "Compass"
 msgstr ""
 
-#: hacks/config/compass.xml.h:2 hacks/config/deluxe.xml.h:3
-#: hacks/config/fontglide.xml.h:3 hacks/config/fuzzyflakes.xml.h:5
-#: hacks/config/interference.xml.h:6 hacks/config/kumppa.xml.h:2
-#: hacks/config/nerverot.xml.h:6 hacks/config/piecewise.xml.h:3
+#: hacks/config/compass.xml.h:2
+#: hacks/config/deluxe.xml.h:3
+#: hacks/config/fontglide.xml.h:3
+#: hacks/config/fuzzyflakes.xml.h:5
+#: hacks/config/interference.xml.h:6
+#: hacks/config/kumppa.xml.h:2
+#: hacks/config/nerverot.xml.h:6
+#: hacks/config/piecewise.xml.h:3
 #: hacks/config/pipes.xml.h:4
 msgid "Double Buffer"
 msgstr ""
 
 #: hacks/config/compass.xml.h:6
-msgid ""
-"This draws a compass, with all elements spinning about randomly, for that "
-"``lost and nauseous'' feeling. Written by Jamie Zawinski."
+msgid "This draws a compass, with all elements spinning about randomly, for that ``lost and nauseous'' feeling. Written by Jamie Zawinski."
 msgstr ""
 
-#: hacks/config/coral.xml.h:2 hacks/config/deco.xml.h:2
-#: hacks/config/glslideshow.xml.h:1 hacks/config/helix.xml.h:2
-#: hacks/config/imsmap.xml.h:2 hacks/config/moire.xml.h:2
-#: hacks/config/pedal.xml.h:2 hacks/config/penrose.xml.h:1
-#: hacks/config/rorschach.xml.h:2 hacks/config/xspirograph.xml.h:2
+#: hacks/config/coral.xml.h:2
+#: hacks/config/deco.xml.h:2
+#: hacks/config/glslideshow.xml.h:1
+#: hacks/config/helix.xml.h:2
+#: hacks/config/imsmap.xml.h:2
+#: hacks/config/moire.xml.h:2
+#: hacks/config/pedal.xml.h:2
+#: hacks/config/penrose.xml.h:1
+#: hacks/config/rorschach.xml.h:2
+#: hacks/config/xspirograph.xml.h:2
 msgid "1 Second"
-msgstr ""
+msgstr "1 Secondo"
 
 #: hacks/config/coral.xml.h:3
 msgid "Coral"
 msgstr ""
 
-#: hacks/config/coral.xml.h:4 hacks/config/fireworkx.xml.h:2
-#: hacks/config/gflux.xml.h:3 hacks/config/glblur.xml.h:2
-#: hacks/config/glmatrix.xml.h:3 hacks/config/imsmap.xml.h:4
-#: hacks/config/lavalite.xml.h:6 hacks/config/pyro.xml.h:2
-#: hacks/config/qix.xml.h:5 hacks/config/squiral.xml.h:1
+#: hacks/config/coral.xml.h:4
+#: hacks/config/fireworkx.xml.h:2
+#: hacks/config/gflux.xml.h:3
+#: hacks/config/glblur.xml.h:2
+#: hacks/config/glmatrix.xml.h:3
+#: hacks/config/imsmap.xml.h:4
+#: hacks/config/lavalite.xml.h:6
+#: hacks/config/pyro.xml.h:2
+#: hacks/config/qix.xml.h:5
+#: hacks/config/squiral.xml.h:1
 #: hacks/config/xearth.xml.h:4
 msgid "Dense"
 msgstr ""
 
-#: hacks/config/coral.xml.h:10 hacks/config/squiral.xml.h:13
+#: hacks/config/coral.xml.h:10
+#: hacks/config/squiral.xml.h:13
 msgid "Seeds"
 msgstr ""
 
 #: hacks/config/coral.xml.h:11
-msgid ""
-"Simulates coral growth, albeit somewhat slowly. Written by Frederick Roeber."
+msgid "Simulates coral growth, albeit somewhat slowly. Written by Frederick Roeber."
 msgstr ""
 
-#: hacks/config/coral.xml.h:13 hacks/config/fireworkx.xml.h:10
-#: hacks/config/gflux.xml.h:13 hacks/config/glblur.xml.h:16
-#: hacks/config/glmatrix.xml.h:19 hacks/config/imsmap.xml.h:13
-#: hacks/config/lavalite.xml.h:29 hacks/config/pyro.xml.h:14
-#: hacks/config/qix.xml.h:21 hacks/config/squiral.xml.h:15
-#: hacks/config/xearth.xml.h:24 hacks/config/xmatrix.xml.h:17
+#: hacks/config/coral.xml.h:13
+#: hacks/config/fireworkx.xml.h:10
+#: hacks/config/gflux.xml.h:13
+#: hacks/config/glblur.xml.h:16
+#: hacks/config/glmatrix.xml.h:19
+#: hacks/config/imsmap.xml.h:13
+#: hacks/config/lavalite.xml.h:29
+#: hacks/config/pyro.xml.h:14
+#: hacks/config/qix.xml.h:21
+#: hacks/config/squiral.xml.h:15
+#: hacks/config/xearth.xml.h:24
+#: hacks/config/xmatrix.xml.h:17
 msgid "Sparse"
 msgstr ""
 
@@ -2632,9 +3244,7 @@
 msgstr ""
 
 #: hacks/config/cosmos.xml.h:2
-msgid ""
-"Draws fireworks and zooming, fading flares. By Tom Campbell. You can find it "
-"at &lt;http://www.cosmosx.org/&gt;"
+msgid "Draws fireworks and zooming, fading flares. By Tom Campbell. You can find it at &lt;http://www.cosmosx.org/&gt;"
 msgstr ""
 
 #: hacks/config/critical.xml.h:1
@@ -2642,28 +3252,39 @@
 msgstr ""
 
 #: hacks/config/critical.xml.h:2
-msgid ""
-"Draws a system of self-organizing lines. It starts out as random squiggles, "
-"but after a few iterations, order begins to appear. Written by Martin Pool."
+msgid "Draws a system of self-organizing lines. It starts out as random squiggles, but after a few iterations, order begins to appear. Written by Martin Pool."
 msgstr ""
 
 #: hacks/config/crystal.xml.h:1
 msgid "Center on Screen"
 msgstr ""
 
-#: hacks/config/crystal.xml.h:2 hacks/config/deluxe.xml.h:1
-#: hacks/config/fadeplot.xml.h:1 hacks/config/flow.xml.h:1
-#: hacks/config/galaxy.xml.h:1 hacks/config/glforestfire.xml.h:1
-#: hacks/config/grav.xml.h:1 hacks/config/julia.xml.h:1
-#: hacks/config/laser.xml.h:1 hacks/config/lisa.xml.h:1
-#: hacks/config/lissie.xml.h:2 hacks/config/morph3d.xml.h:2
-#: hacks/config/mountain.xml.h:1 hacks/config/piecewise.xml.h:2
-#: hacks/config/qix.xml.h:4 hacks/config/rocks.xml.h:2
-#: hacks/config/rotor.xml.h:2 hacks/config/rubik.xml.h:1
-#: hacks/config/shadebobs.xml.h:1 hacks/config/sierpinski.xml.h:1
-#: hacks/config/slip.xml.h:1 hacks/config/spiral.xml.h:1
-#: hacks/config/sproingies.xml.h:1 hacks/config/superquadrics.xml.h:1
-#: hacks/config/swirl.xml.h:1 hacks/config/worm.xml.h:2
+#: hacks/config/crystal.xml.h:2
+#: hacks/config/deluxe.xml.h:1
+#: hacks/config/fadeplot.xml.h:1
+#: hacks/config/flow.xml.h:1
+#: hacks/config/galaxy.xml.h:1
+#: hacks/config/glforestfire.xml.h:1
+#: hacks/config/grav.xml.h:1
+#: hacks/config/julia.xml.h:1
+#: hacks/config/laser.xml.h:1
+#: hacks/config/lisa.xml.h:1
+#: hacks/config/lissie.xml.h:2
+#: hacks/config/morph3d.xml.h:2
+#: hacks/config/mountain.xml.h:1
+#: hacks/config/piecewise.xml.h:2
+#: hacks/config/qix.xml.h:4
+#: hacks/config/rocks.xml.h:2
+#: hacks/config/rotor.xml.h:2
+#: hacks/config/rubik.xml.h:1
+#: hacks/config/shadebobs.xml.h:1
+#: hacks/config/sierpinski.xml.h:1
+#: hacks/config/slip.xml.h:1
+#: hacks/config/spiral.xml.h:1
+#: hacks/config/sproingies.xml.h:1
+#: hacks/config/superquadrics.xml.h:1
+#: hacks/config/swirl.xml.h:1
+#: hacks/config/worm.xml.h:2
 msgid "Count"
 msgstr ""
 
@@ -2675,7 +3296,8 @@
 msgid "Draw Cell"
 msgstr ""
 
-#: hacks/config/crystal.xml.h:5 hacks/config/spheremonics.xml.h:3
+#: hacks/config/crystal.xml.h:5
+#: hacks/config/spheremonics.xml.h:3
 #: hacks/config/xearth.xml.h:6
 msgid "Draw Grid"
 msgstr ""
@@ -2685,9 +3307,7 @@
 msgstr ""
 
 #: hacks/config/crystal.xml.h:9
-msgid ""
-"Moving polygons, similar to a kaleidescope (more like a kaleidescope than "
-"the hack called `kaleid,' actually.) This one by Jouk Jansen."
+msgid "Moving polygons, similar to a kaleidescope (more like a kaleidescope than the hack called `kaleid,' actually.) This one by Jouk Jansen."
 msgstr ""
 
 #: hacks/config/crystal.xml.h:14
@@ -2710,73 +3330,102 @@
 msgid "Display Wireframe"
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:6 hacks/config/glblur.xml.h:3
-#: hacks/config/glknots.xml.h:2 hacks/config/gltext.xml.h:2
-#: hacks/config/lavalite.xml.h:7 hacks/config/menger.xml.h:1
-#: hacks/config/molecule.xml.h:4 hacks/config/polyhedra.xml.h:16
+#: hacks/config/cubenetic.xml.h:6
+#: hacks/config/glblur.xml.h:3
+#: hacks/config/glknots.xml.h:2
+#: hacks/config/gltext.xml.h:2
+#: hacks/config/lavalite.xml.h:7
+#: hacks/config/menger.xml.h:1
+#: hacks/config/molecule.xml.h:4
+#: hacks/config/polyhedra.xml.h:16
 #: hacks/config/spheremonics.xml.h:1
 msgid "Don't Rotate"
 msgstr ""
 
 #: hacks/config/cubenetic.xml.h:7
-msgid ""
-"Draws a pulsating set of overlapping boxes with ever-chaning blobby patterns "
-"undulating across their surfaces. It's sort of a cubist Lavalite. Written by "
-"Jamie Zawinski."
+msgid "Draws a pulsating set of overlapping boxes with ever-chaning blobby patterns undulating across their surfaces. It's sort of a cubist Lavalite. Written by Jamie Zawinski."
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:14 hacks/config/glblur.xml.h:6
-#: hacks/config/glknots.xml.h:8 hacks/config/gltext.xml.h:5
-#: hacks/config/lavalite.xml.h:19 hacks/config/menger.xml.h:7
-#: hacks/config/molecule.xml.h:14 hacks/config/polyhedra.xml.h:110
+#: hacks/config/cubenetic.xml.h:14
+#: hacks/config/glblur.xml.h:6
+#: hacks/config/glknots.xml.h:8
+#: hacks/config/gltext.xml.h:5
+#: hacks/config/lavalite.xml.h:19
+#: hacks/config/menger.xml.h:7
+#: hacks/config/molecule.xml.h:14
+#: hacks/config/polyhedra.xml.h:110
 #: hacks/config/spheremonics.xml.h:10
 msgid "Rotate around X and Y axes"
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:15 hacks/config/glblur.xml.h:7
-#: hacks/config/glknots.xml.h:9 hacks/config/gltext.xml.h:6
-#: hacks/config/lavalite.xml.h:20 hacks/config/menger.xml.h:8
-#: hacks/config/molecule.xml.h:15 hacks/config/polyhedra.xml.h:111
+#: hacks/config/cubenetic.xml.h:15
+#: hacks/config/glblur.xml.h:7
+#: hacks/config/glknots.xml.h:9
+#: hacks/config/gltext.xml.h:6
+#: hacks/config/lavalite.xml.h:20
+#: hacks/config/menger.xml.h:8
+#: hacks/config/molecule.xml.h:15
+#: hacks/config/polyhedra.xml.h:111
 #: hacks/config/spheremonics.xml.h:11
 msgid "Rotate around X and Z axes"
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:16 hacks/config/glblur.xml.h:8
-#: hacks/config/glknots.xml.h:10 hacks/config/gltext.xml.h:7
-#: hacks/config/lavalite.xml.h:21 hacks/config/menger.xml.h:9
-#: hacks/config/molecule.xml.h:16 hacks/config/polyhedra.xml.h:112
+#: hacks/config/cubenetic.xml.h:16
+#: hacks/config/glblur.xml.h:8
+#: hacks/config/glknots.xml.h:10
+#: hacks/config/gltext.xml.h:7
+#: hacks/config/lavalite.xml.h:21
+#: hacks/config/menger.xml.h:9
+#: hacks/config/molecule.xml.h:16
+#: hacks/config/polyhedra.xml.h:112
 #: hacks/config/spheremonics.xml.h:12
 msgid "Rotate around X axis"
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:17 hacks/config/glblur.xml.h:9
-#: hacks/config/glknots.xml.h:11 hacks/config/gltext.xml.h:8
-#: hacks/config/lavalite.xml.h:22 hacks/config/menger.xml.h:10
-#: hacks/config/molecule.xml.h:17 hacks/config/polyhedra.xml.h:113
+#: hacks/config/cubenetic.xml.h:17
+#: hacks/config/glblur.xml.h:9
+#: hacks/config/glknots.xml.h:11
+#: hacks/config/gltext.xml.h:8
+#: hacks/config/lavalite.xml.h:22
+#: hacks/config/menger.xml.h:10
+#: hacks/config/molecule.xml.h:17
+#: hacks/config/polyhedra.xml.h:113
 #: hacks/config/spheremonics.xml.h:13
 msgid "Rotate around Y and Z axes"
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:18 hacks/config/glblur.xml.h:10
-#: hacks/config/glknots.xml.h:12 hacks/config/gltext.xml.h:9
-#: hacks/config/lavalite.xml.h:23 hacks/config/menger.xml.h:11
-#: hacks/config/molecule.xml.h:18 hacks/config/polyhedra.xml.h:114
+#: hacks/config/cubenetic.xml.h:18
+#: hacks/config/glblur.xml.h:10
+#: hacks/config/glknots.xml.h:12
+#: hacks/config/gltext.xml.h:9
+#: hacks/config/lavalite.xml.h:23
+#: hacks/config/menger.xml.h:11
+#: hacks/config/molecule.xml.h:18
+#: hacks/config/polyhedra.xml.h:114
 #: hacks/config/spheremonics.xml.h:14
 msgid "Rotate around Y axis"
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:19 hacks/config/glblur.xml.h:11
-#: hacks/config/glknots.xml.h:13 hacks/config/gltext.xml.h:10
-#: hacks/config/lavalite.xml.h:24 hacks/config/menger.xml.h:12
-#: hacks/config/molecule.xml.h:19 hacks/config/polyhedra.xml.h:115
+#: hacks/config/cubenetic.xml.h:19
+#: hacks/config/glblur.xml.h:11
+#: hacks/config/glknots.xml.h:13
+#: hacks/config/gltext.xml.h:10
+#: hacks/config/lavalite.xml.h:24
+#: hacks/config/menger.xml.h:12
+#: hacks/config/molecule.xml.h:19
+#: hacks/config/polyhedra.xml.h:115
 #: hacks/config/spheremonics.xml.h:15
 msgid "Rotate around Z axis"
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:20 hacks/config/glblur.xml.h:12
-#: hacks/config/glknots.xml.h:14 hacks/config/gltext.xml.h:11
-#: hacks/config/lavalite.xml.h:25 hacks/config/menger.xml.h:13
-#: hacks/config/molecule.xml.h:20 hacks/config/polyhedra.xml.h:116
+#: hacks/config/cubenetic.xml.h:20
+#: hacks/config/glblur.xml.h:12
+#: hacks/config/glknots.xml.h:14
+#: hacks/config/gltext.xml.h:11
+#: hacks/config/lavalite.xml.h:25
+#: hacks/config/menger.xml.h:13
+#: hacks/config/molecule.xml.h:20
+#: hacks/config/polyhedra.xml.h:116
 #: hacks/config/spheremonics.xml.h:16
 msgid "Rotate around all three axes"
 msgstr ""
@@ -2793,13 +3442,20 @@
 msgid "Surface Pattern Speed"
 msgstr ""
 
-#: hacks/config/cubenetic.xml.h:28 hacks/config/cubestorm.xml.h:13
-#: hacks/config/dangerball.xml.h:10 hacks/config/engine.xml.h:20
-#: hacks/config/glblur.xml.h:19 hacks/config/glforestfire.xml.h:19
-#: hacks/config/glknots.xml.h:22 hacks/config/glplanet.xml.h:14
-#: hacks/config/gltext.xml.h:17 hacks/config/lavalite.xml.h:31
-#: hacks/config/menger.xml.h:20 hacks/config/molecule.xml.h:25
-#: hacks/config/polyhedra.xml.h:172 hacks/config/spheremonics.xml.h:25
+#: hacks/config/cubenetic.xml.h:28
+#: hacks/config/cubestorm.xml.h:13
+#: hacks/config/dangerball.xml.h:10
+#: hacks/config/engine.xml.h:20
+#: hacks/config/glblur.xml.h:19
+#: hacks/config/glforestfire.xml.h:19
+#: hacks/config/glknots.xml.h:22
+#: hacks/config/glplanet.xml.h:14
+#: hacks/config/gltext.xml.h:17
+#: hacks/config/lavalite.xml.h:31
+#: hacks/config/menger.xml.h:20
+#: hacks/config/molecule.xml.h:25
+#: hacks/config/polyhedra.xml.h:172
+#: hacks/config/spheremonics.xml.h:25
 #: hacks/config/wander.xml.h:15
 msgid "Wander"
 msgstr ""
@@ -2809,9 +3465,7 @@
 msgstr ""
 
 #: hacks/config/cubestorm.xml.h:3
-msgid ""
-"Draws a series of rotating 3D boxes that intersect each other and eventually "
-"fill space. Written by Jamie Zawinski."
+msgid "Draws a series of rotating 3D boxes that intersect each other and eventually fill space. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/cubestorm.xml.h:6
@@ -2823,11 +3477,7 @@
 msgstr ""
 
 #: hacks/config/cynosure.xml.h:1
-msgid ""
-"A hack similar to `greynetic', but less frenetic. The first implementation "
-"was by Stephen Linhart; then Ozymandias G. Desiderata wrote a Java applet "
-"clone. That clone was discovered by Jamie Zawinski, and ported to C for "
-"inclusion here."
+msgid "A hack similar to `greynetic', but less frenetic. The first implementation was by Stephen Linhart; then Ozymandias G. Desiderata wrote a Java applet clone. That clone was discovered by Jamie Zawinski, and ported to C for inclusion here."
 msgstr ""
 
 #: hacks/config/cynosure.xml.h:2
@@ -2839,9 +3489,7 @@
 msgstr ""
 
 #: hacks/config/dangerball.xml.h:2
-msgid ""
-"Draws a ball that periodically extrudes many random spikes. Ouch! Written by "
-"Jamie Zawinski."
+msgid "Draws a ball that periodically extrudes many random spikes. Ouch! Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/dangerball.xml.h:7
@@ -2917,19 +3565,15 @@
 msgstr ""
 
 #: hacks/config/decayscreen.xml.h:20
-msgid ""
-"This takes an image and makes it melt. You've no doubt seen this effect "
-"before, but no screensaver would really be complete without it. It works "
-"best if there's something colorful visible. Warning, if the effect continues "
-"after the screen saver is off, seek medical attention. Written by David "
-"Wald, Vivek Khera, Jamie Zawinski, and Vince Levey."
+msgid "This takes an image and makes it melt. You've no doubt seen this effect before, but no screensaver would really be complete without it. It works best if there's something colorful visible. Warning, if the effect continues after the screen saver is off, seek medical attention. Written by David Wald, Vivek Khera, Jamie Zawinski, and Vince Levey."
 msgstr ""
 
 #: hacks/config/deco.xml.h:3
 msgid "Deco"
 msgstr ""
 
-#: hacks/config/deco.xml.h:6 hacks/config/menger.xml.h:5
+#: hacks/config/deco.xml.h:6
+#: hacks/config/menger.xml.h:5
 #: hacks/config/sierpinski3d.xml.h:4
 msgid "Max Depth"
 msgstr ""
@@ -2939,15 +3583,13 @@
 msgstr ""
 
 #: hacks/config/deco.xml.h:9
-msgid ""
-"This one subdivides and colors rectangles randomly. It looks kind of like "
-"Brady-Bunch-era rec-room wall paneling. (Raven says: ``this screensaver is "
-"ugly enough to peel paint.'') Written by Jamie Zawinski, inspired by Java "
-"code by Michael Bayne."
+msgid "This one subdivides and colors rectangles randomly. It looks kind of like Brady-Bunch-era rec-room wall paneling. (Raven says: ``this screensaver is ugly enough to peel paint.'') Written by Jamie Zawinski, inspired by Java code by Michael Bayne."
 msgstr ""
 
-#: hacks/config/deco.xml.h:11 hacks/config/rd-bomb.xml.h:23
-#: hacks/config/whirlygig.xml.h:20 hacks/config/xearth.xml.h:33
+#: hacks/config/deco.xml.h:11
+#: hacks/config/rd-bomb.xml.h:23
+#: hacks/config/whirlygig.xml.h:20
+#: hacks/config/xearth.xml.h:33
 #: hacks/config/zoom.xml.h:10
 msgid "x"
 msgstr ""
@@ -2957,11 +3599,7 @@
 msgstr ""
 
 #: hacks/config/deluxe.xml.h:12
-msgid ""
-"This draws a pulsing sequence of stars, circles, and lines. It would look "
-"better if it was faster, but as far as I can tell, there is no way to make "
-"this be both: fast, and flicker-free. Yet another reason X sucks. Written by "
-"Jamie Zawinski."
+msgid "This draws a pulsing sequence of stars, circles, and lines. It would look better if it was faster, but as far as I can tell, there is no way to make this be both: fast, and flicker-free. Yet another reason X sucks. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/deluxe.xml.h:13
@@ -2969,9 +3607,7 @@
 msgstr ""
 
 #: hacks/config/demon.xml.h:1
-msgid ""
-"A cellular automaton that starts with a random field, and organizes it into "
-"stripes and spirals. Written by David Bagley."
+msgid "A cellular automaton that starts with a random field, and organizes it into stripes and spirals. Written by David Bagley."
 msgstr ""
 
 #: hacks/config/demon.xml.h:3
@@ -2987,9 +3623,7 @@
 msgstr ""
 
 #: hacks/config/discrete.xml.h:5
-msgid ""
-"More ``discrete map'' systems, including new variants of Hopalong and Julia, "
-"and a few others. Written by Tim Auckland."
+msgid "More ``discrete map'' systems, including new variants of Hopalong and Julia, and a few others. Written by Tim Auckland."
 msgstr ""
 
 #: hacks/config/distort.xml.h:1
@@ -3025,16 +3659,17 @@
 msgstr ""
 
 #: hacks/config/distort.xml.h:15
-msgid ""
-"This hack grabs an image of the screen, and then lets a transparent lens "
-"wander around the screen, magnifying whatever is underneath. Written by "
-"Jonas Munsin."
+msgid "This hack grabs an image of the screen, and then lets a transparent lens wander around the screen, magnifying whatever is underneath. Written by Jonas Munsin."
 msgstr ""
 
-#: hacks/config/distort.xml.h:16 hacks/config/moire.xml.h:12
-#: hacks/config/rd-bomb.xml.h:21 hacks/config/ripples.xml.h:15
-#: hacks/config/rotzoomer.xml.h:10 hacks/config/swirl.xml.h:10
-#: hacks/config/twang.xml.h:15 hacks/config/xflame.xml.h:7
+#: hacks/config/distort.xml.h:16
+#: hacks/config/moire.xml.h:12
+#: hacks/config/rd-bomb.xml.h:21
+#: hacks/config/ripples.xml.h:15
+#: hacks/config/rotzoomer.xml.h:10
+#: hacks/config/swirl.xml.h:10
+#: hacks/config/twang.xml.h:15
+#: hacks/config/xflame.xml.h:7
 msgid "Use Shared Memory"
 msgstr ""
 
@@ -3055,10 +3690,7 @@
 msgstr ""
 
 #: hacks/config/drift.xml.h:6
-msgid ""
-"How could one possibly describe this except as ``drifting recursive fractal "
-"cosmic flames?'' Another fine hack from the Scott Draves collection of fine "
-"hacks."
+msgid "How could one possibly describe this except as ``drifting recursive fractal cosmic flames?'' Another fine hack from the Scott Draves collection of fine hacks."
 msgstr ""
 
 #: hacks/config/drift.xml.h:7
@@ -3070,14 +3702,7 @@
 msgstr ""
 
 #: hacks/config/electricsheep.xml.h:2
-msgid ""
-"ElectricSheep is an xscreensaver module that displays mpeg video of an "
-"animated fractal flame. In the background, it contributes render cycles to "
-"the next animation. Periodically it uploades completed frames to the server, "
-"where they are compressed for distribution to all clients. This program is "
-"recommended only if you have a high bandwidth, always-on connection to the "
-"Internet. By Scott Draves. You can find it at &lt;http://www.electricsheep."
-"org/&gt;."
+msgid "ElectricSheep is an xscreensaver module that displays mpeg video of an animated fractal flame. In the background, it contributes render cycles to the next animation. Periodically it uploades completed frames to the server, where they are compressed for distribution to all clients. This program is recommended only if you have a high bandwidth, always-on connection to the Internet. By Scott Draves. You can find it at &lt;http://www.electricsheep.org/&gt;."
 msgstr ""
 
 #: hacks/config/electricsheep.xml.h:4
@@ -3105,9 +3730,7 @@
 msgstr ""
 
 #: hacks/config/endgame.xml.h:1
-msgid ""
-"Black slips out of three mating nets, but the fourth one holds him tight! A "
-"brilliant composition! Written by Blair Tennessy."
+msgid "Black slips out of three mating nets, but the fourth one holds him tight! A brilliant composition! Written by Blair Tennessy."
 msgstr ""
 
 #: hacks/config/endgame.xml.h:2
@@ -3135,9 +3758,7 @@
 msgstr ""
 
 #: hacks/config/engine.xml.h:6
-msgid ""
-"Draws a simple model of an engine that floats around the screen. Written by "
-"Ben Buxton and Ed Beroset."
+msgid "Draws a simple model of an engine that floats around the screen. Written by Ben Buxton and Ed Beroset."
 msgstr ""
 
 #: hacks/config/engine.xml.h:7
@@ -3181,11 +3802,7 @@
 msgstr ""
 
 #: hacks/config/epicycle.xml.h:12
-msgid ""
-"This program draws the path traced out by a point on the edge of a circle. "
-"That circle rotates around a point on the rim of another circle, and so on, "
-"several times. These were the basis for the pre-heliocentric model of "
-"planetary motion. Written by James Youngman."
+msgid "This program draws the path traced out by a point on the edge of a circle. That circle rotates around a point on the rim of another circle, and so on, several times. These were the basis for the pre-heliocentric model of planetary motion. Written by James Youngman."
 msgstr ""
 
 #: hacks/config/eruption.xml.h:1
@@ -3200,8 +3817,10 @@
 msgid "Eruption"
 msgstr ""
 
-#: hacks/config/eruption.xml.h:7 hacks/config/fluidballs.xml.h:9
-#: hacks/config/qix.xml.h:9 hacks/config/speedmine.xml.h:4
+#: hacks/config/eruption.xml.h:7
+#: hacks/config/fluidballs.xml.h:9
+#: hacks/config/qix.xml.h:9
+#: hacks/config/speedmine.xml.h:4
 msgid "Gravity"
 msgstr ""
 
@@ -3237,7 +3856,8 @@
 msgid "Euler2d"
 msgstr ""
 
-#: hacks/config/euler2d.xml.h:10 hacks/config/whirlwindwarp.xml.h:5
+#: hacks/config/euler2d.xml.h:10
+#: hacks/config/whirlwindwarp.xml.h:5
 msgid "Particles"
 msgstr ""
 
@@ -3246,16 +3866,11 @@
 msgstr ""
 
 #: hacks/config/euler2d.xml.h:13
-msgid ""
-"Simulates two dimensional Incompressible Inviscid Fluid Flow. Written by "
-"Stephen Montgomery-Smith."
+msgid "Simulates two dimensional Incompressible Inviscid Fluid Flow. Written by Stephen Montgomery-Smith."
 msgstr ""
 
 #: hacks/config/extrusion.xml.h:1
-msgid ""
-"Draws various rotating extruded shapes that twist around, lengthen, and turn "
-"inside out. Created by David Konerding from the samples that come with the "
-"GL Extrusion library by Linas Vepstas."
+msgid "Draws various rotating extruded shapes that twist around, lengthen, and turn inside out. Created by David Konerding from the samples that come with the GL Extrusion library by Linas Vepstas."
 msgstr ""
 
 #: hacks/config/extrusion.xml.h:2
@@ -3278,7 +3893,8 @@
 msgid "Join Offset"
 msgstr ""
 
-#: hacks/config/extrusion.xml.h:8 hacks/config/polytopes.xml.h:16
+#: hacks/config/extrusion.xml.h:8
+#: hacks/config/polytopes.xml.h:16
 msgid "Random Object"
 msgstr ""
 
@@ -3298,19 +3914,19 @@
 msgid "Twistoid"
 msgstr ""
 
-#: hacks/config/extrusion.xml.h:17 hacks/config/glplanet.xml.h:12
+#: hacks/config/extrusion.xml.h:17
+#: hacks/config/glplanet.xml.h:12
 #: hacks/config/pulsar.xml.h:19
 msgid "Use Flat Coloring"
 msgstr ""
 
-#: hacks/config/extrusion.xml.h:18 hacks/config/glplanet.xml.h:13
+#: hacks/config/extrusion.xml.h:18
+#: hacks/config/glplanet.xml.h:13
 msgid "Use Lighting"
 msgstr ""
 
 #: hacks/config/fadeplot.xml.h:2
-msgid ""
-"Draws what looks like a waving ribbon following a sinusoidal path. Written "
-"by Bas van Gaalen and Charles Vidal."
+msgid "Draws what looks like a waving ribbon following a sinusoidal path. Written by Bas van Gaalen and Charles Vidal."
 msgstr ""
 
 #: hacks/config/fadeplot.xml.h:3
@@ -3338,12 +3954,7 @@
 msgstr ""
 
 #: hacks/config/fireflies.xml.h:2
-msgid ""
-"A bunch of fireflies chase a few baits around the screen, leaving colorful "
-"tails which get blown around by the wind. Written by Matt Perry. This "
-"program is not included with the XScreenSaver package, but if you don't have "
-"it already, you can find it at &lt;http://somewhere.fscked.org/fireflies/"
-"&gt;."
+msgid "A bunch of fireflies chase a few baits around the screen, leaving colorful tails which get blown around by the wind. Written by Matt Perry. This program is not included with the XScreenSaver package, but if you don't have it already, you can find it at &lt;http://somewhere.fscked.org/fireflies/&gt;."
 msgstr ""
 
 #: hacks/config/fireflies.xml.h:3
@@ -3402,7 +4013,8 @@
 msgid "Half"
 msgstr ""
 
-#: hacks/config/fireflies.xml.h:18 hacks/config/fluidballs.xml.h:10
+#: hacks/config/fireflies.xml.h:18
+#: hacks/config/fluidballs.xml.h:10
 msgid "Hurricane"
 msgstr ""
 
@@ -3462,7 +4074,8 @@
 msgid "Split a swarm"
 msgstr ""
 
-#: hacks/config/fireflies.xml.h:36 hacks/config/fluidballs.xml.h:21
+#: hacks/config/fireflies.xml.h:36
+#: hacks/config/fluidballs.xml.h:21
 #: hacks/config/glforestfire.xml.h:16
 msgid "Still"
 msgstr ""
@@ -3491,7 +4104,8 @@
 msgid "Wide"
 msgstr ""
 
-#: hacks/config/fireflies.xml.h:45 hacks/config/fluidballs.xml.h:23
+#: hacks/config/fireflies.xml.h:45
+#: hacks/config/fluidballs.xml.h:23
 msgid "Wind"
 msgstr ""
 
@@ -3499,7 +4113,8 @@
 msgid "Wind picks up"
 msgstr ""
 
-#: hacks/config/fireworkx.xml.h:1 hacks/config/lavalite.xml.h:3
+#: hacks/config/fireworkx.xml.h:1
+#: hacks/config/lavalite.xml.h:3
 msgid "Activity"
 msgstr ""
 
@@ -3536,31 +4151,31 @@
 msgstr ""
 
 #: hacks/config/flag.xml.h:11
-msgid ""
-"This draws a waving colored flag, that undulates its way around the screen. "
-"The trick is the flag can contain arbitrary text and images. By default, it "
-"displays either the current system name and OS type, or a picture of "
-"``Bob,'' but you can replace the text or the image with a command-line "
-"option. Written by Charles Vidal and Jamie Zawinski."
+msgid "This draws a waving colored flag, that undulates its way around the screen. The trick is the flag can contain arbitrary text and images. By default, it displays either the current system name and OS type, or a picture of ``Bob,'' but you can replace the text or the image with a command-line option. Written by Charles Vidal and Jamie Zawinski."
 msgstr ""
 
-#: hacks/config/flame.xml.h:1 hacks/config/jigsaw.xml.h:1
-#: hacks/config/maze.xml.h:1 hacks/config/rotzoomer.xml.h:1
+#: hacks/config/flame.xml.h:1
+#: hacks/config/jigsaw.xml.h:1
+#: hacks/config/maze.xml.h:1
+#: hacks/config/rotzoomer.xml.h:1
 #: hacks/config/wander.xml.h:1
 msgid "0 Seconds"
-msgstr ""
+msgstr "0 Secondi"
 
-#: hacks/config/flame.xml.h:2 hacks/config/gleidescope.xml.h:1
-#: hacks/config/glslideshow.xml.h:2 hacks/config/maze.xml.h:2
+#: hacks/config/flame.xml.h:2
+#: hacks/config/gleidescope.xml.h:1
+#: hacks/config/glslideshow.xml.h:2
+#: hacks/config/maze.xml.h:2
 #: hacks/config/mirrorblob.xml.h:1
 msgid "10 Seconds"
-msgstr ""
+msgstr "10 Secondi"
 
 #: hacks/config/flame.xml.h:3
 msgid "Another iterative fractal generator. Written by Scott Draves."
 msgstr ""
 
-#: hacks/config/flame.xml.h:4 hacks/config/jigglypuff.xml.h:4
+#: hacks/config/flame.xml.h:4
+#: hacks/config/jigglypuff.xml.h:4
 msgid "Complexity"
 msgstr ""
 
@@ -3577,9 +4192,7 @@
 msgstr ""
 
 #: hacks/config/flipflop.xml.h:3
-msgid ""
-"Flipflop draws a grid of 3D colored tiles that change positions with each "
-"other. Written by Kevin Ogden."
+msgid "Flipflop draws a grid of 3D colored tiles that change positions with each other. Written by Kevin Ogden."
 msgstr ""
 
 #: hacks/config/flipflop.xml.h:6
@@ -3591,9 +4204,7 @@
 msgstr ""
 
 #: hacks/config/flipscreen3d.xml.h:3
-msgid ""
-"Grabs an image of the desktop, turns it into a GL texture map, and spins it "
-"around and deforms it in various ways. Written by Ben Buxton."
+msgid "Grabs an image of the desktop, turns it into a GL texture map, and spins it around and deforms it in various ways. Written by Ben Buxton."
 msgstr ""
 
 #: hacks/config/flow.xml.h:3
@@ -3605,9 +4216,7 @@
 msgstr ""
 
 #: hacks/config/flow.xml.h:13
-msgid ""
-"Strange attractors formed of flows in a 3D differential equation phase "
-"space. Written by Tim Auckland."
+msgid "Strange attractors formed of flows in a 3D differential equation phase space. Written by Tim Auckland."
 msgstr ""
 
 #: hacks/config/flow.xml.h:16
@@ -3650,7 +4259,8 @@
 msgid "FluidBalls"
 msgstr ""
 
-#: hacks/config/fluidballs.xml.h:8 hacks/config/twang.xml.h:4
+#: hacks/config/fluidballs.xml.h:8
+#: hacks/config/twang.xml.h:4
 msgid "Friction"
 msgstr ""
 
@@ -3659,11 +4269,7 @@
 msgstr ""
 
 #: hacks/config/fluidballs.xml.h:14
-msgid ""
-"Models the physics of bouncing balls, or of particles in a gas or fluid, "
-"depending on the settings. If \"Shake Box\" is selected, then every now and "
-"then, the box will be rotated, changing which direction is down (in order to "
-"keep the settled balls in motion.) By Peter Birtles and Jamie Zawinski."
+msgid "Models the physics of bouncing balls, or of particles in a gas or fluid, depending on the settings. If \"Shake Box\" is selected, then every now and then, the box will be rotated, changing which direction is down (in order to keep the settled balls in motion.) By Peter Birtles and Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/fluidballs.xml.h:15
@@ -3706,18 +4312,16 @@
 msgid "RGB"
 msgstr ""
 
-#: hacks/config/flurry.xml.h:8 hacks/config/fontglide.xml.h:12
-#: hacks/config/jigglypuff.xml.h:13 hacks/config/sballs.xml.h:10
+#: hacks/config/flurry.xml.h:8
+#: hacks/config/fontglide.xml.h:12
+#: hacks/config/jigglypuff.xml.h:13
+#: hacks/config/sballs.xml.h:10
 #: hacks/config/whirlygig.xml.h:12
 msgid "Random"
 msgstr ""
 
 #: hacks/config/flurry.xml.h:10
-msgid ""
-"This port of the OSX screensaver of the same name draws a colourful star"
-"(fish)like flurry of particles. xscreensaver port by Tobias Sargeant &lt;"
-"tobias.sargeant@bigpond.com&gt; Original Mac version by Calum Robinson &lt;"
-"calumr@mac.com&gt; http://homepage.mac.com/calumr"
+msgid "This port of the OSX screensaver of the same name draws a colourful star(fish)like flurry of particles. xscreensaver port by Tobias Sargeant &lt;tobias.sargeant@bigpond.com&gt; Original Mac version by Calum Robinson &lt;calumr@mac.com&gt; http://homepage.mac.com/calumr"
 msgstr ""
 
 #: hacks/config/flurry.xml.h:11
@@ -3725,10 +4329,7 @@
 msgstr ""
 
 #: hacks/config/flyingtoasters.xml.h:1
-msgid ""
-"A fleet of 3d space-age jet-powered flying toasters (and toast!) Inspired by "
-"the ancient Berkeley Systems After Dark flying toasters. By Jamie Zawinski "
-"and Baconmonkey."
+msgid "A fleet of 3d space-age jet-powered flying toasters (and toast!) Inspired by the ancient Berkeley Systems After Dark flying toasters. By Jamie Zawinski and Baconmonkey."
 msgstr ""
 
 #: hacks/config/flyingtoasters.xml.h:2
@@ -3743,9 +4344,12 @@
 msgid "Flying Toasters"
 msgstr ""
 
-#: hacks/config/flyingtoasters.xml.h:7 hacks/config/glslideshow.xml.h:17
-#: hacks/config/jigglypuff.xml.h:12 hacks/config/juggle.xml.h:5
-#: hacks/config/mirrorblob.xml.h:16 hacks/config/pipes.xml.h:10
+#: hacks/config/flyingtoasters.xml.h:7
+#: hacks/config/glslideshow.xml.h:17
+#: hacks/config/jigglypuff.xml.h:12
+#: hacks/config/juggle.xml.h:5
+#: hacks/config/mirrorblob.xml.h:16
+#: hacks/config/pipes.xml.h:10
 msgid "None"
 msgstr ""
 
@@ -3786,10 +4390,7 @@
 msgstr ""
 
 #: hacks/config/fontglide.xml.h:11
-msgid ""
-"Puts text on the screen using large characters that glide in from the edges, "
-"assemble, then disperse. Alternately, it can simply scroll whole sentences "
-"from right to left. By Jamie Zawinski."
+msgid "Puts text on the screen using large characters that glide in from the edges, assemble, then disperse. Alternately, it can simply scroll whole sentences from right to left. By Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/fontglide.xml.h:14
@@ -3800,14 +4401,13 @@
 msgid "Vapor Trails"
 msgstr ""
 
-#: hacks/config/forest.xml.h:2 hacks/config/glforestfire.xml.h:6
+#: hacks/config/forest.xml.h:2
+#: hacks/config/glforestfire.xml.h:6
 msgid "Forest"
 msgstr ""
 
 #: hacks/config/forest.xml.h:7
-msgid ""
-"This draws fractal trees. Written by Peter Baumung. Everybody loves "
-"fractals, right?"
+msgid "This draws fractal trees. Written by Peter Baumung. Everybody loves fractals, right?"
 msgstr ""
 
 #: hacks/config/fuzzyflakes.xml.h:2
@@ -3815,16 +4415,15 @@
 msgstr ""
 
 #: hacks/config/fuzzyflakes.xml.h:6
-msgid ""
-"Falling colored snowflake/flower shapes. Inspired by the credits of the "
-"anime \"Azumanga Daioh\". Written by Barry Dmytro."
+msgid "Falling colored snowflake/flower shapes. Inspired by the credits of the anime \"Azumanga Daioh\". Written by Barry Dmytro."
 msgstr ""
 
 #: hacks/config/fuzzyflakes.xml.h:9
 msgid "FuzzyFlakes"
 msgstr ""
 
-#: hacks/config/fuzzyflakes.xml.h:11 hacks/config/xspirograph.xml.h:4
+#: hacks/config/fuzzyflakes.xml.h:11
+#: hacks/config/xspirograph.xml.h:4
 msgid "Layers"
 msgstr ""
 
@@ -3841,10 +4440,7 @@
 msgstr ""
 
 #: hacks/config/galaxy.xml.h:13
-msgid ""
-"This draws spinning galaxies, which then collide and scatter their stars to "
-"the, uh, four winds or something. Originally an Amiga program by Uli "
-"Siegmund."
+msgid "This draws spinning galaxies, which then collide and scatter their stars to the, uh, four winds or something. Originally an Amiga program by Uli Siegmund."
 msgstr ""
 
 #: hacks/config/gears.xml.h:3
@@ -3855,15 +4451,13 @@
 msgid "Planetary Gear System"
 msgstr ""
 
-#: hacks/config/gears.xml.h:5 hacks/config/goop.xml.h:9
+#: hacks/config/gears.xml.h:5
+#: hacks/config/goop.xml.h:9
 msgid "Rotational Speed"
 msgstr ""
 
 #: hacks/config/gears.xml.h:9
-msgid ""
-"This draws sets of turning, interlocking gears, rotating in three "
-"dimensions. Another GL hack, by Danny Sung, Brian Paul, Ed Mackey, and Jamie "
-"Zawinski."
+msgid "This draws sets of turning, interlocking gears, rotating in three dimensions. Another GL hack, by Danny Sung, Brian Paul, Ed Mackey, and Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/gears.xml.h:10
@@ -3875,9 +4469,7 @@
 msgstr ""
 
 #: hacks/config/gflux.xml.h:5
-msgid ""
-"Draws a rippling waves on a rotating wireframe grid, using GL. Written by "
-"Josiah Pease."
+msgid "Draws a rippling waves on a rotating wireframe grid, using GL. Written by Josiah Pease."
 msgstr ""
 
 #: hacks/config/gflux.xml.h:7
@@ -3897,11 +4489,13 @@
 msgid "Screen Image"
 msgstr "Salvaschermo"
 
-#: hacks/config/gflux.xml.h:14 hacks/config/interference.xml.h:21
+#: hacks/config/gflux.xml.h:14
+#: hacks/config/interference.xml.h:21
 msgid "Wave Speed"
 msgstr ""
 
-#: hacks/config/gflux.xml.h:15 hacks/config/glmatrix.xml.h:20
+#: hacks/config/gflux.xml.h:15
+#: hacks/config/glmatrix.xml.h:20
 msgid "Waves"
 msgstr ""
 
@@ -3918,25 +4512,17 @@
 msgstr ""
 
 #: hacks/config/glblur.xml.h:18
-msgid ""
-"This program draws a box and a few line segments, and generates a radial "
-"blur outward from it. This creates flowing field effects. This is done by "
-"rendering the scene into a small texture, then repeatedly rendering "
-"increasingly-enlarged and increasingly-transparent versions of that texture "
-"onto the frame buffer. As such, it's quite graphics intensive: don't bother "
-"trying to run this if you don't have hardware-accelerated OpenGL texture "
-"support. It will hurt your machine bad."
+msgid "This program draws a box and a few line segments, and generates a radial blur outward from it. This creates flowing field effects. This is done by rendering the scene into a small texture, then repeatedly rendering increasingly-enlarged and increasingly-transparent versions of that texture onto the frame buffer. As such, it's quite graphics intensive: don't bother trying to run this if you don't have hardware-accelerated OpenGL texture support. It will hurt your machine bad."
 msgstr ""
 
-#: hacks/config/gleidescope.xml.h:2 hacks/config/glslideshow.xml.h:6
+#: hacks/config/gleidescope.xml.h:2
+#: hacks/config/glslideshow.xml.h:6
 #: hacks/config/mirrorblob.xml.h:3
 msgid "5 Minutes"
-msgstr ""
+msgstr "5 Minuti"
 
 #: hacks/config/gleidescope.xml.h:3
-msgid ""
-"An OpenGL kaleidescope that operates on your desktop image, or on image "
-"files loaded from disk. Written by andrew dean."
+msgid "An OpenGL kaleidescope that operates on your desktop image, or on image files loaded from disk. Written by andrew dean."
 msgstr ""
 
 #: hacks/config/gleidescope.xml.h:4
@@ -3944,8 +4530,9 @@
 msgstr ""
 
 #: hacks/config/gleidescope.xml.h:5
+#, fuzzy
 msgid "Image Duration"
-msgstr ""
+msgstr "Durata dell'immagine"
 
 #: hacks/config/gleidescope.xml.h:6
 msgid "Image file"
@@ -3959,8 +4546,10 @@
 msgid "Size of tube"
 msgstr ""
 
-#: hacks/config/gleidescope.xml.h:13 hacks/config/hyperball.xml.h:16
-#: hacks/config/hypercube.xml.h:16 hacks/config/zoom.xml.h:8
+#: hacks/config/gleidescope.xml.h:13
+#: hacks/config/hyperball.xml.h:16
+#: hacks/config/hypercube.xml.h:16
+#: hacks/config/zoom.xml.h:8
 msgid "Zoom"
 msgstr ""
 
@@ -3969,14 +4558,11 @@
 msgstr ""
 
 #: hacks/config/glforestfire.xml.h:3
-msgid ""
-"Draws an animation of sprinkling fire-like 3D triangles in a landscape "
-"filled with trees. Requires OpenGL, and a machine with fast hardware support "
-"for texture maps. Written by Eric Lassauge &lt;lassauge@users.sourceforge."
-"net&gt;."
+msgid "Draws an animation of sprinkling fire-like 3D triangles in a landscape filled with trees. Requires OpenGL, and a machine with fast hardware support for texture maps. Written by Eric Lassauge &lt;lassauge@users.sourceforge.net&gt;."
 msgstr ""
 
-#: hacks/config/glforestfire.xml.h:5 hacks/config/glmatrix.xml.h:9
+#: hacks/config/glforestfire.xml.h:5
+#: hacks/config/glmatrix.xml.h:9
 msgid "Fog"
 msgstr ""
 
@@ -4009,12 +4595,11 @@
 msgstr ""
 
 #: hacks/config/glknots.xml.h:5
-msgid ""
-"Generates some twisting 3d knot patterns. Spins 'em around. Written by Jamie "
-"Zawinski."
+msgid "Generates some twisting 3d knot patterns. Spins 'em around. Written by Jamie Zawinski."
 msgstr ""
 
-#: hacks/config/glknots.xml.h:7 hacks/config/lavalite.xml.h:17
+#: hacks/config/glknots.xml.h:7
+#: hacks/config/lavalite.xml.h:17
 #: hacks/config/spheremonics.xml.h:9
 msgid "Resolution"
 msgstr ""
@@ -4023,12 +4608,14 @@
 msgid "Segmented"
 msgstr ""
 
-#: hacks/config/glknots.xml.h:18 hacks/config/lavalite.xml.h:28
+#: hacks/config/glknots.xml.h:18
+#: hacks/config/lavalite.xml.h:28
 #: hacks/config/xmountains.xml.h:25
 msgid "Smooth"
 msgstr ""
 
-#: hacks/config/glmatrix.xml.h:2 hacks/config/xmatrix.xml.h:1
+#: hacks/config/glmatrix.xml.h:2
+#: hacks/config/xmatrix.xml.h:1
 msgid "Binary Encoding"
 msgstr ""
 
@@ -4045,18 +4632,15 @@
 msgstr ""
 
 #: hacks/config/glmatrix.xml.h:7
-msgid ""
-"Draws 3D dropping characters similar to what is seen in the title sequence "
-"of \"The Matrix\". See also \"xmatrix\" for a 2D rendering of the similar "
-"effect that appeared on the computer monitors actually *in* the movie. "
-"Written by Jamie Zawinski."
+msgid "Draws 3D dropping characters similar to what is seen in the title sequence of \"The Matrix\". See also \"xmatrix\" for a 2D rendering of the similar effect that appeared on the computer monitors actually *in* the movie. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/glmatrix.xml.h:10
 msgid "GLMatrix"
 msgstr ""
 
-#: hacks/config/glmatrix.xml.h:11 hacks/config/xmatrix.xml.h:7
+#: hacks/config/glmatrix.xml.h:11
+#: hacks/config/xmatrix.xml.h:7
 msgid "Genetic Encoding"
 msgstr ""
 
@@ -4068,11 +4652,13 @@
 msgid "Glyph Speed"
 msgstr ""
 
-#: hacks/config/glmatrix.xml.h:14 hacks/config/xmatrix.xml.h:8
+#: hacks/config/glmatrix.xml.h:14
+#: hacks/config/xmatrix.xml.h:8
 msgid "Hexadecimal Encoding"
 msgstr ""
 
-#: hacks/config/glmatrix.xml.h:15 hacks/config/xmatrix.xml.h:11
+#: hacks/config/glmatrix.xml.h:15
+#: hacks/config/xmatrix.xml.h:11
 msgid "Matrix Encoding"
 msgstr ""
 
@@ -4081,11 +4667,7 @@
 msgstr ""
 
 #: hacks/config/glplanet.xml.h:1
-msgid ""
-"Draws a planet bouncing around in space. Written by David Konerding. The "
-"built-in image is a map of the earth (extracted from `xearth'), but you can "
-"wrap any texture around the sphere, e.g., the planetary textures that come "
-"with `ssystem'."
+msgid "Draws a planet bouncing around in space. Written by David Konerding. The built-in image is a map of the earth (extracted from `xearth'), but you can wrap any texture around the sphere, e.g., the planetary textures that come with `ssystem'."
 msgstr ""
 
 #: hacks/config/glplanet.xml.h:3
@@ -4100,16 +4682,20 @@
 msgid "Roll"
 msgstr ""
 
-#: hacks/config/glslideshow.xml.h:4 hacks/config/rd-bomb.xml.h:5
-#: hacks/config/substrate.xml.h:4 hacks/config/xplanet.xml.h:4
+#: hacks/config/glslideshow.xml.h:4
+#: hacks/config/rd-bomb.xml.h:5
+#: hacks/config/substrate.xml.h:4
+#: hacks/config/xplanet.xml.h:4
 #, no-c-format
 msgid "100%"
 msgstr ""
 
-#: hacks/config/glslideshow.xml.h:5 hacks/config/glsnake.xml.h:2
-#: hacks/config/mirrorblob.xml.h:2 hacks/config/penrose.xml.h:2
+#: hacks/config/glslideshow.xml.h:5
+#: hacks/config/glsnake.xml.h:2
+#: hacks/config/mirrorblob.xml.h:2
+#: hacks/config/penrose.xml.h:2
 msgid "30 Seconds"
-msgstr ""
+msgstr "30 Secondi"
 
 #: hacks/config/glslideshow.xml.h:8
 #, no-c-format
@@ -4120,9 +4706,11 @@
 msgid "Always show at least this much of the image:"
 msgstr ""
 
-#: hacks/config/glslideshow.xml.h:10 hacks/config/mirrorblob.xml.h:6
+#: hacks/config/glslideshow.xml.h:10
+#: hacks/config/mirrorblob.xml.h:6
+#, fuzzy
 msgid "Crossfade Duration:"
-msgstr ""
+msgstr "Durata della dissolvenza incrociata"
 
 #: hacks/config/glslideshow.xml.h:11
 msgid "Frame Rate:"
@@ -4137,22 +4725,15 @@
 msgstr ""
 
 #: hacks/config/glslideshow.xml.h:15
-msgid ""
-"Loads a random sequence of images and smoothly scans and zooms around in "
-"each, fading from pan to pan. To tell it where to find the images to "
-"display, go to the \"Advanced\" tab on the Screensaver Preferences window. "
-"Select \"Choose Random Images\", and enter your image directory in the text "
-"field right below that. (Note: not the the \"Advanced\" button at the bottom "
-"of this window: the tab at the top of the *other* window.) This program "
-"requires a good video card capable of supporting large textures. Written by "
-"Jamie Zawinski and Mike Oliphant."
+msgid "Loads a random sequence of images and smoothly scans and zooms around in each, fading from pan to pan. To tell it where to find the images to display, go to the \"Advanced\" tab on the Screensaver Preferences window. Select \"Choose Random Images\", and enter your image directory in the text field right below that. (Note: not the the \"Advanced\" button at the bottom of this window: the tab at the top of the *other* window.) This program requires a good video card capable of supporting large textures. Written by Jamie Zawinski and Mike Oliphant."
 msgstr ""
 
 #: hacks/config/glslideshow.xml.h:18
 msgid "Pan/Zoom Duration:"
 msgstr ""
 
-#: hacks/config/glsnake.xml.h:1 hacks/config/lavalite.xml.h:1
+#: hacks/config/glsnake.xml.h:1
+#: hacks/config/lavalite.xml.h:1
 msgid "1"
 msgstr ""
 
@@ -4161,9 +4742,7 @@
 msgstr ""
 
 #: hacks/config/glsnake.xml.h:4
-msgid ""
-"Draws a simulation of the Rubik's Snake puzzle. Written by Jamie Wilkinson, "
-"Andrew Bennetts, and Peter Aylett."
+msgid "Draws a simulation of the Rubik's Snake puzzle. Written by Jamie Wilkinson, Andrew Bennetts, and Peter Aylett."
 msgstr ""
 
 #: hacks/config/glsnake.xml.h:7
@@ -4195,16 +4774,15 @@
 msgstr ""
 
 #: hacks/config/gltext.xml.h:1
-msgid ""
-"Displays a few lines of text spinning around in a solid 3D font. Written by "
-"Jamie Zawinski."
+msgid "Displays a few lines of text spinning around in a solid 3D font. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/gltext.xml.h:4
 msgid "GLText"
 msgstr ""
 
-#: hacks/config/gltext.xml.h:16 hacks/config/noseguy.xml.h:5
+#: hacks/config/gltext.xml.h:16
+#: hacks/config/noseguy.xml.h:5
 msgid "Text"
 msgstr ""
 
@@ -4213,9 +4791,7 @@
 msgstr ""
 
 #: hacks/config/goban.xml.h:2
-msgid ""
-"Replays historical games of go (aka wei-chi and baduk) on the screen. By "
-"Scott Draves. You can find it at &lt;http://www.draves.org/goban/&gt;."
+msgid "Replays historical games of go (aka wei-chi and baduk) on the screen. By Scott Draves. You can find it at &lt;http://www.draves.org/goban/&gt;."
 msgstr ""
 
 #: hacks/config/goop.xml.h:1
@@ -4247,14 +4823,7 @@
 msgstr ""
 
 #: hacks/config/goop.xml.h:14
-msgid ""
-"This draws set of animating, transparent, amoeba-like blobs. The blobs "
-"change shape as they wander around the screen, and they are translucent, so "
-"you can see the lower blobs through the higher ones, and when one passes "
-"over another, their colors merge. I got the idea for this from a cool mouse "
-"pad I have, which achieves the same kind of effect in real life by having "
-"several layers plastic with colored oil between them. Written by Jamie "
-"Zawinski."
+msgid "This draws set of animating, transparent, amoeba-like blobs. The blobs change shape as they wander around the screen, and they are translucent, so you can see the lower blobs through the higher ones, and when one passes over another, their colors merge. I got the idea for this from a cool mouse pad I have, which achieves the same kind of effect in real life by having several layers plastic with colored oil between them. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/goop.xml.h:15
@@ -4278,9 +4847,7 @@
 msgstr ""
 
 #: hacks/config/grav.xml.h:10
-msgid ""
-"This program draws a simple orbital simulation. If you turn on trails, it "
-"looks kind of like a cloud-chamber photograph. Written by Greg Bowering."
+msgid "This program draws a simple orbital simulation. If you turn on trails, it looks kind of like a cloud-chamber photograph. Written by Greg Bowering."
 msgstr ""
 
 #: hacks/config/greynetic.xml.h:2
@@ -4288,8 +4855,7 @@
 msgstr ""
 
 #: hacks/config/greynetic.xml.h:5
-msgid ""
-"This draws random colored and stippled rectangles. Written by Jamie Zawinski."
+msgid "This draws random colored and stippled rectangles. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/halftone.xml.h:1
@@ -4305,11 +4871,7 @@
 msgstr ""
 
 #: hacks/config/halftone.xml.h:4
-msgid ""
-"Draws the gravity force in each point on the screen seen through a halftone "
-"dot pattern. The gravity force is calculated from a set of moving mass "
-"points. View it from a distance for best effect. Written by Peter Jaric &lt;"
-"peter@jaric.org&gt;."
+msgid "Draws the gravity force in each point on the screen seen through a halftone dot pattern. The gravity force is calculated from a set of moving mass points. View it from a distance for best effect. Written by Peter Jaric &lt;peter@jaric.org&gt;."
 msgstr ""
 
 #: hacks/config/halftone.xml.h:5
@@ -4357,10 +4919,7 @@
 msgstr ""
 
 #: hacks/config/halo.xml.h:12
-msgid ""
-"This draws trippy psychedelic circular patterns that hurt to look at. It can "
-"also animate the control-points, but that takes a lot of CPU and bandwidth. "
-"Written by Jamie Zawinski."
+msgid "This draws trippy psychedelic circular patterns that hurt to look at. It can also animate the control-points, but that takes a lot of CPU and bandwidth. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/helix.xml.h:4
@@ -4368,9 +4927,7 @@
 msgstr ""
 
 #: hacks/config/helix.xml.h:5
-msgid ""
-"This repeatedly generates spirally string-art-ish patterns. Written by Jamie "
-"Zawinski."
+msgid "This repeatedly generates spirally string-art-ish patterns. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/hopalong.xml.h:3
@@ -4422,9 +4979,7 @@
 msgstr ""
 
 #: hacks/config/hopalong.xml.h:24
-msgid ""
-"This draws lacy fractal patterns, based on iteration in the imaginary plane, "
-"from a 1986 Scientific American article. Mostly written by Patrick Naughton."
+msgid "This draws lacy fractal patterns, based on iteration in the imaginary plane, from a 1986 Scientific American article. Mostly written by Patrick Naughton."
 msgstr ""
 
 #: hacks/config/hyperball.xml.h:4
@@ -4432,35 +4987,36 @@
 msgstr ""
 
 #: hacks/config/hyperball.xml.h:5
-msgid ""
-"Hyperball is to hypercube as dodecahedron is to cube: this displays a 2D "
-"projection of the sequence of 3D objects which are the projections of the 4D "
-"analog to the dodecahedron. Technically, it is a \"120 cell polytope.\" "
-"Written by Joe Keane. See also the \"polytopes\" hack for a more general "
-"version of this using OpenGL."
+msgid "Hyperball is to hypercube as dodecahedron is to cube: this displays a 2D projection of the sequence of 3D objects which are the projections of the 4D analog to the dodecahedron. Technically, it is a \"120 cell polytope.\" Written by Joe Keane. See also the \"polytopes\" hack for a more general version of this using OpenGL."
 msgstr ""
 
-#: hacks/config/hyperball.xml.h:10 hacks/config/hypercube.xml.h:10
+#: hacks/config/hyperball.xml.h:10
+#: hacks/config/hypercube.xml.h:10
 msgid "XW Rotation"
 msgstr ""
 
-#: hacks/config/hyperball.xml.h:11 hacks/config/hypercube.xml.h:11
+#: hacks/config/hyperball.xml.h:11
+#: hacks/config/hypercube.xml.h:11
 msgid "XY Rotation"
 msgstr ""
 
-#: hacks/config/hyperball.xml.h:12 hacks/config/hypercube.xml.h:12
+#: hacks/config/hyperball.xml.h:12
+#: hacks/config/hypercube.xml.h:12
 msgid "XZ Rotation"
 msgstr ""
 
-#: hacks/config/hyperball.xml.h:13 hacks/config/hypercube.xml.h:13
+#: hacks/config/hyperball.xml.h:13
+#: hacks/config/hypercube.xml.h:13
 msgid "YW Rotation"
 msgstr ""
 
-#: hacks/config/hyperball.xml.h:14 hacks/config/hypercube.xml.h:14
+#: hacks/config/hyperball.xml.h:14
+#: hacks/config/hypercube.xml.h:14
 msgid "YZ Rotation"
 msgstr ""
 
-#: hacks/config/hyperball.xml.h:15 hacks/config/hypercube.xml.h:15
+#: hacks/config/hyperball.xml.h:15
+#: hacks/config/hypercube.xml.h:15
 msgid "ZW Rotation"
 msgstr ""
 
@@ -4469,23 +5025,16 @@
 msgstr ""
 
 #: hacks/config/hypercube.xml.h:9
-msgid ""
-"This displays 2D projections of the sequence of 3D objects which are the "
-"projections of the 4D analog to the cube: as a square is composed of four "
-"lines, each touching two others; and a cube is composed of six squares, each "
-"touching four others; a hypercube is composed of eight cubes, each touching "
-"six others. To make it easier to visualize the rotation, it uses a different "
-"color for the edges of each face. Don't think about it too long, or your "
-"brain will melt. Written by Joe Keane, Fritz Mueller, and Jamie Zawinski. "
-"See also the \"polytopes\" hack for a more general version of this using "
-"OpenGL."
+msgid "This displays 2D projections of the sequence of 3D objects which are the projections of the 4D analog to the cube: as a square is composed of four lines, each touching two others; and a cube is composed of six squares, each touching four others; a hypercube is composed of eight cubes, each touching six others. To make it easier to visualize the rotation, it uses a different color for the edges of each face. Don't think about it too long, or your brain will melt. Written by Joe Keane, Fritz Mueller, and Jamie Zawinski. See also the \"polytopes\" hack for a more general version of this using OpenGL."
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:1 hacks/config/polytopes.xml.h:1
+#: hacks/config/hypertorus.xml.h:1
+#: hacks/config/polytopes.xml.h:1
 msgid "-4.0"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:2 hacks/config/polytopes.xml.h:5
+#: hacks/config/hypertorus.xml.h:2
+#: hacks/config/polytopes.xml.h:5
 msgid "4.0"
 msgstr ""
 
@@ -4497,23 +5046,28 @@
 msgid "Color Wheel"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:5 hacks/config/polytopes.xml.h:10
+#: hacks/config/hypertorus.xml.h:5
+#: hacks/config/polytopes.xml.h:10
 msgid "Display Speed"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:7 hacks/config/polytopes.xml.h:12
+#: hacks/config/hypertorus.xml.h:7
+#: hacks/config/polytopes.xml.h:12
 msgid "Orthographic 3d"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:8 hacks/config/polytopes.xml.h:13
+#: hacks/config/hypertorus.xml.h:8
+#: hacks/config/polytopes.xml.h:13
 msgid "Orthographic 4d"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:9 hacks/config/polytopes.xml.h:14
+#: hacks/config/hypertorus.xml.h:9
+#: hacks/config/polytopes.xml.h:14
 msgid "Perspective 3d"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:10 hacks/config/polytopes.xml.h:15
+#: hacks/config/hypertorus.xml.h:10
+#: hacks/config/polytopes.xml.h:15
 msgid "Perspective 4d"
 msgstr ""
 
@@ -4525,20 +5079,19 @@
 msgid "Solid Object"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:15 hacks/config/mirrorblob.xml.h:20
-#: hacks/config/polytopes.xml.h:21 hacks/config/pulsar.xml.h:16
+#: hacks/config/hypertorus.xml.h:15
+#: hacks/config/mirrorblob.xml.h:20
+#: hacks/config/polytopes.xml.h:21
+#: hacks/config/pulsar.xml.h:16
 msgid "Solid Surface"
 msgstr ""
 
 #: hacks/config/hypertorus.xml.h:16
-msgid ""
-"This program shows a rotating Clifford Torus: a torus lying on the \"surface"
-"\" of a 4D hypersphere. Written by Carsten Steger, inspired by Thomas "
-"Banchoff's book \"Beyond the Third Dimension: Geometry, Computer Graphics, "
-"and Higher Dimensions\", Scientific American Library, 1990."
+msgid "This program shows a rotating Clifford Torus: a torus lying on the \"surface\" of a 4D hypersphere. Written by Carsten Steger, inspired by Thomas Banchoff's book \"Beyond the Third Dimension: Geometry, Computer Graphics, and Higher Dimensions\", Scientific American Library, 1990."
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:17 hacks/config/polytopes.xml.h:23
+#: hacks/config/hypertorus.xml.h:17
+#: hacks/config/polytopes.xml.h:23
 msgid "Transparent Surface"
 msgstr ""
 
@@ -4546,31 +5099,38 @@
 msgid "Two-Sided"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:19 hacks/config/polytopes.xml.h:24
+#: hacks/config/hypertorus.xml.h:19
+#: hacks/config/polytopes.xml.h:24
 msgid "WX Rotation Speed"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:20 hacks/config/polytopes.xml.h:25
+#: hacks/config/hypertorus.xml.h:20
+#: hacks/config/polytopes.xml.h:25
 msgid "WY Rotation Speed"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:21 hacks/config/polytopes.xml.h:26
+#: hacks/config/hypertorus.xml.h:21
+#: hacks/config/polytopes.xml.h:26
 msgid "WZ Rotation Speed"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:22 hacks/config/polytopes.xml.h:27
+#: hacks/config/hypertorus.xml.h:22
+#: hacks/config/polytopes.xml.h:27
 msgid "Wireframe Mesh"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:23 hacks/config/polytopes.xml.h:28
+#: hacks/config/hypertorus.xml.h:23
+#: hacks/config/polytopes.xml.h:28
 msgid "XY Rotation Speed"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:24 hacks/config/polytopes.xml.h:29
+#: hacks/config/hypertorus.xml.h:24
+#: hacks/config/polytopes.xml.h:29
 msgid "XZ Rotation Speed"
 msgstr ""
 
-#: hacks/config/hypertorus.xml.h:25 hacks/config/polytopes.xml.h:30
+#: hacks/config/hypertorus.xml.h:25
+#: hacks/config/polytopes.xml.h:30
 msgid "YZ Rotation Speed"
 msgstr ""
 
@@ -4579,9 +5139,7 @@
 msgstr ""
 
 #: hacks/config/ifs.xml.h:7
-msgid ""
-"This one draws spinning, colliding iterated-function-system images. Written "
-"by Massimino Pascal."
+msgid "This one draws spinning, colliding iterated-function-system images. Written by Massimino Pascal."
 msgstr ""
 
 #: hacks/config/imsmap.xml.h:3
@@ -4601,17 +5159,7 @@
 msgstr ""
 
 #: hacks/config/imsmap.xml.h:14
-msgid ""
-"This generates random cloud-like patterns. It looks quite different in "
-"monochrome and color. The basic idea is to take four points on the edge of "
-"the image, and assign each a random ``elevation''. Then find the point "
-"between them, and give it a value which is the average of the other four, "
-"plus some small random offset. Then coloration is done based on elevation. "
-"The color selection is done by binding the elevation to either hue, "
-"saturation, or brightness, and assigning random values to the others. The "
-"``brightness'' mode tends to yield cloudlike patterns, and the others tend "
-"to generate images that look like heat-maps or CAT-scans. Written by Juergen "
-"Nickelsen and Jamie Zawinski."
+msgid "This generates random cloud-like patterns. It looks quite different in monochrome and color. The basic idea is to take four points on the edge of the image, and assign each a random ``elevation''. Then find the point between them, and give it a value which is the average of the other four, plus some small random offset. Then coloration is done based on elevation. The color selection is done by binding the elevation to either hue, saturation, or brightness, and assigning random values to the others. The ``brightness'' mode tends to yield cloudlike patterns, and the others tend to generate images that look like heat-maps or CAT-scans. Written by Juergen Nickelsen and Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/interference.xml.h:1
@@ -4627,10 +5175,7 @@
 msgstr ""
 
 #: hacks/config/interference.xml.h:4
-msgid ""
-"Another color-field hack, this one works by computing decaying sinusoidal "
-"waves, and allowing them to interfere with each other as their origins move. "
-"Written by Hannu Mallat."
+msgid "Another color-field hack, this one works by computing decaying sinusoidal waves, and allowing them to interfere with each other as their origins move. Written by Hannu Mallat."
 msgstr ""
 
 #: hacks/config/interference.xml.h:9
@@ -4641,8 +5186,10 @@
 msgid "Interference"
 msgstr ""
 
-#: hacks/config/interference.xml.h:13 hacks/config/t3d.xml.h:9
-#: hacks/config/xearth.xml.h:11 hacks/config/zoom.xml.h:5
+#: hacks/config/interference.xml.h:13
+#: hacks/config/t3d.xml.h:9
+#: hacks/config/xearth.xml.h:11
+#: hacks/config/zoom.xml.h:5
 msgid "Magnification"
 msgstr ""
 
@@ -4663,15 +5210,7 @@
 msgstr ""
 
 #: hacks/config/intermomentary.xml.h:6
-msgid ""
-"The Intersection Momentary is a fun visualization defining the relationships "
-"between objects with Casey Reas, William Ngan, and Robert Hodgin. "
-"Commissioned for display at the Whitney Museum of American Art. A surface "
-"filled with 100 medium to small sized circles. Each circle has a different "
-"size and direction, but moves at the same slow rate. Display: A. The "
-"instantaneous intersections of the circles. B. The aggregate intersections "
-"of the circles. Ported to XScreensaver from the art project \"InterMomentary"
-"\" at http://www.complexification.net"
+msgid "The Intersection Momentary is a fun visualization defining the relationships between objects with Casey Reas, William Ngan, and Robert Hodgin. Commissioned for display at the Whitney Museum of American Art. A surface filled with 100 medium to small sized circles. Each circle has a different size and direction, but moves at the same slow rate. Display: A. The instantaneous intersections of the circles. B. The aggregate intersections of the circles. Ported to XScreensaver from the art project \"InterMomentary\" at http://www.complexification.net"
 msgstr ""
 
 #: hacks/config/jigglypuff.xml.h:2
@@ -4702,7 +5241,8 @@
 msgid "Rotation speed"
 msgstr ""
 
-#: hacks/config/jigglypuff.xml.h:17 hacks/config/sphere.xml.h:7
+#: hacks/config/jigglypuff.xml.h:17
+#: hacks/config/sphere.xml.h:7
 msgid "Sphere"
 msgstr ""
 
@@ -4718,25 +5258,14 @@
 msgid "Spoooooky"
 msgstr ""
 
-#: hacks/config/jigglypuff.xml.h:21 hacks/config/polyhedra.xml.h:155
+#: hacks/config/jigglypuff.xml.h:21
+#: hacks/config/polyhedra.xml.h:155
 #: hacks/config/sballs.xml.h:16
 msgid "Tetrahedron"
 msgstr ""
 
 #: hacks/config/jigglypuff.xml.h:22
-msgid ""
-"This little gem does bad things with quasi-spherical objects. The gist of it "
-"is that you have what is, structurally, a tetrahedron with tesselated faces. "
-"the vertices on these faces have forces on them in the form of one "
-"proportional to their distance from the surface of a sphere, and one which "
-"is proportional to how far they differ from some ideal distance from their "
-"neighbors. They also have inertia. The forces and distance are parameters "
-"and there are also a couple of visual parameters. The resulting effect can "
-"range from a shape that does nothing, to a frenetic polygon storm. Somewhere "
-"in between there it usually manifests as a blob that jiggles in a kind of "
-"disturbing manner. woo. It doesn't matter, however. You should just pick "
-"'random'. It overrides all the other options, except for fps, delay and "
-"complexity. By Keith Macleod"
+msgid "This little gem does bad things with quasi-spherical objects. The gist of it is that you have what is, structurally, a tetrahedron with tesselated faces. the vertices on these faces have forces on them in the form of one proportional to their distance from the surface of a sphere, and one which is proportional to how far they differ from some ideal distance from their neighbors. They also have inertia. The forces and distance are parameters and there are also a couple of visual parameters. The resulting effect can range from a shape that does nothing, to a frenetic polygon storm. Somewhere in between there it usually manifests as a blob that jiggles in a kind of disturbing manner. woo. It doesn't matter, however. You should just pick 'random'. It overrides all the other options, except for fps, delay and complexity. By Keith Macleod"
 msgstr ""
 
 #: hacks/config/jigglypuff.xml.h:23
@@ -4772,13 +5301,7 @@
 msgstr ""
 
 #: hacks/config/jigsaw.xml.h:8
-msgid ""
-"This grabs a screen image, carves it up into a jigsaw puzzle, shuffles it, "
-"and then solves the puzzle. This works especially well when you feed it an "
-"external video signal instead of letting it grab the screen image (actually, "
-"I guess this is generally true...) When it is grabbing a video image, it is "
-"sometimes pretty hard to guess what the image is going to look like once the "
-"puzzle is solved. Written by Jamie Zawinski."
+msgid "This grabs a screen image, carves it up into a jigsaw puzzle, shuffles it, and then solves the puzzle. This works especially well when you feed it an external video signal instead of letting it grab the screen image (actually, I guess this is generally true...) When it is grabbing a video image, it is sometimes pretty hard to guess what the image is going to look like once the puzzle is solved. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/juggle.xml.h:1
@@ -4825,7 +5348,8 @@
 msgid "turn on/off pattern descriptions."
 msgstr ""
 
-#: hacks/config/julia.xml.h:3 hacks/config/rorschach.xml.h:4
+#: hacks/config/julia.xml.h:3
+#: hacks/config/rorschach.xml.h:4
 msgid "Iterations"
 msgstr ""
 
@@ -4834,28 +5358,19 @@
 msgstr ""
 
 #: hacks/config/julia.xml.h:11
-msgid ""
-"This one draws spinning, animating (are you detecting a pattern here yet?) "
-"explorations of the Julia set. You've probably seen static images of this "
-"fractal form before, but it's a lot of fun to watch in motion as well. One "
-"interesting thing is that there is a small swinging dot passing in front of "
-"the image, which indicates the control point from which the rest of the "
-"image was generated. Written by Sean McCullough."
+msgid "This one draws spinning, animating (are you detecting a pattern here yet?) explorations of the Julia set. You've probably seen static images of this fractal form before, but it's a lot of fun to watch in motion as well. One interesting thing is that there is a small swinging dot passing in front of the image, which indicates the control point from which the rest of the image was generated. Written by Sean McCullough."
 msgstr ""
 
 #: hacks/config/kaleidescope.xml.h:1
-msgid ""
-"Another clone of an ancient meme, consisting largely of frenetic rotational "
-"motion of colored lines. This one is by Ron Tapia. The motion is nice, but I "
-"think it needs more solids, or perhaps just brighter colors. More variations "
-"in the rotational speed might help, too."
+msgid "Another clone of an ancient meme, consisting largely of frenetic rotational motion of colored lines. This one is by Ron Tapia. The motion is nice, but I think it needs more solids, or perhaps just brighter colors. More variations in the rotational speed might help, too."
 msgstr ""
 
 #: hacks/config/kaleidescope.xml.h:4
 msgid "Kaleidescope"
 msgstr ""
 
-#: hacks/config/kaleidescope.xml.h:6 hacks/config/qix.xml.h:18
+#: hacks/config/kaleidescope.xml.h:6
+#: hacks/config/qix.xml.h:18
 msgid "Segments"
 msgstr ""
 
@@ -4872,9 +5387,7 @@
 msgstr ""
 
 #: hacks/config/klein.xml.h:10
-msgid ""
-"This draws a visualization of a Klein bottle or some other interesting "
-"parametric surfaces. Written by Andrey Mirtchovski."
+msgid "This draws a visualization of a Klein bottle or some other interesting parametric surfaces. Written by Andrey Mirtchovski."
 msgstr ""
 
 #: hacks/config/klein.xml.h:11
@@ -4894,16 +5407,11 @@
 msgstr ""
 
 #: hacks/config/kumppa.xml.h:10
-msgid ""
-"Spiraling, spinning, and very, very fast splashes of color rush toward the "
-"screen. Written by Teemu Suutari."
+msgid "Spiraling, spinning, and very, very fast splashes of color rush toward the screen. Written by Teemu Suutari."
 msgstr ""
 
 #: hacks/config/lament.xml.h:1
-msgid ""
-"Animates a simulation of Lemarchand's Box, repeatedly solving itself. "
-"Requires OpenGL, and a machine with fast hardware support for texture maps. "
-"Warning: occasionally opens doors. Written by Jamie Zawinski."
+msgid "Animates a simulation of Lemarchand's Box, repeatedly solving itself. Requires OpenGL, and a machine with fast hardware support for texture maps. Warning: occasionally opens doors. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/lament.xml.h:3
@@ -4915,12 +5423,11 @@
 msgstr ""
 
 #: hacks/config/laser.xml.h:7
-msgid ""
-"Moving radiating lines, that look vaguely like scanning laser beams. Written "
-"by Pascal Pensa. (Frankie say: relax.)"
+msgid "Moving radiating lines, that look vaguely like scanning laser beams. Written by Pascal Pensa. (Frankie say: relax.)"
 msgstr ""
 
-#: hacks/config/lavalite.xml.h:2 hacks/config/xmountains.xml.h:2
+#: hacks/config/lavalite.xml.h:2
+#: hacks/config/xmountains.xml.h:2
 msgid "10"
 msgstr ""
 
@@ -4933,15 +5440,7 @@
 msgstr ""
 
 #: hacks/config/lavalite.xml.h:8
-msgid ""
-"Draws a 3D Simulation a Lava Lite(r): odd-shaped blobs of a mysterious "
-"substance are heated, slowly rise to the top of the bottle, and then drop "
-"back down as they cool. This program requires OpenGL and a fairly fast "
-"machine (both CPU and 3D performance.) Written by Jamie Zawinski. \"LAVA LITE"
-"(r) and the configuration of the LAVA(r) brand motion lamp are registered "
-"trademarks of Haggerty Enterprises, Inc. The configuration of the globe and "
-"base of the motion lamp are registered trademarks of Haggerty Enterprises, "
-"Inc. in the U.S.A. and in other countries around the world.\""
+msgid "Draws a 3D Simulation a Lava Lite(r): odd-shaped blobs of a mysterious substance are heated, slowly rise to the top of the bottle, and then drop back down as they cool. This program requires OpenGL and a fairly fast machine (both CPU and 3D performance.) Written by Jamie Zawinski. \"LAVA LITE(r) and the configuration of the LAVA(r) brand motion lamp are registered trademarks of Haggerty Enterprises, Inc. The configuration of the globe and base of the motion lamp are registered trademarks of Haggerty Enterprises, Inc. in the U.S.A. and in other countries around the world.\""
 msgstr ""
 
 #: hacks/config/lavalite.xml.h:9
@@ -4973,9 +5472,7 @@
 msgstr ""
 
 #: hacks/config/lightning.xml.h:7
-msgid ""
-"This one draws crackling fractal lightning bolts. It's simple, direct, and "
-"to the point. If only it had sound... Written by Keith Romberg."
+msgid "This one draws crackling fractal lightning bolts. It's simple, direct, and to the point. If only it had sound... Written by Keith Romberg."
 msgstr ""
 
 #: hacks/config/lisa.xml.h:4
@@ -4987,16 +5484,11 @@
 msgstr ""
 
 #: hacks/config/lisa.xml.h:11
-msgid ""
-"This draws Lisajous loops, by Caleb Cullen. Remember that device they had "
-"the Phantom Zone prisoners in during their trial in Superman? I think that "
-"was one of these."
+msgid "This draws Lisajous loops, by Caleb Cullen. Remember that device they had the Phantom Zone prisoners in during their trial in Superman? I think that was one of these."
 msgstr ""
 
 #: hacks/config/lissie.xml.h:1
-msgid ""
-"Another Lissajous figure. This one draws the progress of circular shapes "
-"along a path. Written by Alexander Jolk."
+msgid "Another Lissajous figure. This one draws the progress of circular shapes along a path. Written by Alexander Jolk."
 msgstr ""
 
 #: hacks/config/lissie.xml.h:5
@@ -5036,9 +5528,7 @@
 msgstr ""
 
 #: hacks/config/lmorph.xml.h:15
-msgid ""
-"This generates random spline-ish line drawings and morphs between them. "
-"Written by Sverre H. Huseby and Glenn T. Lines."
+msgid "This generates random spline-ish line drawings and morphs between them. Written by Sverre H. Huseby and Glenn T. Lines."
 msgstr ""
 
 #: hacks/config/loop.xml.h:3
@@ -5046,16 +5536,15 @@
 msgstr ""
 
 #: hacks/config/loop.xml.h:10
-msgid ""
-"This one produces loop-shaped colonies that spawn, age, and eventually die. "
-"Written by David Bagley."
+msgid "This one produces loop-shaped colonies that spawn, age, and eventually die. Written by David Bagley."
 msgstr ""
 
 #: hacks/config/maze.xml.h:3
 msgid "Backtracking Generator"
 msgstr ""
 
-#: hacks/config/maze.xml.h:5 hacks/config/slidescreen.xml.h:3
+#: hacks/config/maze.xml.h:5
+#: hacks/config/slidescreen.xml.h:3
 msgid "Grid Size"
 msgstr ""
 
@@ -5096,10 +5585,7 @@
 msgstr ""
 
 #: hacks/config/maze.xml.h:16
-msgid ""
-"This is the ancient X maze demo, modified to work with xscreensaver. It "
-"generates a random maze, then solves it with visual feedback. Originally by "
-"Jim Randell; modified by a cast of thousands."
+msgid "This is the ancient X maze demo, modified to work with xscreensaver. It generates a random maze, then solves it with visual feedback. Originally by Jim Randell; modified by a cast of thousands."
 msgstr ""
 
 #: hacks/config/memscroller.xml.h:1
@@ -5123,9 +5609,7 @@
 msgstr ""
 
 #: hacks/config/memscroller.xml.h:9
-msgid ""
-"This draws a dump of its own process memory scrolling across the screen in "
-"three windows at three different rates. Written by Jamie Zawinski."
+msgid "This draws a dump of its own process memory scrolling across the screen in three windows at three different rates. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/menger.xml.h:6
@@ -5133,10 +5617,7 @@
 msgstr ""
 
 #: hacks/config/menger.xml.h:19
-msgid ""
-"This draws the three-dimensional variant of the recursive Menger Gasket, a "
-"cube-based fractal object analagous to the Sierpinski Tetrahedron. Written "
-"by Jamie Zawinski."
+msgid "This draws the three-dimensional variant of the recursive Menger Gasket, a cube-based fractal object analagous to the Sierpinski Tetrahedron. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/metaballs.xml.h:1
@@ -5144,9 +5625,7 @@
 msgstr ""
 
 #: hacks/config/metaballs.xml.h:2
-msgid ""
-"Draws two dimensional metaballs: overlapping and merging balls with fuzzy "
-"edges. By W.P. van Paassen."
+msgid "Draws two dimensional metaballs: overlapping and merging balls with fuzzy edges. By W.P. van Paassen."
 msgstr ""
 
 #: hacks/config/metaballs.xml.h:7
@@ -5169,14 +5648,13 @@
 msgid "Blobby"
 msgstr ""
 
-#: hacks/config/mirrorblob.xml.h:5 hacks/config/nerverot.xml.h:2
+#: hacks/config/mirrorblob.xml.h:5
+#: hacks/config/nerverot.xml.h:2
 msgid "Calm"
 msgstr ""
 
 #: hacks/config/mirrorblob.xml.h:7
-msgid ""
-"Draws a wobbly blob that distorts the image behind it. Requires OpenGL "
-"hardware acceleration for nice animation. Written by Jon Dowdall."
+msgid "Draws a wobbly blob that distorts the image behind it. Requires OpenGL hardware acceleration for nice animation. Written by Jon Dowdall."
 msgstr ""
 
 #: hacks/config/mirrorblob.xml.h:8
@@ -5228,9 +5706,7 @@
 msgstr ""
 
 #: hacks/config/mismunch.xml.h:6
-msgid ""
-"Munching errors! This is a creatively broken misimplementation of the "
-"classic munching squares graphics hack. Written by Steven Hazel."
+msgid "Munching errors! This is a creatively broken misimplementation of the classic munching squares graphics hack. Written by Steven Hazel."
 msgstr ""
 
 #: hacks/config/mismunch.xml.h:7
@@ -5241,15 +5717,14 @@
 msgid "Simultaneous Squares"
 msgstr ""
 
-#: hacks/config/mismunch.xml.h:13 hacks/config/munch.xml.h:10
+#: hacks/config/mismunch.xml.h:13
+#: hacks/config/munch.xml.h:10
 #: hacks/config/qix.xml.h:26
 msgid "XOR"
 msgstr ""
 
 #: hacks/config/moebius.xml.h:1
-msgid ""
-"Another M. C. Escher hack by Marcelo Vianna, this one draws ``Moebius Strip "
-"II,'' a GL image of ants walking along the surface of a moebius strip."
+msgid "Another M. C. Escher hack by Marcelo Vianna, this one draws ``Moebius Strip II,'' a GL image of ants walking along the surface of a moebius strip."
 msgstr ""
 
 #: hacks/config/moebius.xml.h:2
@@ -5268,17 +5743,13 @@
 msgid "Solid Floor"
 msgstr ""
 
-#: hacks/config/moebius.xml.h:9 hacks/config/qix.xml.h:20
+#: hacks/config/moebius.xml.h:9
+#: hacks/config/qix.xml.h:20
 msgid "Solid Objects"
 msgstr ""
 
 #: hacks/config/moire2.xml.h:1
-msgid ""
-"Another example of the fun you can have with moire interference patterns; "
-"this hack generates fields of concentric circles or ovals, and combines the "
-"planes with various operations. The planes are moving independently of one "
-"another, causing the interference lines to ``spray.'' Written by Jamie "
-"Zawinski."
+msgid "Another example of the fun you can have with moire interference patterns; this hack generates fields of concentric circles or ovals, and combines the planes with various operations. The planes are moving independently of one another, causing the interference lines to ``spray.'' Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/moire2.xml.h:4
@@ -5289,19 +5760,13 @@
 msgid "Moire"
 msgstr ""
 
-#: hacks/config/moire.xml.h:8 hacks/config/rorschach.xml.h:6
+#: hacks/config/moire.xml.h:8
+#: hacks/config/rorschach.xml.h:6
 msgid "Offset"
 msgstr ""
 
 #: hacks/config/moire.xml.h:10
-msgid ""
-"This one draws cool circular interference patterns. Most of the circles you "
-"see aren't explicitly rendered, but show up as a result of interactions "
-"between the other pixels that were drawn. Written by Jamie Zawinski, "
-"inspired by Java code by Michael Bayne. As he pointed out, the beauty of "
-"this one is that the heart of the display algorithm can be expressed with "
-"just a pair of loops and a handful of arithmetic, giving it a high ``display "
-"hack metric''."
+msgid "This one draws cool circular interference patterns. Most of the circles you see aren't explicitly rendered, but show up as a result of interactions between the other pixels that were drawn. Written by Jamie Zawinski, inspired by Java code by Michael Bayne. As he pointed out, the beauty of this one is that the heart of the display algorithm can be expressed with just a pair of loops and a handful of arithmetic, giving it a high ``display hack metric''."
 msgstr ""
 
 #: hacks/config/molecule.xml.h:3
@@ -5316,15 +5781,13 @@
 msgid "Draw Atoms"
 msgstr ""
 
-#: hacks/config/molecule.xml.h:7 hacks/config/spheremonics.xml.h:2
+#: hacks/config/molecule.xml.h:7
+#: hacks/config/spheremonics.xml.h:2
 msgid "Draw Bounding Box"
 msgstr ""
 
 #: hacks/config/molecule.xml.h:8
-msgid ""
-"Draws several different representations of molecules. Some common molecules "
-"are built in, and it can also read PDB (Protein Data Base) files as input. "
-"Written by Jamie Zawinski."
+msgid "Draws several different representations of molecules. Some common molecules are built in, and it can also read PDB (Protein Data Base) files as input. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/molecule.xml.h:11
@@ -5340,9 +5803,7 @@
 msgstr ""
 
 #: hacks/config/morph3d.xml.h:1
-msgid ""
-"Another 3d shape-changing GL hack, by Marcelo Vianna. It has the same shiny-"
-"plastic feel as Superquadrics, as many computer-generated objects do..."
+msgid "Another 3d shape-changing GL hack, by Marcelo Vianna. It has the same shiny-plastic feel as Superquadrics, as many computer-generated objects do..."
 msgstr ""
 
 #: hacks/config/morph3d.xml.h:4
@@ -5350,9 +5811,7 @@
 msgstr ""
 
 #: hacks/config/mountain.xml.h:3
-msgid ""
-"Generates random 3d plots that look vaguely mountainous. Written by Pascal "
-"Pensa."
+msgid "Generates random 3d plots that look vaguely mountainous. Written by Pascal Pensa."
 msgstr ""
 
 #: hacks/config/mountain.xml.h:5
@@ -5360,11 +5819,7 @@
 msgstr ""
 
 #: hacks/config/munch.xml.h:1
-msgid ""
-"DATAI 2 ADDB 1,2 ROTC 2,-22 XOR 1,2 JRST .-4 As reported by HAKMEM, in 1962, "
-"Jackson Wright wrote the above PDP-1 code. That code still lives on in this "
-"screenhack, some 35 years later. The number of lines of enclosing code has "
-"increased substantially, however. This version is by Tim Showalter."
+msgid "DATAI 2 ADDB 1,2 ROTC 2,-22 XOR 1,2 JRST .-4 As reported by HAKMEM, in 1962, Jackson Wright wrote the above PDP-1 code. That code still lives on in this screenhack, some 35 years later. The number of lines of enclosing code has increased substantially, however. This version is by Tim Showalter."
 msgstr ""
 
 #: hacks/config/munch.xml.h:5
@@ -5388,9 +5843,7 @@
 msgstr ""
 
 #: hacks/config/nerverot.xml.h:7
-msgid ""
-"Draws different shapes composed of nervously vibrating squiggles, as if seen "
-"through a camera operated by a monkey on crack. By Dan Bornstein."
+msgid "Draws different shapes composed of nervously vibrating squiggles, as if seen through a camera operated by a monkey on crack. By Dan Bornstein."
 msgstr ""
 
 #: hacks/config/nerverot.xml.h:10
@@ -5405,7 +5858,8 @@
 msgid "Nervousness"
 msgstr ""
 
-#: hacks/config/nerverot.xml.h:18 hacks/config/pyro.xml.h:12
+#: hacks/config/nerverot.xml.h:18
+#: hacks/config/pyro.xml.h:12
 msgid "Seldom"
 msgstr ""
 
@@ -5422,11 +5876,7 @@
 msgstr ""
 
 #: hacks/config/noseguy.xml.h:1
-msgid ""
-"A little man with a big nose wanders around your screen saying things. The "
-"things which he says can come from a file, or from an external program like "
-"`zippy' or `fortune'. This was extracted from `xnlock' by Dan Heller. "
-"Colorized by Jamie Zawinski."
+msgid "A little man with a big nose wanders around your screen saying things. The things which he says can come from a file, or from an external program like `zippy' or `fortune'. This was extracted from `xnlock' by Dan Heller. Colorized by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/noseguy.xml.h:2
@@ -5458,9 +5908,7 @@
 msgstr ""
 
 #: hacks/config/pacman.xml.h:4
-msgid ""
-"Simulates a game of Pac-Man on a randomly-created level. Written by Edwin de "
-"Jong."
+msgid "Simulates a game of Pac-Man on a randomly-created level. Written by Edwin de Jong."
 msgstr ""
 
 #: hacks/config/pedal.xml.h:7
@@ -5468,11 +5916,7 @@
 msgstr ""
 
 #: hacks/config/pedal.xml.h:8
-msgid ""
-"This is sort of a combination spirograph/string-art. It generates a large, "
-"complex polygon, and lets the X server do the bulk of the work by giving it "
-"an even/odd winding rule. Written by Dale Moore, based on some ancient PDP-"
-"11 code."
+msgid "This is sort of a combination spirograph/string-art. It generates a large, complex polygon, and lets the X server do the bulk of the work by giving it an even/odd winding rule. Written by Dale Moore, based on some ancient PDP-11 code."
 msgstr ""
 
 #: hacks/config/penetrate.xml.h:1
@@ -5492,9 +5936,7 @@
 msgstr ""
 
 #: hacks/config/penetrate.xml.h:8
-msgid ""
-"This hack simulates the classic arcade game Missile Command. Written by Adam "
-"Miller."
+msgid "This hack simulates the classic arcade game Missile Command. Written by Adam Miller."
 msgstr ""
 
 #: hacks/config/penrose.xml.h:3
@@ -5502,18 +5944,7 @@
 msgstr ""
 
 #: hacks/config/penrose.xml.h:4
-msgid ""
-"Draws quasiperiodic tilings; think of the implications on modern formica "
-"technology. Written by Timo Korvola. In April 1997, Sir Roger Penrose, a "
-"British math professor who has worked with Stephen Hawking on such topics as "
-"relativity, black holes, and whether time has a beginning, filed a copyright-"
-"infringement lawsuit against the Kimberly-Clark Corporation, which Penrose "
-"said copied a pattern he created (a pattern demonstrating that ``a "
-"nonrepeating pattern could exist in nature'') for its Kleenex quilted toilet "
-"paper. Penrose said he doesn't like litigation but, ``When it comes to the "
-"population of Great Britain being invited by a multinational to wipe their "
-"bottoms on what appears to be the work of a Knight of the Realm, then a last "
-"stand must be taken.'' As reported by News of the Weird #491, 4-jul-1997."
+msgid "Draws quasiperiodic tilings; think of the implications on modern formica technology. Written by Timo Korvola. In April 1997, Sir Roger Penrose, a British math professor who has worked with Stephen Hawking on such topics as relativity, black holes, and whether time has a beginning, filed a copyright-infringement lawsuit against the Kimberly-Clark Corporation, which Penrose said copied a pattern he created (a pattern demonstrating that ``a nonrepeating pattern could exist in nature'') for its Kleenex quilted toilet paper. Penrose said he doesn't like litigation but, ``When it comes to the population of Great Britain being invited by a multinational to wipe their bottoms on what appears to be the work of a Knight of the Realm, then a last stand must be taken.'' As reported by News of the Weird #491, 4-jul-1997."
 msgstr ""
 
 #: hacks/config/penrose.xml.h:9
@@ -5585,17 +6016,11 @@
 msgstr ""
 
 #: hacks/config/petri.xml.h:27
-msgid ""
-"This simulates colonies of mold growing in a petri dish. Growing colored "
-"circles overlap and leave spiral interference in their wake. Written by Dan "
-"Bornstein."
+msgid "This simulates colonies of mold growing in a petri dish. Growing colored circles overlap and leave spiral interference in their wake. Written by Dan Bornstein."
 msgstr ""
 
 #: hacks/config/phosphor.xml.h:1
-msgid ""
-"Draws a simulation of an old terminal, with large pixels and long-sustain "
-"phosphor. It can run any program as a source of the text it displays. "
-"Written by Jamie Zawinski."
+msgid "Draws a simulation of an old terminal, with large pixels and long-sustain phosphor. It can run any program as a source of the text it displays. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/phosphor.xml.h:2
@@ -5631,9 +6056,7 @@
 msgstr ""
 
 #: hacks/config/piecewise.xml.h:12
-msgid ""
-"This draws a bunch of moving circles which switch from visibility to "
-"invisibility at intersection points. Written by Geoffrey Irving."
+msgid "This draws a bunch of moving circles which switch from visibility to invisibility at intersection points. Written by Geoffrey Irving."
 msgstr ""
 
 #: hacks/config/pinion.xml.h:1
@@ -5645,9 +6068,7 @@
 msgstr ""
 
 #: hacks/config/pinion.xml.h:4
-msgid ""
-"Draws an interconnected set of gears moving across the screen. Written by "
-"Jamie Zawinski."
+msgid "Draws an interconnected set of gears moving across the screen. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/pinion.xml.h:6
@@ -5687,12 +6108,11 @@
 msgstr ""
 
 #: hacks/config/pipes.xml.h:8
-msgid ""
-"If you've ever been in the same room with a Windows NT machine, you've "
-"probably seen this GL hack. This version is by Marcelo Vianna."
+msgid "If you've ever been in the same room with a Windows NT machine, you've probably seen this GL hack. This version is by Marcelo Vianna."
 msgstr ""
 
-#: hacks/config/pipes.xml.h:9 hacks/config/substrate.xml.h:12
+#: hacks/config/pipes.xml.h:9
+#: hacks/config/substrate.xml.h:12
 #: hacks/config/wormhole.xml.h:4
 msgid "Lots"
 msgstr ""
@@ -5715,9 +6135,10 @@
 
 #: hacks/config/polyhedra.xml.h:2
 msgid "30 seconds"
-msgstr ""
+msgstr "30 secondi"
 
-#: hacks/config/polyhedra.xml.h:4 hacks/config/sballs.xml.h:1
+#: hacks/config/polyhedra.xml.h:4
+#: hacks/config/sballs.xml.h:1
 msgid "Cube"
 msgstr ""
 
@@ -5754,18 +6175,15 @@
 msgstr ""
 
 #: hacks/config/polyhedra.xml.h:13
-msgid ""
-"Displays different 3D solids and some information about each. A new solid is "
-"chosen every few seconds. There are 75 uniform polyhedra, plus 5 inifite "
-"sets of prisms and antiprisms; including their duals brings the total to "
-"160. Written by Dr. Zvi Har'El and Jamie Zawinski."
+msgid "Displays different 3D solids and some information about each. A new solid is chosen every few seconds. There are 75 uniform polyhedra, plus 5 inifite sets of prisms and antiprisms; including their duals brings the total to 160. Written by Dr. Zvi Har'El and Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/polyhedra.xml.h:14
 msgid "Ditrigonal Dodecadodecahedron"
 msgstr ""
 
-#: hacks/config/polyhedra.xml.h:15 hacks/config/sballs.xml.h:2
+#: hacks/config/polyhedra.xml.h:15
+#: hacks/config/sballs.xml.h:2
 msgid "Dodecahedron"
 msgstr ""
 
@@ -5981,7 +6399,8 @@
 msgid "Hexahemioctacron"
 msgstr ""
 
-#: hacks/config/polyhedra.xml.h:72 hacks/config/sballs.xml.h:5
+#: hacks/config/polyhedra.xml.h:72
+#: hacks/config/sballs.xml.h:5
 msgid "Icosahedron"
 msgstr ""
 
@@ -6033,7 +6452,8 @@
 msgid "Medial Triambic Icosahedron"
 msgstr ""
 
-#: hacks/config/polyhedra.xml.h:86 hacks/config/sballs.xml.h:7
+#: hacks/config/polyhedra.xml.h:86
+#: hacks/config/sballs.xml.h:7
 msgid "Octahedron"
 msgstr ""
 
@@ -6346,9 +6766,7 @@
 msgstr ""
 
 #: hacks/config/polyominoes.xml.h:8
-msgid ""
-"Repeatedly attempts to completely fill a rectangle with irregularly-shaped "
-"puzzle pieces. Written by Stephen Montgomery-Smith."
+msgid "Repeatedly attempts to completely fill a rectangle with irregularly-shaped puzzle pieces. Written by Stephen Montgomery-Smith."
 msgstr ""
 
 #: hacks/config/polytopes.xml.h:2
@@ -6388,12 +6806,7 @@
 msgstr ""
 
 #: hacks/config/polytopes.xml.h:22
-msgid ""
-"This program shows one of the six regular 4D polytopes rotating in 4D. "
-"Written by Carsten Steger, inspired by H.S.M Coxeter's book \"Regular "
-"Polytopes\", 3rd Edition, Dover Publications, Inc., 1973, and Thomas "
-"Banchoff's book \"Beyond the Third Dimension: Geometry, Computer Graphics, "
-"and Higher Dimensions\", Scientific American Library, 1990."
+msgid "This program shows one of the six regular 4D polytopes rotating in 4D. Written by Carsten Steger, inspired by H.S.M Coxeter's book \"Regular Polytopes\", 3rd Edition, Dover Publications, Inc., 1973, and Thomas Banchoff's book \"Beyond the Third Dimension: Geometry, Computer Graphics, and Higher Dimensions\", Scientific American Library, 1990."
 msgstr ""
 
 #: hacks/config/pong.xml.h:2
@@ -6401,10 +6814,7 @@
 msgstr ""
 
 #: hacks/config/pong.xml.h:6
-msgid ""
-"The pong program simulates an ancient Pong home video game, as well as "
-"various artifacts from displaying it on a color TV set. Written by Jeremy "
-"English and Trevor Blackwell."
+msgid "The pong program simulates an ancient Pong home video game, as well as various artifacts from displaying it on a color TV set. Written by Jeremy English and Trevor Blackwell."
 msgstr ""
 
 #: hacks/config/popsquares.xml.h:2
@@ -6420,8 +6830,7 @@
 msgstr ""
 
 #: hacks/config/popsquares.xml.h:9
-msgid ""
-"This draws a pop-art-ish looking grid of pulsing colors. By Levi Burton."
+msgid "This draws a pop-art-ish looking grid of pulsing colors. By Levi Burton."
 msgstr ""
 
 #: hacks/config/popsquares.xml.h:10
@@ -6441,9 +6850,7 @@
 msgstr ""
 
 #: hacks/config/providence.xml.h:7
-msgid ""
-"The providence code displays an eye, shrouded in glory, set upon the base of "
-"a pyramid. Written by Blair Tennessy."
+msgid "The providence code displays an eye, shrouded in glory, set upon the base of a pyramid. Written by Blair Tennessy."
 msgstr ""
 
 #: hacks/config/pulsar.xml.h:1
@@ -6451,10 +6858,7 @@
 msgstr ""
 
 #: hacks/config/pulsar.xml.h:3
-msgid ""
-"Draws some intersecting planes, making use of alpha blending, fog, textures, "
-"and mipmaps, plus a ``frames per second'' meter so that you can tell how "
-"fast your graphics card is... Requires OpenGL. Written by David Konerding."
+msgid "Draws some intersecting planes, making use of alpha blending, fog, textures, and mipmaps, plus a ``frames per second'' meter so that you can tell how fast your graphics card is... Requires OpenGL. Written by David Konerding."
 msgstr ""
 
 #: hacks/config/pulsar.xml.h:4
@@ -6514,8 +6918,7 @@
 msgstr ""
 
 #: hacks/config/pyro.xml.h:11
-msgid ""
-"Pyro draws exploding fireworks. Blah blah blah. Written by Jamie Zawinski."
+msgid "Pyro draws exploding fireworks. Blah blah blah. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/qix.xml.h:1
@@ -6551,11 +6954,7 @@
 msgstr ""
 
 #: hacks/config/qix.xml.h:24
-msgid ""
-"This is the swiss army chainsaw of qix programs. It bounces a series of line "
-"segments around the screen, and uses variations on this basic motion pattern "
-"to produce all sorts of different presentations: line segments, filled "
-"polygons, overlapping translucent areas... Written by Jamie Zawinski."
+msgid "This is the swiss army chainsaw of qix programs. It bounces a series of line segments around the screen, and uses variations on this basic motion pattern to produce all sorts of different presentations: line segments, filled polygons, overlapping translucent areas... Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/qix.xml.h:25
@@ -6567,10 +6966,7 @@
 msgstr ""
 
 #: hacks/config/queens.xml.h:5
-msgid ""
-"Solves the N-Queens problem (where, in this program, N is between 5 and 10 "
-"queens.) The problem is: how may one place N queens on an NxN chessboard "
-"such that no queen can attack a sister? Written by Blair Tennessy."
+msgid "Solves the N-Queens problem (where, in this program, N is between 5 and 10 queens.) The problem is: how may one place N queens on an NxN chessboard such that no queen can attack a sister? Written by Blair Tennessy."
 msgstr ""
 
 #: hacks/config/rd-bomb.xml.h:1
@@ -6583,10 +6979,7 @@
 msgstr ""
 
 #: hacks/config/rd-bomb.xml.h:7
-msgid ""
-"Another variation of the `Bomb' program by Scott Draves. This draws a grid "
-"of growing square-like shapes that, once they overtake each other, react in "
-"unpredictable ways. ``RD'' stands for reaction-diffusion."
+msgid "Another variation of the `Bomb' program by Scott Draves. This draws a grid of growing square-like shapes that, once they overtake each other, react in unpredictable ways. ``RD'' stands for reaction-diffusion."
 msgstr ""
 
 #: hacks/config/rd-bomb.xml.h:8
@@ -6609,7 +7002,8 @@
 msgid "Seed Radius"
 msgstr ""
 
-#: hacks/config/rd-bomb.xml.h:19 hacks/config/twang.xml.h:12
+#: hacks/config/rd-bomb.xml.h:19
+#: hacks/config/twang.xml.h:12
 msgid "Tile Size"
 msgstr ""
 
@@ -6658,10 +7052,7 @@
 msgstr ""
 
 #: hacks/config/ripples.xml.h:14
-msgid ""
-"This draws rippling interference patterns like splashing water. With the -"
-"water option, it manipulates your desktop image to look like something is "
-"dripping into it. Written by Tom Hammersley."
+msgid "This draws rippling interference patterns like splashing water. With the -water option, it manipulates your desktop image to look like something is dripping into it. Written by Tom Hammersley."
 msgstr ""
 
 #: hacks/config/rocks.xml.h:7
@@ -6677,10 +7068,7 @@
 msgstr ""
 
 #: hacks/config/rocks.xml.h:11
-msgid ""
-"This draws an animation of flight through an asteroid field, with changes in "
-"rotation and direction. It can also display 3D separations for red/blue "
-"glasses! Mostly written by Jamie Zawinski."
+msgid "This draws an animation of flight through an asteroid field, with changes in rotation and direction. It can also display 3D separations for red/blue glasses! Mostly written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/rocks.xml.h:13
@@ -6692,12 +7080,7 @@
 msgstr ""
 
 #: hacks/config/rorschach.xml.h:9
-msgid ""
-"This generates random inkblot patterns. The algorithm is deceptively simple "
-"for how well it works; it merely walks a dot around the screen randomly, and "
-"then reflects the image horizontally, vertically, or both. Any deep-seated "
-"neurotic tendencies which this program reveals are your own problem. Written "
-"by Jamie Zawinski."
+msgid "This generates random inkblot patterns. The algorithm is deceptively simple for how well it works; it merely walks a dot around the screen randomly, and then reflects the image horizontally, vertically, or both. Any deep-seated neurotic tendencies which this program reveals are your own problem. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/rorschach.xml.h:10
@@ -6709,12 +7092,11 @@
 msgstr ""
 
 #: hacks/config/rotor.xml.h:1
-msgid ""
-"Another ancient xlock demo, this one by Tom Lawrence. It draws a line "
-"segment moving along a complex spiraling curve."
+msgid "Another ancient xlock demo, this one by Tom Lawrence. It draws a line segment moving along a complex spiraling curve."
 msgstr ""
 
-#: hacks/config/rotor.xml.h:4 hacks/config/wander.xml.h:9
+#: hacks/config/rotor.xml.h:4
+#: hacks/config/wander.xml.h:9
 msgid "Length"
 msgstr ""
 
@@ -6727,9 +7109,7 @@
 msgstr ""
 
 #: hacks/config/rotzoomer.xml.h:4
-msgid ""
-"Creates a collage of rotated and scaled portions of the screen. Written by "
-"Claudio Matsuoka."
+msgid "Creates a collage of rotated and scaled portions of the screen. Written by Claudio Matsuoka."
 msgstr ""
 
 #: hacks/config/rotzoomer.xml.h:6
@@ -6753,9 +7133,7 @@
 msgstr ""
 
 #: hacks/config/rubik.xml.h:2
-msgid ""
-"Draws a Rubik's Cube that rotates in three dimensions and repeatedly "
-"shuffles and solves itself. Another fine GL hack by Marcelo Vianna."
+msgid "Draws a Rubik's Cube that rotates in three dimensions and repeatedly shuffles and solves itself. Another fine GL hack by Marcelo Vianna."
 msgstr ""
 
 #: hacks/config/rubik.xml.h:5
@@ -6767,10 +7145,7 @@
 msgstr ""
 
 #: hacks/config/sballs.xml.h:3
-msgid ""
-"Draws an animation of textured balls spinning like crazy in GL. Requires "
-"OpenGL, and a machine with fast hardware support for texture maps. Written "
-"by Eric Lassauge &lt;lassauge@users.sourceforge.net&gt;."
+msgid "Draws an animation of textured balls spinning like crazy in GL. Requires OpenGL, and a machine with fast hardware support for texture maps. Written by Eric Lassauge &lt;lassauge@users.sourceforge.net&gt;."
 msgstr ""
 
 #: hacks/config/sballs.xml.h:8
@@ -6794,9 +7169,7 @@
 msgstr ""
 
 #: hacks/config/shadebobs.xml.h:11
-msgid ""
-"This draws smoothly-shaded oscillating oval patterns, that look something "
-"like vapor trails or neon tubes. Written by Shane Smit."
+msgid "This draws smoothly-shaded oscillating oval patterns, that look something like vapor trails or neon tubes. Written by Shane Smit."
 msgstr ""
 
 #: hacks/config/sierpinski3d.xml.h:7
@@ -6804,9 +7177,7 @@
 msgstr ""
 
 #: hacks/config/sierpinski3d.xml.h:11
-msgid ""
-"This draws the three-dimensional variant of the recursive Sierpinski "
-"triangle fractal, using GL. Written by Tim Robinson and Jamie Zawinski."
+msgid "This draws the three-dimensional variant of the recursive Sierpinski triangle fractal, using GL. Written by Tim Robinson and Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/sierpinski.xml.h:6
@@ -6814,12 +7185,11 @@
 msgstr ""
 
 #: hacks/config/sierpinski.xml.h:10
-msgid ""
-"This draws the two-dimensional variant of the recursive Sierpinski triangle "
-"fractal. Written by Desmond Daignault."
+msgid "This draws the two-dimensional variant of the recursive Sierpinski triangle fractal. Written by Desmond Daignault."
 msgstr ""
 
-#: hacks/config/slidescreen.xml.h:1 hacks/config/twang.xml.h:1
+#: hacks/config/slidescreen.xml.h:1
+#: hacks/config/twang.xml.h:1
 #: hacks/config/zoom.xml.h:1
 msgid "Border Width"
 msgstr ""
@@ -6833,12 +7203,7 @@
 msgstr ""
 
 #: hacks/config/slidescreen.xml.h:8
-msgid ""
-"This takes an image, divides it into a grid, and then randomly shuffles the "
-"squares around as if it was one of those annoying ``16-puzzle'' games, where "
-"there is a grid of squares, one of which is missing. I hate trying to solve "
-"those puzzles, but watching one permute itself is more amusing. Written by "
-"Jamie Zawinski."
+msgid "This takes an image, divides it into a grid, and then randomly shuffles the squares around as if it was one of those annoying ``16-puzzle'' games, where there is a grid of squares, one of which is missing. I hate trying to solve those puzzles, but watching one permute itself is more amusing. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/slip.xml.h:6
@@ -6846,14 +7211,7 @@
 msgstr ""
 
 #: hacks/config/slip.xml.h:10
-msgid ""
-"This program throws some random bits on the screen, then sucks them through "
-"a jet engine and spews them out the other side. To avoid turning the image "
-"completely to mush, every now and then it will and then it interjects some "
-"splashes of color into the scene, or go into a spin cycle, or stretch the "
-"image like taffy, or (this is my addition) grab an image of your current "
-"desktop to chew on. Originally written by Scott Draves; whacked on by Jamie "
-"Zawinski."
+msgid "This program throws some random bits on the screen, then sucks them through a jet engine and spews them out the other side. To avoid turning the image completely to mush, every now and then it will and then it interjects some splashes of color into the scene, or go into a spin cycle, or stretch the image like taffy, or (this is my addition) grab an image of your current desktop to chew on. Originally written by Scott Draves; whacked on by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/sonar.xml.h:1
@@ -6917,12 +7275,7 @@
 msgstr ""
 
 #: hacks/config/sonar.xml.h:16
-msgid ""
-"This program draws a simulation of a sonar screen. By default, it displays a "
-"random assortment of ``bogies'' on the screen, but if installed as \"setuid "
-"root\", it can ping (pun intended) your local network, and actually plot the "
-"proximity of the other hosts on your network to you. Written by Stephen "
-"Martin and Jamie Zawinski."
+msgid "This program draws a simulation of a sonar screen. By default, it displays a random assortment of ``bogies'' on the screen, but if installed as \"setuid root\", it can ping (pun intended) your local network, and actually plot the proximity of the other hosts on your network to you. Written by Stephen Martin and Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/sonar.xml.h:17
@@ -6954,9 +7307,7 @@
 msgstr ""
 
 #: hacks/config/speedmine.xml.h:12
-msgid ""
-"Simulates speeding down a rocky mineshaft, or a funky dancing worm. Written "
-"by Conrad Parker."
+msgid "Simulates speeding down a rocky mineshaft, or a funky dancing worm. Written by Conrad Parker."
 msgstr ""
 
 #: hacks/config/speedmine.xml.h:16
@@ -6967,7 +7318,8 @@
 msgid "Thrust"
 msgstr ""
 
-#: hacks/config/speedmine.xml.h:19 hacks/config/worm.xml.h:10
+#: hacks/config/speedmine.xml.h:19
+#: hacks/config/worm.xml.h:10
 msgid "Worm"
 msgstr ""
 
@@ -6976,14 +7328,7 @@
 msgstr ""
 
 #: hacks/config/sphereeversion.xml.h:2
-msgid ""
-"SphereEversion draws an animation of a sphere being turned inside out. A "
-"sphere can be turned inside out, without any tears, sharp creases or "
-"discontinuities, if the surface of the sphere is allowed to intersect "
-"itself. This program animates what is known as the Thurston Eversion. "
-"Written by Nathaniel Thurston and Michael McGuffin. This program is not "
-"included with the XScreenSaver package, but if you don't have it already, "
-"you can find it at &lt;http://www.dgp.utoronto.ca/~mjmcguff/eversion/&gt;."
+msgid "SphereEversion draws an animation of a sphere being turned inside out. A sphere can be turned inside out, without any tears, sharp creases or discontinuities, if the surface of the sphere is allowed to intersect itself. This program animates what is known as the Thurston Eversion. Written by Nathaniel Thurston and Michael McGuffin. This program is not included with the XScreenSaver package, but if you don't have it already, you can find it at &lt;http://www.dgp.utoronto.ca/~mjmcguff/eversion/&gt;."
 msgstr ""
 
 #: hacks/config/spheremonics.xml.h:20
@@ -6995,28 +7340,20 @@
 msgstr ""
 
 #: hacks/config/spheremonics.xml.h:24
-msgid ""
-"These closed objects are commonly called spherical harmonics, although they "
-"are only remotely related to the mathematical definition found in the "
-"solution to certain wave functions, most notable the eigenfunctions of "
-"angular momentum operators. Written by Paul Bourke and Jamie Zawinski."
+msgid "These closed objects are commonly called spherical harmonics, although they are only remotely related to the mathematical definition found in the solution to certain wave functions, most notable the eigenfunctions of angular momentum operators. Written by Paul Bourke and Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/sphere.xml.h:1
-msgid ""
-"Another of the classic screenhacks of the distant past, this one draws "
-"shaded spheres in multiple colors. This hack traces its lineage back to Tom "
-"Duff in 1982."
+msgid "Another of the classic screenhacks of the distant past, this one draws shaded spheres in multiple colors. This hack traces its lineage back to Tom Duff in 1982."
 msgstr ""
 
-#: hacks/config/spiral.xml.h:2 hacks/config/superquadrics.xml.h:2
+#: hacks/config/spiral.xml.h:2
+#: hacks/config/superquadrics.xml.h:2
 msgid "Cycles"
 msgstr ""
 
 #: hacks/config/spiral.xml.h:7
-msgid ""
-"Moving circular patterns, by Peter Schmitzberger. Moving circular patterns "
-"means moire; interference patterns, of course."
+msgid "Moving circular patterns, by Peter Schmitzberger. Moving circular patterns means moire; interference patterns, of course."
 msgstr ""
 
 #: hacks/config/spiral.xml.h:11
@@ -7024,9 +7361,7 @@
 msgstr ""
 
 #: hacks/config/spotlight.xml.h:1
-msgid ""
-"Draws a spotlight scanning across a black screen, illuminating the "
-"underlying desktop when it passes. Written by Rick Schultz."
+msgid "Draws a spotlight scanning across a black screen, illuminating the underlying desktop when it passes. Written by Rick Schultz."
 msgstr ""
 
 #: hacks/config/spotlight.xml.h:6
@@ -7042,10 +7377,7 @@
 msgstr ""
 
 #: hacks/config/squiral.xml.h:3
-msgid ""
-"Draws a set of interacting, square-spiral-producing automata. The spirals "
-"grow outward until they hit something, then they go around it. Written by "
-"Jeff Epler."
+msgid "Draws a set of interacting, square-spiral-producing automata. The spirals grow outward until they hit something, then they go around it. Written by Jeff Epler."
 msgstr ""
 
 #: hacks/config/squiral.xml.h:5
@@ -7056,7 +7388,8 @@
 msgid "Left"
 msgstr ""
 
-#: hacks/config/squiral.xml.h:11 hacks/config/twang.xml.h:8
+#: hacks/config/squiral.xml.h:11
+#: hacks/config/twang.xml.h:8
 msgid "Randomness"
 msgstr ""
 
@@ -7073,18 +7406,7 @@
 msgstr ""
 
 #: hacks/config/ssystem.xml.h:2
-msgid ""
-"SSystem is a GL Solar System simulator. It simulates flybys of Sun, the nine "
-"planets and a few major satellites, with four camera modes. Written by Raul "
-"Alonso. This is not included with the XScreenSaver package, but is packaged "
-"separately. Note: SSystem does not work as a screen saver on all systems, "
-"because it doesn't communicate with xscreensaver properly. It happens to "
-"work with some window managers, but not with others, so your mileage may "
-"vary. SSystem was once available at &lt;http://www1.las.es/~amil/ssystem/"
-"&gt;, but is now gone. You may still be able to find copies elsewhere. "
-"SSystem has since evolved into Celestia, found at &lt;http://www.shatters."
-"net/celestia/&gt;. Sadly, Celestia does not work with xscreensaver at all. "
-"You are encouraged to nag the authors into adding xscreensaver support!"
+msgid "SSystem is a GL Solar System simulator. It simulates flybys of Sun, the nine planets and a few major satellites, with four camera modes. Written by Raul Alonso. This is not included with the XScreenSaver package, but is packaged separately. Note: SSystem does not work as a screen saver on all systems, because it doesn't communicate with xscreensaver properly. It happens to work with some window managers, but not with others, so your mileage may vary. SSystem was once available at &lt;http://www1.las.es/~amil/ssystem/&gt;, but is now gone. You may still be able to find copies elsewhere. SSystem has since evolved into Celestia, found at &lt;http://www.shatters.net/celestia/&gt;. Sadly, Celestia does not work with xscreensaver at all. You are encouraged to nag the authors into adding xscreensaver support!"
 msgstr ""
 
 #: hacks/config/stairs.xml.h:6
@@ -7092,9 +7414,7 @@
 msgstr ""
 
 #: hacks/config/stairs.xml.h:8
-msgid ""
-"by Marcelo Vianna's third Escher GL hack, this one draws an ``infinite'' "
-"staircase."
+msgid "by Marcelo Vianna's third Escher GL hack, this one draws an ``infinite'' staircase."
 msgstr ""
 
 #: hacks/config/starfish.xml.h:1
@@ -7110,11 +7430,7 @@
 msgstr ""
 
 #: hacks/config/starfish.xml.h:13
-msgid ""
-"This generates a sequence of undulating, throbbing, star-like patterns which "
-"pulsate, rotate, and turn inside out. Another display mode uses these shapes "
-"to lay down a field of colors, which are then cycled. The motion is very "
-"organic. Written by Jamie Zawinski."
+msgid "This generates a sequence of undulating, throbbing, star-like patterns which pulsate, rotate, and turn inside out. Another display mode uses these shapes to lay down a field of colors, which are then cycled. The motion is very organic. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/starwars.xml.h:2
@@ -7126,10 +7442,7 @@
 msgstr ""
 
 #: hacks/config/starwars.xml.h:4
-msgid ""
-"Draws a stream of text slowly scrolling into the distance at an angle, over "
-"a star field, like at the beginning of the movie of the same name. Written "
-"by Jamie Zawinski and Claudio Matauoka."
+msgid "Draws a stream of text slowly scrolling into the distance at an angle, over a star field, like at the beginning of the movie of the same name. Written by Jamie Zawinski and Claudio Matauoka."
 msgstr ""
 
 #: hacks/config/starwars.xml.h:5
@@ -7181,10 +7494,7 @@
 msgstr ""
 
 #: hacks/config/stonerview.xml.h:1
-msgid ""
-"Chains of colorful squares dance around each other in complex spiral "
-"patterns. Written by Andrew Plotkin, based on SGI's `electropaint' "
-"screensaver."
+msgid "Chains of colorful squares dance around each other in complex spiral patterns. Written by Andrew Plotkin, based on SGI's `electropaint' screensaver."
 msgstr ""
 
 #: hacks/config/stonerview.xml.h:3
@@ -7196,13 +7506,11 @@
 msgstr ""
 
 #: hacks/config/strange.xml.h:7
-msgid ""
-"This draws strange attractors: it's a colorful, unpredictably-animating "
-"field of dots that swoops and twists around. The motion is very nice. "
-"Written by Massimino Pascal."
+msgid "This draws strange attractors: it's a colorful, unpredictably-animating field of dots that swoops and twists around. The motion is very nice. Written by Massimino Pascal."
 msgstr ""
 
-#: hacks/config/substrate.xml.h:2 hacks/config/xplanet.xml.h:2
+#: hacks/config/substrate.xml.h:2
+#: hacks/config/xplanet.xml.h:2
 #, no-c-format
 msgid "0%"
 msgstr ""
@@ -7216,10 +7524,7 @@
 msgstr ""
 
 #: hacks/config/substrate.xml.h:10
-msgid ""
-"Lines like crystals grow on a computational substrate. A simple "
-"perpendicular growth rule creates intricate city-like structures. By J. "
-"Tarbell and Mike Kershaw."
+msgid "Lines like crystals grow on a computational substrate. A simple perpendicular growth rule creates intricate city-like structures. By J. Tarbell and Mike Kershaw."
 msgstr ""
 
 #: hacks/config/substrate.xml.h:13
@@ -7235,10 +7540,7 @@
 msgstr ""
 
 #: hacks/config/superquadrics.xml.h:3
-msgid ""
-"Ed Mackey reports that he wrote the first version of this program in BASIC "
-"on a Commodore 64 in 1987, as a 320x200 black and white wireframe. Now it is "
-"GL and has specular reflections."
+msgid "Ed Mackey reports that he wrote the first version of this program in BASIC on a Commodore 64 in 1987, as a 320x200 black and white wireframe. Now it is GL and has specular reflections."
 msgstr ""
 
 #: hacks/config/superquadrics.xml.h:11
@@ -7246,10 +7548,7 @@
 msgstr ""
 
 #: hacks/config/swirl.xml.h:4
-msgid ""
-"More flowing, swirly patterns. This version is by M. Dobie and R. Taylor, "
-"but you might have seen a Mac program similar to this called FlowFazer. "
-"There is also a cool Java applet of a similar concept."
+msgid "More flowing, swirly patterns. This version is by M. Dobie and R. Taylor, but you might have seen a Mac program similar to this called FlowFazer. There is also a cool Java applet of a similar concept."
 msgstr ""
 
 #: hacks/config/swirl.xml.h:8
@@ -7289,9 +7588,7 @@
 msgstr ""
 
 #: hacks/config/t3d.xml.h:15
-msgid ""
-"This draws a working analog clock composed of floating, throbbing bubbles. "
-"Written by Bernd Paysan."
+msgid "This draws a working analog clock composed of floating, throbbing bubbles. Written by Bernd Paysan."
 msgstr ""
 
 #: hacks/config/t3d.xml.h:16
@@ -7303,9 +7600,7 @@
 msgstr ""
 
 #: hacks/config/thornbird.xml.h:1
-msgid ""
-"Displays a view of the ``Bird in a Thornbush'' fractal. Written by Tim "
-"Auckland."
+msgid "Displays a view of the ``Bird in a Thornbush'' fractal. Written by Tim Auckland."
 msgstr ""
 
 #: hacks/config/thornbird.xml.h:6
@@ -7317,9 +7612,7 @@
 msgstr ""
 
 #: hacks/config/triangle.xml.h:2
-msgid ""
-"Generates random mountain ranges using iterative subdivision of triangles. "
-"Written by Tobias Gloth."
+msgid "Generates random mountain ranges using iterative subdivision of triangles. Written by Tobias Gloth."
 msgstr ""
 
 #: hacks/config/triangle.xml.h:7
@@ -7327,9 +7620,7 @@
 msgstr ""
 
 #: hacks/config/truchet.xml.h:4
-msgid ""
-"This draws line- and arc-based Truchet patterns that tile the screen. "
-"Written by Adrian Likins."
+msgid "This draws line- and arc-based Truchet patterns that tile the screen. Written by Adrian Likins."
 msgstr ""
 
 #: hacks/config/truchet.xml.h:5
@@ -7337,8 +7628,7 @@
 msgstr ""
 
 #: hacks/config/twang.xml.h:2
-msgid ""
-"Divides the screen into a grid, and plucks them. Written by Dan Bornstein."
+msgid "Divides the screen into a grid, and plucks them. Written by Dan Bornstein."
 msgstr ""
 
 #: hacks/config/twang.xml.h:6
@@ -7367,20 +7657,14 @@
 
 #: hacks/config/vidwhacker.xml.h:2
 msgid "2 seconds"
-msgstr ""
+msgstr "2 secondi"
 
 #: hacks/config/vidwhacker.xml.h:4
 msgid "Image Directory"
 msgstr ""
 
 #: hacks/config/vidwhacker.xml.h:5
-msgid ""
-"This is actually just a shell script that grabs a frame of video from the "
-"system's video input, and then uses some PBM filters (chosen at random) to "
-"manipulate and recombine the video frame in various ways (edge detection, "
-"subtracting the image from a rotated version of itself, etc.) Then it "
-"displays that image for a few seconds, and does it again. This works really "
-"well if you just feed broadcast television into it."
+msgid "This is actually just a shell script that grabs a frame of video from the system's video input, and then uses some PBM filters (chosen at random) to manipulate and recombine the video frame in various ways (edge detection, subtracting the image from a rotated version of itself, etc.) Then it displays that image for a few seconds, and does it again. This works really well if you just feed broadcast television into it."
 msgstr ""
 
 #: hacks/config/vidwhacker.xml.h:6
@@ -7388,10 +7672,7 @@
 msgstr ""
 
 #: hacks/config/vines.xml.h:6
-msgid ""
-"This one generates a continuous sequence of small, curvy geometric patterns. "
-"It scatters them around your screen until it fills up, then it clears the "
-"screen and starts over. Written by Tracy Camp and David Hansen."
+msgid "This one generates a continuous sequence of small, curvy geometric patterns. It scatters them around your screen until it fills up, then it clears the screen and starts over. Written by Tracy Camp and David Hansen."
 msgstr ""
 
 #: hacks/config/vines.xml.h:8
@@ -7403,8 +7684,7 @@
 msgstr ""
 
 #: hacks/config/wander.xml.h:6
-msgid ""
-"Draws a colorful random-walk, in various forms. Written by Rick Campbell."
+msgid "Draws a colorful random-walk, in various forms. Written by Rick Campbell."
 msgstr ""
 
 #: hacks/config/wander.xml.h:14
@@ -7440,14 +7720,7 @@
 msgstr ""
 
 #: hacks/config/webcollage.xml.h:9
-msgid ""
-"This program makes collages out of random images pulled off of the World "
-"Wide Web. It finds these images by doing random web searches, and then "
-"extracting images from the returned pages. It can also be set up to filter "
-"the images through the `VidWhacker' program. WARNING: THE INTERNET SOMETIMES "
-"CONTAINS PORNOGRAPHY. The Internet being what it is, absolutely anything "
-"might show up in the collage including -- quite possibly -- pornography, or "
-"even nudity. Please act accordingly. Written by Jamie Zawinski."
+msgid "This program makes collages out of random images pulled off of the World Wide Web. It finds these images by doing random web searches, and then extracting images from the returned pages. It can also be set up to filter the images through the `VidWhacker' program. WARNING: THE INTERNET SOMETIMES CONTAINS PORNOGRAPHY. The Internet being what it is, absolutely anything might show up in the collage including -- quite possibly -- pornography, or even nudity. Please act accordingly. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/webcollage.xml.h:10
@@ -7459,10 +7732,7 @@
 msgstr ""
 
 #: hacks/config/whirlwindwarp.xml.h:2
-msgid ""
-"Floating stars are acted upon by a mixture of simple 2D forcefields. The "
-"strength of each forcefield changes continuously, and it is also switched on "
-"and off at random. By Paul 'Joey' Clark."
+msgid "Floating stars are acted upon by a mixture of simple 2D forcefields. The strength of each forcefield changes continuously, and it is also switched on and off at random. By Paul 'Joey' Clark."
 msgstr ""
 
 #: hacks/config/whirlwindwarp.xml.h:7
@@ -7546,16 +7816,11 @@
 msgstr ""
 
 #: hacks/config/wormhole.xml.h:9
-msgid ""
-"Wormhole simulates flying through a colored wormhole in space. Written by "
-"Jon Rafkind."
+msgid "Wormhole simulates flying through a colored wormhole in space. Written by Jon Rafkind."
 msgstr ""
 
 #: hacks/config/worm.xml.h:1
-msgid ""
-"An ancient xlock hack that draws multicolored worms that crawl around the "
-"screen. Written by Brad Taylor, Dave Lemke, Boris Putanec, and Henrik "
-"Theiling."
+msgid "An ancient xlock hack that draws multicolored worms that crawl around the screen. Written by Brad Taylor, Dave Lemke, Boris Putanec, and Henrik Theiling."
 msgstr ""
 
 #: hacks/config/xanalogtv.xml.h:1
@@ -7563,12 +7828,7 @@
 msgstr ""
 
 #: hacks/config/xanalogtv.xml.h:2
-msgid ""
-"XAnalogTV shows a detailed simulation of an old TV set showing various test "
-"patterns, with various picture artifacts like snow, bloom, distortion, "
-"ghosting, and hash noise. It also simulates the TV warming up. It will cycle "
-"through 12 channels, some with images you give it, and some with color bars "
-"or nothing but static. By Trevor Blackwell."
+msgid "XAnalogTV shows a detailed simulation of an old TV set showing various test patterns, with various picture artifacts like snow, bloom, distortion, ghosting, and hash noise. It also simulates the TV warming up. It will cycle through 12 channels, some with images you give it, and some with color bars or nothing but static. By Trevor Blackwell."
 msgstr ""
 
 #: hacks/config/xaos.xml.h:1
@@ -7576,11 +7836,7 @@
 msgstr ""
 
 #: hacks/config/xaos.xml.h:2
-msgid ""
-"XaoS generates fast fly-through animations of the Mandelbrot and other "
-"fractal sets. Written by Thomas Marsh and Jan Hubicka. This is not included "
-"with the XScreenSaver package, but if you don't have it already, you can "
-"find it at &lt;http://xaos.theory.org/&gt;."
+msgid "XaoS generates fast fly-through animations of the Mandelbrot and other fractal sets. Written by Thomas Marsh and Jan Hubicka. This is not included with the XScreenSaver package, but if you don't have it already, you can find it at &lt;http://xaos.theory.org/&gt;."
 msgstr ""
 
 #: hacks/config/xdaliclock.xml.h:1
@@ -7603,7 +7859,8 @@
 msgid "Huge Font"
 msgstr ""
 
-#: hacks/config/xdaliclock.xml.h:6 hacks/config/xmatrix.xml.h:10
+#: hacks/config/xdaliclock.xml.h:6
+#: hacks/config/xmatrix.xml.h:10
 msgid "Large Font"
 msgstr ""
 
@@ -7611,7 +7868,8 @@
 msgid "Medium Font"
 msgstr ""
 
-#: hacks/config/xdaliclock.xml.h:8 hacks/config/xmatrix.xml.h:16
+#: hacks/config/xdaliclock.xml.h:8
+#: hacks/config/xmatrix.xml.h:16
 msgid "Small Font"
 msgstr ""
 
@@ -7620,18 +7878,15 @@
 msgstr ""
 
 #: hacks/config/xdaliclock.xml.h:10
-msgid ""
-"XDaliClock draws a large digital clock, the numbers of which change by "
-"``melting'' into their new shapes. Written by Jamie Zawinski. This is not "
-"included with the XScreenSaver package, but if you don't have it already, "
-"you can find it at &lt;http://www.jwz.org/xdaliclock/&gt;."
+msgid "XDaliClock draws a large digital clock, the numbers of which change by ``melting'' into their new shapes. Written by Jamie Zawinski. This is not included with the XScreenSaver package, but if you don't have it already, you can find it at &lt;http://www.jwz.org/xdaliclock/&gt;."
 msgstr ""
 
 #: hacks/config/xearth.xml.h:1
 msgid "Bright"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:2 hacks/config/xplanet.xml.h:7
+#: hacks/config/xearth.xml.h:2
+#: hacks/config/xplanet.xml.h:7
 msgid "Date/Time Stamp"
 msgstr ""
 
@@ -7647,15 +7902,18 @@
 msgid "Label Cities"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:9 hacks/config/xplanet.xml.h:49
+#: hacks/config/xearth.xml.h:9
+#: hacks/config/xplanet.xml.h:49
 msgid "Lower Left"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:10 hacks/config/xplanet.xml.h:50
+#: hacks/config/xearth.xml.h:10
+#: hacks/config/xplanet.xml.h:50
 msgid "Lower Right"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:13 hacks/config/xplanet.xml.h:51
+#: hacks/config/xearth.xml.h:13
+#: hacks/config/xplanet.xml.h:51
 msgid "Mercator Projection"
 msgstr ""
 
@@ -7671,11 +7929,13 @@
 msgid "North/South Rotation"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:18 hacks/config/xplanet.xml.h:53
+#: hacks/config/xearth.xml.h:18
+#: hacks/config/xplanet.xml.h:53
 msgid "Orthographic Projection"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:19 hacks/config/xplanet.xml.h:56
+#: hacks/config/xearth.xml.h:19
+#: hacks/config/xplanet.xml.h:56
 msgid "Real Time"
 msgstr ""
 
@@ -7691,26 +7951,23 @@
 msgid "Terminator   Blurry"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:27 hacks/config/xplanet.xml.h:61
+#: hacks/config/xearth.xml.h:27
+#: hacks/config/xplanet.xml.h:61
 msgid "Time Warp"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:29 hacks/config/xplanet.xml.h:62
+#: hacks/config/xearth.xml.h:29
+#: hacks/config/xplanet.xml.h:62
 msgid "Upper Left"
 msgstr ""
 
-#: hacks/config/xearth.xml.h:30 hacks/config/xplanet.xml.h:63
+#: hacks/config/xearth.xml.h:30
+#: hacks/config/xplanet.xml.h:63
 msgid "Upper Right"
 msgstr ""
 
 #: hacks/config/xearth.xml.h:31
-msgid ""
-"XEarth draws an image of the Earth, as seen from your favorite vantage point "
-"in space, correctly shaded for the current position of the Sun. Written by "
-"Kirk Johnson. This is not included with the XScreenSaver package, but if you "
-"don't have it already, you can find it at &lt;http://www.cs.colorado.edu/"
-"~tuna/xearth/&gt;. There is also a similar (but more recent) program called "
-"xplanet to be found at &lt;http://xplanet.sourceforge.net/&gt;."
+msgid "XEarth draws an image of the Earth, as seen from your favorite vantage point in space, correctly shaded for the current position of the Sun. Written by Kirk Johnson. This is not included with the XScreenSaver package, but if you don't have it already, you can find it at &lt;http://www.cs.colorado.edu/~tuna/xearth/&gt;. There is also a similar (but more recent) program called xplanet to be found at &lt;http://xplanet.sourceforge.net/&gt;."
 msgstr ""
 
 #: hacks/config/xearth.xml.h:32
@@ -7726,10 +7983,7 @@
 msgstr ""
 
 #: hacks/config/xfishtank.xml.h:7
-msgid ""
-"Fish! This is not included with the XScreenSaver package, but if you don't "
-"have it already, you can find it at &lt;http://metalab.unc.edu/pub/Linux/X11/"
-"demos/&gt;."
+msgid "Fish! This is not included with the XScreenSaver package, but if you don't have it already, you can find it at &lt;http://metalab.unc.edu/pub/Linux/X11/demos/&gt;."
 msgstr ""
 
 #: hacks/config/xfishtank.xml.h:12
@@ -7741,9 +7995,7 @@
 msgstr ""
 
 #: hacks/config/xflame.xml.h:2
-msgid ""
-"Draws a simulation of pulsing fire. It can also take an arbitrary image and "
-"set it on fire too. Written by Carsten Haitzler, hacked on by many others."
+msgid "Draws a simulation of pulsing fire. It can also take an arbitrary image and set it on fire too. Written by Carsten Haitzler, hacked on by many others."
 msgstr ""
 
 #: hacks/config/xflame.xml.h:3
@@ -7755,11 +8007,7 @@
 msgstr ""
 
 #: hacks/config/xjack.xml.h:4
-msgid ""
-"This program behaves schizophrenically and makes a lot of typos. Written by "
-"Jamie Zawinski. If you haven't seen Stanley Kubrick's masterpiece, ``The "
-"Shining,'' you won't get it. Those who have describe this hack as "
-"``inspired.''"
+msgid "This program behaves schizophrenically and makes a lot of typos. Written by Jamie Zawinski. If you haven't seen Stanley Kubrick's masterpiece, ``The Shining,'' you won't get it. Those who have describe this hack as ``inspired.''"
 msgstr ""
 
 #: hacks/config/xjack.xml.h:5
@@ -7767,10 +8015,7 @@
 msgstr ""
 
 #: hacks/config/xlyap.xml.h:1
-msgid ""
-"This generates pretty fractal pictures by doing funky math involving the "
-"``Lyapunov exponent.'' It has a cool interactive mode, too. Written by Ron "
-"Record."
+msgid "This generates pretty fractal pictures by doing funky math involving the ``Lyapunov exponent.'' It has a cool interactive mode, too. Written by Ron Record."
 msgstr ""
 
 #: hacks/config/xlyap.xml.h:2
@@ -7778,11 +8023,7 @@
 msgstr ""
 
 #: hacks/config/xmatrix.xml.h:3
-msgid ""
-"Draws dropping characters similar to what is seen on the computer monitors "
-"in \"The Matrix\". See also \"glmatrix\" for a 3D rendering of the similar "
-"effect that appeared in the title sequence of the movie. Written by Jamie "
-"Zawinski."
+msgid "Draws dropping characters similar to what is seen on the computer monitors in \"The Matrix\". See also \"glmatrix\" for a 3D rendering of the similar effect that appeared in the title sequence of the movie. Written by Jamie Zawinski."
 msgstr ""
 
 #: hacks/config/xmatrix.xml.h:4
@@ -7938,12 +8179,7 @@
 msgstr ""
 
 #: hacks/config/xmountains.xml.h:35
-msgid ""
-"XMountains generates realistic-looking fractal terrains of snow-capped "
-"mountains near water, with either a top view or a side view. Written by "
-"Stephen Booth. This is not included with the XScreenSaver package, but if "
-"you don't have it already, you can find it at &lt;http://www.epcc.ed.ac.uk/"
-"~spb/xmountains/&gt;. (Make sure you have version 2.7 or newer!)"
+msgid "XMountains generates realistic-looking fractal terrains of snow-capped mountains near water, with either a top view or a side view. Written by Stephen Booth. This is not included with the XScreenSaver package, but if you don't have it already, you can find it at &lt;http://www.epcc.ed.ac.uk/~spb/xmountains/&gt;. (Make sure you have version 2.7 or newer!)"
 msgstr ""
 
 #: hacks/config/xmountains.xml.h:36
@@ -8291,18 +8527,11 @@
 msgstr ""
 
 #: hacks/config/xplanet.xml.h:101
-msgid ""
-"Xplanet draws an image of the Earth, as seen from your favorite vantage "
-"point in space, correctly shaded for the current position of the Sun. "
-"Written by Hari Nair. This is not included with the XScreenSaver package, "
-"but if you don't have it already, you can find it at &lt;http://xplanet."
-"sourceforge.net/&gt;."
+msgid "Xplanet draws an image of the Earth, as seen from your favorite vantage point in space, correctly shaded for the current position of the Sun. Written by Hari Nair. This is not included with the XScreenSaver package, but if you don't have it already, you can find it at &lt;http://xplanet.sourceforge.net/&gt;."
 msgstr ""
 
 #: hacks/config/xrayswarm.xml.h:1
-msgid ""
-"Draws a few swarms of critters flying around the screen, with nicely faded "
-"color trails behind them. Written by Chris Leger."
+msgid "Draws a few swarms of critters flying around the screen, with nicely faded color trails behind them. Written by Chris Leger."
 msgstr ""
 
 #: hacks/config/xrayswarm.xml.h:5
@@ -8310,9 +8539,7 @@
 msgstr ""
 
 #: hacks/config/xsnow.xml.h:1
-msgid ""
-"Draws falling snow and the occasional tiny Santa. By Rick Jansen. You can "
-"find it at &lt;http://www.euronet.nl/~rja/Xsnow/&gt;."
+msgid "Draws falling snow and the occasional tiny Santa. By Rick Jansen. You can find it at &lt;http://www.euronet.nl/~rja/Xsnow/&gt;."
 msgstr ""
 
 #: hacks/config/xsnow.xml.h:2
@@ -8320,9 +8547,7 @@
 msgstr ""
 
 #: hacks/config/xspirograph.xml.h:5
-msgid ""
-"Simulates that pen-in-nested-plastic-gears toy from your childhood. By Rohit "
-"Singh."
+msgid "Simulates that pen-in-nested-plastic-gears toy from your childhood. By Rohit Singh."
 msgstr ""
 
 #: hacks/config/xspirograph.xml.h:6
@@ -8350,9 +8575,7 @@
 msgstr ""
 
 #: hacks/config/xteevee.xml.h:6
-msgid ""
-"XTeeVee simulates various television problems, including static, loss of "
-"vertical hold, and a test pattern. By Greg Knauss."
+msgid "XTeeVee simulates various television problems, including static, loss of vertical hold, and a test pattern. By Greg Knauss."
 msgstr ""
 
 #: hacks/config/zoom.xml.h:3
@@ -8364,10 +8587,7 @@
 msgstr ""
 
 #: hacks/config/zoom.xml.h:9
-msgid ""
-"Zooms in on a part of the screen and then moves around. With the -lenses "
-"option the result is like looking through many overlapping lenses rather "
-"than just a simple zoom. Written by James Macnicol."
+msgid "Zooms in on a part of the screen and then moves around. With the -lenses option the result is like looking through many overlapping lenses rather than just a simple zoom. Written by James Macnicol."
 msgstr ""
 
 #~ msgid "Configure the settings of the screensaver."
@@ -8376,3 +8596,4 @@
 #, fuzzy
 #~ msgid "Preview of screen saver"
 #~ msgstr "Salvaschermo"
+

=== added file 'po/nb.po'
--- po/nb.po	1970-01-01 00:00:00 +0000
+++ po/nb.po	2005-12-08 16:00:22 +0000
@@ -0,0 +1,8657 @@
+# Norwegian translation of control-center (bokml dialect).
+# Copyright (C) 1999,2000 Free Software Foundation, Inc.
+# Kjartan Maraas <kmaraas@gnome.org>, 1999,2000.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: control-center 1.5.8\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2005-02-28 21:49+0100\n"
+"PO-Revision-Date: 2002-09-03 18:28+0200\n"
+"Last-Translator: Kjartan Maraas <kmaraas@gnome.org>\n"
+"Language-Team: Norwegian <no@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Transfer-Encoding: 8-bit\n"
+
+#: driver/demo-Gtk.c:656
+msgid "For updates, check http://www.jwz.org/xscreensaver/"
+msgstr "For oppdateringer, sjekk http://www.jwz.org/xscreensaver/"
+
+#: driver/demo-Gtk.c:748 driver/demo-Gtk-widgets.c:1709
+#: driver/xscreensaver-demo.glade.h:54
+msgid "OK"
+msgstr "OK"
+
+#: driver/demo-Gtk.c:786
+msgid ""
+"Error:\n"
+"\n"
+"No Help URL has been specified.\n"
+msgstr ""
+"Feil:\n"
+"\n"
+"Ingen URL oppgitt for hjelp.\n"
+
+#: driver/demo-Gtk.c:873
+msgid ""
+"Error:\n"
+"\n"
+"The xscreensaver daemon did not start up properly.\n"
+"\n"
+msgstr ""
+"Feil:\n"
+"\n"
+"Xscreensaver daemonen startet ikke opp riktig.\n"
+
+#: driver/demo-Gtk.c:885
+msgid ""
+"You are running as root.  This usually means that xscreensaver\n"
+"was unable to contact your X server because access control is\n"
+"turned on.  Try running this command:\n"
+"\n"
+"                        xhost +localhost\n"
+"\n"
+"and then selecting `File / Restart Daemon'.\n"
+"\n"
+"Note that turning off access control will allow anyone logged\n"
+"on to this machine to access your screen, which might be\n"
+"considered a security problem.  Please read the xscreensaver\n"
+"manual and FAQ for more information.\n"
+"\n"
+"You shouldn't run X as root. Instead, you should log in as a\n"
+"normal user, and `su' as necessary."
+msgstr ""
+
+#: driver/demo-Gtk.c:901
+msgid "Please check your $PATH and permissions."
+msgstr "Vennligst sjekk $PATH og rettigheter."
+
+#: driver/demo-Gtk.c:936
+msgid ""
+"Error:\n"
+"\n"
+"Couldn't determine init file name!\n"
+msgstr ""
+"Feil:\n"
+"\n"
+"Kunne ikke bestemme navn p initieringsfil!\n"
+
+#: driver/demo-Gtk.c:941
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Couldn't write %s\n"
+msgstr ""
+"Feil:\n"
+"\n"
+"Kunne ikke skrive %s\n"
+
+#: driver/demo-Gtk.c:1000
+msgid ""
+"Error:\n"
+"\n"
+"no `manualCommand' resource set."
+msgstr ""
+"Feil:\n"
+"\n"
+"ingen manualCommand-ressurs satt."
+
+#: driver/demo-Gtk.c:1181
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Unparsable time format: \"%s\"\n"
+msgstr ""
+"Feil:\n"
+"\n"
+"Forstr ikke tidsformatet: %s\n"
+
+#: driver/demo-Gtk.c:1546 driver/demo-Gtk.c:2874
+#: driver/demo-Gtk-widgets.c:1550 driver/demo-Gtk-widgets.c:1573
+#: driver/xscreensaver-demo.glade.h:5 driver/xscreensaver-demo.glade2.h:3
+msgid "Any"
+msgstr "Enhver"
+
+#: driver/demo-Gtk.c:1837
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Directory does not exist: \"%s\"\n"
+msgstr ""
+"Feil:\n"
+"\n"
+"Katalogen eksisterer ikke: %s\n"
+
+#: driver/demo-Gtk.c:2142 driver/demo-Gtk-widgets.c:571
+#: driver/xscreensaver-demo.glade.h:75
+msgid "Use"
+msgstr "Bruk"
+
+#: driver/demo-Gtk.c:2152 driver/demo-Gtk-widgets.c:591
+#: driver/xscreensaver-demo.glade.h:63
+msgid "Screen Saver"
+msgstr "Skjermsparer"
+
+#: driver/demo-Gtk.c:2556
+msgid "Descriptions not available: no XML support compiled in."
+msgstr "Beskrivelser ikke tilgjengelig: ingen sttte for XML kompilert inn."
+
+#: driver/demo-Gtk.c:2561
+msgid "No description available."
+msgstr "Ingen beskrivelse tilgjengelig."
+
+#: driver/demo-Gtk.c:2826
+msgid "Blank Screen"
+msgstr "Blank skjerm"
+
+#: driver/demo-Gtk.c:2832
+msgid "Screen Saver Disabled"
+msgstr "Skjermsparer deaktivert"
+
+#: driver/demo-Gtk.c:2855 driver/demo-Gtk-widgets.c:482
+#: driver/xscreensaver-demo.glade.h:58
+msgid "Preview"
+msgstr "Forhndsvisning"
+
+#: driver/demo-Gtk.c:2865
+#, c-format
+msgid "%s: %.100s Settings"
+msgstr ""
+
+#: driver/demo-Gtk.c:3020
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"file \"%s\" has changed, reloading.\n"
+msgstr ""
+
+#: driver/demo-Gtk.c:3102
+msgid "No Preview"
+msgstr "Ingen forhndsvisning"
+
+#: driver/demo-Gtk.c:3102
+msgid "Available"
+msgstr "Tilgjengelig"
+
+#: driver/demo-Gtk.c:3103
+msgid "Not"
+msgstr ""
+
+#: driver/demo-Gtk.c:3103
+msgid "Installed"
+msgstr ""
+
+#: driver/demo-Gtk.c:3868
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"The XScreenSaver daemon doesn't seem to be running\n"
+"on display \"%s\".  Launch it now?"
+msgstr ""
+
+#: driver/demo-Gtk.c:3878
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"%s is running as user \"%s\" on host \"%s\".\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is running as user \"%s\" on host \"%s\".\n"
+"\n"
+"Since they are different users, they won't be reading/writing\n"
+"the same ~/.xscreensaver file, so %s isn't\n"
+"going to work right.\n"
+"\n"
+"You should either re-run %s as \"%s\", or re-run\n"
+"xscreensaver as \"%s\".\n"
+"\n"
+"Restart the xscreensaver daemon now?\n"
+msgstr ""
+
+#: driver/demo-Gtk.c:3903
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"%s is running as user \"%s\" on host \"%s\".\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is running as user \"%s\" on host \"%s\".\n"
+"\n"
+"If those two machines don't share a file system (that is,\n"
+"if they don't see the same ~%s/.xscreensaver file) then\n"
+"%s won't work right.\n"
+"\n"
+"Restart the daemon on \"%s\" as \"%s\" now?\n"
+msgstr ""
+
+#: driver/demo-Gtk.c:3925
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"This is %s version %s.\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is version %s.  This could cause problems.\n"
+"\n"
+"Restart the xscreensaver daemon now?\n"
+msgstr ""
+
+#: driver/demo-Gtk.c:4382
+#, c-format
+msgid "%s: unknown option: %s\n"
+msgstr "%s: ukjent flagg: %s\n"
+
+#: driver/demo-Gtk.c:4446
+#, fuzzy
+msgid "Screensaver Preferences"
+msgstr "Skjermsparer"
+
+#: driver/demo-Gtk-conf.c:818
+msgid "Browse..."
+msgstr "Bla gjennom..."
+
+#: driver/demo-Gtk-conf.c:1110
+msgid "Select file."
+msgstr "Velg fil."
+
+#: driver/demo-Gtk-support.c:135
+#, c-format
+msgid "Couldn't find pixmap file: %s"
+msgstr "Kunne ikke finne pixmap-fil: %s"
+
+#: driver/demo-Gtk-support.c:147 driver/demo-Gtk-support.c:179
+#, c-format
+msgid "Error loading pixmap file: %s"
+msgstr "Feil under lasting av pixmap-fil: %s"
+
+#: driver/demo-Gtk-support.c:182
+#, c-format
+msgid "reason: %s\n"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:161 driver/xscreensaver-demo.glade.h:89
+#: driver/xscreensaver-demo.glade2.h:65
+msgid "XScreenSaver"
+msgstr "XScreenSaver"
+
+#: driver/demo-Gtk-widgets.c:182 driver/xscreensaver-demo.glade2.h:76
+msgid "_File"
+msgstr "_Fil"
+
+#: driver/demo-Gtk-widgets.c:202 driver/xscreensaver-demo.glade.h:93
+#: driver/xscreensaver-demo.glade2.h:70
+msgid "_Blank Screen Now"
+msgstr "_Blank ut skjermen n"
+
+#: driver/demo-Gtk-widgets.c:211 driver/xscreensaver-demo.glade.h:2
+msgid ""
+"Activate the XScreenSaver daemon now (locking the screen if so configured.)"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:215 driver/xscreensaver-demo.glade.h:97
+#: driver/xscreensaver-demo.glade2.h:80
+msgid "_Lock Screen Now"
+msgstr "_Ls skjermen n"
+
+#: driver/demo-Gtk-widgets.c:224 driver/xscreensaver-demo.glade.h:51
+msgid "Lock the screen now (even if \"Lock Screen\" is unchecked.)"
+msgstr "Ls skjermen n (selv om Ls skjerm ikke er avkrysset.)"
+
+#: driver/demo-Gtk-widgets.c:228 driver/xscreensaver-demo.glade.h:96
+#: driver/xscreensaver-demo.glade2.h:78
+msgid "_Kill Daemon"
+msgstr "_Terminer daemon"
+
+#: driver/demo-Gtk-widgets.c:237 driver/xscreensaver-demo.glade.h:71
+msgid "Tell the running XScreenSaver daemon to exit."
+msgstr "Be kjrende XScreenSaver daemon om  avslutte."
+
+#: driver/demo-Gtk-widgets.c:241 driver/xscreensaver-demo.glade.h:98
+#: driver/xscreensaver-demo.glade2.h:86
+msgid "_Restart Daemon"
+msgstr "Sta_rt daemon p nytt"
+
+#: driver/demo-Gtk-widgets.c:250 driver/xscreensaver-demo.glade.h:49
+msgid "Kill and re-launch the XScreenSaver daemon."
+msgstr "Terminer og start XScreeSaver daemon p nytt."
+
+#: driver/demo-Gtk-widgets.c:263 driver/xscreensaver-demo.glade.h:95
+msgid "_Exit"
+msgstr "_Avslutt"
+
+#: driver/demo-Gtk-widgets.c:272 driver/xscreensaver-demo.glade.h:33
+msgid ""
+"Exit the xscreensaver-demo program (but leave the XScreenSaver daemon "
+"running in the background.)"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:276 driver/xscreensaver-demo.glade2.h:77
+msgid "_Help"
+msgstr "_Hjelp"
+
+#: driver/demo-Gtk-widgets.c:296 driver/xscreensaver-demo.glade.h:92
+#: driver/xscreensaver-demo.glade2.h:66
+msgid "_About..."
+msgstr "_Om..."
+
+#: driver/demo-Gtk-widgets.c:305 driver/xscreensaver-demo.glade.h:30
+msgid "Display version information."
+msgstr "Vis versjonsinformasjon."
+
+#: driver/demo-Gtk-widgets.c:309 driver/xscreensaver-demo.glade.h:94
+#: driver/xscreensaver-demo.glade2.h:75
+msgid "_Documentation..."
+msgstr "_Dokumentasjon..."
+
+#: driver/demo-Gtk-widgets.c:318 driver/xscreensaver-demo.glade.h:38
+msgid "Go to the documentation on the XScreenSaver web page."
+msgstr "G til dokumentasjonen p nettsidene til XScreenSaver."
+
+#: driver/demo-Gtk-widgets.c:348 driver/xscreensaver-demo.glade.h:18
+msgid "Cycle After"
+msgstr "Skift etter"
+
+#: driver/demo-Gtk-widgets.c:370 driver/xscreensaver-demo.glade.h:78
+#: driver/xscreensaver-demo.glade2.h:54
+msgid "Whether a password should be required to un-blank the screen."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:372 driver/xscreensaver-demo.glade.h:50
+msgid "Lock Screen After"
+msgstr "Ls skjermen etter"
+
+#: driver/demo-Gtk-widgets.c:380 driver/xscreensaver-demo.glade.h:8
+msgid "Blank After"
+msgstr "Blank ut etter"
+
+#: driver/demo-Gtk-widgets.c:403 driver/demo-Gtk-widgets.c:453
+#: driver/demo-Gtk-widgets.c:467 driver/demo-Gtk-widgets.c:1016
+#: driver/xscreensaver-demo.glade.h:43
+msgid "How long before the monitor goes completely black."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:407 driver/demo-Gtk-widgets.c:419
+#: driver/demo-Gtk-widgets.c:431 driver/demo-Gtk-widgets.c:1020
+#: driver/demo-Gtk-widgets.c:1032 driver/demo-Gtk-widgets.c:1044
+#: driver/xscreensaver-demo.glade.h:99 driver/xscreensaver-demo.glade2.h:92
+msgid "minutes"
+msgstr "minutter"
+
+#: driver/demo-Gtk-widgets.c:490 driver/xscreensaver-demo.glade.h:21
+#: driver/xscreensaver-demo.glade2.h:12
+msgid ""
+"Demo the selected screen saver in full-screen mode (click the mouse to "
+"return.)"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:492 driver/xscreensaver-demo.glade.h:65
+msgid "Settings..."
+msgstr "Innstillinger..."
+
+#: driver/demo-Gtk-widgets.c:500 driver/xscreensaver-demo.glade.h:17
+#: driver/xscreensaver-demo.glade2.h:9
+msgid "Customization and explanation of the selected screen saver."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:521 driver/xscreensaver-demo.glade.h:52
+msgid "Mode:"
+msgstr "Modus:"
+
+#: driver/demo-Gtk-widgets.c:539 driver/xscreensaver-demo.glade.h:25
+#: driver/xscreensaver-demo.glade2.h:16
+msgid "Disable Screen Saver"
+msgstr "Sl av skjermsparer"
+
+#: driver/demo-Gtk-widgets.c:542 driver/xscreensaver-demo.glade.h:9
+#: driver/xscreensaver-demo.glade2.h:5
+msgid "Blank Screen Only"
+msgstr "Kun blank ut skjerm"
+
+#: driver/demo-Gtk-widgets.c:545 driver/xscreensaver-demo.glade.h:56
+#: driver/xscreensaver-demo.glade2.h:42
+msgid "Only One Screen Saver"
+msgstr "Kun n skjermsparer"
+
+#: driver/demo-Gtk-widgets.c:548 driver/xscreensaver-demo.glade.h:60
+#: driver/xscreensaver-demo.glade2.h:44
+msgid "Random Screen Saver"
+msgstr "Tilfeldig skjermsparer"
+
+#: driver/demo-Gtk-widgets.c:644 driver/xscreensaver-demo.glade.h:91
+msgid "\\/"
+msgstr "\\/"
+
+#: driver/demo-Gtk-widgets.c:652 driver/xscreensaver-demo.glade.h:61
+#: driver/xscreensaver-demo.glade2.h:45
+msgid ""
+"Run the next screen saver in the list in full-screen mode (click the mouse "
+"to return.)"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:654
+msgid "/\\"
+msgstr "/\\"
+
+#: driver/demo-Gtk-widgets.c:662 driver/xscreensaver-demo.glade.h:62
+#: driver/xscreensaver-demo.glade2.h:46
+msgid ""
+"Run the previous screen saver in the list in full-screen mode (click the "
+"mouse to return.)"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:664 driver/demo-Gtk-widgets.c:1607
+#: driver/xscreensaver-demo.glade.h:22 driver/xscreensaver-demo.glade2.h:13
+msgid "Description"
+msgstr "Beskrivelse"
+
+#: driver/demo-Gtk-widgets.c:691 driver/xscreensaver-demo.glade.h:26
+msgid "Display Modes"
+msgstr "Visningsmodi"
+
+#: driver/demo-Gtk-widgets.c:707 driver/xscreensaver-demo.glade.h:23
+#: driver/xscreensaver-demo.glade2.h:14
+msgid "Diagnostics"
+msgstr "Diagnostikk"
+
+#: driver/demo-Gtk-widgets.c:751 driver/xscreensaver-demo.glade.h:80
+#: driver/xscreensaver-demo.glade2.h:56
+msgid "Whether the daemon should print lots of debugging information."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:753 driver/xscreensaver-demo.glade.h:76
+msgid "Verbose Diagnostics"
+msgstr "Utfyllende diagnostikk"
+
+#: driver/demo-Gtk-widgets.c:768 driver/xscreensaver-demo.glade.h:79
+#: driver/xscreensaver-demo.glade2.h:55
+msgid ""
+"Whether any error output of the display modes should be redirected to the "
+"screen."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:770 driver/xscreensaver-demo.glade.h:29
+msgid "Display Subprocess Errors"
+msgstr "Vis feil i underprosesser"
+
+#: driver/demo-Gtk-widgets.c:785 driver/xscreensaver-demo.glade.h:87
+#: driver/xscreensaver-demo.glade2.h:63
+msgid ""
+"Whether the splash screen (with the version number and `Help' button) should "
+"be momentarily displayed when the daemon first starts up."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:787 driver/xscreensaver-demo.glade.h:28
+msgid "Display Splash Screen at Startup"
+msgstr "Vis oppstartsskjerm"
+
+#: driver/demo-Gtk-widgets.c:796 driver/xscreensaver-demo.glade.h:15
+#: driver/xscreensaver-demo.glade2.h:8
+msgid "Colormaps"
+msgstr "Fargekart"
+
+#: driver/demo-Gtk-widgets.c:840 driver/xscreensaver-demo.glade.h:88
+#: driver/xscreensaver-demo.glade2.h:64
+msgid ""
+"Whether to install a private colormap when running in 8-bit mode on the "
+"default Visual."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:842 driver/xscreensaver-demo.glade.h:48
+msgid "Install Colormap"
+msgstr "Installer fargekart"
+
+#: driver/demo-Gtk-widgets.c:865 driver/xscreensaver-demo.glade.h:86
+#: driver/xscreensaver-demo.glade2.h:62
+msgid ""
+"Whether the screen should slowly fade to black when the screen saver "
+"activates."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:867 driver/xscreensaver-demo.glade.h:36
+msgid "Fade To Black When Blanking"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:882 driver/xscreensaver-demo.glade.h:85
+#: driver/xscreensaver-demo.glade2.h:61
+msgid ""
+"Whether the screen should slowly fade in from black when the screen saver "
+"deactivates."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:884 driver/xscreensaver-demo.glade.h:35
+msgid "Fade From Black When Unblanking"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:910 driver/xscreensaver-demo.glade.h:34
+msgid "Fade Duration"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:928 driver/xscreensaver-demo.glade.h:44
+#: driver/xscreensaver-demo.glade2.h:31
+msgid "How long it should take for the screen to fade in and out."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:932 driver/xscreensaver-demo.glade.h:100
+#: driver/xscreensaver-demo.glade2.h:96
+msgid "seconds"
+msgstr "sekunder"
+
+#: driver/demo-Gtk-widgets.c:942 driver/xscreensaver-demo.glade.h:27
+#: driver/xscreensaver-demo.glade2.h:17
+msgid "Display Power Management"
+msgstr "Strmstyring for skjermen"
+
+#: driver/demo-Gtk-widgets.c:986 driver/xscreensaver-demo.glade.h:84
+#: driver/xscreensaver-demo.glade2.h:60
+msgid "Whether the monitor should be powered down after a while."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:988 driver/xscreensaver-demo.glade.h:57
+msgid "Power Management Enabled"
+msgstr "Strmstyring aktivert"
+
+#: driver/demo-Gtk-widgets.c:1056 driver/xscreensaver-demo.glade.h:55
+msgid "Off After"
+msgstr "Av etter"
+
+#: driver/demo-Gtk-widgets.c:1069 driver/xscreensaver-demo.glade.h:70
+msgid "Suspend After"
+msgstr "Pause etter"
+
+#: driver/demo-Gtk-widgets.c:1082 driver/xscreensaver-demo.glade.h:68
+msgid "Standby After"
+msgstr "Ventemodus etter"
+
+#: driver/demo-Gtk-widgets.c:1105 driver/xscreensaver-demo.glade.h:45
+#: driver/xscreensaver-demo.glade2.h:33
+msgid "How long until the monitor goes into power-saving mode."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1119 driver/xscreensaver-demo.glade.h:46
+#: driver/xscreensaver-demo.glade2.h:34
+msgid "How long until the monitor powers down."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1123 driver/xscreensaver-demo.glade.h:47
+#: driver/xscreensaver-demo.glade2.h:35
+msgid "Image Manipulation"
+msgstr "Bildemanipulering"
+
+#: driver/demo-Gtk-widgets.c:1167 driver/xscreensaver-demo.glade.h:81
+#: driver/xscreensaver-demo.glade2.h:57
+msgid ""
+"Whether the image-manipulating modes should be allowed to operate on an "
+"image of your desktop."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1169 driver/xscreensaver-demo.glade.h:39
+msgid "Grab Desktop Images"
+msgstr "Hent bilder fra skrivebordet"
+
+#: driver/demo-Gtk-widgets.c:1184 driver/xscreensaver-demo.glade.h:82
+msgid ""
+"Whether the image-manipulating modes should operate on images captured from "
+"the system's video input (if there is one)."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1186 driver/xscreensaver-demo.glade.h:40
+msgid "Grab Video Frames"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1201 driver/xscreensaver-demo.glade.h:83
+#: driver/xscreensaver-demo.glade2.h:59
+msgid ""
+"Whether the image-manipulating modes should operate on random images loaded "
+"from disk."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1203 driver/xscreensaver-demo.glade.h:12
+msgid "Choose Random Image:"
+msgstr "Velg tilfeldig bilde:"
+
+#: driver/demo-Gtk-widgets.c:1236 driver/xscreensaver-demo.glade.h:73
+#: driver/xscreensaver-demo.glade2.h:52
+msgid "The directory from which images will be randomly chosen."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1238 driver/xscreensaver-demo.glade.h:10
+msgid "Browse"
+msgstr "Bla gjennom"
+
+#: driver/demo-Gtk-widgets.c:1246 driver/demo-Gtk-widgets.c:1599
+#: driver/xscreensaver-demo.glade.h:3 driver/xscreensaver-demo.glade2.h:2
+msgid "Advanced"
+msgstr "Avansert"
+
+#: driver/demo-Gtk-widgets.c:1444 driver/xscreensaver-demo.glade.h:90
+msgid "XScreenSaver: Mode-Specific Settings"
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1466 driver/xscreensaver-demo.glade.h:64
+#: driver/xscreensaver-demo.glade2.h:47
+msgid "Settings"
+msgstr "Innstillinger"
+
+#: driver/demo-Gtk-widgets.c:1495 driver/xscreensaver-demo.glade.h:66
+#: driver/xscreensaver-demo.glade2.h:49
+msgid "Standard"
+msgstr "Forvalg"
+
+#: driver/demo-Gtk-widgets.c:1532 driver/xscreensaver-demo.glade.h:77
+msgid "Visual:"
+msgstr "Synlig:"
+
+#: driver/demo-Gtk-widgets.c:1551 driver/xscreensaver-demo.glade.h:7
+#: driver/xscreensaver-demo.glade2.h:4
+msgid "Best"
+msgstr "Best"
+
+#: driver/demo-Gtk-widgets.c:1552 driver/xscreensaver-demo.glade.h:19
+#: driver/xscreensaver-demo.glade2.h:10
+msgid "Default"
+msgstr "Forvalg"
+
+#: driver/demo-Gtk-widgets.c:1553 driver/xscreensaver-demo.glade.h:20
+#: driver/xscreensaver-demo.glade2.h:11
+msgid "Default-N"
+msgstr "Forvalg-N"
+
+#: driver/demo-Gtk-widgets.c:1554 driver/xscreensaver-demo.glade.h:37
+#: driver/xscreensaver-demo.glade2.h:23
+msgid "GL"
+msgstr "GL"
+
+#: driver/demo-Gtk-widgets.c:1555 driver/xscreensaver-demo.glade.h:74
+#: driver/xscreensaver-demo.glade2.h:53
+msgid "TrueColor"
+msgstr "Sanne farger"
+
+#: driver/demo-Gtk-widgets.c:1556 driver/xscreensaver-demo.glade.h:59
+#: driver/xscreensaver-demo.glade2.h:43
+msgid "PseudoColor"
+msgstr "Pseudofarge"
+
+#: driver/demo-Gtk-widgets.c:1557 driver/xscreensaver-demo.glade.h:69
+#: driver/xscreensaver-demo.glade2.h:50
+msgid "StaticGray"
+msgstr "StaticGray"
+
+#: driver/demo-Gtk-widgets.c:1558 driver/xscreensaver-demo.glade.h:42
+#: driver/xscreensaver-demo.glade2.h:27
+msgid "GrayScale"
+msgstr "GreyScale"
+
+#: driver/demo-Gtk-widgets.c:1559 driver/xscreensaver-demo.glade.h:24
+#: driver/xscreensaver-demo.glade2.h:15
+msgid "DirectColor"
+msgstr "DirectColor"
+
+#: driver/demo-Gtk-widgets.c:1560 driver/xscreensaver-demo.glade.h:14
+#: driver/xscreensaver-demo.glade2.h:7 hacks/config/fuzzyflakes.xml.h:3
+msgid "Color"
+msgstr "Farger"
+
+#: driver/demo-Gtk-widgets.c:1561 driver/xscreensaver-demo.glade.h:41
+#: driver/xscreensaver-demo.glade2.h:26
+msgid "Gray"
+msgstr "Grtone"
+
+#: driver/demo-Gtk-widgets.c:1562 driver/xscreensaver-demo.glade.h:53
+#: driver/xscreensaver-demo.glade2.h:37
+msgid "Mono"
+msgstr "Mono"
+
+#: driver/demo-Gtk-widgets.c:1572 driver/xscreensaver-demo.glade.h:72
+msgid ""
+"The X visual type that this demo will require.  If that visual is available "
+"it will be used, otherwise, this demo will not be run."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1575 driver/xscreensaver-demo.glade.h:16
+msgid "Command Line:"
+msgstr "Kommandolinje:"
+
+#: driver/demo-Gtk-widgets.c:1647 driver/xscreensaver-demo.glade.h:31
+msgid "Documentation..."
+msgstr "Dokumentasjon..."
+
+#: driver/demo-Gtk-widgets.c:1655 driver/xscreensaver-demo.glade.h:13
+msgid "Click here to read the manual for this display mode, if it has one."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1680 driver/xscreensaver-demo.glade.h:4
+msgid "Advanced >>"
+msgstr "Avansert >>"
+
+#: driver/demo-Gtk-widgets.c:1688 driver/xscreensaver-demo.glade.h:32
+msgid "Edit the command line directly."
+msgstr "Rediger kommandolinjen direkte."
+
+#: driver/demo-Gtk-widgets.c:1690 driver/xscreensaver-demo.glade.h:67
+msgid "Standard <<"
+msgstr "Generell <<"
+
+#: driver/demo-Gtk-widgets.c:1698 driver/xscreensaver-demo.glade.h:6
+msgid "Back to the graphical configuration options."
+msgstr ""
+
+#: driver/demo-Gtk-widgets.c:1718 driver/xscreensaver-demo.glade.h:11
+msgid "Cancel"
+msgstr "Avbryt"
+
+#: driver/screensaver-properties.desktop.in.h:1
+msgid "Change screensaver properties"
+msgstr ""
+
+#: driver/screensaver-properties.desktop.in.h:2
+msgid "Screensaver"
+msgstr "Skjermsparer"
+
+#: driver/xscreensaver-demo.glade.h:1
+msgid "/\");"
+msgstr "/\");"
+
+#: driver/xscreensaver-demo.glade2.h:1
+msgid "*"
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:6
+msgid "Choose _Random Image:"
+msgstr "Velg _tilfeldig bilde:"
+
+#: driver/xscreensaver-demo.glade2.h:18
+msgid "Display Subprocess _Errors"
+msgstr "Vis f_eil i underprosesser"
+
+#: driver/xscreensaver-demo.glade2.h:19
+msgid "Display _Splash Screen at Startup"
+msgstr "Vis opp_startsskjerm"
+
+#: driver/xscreensaver-demo.glade2.h:20
+msgid "F_ade Duration"
+msgstr "V_arighet for utfasing"
+
+#: driver/xscreensaver-demo.glade2.h:21
+msgid "Fade from Black When _Unblanking"
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:22
+msgid "Fade to Black when _Blanking"
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:24
+msgid "Grab Desktop _Images"
+msgstr "Hent b_ilder fra skrivebordet"
+
+#: driver/xscreensaver-demo.glade2.h:25
+msgid "Grab _Video Frames"
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:28
+msgid "How long after the screen blanks until a password will be required."
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:29
+msgid "How long before the screensaver activates."
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:30
+msgid ""
+"How long each display mode should run before choosing a new one (in Random "
+"mode.)"
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:32
+msgid "How long until the monitor goes completely black."
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:36
+msgid "Install _Colormap"
+msgstr "Installer _fargekart"
+
+#: driver/xscreensaver-demo.glade2.h:38
+msgid ""
+"No Preview\n"
+"Available"
+msgstr ""
+"Ingen forhndsvisning\n"
+"tilgjengelig"
+
+#: driver/xscreensaver-demo.glade2.h:40
+msgid ""
+"Not\n"
+"Installed"
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:48
+msgid "Stand_by After"
+msgstr "_Ventemodus etter"
+
+#: driver/xscreensaver-demo.glade2.h:51
+msgid "Sus_pend After"
+msgstr "_Pause etter"
+
+#: driver/xscreensaver-demo.glade2.h:58
+msgid ""
+"Whether the image-manipulating modes should operate on images captured from "
+"the system's video input (if there is one.)"
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:67
+msgid "_Advanced"
+msgstr "_Avansert"
+
+#: driver/xscreensaver-demo.glade2.h:68
+msgid "_Advanced >>"
+msgstr "_Avansert >>"
+
+#: driver/xscreensaver-demo.glade2.h:69
+msgid "_Blank After"
+msgstr "_Blank ut etter"
+
+#: driver/xscreensaver-demo.glade2.h:71
+msgid "_Browse"
+msgstr "_Bla gjennom"
+
+#: driver/xscreensaver-demo.glade2.h:72
+msgid "_Command Line:"
+msgstr "_Kommandolinje:"
+
+#: driver/xscreensaver-demo.glade2.h:73
+msgid "_Cycle After"
+msgstr "_Skift etter"
+
+#: driver/xscreensaver-demo.glade2.h:74
+msgid "_Display Modes"
+msgstr "_Visningsmodi"
+
+#: driver/xscreensaver-demo.glade2.h:79
+msgid "_Lock Screen After"
+msgstr "_Ls skjermen etter"
+
+#: driver/xscreensaver-demo.glade2.h:81
+msgid "_Mode:"
+msgstr "_Modus:"
+
+#: driver/xscreensaver-demo.glade2.h:82
+msgid "_Off After"
+msgstr "_Av etter"
+
+#: driver/xscreensaver-demo.glade2.h:83
+msgid "_Power Management Enabled"
+msgstr "_Strmstyring aktivert"
+
+#: driver/xscreensaver-demo.glade2.h:84
+msgid "_Preview"
+msgstr "_Forhndsvisning"
+
+#: driver/xscreensaver-demo.glade2.h:85
+msgid "_Quit"
+msgstr "_Avslutt"
+
+#: driver/xscreensaver-demo.glade2.h:87
+msgid "_Settings..."
+msgstr "_Innstillinger..."
+
+#: driver/xscreensaver-demo.glade2.h:88
+msgid "_Standard <<"
+msgstr "_Generelt <<"
+
+#: driver/xscreensaver-demo.glade2.h:89
+#, fuzzy
+msgid "_Verbose Diagnostics"
+msgstr "Utfyllende diagnostikk"
+
+#: driver/xscreensaver-demo.glade2.h:90
+msgid "_Visual:"
+msgstr "_Synlig:"
+
+#: driver/xscreensaver-demo.glade2.h:91
+msgid "dialog1"
+msgstr "dialog1"
+
+#: driver/xscreensaver-demo.glade2.h:93
+msgid "no preview"
+msgstr "ingen forhndsvisning"
+
+#: driver/xscreensaver-demo.glade2.h:94
+msgid "not installed"
+msgstr ""
+
+#: driver/xscreensaver-demo.glade2.h:95
+msgid "preview"
+msgstr "forhndsvisning"
+
+#: hacks/config/anemone.xml.h:1
+msgid "Anemone"
+msgstr "Anemone"
+
+#: hacks/config/anemone.xml.h:2 hacks/config/fuzzyflakes.xml.h:1
+msgid "Arms"
+msgstr "Armer"
+
+#: hacks/config/anemone.xml.h:3 hacks/config/anemotaxis.xml.h:5
+#: hacks/config/antinspect.xml.h:4 hacks/config/antspotlight.xml.h:3
+#: hacks/config/ant.xml.h:6 hacks/config/apollonian.xml.h:5
+#: hacks/config/atlantis.xml.h:4 hacks/config/attraction.xml.h:8
+#: hacks/config/atunnel.xml.h:3 hacks/config/barcode.xml.h:4
+#: hacks/config/blaster.xml.h:3 hacks/config/blinkbox.xml.h:5
+#: hacks/config/blitspin.xml.h:4 hacks/config/blocktube.xml.h:4
+#: hacks/config/boing.xml.h:2 hacks/config/bouboule.xml.h:3
+#: hacks/config/bouncingcow.xml.h:6 hacks/config/boxed.xml.h:4
+#: hacks/config/boxfit.xml.h:7 hacks/config/braid.xml.h:4
+#: hacks/config/bubble3d.xml.h:3 hacks/config/bubbles.xml.h:8
+#: hacks/config/bumps.xml.h:3 hacks/config/cage.xml.h:2
+#: hacks/config/carousel.xml.h:5 hacks/config/circuit.xml.h:4
+#: hacks/config/cloudlife.xml.h:3 hacks/config/compass.xml.h:3
+#: hacks/config/coral.xml.h:7 hacks/config/critical.xml.h:3
+#: hacks/config/crystal.xml.h:6 hacks/config/cubenetic.xml.h:8
+#: hacks/config/cubestorm.xml.h:4 hacks/config/cynosure.xml.h:4
+#: hacks/config/dangerball.xml.h:3 hacks/config/decayscreen.xml.h:2
+#: hacks/config/deluxe.xml.h:4 hacks/config/demon.xml.h:4
+#: hacks/config/discrete.xml.h:2 hacks/config/distort.xml.h:4
+#: hacks/config/drift.xml.h:3 hacks/config/endgame.xml.h:3
+#: hacks/config/engine.xml.h:8 hacks/config/epicycle.xml.h:5
+#: hacks/config/eruption.xml.h:5 hacks/config/euler2d.xml.h:3
+#: hacks/config/extrusion.xml.h:3 hacks/config/fadeplot.xml.h:4
+#: hacks/config/fireworkx.xml.h:3 hacks/config/flag.xml.h:2
+#: hacks/config/flame.xml.h:6 hacks/config/flipflop.xml.h:1
+#: hacks/config/flipscreen3d.xml.h:1 hacks/config/flow.xml.h:2
+#: hacks/config/fluidballs.xml.h:5 hacks/config/flyingtoasters.xml.h:5
+#: hacks/config/fontglide.xml.h:4 hacks/config/forest.xml.h:1
+#: hacks/config/fuzzyflakes.xml.h:7 hacks/config/galaxy.xml.h:3
+#: hacks/config/gears.xml.h:2 hacks/config/gflux.xml.h:6
+#: hacks/config/glblur.xml.h:4 hacks/config/glforestfire.xml.h:4
+#: hacks/config/glknots.xml.h:3 hacks/config/glmatrix.xml.h:8
+#: hacks/config/glplanet.xml.h:2 hacks/config/glsnake.xml.h:6
+#: hacks/config/gltext.xml.h:3 hacks/config/goop.xml.h:4
+#: hacks/config/grav.xml.h:2 hacks/config/greynetic.xml.h:1
+#: hacks/config/halo.xml.h:2 hacks/config/hopalong.xml.h:9
+#: hacks/config/hyperball.xml.h:2 hacks/config/hypercube.xml.h:2
+#: hacks/config/hypertorus.xml.h:6 hacks/config/ifs.xml.h:1
+#: hacks/config/interference.xml.h:7 hacks/config/intermomentary.xml.h:1
+#: hacks/config/jigglypuff.xml.h:6 hacks/config/jigsaw.xml.h:3
+#: hacks/config/juggle.xml.h:2 hacks/config/julia.xml.h:2
+#: hacks/config/kaleidescope.xml.h:2 hacks/config/klein.xml.h:2
+#: hacks/config/kumppa.xml.h:3 hacks/config/lament.xml.h:2
+#: hacks/config/laser.xml.h:3 hacks/config/lavalite.xml.h:10
+#: hacks/config/lightning.xml.h:1 hacks/config/lisa.xml.h:2
+#: hacks/config/lissie.xml.h:3 hacks/config/lmorph.xml.h:3
+#: hacks/config/loop.xml.h:1 hacks/config/maze.xml.h:4
+#: hacks/config/memscroller.xml.h:5 hacks/config/menger.xml.h:3
+#: hacks/config/metaballs.xml.h:4 hacks/config/mirrorblob.xml.h:12
+#: hacks/config/mismunch.xml.h:2 hacks/config/moebius.xml.h:3
+#: hacks/config/moire2.xml.h:2 hacks/config/molecule.xml.h:10
+#: hacks/config/morph3d.xml.h:3 hacks/config/mountain.xml.h:2
+#: hacks/config/munch.xml.h:3 hacks/config/nerverot.xml.h:9
+#: hacks/config/noof.xml.h:2 hacks/config/pacman.xml.h:1
+#: hacks/config/penetrate.xml.h:3 hacks/config/penrose.xml.h:6
+#: hacks/config/petri.xml.h:5 hacks/config/phosphor.xml.h:4
+#: hacks/config/piecewise.xml.h:4 hacks/config/pinion.xml.h:5
+#: hacks/config/pipes.xml.h:5 hacks/config/polyhedra.xml.h:18
+#: hacks/config/polyominoes.xml.h:2 hacks/config/polytopes.xml.h:11
+#: hacks/config/pong.xml.h:1 hacks/config/popsquares.xml.h:3
+#: hacks/config/providence.xml.h:2 hacks/config/pulsar.xml.h:11
+#: hacks/config/pyro.xml.h:4 hacks/config/qix.xml.h:7
+#: hacks/config/queens.xml.h:1 hacks/config/rd-bomb.xml.h:9
+#: hacks/config/ripples.xml.h:4 hacks/config/rocks.xml.h:4
+#: hacks/config/rotor.xml.h:3 hacks/config/rubik.xml.h:3
+#: hacks/config/sballs.xml.h:4 hacks/config/shadebobs.xml.h:3
+#: hacks/config/sierpinski3d.xml.h:2 hacks/config/sierpinski.xml.h:2
+#: hacks/config/slidescreen.xml.h:2 hacks/config/slip.xml.h:2
+#: hacks/config/speedmine.xml.h:3 hacks/config/spheremonics.xml.h:5
+#: hacks/config/sphere.xml.h:2 hacks/config/spiral.xml.h:3
+#: hacks/config/spotlight.xml.h:2 hacks/config/sproingies.xml.h:2
+#: hacks/config/squiral.xml.h:4 hacks/config/stairs.xml.h:1
+#: hacks/config/starfish.xml.h:3 hacks/config/starwars.xml.h:6
+#: hacks/config/strange.xml.h:1 hacks/config/substrate.xml.h:7
+#: hacks/config/superquadrics.xml.h:4 hacks/config/swirl.xml.h:2
+#: hacks/config/t3d.xml.h:6 hacks/config/thornbird.xml.h:2
+#: hacks/config/triangle.xml.h:1 hacks/config/truchet.xml.h:1
+#: hacks/config/twang.xml.h:3 hacks/config/vines.xml.h:1
+#: hacks/config/wormhole.xml.h:2 hacks/config/worm.xml.h:3
+#: hacks/config/xearth.xml.h:7 hacks/config/xfishtank.xml.h:3
+#: hacks/config/xflame.xml.h:4 hacks/config/xjack.xml.h:1
+#: hacks/config/xmatrix.xml.h:5 hacks/config/xmountains.xml.h:13
+#: hacks/config/xplanet.xml.h:8 hacks/config/xrayswarm.xml.h:2
+#: hacks/config/zoom.xml.h:2
+msgid "Fast"
+msgstr "Fort"
+
+#: hacks/config/anemone.xml.h:4 hacks/config/anemotaxis.xml.h:6
+#: hacks/config/blaster.xml.h:4 hacks/config/bouboule.xml.h:4
+#: hacks/config/coral.xml.h:8 hacks/config/cubenetic.xml.h:9
+#: hacks/config/eruption.xml.h:6 hacks/config/euler2d.xml.h:4
+#: hacks/config/fiberlamp.xml.h:2 hacks/config/flame.xml.h:7
+#: hacks/config/fluidballs.xml.h:6 hacks/config/fuzzyflakes.xml.h:8
+#: hacks/config/kaleidescope.xml.h:3 hacks/config/lisa.xml.h:3
+#: hacks/config/pedal.xml.h:4 hacks/config/petri.xml.h:7
+#: hacks/config/qix.xml.h:8 hacks/config/substrate.xml.h:8
+#: hacks/config/thornbird.xml.h:3 hacks/config/whirlwindwarp.xml.h:1
+#: hacks/config/wormhole.xml.h:3 hacks/config/xfishtank.xml.h:4
+msgid "Few"
+msgstr "F"
+
+#: hacks/config/anemone.xml.h:5 hacks/config/anemotaxis.xml.h:7
+#: hacks/config/ant.xml.h:9 hacks/config/apollonian.xml.h:7
+#: hacks/config/attraction.xml.h:18 hacks/config/blaster.xml.h:6
+#: hacks/config/bouboule.xml.h:5 hacks/config/braid.xml.h:7
+#: hacks/config/coral.xml.h:9 hacks/config/critical.xml.h:4
+#: hacks/config/crystal.xml.h:8 hacks/config/cubenetic.xml.h:13
+#: hacks/config/cynosure.xml.h:6 hacks/config/deco.xml.h:5
+#: hacks/config/deluxe.xml.h:6 hacks/config/demon.xml.h:6
+#: hacks/config/discrete.xml.h:4 hacks/config/drift.xml.h:9
+#: hacks/config/epicycle.xml.h:8 hacks/config/eruption.xml.h:12
+#: hacks/config/euler2d.xml.h:8 hacks/config/fadeplot.xml.h:6
+#: hacks/config/fiberlamp.xml.h:6 hacks/config/flag.xml.h:5
+#: hacks/config/flame.xml.h:11 hacks/config/flow.xml.h:7
+#: hacks/config/fluidballs.xml.h:13 hacks/config/forest.xml.h:3
+#: hacks/config/fuzzyflakes.xml.h:12 hacks/config/galaxy.xml.h:6
+#: hacks/config/grav.xml.h:4 hacks/config/halo.xml.h:4
+#: hacks/config/hopalong.xml.h:15 hacks/config/ifs.xml.h:3
+#: hacks/config/imsmap.xml.h:9 hacks/config/interference.xml.h:14
+#: hacks/config/julia.xml.h:6 hacks/config/kaleidescope.xml.h:5
+#: hacks/config/laser.xml.h:6 hacks/config/lightning.xml.h:3
+#: hacks/config/lisa.xml.h:5 hacks/config/lissie.xml.h:6
+#: hacks/config/loop.xml.h:4 hacks/config/metaballs.xml.h:6
+#: hacks/config/mismunch.xml.h:4 hacks/config/moire2.xml.h:3
+#: hacks/config/moire.xml.h:5 hacks/config/mountain.xml.h:4
+#: hacks/config/nerverot.xml.h:15 hacks/config/pedal.xml.h:6
+#: hacks/config/penrose.xml.h:7 hacks/config/petri.xml.h:11
+#: hacks/config/polyominoes.xml.h:5 hacks/config/qix.xml.h:14
+#: hacks/config/rd-bomb.xml.h:12 hacks/config/ripples.xml.h:7
+#: hacks/config/rocks.xml.h:5 hacks/config/rotor.xml.h:6
+#: hacks/config/shadebobs.xml.h:5 hacks/config/sierpinski.xml.h:4
+#: hacks/config/slip.xml.h:4 hacks/config/sphere.xml.h:3
+#: hacks/config/spiral.xml.h:6 hacks/config/squiral.xml.h:9
+#: hacks/config/starfish.xml.h:5 hacks/config/strange.xml.h:2
+#: hacks/config/swirl.xml.h:3 hacks/config/thornbird.xml.h:4
+#: hacks/config/triangle.xml.h:3 hacks/config/vines.xml.h:2
+#: hacks/config/whirlwindwarp.xml.h:4 hacks/config/worm.xml.h:4
+#: hacks/config/xearth.xml.h:12 hacks/config/xfishtank.xml.h:8
+msgid "Many"
+msgstr "Mange"
+
+#: hacks/config/anemone.xml.h:6 hacks/config/ant.xml.h:11
+#: hacks/config/apollonian.xml.h:8 hacks/config/attraction.xml.h:19
+#: hacks/config/bouboule.xml.h:6 hacks/config/braid.xml.h:9
+#: hacks/config/critical.xml.h:5 hacks/config/crystal.xml.h:10
+#: hacks/config/cynosure.xml.h:7 hacks/config/deco.xml.h:8
+#: hacks/config/deluxe.xml.h:7 hacks/config/demon.xml.h:7
+#: hacks/config/discrete.xml.h:6 hacks/config/drift.xml.h:10
+#: hacks/config/epicycle.xml.h:9 hacks/config/eruption.xml.h:14
+#: hacks/config/euler2d.xml.h:9 hacks/config/fadeplot.xml.h:7
+#: hacks/config/flag.xml.h:6 hacks/config/flame.xml.h:12
+#: hacks/config/flow.xml.h:8 hacks/config/forest.xml.h:4
+#: hacks/config/galaxy.xml.h:7 hacks/config/grav.xml.h:5
+#: hacks/config/halo.xml.h:6 hacks/config/hopalong.xml.h:17
+#: hacks/config/ifs.xml.h:4 hacks/config/imsmap.xml.h:10
+#: hacks/config/interference.xml.h:15 hacks/config/julia.xml.h:7
+#: hacks/config/laser.xml.h:8 hacks/config/lightning.xml.h:4
+#: hacks/config/lisa.xml.h:6 hacks/config/lissie.xml.h:7
+#: hacks/config/loop.xml.h:5 hacks/config/metaballs.xml.h:10
+#: hacks/config/moire2.xml.h:5 hacks/config/moire.xml.h:7
+#: hacks/config/mountain.xml.h:6 hacks/config/penrose.xml.h:8
+#: hacks/config/polyominoes.xml.h:6 hacks/config/popsquares.xml.h:4
+#: hacks/config/rd-bomb.xml.h:13 hacks/config/rocks.xml.h:6
+#: hacks/config/rotor.xml.h:7 hacks/config/shadebobs.xml.h:6
+#: hacks/config/sierpinski.xml.h:5 hacks/config/slip.xml.h:5
+#: hacks/config/sphere.xml.h:4 hacks/config/spiral.xml.h:8
+#: hacks/config/squiral.xml.h:10 hacks/config/starfish.xml.h:6
+#: hacks/config/strange.xml.h:3 hacks/config/swirl.xml.h:5
+#: hacks/config/thornbird.xml.h:5 hacks/config/triangle.xml.h:4
+#: hacks/config/vines.xml.h:3 hacks/config/worm.xml.h:5
+#: hacks/config/xearth.xml.h:17 hacks/config/xfishtank.xml.h:9
+msgid "Number of Colors"
+msgstr "Antall farger"
+
+#: hacks/config/anemone.xml.h:7 hacks/config/fireflies.xml.h:32
+#: hacks/config/pyro.xml.h:8
+msgid "Often"
+msgstr "Ofte"
+
+#: hacks/config/anemone.xml.h:8
+msgid "Rarely"
+msgstr ""
+
+#: hacks/config/anemone.xml.h:9 hacks/config/anemotaxis.xml.h:10
+#: hacks/config/antinspect.xml.h:6 hacks/config/antspotlight.xml.h:5
+#: hacks/config/ant.xml.h:15 hacks/config/apollonian.xml.h:11
+#: hacks/config/atlantis.xml.h:13 hacks/config/attraction.xml.h:26
+#: hacks/config/atunnel.xml.h:6 hacks/config/barcode.xml.h:6
+#: hacks/config/blaster.xml.h:8 hacks/config/blinkbox.xml.h:7
+#: hacks/config/blitspin.xml.h:7 hacks/config/blocktube.xml.h:9
+#: hacks/config/boing.xml.h:10 hacks/config/bouboule.xml.h:8
+#: hacks/config/bouncingcow.xml.h:10 hacks/config/boxed.xml.h:7
+#: hacks/config/boxfit.xml.h:10 hacks/config/braid.xml.h:11
+#: hacks/config/bubble3d.xml.h:5 hacks/config/bubbles.xml.h:10
+#: hacks/config/bumps.xml.h:4 hacks/config/cage.xml.h:4
+#: hacks/config/carousel.xml.h:14 hacks/config/circuit.xml.h:10
+#: hacks/config/cloudlife.xml.h:11 hacks/config/compass.xml.h:4
+#: hacks/config/coral.xml.h:12 hacks/config/critical.xml.h:6
+#: hacks/config/crystal.xml.h:11 hacks/config/cubenetic.xml.h:22
+#: hacks/config/cubestorm.xml.h:8 hacks/config/cynosure.xml.h:9
+#: hacks/config/dangerball.xml.h:5 hacks/config/decayscreen.xml.h:17
+#: hacks/config/deluxe.xml.h:8 hacks/config/demon.xml.h:8
+#: hacks/config/discrete.xml.h:7 hacks/config/distort.xml.h:11
+#: hacks/config/drift.xml.h:12 hacks/config/endgame.xml.h:5
+#: hacks/config/engine.xml.h:15 hacks/config/epicycle.xml.h:10
+#: hacks/config/eruption.xml.h:19 hacks/config/euler2d.xml.h:14
+#: hacks/config/extrusion.xml.h:11 hacks/config/fadeplot.xml.h:8
+#: hacks/config/fireworkx.xml.h:9 hacks/config/flag.xml.h:7
+#: hacks/config/flame.xml.h:14 hacks/config/flipflop.xml.h:5
+#: hacks/config/flipscreen3d.xml.h:6 hacks/config/flow.xml.h:10
+#: hacks/config/fluidballs.xml.h:18 hacks/config/flyingtoasters.xml.h:11
+#: hacks/config/fontglide.xml.h:13 hacks/config/forest.xml.h:5
+#: hacks/config/fuzzyflakes.xml.h:15 hacks/config/galaxy.xml.h:11
+#: hacks/config/gears.xml.h:7 hacks/config/gflux.xml.h:12
+#: hacks/config/glblur.xml.h:14 hacks/config/glforestfire.xml.h:14
+#: hacks/config/glknots.xml.h:17 hacks/config/glmatrix.xml.h:18
+#: hacks/config/glplanet.xml.h:8 hacks/config/glsnake.xml.h:12
+#: hacks/config/gltext.xml.h:13 hacks/config/goop.xml.h:10
+#: hacks/config/grav.xml.h:8 hacks/config/greynetic.xml.h:3
+#: hacks/config/halo.xml.h:10 hacks/config/hopalong.xml.h:21
+#: hacks/config/hyperball.xml.h:8 hacks/config/hypercube.xml.h:7
+#: hacks/config/hypertorus.xml.h:13 hacks/config/ifs.xml.h:5
+#: hacks/config/interference.xml.h:17 hacks/config/intermomentary.xml.h:4
+#: hacks/config/jigglypuff.xml.h:16 hacks/config/jigsaw.xml.h:5
+#: hacks/config/juggle.xml.h:8 hacks/config/julia.xml.h:8
+#: hacks/config/kaleidescope.xml.h:7 hacks/config/klein.xml.h:7
+#: hacks/config/kumppa.xml.h:8 hacks/config/lament.xml.h:6
+#: hacks/config/laser.xml.h:10 hacks/config/lavalite.xml.h:27
+#: hacks/config/lightning.xml.h:5 hacks/config/lisa.xml.h:8
+#: hacks/config/lissie.xml.h:9 hacks/config/lmorph.xml.h:11
+#: hacks/config/loop.xml.h:7 hacks/config/maze.xml.h:14
+#: hacks/config/memscroller.xml.h:7 hacks/config/menger.xml.h:16
+#: hacks/config/metaballs.xml.h:13 hacks/config/mirrorblob.xml.h:19
+#: hacks/config/mismunch.xml.h:10 hacks/config/moebius.xml.h:7
+#: hacks/config/moire2.xml.h:6 hacks/config/molecule.xml.h:22
+#: hacks/config/morph3d.xml.h:6 hacks/config/mountain.xml.h:7
+#: hacks/config/munch.xml.h:7 hacks/config/nerverot.xml.h:20
+#: hacks/config/noof.xml.h:5 hacks/config/pacman.xml.h:5
+#: hacks/config/penetrate.xml.h:6 hacks/config/penrose.xml.h:11
+#: hacks/config/petri.xml.h:23 hacks/config/phosphor.xml.h:7
+#: hacks/config/piecewise.xml.h:9 hacks/config/pinion.xml.h:13
+#: hacks/config/pipes.xml.h:15 hacks/config/polyhedra.xml.h:119
+#: hacks/config/polyominoes.xml.h:10 hacks/config/polytopes.xml.h:20
+#: hacks/config/pong.xml.h:4 hacks/config/popsquares.xml.h:5
+#: hacks/config/providence.xml.h:5 hacks/config/pulsar.xml.h:15
+#: hacks/config/pyro.xml.h:13 hacks/config/qix.xml.h:19
+#: hacks/config/queens.xml.h:4 hacks/config/rd-bomb.xml.h:17
+#: hacks/config/ripples.xml.h:11 hacks/config/rocks.xml.h:9
+#: hacks/config/rotor.xml.h:11 hacks/config/rubik.xml.h:9
+#: hacks/config/sballs.xml.h:13 hacks/config/shadebobs.xml.h:9
+#: hacks/config/sierpinski3d.xml.h:8 hacks/config/sierpinski.xml.h:7
+#: hacks/config/slidescreen.xml.h:6 hacks/config/slip.xml.h:7
+#: hacks/config/speedmine.xml.h:13 hacks/config/spheremonics.xml.h:19
+#: hacks/config/sphere.xml.h:5 hacks/config/spiral.xml.h:9
+#: hacks/config/spotlight.xml.h:4 hacks/config/sproingies.xml.h:6
+#: hacks/config/squiral.xml.h:14 hacks/config/stairs.xml.h:3
+#: hacks/config/starfish.xml.h:8 hacks/config/starwars.xml.h:12
+#: hacks/config/strange.xml.h:4 hacks/config/substrate.xml.h:15
+#: hacks/config/superquadrics.xml.h:8 hacks/config/swirl.xml.h:6
+#: hacks/config/t3d.xml.h:11 hacks/config/thornbird.xml.h:7
+#: hacks/config/triangle.xml.h:5 hacks/config/truchet.xml.h:2
+#: hacks/config/twang.xml.h:9 hacks/config/vines.xml.h:4
+#: hacks/config/wormhole.xml.h:5 hacks/config/worm.xml.h:7
+#: hacks/config/xearth.xml.h:22 hacks/config/xfishtank.xml.h:10
+#: hacks/config/xflame.xml.h:5 hacks/config/xjack.xml.h:2
+#: hacks/config/xmatrix.xml.h:15 hacks/config/xplanet.xml.h:59
+#: hacks/config/xrayswarm.xml.h:3 hacks/config/zoom.xml.h:6
+msgid "Slow"
+msgstr "Sakte"
+
+#: hacks/config/anemone.xml.h:10 hacks/config/anemotaxis.xml.h:12
+#: hacks/config/antinspect.xml.h:7 hacks/config/antspotlight.xml.h:6
+#: hacks/config/ant.xml.h:17 hacks/config/apollonian.xml.h:12
+#: hacks/config/attraction.xml.h:28 hacks/config/atunnel.xml.h:7
+#: hacks/config/barcode.xml.h:7 hacks/config/blaster.xml.h:9
+#: hacks/config/blinkbox.xml.h:8 hacks/config/blocktube.xml.h:11
+#: hacks/config/boing.xml.h:12 hacks/config/bouboule.xml.h:9
+#: hacks/config/boxfit.xml.h:12 hacks/config/braid.xml.h:12
+#: hacks/config/bubble3d.xml.h:6 hacks/config/bubbles.xml.h:11
+#: hacks/config/bumps.xml.h:5 hacks/config/cage.xml.h:6
+#: hacks/config/circuit.xml.h:11 hacks/config/cloudlife.xml.h:13
+#: hacks/config/compass.xml.h:5 hacks/config/coral.xml.h:14
+#: hacks/config/critical.xml.h:7 hacks/config/crystal.xml.h:12
+#: hacks/config/cubenetic.xml.h:24 hacks/config/cynosure.xml.h:10
+#: hacks/config/dangerball.xml.h:6 hacks/config/decayscreen.xml.h:18
+#: hacks/config/deluxe.xml.h:9 hacks/config/demon.xml.h:10
+#: hacks/config/discrete.xml.h:9 hacks/config/distort.xml.h:13
+#: hacks/config/drift.xml.h:13 hacks/config/endgame.xml.h:6
+#: hacks/config/engine.xml.h:16 hacks/config/epicycle.xml.h:11
+#: hacks/config/eruption.xml.h:20 hacks/config/euler2d.xml.h:15
+#: hacks/config/extrusion.xml.h:13 hacks/config/fadeplot.xml.h:10
+#: hacks/config/fireworkx.xml.h:11 hacks/config/flag.xml.h:9
+#: hacks/config/flame.xml.h:15 hacks/config/flipflop.xml.h:7
+#: hacks/config/flipscreen3d.xml.h:7 hacks/config/flow.xml.h:12
+#: hacks/config/fluidballs.xml.h:20 hacks/config/forest.xml.h:6
+#: hacks/config/fuzzyflakes.xml.h:17 hacks/config/galaxy.xml.h:12
+#: hacks/config/glblur.xml.h:17 hacks/config/glforestfire.xml.h:15
+#: hacks/config/glplanet.xml.h:10 hacks/config/gltext.xml.h:15
+#: hacks/config/goop.xml.h:11 hacks/config/grav.xml.h:9
+#: hacks/config/greynetic.xml.h:4 hacks/config/halo.xml.h:11
+#: hacks/config/hopalong.xml.h:23 hacks/config/hyperball.xml.h:9
+#: hacks/config/hypercube.xml.h:8 hacks/config/ifs.xml.h:6
+#: hacks/config/intermomentary.xml.h:5 hacks/config/jigsaw.xml.h:7
+#: hacks/config/juggle.xml.h:9 hacks/config/julia.xml.h:10
+#: hacks/config/kaleidescope.xml.h:8 hacks/config/klein.xml.h:8
+#: hacks/config/kumppa.xml.h:9 hacks/config/lament.xml.h:7
+#: hacks/config/laser.xml.h:11 hacks/config/lavalite.xml.h:30
+#: hacks/config/lightning.xml.h:6 hacks/config/lisa.xml.h:9
+#: hacks/config/lissie.xml.h:11 hacks/config/lmorph.xml.h:12
+#: hacks/config/loop.xml.h:9 hacks/config/memscroller.xml.h:8
+#: hacks/config/menger.xml.h:18 hacks/config/metaballs.xml.h:15
+#: hacks/config/mirrorblob.xml.h:21 hacks/config/mismunch.xml.h:12
+#: hacks/config/moebius.xml.h:10 hacks/config/moire2.xml.h:7
+#: hacks/config/molecule.xml.h:24 hacks/config/morph3d.xml.h:7
+#: hacks/config/mountain.xml.h:8 hacks/config/munch.xml.h:9
+#: hacks/config/nerverot.xml.h:22 hacks/config/noof.xml.h:6
+#: hacks/config/pacman.xml.h:6 hacks/config/penrose.xml.h:12
+#: hacks/config/petri.xml.h:25 hacks/config/phosphor.xml.h:8
+#: hacks/config/piecewise.xml.h:11 hacks/config/pipes.xml.h:16
+#: hacks/config/polyominoes.xml.h:11 hacks/config/pong.xml.h:5
+#: hacks/config/popsquares.xml.h:6 hacks/config/providence.xml.h:6
+#: hacks/config/pulsar.xml.h:17 hacks/config/qix.xml.h:22
+#: hacks/config/queens.xml.h:6 hacks/config/rotor.xml.h:12
+#: hacks/config/rubik.xml.h:11 hacks/config/sballs.xml.h:14
+#: hacks/config/shadebobs.xml.h:10 hacks/config/sierpinski3d.xml.h:10
+#: hacks/config/sierpinski.xml.h:9 hacks/config/slidescreen.xml.h:7
+#: hacks/config/slip.xml.h:9 hacks/config/speedmine.xml.h:15
+#: hacks/config/spheremonics.xml.h:22 hacks/config/sphere.xml.h:6
+#: hacks/config/spiral.xml.h:10 hacks/config/spotlight.xml.h:5
+#: hacks/config/sproingies.xml.h:8 hacks/config/squiral.xml.h:16
+#: hacks/config/stairs.xml.h:5 hacks/config/starfish.xml.h:9
+#: hacks/config/strange.xml.h:5 hacks/config/substrate.xml.h:16
+#: hacks/config/superquadrics.xml.h:10 hacks/config/swirl.xml.h:7
+#: hacks/config/t3d.xml.h:13 hacks/config/thornbird.xml.h:8
+#: hacks/config/triangle.xml.h:6 hacks/config/truchet.xml.h:3
+#: hacks/config/twang.xml.h:10 hacks/config/vines.xml.h:5
+#: hacks/config/whirlygig.xml.h:13 hacks/config/worm.xml.h:8
+#: hacks/config/xearth.xml.h:25 hacks/config/xflame.xml.h:6
+#: hacks/config/xjack.xml.h:3 hacks/config/xmatrix.xml.h:18
+#: hacks/config/xplanet.xml.h:60 hacks/config/xrayswarm.xml.h:4
+#: hacks/config/zoom.xml.h:7
+msgid "Speed"
+msgstr "Hastighet"
+
+#: hacks/config/anemone.xml.h:11
+msgid "Tentacles"
+msgstr "Tentakler"
+
+#: hacks/config/anemone.xml.h:12 hacks/config/cubestorm.xml.h:11
+#: hacks/config/deluxe.xml.h:10 hacks/config/fuzzyflakes.xml.h:18
+#: hacks/config/glknots.xml.h:19 hacks/config/lmorph.xml.h:13
+#: hacks/config/pong.xml.h:7 hacks/config/starfish.xml.h:11
+#: hacks/config/thornbird.xml.h:9
+msgid "Thick"
+msgstr "Tykk"
+
+#: hacks/config/anemone.xml.h:13 hacks/config/fuzzyflakes.xml.h:19
+#: hacks/config/glknots.xml.h:20 hacks/config/moire2.xml.h:8
+#: hacks/config/thornbird.xml.h:10
+msgid "Thickness"
+msgstr "Tykkhet"
+
+#: hacks/config/anemone.xml.h:14 hacks/config/cubestorm.xml.h:12
+#: hacks/config/deluxe.xml.h:11 hacks/config/fuzzyflakes.xml.h:20
+#: hacks/config/glknots.xml.h:21 hacks/config/lmorph.xml.h:14
+#: hacks/config/pong.xml.h:8 hacks/config/starfish.xml.h:12
+#: hacks/config/thornbird.xml.h:11
+msgid "Thin"
+msgstr "Tynn"
+
+#: hacks/config/anemone.xml.h:15
+msgid "Turn speed"
+msgstr ""
+
+#: hacks/config/anemone.xml.h:16 hacks/config/ant.xml.h:22
+#: hacks/config/apollonian.xml.h:13 hacks/config/attraction.xml.h:32
+#: hacks/config/bouboule.xml.h:11 hacks/config/braid.xml.h:13
+#: hacks/config/critical.xml.h:8 hacks/config/crystal.xml.h:13
+#: hacks/config/cynosure.xml.h:11 hacks/config/deco.xml.h:10
+#: hacks/config/deluxe.xml.h:14 hacks/config/demon.xml.h:13
+#: hacks/config/discrete.xml.h:11 hacks/config/drift.xml.h:14
+#: hacks/config/epicycle.xml.h:13 hacks/config/euler2d.xml.h:17
+#: hacks/config/fadeplot.xml.h:12 hacks/config/flag.xml.h:13
+#: hacks/config/flame.xml.h:16 hacks/config/flow.xml.h:15
+#: hacks/config/forest.xml.h:8 hacks/config/galaxy.xml.h:14
+#: hacks/config/grav.xml.h:11 hacks/config/halo.xml.h:13
+#: hacks/config/hopalong.xml.h:25 hacks/config/ifs.xml.h:8
+#: hacks/config/imsmap.xml.h:15 hacks/config/interference.xml.h:19
+#: hacks/config/julia.xml.h:12 hacks/config/laser.xml.h:12
+#: hacks/config/lightning.xml.h:8 hacks/config/lisa.xml.h:12
+#: hacks/config/lissie.xml.h:13 hacks/config/loop.xml.h:12
+#: hacks/config/metaballs.xml.h:16 hacks/config/moire2.xml.h:9
+#: hacks/config/moire.xml.h:11 hacks/config/mountain.xml.h:9
+#: hacks/config/nerverot.xml.h:23 hacks/config/penrose.xml.h:13
+#: hacks/config/polyominoes.xml.h:12 hacks/config/rd-bomb.xml.h:20
+#: hacks/config/rocks.xml.h:12 hacks/config/rotor.xml.h:13
+#: hacks/config/shadebobs.xml.h:12 hacks/config/sierpinski.xml.h:12
+#: hacks/config/slip.xml.h:12 hacks/config/sphere.xml.h:8
+#: hacks/config/spiral.xml.h:12 hacks/config/squiral.xml.h:18
+#: hacks/config/starfish.xml.h:14 hacks/config/strange.xml.h:8
+#: hacks/config/swirl.xml.h:9 hacks/config/thornbird.xml.h:13
+#: hacks/config/triangle.xml.h:8 hacks/config/vines.xml.h:7
+#: hacks/config/worm.xml.h:9 hacks/config/xearth.xml.h:28
+#: hacks/config/xfishtank.xml.h:11
+msgid "Two"
+msgstr "To"
+
+#: hacks/config/anemone.xml.h:17
+msgid "Wiggling tentacles. By Gabriel Finch."
+msgstr ""
+
+#: hacks/config/anemone.xml.h:18
+msgid "Withdraw freqency"
+msgstr ""
+
+#: hacks/config/anemotaxis.xml.h:1
+#, fuzzy
+msgid "Anemotaxis"
+msgstr "Xfjell"
+
+#: hacks/config/anemotaxis.xml.h:2
+msgid ""
+"Anemotaxis demonstrates a search algorithm designed for locating a source of "
+"odor in turbulent atmosphere. The searcher is able to sense the odor and "
+"determine local instantaneous wind direction. The goal is to find the source "
+"in the shortest mean time. Written by Eugene Balkovsky."
+msgstr ""
+
+#: hacks/config/anemotaxis.xml.h:3
+#, fuzzy
+msgid "Distance"
+msgstr "Diskre"
+
+#: hacks/config/anemotaxis.xml.h:4 hacks/config/hyperball.xml.h:1
+#: hacks/config/hypercube.xml.h:1
+msgid "Far"
+msgstr "Fjern"
+
+#: hacks/config/anemotaxis.xml.h:8 hacks/config/hyperball.xml.h:7
+#: hacks/config/hypercube.xml.h:6
+msgid "Near"
+msgstr "Nr"
+
+#: hacks/config/anemotaxis.xml.h:9
+msgid "Searchers"
+msgstr ""
+
+#: hacks/config/anemotaxis.xml.h:11
+#, fuzzy
+msgid "Sources"
+msgstr "Sprett"
+
+#: hacks/config/antinspect.xml.h:1
+msgid "AntInspect"
+msgstr ""
+
+#: hacks/config/antinspect.xml.h:2
+#, fuzzy
+msgid "Draw Shadows"
+msgstr "Tegn flekker"
+
+#: hacks/config/antinspect.xml.h:3
+msgid ""
+"Draws a trio of ants moving their spheres around a circle. Written by Blair "
+"Tennessy."
+msgstr ""
+
+#: hacks/config/antinspect.xml.h:5 hacks/config/antspotlight.xml.h:4
+#: hacks/config/atlantis.xml.h:11 hacks/config/atunnel.xml.h:5
+#: hacks/config/blocktube.xml.h:8 hacks/config/boing.xml.h:8
+#: hacks/config/boxed.xml.h:6 hacks/config/bubble3d.xml.h:4
+#: hacks/config/cage.xml.h:3 hacks/config/carousel.xml.h:12
+#: hacks/config/circuit.xml.h:9 hacks/config/cubenetic.xml.h:21
+#: hacks/config/cubestorm.xml.h:7 hacks/config/dangerball.xml.h:4
+#: hacks/config/endgame.xml.h:4 hacks/config/engine.xml.h:14
+#: hacks/config/extrusion.xml.h:10 hacks/config/flipflop.xml.h:4
+#: hacks/config/flipscreen3d.xml.h:5 hacks/config/fluidballs.xml.h:17
+#: hacks/config/flurry.xml.h:9 hacks/config/flyingtoasters.xml.h:10
+#: hacks/config/gears.xml.h:6 hacks/config/gflux.xml.h:11
+#: hacks/config/glblur.xml.h:13 hacks/config/gleidescope.xml.h:10
+#: hacks/config/glforestfire.xml.h:13 hacks/config/glknots.xml.h:16
+#: hacks/config/glmatrix.xml.h:17 hacks/config/glplanet.xml.h:7
+#: hacks/config/glslideshow.xml.h:19 hacks/config/glsnake.xml.h:10
+#: hacks/config/gltext.xml.h:12 hacks/config/hypertorus.xml.h:12
+#: hacks/config/jigglypuff.xml.h:15 hacks/config/klein.xml.h:6
+#: hacks/config/lament.xml.h:5 hacks/config/lavalite.xml.h:26
+#: hacks/config/menger.xml.h:15 hacks/config/mirrorblob.xml.h:18
+#: hacks/config/moebius.xml.h:6 hacks/config/molecule.xml.h:21
+#: hacks/config/morph3d.xml.h:5 hacks/config/noof.xml.h:4
+#: hacks/config/pinion.xml.h:12 hacks/config/pipes.xml.h:14
+#: hacks/config/polyhedra.xml.h:118 hacks/config/polytopes.xml.h:18
+#: hacks/config/providence.xml.h:4 hacks/config/pulsar.xml.h:14
+#: hacks/config/queens.xml.h:3 hacks/config/rubik.xml.h:6
+#: hacks/config/sballs.xml.h:12 hacks/config/sierpinski3d.xml.h:6
+#: hacks/config/spheremonics.xml.h:18 hacks/config/sproingies.xml.h:4
+#: hacks/config/stairs.xml.h:2 hacks/config/starwars.xml.h:11
+#: hacks/config/superquadrics.xml.h:7
+msgid "Show Frames-per-Second"
+msgstr ""
+
+#: hacks/config/antspotlight.xml.h:1
+#, fuzzy
+msgid "AntSpotlight"
+msgstr "Flgelys"
+
+#: hacks/config/antspotlight.xml.h:2
+msgid ""
+"Antspotlight draws an ant (with a headlight) who walks on top of an image of "
+"your desktop or other image. Written by Blair Tennessy."
+msgstr ""
+
+#: hacks/config/ant.xml.h:1
+msgid ""
+"A cellular automaton that is really a two-dimensional Turing machine: as the "
+"heads (``ants'') walk along the screen, they change pixel values in their "
+"path. Then, as they pass over changed pixels, their behavior is influenced. "
+"Written by David Bagley."
+msgstr ""
+
+#: hacks/config/ant.xml.h:2
+msgid "Ant"
+msgstr "Maur"
+
+#: hacks/config/ant.xml.h:3
+msgid "Ant Size"
+msgstr "Strrelse p maur"
+
+#: hacks/config/ant.xml.h:4
+msgid "Ants Count"
+msgstr "Antall maur"
+
+#: hacks/config/ant.xml.h:5
+#, fuzzy
+msgid "Draw Eyes"
+msgstr "Tegn etiketter"
+
+#: hacks/config/ant.xml.h:7
+msgid "Four Sided Cells"
+msgstr "Firesidede celler"
+
+#: hacks/config/ant.xml.h:8 hacks/config/attraction.xml.h:13
+#: hacks/config/cloudlife.xml.h:7 hacks/config/cubenetic.xml.h:11
+#: hacks/config/demon.xml.h:5 hacks/config/discrete.xml.h:3
+#: hacks/config/distort.xml.h:5 hacks/config/fadeplot.xml.h:5
+#: hacks/config/flag.xml.h:4 hacks/config/flow.xml.h:4
+#: hacks/config/fluidballs.xml.h:12 hacks/config/fuzzyflakes.xml.h:10
+#: hacks/config/gleidescope.xml.h:7 hacks/config/halftone.xml.h:8
+#: hacks/config/hopalong.xml.h:13 hacks/config/interference.xml.h:11
+#: hacks/config/julia.xml.h:5 hacks/config/lissie.xml.h:4
+#: hacks/config/loop.xml.h:2 hacks/config/moire.xml.h:4
+#: hacks/config/piecewise.xml.h:5 hacks/config/rd-bomb.xml.h:11
+#: hacks/config/rorschach.xml.h:5 hacks/config/rubik.xml.h:4
+#: hacks/config/sierpinski.xml.h:3 hacks/config/slip.xml.h:3
+msgid "Large"
+msgstr "Stor"
+
+#: hacks/config/ant.xml.h:10
+msgid "Nine Sided Cells"
+msgstr "Nisidede celler"
+
+#: hacks/config/ant.xml.h:12
+msgid "Random Cell Shape"
+msgstr "Tilfeldig form p celler"
+
+#: hacks/config/ant.xml.h:13 hacks/config/speedmine.xml.h:11
+msgid "Sharp Turns"
+msgstr "Skarpe svinger"
+
+#: hacks/config/ant.xml.h:14
+msgid "Six Sided Cells"
+msgstr "Sekssidede celler"
+
+#: hacks/config/ant.xml.h:16 hacks/config/attraction.xml.h:27
+#: hacks/config/cloudlife.xml.h:12 hacks/config/cubenetic.xml.h:23
+#: hacks/config/demon.xml.h:9 hacks/config/discrete.xml.h:8
+#: hacks/config/distort.xml.h:12 hacks/config/fadeplot.xml.h:9
+#: hacks/config/flag.xml.h:8 hacks/config/flow.xml.h:11
+#: hacks/config/fluidballs.xml.h:19 hacks/config/fuzzyflakes.xml.h:16
+#: hacks/config/gleidescope.xml.h:12 hacks/config/halftone.xml.h:14
+#: hacks/config/hopalong.xml.h:22 hacks/config/interference.xml.h:18
+#: hacks/config/julia.xml.h:9 hacks/config/lissie.xml.h:10
+#: hacks/config/loop.xml.h:8 hacks/config/metaballs.xml.h:14
+#: hacks/config/moire.xml.h:9 hacks/config/piecewise.xml.h:10
+#: hacks/config/rd-bomb.xml.h:18 hacks/config/rorschach.xml.h:8
+#: hacks/config/rubik.xml.h:10 hacks/config/sierpinski.xml.h:8
+#: hacks/config/slip.xml.h:8
+msgid "Small"
+msgstr "Liten"
+
+#: hacks/config/ant.xml.h:18
+msgid "Three Sided Cells"
+msgstr "Tresidede celler"
+
+#: hacks/config/ant.xml.h:19 hacks/config/demon.xml.h:12
+#: hacks/config/discrete.xml.h:10 hacks/config/fadeplot.xml.h:11
+#: hacks/config/flag.xml.h:12 hacks/config/flow.xml.h:14
+#: hacks/config/lissie.xml.h:12 hacks/config/loop.xml.h:11
+#: hacks/config/rubik.xml.h:12 hacks/config/sierpinski.xml.h:11
+#: hacks/config/slip.xml.h:11
+msgid "Timeout"
+msgstr "Tidsavbrudd"
+
+#: hacks/config/ant.xml.h:20
+msgid "Truchet Lines"
+msgstr "Truchet-linjer"
+
+#: hacks/config/ant.xml.h:21
+msgid "Twelve Sided Cells"
+msgstr "Tolvsidede celler"
+
+#: hacks/config/apollonian.xml.h:1
+msgid "Apollonian"
+msgstr ""
+
+#: hacks/config/apollonian.xml.h:2
+msgid "Deep"
+msgstr "Dyp"
+
+#: hacks/config/apollonian.xml.h:3
+msgid "Depth"
+msgstr "Dybde"
+
+#: hacks/config/apollonian.xml.h:4
+msgid "Draw Labels"
+msgstr "Tegn etiketter"
+
+#: hacks/config/apollonian.xml.h:6
+msgid "Include Alternate Geometries"
+msgstr ""
+
+#: hacks/config/apollonian.xml.h:9
+msgid ""
+"Packs a large circle with smaller circles, demonstrating the Descartes "
+"Circle Theorem. Written by Allan R. Wilks and David Bagley."
+msgstr ""
+
+#: hacks/config/apollonian.xml.h:10
+msgid "Shallow"
+msgstr "Grunn"
+
+#: hacks/config/apple2.xml.h:1
+msgid "Apple ]["
+msgstr ""
+
+#: hacks/config/apple2.xml.h:2
+msgid "Basic Programming Mode"
+msgstr ""
+
+#: hacks/config/apple2.xml.h:3 hacks/config/halo.xml.h:8
+#: hacks/config/imsmap.xml.h:11
+msgid "Random Mode"
+msgstr "Tilfeldig modus"
+
+#: hacks/config/apple2.xml.h:4
+msgid ""
+"Simulates an original Apple ][ Plus computer in all its 1979 glory. It also "
+"reproduces the appearance of display on a color television set of the "
+"period. In \"Text Mode\", it displays the output of a command (e.g., "
+"\"fortune\".) In \"Slideshow Mode\", it chooses a number of images from the "
+"image source you configured into XScreenSaver and displays them within the "
+"limitations of the Apple ][ display hardware. (Six available colors in hi-"
+"res mode!) In \"Basic Programming Mode\", a simulated user types in a BASIC "
+"program and runs it. By Trevor Blackwell."
+msgstr ""
+
+#: hacks/config/apple2.xml.h:5
+msgid "Slideshow Mode"
+msgstr ""
+
+#: hacks/config/apple2.xml.h:6
+#, fuzzy
+msgid "Text Mode"
+msgstr "Tekstfil"
+
+#: hacks/config/apple2.xml.h:7 hacks/config/fontglide.xml.h:15
+#: hacks/config/noseguy.xml.h:7 hacks/config/phosphor.xml.h:9
+#: hacks/config/starwars.xml.h:17
+msgid "Text Program"
+msgstr "Tekstprogram"
+
+#: hacks/config/atlantis.xml.h:1
+msgid "Agressive"
+msgstr "Agressiv"
+
+#: hacks/config/atlantis.xml.h:2
+msgid "Atlantis"
+msgstr "Atlantis"
+
+#: hacks/config/atlantis.xml.h:3
+msgid "Clear Water"
+msgstr "Klart vann"
+
+#: hacks/config/atlantis.xml.h:5
+msgid "Flat Background"
+msgstr "Flat bakgrunn"
+
+#: hacks/config/atlantis.xml.h:6
+msgid "Gradient Background"
+msgstr "Gradient bakgrunn"
+
+#: hacks/config/atlantis.xml.h:7
+msgid "Number of Sharks"
+msgstr "Antall haier"
+
+#: hacks/config/atlantis.xml.h:8
+msgid "Shark Proximity"
+msgstr "Haiens nrhet"
+
+#: hacks/config/atlantis.xml.h:9
+msgid "Shark Speed"
+msgstr "Haiens hastighet"
+
+#: hacks/config/atlantis.xml.h:10
+msgid "Shimmering Water"
+msgstr ""
+
+#: hacks/config/atlantis.xml.h:12
+msgid "Shy"
+msgstr "Sky"
+
+#: hacks/config/atlantis.xml.h:14 hacks/config/cage.xml.h:5
+#: hacks/config/extrusion.xml.h:12 hacks/config/gears.xml.h:8
+#: hacks/config/glblur.xml.h:15 hacks/config/glplanet.xml.h:9
+#: hacks/config/glsnake.xml.h:13 hacks/config/gltext.xml.h:14
+#: hacks/config/menger.xml.h:17 hacks/config/mismunch.xml.h:11
+#: hacks/config/molecule.xml.h:23 hacks/config/munch.xml.h:8
+#: hacks/config/sierpinski3d.xml.h:9 hacks/config/speedmine.xml.h:14
+#: hacks/config/spheremonics.xml.h:21 hacks/config/sproingies.xml.h:7
+#: hacks/config/stairs.xml.h:4 hacks/config/stonerview.xml.h:2
+#: hacks/config/superquadrics.xml.h:9 hacks/config/webcollage.xml.h:8
+msgid "Solid"
+msgstr "Helfylt"
+
+#: hacks/config/atlantis.xml.h:15
+msgid ""
+"This is xfishtank writ large: a GL animation of a number of sharks, "
+"dolphins, and whales. The swimming motions are great. Originally written by "
+"Mark Kilgard."
+msgstr ""
+
+#: hacks/config/atlantis.xml.h:16
+msgid "Whale Speed"
+msgstr "Hvalens hastighet"
+
+#: hacks/config/atlantis.xml.h:17 hacks/config/atunnel.xml.h:10
+#: hacks/config/blinkbox.xml.h:9 hacks/config/blocktube.xml.h:13
+#: hacks/config/boing.xml.h:15 hacks/config/cage.xml.h:8
+#: hacks/config/cubestorm.xml.h:14 hacks/config/dangerball.xml.h:11
+#: hacks/config/extrusion.xml.h:19 hacks/config/flipflop.xml.h:8
+#: hacks/config/flyingtoasters.xml.h:14 hacks/config/gears.xml.h:11
+#: hacks/config/glblur.xml.h:20 hacks/config/glforestfire.xml.h:20
+#: hacks/config/glknots.xml.h:23 hacks/config/glplanet.xml.h:15
+#: hacks/config/glsnake.xml.h:15 hacks/config/gltext.xml.h:18
+#: hacks/config/jigglypuff.xml.h:25 hacks/config/lament.xml.h:9
+#: hacks/config/lavalite.xml.h:32 hacks/config/menger.xml.h:21
+#: hacks/config/mirrorblob.xml.h:24 hacks/config/moebius.xml.h:11
+#: hacks/config/molecule.xml.h:26 hacks/config/pinion.xml.h:15
+#: hacks/config/polyhedra.xml.h:173 hacks/config/pulsar.xml.h:20
+#: hacks/config/sballs.xml.h:18 hacks/config/sierpinski3d.xml.h:12
+#: hacks/config/speedmine.xml.h:18 hacks/config/spheremonics.xml.h:26
+#: hacks/config/sproingies.xml.h:10 hacks/config/stairs.xml.h:7
+#: hacks/config/stonerview.xml.h:4 hacks/config/superquadrics.xml.h:12
+msgid "Wireframe"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:1
+msgid "Attraction"
+msgstr "Tiltrekning"
+
+#: hacks/config/attraction.xml.h:2
+msgid "Ball Count"
+msgstr "Antall baller"
+
+#: hacks/config/attraction.xml.h:3
+msgid "Ball Mass"
+msgstr "Ballens masse"
+
+#: hacks/config/attraction.xml.h:4 hacks/config/fluidballs.xml.h:3
+msgid "Balls"
+msgstr "Baller"
+
+#: hacks/config/attraction.xml.h:5
+msgid "Bounce Off Walls"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:6 hacks/config/hopalong.xml.h:1
+#: hacks/config/interference.xml.h:5 hacks/config/qix.xml.h:2
+#: hacks/config/wander.xml.h:3
+msgid "Color Contrast"
+msgstr "Fargekontrast"
+
+#: hacks/config/attraction.xml.h:7
+msgid "Environmental Viscosity"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:9
+msgid "Filled Splines"
+msgstr "Fylte splines"
+
+#: hacks/config/attraction.xml.h:10 hacks/config/carousel.xml.h:7
+#: hacks/config/ccurve.xml.h:9 hacks/config/cloudlife.xml.h:5
+#: hacks/config/cubenetic.xml.h:10 hacks/config/euler2d.xml.h:5
+#: hacks/config/flame.xml.h:9 hacks/config/glslideshow.xml.h:13
+#: hacks/config/goop.xml.h:6 hacks/config/halftone.xml.h:7
+#: hacks/config/hopalong.xml.h:10 hacks/config/hyperball.xml.h:3
+#: hacks/config/hypercube.xml.h:3 hacks/config/interference.xml.h:8
+#: hacks/config/jigglypuff.xml.h:8 hacks/config/kumppa.xml.h:4
+#: hacks/config/lavalite.xml.h:12 hacks/config/nerverot.xml.h:11
+#: hacks/config/petri.xml.h:8 hacks/config/pyro.xml.h:5
+#: hacks/config/qix.xml.h:10 hacks/config/speedmine.xml.h:5
+#: hacks/config/spheremonics.xml.h:6 hacks/config/spiral.xml.h:4
+#: hacks/config/squiral.xml.h:6 hacks/config/superquadrics.xml.h:5
+#: hacks/config/t3d.xml.h:7 hacks/config/twang.xml.h:5
+#: hacks/config/wander.xml.h:8 hacks/config/xmountains.xml.h:17
+msgid "High"
+msgstr "Hy"
+
+#: hacks/config/attraction.xml.h:11
+msgid "Ignore Screen Edges"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:12
+msgid "Inward"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:14
+msgid ""
+"Like qix, this uses a simple simple motion model to generate many different "
+"display modes. The control points attract each other up to a certain "
+"distance, and then begin to repel each other. The attraction/repulsion is "
+"proportional to the distance between any two particles, similar to the "
+"strong and weak nuclear forces. One of the most interesting ways to watch "
+"this hack is simply as bouncing balls, because their motions and "
+"interactions with each other are so odd. Sometimes two balls will get into a "
+"tight orbit around each other, to be interrupted later by a third, or by the "
+"edge of the screen. It looks quite chaotic. Written by Jamie Zawinski, based "
+"on Lisp code by John Pezaris."
+msgstr ""
+
+#: hacks/config/attraction.xml.h:15 hacks/config/deluxe.xml.h:5
+#: hacks/config/lmorph.xml.h:7 hacks/config/pedal.xml.h:5
+#: hacks/config/starfish.xml.h:4 hacks/config/whirlygig.xml.h:10
+msgid "Lines"
+msgstr "Linjer"
+
+#: hacks/config/attraction.xml.h:16 hacks/config/blocktube.xml.h:5
+#: hacks/config/braid.xml.h:6 hacks/config/cynosure.xml.h:5
+#: hacks/config/drift.xml.h:8 hacks/config/eruption.xml.h:11
+#: hacks/config/euler2d.xml.h:6 hacks/config/fiberlamp.xml.h:5
+#: hacks/config/fireflies.xml.h:21 hacks/config/flow.xml.h:6
+#: hacks/config/fontglide.xml.h:8 hacks/config/galaxy.xml.h:5
+#: hacks/config/juggle.xml.h:4 hacks/config/klein.xml.h:4
+#: hacks/config/laser.xml.h:5 hacks/config/menger.xml.h:4
+#: hacks/config/metaballs.xml.h:5 hacks/config/mismunch.xml.h:3
+#: hacks/config/munch.xml.h:4 hacks/config/nerverot.xml.h:13
+#: hacks/config/petri.xml.h:9 hacks/config/polyominoes.xml.h:4
+#: hacks/config/rotor.xml.h:5 hacks/config/shadebobs.xml.h:4
+#: hacks/config/sierpinski3d.xml.h:3 hacks/config/spheremonics.xml.h:7
+#: hacks/config/substrate.xml.h:11 hacks/config/wander.xml.h:10
+#: hacks/config/whirlwindwarp.xml.h:3
+msgid "Long"
+msgstr "Langt"
+
+#: hacks/config/attraction.xml.h:17 hacks/config/carousel.xml.h:9
+#: hacks/config/ccurve.xml.h:10 hacks/config/cloudlife.xml.h:8
+#: hacks/config/cubenetic.xml.h:12 hacks/config/euler2d.xml.h:7
+#: hacks/config/flame.xml.h:10 hacks/config/glslideshow.xml.h:16
+#: hacks/config/goop.xml.h:7 hacks/config/halftone.xml.h:9
+#: hacks/config/hopalong.xml.h:14 hacks/config/hyperball.xml.h:6
+#: hacks/config/hypercube.xml.h:5 hacks/config/interference.xml.h:12
+#: hacks/config/jigglypuff.xml.h:11 hacks/config/kumppa.xml.h:6
+#: hacks/config/lavalite.xml.h:14 hacks/config/nerverot.xml.h:14
+#: hacks/config/petri.xml.h:10 hacks/config/pyro.xml.h:7
+#: hacks/config/qix.xml.h:13 hacks/config/speedmine.xml.h:6
+#: hacks/config/spheremonics.xml.h:8 hacks/config/spiral.xml.h:5
+#: hacks/config/squiral.xml.h:8 hacks/config/superquadrics.xml.h:6
+#: hacks/config/t3d.xml.h:8 hacks/config/twang.xml.h:7
+#: hacks/config/wander.xml.h:11
+msgid "Low"
+msgstr "Lav "
+
+#: hacks/config/attraction.xml.h:20
+msgid "Orbital Mode"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:21
+msgid "Outward"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:22
+msgid "Polygons"
+msgstr "Polygoner"
+
+#: hacks/config/attraction.xml.h:23 hacks/config/fuzzyflakes.xml.h:13
+#: hacks/config/spotlight.xml.h:3 hacks/config/xplanet.xml.h:55
+msgid "Radius"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:24
+msgid "Repulsion Threshold"
+msgstr ""
+
+#: hacks/config/attraction.xml.h:25 hacks/config/blocktube.xml.h:7
+#: hacks/config/braid.xml.h:10 hacks/config/cynosure.xml.h:8
+#: hacks/config/drift.xml.h:11 hacks/config/eruption.xml.h:18
+#: hacks/config/euler2d.xml.h:12 hacks/config/fiberlamp.xml.h:7
+#: hacks/config/fireflies.xml.h:34 hacks/config/flow.xml.h:9
+#: hacks/config/galaxy.xml.h:9 hacks/config/juggle.xml.h:7
+#: hacks/config/klein.xml.h:5 hacks/config/laser.xml.h:9
+#: hacks/config/menger.xml.h:14 hacks/config/metaballs.xml.h:12
+#: hacks/config/mismunch.xml.h:8 hacks/config/munch.xml.h:6
+#: hacks/config/nerverot.xml.h:19 hacks/config/petri.xml.h:22
+#: hacks/config/polyominoes.xml.h:9 hacks/config/rotor.xml.h:9
+#: hacks/config/shadebobs.xml.h:8 hacks/config/sierpinski3d.xml.h:5
+#: hacks/config/spheremonics.xml.h:17 hacks/config/substrate.xml.h:14
+#: hacks/config/wander.xml.h:12 hacks/config/whirlwindwarp.xml.h:6
+msgid "Short"
+msgstr "Kort"
+
+#: hacks/config/attraction.xml.h:29
+msgid "Splines"
+msgstr "Splines"
+
+#: hacks/config/attraction.xml.h:30 hacks/config/fireflies.xml.h:42
+msgid "Tails"
+msgstr "Haler"
+
+#: hacks/config/attraction.xml.h:31 hacks/config/euler2d.xml.h:16
+#: hacks/config/juggle.xml.h:10
+msgid "Trail Length"
+msgstr "Lengde p spor"
+
+#: hacks/config/atunnel.xml.h:1
+msgid "Atunnel"
+msgstr ""
+
+#: hacks/config/atunnel.xml.h:2
+msgid ""
+"Draws an animation of a textured tunnel in GL. Requires OpenGL, and a "
+"machine with fast hardware support for texture maps. Written by Eric "
+"Lassauge and Roman Podobedov."
+msgstr ""
+
+#: hacks/config/atunnel.xml.h:4 hacks/config/distort.xml.h:9
+#: hacks/config/glforestfire.xml.h:10 hacks/config/lament.xml.h:4
+#: hacks/config/sballs.xml.h:6
+msgid "Normal"
+msgstr "Normal"
+
+#: hacks/config/atunnel.xml.h:8 hacks/config/glforestfire.xml.h:18
+#: hacks/config/lament.xml.h:8 hacks/config/sballs.xml.h:17
+msgid "Untextured"
+msgstr "Uten tekstur"
+
+#: hacks/config/atunnel.xml.h:9
+#, fuzzy
+msgid "Use light"
+msgstr "Bruk lyn"
+
+#: hacks/config/barcode.xml.h:1
+#, fuzzy
+msgid "Barcode"
+msgstr "Bla gjennom"
+
+#: hacks/config/barcode.xml.h:2
+msgid "Barcode Clock (24 Hour)"
+msgstr ""
+
+#: hacks/config/barcode.xml.h:3
+msgid "Barcode Clock (AM/PM)"
+msgstr ""
+
+#: hacks/config/barcode.xml.h:5
+msgid "Scrolling Barcodes"
+msgstr ""
+
+#: hacks/config/barcode.xml.h:8
+msgid ""
+"This draws a random sequence of colorful barcodes scrolling across your "
+"screen. CONSUME! By Dan Bornstein."
+msgstr ""
+
+#: hacks/config/blaster.xml.h:1
+msgid "Blaster"
+msgstr "Blaster"
+
+#: hacks/config/blaster.xml.h:2
+msgid ""
+"Draws a simulation of flying space-combat robots (cleverly disguised as "
+"colored circles) doing battle in front of a moving star field. Written by "
+"Jonathan Lin."
+msgstr ""
+
+#: hacks/config/blaster.xml.h:5 hacks/config/penetrate.xml.h:4
+msgid "Lasers"
+msgstr "Lasere"
+
+#: hacks/config/blaster.xml.h:7
+msgid "Robots"
+msgstr "Roboter"
+
+#: hacks/config/blaster.xml.h:10 hacks/config/glplanet.xml.h:11
+msgid "Stars"
+msgstr "Stjerner"
+
+#: hacks/config/blinkbox.xml.h:1
+msgid "BlinkBox"
+msgstr ""
+
+#: hacks/config/blinkbox.xml.h:2
+#, fuzzy
+msgid "Box Size"
+msgstr "Maks strrelse"
+
+#: hacks/config/blinkbox.xml.h:3
+msgid "Dissolve"
+msgstr ""
+
+#: hacks/config/blinkbox.xml.h:4 hacks/config/phosphor.xml.h:3
+msgid "Fade"
+msgstr ""
+
+#: hacks/config/blinkbox.xml.h:6
+msgid ""
+"Shows a ball contained inside of a bounding box. Colored blocks blink in "
+"when the ball hits the edges. Written by Jeremy English."
+msgstr ""
+
+#: hacks/config/blitspin.xml.h:1
+msgid "90 deg Rotation Speed"
+msgstr "Roteringshastighet for 90 grader"
+
+#: hacks/config/blitspin.xml.h:2
+msgid "Bitmap to rotate"
+msgstr "Bilde som skal roteres"
+
+#: hacks/config/blitspin.xml.h:3
+msgid "BlitSpin"
+msgstr "BlitSpin"
+
+#: hacks/config/blitspin.xml.h:5
+msgid "Fuzzy Rotation Speed"
+msgstr ""
+
+#: hacks/config/blitspin.xml.h:6
+msgid "Grab Screen"
+msgstr "Hent skjerm"
+
+#: hacks/config/blitspin.xml.h:8
+msgid ""
+"The ``blitspin'' hack repeatedly rotates a bitmap by 90 degrees by using "
+"logical operations: the bitmap is divided into quadrants, and the quadrants "
+"are shifted clockwise. Then the same thing is done again with progressively "
+"smaller quadrants, except that all sub-quadrants of a given size are rotated "
+"in parallel. Written by Jamie Zawinski based on some cool SmallTalk code "
+"seen in in Byte Magazine in 1981. As you watch it, the image appears to "
+"dissolve into static and then reconstitute itself, but rotated. You can "
+"provide the image to use, as an XBM or XPM file, or tell it to grab a screen "
+"image and rotate that."
+msgstr ""
+
+#: hacks/config/blocktube.xml.h:1
+msgid "BlockTube"
+msgstr ""
+
+#: hacks/config/blocktube.xml.h:2
+msgid "Color Change Time"
+msgstr ""
+
+#: hacks/config/blocktube.xml.h:3
+msgid "Color Hold Time"
+msgstr ""
+
+#: hacks/config/blocktube.xml.h:6
+msgid "Reflective Blocks"
+msgstr ""
+
+#: hacks/config/blocktube.xml.h:10
+#, fuzzy
+msgid "Solid Blocks"
+msgstr "Helfylt gulv"
+
+#: hacks/config/blocktube.xml.h:12
+msgid ""
+"This hack draws a swirling, falling tunnel of reflective slabs. They fade "
+"from hue to hue. Written by Lars R. Damerow."
+msgstr ""
+
+#: hacks/config/boing.xml.h:1
+#, fuzzy
+msgid "Boing"
+msgstr "Lys"
+
+#: hacks/config/boing.xml.h:3 hacks/config/fireflies.xml.h:17
+#: hacks/config/pinion.xml.h:7
+#, fuzzy
+msgid "Huge"
+msgstr "Storbrann"
+
+#: hacks/config/boing.xml.h:4
+#, fuzzy
+msgid "Lighting"
+msgstr "Lyn"
+
+#: hacks/config/boing.xml.h:5
+msgid "Meridians"
+msgstr ""
+
+#: hacks/config/boing.xml.h:6
+#, fuzzy
+msgid "Parallels"
+msgstr "Partikler"
+
+#: hacks/config/boing.xml.h:7
+#, fuzzy
+msgid "Scanlines"
+msgstr "Splines"
+
+#: hacks/config/boing.xml.h:9 hacks/config/galaxy.xml.h:10
+#: hacks/config/lisa.xml.h:7 hacks/config/lissie.xml.h:8
+#: hacks/config/loop.xml.h:6 hacks/config/penrose.xml.h:10
+#: hacks/config/pong.xml.h:3 hacks/config/rotor.xml.h:10
+#: hacks/config/rubik.xml.h:8 hacks/config/sproingies.xml.h:5
+#: hacks/config/wander.xml.h:13 hacks/config/worm.xml.h:6
+msgid "Size"
+msgstr "Strrelse"
+
+#: hacks/config/boing.xml.h:11
+#, fuzzy
+msgid "Smoothing"
+msgstr "Myk"
+
+#: hacks/config/boing.xml.h:13
+msgid ""
+"This bouncing ball is a clone of the first graphics demo for the Amiga 1000, "
+"which was written by Dale Luck and RJ Mical during a break at the 1984 "
+"Consumer Electronics Show (or so the legend goes.) This looks like the "
+"original Amiga demo if you turn off \"smoothing\" and \"lighting\" and turn "
+"on \"scanlines\". Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/boing.xml.h:14 hacks/config/fireflies.xml.h:43
+#: hacks/config/pinion.xml.h:14
+#, fuzzy
+msgid "Tiny"
+msgstr "Tynn"
+
+#: hacks/config/bouboule.xml.h:1
+msgid "Bouboule"
+msgstr "Bouboule"
+
+#: hacks/config/bouboule.xml.h:2 hacks/config/rocks.xml.h:3
+msgid "Do Red/Blue 3D seperation"
+msgstr "Utfr rd/bl 3D-separasjon"
+
+#: hacks/config/bouboule.xml.h:7
+msgid "Number of Spots"
+msgstr "Antall punkter"
+
+#: hacks/config/bouboule.xml.h:10
+#, fuzzy
+msgid ""
+"This draws what looks like a spinning, deforming balloon with varying-sized "
+"spots painted on its invisible surface. Written by Jeremie Petit."
+msgstr "Gjenopprett konfigurasjonen fra et bestemt punkt"
+
+#: hacks/config/bouncingcow.xml.h:1
+msgid "A Cow. A Trampoline. Together, they fight crime. By Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/bouncingcow.xml.h:2 hacks/config/boxed.xml.h:1
+#: hacks/config/carousel.xml.h:3 hacks/config/cubestorm.xml.h:1
+#: hacks/config/flyingtoasters.xml.h:3 hacks/config/fontglide.xml.h:1
+#: hacks/config/gears.xml.h:1 hacks/config/gflux.xml.h:1
+#: hacks/config/glknots.xml.h:1 hacks/config/glmatrix.xml.h:1
+#: hacks/config/jigglypuff.xml.h:1 hacks/config/pinion.xml.h:3
+#: hacks/config/polyhedra.xml.h:3 hacks/config/pyro.xml.h:1
+#: hacks/config/rd-bomb.xml.h:6 hacks/config/rocks.xml.h:1
+#: hacks/config/starwars.xml.h:1 hacks/config/wormhole.xml.h:1
+#: hacks/config/xfishtank.xml.h:1
+msgid "Animation Speed"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/bouncingcow.xml.h:3
+msgid "Beefy Cow"
+msgstr ""
+
+#: hacks/config/bouncingcow.xml.h:4
+#, fuzzy
+msgid "Bounce Speed"
+msgstr "Lsningshastighet"
+
+#: hacks/config/bouncingcow.xml.h:5
+msgid "BouncingCow"
+msgstr ""
+
+#: hacks/config/bouncingcow.xml.h:7
+msgid "Herd"
+msgstr ""
+
+#: hacks/config/bouncingcow.xml.h:8
+#, fuzzy
+msgid "Moo"
+msgstr "Mono"
+
+#: hacks/config/bouncingcow.xml.h:9
+#, fuzzy
+msgid "Number of Cows"
+msgstr "Antall farger"
+
+#: hacks/config/bouncingcow.xml.h:11
+msgid "Wireframe Cow"
+msgstr ""
+
+#: hacks/config/boxed.xml.h:2
+msgid "Boxed"
+msgstr ""
+
+#: hacks/config/boxed.xml.h:3
+msgid ""
+"Draws a box full of 3D bouncing balls that explode. Written by Sander van "
+"Grieken."
+msgstr ""
+
+#: hacks/config/boxed.xml.h:5 hacks/config/cubestorm.xml.h:5
+#: hacks/config/fontglide.xml.h:9 hacks/config/glknots.xml.h:6
+#: hacks/config/polyhedra.xml.h:85
+#, fuzzy
+msgid "Motion Speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/boxfit.xml.h:1 hacks/config/popsquares.xml.h:1
+#, fuzzy
+msgid "Border"
+msgstr "Kantbredde"
+
+#: hacks/config/boxfit.xml.h:2
+msgid "BoxFit"
+msgstr ""
+
+#: hacks/config/boxfit.xml.h:3 hacks/config/cubenetic.xml.h:1
+msgid "Boxes"
+msgstr "Bokser"
+
+#: hacks/config/boxfit.xml.h:4
+#, fuzzy
+msgid "Boxes Only"
+msgstr "Bokser"
+
+#: hacks/config/boxfit.xml.h:5
+#, fuzzy
+msgid "Boxes or Circles"
+msgstr "Antall sirkler"
+
+#: hacks/config/boxfit.xml.h:6
+#, fuzzy
+msgid "Circles Only"
+msgstr "Omganger"
+
+#: hacks/config/boxfit.xml.h:8
+msgid "Grow By"
+msgstr ""
+
+#: hacks/config/boxfit.xml.h:9
+msgid ""
+"Packs the screen with growing boxes or circles, colored according to a "
+"horizontal or vertical gradient. The objects grow until they touch, then "
+"stop. When the screen is full, they shrink away and the process restarts. "
+"Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/boxfit.xml.h:11 hacks/config/xearth.xml.h:23
+msgid "Spacing"
+msgstr "Mellomrom"
+
+#: hacks/config/braid.xml.h:1
+msgid "Braid"
+msgstr "Flette"
+
+#: hacks/config/braid.xml.h:2
+msgid ""
+"Draws random color-cycling inter-braided concentric circles. Written by John "
+"Neil."
+msgstr ""
+
+#: hacks/config/braid.xml.h:3 hacks/config/bsod.xml.h:9
+#: hacks/config/ccurve.xml.h:7 hacks/config/coral.xml.h:6
+#: hacks/config/cynosure.xml.h:3 hacks/config/deco.xml.h:4
+#: hacks/config/drift.xml.h:2 hacks/config/epicycle.xml.h:3
+#: hacks/config/eruption.xml.h:3 hacks/config/euler2d.xml.h:1
+#: hacks/config/flame.xml.h:5 hacks/config/galaxy.xml.h:2
+#: hacks/config/glsnake.xml.h:5 hacks/config/helix.xml.h:3
+#: hacks/config/hopalong.xml.h:2 hacks/config/imsmap.xml.h:6
+#: hacks/config/klein.xml.h:1 hacks/config/laser.xml.h:2
+#: hacks/config/menger.xml.h:2 hacks/config/metaballs.xml.h:3
+#: hacks/config/mismunch.xml.h:1 hacks/config/moire.xml.h:3
+#: hacks/config/molecule.xml.h:9 hacks/config/munch.xml.h:2
+#: hacks/config/nerverot.xml.h:8 hacks/config/pedal.xml.h:3
+#: hacks/config/penrose.xml.h:5 hacks/config/polyhedra.xml.h:17
+#: hacks/config/polyominoes.xml.h:1 hacks/config/rorschach.xml.h:3
+#: hacks/config/rotzoomer.xml.h:5 hacks/config/shadebobs.xml.h:2
+#: hacks/config/sierpinski3d.xml.h:1 hacks/config/spheremonics.xml.h:4
+#: hacks/config/starfish.xml.h:2 hacks/config/substrate.xml.h:6
+#: hacks/config/vidwhacker.xml.h:3 hacks/config/wander.xml.h:7
+#: hacks/config/xspirograph.xml.h:3
+msgid "Duration"
+msgstr "Varighet"
+
+#: hacks/config/braid.xml.h:5 hacks/config/epicycle.xml.h:7
+#: hacks/config/nerverot.xml.h:12
+msgid "Line Thickness"
+msgstr ""
+
+#: hacks/config/braid.xml.h:8
+msgid "Max Rings"
+msgstr "Maks antall ringer"
+
+#: hacks/config/bsod.xml.h:1 hacks/config/molecule.xml.h:1
+#: hacks/config/vidwhacker.xml.h:1
+msgid "2 minutes"
+msgstr "2 minutter"
+
+#: hacks/config/bsod.xml.h:2 hacks/config/molecule.xml.h:2
+msgid "5 seconds"
+msgstr "5 sekunder"
+
+#: hacks/config/bsod.xml.h:3
+msgid "AmigaDOS"
+msgstr "AmigaDOS"
+
+#: hacks/config/bsod.xml.h:4
+msgid "Apple II"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:5
+msgid "Atari"
+msgstr "Atari"
+
+#: hacks/config/bsod.xml.h:6
+msgid "BSD"
+msgstr "BSD"
+
+#: hacks/config/bsod.xml.h:7
+msgid "BSOD"
+msgstr "BSOD"
+
+#: hacks/config/bsod.xml.h:8
+msgid ""
+"BSOD stands for ``Blue Screen of Death.'' The finest in personal computer "
+"emulation, this hack simulates popular screen savers from a number of less "
+"robust operating systems. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/bsod.xml.h:10
+msgid "HPUX"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:11
+msgid "HVX/GCOS6"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:12
+msgid "Linux (fsck)"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:13
+msgid "Linux (hppa)"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:14
+msgid "Linux (sparc)"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:15
+msgid "MS-DOS"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:16
+msgid "Mac Bomb"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:17
+msgid "MacOS X"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:18
+msgid "MacsBug"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:19
+#, fuzzy
+msgid "NCD X Terminal  "
+msgstr "NCD X-terminal"
+
+#: hacks/config/bsod.xml.h:20
+msgid "Nvidia"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:21
+msgid "OS/390"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:22
+msgid "SCO"
+msgstr "SCO"
+
+#: hacks/config/bsod.xml.h:23
+msgid "Sad Mac"
+msgstr "Trist Mac"
+
+#: hacks/config/bsod.xml.h:24
+msgid "Solaris"
+msgstr "Solaris"
+
+#: hacks/config/bsod.xml.h:25
+msgid "Tru64"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:26
+msgid "VMS"
+msgstr ""
+
+#: hacks/config/bsod.xml.h:27
+#, fuzzy
+msgid "Windows 2000  "
+msgstr "Windows 2000"
+
+#: hacks/config/bsod.xml.h:28
+#, fuzzy
+msgid "Windows 3.1"
+msgstr "Windows"
+
+#: hacks/config/bsod.xml.h:29
+msgid "Windows NT"
+msgstr "Windows NT"
+
+#: hacks/config/bubble3d.xml.h:1
+msgid "Bubble3D"
+msgstr "Boble3D"
+
+#: hacks/config/bubble3d.xml.h:2
+msgid ""
+"Draws a stream of rising, undulating 3D bubbles, rising toward the top of "
+"the screen, with nice specular reflections. Written by Richard Jones."
+msgstr ""
+
+#: hacks/config/bubbles.xml.h:1 hacks/config/xfishtank.xml.h:2
+msgid "Bubbles"
+msgstr "Bobler"
+
+#: hacks/config/bubbles.xml.h:2
+msgid "Bubbles Fall"
+msgstr "Bobler faller"
+
+#: hacks/config/bubbles.xml.h:3
+msgid "Bubbles Float"
+msgstr "Bobler flyter"
+
+#: hacks/config/bubbles.xml.h:4
+msgid "Bubbles Rise"
+msgstr "Bobler stiger"
+
+#: hacks/config/bubbles.xml.h:5
+msgid "Bubbles exist in three dimensions"
+msgstr "Bobler eksisterer i tre dimensjoner"
+
+#: hacks/config/bubbles.xml.h:6
+msgid "Don't hide bubbles when they pop"
+msgstr "Ikke skjul bobler nr de sprekker"
+
+#: hacks/config/bubbles.xml.h:7
+msgid "Draw circles instead of pixmap bubbles"
+msgstr "Tegn sirkler istedet for pixmap-bobler"
+
+#: hacks/config/bubbles.xml.h:9
+msgid "Leave Trails"
+msgstr "Etterlat spor"
+
+#: hacks/config/bubbles.xml.h:12
+msgid ""
+"This simulates the kind of bubble formation that happens when water boils:"
+"small bubbles appear, and as they get closer to each other, they combine to "
+"form larger bubbles, which eventually pop. Written by James Macnicol."
+msgstr ""
+
+#: hacks/config/bumps.xml.h:1
+msgid ""
+"A bit like `Spotlight', except that instead of merely exposing part of your "
+"desktop, it creates a bump map from it. Basically, it 3D-izes a roaming "
+"section of your desktop, based on color intensity. Written by Shane Smit."
+msgstr ""
+
+#: hacks/config/bumps.xml.h:2
+msgid "Bumps"
+msgstr "Humper"
+
+#: hacks/config/cage.xml.h:1
+msgid "Cage"
+msgstr "Bur"
+
+#: hacks/config/cage.xml.h:7
+msgid ""
+"This draws Escher's ``Impossible Cage,'' a 3d analog of a moebius strip, and "
+"rotates it in three dimensions. Written by Marcelo Vianna."
+msgstr ""
+
+#: hacks/config/carousel.xml.h:1 hacks/config/coral.xml.h:1
+#: hacks/config/deco.xml.h:1 hacks/config/helix.xml.h:1
+#: hacks/config/imsmap.xml.h:1 hacks/config/jigsaw.xml.h:2
+#: hacks/config/moire.xml.h:1 hacks/config/pedal.xml.h:1
+#: hacks/config/rorschach.xml.h:1 hacks/config/rotzoomer.xml.h:2
+#: hacks/config/wander.xml.h:2 hacks/config/xspirograph.xml.h:1
+msgid "1 Minute"
+msgstr "1 minutt"
+
+#: hacks/config/carousel.xml.h:2
+#, fuzzy
+msgid "5 Seconds"
+msgstr "0 scekunder"
+
+#: hacks/config/carousel.xml.h:4
+msgid "Carousel"
+msgstr ""
+
+#: hacks/config/carousel.xml.h:6 hacks/config/electricsheep.xml.h:3
+msgid "Frame Rate"
+msgstr ""
+
+#: hacks/config/carousel.xml.h:8
+msgid ""
+"Loads several random images, and displays them flying in a circular "
+"formation. The circle changes speed and direction randomly, tilts on its "
+"axis, and the images move in and out. To tell it where to find the images to "
+"display, go to the \"Advanced\" tab on the Screensaver Preferences window. "
+"Select \"Choose Random Images\", and enter your image directory in the text "
+"field right below that. (Note: not the the \"Advanced\" button at the bottom "
+"of this window: the tab at the top of the *other* window.) This program "
+"requires a good video card capable of supporting large textures. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/carousel.xml.h:10
+msgid "No Tilting"
+msgstr ""
+
+#: hacks/config/carousel.xml.h:11
+#, fuzzy
+msgid "Number of Images:"
+msgstr "Antall blger"
+
+#: hacks/config/carousel.xml.h:13 hacks/config/glslideshow.xml.h:20
+#, fuzzy
+msgid "Show Image Titles"
+msgstr "Bildefil"
+
+#: hacks/config/carousel.xml.h:15
+msgid "Tilt In/Out Only"
+msgstr ""
+
+#: hacks/config/carousel.xml.h:16
+msgid "Tilt In/Out and Left/Right"
+msgstr ""
+
+#: hacks/config/carousel.xml.h:17
+msgid "Tilt Left/Right Only"
+msgstr ""
+
+#: hacks/config/carousel.xml.h:18 hacks/config/glslideshow.xml.h:21
+#: hacks/config/mirrorblob.xml.h:22
+msgid "Time until loading a new image:"
+msgstr ""
+
+#: hacks/config/carousel.xml.h:19
+msgid "Zoom In/Out"
+msgstr ""
+
+#: hacks/config/ccurve.xml.h:1
+msgid "0 seconds"
+msgstr "0 sekunder"
+
+#: hacks/config/ccurve.xml.h:2 hacks/config/epicycle.xml.h:1
+msgid "1 minute"
+msgstr "1 minutt"
+
+#: hacks/config/ccurve.xml.h:3 hacks/config/epicycle.xml.h:2
+#: hacks/config/polyhedra.xml.h:1
+msgid "1 second"
+msgstr "1 sekund"
+
+#: hacks/config/ccurve.xml.h:4
+msgid "C Curve"
+msgstr "C-kurve"
+
+#: hacks/config/ccurve.xml.h:5 hacks/config/fuzzyflakes.xml.h:4
+msgid "Delay"
+msgstr "Pause"
+
+#: hacks/config/ccurve.xml.h:6 hacks/config/coral.xml.h:5
+#: hacks/config/imsmap.xml.h:5 hacks/config/kumppa.xml.h:1
+#: hacks/config/qix.xml.h:6 hacks/config/squiral.xml.h:2
+#: hacks/config/wander.xml.h:4 hacks/config/xmatrix.xml.h:2
+msgid "Density"
+msgstr "Tetthet"
+
+#: hacks/config/ccurve.xml.h:8
+msgid ""
+"Generates self-similar linear fractals, including the classic ``C Curve.'' "
+"Written by Rick Campbell."
+msgstr ""
+
+#: hacks/config/circuit.xml.h:1
+msgid "Animates a number of 3D electronic components. Written by Ben Buxton."
+msgstr ""
+
+#: hacks/config/circuit.xml.h:2
+msgid "Circuit"
+msgstr ""
+
+#: hacks/config/circuit.xml.h:3 hacks/config/gflux.xml.h:4
+#: hacks/config/pulsar.xml.h:2
+msgid "Directional Lighting"
+msgstr ""
+
+#: hacks/config/circuit.xml.h:5
+msgid "Flat Coloring"
+msgstr "Flate farger"
+
+#: hacks/config/circuit.xml.h:6
+msgid "Parts"
+msgstr "Deler"
+
+#: hacks/config/circuit.xml.h:7 hacks/config/flipscreen3d.xml.h:4
+#: hacks/config/gleidescope.xml.h:9 hacks/config/glplanet.xml.h:6
+msgid "Rotate"
+msgstr "Roter"
+
+#: hacks/config/circuit.xml.h:8 hacks/config/pinion.xml.h:10
+msgid "Rotation Speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/circuit.xml.h:12 hacks/config/cubestorm.xml.h:9
+#: hacks/config/dangerball.xml.h:9 hacks/config/engine.xml.h:17
+#: hacks/config/klein.xml.h:9 hacks/config/whirlygig.xml.h:14
+msgid "Spin"
+msgstr "Spinn"
+
+#: hacks/config/cloudlife.xml.h:1 hacks/config/demon.xml.h:2
+#: hacks/config/petri.xml.h:1
+msgid "Cell Size"
+msgstr "Cellestrrelse"
+
+#: hacks/config/cloudlife.xml.h:2
+msgid "CloudLife"
+msgstr ""
+
+#: hacks/config/cloudlife.xml.h:4
+msgid ""
+"Generates cloud-like formations based on a variant of Conway's Life. The "
+"difference is that cells have a maximum age, after which they count as 3 for "
+"populating the next generation. This makes long-lived formations explode "
+"instead of just sitting there burning a hole in your screen. Written by Don "
+"Marti."
+msgstr ""
+
+#: hacks/config/cloudlife.xml.h:6
+#, fuzzy
+msgid "Initial Density"
+msgstr "Partikkeltetthet"
+
+#: hacks/config/cloudlife.xml.h:9
+#, fuzzy
+msgid "Max Age"
+msgstr "Maks strrelse"
+
+#: hacks/config/cloudlife.xml.h:10
+msgid "Old"
+msgstr ""
+
+#: hacks/config/cloudlife.xml.h:14
+#, fuzzy
+msgid "Young"
+msgstr "Langt"
+
+#: hacks/config/compass.xml.h:1
+msgid "Compass"
+msgstr "Kompass"
+
+#: hacks/config/compass.xml.h:2 hacks/config/deluxe.xml.h:3
+#: hacks/config/fontglide.xml.h:3 hacks/config/fuzzyflakes.xml.h:5
+#: hacks/config/interference.xml.h:6 hacks/config/kumppa.xml.h:2
+#: hacks/config/nerverot.xml.h:6 hacks/config/piecewise.xml.h:3
+#: hacks/config/pipes.xml.h:4
+msgid "Double Buffer"
+msgstr "Double buffer"
+
+#: hacks/config/compass.xml.h:6
+msgid ""
+"This draws a compass, with all elements spinning about randomly, for that "
+"``lost and nauseous'' feeling. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/coral.xml.h:2 hacks/config/deco.xml.h:2
+#: hacks/config/glslideshow.xml.h:1 hacks/config/helix.xml.h:2
+#: hacks/config/imsmap.xml.h:2 hacks/config/moire.xml.h:2
+#: hacks/config/pedal.xml.h:2 hacks/config/penrose.xml.h:1
+#: hacks/config/rorschach.xml.h:2 hacks/config/xspirograph.xml.h:2
+msgid "1 Second"
+msgstr "1 sekund"
+
+#: hacks/config/coral.xml.h:3
+msgid "Coral"
+msgstr "Korall"
+
+#: hacks/config/coral.xml.h:4 hacks/config/fireworkx.xml.h:2
+#: hacks/config/gflux.xml.h:3 hacks/config/glblur.xml.h:2
+#: hacks/config/glmatrix.xml.h:3 hacks/config/imsmap.xml.h:4
+#: hacks/config/lavalite.xml.h:6 hacks/config/pyro.xml.h:2
+#: hacks/config/qix.xml.h:5 hacks/config/squiral.xml.h:1
+#: hacks/config/xearth.xml.h:4
+msgid "Dense"
+msgstr "Tett"
+
+#: hacks/config/coral.xml.h:10 hacks/config/squiral.xml.h:13
+msgid "Seeds"
+msgstr "Utgangsverdier"
+
+#: hacks/config/coral.xml.h:11
+msgid ""
+"Simulates coral growth, albeit somewhat slowly. Written by Frederick Roeber."
+msgstr ""
+
+#: hacks/config/coral.xml.h:13 hacks/config/fireworkx.xml.h:10
+#: hacks/config/gflux.xml.h:13 hacks/config/glblur.xml.h:16
+#: hacks/config/glmatrix.xml.h:19 hacks/config/imsmap.xml.h:13
+#: hacks/config/lavalite.xml.h:29 hacks/config/pyro.xml.h:14
+#: hacks/config/qix.xml.h:21 hacks/config/squiral.xml.h:15
+#: hacks/config/xearth.xml.h:24 hacks/config/xmatrix.xml.h:17
+msgid "Sparse"
+msgstr ""
+
+#: hacks/config/cosmos.xml.h:1
+msgid "Cosmos"
+msgstr "Kosmos"
+
+#: hacks/config/cosmos.xml.h:2
+msgid ""
+"Draws fireworks and zooming, fading flares. By Tom Campbell. You can find it "
+"at &lt;http://www.cosmosx.org/&gt;"
+msgstr ""
+
+#: hacks/config/critical.xml.h:1
+msgid "Critical"
+msgstr "Kritisk"
+
+#: hacks/config/critical.xml.h:2
+msgid ""
+"Draws a system of self-organizing lines. It starts out as random squiggles, "
+"but after a few iterations, order begins to appear. Written by Martin Pool."
+msgstr ""
+
+#: hacks/config/crystal.xml.h:1
+msgid "Center on Screen"
+msgstr "Sentrer p skjermen"
+
+#: hacks/config/crystal.xml.h:2 hacks/config/deluxe.xml.h:1
+#: hacks/config/fadeplot.xml.h:1 hacks/config/flow.xml.h:1
+#: hacks/config/galaxy.xml.h:1 hacks/config/glforestfire.xml.h:1
+#: hacks/config/grav.xml.h:1 hacks/config/julia.xml.h:1
+#: hacks/config/laser.xml.h:1 hacks/config/lisa.xml.h:1
+#: hacks/config/lissie.xml.h:2 hacks/config/morph3d.xml.h:2
+#: hacks/config/mountain.xml.h:1 hacks/config/piecewise.xml.h:2
+#: hacks/config/qix.xml.h:4 hacks/config/rocks.xml.h:2
+#: hacks/config/rotor.xml.h:2 hacks/config/rubik.xml.h:1
+#: hacks/config/shadebobs.xml.h:1 hacks/config/sierpinski.xml.h:1
+#: hacks/config/slip.xml.h:1 hacks/config/spiral.xml.h:1
+#: hacks/config/sproingies.xml.h:1 hacks/config/superquadrics.xml.h:1
+#: hacks/config/swirl.xml.h:1 hacks/config/worm.xml.h:2
+msgid "Count"
+msgstr "Antall"
+
+#: hacks/config/crystal.xml.h:3
+msgid "Crystal"
+msgstr "Krystall"
+
+#: hacks/config/crystal.xml.h:4
+msgid "Draw Cell"
+msgstr "Tegn celle"
+
+#: hacks/config/crystal.xml.h:5 hacks/config/spheremonics.xml.h:3
+#: hacks/config/xearth.xml.h:6
+msgid "Draw Grid"
+msgstr "Tegn rutenett"
+
+#: hacks/config/crystal.xml.h:7
+msgid "Horizontal Symmetries"
+msgstr "Horisontal symmetri"
+
+#: hacks/config/crystal.xml.h:9
+msgid ""
+"Moving polygons, similar to a kaleidescope (more like a kaleidescope than "
+"the hack called `kaleid,' actually.) This one by Jouk Jansen."
+msgstr ""
+
+#: hacks/config/crystal.xml.h:14
+msgid "Vertical Symmetries"
+msgstr "Vertikal symmetri"
+
+#: hacks/config/cubenetic.xml.h:2
+msgid "Cubenetic"
+msgstr "Kubenetikk"
+
+#: hacks/config/cubenetic.xml.h:3
+msgid "Display Solid Colors"
+msgstr "Vis helfylte farger"
+
+#: hacks/config/cubenetic.xml.h:4
+msgid "Display Surface Patterns"
+msgstr "Vis overflatemnster"
+
+#: hacks/config/cubenetic.xml.h:5
+msgid "Display Wireframe"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:6 hacks/config/glblur.xml.h:3
+#: hacks/config/glknots.xml.h:2 hacks/config/gltext.xml.h:2
+#: hacks/config/lavalite.xml.h:7 hacks/config/menger.xml.h:1
+#: hacks/config/molecule.xml.h:4 hacks/config/polyhedra.xml.h:16
+#: hacks/config/spheremonics.xml.h:1
+msgid "Don't Rotate"
+msgstr "Ikke roter"
+
+#: hacks/config/cubenetic.xml.h:7
+msgid ""
+"Draws a pulsating set of overlapping boxes with ever-chaning blobby patterns "
+"undulating across their surfaces. It's sort of a cubist Lavalite. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:14 hacks/config/glblur.xml.h:6
+#: hacks/config/glknots.xml.h:8 hacks/config/gltext.xml.h:5
+#: hacks/config/lavalite.xml.h:19 hacks/config/menger.xml.h:7
+#: hacks/config/molecule.xml.h:14 hacks/config/polyhedra.xml.h:110
+#: hacks/config/spheremonics.xml.h:10
+msgid "Rotate around X and Y axes"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:15 hacks/config/glblur.xml.h:7
+#: hacks/config/glknots.xml.h:9 hacks/config/gltext.xml.h:6
+#: hacks/config/lavalite.xml.h:20 hacks/config/menger.xml.h:8
+#: hacks/config/molecule.xml.h:15 hacks/config/polyhedra.xml.h:111
+#: hacks/config/spheremonics.xml.h:11
+msgid "Rotate around X and Z axes"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:16 hacks/config/glblur.xml.h:8
+#: hacks/config/glknots.xml.h:10 hacks/config/gltext.xml.h:7
+#: hacks/config/lavalite.xml.h:21 hacks/config/menger.xml.h:9
+#: hacks/config/molecule.xml.h:16 hacks/config/polyhedra.xml.h:112
+#: hacks/config/spheremonics.xml.h:12
+msgid "Rotate around X axis"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:17 hacks/config/glblur.xml.h:9
+#: hacks/config/glknots.xml.h:11 hacks/config/gltext.xml.h:8
+#: hacks/config/lavalite.xml.h:22 hacks/config/menger.xml.h:10
+#: hacks/config/molecule.xml.h:17 hacks/config/polyhedra.xml.h:113
+#: hacks/config/spheremonics.xml.h:13
+msgid "Rotate around Y and Z axes"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:18 hacks/config/glblur.xml.h:10
+#: hacks/config/glknots.xml.h:12 hacks/config/gltext.xml.h:9
+#: hacks/config/lavalite.xml.h:23 hacks/config/menger.xml.h:11
+#: hacks/config/molecule.xml.h:18 hacks/config/polyhedra.xml.h:114
+#: hacks/config/spheremonics.xml.h:14
+msgid "Rotate around Y axis"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:19 hacks/config/glblur.xml.h:11
+#: hacks/config/glknots.xml.h:13 hacks/config/gltext.xml.h:10
+#: hacks/config/lavalite.xml.h:24 hacks/config/menger.xml.h:12
+#: hacks/config/molecule.xml.h:19 hacks/config/polyhedra.xml.h:115
+#: hacks/config/spheremonics.xml.h:15
+msgid "Rotate around Z axis"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:20 hacks/config/glblur.xml.h:12
+#: hacks/config/glknots.xml.h:14 hacks/config/gltext.xml.h:11
+#: hacks/config/lavalite.xml.h:25 hacks/config/menger.xml.h:13
+#: hacks/config/molecule.xml.h:20 hacks/config/polyhedra.xml.h:116
+#: hacks/config/spheremonics.xml.h:16
+msgid "Rotate around all three axes"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:25
+msgid "Surface Pattern Complexity"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:26
+msgid "Surface Pattern Overlap"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:27
+msgid "Surface Pattern Speed"
+msgstr ""
+
+#: hacks/config/cubenetic.xml.h:28 hacks/config/cubestorm.xml.h:13
+#: hacks/config/dangerball.xml.h:10 hacks/config/engine.xml.h:20
+#: hacks/config/glblur.xml.h:19 hacks/config/glforestfire.xml.h:19
+#: hacks/config/glknots.xml.h:22 hacks/config/glplanet.xml.h:14
+#: hacks/config/gltext.xml.h:17 hacks/config/lavalite.xml.h:31
+#: hacks/config/menger.xml.h:20 hacks/config/molecule.xml.h:25
+#: hacks/config/polyhedra.xml.h:172 hacks/config/spheremonics.xml.h:25
+#: hacks/config/wander.xml.h:15
+msgid "Wander"
+msgstr "Vandre"
+
+#: hacks/config/cubestorm.xml.h:2
+#, fuzzy
+msgid "CubeStorm"
+msgstr "Storm"
+
+#: hacks/config/cubestorm.xml.h:3
+msgid ""
+"Draws a series of rotating 3D boxes that intersect each other and eventually "
+"fill space. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/cubestorm.xml.h:6
+#, fuzzy
+msgid "Number of Cubes"
+msgstr "Antall sirkler"
+
+#: hacks/config/cubestorm.xml.h:10
+#, fuzzy
+msgid "Strut Thickness"
+msgstr "Tykkhet"
+
+#: hacks/config/cynosure.xml.h:1
+msgid ""
+"A hack similar to `greynetic', but less frenetic. The first implementation "
+"was by Stephen Linhart; then Ozymandias G. Desiderata wrote a Java applet "
+"clone. That clone was discovered by Jamie Zawinski, and ported to C for "
+"inclusion here."
+msgstr ""
+
+#: hacks/config/cynosure.xml.h:2
+msgid "Cynosure"
+msgstr "Cynosure"
+
+#: hacks/config/dangerball.xml.h:1
+msgid "DangerBall"
+msgstr "FareBall"
+
+#: hacks/config/dangerball.xml.h:2
+msgid ""
+"Draws a ball that periodically extrudes many random spikes. Ouch! Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/dangerball.xml.h:7
+msgid "Spike Count"
+msgstr ""
+
+#: hacks/config/dangerball.xml.h:8
+msgid "Spike Growth"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:1
+msgid "DecayScreen"
+msgstr "Nedbrutt skjerm"
+
+#: hacks/config/decayscreen.xml.h:3
+msgid "Fuzzy Melt"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:4
+msgid "Melt Away From Center"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:5
+msgid "Melt Down"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:6
+msgid "Melt Down, Left"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:7
+msgid "Melt Down, Right"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:8
+msgid "Melt Left"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:9
+msgid "Melt Right"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:10
+msgid "Melt Towards Center"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:11
+msgid "Melt Up"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:12
+msgid "Melt Up, Left"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:13
+msgid "Melt Up, Right"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:14
+msgid "Melty Melt"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:15
+msgid "Random Melt Style"
+msgstr "Tilfeldig stil for smelting"
+
+#: hacks/config/decayscreen.xml.h:16
+msgid "Shuffle Melt"
+msgstr ""
+
+#: hacks/config/decayscreen.xml.h:19
+msgid "Stretchy Melt"
+msgstr "Strukket smelting"
+
+#: hacks/config/decayscreen.xml.h:20
+msgid ""
+"This takes an image and makes it melt. You've no doubt seen this effect "
+"before, but no screensaver would really be complete without it. It works "
+"best if there's something colorful visible. Warning, if the effect continues "
+"after the screen saver is off, seek medical attention. Written by David "
+"Wald, Vivek Khera, Jamie Zawinski, and Vince Levey."
+msgstr ""
+
+#: hacks/config/deco.xml.h:3
+msgid "Deco"
+msgstr "Deko"
+
+#: hacks/config/deco.xml.h:6 hacks/config/menger.xml.h:5
+#: hacks/config/sierpinski3d.xml.h:4
+msgid "Max Depth"
+msgstr ""
+
+#: hacks/config/deco.xml.h:7
+msgid "Min Size"
+msgstr "Minste strrelse"
+
+#: hacks/config/deco.xml.h:9
+msgid ""
+"This one subdivides and colors rectangles randomly. It looks kind of like "
+"Brady-Bunch-era rec-room wall paneling. (Raven says: ``this screensaver is "
+"ugly enough to peel paint.'') Written by Jamie Zawinski, inspired by Java "
+"code by Michael Bayne."
+msgstr ""
+
+#: hacks/config/deco.xml.h:11 hacks/config/rd-bomb.xml.h:23
+#: hacks/config/whirlygig.xml.h:20 hacks/config/xearth.xml.h:33
+#: hacks/config/zoom.xml.h:10
+msgid "x"
+msgstr "x"
+
+#: hacks/config/deluxe.xml.h:2
+msgid "Deluxe"
+msgstr "Deluxe"
+
+#: hacks/config/deluxe.xml.h:12
+msgid ""
+"This draws a pulsing sequence of stars, circles, and lines. It would look "
+"better if it was faster, but as far as I can tell, there is no way to make "
+"this be both: fast, and flicker-free. Yet another reason X sucks. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/deluxe.xml.h:13
+msgid "Transparency"
+msgstr "Gjennomsiktighet"
+
+#: hacks/config/demon.xml.h:1
+msgid ""
+"A cellular automaton that starts with a random field, and organizes it into "
+"stripes and spirals. Written by David Bagley."
+msgstr ""
+
+#: hacks/config/demon.xml.h:3
+msgid "Demon"
+msgstr "Demon"
+
+#: hacks/config/demon.xml.h:11
+msgid "States"
+msgstr "Stater"
+
+#: hacks/config/discrete.xml.h:1
+msgid "Discrete"
+msgstr "Diskre"
+
+#: hacks/config/discrete.xml.h:5
+msgid ""
+"More ``discrete map'' systems, including new variants of Hopalong and Julia, "
+"and a few others. Written by Tim Auckland."
+msgstr ""
+
+#: hacks/config/distort.xml.h:1
+msgid "Black Hole"
+msgstr "Sort hull"
+
+#: hacks/config/distort.xml.h:2
+msgid "Bounce"
+msgstr "Sprett"
+
+#: hacks/config/distort.xml.h:3
+msgid "Distort"
+msgstr "Forvreng"
+
+#: hacks/config/distort.xml.h:6
+msgid "Lens Count"
+msgstr "Antall linser"
+
+#: hacks/config/distort.xml.h:7
+msgid "Lens Size"
+msgstr "Linsestrrelse"
+
+#: hacks/config/distort.xml.h:8
+msgid "Magnify"
+msgstr "Forstrr"
+
+#: hacks/config/distort.xml.h:10
+msgid "Reflect"
+msgstr "Reflekter"
+
+#: hacks/config/distort.xml.h:14
+msgid "Swamp Thing"
+msgstr "Sumpting"
+
+#: hacks/config/distort.xml.h:15
+msgid ""
+"This hack grabs an image of the screen, and then lets a transparent lens "
+"wander around the screen, magnifying whatever is underneath. Written by "
+"Jonas Munsin."
+msgstr ""
+
+#: hacks/config/distort.xml.h:16 hacks/config/moire.xml.h:12
+#: hacks/config/rd-bomb.xml.h:21 hacks/config/ripples.xml.h:15
+#: hacks/config/rotzoomer.xml.h:10 hacks/config/swirl.xml.h:10
+#: hacks/config/twang.xml.h:15 hacks/config/xflame.xml.h:7
+msgid "Use Shared Memory"
+msgstr "Bruk delt minne"
+
+#: hacks/config/distort.xml.h:17
+msgid "Vortex"
+msgstr ""
+
+#: hacks/config/drift.xml.h:1
+msgid "Drift"
+msgstr "Driv"
+
+#: hacks/config/drift.xml.h:4
+msgid "Fractal Growth"
+msgstr "Fraktal vekst"
+
+#: hacks/config/drift.xml.h:5
+msgid "High Dimensional Sphere"
+msgstr ""
+
+#: hacks/config/drift.xml.h:6
+msgid ""
+"How could one possibly describe this except as ``drifting recursive fractal "
+"cosmic flames?'' Another fine hack from the Scott Draves collection of fine "
+"hacks."
+msgstr ""
+
+#: hacks/config/drift.xml.h:7
+msgid "Lissojous Figures"
+msgstr ""
+
+#: hacks/config/electricsheep.xml.h:1
+msgid "ElectricSheep"
+msgstr ""
+
+#: hacks/config/electricsheep.xml.h:2
+msgid ""
+"ElectricSheep is an xscreensaver module that displays mpeg video of an "
+"animated fractal flame. In the background, it contributes render cycles to "
+"the next animation. Periodically it uploades completed frames to the server, "
+"where they are compressed for distribution to all clients. This program is "
+"recommended only if you have a high bandwidth, always-on connection to the "
+"Internet. By Scott Draves. You can find it at &lt;http://www.electricsheep."
+"org/&gt;."
+msgstr ""
+
+#: hacks/config/electricsheep.xml.h:4
+#, fuzzy
+msgid "Hide Sheep"
+msgstr "Lysbildehastighet"
+
+#: hacks/config/electricsheep.xml.h:5
+msgid "Megabytes of Local Sheep Storage"
+msgstr ""
+
+#: hacks/config/electricsheep.xml.h:6
+msgid "Nickname"
+msgstr ""
+
+#: hacks/config/electricsheep.xml.h:7
+msgid "Repititions of each Sheep"
+msgstr ""
+
+#: hacks/config/electricsheep.xml.h:8
+#, fuzzy
+msgid "Standalone"
+msgstr "Forvalg"
+
+#: hacks/config/electricsheep.xml.h:9
+msgid "URL"
+msgstr ""
+
+#: hacks/config/endgame.xml.h:1
+msgid ""
+"Black slips out of three mating nets, but the fourth one holds him tight! A "
+"brilliant composition! Written by Blair Tennessy."
+msgstr ""
+
+#: hacks/config/endgame.xml.h:2
+msgid "Endgame"
+msgstr ""
+
+#: hacks/config/engine.xml.h:1
+msgid "Audi Quattro (5 cylinders)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:2
+msgid "BMW M3 (4 cylinders)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:3
+msgid "BMW M5 (6 cylinders)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:4
+msgid "Corvette Z06 (8 cylinders, V)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:5
+msgid "Dodge Viper (10 cylinders, V)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:6
+msgid ""
+"Draws a simple model of an engine that floats around the screen. Written by "
+"Ben Buxton and Ed Beroset."
+msgstr ""
+
+#: hacks/config/engine.xml.h:7
+msgid "Engine"
+msgstr ""
+
+#: hacks/config/engine.xml.h:9
+msgid "Honda Insight (3 cylinders)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:10
+msgid "Jaguar XKE (12 cylinders, V)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:11
+msgid "Porsche 911 (6 cylinders, flat)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:12
+#, fuzzy
+msgid "Random Engine"
+msgstr "Gjr tilfeldig"
+
+#: hacks/config/engine.xml.h:13
+msgid "Show Engine Name"
+msgstr ""
+
+#: hacks/config/engine.xml.h:18
+msgid "Subaru XT (6 cylinders, V)"
+msgstr ""
+
+#: hacks/config/engine.xml.h:19
+msgid "VW Beetle (4 cylinders, flat)"
+msgstr ""
+
+#: hacks/config/epicycle.xml.h:4
+msgid "Epicycle"
+msgstr "Episyklus"
+
+#: hacks/config/epicycle.xml.h:6
+msgid "Harmonics"
+msgstr ""
+
+#: hacks/config/epicycle.xml.h:12
+msgid ""
+"This program draws the path traced out by a point on the edge of a circle. "
+"That circle rotates around a point on the rim of another circle, and so on, "
+"several times. These were the basis for the pre-heliocentric model of "
+"planetary motion. Written by James Youngman."
+msgstr ""
+
+#: hacks/config/eruption.xml.h:1
+msgid "An exposive version of XFlame. By W.P. van Paassen."
+msgstr ""
+
+#: hacks/config/eruption.xml.h:2
+msgid "Cooling factor"
+msgstr ""
+
+#: hacks/config/eruption.xml.h:4
+#, fuzzy
+msgid "Eruption"
+msgstr "Ekstrusjon"
+
+#: hacks/config/eruption.xml.h:7 hacks/config/fluidballs.xml.h:9
+#: hacks/config/qix.xml.h:9 hacks/config/speedmine.xml.h:4
+msgid "Gravity"
+msgstr "Gravitet"
+
+#: hacks/config/eruption.xml.h:8
+msgid "Heat"
+msgstr ""
+
+#: hacks/config/eruption.xml.h:9
+#, fuzzy
+msgid "Inferno"
+msgstr "Forstyrrelse"
+
+#: hacks/config/eruption.xml.h:10
+msgid "Little"
+msgstr ""
+
+#: hacks/config/eruption.xml.h:13
+msgid "Negative"
+msgstr ""
+
+#: hacks/config/eruption.xml.h:15
+#, fuzzy
+msgid "Number of Particles"
+msgstr "Antall sirkler"
+
+#: hacks/config/eruption.xml.h:16
+#, fuzzy
+msgid "Pleasant"
+msgstr "GLPlanet"
+
+#: hacks/config/eruption.xml.h:17
+msgid "Positive"
+msgstr ""
+
+#: hacks/config/euler2d.xml.h:2
+msgid "Euler2d"
+msgstr ""
+
+#: hacks/config/euler2d.xml.h:10 hacks/config/whirlwindwarp.xml.h:5
+msgid "Particles"
+msgstr "Partikler"
+
+#: hacks/config/euler2d.xml.h:11
+msgid "Power"
+msgstr "Kraft"
+
+#: hacks/config/euler2d.xml.h:13
+msgid ""
+"Simulates two dimensional Incompressible Inviscid Fluid Flow. Written by "
+"Stephen Montgomery-Smith."
+msgstr ""
+
+#: hacks/config/extrusion.xml.h:1
+msgid ""
+"Draws various rotating extruded shapes that twist around, lengthen, and turn "
+"inside out. Created by David Konerding from the samples that come with the "
+"GL Extrusion library by Linas Vepstas."
+msgstr ""
+
+#: hacks/config/extrusion.xml.h:2
+msgid "Extrusion"
+msgstr "Ekstrusjon"
+
+#: hacks/config/extrusion.xml.h:4
+msgid "Helix 2"
+msgstr "Helix 2"
+
+#: hacks/config/extrusion.xml.h:5
+msgid "Helix 3"
+msgstr "Helix 3"
+
+#: hacks/config/extrusion.xml.h:6
+msgid "Helix 4"
+msgstr "Helix 4"
+
+#: hacks/config/extrusion.xml.h:7
+msgid "Join Offset"
+msgstr "Avstand for sammensling"
+
+#: hacks/config/extrusion.xml.h:8 hacks/config/polytopes.xml.h:16
+msgid "Random Object"
+msgstr "Tilfeldig objekt"
+
+#: hacks/config/extrusion.xml.h:9
+msgid "Screw"
+msgstr "Skru"
+
+#: hacks/config/extrusion.xml.h:14
+msgid "Taper"
+msgstr ""
+
+#: hacks/config/extrusion.xml.h:15
+msgid "Texture Image"
+msgstr "Teksturbilde"
+
+#: hacks/config/extrusion.xml.h:16
+msgid "Twistoid"
+msgstr "Vridning"
+
+#: hacks/config/extrusion.xml.h:17 hacks/config/glplanet.xml.h:12
+#: hacks/config/pulsar.xml.h:19
+msgid "Use Flat Coloring"
+msgstr ""
+
+#: hacks/config/extrusion.xml.h:18 hacks/config/glplanet.xml.h:13
+msgid "Use Lighting"
+msgstr "Bruk lyn"
+
+#: hacks/config/fadeplot.xml.h:2
+msgid ""
+"Draws what looks like a waving ribbon following a sinusoidal path. Written "
+"by Bas van Gaalen and Charles Vidal."
+msgstr ""
+
+#: hacks/config/fadeplot.xml.h:3
+msgid "FadePlot"
+msgstr "FadePlot"
+
+#: hacks/config/fiberlamp.xml.h:1
+msgid "Draws a groovy rotating fiber optic lamp. Written by Tim Auckland."
+msgstr ""
+
+#: hacks/config/fiberlamp.xml.h:3
+msgid "Fiberlamp"
+msgstr ""
+
+#: hacks/config/fiberlamp.xml.h:4
+#, fuzzy
+msgid "Fibers"
+msgstr "Fisk"
+
+#: hacks/config/fiberlamp.xml.h:8
+msgid "Time between Knocks"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:1
+msgid "10 times"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:2
+msgid ""
+"A bunch of fireflies chase a few baits around the screen, leaving colorful "
+"tails which get blown around by the wind. Written by Matt Perry. This "
+"program is not included with the XScreenSaver package, but if you don't have "
+"it already, you can find it at &lt;http://somewhere.fscked.org/fireflies/"
+"&gt;."
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:3
+msgid "Add some fireflies"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:4
+msgid "Bait accel"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:5
+#, fuzzy
+msgid "Bait speed"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/fireflies.xml.h:6
+msgid "Color cycle speed"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:7
+#, fuzzy
+msgid "Draw baits"
+msgstr "Tegn maur"
+
+#: hacks/config/fireflies.xml.h:8
+#, fuzzy
+msgid "Faded colors"
+msgstr "Skremmende farger"
+
+#: hacks/config/fireflies.xml.h:9
+msgid "Fast Forward speed"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:10
+#, fuzzy
+msgid "Fireflies"
+msgstr "_Fil"
+
+#: hacks/config/fireflies.xml.h:11
+msgid "Firefly accel"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:12
+msgid "Firefly size"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:13
+#, fuzzy
+msgid "Firefly speed"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/fireflies.xml.h:14
+msgid "Frames per sec"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:15
+msgid "Glow factor"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:16
+#, fuzzy
+msgid "Half"
+msgstr "Halo"
+
+#: hacks/config/fireflies.xml.h:18 hacks/config/fluidballs.xml.h:10
+msgid "Hurricane"
+msgstr "Virvelvind"
+
+#: hacks/config/fireflies.xml.h:19
+msgid "Invisible"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:20
+msgid "Kill some fireflies"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:22
+msgid "Make all swarms do something"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:23
+msgid "Matrix (pause and rotate)"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:24
+#, fuzzy
+msgid "Maximum baits"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/fireflies.xml.h:25
+#, fuzzy
+msgid "Maximum flies"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/fireflies.xml.h:26
+msgid "Merge two swarms"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:27
+#, fuzzy
+msgid "Minimum baits"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/fireflies.xml.h:28
+#, fuzzy
+msgid "Minimum flies"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/fireflies.xml.h:29
+#, fuzzy
+msgid "Narrow"
+msgstr "Nr"
+
+#: hacks/config/fireflies.xml.h:30
+#, fuzzy
+msgid "Never"
+msgstr "Nr"
+
+#: hacks/config/fireflies.xml.h:31
+msgid "Normal swarm motion"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:33
+msgid "Opaque"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:35
+msgid "Split a swarm"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:36 hacks/config/fluidballs.xml.h:21
+#: hacks/config/glforestfire.xml.h:16
+msgid "Still"
+msgstr "Stille"
+
+#: hacks/config/fireflies.xml.h:37
+msgid "Swarm bursts into rainbow               "
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:38
+msgid "Swarm comes to a halt"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:39
+msgid "Swarm does loops"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:40
+msgid "Swarm hyperspeed"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:41
+msgid "Swarm tails glow"
+msgstr ""
+
+#: hacks/config/fireflies.xml.h:44
+#, fuzzy
+msgid "Wide"
+msgstr "Vind"
+
+#: hacks/config/fireflies.xml.h:45 hacks/config/fluidballs.xml.h:23
+msgid "Wind"
+msgstr "Vind"
+
+#: hacks/config/fireflies.xml.h:46
+msgid "Wind picks up"
+msgstr ""
+
+#: hacks/config/fireworkx.xml.h:1 hacks/config/lavalite.xml.h:3
+msgid "Activity"
+msgstr ""
+
+#: hacks/config/fireworkx.xml.h:4
+msgid "Fast Fade (more realistic)"
+msgstr ""
+
+#: hacks/config/fireworkx.xml.h:5
+#, fuzzy
+msgid "Fireworkx"
+msgstr "_Fil"
+
+#: hacks/config/fireworkx.xml.h:6
+#, fuzzy
+msgid "Light effect"
+msgstr "Lyneffekt"
+
+#: hacks/config/fireworkx.xml.h:7
+msgid "Pyrotechnics simulation eye-candy. Written by Rony B. Chandran."
+msgstr ""
+
+#: hacks/config/fireworkx.xml.h:8
+#, fuzzy
+msgid "Shoot"
+msgstr "Kort"
+
+#: hacks/config/flag.xml.h:1
+msgid "Bitmap for Flag"
+msgstr "Bitkart for flagg"
+
+#: hacks/config/flag.xml.h:3
+msgid "Flag"
+msgstr "Flagg"
+
+#: hacks/config/flag.xml.h:10
+msgid "Text for Flag"
+msgstr "Tekst for flagg"
+
+#: hacks/config/flag.xml.h:11
+msgid ""
+"This draws a waving colored flag, that undulates its way around the screen. "
+"The trick is the flag can contain arbitrary text and images. By default, it "
+"displays either the current system name and OS type, or a picture of "
+"``Bob,'' but you can replace the text or the image with a command-line "
+"option. Written by Charles Vidal and Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/flame.xml.h:1 hacks/config/jigsaw.xml.h:1
+#: hacks/config/maze.xml.h:1 hacks/config/rotzoomer.xml.h:1
+#: hacks/config/wander.xml.h:1
+msgid "0 Seconds"
+msgstr "0 scekunder"
+
+#: hacks/config/flame.xml.h:2 hacks/config/gleidescope.xml.h:1
+#: hacks/config/glslideshow.xml.h:2 hacks/config/maze.xml.h:2
+#: hacks/config/mirrorblob.xml.h:1
+msgid "10 Seconds"
+msgstr "10 sekunder"
+
+#: hacks/config/flame.xml.h:3
+msgid "Another iterative fractal generator. Written by Scott Draves."
+msgstr ""
+
+#: hacks/config/flame.xml.h:4 hacks/config/jigglypuff.xml.h:4
+msgid "Complexity"
+msgstr "Kompleksitet"
+
+#: hacks/config/flame.xml.h:8
+msgid "Flame"
+msgstr "Flamme"
+
+#: hacks/config/flame.xml.h:13
+msgid "Number of Fractals"
+msgstr "Antall fraktaler"
+
+#: hacks/config/flipflop.xml.h:2
+msgid "FlipFlop"
+msgstr ""
+
+#: hacks/config/flipflop.xml.h:3
+msgid ""
+"Flipflop draws a grid of 3D colored tiles that change positions with each "
+"other. Written by Kevin Ogden."
+msgstr ""
+
+#: hacks/config/flipflop.xml.h:6
+#, fuzzy
+msgid "Solid Tiles"
+msgstr "Helfylt gulv"
+
+#: hacks/config/flipscreen3d.xml.h:2
+msgid "Flipscreen3d"
+msgstr ""
+
+#: hacks/config/flipscreen3d.xml.h:3
+msgid ""
+"Grabs an image of the desktop, turns it into a GL texture map, and spins it "
+"around and deforms it in various ways. Written by Ben Buxton."
+msgstr ""
+
+#: hacks/config/flow.xml.h:3
+msgid "Flow"
+msgstr "Flyt"
+
+#: hacks/config/flow.xml.h:5
+#, fuzzy
+msgid "Length of trails"
+msgstr "Etterlat spor"
+
+#: hacks/config/flow.xml.h:13
+msgid ""
+"Strange attractors formed of flows in a 3D differential equation phase "
+"space. Written by Tim Auckland."
+msgstr ""
+
+#: hacks/config/flow.xml.h:16
+msgid "turn on/off bounding box."
+msgstr ""
+
+#: hacks/config/flow.xml.h:17
+#, fuzzy
+msgid "turn on/off double buffering."
+msgstr "Double buffer"
+
+#: hacks/config/flow.xml.h:18
+msgid "turn on/off periodic attractors."
+msgstr ""
+
+#: hacks/config/flow.xml.h:19
+msgid "turn on/off ride in the flow."
+msgstr ""
+
+#: hacks/config/flow.xml.h:20
+msgid "turn on/off rotating around attractor."
+msgstr ""
+
+#: hacks/config/flow.xml.h:21
+msgid "turn on/off search for new attractors."
+msgstr ""
+
+#: hacks/config/fluidballs.xml.h:1
+#, fuzzy
+msgid "      Freefall"
+msgstr "FrittFall"
+
+#: hacks/config/fluidballs.xml.h:2
+msgid "Ball Size"
+msgstr "Strrelse p ball"
+
+#: hacks/config/fluidballs.xml.h:4
+#, fuzzy
+msgid "Clay"
+msgstr "Pause"
+
+#: hacks/config/fluidballs.xml.h:7
+msgid "FluidBalls"
+msgstr "FlytendeBaller"
+
+#: hacks/config/fluidballs.xml.h:8 hacks/config/twang.xml.h:4
+msgid "Friction"
+msgstr "Friksjon"
+
+#: hacks/config/fluidballs.xml.h:11
+msgid "Jupiter"
+msgstr "Jupiter"
+
+#: hacks/config/fluidballs.xml.h:14
+msgid ""
+"Models the physics of bouncing balls, or of particles in a gas or fluid, "
+"depending on the settings. If \"Shake Box\" is selected, then every now and "
+"then, the box will be rotated, changing which direction is down (in order to "
+"keep the settled balls in motion.) By Peter Birtles and Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/fluidballs.xml.h:15
+#, fuzzy
+msgid "Rubber"
+msgstr "Bobler"
+
+#: hacks/config/fluidballs.xml.h:16
+msgid "Shake Box"
+msgstr "Risteboks"
+
+#: hacks/config/fluidballs.xml.h:22
+msgid "Various Ball Sizes"
+msgstr ""
+
+#: hacks/config/flurry.xml.h:1
+msgid "Binary"
+msgstr ""
+
+#: hacks/config/flurry.xml.h:2
+#, fuzzy
+msgid "Classic"
+msgstr "Glass"
+
+#: hacks/config/flurry.xml.h:3
+#, fuzzy
+msgid "Fire"
+msgstr "_Fil"
+
+#: hacks/config/flurry.xml.h:4
+msgid "Flurry"
+msgstr ""
+
+#: hacks/config/flurry.xml.h:5
+msgid "Insane"
+msgstr ""
+
+#: hacks/config/flurry.xml.h:6
+#, fuzzy
+msgid "Psychedelic"
+msgstr "Psykedeliske farger"
+
+#: hacks/config/flurry.xml.h:7
+msgid "RGB"
+msgstr ""
+
+#: hacks/config/flurry.xml.h:8 hacks/config/fontglide.xml.h:12
+#: hacks/config/jigglypuff.xml.h:13 hacks/config/sballs.xml.h:10
+#: hacks/config/whirlygig.xml.h:12
+msgid "Random"
+msgstr "Tilfeldig"
+
+#: hacks/config/flurry.xml.h:10
+msgid ""
+"This port of the OSX screensaver of the same name draws a colourful star"
+"(fish)like flurry of particles. xscreensaver port by Tobias Sargeant &lt;"
+"tobias.sargeant@bigpond.com&gt; Original Mac version by Calum Robinson &lt;"
+"calumr@mac.com&gt; http://homepage.mac.com/calumr"
+msgstr ""
+
+#: hacks/config/flurry.xml.h:11
+#, fuzzy
+msgid "Water"
+msgstr "Vandre"
+
+#: hacks/config/flyingtoasters.xml.h:1
+msgid ""
+"A fleet of 3d space-age jet-powered flying toasters (and toast!) Inspired by "
+"the ancient Berkeley Systems After Dark flying toasters. By Jamie Zawinski "
+"and Baconmonkey."
+msgstr ""
+
+#: hacks/config/flyingtoasters.xml.h:2
+#, fuzzy
+msgid "Air Speed"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/flyingtoasters.xml.h:4
+msgid "Chrome Toasters"
+msgstr ""
+
+#: hacks/config/flyingtoasters.xml.h:6
+msgid "Flying Toasters"
+msgstr ""
+
+#: hacks/config/flyingtoasters.xml.h:7 hacks/config/glslideshow.xml.h:17
+#: hacks/config/jigglypuff.xml.h:12 hacks/config/juggle.xml.h:5
+#: hacks/config/mirrorblob.xml.h:16 hacks/config/pipes.xml.h:10
+msgid "None"
+msgstr "Ingen"
+
+#: hacks/config/flyingtoasters.xml.h:8
+#, fuzzy
+msgid "Number of Slices"
+msgstr "Antall sirkler"
+
+#: hacks/config/flyingtoasters.xml.h:9
+#, fuzzy
+msgid "Number of Toasters"
+msgstr "Antall punkter"
+
+#: hacks/config/flyingtoasters.xml.h:12
+#, fuzzy
+msgid "Solid Colors"
+msgstr "Helfylt gulv"
+
+#: hacks/config/flyingtoasters.xml.h:13
+#, fuzzy
+msgid "Swarm"
+msgstr "XStrleSverm"
+
+#: hacks/config/fontglide.xml.h:2
+#, fuzzy
+msgid "Brief"
+msgstr "Driv"
+
+#: hacks/config/fontglide.xml.h:5
+#, fuzzy
+msgid "Font Border Thickness"
+msgstr "Tykkhet"
+
+#: hacks/config/fontglide.xml.h:6
+msgid "FontGlide"
+msgstr ""
+
+#: hacks/config/fontglide.xml.h:7
+msgid "Horizontally scrolling text"
+msgstr ""
+
+#: hacks/config/fontglide.xml.h:10
+msgid "Pages of text"
+msgstr ""
+
+#: hacks/config/fontglide.xml.h:11
+msgid ""
+"Puts text on the screen using large characters that glide in from the edges, "
+"assemble, then disperse. Alternately, it can simply scroll whole sentences "
+"from right to left. By Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/fontglide.xml.h:14
+#, fuzzy
+msgid "Text Linger"
+msgstr "Tekstlinjer"
+
+#: hacks/config/fontglide.xml.h:16
+#, fuzzy
+msgid "Vapor Trails"
+msgstr "Spor"
+
+#: hacks/config/forest.xml.h:2 hacks/config/glforestfire.xml.h:6
+msgid "Forest"
+msgstr "Skog"
+
+#: hacks/config/forest.xml.h:7
+msgid ""
+"This draws fractal trees. Written by Peter Baumung. Everybody loves "
+"fractals, right?"
+msgstr ""
+
+#: hacks/config/fuzzyflakes.xml.h:2
+#, fuzzy
+msgid "Border Thickness"
+msgstr "Tykkhet"
+
+#: hacks/config/fuzzyflakes.xml.h:6
+msgid ""
+"Falling colored snowflake/flower shapes. Inspired by the credits of the "
+"anime \"Azumanga Daioh\". Written by Barry Dmytro."
+msgstr ""
+
+#: hacks/config/fuzzyflakes.xml.h:9
+msgid "FuzzyFlakes"
+msgstr ""
+
+#: hacks/config/fuzzyflakes.xml.h:11 hacks/config/xspirograph.xml.h:4
+msgid "Layers"
+msgstr "Lag"
+
+#: hacks/config/fuzzyflakes.xml.h:14
+#, fuzzy
+msgid "Random Colors"
+msgstr "Tilfeldig bevegelse"
+
+#: hacks/config/galaxy.xml.h:4
+msgid "Galaxy"
+msgstr "Galakse"
+
+#: hacks/config/galaxy.xml.h:8
+#, fuzzy
+msgid "Rotate Viewpoint"
+msgstr "Liner bevegelse"
+
+#: hacks/config/galaxy.xml.h:13
+msgid ""
+"This draws spinning galaxies, which then collide and scatter their stars to "
+"the, uh, four winds or something. Originally an Amiga program by Uli "
+"Siegmund."
+msgstr ""
+
+#: hacks/config/gears.xml.h:3
+msgid "Gears"
+msgstr "Gears"
+
+#: hacks/config/gears.xml.h:4
+msgid "Planetary Gear System"
+msgstr ""
+
+#: hacks/config/gears.xml.h:5 hacks/config/goop.xml.h:9
+msgid "Rotational Speed"
+msgstr ""
+
+#: hacks/config/gears.xml.h:9
+msgid ""
+"This draws sets of turning, interlocking gears, rotating in three "
+"dimensions. Another GL hack, by Danny Sung, Brian Paul, Ed Mackey, and Jamie "
+"Zawinski."
+msgstr ""
+
+#: hacks/config/gears.xml.h:10
+msgid "Three Gear System"
+msgstr ""
+
+#: hacks/config/gflux.xml.h:2
+msgid "Checkerboard"
+msgstr "Sjakkbrett"
+
+#: hacks/config/gflux.xml.h:5
+msgid ""
+"Draws a rippling waves on a rotating wireframe grid, using GL. Written by "
+"Josiah Pease."
+msgstr ""
+
+#: hacks/config/gflux.xml.h:7
+msgid "Flat Lighting"
+msgstr "Flatt lyn"
+
+#: hacks/config/gflux.xml.h:8
+msgid "GFlux"
+msgstr "GFlux"
+
+#: hacks/config/gflux.xml.h:9
+msgid "Mesh Density"
+msgstr ""
+
+#: hacks/config/gflux.xml.h:10
+msgid "Screen Image"
+msgstr "Skjermbilde"
+
+#: hacks/config/gflux.xml.h:14 hacks/config/interference.xml.h:21
+msgid "Wave Speed"
+msgstr "Blgehastighet"
+
+#: hacks/config/gflux.xml.h:15 hacks/config/glmatrix.xml.h:20
+msgid "Waves"
+msgstr "Blger"
+
+#: hacks/config/gflux.xml.h:16
+msgid "Wire Mesh"
+msgstr ""
+
+#: hacks/config/glblur.xml.h:1
+#, fuzzy
+msgid "Blur Smoothness"
+msgstr "Myke linjer"
+
+#: hacks/config/glblur.xml.h:5
+msgid "GLBlur"
+msgstr ""
+
+#: hacks/config/glblur.xml.h:18
+msgid ""
+"This program draws a box and a few line segments, and generates a radial "
+"blur outward from it. This creates flowing field effects. This is done by "
+"rendering the scene into a small texture, then repeatedly rendering "
+"increasingly-enlarged and increasingly-transparent versions of that texture "
+"onto the frame buffer. As such, it's quite graphics intensive: don't bother "
+"trying to run this if you don't have hardware-accelerated OpenGL texture "
+"support. It will hurt your machine bad."
+msgstr ""
+
+#: hacks/config/gleidescope.xml.h:2 hacks/config/glslideshow.xml.h:6
+#: hacks/config/mirrorblob.xml.h:3
+#, fuzzy
+msgid "5 Minutes"
+msgstr "1 minutt"
+
+#: hacks/config/gleidescope.xml.h:3
+msgid ""
+"An OpenGL kaleidescope that operates on your desktop image, or on image "
+"files loaded from disk. Written by andrew dean."
+msgstr ""
+
+#: hacks/config/gleidescope.xml.h:4
+#, fuzzy
+msgid "Gleidescope"
+msgstr "Kaleidoskop"
+
+#: hacks/config/gleidescope.xml.h:5
+#, fuzzy
+msgid "Image Duration"
+msgstr "V_arighet for utfasing"
+
+#: hacks/config/gleidescope.xml.h:6
+#, fuzzy
+msgid "Image file"
+msgstr "Bildefil"
+
+#: hacks/config/gleidescope.xml.h:8
+#, fuzzy
+msgid "Move"
+msgstr "Flere"
+
+#: hacks/config/gleidescope.xml.h:11
+msgid "Size of tube"
+msgstr ""
+
+#: hacks/config/gleidescope.xml.h:13 hacks/config/hyperball.xml.h:16
+#: hacks/config/hypercube.xml.h:16 hacks/config/zoom.xml.h:8
+msgid "Zoom"
+msgstr "Zoom"
+
+#: hacks/config/glforestfire.xml.h:2
+msgid "Desert"
+msgstr "rken"
+
+#: hacks/config/glforestfire.xml.h:3
+msgid ""
+"Draws an animation of sprinkling fire-like 3D triangles in a landscape "
+"filled with trees. Requires OpenGL, and a machine with fast hardware support "
+"for texture maps. Written by Eric Lassauge &lt;lassauge@users.sourceforge."
+"net&gt;."
+msgstr ""
+
+#: hacks/config/glforestfire.xml.h:5 hacks/config/glmatrix.xml.h:9
+msgid "Fog"
+msgstr "Tke"
+
+#: hacks/config/glforestfire.xml.h:7
+msgid "GLForestFire"
+msgstr "GLSkogbrann"
+
+#: hacks/config/glforestfire.xml.h:8
+msgid "Huge Fire"
+msgstr "Storbrann"
+
+#: hacks/config/glforestfire.xml.h:9
+msgid "No shadow"
+msgstr "Ingen skygge"
+
+#: hacks/config/glforestfire.xml.h:11
+msgid "Number of trees"
+msgstr "Antall trr"
+
+#: hacks/config/glforestfire.xml.h:12
+msgid "Rain"
+msgstr "Regn"
+
+#: hacks/config/glforestfire.xml.h:17
+msgid "Track mouse"
+msgstr ""
+
+#: hacks/config/glknots.xml.h:4
+msgid "GLKnots"
+msgstr ""
+
+#: hacks/config/glknots.xml.h:5
+msgid ""
+"Generates some twisting 3d knot patterns. Spins 'em around. Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: hacks/config/glknots.xml.h:7 hacks/config/lavalite.xml.h:17
+#: hacks/config/spheremonics.xml.h:9
+msgid "Resolution"
+msgstr "Opplsing"
+
+#: hacks/config/glknots.xml.h:15
+#, fuzzy
+msgid "Segmented"
+msgstr "Segmenter"
+
+#: hacks/config/glknots.xml.h:18 hacks/config/lavalite.xml.h:28
+#: hacks/config/xmountains.xml.h:25
+msgid "Smooth"
+msgstr "Myk"
+
+#: hacks/config/glmatrix.xml.h:2 hacks/config/xmatrix.xml.h:1
+msgid "Binary Encoding"
+msgstr ""
+
+#: hacks/config/glmatrix.xml.h:4
+#, fuzzy
+msgid "Draw Glyphs"
+msgstr "Tegn flekker"
+
+#: hacks/config/glmatrix.xml.h:5
+#, fuzzy
+msgid "Draw Outlines"
+msgstr "Tegn maur"
+
+#: hacks/config/glmatrix.xml.h:6
+#, fuzzy
+msgid "Draw Solid Boxes"
+msgstr "Tegn flekker"
+
+#: hacks/config/glmatrix.xml.h:7
+msgid ""
+"Draws 3D dropping characters similar to what is seen in the title sequence "
+"of \"The Matrix\". See also \"xmatrix\" for a 2D rendering of the similar "
+"effect that appeared on the computer monitors actually *in* the movie. "
+"Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/glmatrix.xml.h:10
+#, fuzzy
+msgid "GLMatrix"
+msgstr "Xmatrise"
+
+#: hacks/config/glmatrix.xml.h:11 hacks/config/xmatrix.xml.h:7
+msgid "Genetic Encoding"
+msgstr ""
+
+#: hacks/config/glmatrix.xml.h:12
+#, fuzzy
+msgid "Glyph Density"
+msgstr "Tetthet"
+
+#: hacks/config/glmatrix.xml.h:13
+#, fuzzy
+msgid "Glyph Speed"
+msgstr "Hastighet p fisk"
+
+#: hacks/config/glmatrix.xml.h:14 hacks/config/xmatrix.xml.h:8
+msgid "Hexadecimal Encoding"
+msgstr ""
+
+#: hacks/config/glmatrix.xml.h:15 hacks/config/xmatrix.xml.h:11
+msgid "Matrix Encoding"
+msgstr ""
+
+#: hacks/config/glmatrix.xml.h:16
+#, fuzzy
+msgid "Panning"
+msgstr "Pakking"
+
+#: hacks/config/glplanet.xml.h:1
+msgid ""
+"Draws a planet bouncing around in space. Written by David Konerding. The "
+"built-in image is a map of the earth (extracted from `xearth'), but you can "
+"wrap any texture around the sphere, e.g., the planetary textures that come "
+"with `ssystem'."
+msgstr ""
+
+#: hacks/config/glplanet.xml.h:3
+msgid "GLPlanet"
+msgstr "GLPlanet"
+
+#: hacks/config/glplanet.xml.h:4
+msgid "Image File"
+msgstr "Bildefil"
+
+#: hacks/config/glplanet.xml.h:5
+msgid "Roll"
+msgstr ""
+
+#: hacks/config/glslideshow.xml.h:4 hacks/config/rd-bomb.xml.h:5
+#: hacks/config/substrate.xml.h:4 hacks/config/xplanet.xml.h:4
+#, no-c-format
+msgid "100%"
+msgstr "100%"
+
+#: hacks/config/glslideshow.xml.h:5 hacks/config/glsnake.xml.h:2
+#: hacks/config/mirrorblob.xml.h:2 hacks/config/penrose.xml.h:2
+msgid "30 Seconds"
+msgstr "30 sekunder"
+
+#: hacks/config/glslideshow.xml.h:8
+#, no-c-format
+msgid "50%"
+msgstr ""
+
+#: hacks/config/glslideshow.xml.h:9
+msgid "Always show at least this much of the image:"
+msgstr ""
+
+#: hacks/config/glslideshow.xml.h:10 hacks/config/mirrorblob.xml.h:6
+#, fuzzy
+msgid "Crossfade Duration:"
+msgstr "V_arighet for utfasing"
+
+#: hacks/config/glslideshow.xml.h:11
+msgid "Frame Rate:"
+msgstr ""
+
+#: hacks/config/glslideshow.xml.h:12
+msgid "GLSlideshow"
+msgstr ""
+
+#: hacks/config/glslideshow.xml.h:14
+msgid "Letterbox"
+msgstr ""
+
+#: hacks/config/glslideshow.xml.h:15
+msgid ""
+"Loads a random sequence of images and smoothly scans and zooms around in "
+"each, fading from pan to pan. To tell it where to find the images to "
+"display, go to the \"Advanced\" tab on the Screensaver Preferences window. "
+"Select \"Choose Random Images\", and enter your image directory in the text "
+"field right below that. (Note: not the the \"Advanced\" button at the bottom "
+"of this window: the tab at the top of the *other* window.) This program "
+"requires a good video card capable of supporting large textures. Written by "
+"Jamie Zawinski and Mike Oliphant."
+msgstr ""
+
+#: hacks/config/glslideshow.xml.h:18
+#, fuzzy
+msgid "Pan/Zoom Duration:"
+msgstr "V_arighet for utfasing"
+
+#: hacks/config/glsnake.xml.h:1 hacks/config/lavalite.xml.h:1
+msgid "1"
+msgstr "1"
+
+#: hacks/config/glsnake.xml.h:3
+#, fuzzy
+msgid "Angular Velocity"
+msgstr "Maks fart"
+
+#: hacks/config/glsnake.xml.h:4
+msgid ""
+"Draws a simulation of the Rubik's Snake puzzle. Written by Jamie Wilkinson, "
+"Andrew Bennetts, and Peter Aylett."
+msgstr ""
+
+#: hacks/config/glsnake.xml.h:7
+msgid "GlSnake"
+msgstr "GLSlange"
+
+#: hacks/config/glsnake.xml.h:8
+msgid "Loose"
+msgstr "Ls"
+
+#: hacks/config/glsnake.xml.h:9
+msgid "Packing"
+msgstr "Pakking"
+
+#: hacks/config/glsnake.xml.h:11
+#, fuzzy
+msgid "Show Titles"
+msgstr "Vis etiketter"
+
+#: hacks/config/glsnake.xml.h:14
+msgid "Tight"
+msgstr "Tett"
+
+#: hacks/config/glsnake.xml.h:16
+#, fuzzy
+msgid "Y Angular Velocity"
+msgstr "Maks fart"
+
+#: hacks/config/glsnake.xml.h:17
+#, fuzzy
+msgid "Z Angular Velocity"
+msgstr "Maks fart"
+
+#: hacks/config/gltext.xml.h:1
+msgid ""
+"Displays a few lines of text spinning around in a solid 3D font. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/gltext.xml.h:4
+msgid "GLText"
+msgstr "GLTekst"
+
+#: hacks/config/gltext.xml.h:16 hacks/config/noseguy.xml.h:5
+msgid "Text"
+msgstr "Tekst"
+
+#: hacks/config/goban.xml.h:1
+msgid "Goban"
+msgstr "Goban"
+
+#: hacks/config/goban.xml.h:2
+msgid ""
+"Replays historical games of go (aka wei-chi and baduk) on the screen. By "
+"Scott Draves. You can find it at &lt;http://www.draves.org/goban/&gt;."
+msgstr ""
+
+#: hacks/config/goop.xml.h:1
+msgid "Additive Colors (reflected light)"
+msgstr ""
+
+#: hacks/config/goop.xml.h:2
+msgid "Blob Count"
+msgstr "Antall blubber"
+
+#: hacks/config/goop.xml.h:3
+msgid "Elasticity"
+msgstr "Elastisitet"
+
+#: hacks/config/goop.xml.h:5
+msgid "Goop"
+msgstr "Goop"
+
+#: hacks/config/goop.xml.h:8
+msgid "Opaque Blobs"
+msgstr ""
+
+#: hacks/config/goop.xml.h:12
+msgid "Speed Limit"
+msgstr "Fartsgrense"
+
+#: hacks/config/goop.xml.h:13
+msgid "Subtractive Colors (transmitted light)"
+msgstr ""
+
+#: hacks/config/goop.xml.h:14
+msgid ""
+"This draws set of animating, transparent, amoeba-like blobs. The blobs "
+"change shape as they wander around the screen, and they are translucent, so "
+"you can see the lower blobs through the higher ones, and when one passes "
+"over another, their colors merge. I got the idea for this from a cool mouse "
+"pad I have, which achieves the same kind of effect in real life by having "
+"several layers plastic with colored oil between them. Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: hacks/config/goop.xml.h:15
+msgid "Transparent Blobs"
+msgstr "Gjennomsiktige blubber"
+
+#: hacks/config/goop.xml.h:16
+msgid "XOR Blobs"
+msgstr "XOR-blubber"
+
+#: hacks/config/grav.xml.h:3
+msgid "Grav"
+msgstr "Grav"
+
+#: hacks/config/grav.xml.h:6
+msgid "Object Trails"
+msgstr "Objektspor"
+
+#: hacks/config/grav.xml.h:7
+msgid "Orbital Decay"
+msgstr "Avtagning i banen"
+
+#: hacks/config/grav.xml.h:10
+msgid ""
+"This program draws a simple orbital simulation. If you turn on trails, it "
+"looks kind of like a cloud-chamber photograph. Written by Greg Bowering."
+msgstr ""
+
+#: hacks/config/greynetic.xml.h:2
+msgid "Greynetic"
+msgstr "Greynetic"
+
+#: hacks/config/greynetic.xml.h:5
+msgid ""
+"This draws random colored and stippled rectangles. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/halftone.xml.h:1
+msgid "Delay (Large = low cpu load)"
+msgstr ""
+
+#: hacks/config/halftone.xml.h:2
+msgid "Dot fill factor"
+msgstr ""
+
+#: hacks/config/halftone.xml.h:3
+#, fuzzy
+msgid "Dot size"
+msgstr "Strrelse p maur"
+
+#: hacks/config/halftone.xml.h:4
+msgid ""
+"Draws the gravity force in each point on the screen seen through a halftone "
+"dot pattern. The gravity force is calculated from a set of moving mass "
+"points. View it from a distance for best effect. Written by Peter Jaric &lt;"
+"peter@jaric.org&gt;."
+msgstr ""
+
+#: hacks/config/halftone.xml.h:5
+#, fuzzy
+msgid "Gravity points"
+msgstr "Gravitet"
+
+#: hacks/config/halftone.xml.h:6
+#, fuzzy
+msgid "Halftone"
+msgstr "Halo"
+
+#: hacks/config/halftone.xml.h:10
+msgid "Maximum mass"
+msgstr ""
+
+#: hacks/config/halftone.xml.h:11
+#, fuzzy
+msgid "Maximum speed"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/halftone.xml.h:12
+msgid "Minimum mass"
+msgstr ""
+
+#: hacks/config/halftone.xml.h:13
+#, fuzzy
+msgid "Minimum speed"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/halo.xml.h:1
+msgid "Animate Circles"
+msgstr "Animer sirkler"
+
+#: hacks/config/halo.xml.h:3
+msgid "Halo"
+msgstr "Halo"
+
+#: hacks/config/halo.xml.h:5
+msgid "Number of Circles"
+msgstr "Antall sirkler"
+
+#: hacks/config/halo.xml.h:7
+#, fuzzy
+msgid "Ramp Mode"
+msgstr "Tilfeldig modus"
+
+#: hacks/config/halo.xml.h:9
+msgid "Seuss Mode"
+msgstr ""
+
+#: hacks/config/halo.xml.h:12
+msgid ""
+"This draws trippy psychedelic circular patterns that hurt to look at. It can "
+"also animate the control-points, but that takes a lot of CPU and bandwidth. "
+"Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/helix.xml.h:4
+msgid "Helix"
+msgstr "Helix"
+
+#: hacks/config/helix.xml.h:5
+msgid ""
+"This repeatedly generates spirally string-art-ish patterns. Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: hacks/config/hopalong.xml.h:3
+msgid "EJK1"
+msgstr ""
+
+#: hacks/config/hopalong.xml.h:4
+msgid "EJK2"
+msgstr ""
+
+#: hacks/config/hopalong.xml.h:5
+msgid "EJK3"
+msgstr ""
+
+#: hacks/config/hopalong.xml.h:6
+msgid "EJK4"
+msgstr ""
+
+#: hacks/config/hopalong.xml.h:7
+msgid "EJK5"
+msgstr ""
+
+#: hacks/config/hopalong.xml.h:8
+msgid "EJK6"
+msgstr ""
+
+#: hacks/config/hopalong.xml.h:11
+msgid "Hopalong"
+msgstr "Hopalong"
+
+#: hacks/config/hopalong.xml.h:12
+msgid "Jong"
+msgstr "Jong"
+
+#: hacks/config/hopalong.xml.h:16
+msgid "Martin"
+msgstr "Martin"
+
+#: hacks/config/hopalong.xml.h:18
+msgid "Popcorn"
+msgstr "Popcorn"
+
+#: hacks/config/hopalong.xml.h:19
+msgid "RR"
+msgstr "RR"
+
+#: hacks/config/hopalong.xml.h:20
+msgid "Sine"
+msgstr "Sinus"
+
+#: hacks/config/hopalong.xml.h:24
+msgid ""
+"This draws lacy fractal patterns, based on iteration in the imaginary plane, "
+"from a 1986 Scientific American article. Mostly written by Patrick Naughton."
+msgstr ""
+
+#: hacks/config/hyperball.xml.h:4
+msgid "Hyperball"
+msgstr "Hyperball"
+
+#: hacks/config/hyperball.xml.h:5
+msgid ""
+"Hyperball is to hypercube as dodecahedron is to cube: this displays a 2D "
+"projection of the sequence of 3D objects which are the projections of the 4D "
+"analog to the dodecahedron. Technically, it is a \"120 cell polytope.\" "
+"Written by Joe Keane. See also the \"polytopes\" hack for a more general "
+"version of this using OpenGL."
+msgstr ""
+
+#: hacks/config/hyperball.xml.h:10 hacks/config/hypercube.xml.h:10
+msgid "XW Rotation"
+msgstr ""
+
+#: hacks/config/hyperball.xml.h:11 hacks/config/hypercube.xml.h:11
+msgid "XY Rotation"
+msgstr ""
+
+#: hacks/config/hyperball.xml.h:12 hacks/config/hypercube.xml.h:12
+msgid "XZ Rotation"
+msgstr ""
+
+#: hacks/config/hyperball.xml.h:13 hacks/config/hypercube.xml.h:13
+msgid "YW Rotation"
+msgstr ""
+
+#: hacks/config/hyperball.xml.h:14 hacks/config/hypercube.xml.h:14
+msgid "YZ Rotation"
+msgstr ""
+
+#: hacks/config/hyperball.xml.h:15 hacks/config/hypercube.xml.h:15
+msgid "ZW Rotation"
+msgstr ""
+
+#: hacks/config/hypercube.xml.h:4
+msgid "Hypercube"
+msgstr "Hyperkube"
+
+#: hacks/config/hypercube.xml.h:9
+msgid ""
+"This displays 2D projections of the sequence of 3D objects which are the "
+"projections of the 4D analog to the cube: as a square is composed of four "
+"lines, each touching two others; and a cube is composed of six squares, each "
+"touching four others; a hypercube is composed of eight cubes, each touching "
+"six others. To make it easier to visualize the rotation, it uses a different "
+"color for the edges of each face. Don't think about it too long, or your "
+"brain will melt. Written by Joe Keane, Fritz Mueller, and Jamie Zawinski. "
+"See also the \"polytopes\" hack for a more general version of this using "
+"OpenGL."
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:1 hacks/config/polytopes.xml.h:1
+msgid "-4.0"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:2 hacks/config/polytopes.xml.h:5
+msgid "4.0"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:3
+msgid "4D Hypertorus"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:4
+#, fuzzy
+msgid "Color Wheel"
+msgstr "Farger"
+
+#: hacks/config/hypertorus.xml.h:5 hacks/config/polytopes.xml.h:10
+#, fuzzy
+msgid "Display Speed"
+msgstr "Stil"
+
+#: hacks/config/hypertorus.xml.h:7 hacks/config/polytopes.xml.h:12
+msgid "Orthographic 3d"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:8 hacks/config/polytopes.xml.h:13
+msgid "Orthographic 4d"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:9 hacks/config/polytopes.xml.h:14
+msgid "Perspective 3d"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:10 hacks/config/polytopes.xml.h:15
+msgid "Perspective 4d"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:11
+#, fuzzy
+msgid "See-Through Bands"
+msgstr "Veksle mellom farger."
+
+#: hacks/config/hypertorus.xml.h:14
+#, fuzzy
+msgid "Solid Object"
+msgstr "Helfylte objekter"
+
+#: hacks/config/hypertorus.xml.h:15 hacks/config/mirrorblob.xml.h:20
+#: hacks/config/polytopes.xml.h:21 hacks/config/pulsar.xml.h:16
+msgid "Solid Surface"
+msgstr "Hel overflate"
+
+#: hacks/config/hypertorus.xml.h:16
+msgid ""
+"This program shows a rotating Clifford Torus: a torus lying on the \"surface"
+"\" of a 4D hypersphere. Written by Carsten Steger, inspired by Thomas "
+"Banchoff's book \"Beyond the Third Dimension: Geometry, Computer Graphics, "
+"and Higher Dimensions\", Scientific American Library, 1990."
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:17 hacks/config/polytopes.xml.h:23
+#, fuzzy
+msgid "Transparent Surface"
+msgstr "Gjennomsiktig"
+
+#: hacks/config/hypertorus.xml.h:18
+msgid "Two-Sided"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:19 hacks/config/polytopes.xml.h:24
+#, fuzzy
+msgid "WX Rotation Speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/hypertorus.xml.h:20 hacks/config/polytopes.xml.h:25
+#, fuzzy
+msgid "WY Rotation Speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/hypertorus.xml.h:21 hacks/config/polytopes.xml.h:26
+#, fuzzy
+msgid "WZ Rotation Speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/hypertorus.xml.h:22 hacks/config/polytopes.xml.h:27
+msgid "Wireframe Mesh"
+msgstr ""
+
+#: hacks/config/hypertorus.xml.h:23 hacks/config/polytopes.xml.h:28
+#, fuzzy
+msgid "XY Rotation Speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/hypertorus.xml.h:24 hacks/config/polytopes.xml.h:29
+#, fuzzy
+msgid "XZ Rotation Speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/hypertorus.xml.h:25 hacks/config/polytopes.xml.h:30
+#, fuzzy
+msgid "YZ Rotation Speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/ifs.xml.h:2
+msgid "IFS"
+msgstr "IFS"
+
+#: hacks/config/ifs.xml.h:7
+msgid ""
+"This one draws spinning, colliding iterated-function-system images. Written "
+"by Massimino Pascal."
+msgstr ""
+
+#: hacks/config/imsmap.xml.h:3
+msgid "Brightness Gradients"
+msgstr ""
+
+#: hacks/config/imsmap.xml.h:7
+msgid "Hue Gradients"
+msgstr "Gradienter for gld"
+
+#: hacks/config/imsmap.xml.h:8
+msgid "IMSmap"
+msgstr "IMSkart"
+
+#: hacks/config/imsmap.xml.h:12
+msgid "Saturation Gradients"
+msgstr "Metningsgradienter"
+
+#: hacks/config/imsmap.xml.h:14
+msgid ""
+"This generates random cloud-like patterns. It looks quite different in "
+"monochrome and color. The basic idea is to take four points on the edge of "
+"the image, and assign each a random ``elevation''. Then find the point "
+"between them, and give it a value which is the average of the other four, "
+"plus some small random offset. Then coloration is done based on elevation. "
+"The color selection is done by binding the elevation to either hue, "
+"saturation, or brightness, and assigning random values to the others. The "
+"``brightness'' mode tends to yield cloudlike patterns, and the others tend "
+"to generate images that look like heat-maps or CAT-scans. Written by Juergen "
+"Nickelsen and Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/interference.xml.h:1
+msgid "0"
+msgstr ""
+
+#: hacks/config/interference.xml.h:2
+msgid "360"
+msgstr ""
+
+#: hacks/config/interference.xml.h:3
+msgid "Anim Speed"
+msgstr "Animasjonshastighet"
+
+#: hacks/config/interference.xml.h:4
+msgid ""
+"Another color-field hack, this one works by computing decaying sinusoidal "
+"waves, and allowing them to interfere with each other as their origins move. "
+"Written by Hannu Mallat."
+msgstr ""
+
+#: hacks/config/interference.xml.h:9
+msgid "Hue"
+msgstr ""
+
+#: hacks/config/interference.xml.h:10
+msgid "Interference"
+msgstr "Forstyrrelse"
+
+#: hacks/config/interference.xml.h:13 hacks/config/t3d.xml.h:9
+#: hacks/config/xearth.xml.h:11 hacks/config/zoom.xml.h:5
+msgid "Magnification"
+msgstr "Forstrrelse"
+
+#: hacks/config/interference.xml.h:16
+msgid "Number of Waves"
+msgstr "Antall blger"
+
+#: hacks/config/interference.xml.h:20
+msgid "Wave Size"
+msgstr "Blgestrrelse"
+
+#: hacks/config/intermomentary.xml.h:2
+msgid "Intermomentary"
+msgstr ""
+
+#: hacks/config/intermomentary.xml.h:3
+#, fuzzy
+msgid "Number of Discs"
+msgstr "Antall sirkler"
+
+#: hacks/config/intermomentary.xml.h:6
+msgid ""
+"The Intersection Momentary is a fun visualization defining the relationships "
+"between objects with Casey Reas, William Ngan, and Robert Hodgin. "
+"Commissioned for display at the Whitney Museum of American Art. A surface "
+"filled with 100 medium to small sized circles. Each circle has a different "
+"size and direction, but moves at the same slow rate. Display: A. The "
+"instantaneous intersections of the circles. B. The aggregate intersections "
+"of the circles. Ported to XScreensaver from the art project \"InterMomentary"
+"\" at http://www.complexification.net"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:2
+msgid "Chrome"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:3
+msgid "Clown barf"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:5
+#, fuzzy
+msgid "Cycle"
+msgstr "Omganger"
+
+#: hacks/config/jigglypuff.xml.h:7
+msgid "Flower box"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:9
+msgid "Inertial damping"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:10
+msgid "JigglyPuff"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:14
+#, fuzzy
+msgid "Rotation speed"
+msgstr "Roteringshastighet"
+
+#: hacks/config/jigglypuff.xml.h:17 hacks/config/sphere.xml.h:7
+msgid "Sphere"
+msgstr "Sfre"
+
+#: hacks/config/jigglypuff.xml.h:18
+msgid "Sphere strength"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:19
+#, fuzzy
+msgid "Spookiness"
+msgstr "Splines"
+
+#: hacks/config/jigglypuff.xml.h:20
+msgid "Spoooooky"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:21 hacks/config/polyhedra.xml.h:155
+#: hacks/config/sballs.xml.h:16
+msgid "Tetrahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/jigglypuff.xml.h:22
+msgid ""
+"This little gem does bad things with quasi-spherical objects. The gist of it "
+"is that you have what is, structurally, a tetrahedron with tesselated faces. "
+"the vertices on these faces have forces on them in the form of one "
+"proportional to their distance from the surface of a sphere, and one which "
+"is proportional to how far they differ from some ideal distance from their "
+"neighbors. They also have inertia. The forces and distance are parameters "
+"and there are also a couple of visual parameters. The resulting effect can "
+"range from a shape that does nothing, to a frenetic polygon storm. Somewhere "
+"in between there it usually manifests as a blob that jiggles in a kind of "
+"disturbing manner. woo. It doesn't matter, however. You should just pick "
+"'random'. It overrides all the other options, except for fps, delay and "
+"complexity. By Keith Macleod"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:23
+msgid "Vertex-vertex behavior"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:24
+msgid "Vertex-vertex force"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:26
+msgid "collapse"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:27
+msgid "expand"
+msgstr ""
+
+#: hacks/config/jigglypuff.xml.h:28
+#, fuzzy
+msgid "none"
+msgstr "Ingen"
+
+#: hacks/config/jigglypuff.xml.h:29
+#, fuzzy
+msgid "strong"
+msgstr "Rar"
+
+#: hacks/config/jigsaw.xml.h:4
+msgid "Jigsaw"
+msgstr "Puslespill"
+
+#: hacks/config/jigsaw.xml.h:6
+msgid "Solved Duration"
+msgstr ""
+
+#: hacks/config/jigsaw.xml.h:8
+msgid ""
+"This grabs a screen image, carves it up into a jigsaw puzzle, shuffles it, "
+"and then solves the puzzle. This works especially well when you feed it an "
+"external video signal instead of letting it grab the screen image (actually, "
+"I guess this is generally true...) When it is grabbing a video image, it is "
+"sometimes pretty hard to guess what the image is going to look like once the "
+"puzzle is solved. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/juggle.xml.h:1
+msgid "Draws a juggling stick-man. Written by Tim Auckland."
+msgstr ""
+
+#: hacks/config/juggle.xml.h:3
+msgid "Juggle"
+msgstr "Jongler"
+
+#: hacks/config/juggle.xml.h:6
+#, fuzzy
+msgid "Performance Length"
+msgstr "Lengde p spor"
+
+#: hacks/config/juggle.xml.h:11
+msgid "Use Pattern "
+msgstr ""
+
+#: hacks/config/juggle.xml.h:12
+msgid "turn on/off Balls."
+msgstr ""
+
+#: hacks/config/juggle.xml.h:13
+#, fuzzy
+msgid "turn on/off Bowling Balls."
+msgstr "Double buffer"
+
+#: hacks/config/juggle.xml.h:14
+#, fuzzy
+msgid "turn on/off Clubs."
+msgstr "Double buffer"
+
+#: hacks/config/juggle.xml.h:15
+msgid "turn on/off Flaming Torches."
+msgstr ""
+
+#: hacks/config/juggle.xml.h:16
+msgid "turn on/off Knives."
+msgstr ""
+
+#: hacks/config/juggle.xml.h:17
+#, fuzzy
+msgid "turn on/off Rings."
+msgstr "Double buffer"
+
+#: hacks/config/juggle.xml.h:18
+#, fuzzy
+msgid "turn on/off pattern descriptions."
+msgstr "Double buffer"
+
+#: hacks/config/julia.xml.h:3 hacks/config/rorschach.xml.h:4
+msgid "Iterations"
+msgstr "Gjennomganger"
+
+#: hacks/config/julia.xml.h:4
+msgid "Julia"
+msgstr "Julia"
+
+#: hacks/config/julia.xml.h:11
+msgid ""
+"This one draws spinning, animating (are you detecting a pattern here yet?) "
+"explorations of the Julia set. You've probably seen static images of this "
+"fractal form before, but it's a lot of fun to watch in motion as well. One "
+"interesting thing is that there is a small swinging dot passing in front of "
+"the image, which indicates the control point from which the rest of the "
+"image was generated. Written by Sean McCullough."
+msgstr ""
+
+#: hacks/config/kaleidescope.xml.h:1
+msgid ""
+"Another clone of an ancient meme, consisting largely of frenetic rotational "
+"motion of colored lines. This one is by Ron Tapia. The motion is nice, but I "
+"think it needs more solids, or perhaps just brighter colors. More variations "
+"in the rotational speed might help, too."
+msgstr ""
+
+#: hacks/config/kaleidescope.xml.h:4
+msgid "Kaleidescope"
+msgstr "Kaleidoskop"
+
+#: hacks/config/kaleidescope.xml.h:6 hacks/config/qix.xml.h:18
+msgid "Segments"
+msgstr "Segmenter"
+
+#: hacks/config/kaleidescope.xml.h:9
+msgid "Symmetry"
+msgstr ""
+
+#: hacks/config/kaleidescope.xml.h:10
+msgid "Trails"
+msgstr "Spor"
+
+#: hacks/config/klein.xml.h:3
+msgid "Klein"
+msgstr ""
+
+#: hacks/config/klein.xml.h:10
+msgid ""
+"This draws a visualization of a Klein bottle or some other interesting "
+"parametric surfaces. Written by Andrey Mirtchovski."
+msgstr ""
+
+#: hacks/config/klein.xml.h:11
+msgid "Use Randomized Surfaces and Primitives"
+msgstr ""
+
+#: hacks/config/klein.xml.h:12
+#, fuzzy
+msgid "Wander Around the Screen"
+msgstr "Sentrer p skjermen"
+
+#: hacks/config/kumppa.xml.h:5
+msgid "Kumppa"
+msgstr "Kumppa"
+
+#: hacks/config/kumppa.xml.h:7
+msgid "Randomize"
+msgstr "Gjr tilfeldig"
+
+#: hacks/config/kumppa.xml.h:10
+msgid ""
+"Spiraling, spinning, and very, very fast splashes of color rush toward the "
+"screen. Written by Teemu Suutari."
+msgstr ""
+
+#: hacks/config/lament.xml.h:1
+msgid ""
+"Animates a simulation of Lemarchand's Box, repeatedly solving itself. "
+"Requires OpenGL, and a machine with fast hardware support for texture maps. "
+"Warning: occasionally opens doors. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/lament.xml.h:3
+msgid "Lament"
+msgstr "Lament"
+
+#: hacks/config/laser.xml.h:4
+msgid "Laser"
+msgstr "Laser"
+
+#: hacks/config/laser.xml.h:7
+msgid ""
+"Moving radiating lines, that look vaguely like scanning laser beams. Written "
+"by Pascal Pensa. (Frankie say: relax.)"
+msgstr ""
+
+#: hacks/config/lavalite.xml.h:2 hacks/config/xmountains.xml.h:2
+msgid "10"
+msgstr ""
+
+#: hacks/config/lavalite.xml.h:4
+msgid "Classic Lavalite"
+msgstr ""
+
+#: hacks/config/lavalite.xml.h:5
+msgid "Cone Lavalite"
+msgstr ""
+
+#: hacks/config/lavalite.xml.h:8
+msgid ""
+"Draws a 3D Simulation a Lava Lite(r): odd-shaped blobs of a mysterious "
+"substance are heated, slowly rise to the top of the bottle, and then drop "
+"back down as they cool. This program requires OpenGL and a fairly fast "
+"machine (both CPU and 3D performance.) Written by Jamie Zawinski. \"LAVA LITE"
+"(r) and the configuration of the LAVA(r) brand motion lamp are registered "
+"trademarks of Haggerty Enterprises, Inc. The configuration of the globe and "
+"base of the motion lamp are registered trademarks of Haggerty Enterprises, "
+"Inc. in the U.S.A. and in other countries around the world.\""
+msgstr ""
+
+#: hacks/config/lavalite.xml.h:9
+msgid "Faceted"
+msgstr ""
+
+#: hacks/config/lavalite.xml.h:11
+msgid "Giant Lavalite"
+msgstr ""
+
+#: hacks/config/lavalite.xml.h:13
+msgid "LavaLite"
+msgstr ""
+
+#: hacks/config/lavalite.xml.h:15
+msgid "Max Blobs"
+msgstr "Maks antall blubber"
+
+#: hacks/config/lavalite.xml.h:16
+msgid "Random Lamp Style"
+msgstr "Tilfeldig lampestil"
+
+#: hacks/config/lavalite.xml.h:18
+msgid "Rocket Lavalite"
+msgstr ""
+
+#: hacks/config/lightning.xml.h:2
+msgid "Lightning"
+msgstr "Lyn"
+
+#: hacks/config/lightning.xml.h:7
+msgid ""
+"This one draws crackling fractal lightning bolts. It's simple, direct, and "
+"to the point. If only it had sound... Written by Keith Romberg."
+msgstr ""
+
+#: hacks/config/lisa.xml.h:4
+msgid "Lisa"
+msgstr "Lisa"
+
+#: hacks/config/lisa.xml.h:10
+msgid "Steps"
+msgstr "Steg"
+
+#: hacks/config/lisa.xml.h:11
+msgid ""
+"This draws Lisajous loops, by Caleb Cullen. Remember that device they had "
+"the Phantom Zone prisoners in during their trial in Superman? I think that "
+"was one of these."
+msgstr ""
+
+#: hacks/config/lissie.xml.h:1
+msgid ""
+"Another Lissajous figure. This one draws the progress of circular shapes "
+"along a path. Written by Alexander Jolk."
+msgstr ""
+
+#: hacks/config/lissie.xml.h:5
+msgid "Lissie"
+msgstr "Lissie"
+
+#: hacks/config/lmorph.xml.h:1
+msgid "Closed Figures"
+msgstr ""
+
+#: hacks/config/lmorph.xml.h:2
+msgid "Control Points"
+msgstr "Kontrollpunkter"
+
+#: hacks/config/lmorph.xml.h:4
+msgid "Interpolation Steps"
+msgstr "Steg i interpolasjon"
+
+#: hacks/config/lmorph.xml.h:5
+msgid "LMorph"
+msgstr "LMorph"
+
+#: hacks/config/lmorph.xml.h:6
+msgid "Less"
+msgstr "Frre"
+
+#: hacks/config/lmorph.xml.h:8
+msgid "More"
+msgstr "Flere"
+
+#: hacks/config/lmorph.xml.h:9
+msgid "Open Figures"
+msgstr "pne figurer"
+
+#: hacks/config/lmorph.xml.h:10
+msgid "Open and Closed Figures"
+msgstr "pne og lukkede figurer"
+
+#: hacks/config/lmorph.xml.h:15
+msgid ""
+"This generates random spline-ish line drawings and morphs between them. "
+"Written by Sverre H. Huseby and Glenn T. Lines."
+msgstr ""
+
+#: hacks/config/loop.xml.h:3
+msgid "Loop"
+msgstr "Lkke"
+
+#: hacks/config/loop.xml.h:10
+msgid ""
+"This one produces loop-shaped colonies that spawn, age, and eventually die. "
+"Written by David Bagley."
+msgstr ""
+
+#: hacks/config/maze.xml.h:3
+msgid "Backtracking Generator"
+msgstr ""
+
+#: hacks/config/maze.xml.h:5 hacks/config/slidescreen.xml.h:3
+msgid "Grid Size"
+msgstr ""
+
+#: hacks/config/maze.xml.h:6
+msgid "Head Toward Exit"
+msgstr ""
+
+#: hacks/config/maze.xml.h:7
+msgid "Ignorant of Exit Direction"
+msgstr ""
+
+#: hacks/config/maze.xml.h:8
+msgid "Joining Generator"
+msgstr ""
+
+#: hacks/config/maze.xml.h:9
+msgid "Maze"
+msgstr "Labyrint"
+
+#: hacks/config/maze.xml.h:10
+#, fuzzy
+msgid "Post-Solve Delay"
+msgstr "Lengre pause"
+
+#: hacks/config/maze.xml.h:11
+#, fuzzy
+msgid "Pre-Solve Delay"
+msgstr "Lengre pause"
+
+#: hacks/config/maze.xml.h:12
+msgid "Random Generator"
+msgstr "Tilfeldighetsgenerator"
+
+#: hacks/config/maze.xml.h:13
+msgid "Seeding Generator"
+msgstr ""
+
+#: hacks/config/maze.xml.h:15
+msgid "Solve Speed"
+msgstr "Lsningshastighet"
+
+#: hacks/config/maze.xml.h:16
+msgid ""
+"This is the ancient X maze demo, modified to work with xscreensaver. It "
+"generates a random maze, then solves it with visual feedback. Originally by "
+"Jim Randell; modified by a cast of thousands."
+msgstr ""
+
+#: hacks/config/memscroller.xml.h:1
+#, fuzzy
+msgid "Draw Green"
+msgstr "Tegn rutenett"
+
+#: hacks/config/memscroller.xml.h:2
+#, fuzzy
+msgid "Draw Random Numbers"
+msgstr "Tegn etiketter"
+
+#: hacks/config/memscroller.xml.h:3
+#, fuzzy
+msgid "Draw in RGB"
+msgstr "Tegn maur"
+
+#: hacks/config/memscroller.xml.h:4
+msgid "Dump Memory"
+msgstr ""
+
+#: hacks/config/memscroller.xml.h:6
+#, fuzzy
+msgid "MemScroller"
+msgstr "Rullehastighet"
+
+#: hacks/config/memscroller.xml.h:9
+msgid ""
+"This draws a dump of its own process memory scrolling across the screen in "
+"three windows at three different rates. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/menger.xml.h:6
+msgid "Menger"
+msgstr "Menger"
+
+#: hacks/config/menger.xml.h:19
+msgid ""
+"This draws the three-dimensional variant of the recursive Menger Gasket, a "
+"cube-based fractal object analagous to the Sierpinski Tetrahedron. Written "
+"by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/metaballs.xml.h:1
+#, fuzzy
+msgid "Big"
+msgstr "Lys"
+
+#: hacks/config/metaballs.xml.h:2
+msgid ""
+"Draws two dimensional metaballs: overlapping and merging balls with fuzzy "
+"edges. By W.P. van Paassen."
+msgstr ""
+
+#: hacks/config/metaballs.xml.h:7
+msgid "MetaBall Movement"
+msgstr ""
+
+#: hacks/config/metaballs.xml.h:8
+#, fuzzy
+msgid "MetaBall Radius"
+msgstr "Utgangsverdier"
+
+#: hacks/config/metaballs.xml.h:9
+#, fuzzy
+msgid "MetaBalls"
+msgstr "Baller"
+
+#: hacks/config/metaballs.xml.h:11
+#, fuzzy
+msgid "Number of MetaBalls"
+msgstr "Antall fraktaler"
+
+#: hacks/config/mirrorblob.xml.h:4
+msgid "Blobby"
+msgstr ""
+
+#: hacks/config/mirrorblob.xml.h:5 hacks/config/nerverot.xml.h:2
+msgid "Calm"
+msgstr "Rolig"
+
+#: hacks/config/mirrorblob.xml.h:7
+msgid ""
+"Draws a wobbly blob that distorts the image behind it. Requires OpenGL "
+"hardware acceleration for nice animation. Written by Jon Dowdall."
+msgstr ""
+
+#: hacks/config/mirrorblob.xml.h:8
+#, fuzzy
+msgid "Enable Background Image"
+msgstr "Flat bakgrunn"
+
+#: hacks/config/mirrorblob.xml.h:9
+#, fuzzy
+msgid "Enable Colouring"
+msgstr "Aktiver teksturer"
+
+#: hacks/config/mirrorblob.xml.h:10
+msgid "Enable Reflected Image"
+msgstr ""
+
+#: hacks/config/mirrorblob.xml.h:11
+#, fuzzy
+msgid "Enable Walls"
+msgstr "Aktiver tke"
+
+#: hacks/config/mirrorblob.xml.h:13
+#, fuzzy
+msgid "Field Points"
+msgstr "Punkter"
+
+#: hacks/config/mirrorblob.xml.h:14
+#, fuzzy
+msgid "Freaky"
+msgstr "_Fil"
+
+#: hacks/config/mirrorblob.xml.h:15
+msgid "MirrorBlob"
+msgstr ""
+
+#: hacks/config/mirrorblob.xml.h:17
+msgid "Offset Texture Coordinates"
+msgstr ""
+
+#: hacks/config/mirrorblob.xml.h:23
+msgid "Very Freaky"
+msgstr ""
+
+#: hacks/config/mirrorblob.xml.h:25
+#, fuzzy
+msgid "X Resolution"
+msgstr "Opplsing"
+
+#: hacks/config/mirrorblob.xml.h:26
+#, fuzzy
+msgid "Y Resolution"
+msgstr "Opplsing"
+
+#: hacks/config/mismunch.xml.h:5
+#, fuzzy
+msgid "Mismunch"
+msgstr "Munch"
+
+#: hacks/config/mismunch.xml.h:6
+msgid ""
+"Munching errors! This is a creatively broken misimplementation of the "
+"classic munching squares graphics hack. Written by Steven Hazel."
+msgstr ""
+
+#: hacks/config/mismunch.xml.h:7
+msgid "One"
+msgstr ""
+
+#: hacks/config/mismunch.xml.h:9
+msgid "Simultaneous Squares"
+msgstr ""
+
+#: hacks/config/mismunch.xml.h:13 hacks/config/munch.xml.h:10
+#: hacks/config/qix.xml.h:26
+msgid "XOR"
+msgstr "XOR"
+
+#: hacks/config/moebius.xml.h:1
+msgid ""
+"Another M. C. Escher hack by Marcelo Vianna, this one draws ``Moebius Strip "
+"II,'' a GL image of ants walking along the surface of a moebius strip."
+msgstr ""
+
+#: hacks/config/moebius.xml.h:2
+msgid "Draw Ants"
+msgstr "Tegn maur"
+
+#: hacks/config/moebius.xml.h:4
+msgid "Mesh Floor"
+msgstr ""
+
+#: hacks/config/moebius.xml.h:5
+msgid "Moebius"
+msgstr "Moebius"
+
+#: hacks/config/moebius.xml.h:8
+msgid "Solid Floor"
+msgstr "Helfylt gulv"
+
+#: hacks/config/moebius.xml.h:9 hacks/config/qix.xml.h:20
+msgid "Solid Objects"
+msgstr "Helfylte objekter"
+
+#: hacks/config/moire2.xml.h:1
+msgid ""
+"Another example of the fun you can have with moire interference patterns; "
+"this hack generates fields of concentric circles or ovals, and combines the "
+"planes with various operations. The planes are moving independently of one "
+"another, causing the interference lines to ``spray.'' Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: hacks/config/moire2.xml.h:4
+msgid "Moire2"
+msgstr "Moire2"
+
+#: hacks/config/moire.xml.h:6
+msgid "Moire"
+msgstr "Moire"
+
+#: hacks/config/moire.xml.h:8 hacks/config/rorschach.xml.h:6
+msgid "Offset"
+msgstr "Avstand"
+
+#: hacks/config/moire.xml.h:10
+msgid ""
+"This one draws cool circular interference patterns. Most of the circles you "
+"see aren't explicitly rendered, but show up as a result of interactions "
+"between the other pixels that were drawn. Written by Jamie Zawinski, "
+"inspired by Java code by Michael Bayne. As he pointed out, the beauty of "
+"this one is that the heart of the display algorithm can be expressed with "
+"just a pair of loops and a handful of arithmetic, giving it a high ``display "
+"hack metric''."
+msgstr ""
+
+#: hacks/config/molecule.xml.h:3
+msgid "Describe Molecule"
+msgstr "Beskriv molekyl"
+
+#: hacks/config/molecule.xml.h:5
+msgid "Draw Atomic Bonds"
+msgstr ""
+
+#: hacks/config/molecule.xml.h:6
+msgid "Draw Atoms"
+msgstr "Tegn atomer"
+
+#: hacks/config/molecule.xml.h:7 hacks/config/spheremonics.xml.h:2
+msgid "Draw Bounding Box"
+msgstr ""
+
+#: hacks/config/molecule.xml.h:8
+msgid ""
+"Draws several different representations of molecules. Some common molecules "
+"are built in, and it can also read PDB (Protein Data Base) files as input. "
+"Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/molecule.xml.h:11
+msgid "Label Atoms"
+msgstr ""
+
+#: hacks/config/molecule.xml.h:12
+msgid "Molecule"
+msgstr "Molekyl"
+
+#: hacks/config/molecule.xml.h:13
+#, fuzzy
+msgid "PDB File or Directory"
+msgstr "Bildekatalog"
+
+#: hacks/config/morph3d.xml.h:1
+msgid ""
+"Another 3d shape-changing GL hack, by Marcelo Vianna. It has the same shiny-"
+"plastic feel as Superquadrics, as many computer-generated objects do..."
+msgstr ""
+
+#: hacks/config/morph3d.xml.h:4
+msgid "Morph3D"
+msgstr "Morph3D"
+
+#: hacks/config/mountain.xml.h:3
+msgid ""
+"Generates random 3d plots that look vaguely mountainous. Written by Pascal "
+"Pensa."
+msgstr ""
+
+#: hacks/config/mountain.xml.h:5
+msgid "Mountain"
+msgstr "Fjell"
+
+#: hacks/config/munch.xml.h:1
+msgid ""
+"DATAI 2 ADDB 1,2 ROTC 2,-22 XOR 1,2 JRST .-4 As reported by HAKMEM, in 1962, "
+"Jackson Wright wrote the above PDP-1 code. That code still lives on in this "
+"screenhack, some 35 years later. The number of lines of enclosing code has "
+"increased substantially, however. This version is by Tim Showalter."
+msgstr ""
+
+#: hacks/config/munch.xml.h:5
+msgid "Munch"
+msgstr "Munch"
+
+#: hacks/config/nerverot.xml.h:1
+msgid "Blot Count"
+msgstr ""
+
+#: hacks/config/nerverot.xml.h:3
+msgid "Changes"
+msgstr "Endringer"
+
+#: hacks/config/nerverot.xml.h:4
+msgid "Colors"
+msgstr "Farger"
+
+#: hacks/config/nerverot.xml.h:5
+msgid "Crunchiness"
+msgstr ""
+
+#: hacks/config/nerverot.xml.h:7
+msgid ""
+"Draws different shapes composed of nervously vibrating squiggles, as if seen "
+"through a camera operated by a monkey on crack. By Dan Bornstein."
+msgstr ""
+
+#: hacks/config/nerverot.xml.h:10
+msgid "Frequent"
+msgstr ""
+
+#: hacks/config/nerverot.xml.h:16
+msgid "NerveRot"
+msgstr ""
+
+#: hacks/config/nerverot.xml.h:17
+msgid "Nervousness"
+msgstr "Nervshet"
+
+#: hacks/config/nerverot.xml.h:18 hacks/config/pyro.xml.h:12
+msgid "Seldom"
+msgstr "Sjelden"
+
+#: hacks/config/nerverot.xml.h:21
+msgid "Spastic"
+msgstr "Spastisk"
+
+#: hacks/config/noof.xml.h:1
+msgid "Draws some rotatey patterns, using OpenGL. Written by Mark Kilgard."
+msgstr ""
+
+#: hacks/config/noof.xml.h:3
+msgid "Noof"
+msgstr ""
+
+#: hacks/config/noseguy.xml.h:1
+msgid ""
+"A little man with a big nose wanders around your screen saying things. The "
+"things which he says can come from a file, or from an external program like "
+"`zippy' or `fortune'. This was extracted from `xnlock' by Dan Heller. "
+"Colorized by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/noseguy.xml.h:2
+msgid "Get Text from File"
+msgstr ""
+
+#: hacks/config/noseguy.xml.h:3
+msgid "Get Text from Program"
+msgstr ""
+
+#: hacks/config/noseguy.xml.h:4
+msgid "Noseguy"
+msgstr "Nesefyr"
+
+#: hacks/config/noseguy.xml.h:6
+msgid "Text File"
+msgstr "Tekstfil"
+
+#: hacks/config/noseguy.xml.h:8
+msgid "Use Text Below"
+msgstr ""
+
+#: hacks/config/pacman.xml.h:2
+#, fuzzy
+msgid "Pacman"
+msgstr "Pakking"
+
+#: hacks/config/pacman.xml.h:3
+#, fuzzy
+msgid "Player Size"
+msgstr "Flisstrrelse"
+
+#: hacks/config/pacman.xml.h:4
+msgid ""
+"Simulates a game of Pac-Man on a randomly-created level. Written by Edwin de "
+"Jong."
+msgstr ""
+
+#: hacks/config/pedal.xml.h:7
+msgid "Pedal"
+msgstr "Pedal"
+
+#: hacks/config/pedal.xml.h:8
+msgid ""
+"This is sort of a combination spirograph/string-art. It generates a large, "
+"complex polygon, and lets the X server do the bulk of the work by giving it "
+"an even/odd winding rule. Written by Dale Moore, based on some ancient PDP-"
+"11 code."
+msgstr ""
+
+#: hacks/config/penetrate.xml.h:1
+msgid "Always play well"
+msgstr ""
+
+#: hacks/config/penetrate.xml.h:2
+msgid "Explosions"
+msgstr "Eksplosjoner"
+
+#: hacks/config/penetrate.xml.h:5
+msgid "Penetrate"
+msgstr "Gjennomtreng"
+
+#: hacks/config/penetrate.xml.h:7
+msgid "Start badly, but learn"
+msgstr ""
+
+#: hacks/config/penetrate.xml.h:8
+msgid ""
+"This hack simulates the classic arcade game Missile Command. Written by Adam "
+"Miller."
+msgstr ""
+
+#: hacks/config/penrose.xml.h:3
+msgid "Draw Ammann Lines"
+msgstr ""
+
+#: hacks/config/penrose.xml.h:4
+#, fuzzy
+msgid ""
+"Draws quasiperiodic tilings; think of the implications on modern formica "
+"technology. Written by Timo Korvola. In April 1997, Sir Roger Penrose, a "
+"British math professor who has worked with Stephen Hawking on such topics as "
+"relativity, black holes, and whether time has a beginning, filed a copyright-"
+"infringement lawsuit against the Kimberly-Clark Corporation, which Penrose "
+"said copied a pattern he created (a pattern demonstrating that ``a "
+"nonrepeating pattern could exist in nature'') for its Kleenex quilted toilet "
+"paper. Penrose said he doesn't like litigation but, ``When it comes to the "
+"population of Great Britain being invited by a multinational to wipe their "
+"bottoms on what appears to be the work of a Knight of the Realm, then a last "
+"stand must be taken.'' As reported by News of the Weird #491, 4-jul-1997."
+msgstr ""
+"Tegner kvasiperiodiske fliser; tenk p implikasjonene for moderne formica-"
+"teknologi. Skrevet av Timo Korvola. \n"
+"I april 1997 anla Sir Roger Penrose, som har jobbet med Stephen Hawking med "
+"emner som relativitet, sorte hull og om tiden har en start, en rettsak om "
+"brudd p opphavsrett mot Kimberly-Clark Corporation fordi Penrose mente de "
+"hadde stjlet et mnster han hadde laget (et mnster som demonstrerer at "
+"\"et ikke-repeterende mnster kan eksistere i naturen\") til bruk p sitt "
+"Kleenex toalettpapir. Penrose sa han ikke likte det, men \"Nr det kommer "
+"til at den engelske befolkningen blir invitert til  trke seg i baken med "
+"noe som ser ut til  vre arbeidet til en 'Knight of the realm', s m noen "
+"ta standpunkt.\" \t\t\t\t\t\t\t\t    \n"
+"\n"
+"Som rapportert av News of the Weird #491, 4-jul-1997."
+
+#: hacks/config/penrose.xml.h:9
+msgid "Penrose"
+msgstr "Pennerose"
+
+#: hacks/config/petri.xml.h:2
+msgid "Colony Shape"
+msgstr ""
+
+#: hacks/config/petri.xml.h:3
+msgid "Death Comes"
+msgstr ""
+
+#: hacks/config/petri.xml.h:4
+msgid "Diamond"
+msgstr "Diamant"
+
+#: hacks/config/petri.xml.h:6
+msgid "Fertility"
+msgstr "Fruktbarhet"
+
+#: hacks/config/petri.xml.h:12
+msgid "Maxium Lifespan"
+msgstr ""
+
+#: hacks/config/petri.xml.h:13
+msgid "Maxium Rate of Death"
+msgstr ""
+
+#: hacks/config/petri.xml.h:14
+msgid "Maxium Rate of Growth"
+msgstr ""
+
+#: hacks/config/petri.xml.h:15
+msgid "Minium Lifespan"
+msgstr ""
+
+#: hacks/config/petri.xml.h:16
+msgid "Minium Rate of Death"
+msgstr ""
+
+#: hacks/config/petri.xml.h:17
+msgid "Minium Rate of Growth"
+msgstr ""
+
+#: hacks/config/petri.xml.h:18
+msgid "Mold Varieties"
+msgstr "Variasjoner for mugg"
+
+#: hacks/config/petri.xml.h:19
+msgid "Offspring"
+msgstr "Avkom"
+
+#: hacks/config/petri.xml.h:20
+msgid "Petri"
+msgstr "Petri"
+
+#: hacks/config/petri.xml.h:21
+msgid "Quickly"
+msgstr "Raskt"
+
+#: hacks/config/petri.xml.h:24
+msgid "Slowly"
+msgstr "Sakte"
+
+#: hacks/config/petri.xml.h:26
+msgid "Square"
+msgstr "Firkantet"
+
+#: hacks/config/petri.xml.h:27
+msgid ""
+"This simulates colonies of mold growing in a petri dish. Growing colored "
+"circles overlap and leave spiral interference in their wake. Written by Dan "
+"Bornstein."
+msgstr ""
+
+#: hacks/config/phosphor.xml.h:1
+msgid ""
+"Draws a simulation of an old terminal, with large pixels and long-sustain "
+"phosphor. It can run any program as a source of the text it displays. "
+"Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/phosphor.xml.h:2
+msgid "Dump pipe"
+msgstr ""
+
+#: hacks/config/phosphor.xml.h:5
+msgid "Phosphor"
+msgstr "Fosfor"
+
+#: hacks/config/phosphor.xml.h:6
+msgid "Scale"
+msgstr "Skala"
+
+#: hacks/config/phosphor.xml.h:10
+#, fuzzy
+msgid "Use PTY"
+msgstr "Bruk"
+
+#: hacks/config/piecewise.xml.h:1
+msgid "Color shifting speed"
+msgstr ""
+
+#: hacks/config/piecewise.xml.h:6
+msgid "Maximum radius"
+msgstr ""
+
+#: hacks/config/piecewise.xml.h:7
+msgid "Minimum radius"
+msgstr ""
+
+#: hacks/config/piecewise.xml.h:8
+msgid "Piecewise"
+msgstr ""
+
+#: hacks/config/piecewise.xml.h:12
+msgid ""
+"This draws a bunch of moving circles which switch from visibility to "
+"invisibility at intersection points. Written by Geoffrey Irving."
+msgstr ""
+
+#: hacks/config/pinion.xml.h:1
+#, fuzzy
+msgid "100"
+msgstr "100%"
+
+#: hacks/config/pinion.xml.h:2
+msgid "2000"
+msgstr ""
+
+#: hacks/config/pinion.xml.h:4
+msgid ""
+"Draws an interconnected set of gears moving across the screen. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/pinion.xml.h:6
+#, fuzzy
+msgid "Gear Size"
+msgstr "Maks strrelse"
+
+#: hacks/config/pinion.xml.h:8
+#, fuzzy
+msgid "Max RPM"
+msgstr "Maks antall ringer"
+
+#: hacks/config/pinion.xml.h:9
+#, fuzzy
+msgid "Pinion"
+msgstr "Pakking"
+
+#: hacks/config/pinion.xml.h:11
+#, fuzzy
+msgid "Scrolling Speed"
+msgstr "Rullehastighet"
+
+#: hacks/config/pipes.xml.h:1
+msgid "Allow Tight Turns"
+msgstr ""
+
+#: hacks/config/pipes.xml.h:2
+#, fuzzy
+msgid "Ball Joints"
+msgstr "Baller"
+
+#: hacks/config/pipes.xml.h:3
+msgid "Curved Pipes"
+msgstr "Kurvede rr"
+
+#: hacks/config/pipes.xml.h:6
+msgid "Fisheye Lens"
+msgstr "Fiskeyelinse"
+
+#: hacks/config/pipes.xml.h:7
+msgid "Gadgetry"
+msgstr ""
+
+#: hacks/config/pipes.xml.h:8
+msgid ""
+"If you've ever been in the same room with a Windows NT machine, you've "
+"probably seen this GL hack. This version is by Marcelo Vianna."
+msgstr ""
+
+#: hacks/config/pipes.xml.h:9 hacks/config/substrate.xml.h:12
+#: hacks/config/wormhole.xml.h:4
+msgid "Lots"
+msgstr ""
+
+#: hacks/config/pipes.xml.h:11
+msgid "Number of Pipe Systems"
+msgstr "Antall rrsystemer"
+
+#: hacks/config/pipes.xml.h:12
+msgid "Pipe Fittings"
+msgstr ""
+
+#: hacks/config/pipes.xml.h:13
+msgid "Pipes"
+msgstr "Rr"
+
+#: hacks/config/pipes.xml.h:17
+msgid "System Length"
+msgstr "Systemlengde"
+
+#: hacks/config/polyhedra.xml.h:2
+#, fuzzy
+msgid "30 seconds"
+msgstr "0 sekunder"
+
+#: hacks/config/polyhedra.xml.h:4 hacks/config/sballs.xml.h:1
+msgid "Cube"
+msgstr "Kube"
+
+#: hacks/config/polyhedra.xml.h:5
+msgid "Cubitruncated Cuboctahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:6
+#, fuzzy
+msgid "Cuboctahedron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:7
+#, fuzzy
+msgid "Cubohemioctahedron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:8
+msgid "Deltoidal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:9
+msgid "Deltoidal Icositetrahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:10
+msgid "Disdyakisdodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:11
+msgid "Disdyakistriacontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:12
+msgid "Display Random Polyhedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:13
+msgid ""
+"Displays different 3D solids and some information about each. A new solid is "
+"chosen every few seconds. There are 75 uniform polyhedra, plus 5 inifite "
+"sets of prisms and antiprisms; including their duals brings the total to "
+"160. Written by Dr. Zvi Har'El and Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:14
+msgid "Ditrigonal Dodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:15 hacks/config/sballs.xml.h:2
+msgid "Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:19
+msgid "Great Cubicuboctahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:20
+msgid "Great Deltoidal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:21
+msgid "Great Deltoidal Icositetrahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:22
+msgid "Great Dirhombicosidodecacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:23
+msgid "Great Dirhombicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:24
+msgid "Great Disdyakisdodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:25
+msgid "Great Disdyakistriacontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:26
+msgid "Great Ditrigonal Dodecacronic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:27
+msgid "Great Ditrigonal Dodecicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:28
+msgid "Great Ditrigonal Icosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:29
+msgid "Great Dodecacronic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:30
+msgid "Great Dodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:31
+#, fuzzy
+msgid "Great Dodecahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyhedra.xml.h:32
+msgid "Great Dodecahemicosacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:33
+msgid "Great Dodecahemicosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:34
+msgid "Great Dodecahemidodecacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:35
+msgid "Great Dodecahemidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:36
+msgid "Great Dodecicosacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:37
+msgid "Great Dodecicosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:38
+msgid "Great Dodecicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:39
+msgid "Great Hexacronic Icositetrahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:40
+msgid "Great Hexagonal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:41
+msgid "Great Icosacronic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:42
+#, fuzzy
+msgid "Great Icosahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyhedra.xml.h:43
+msgid "Great Icosicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:44
+msgid "Great Icosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:45
+msgid "Great Icosihemidodecacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:46
+msgid "Great Icosihemidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:47
+msgid "Great Inverted Pentagonal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:48
+msgid "Great Inverted Snub Icosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:49
+msgid "Great Pentagonal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:50
+msgid "Great Pentagrammic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:51
+msgid "Great Pentakisdodekahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:52
+msgid "Great Retrosnub Icosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:53
+msgid "Great Rhombic Triacontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:54
+msgid "Great Rhombicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:55
+msgid "Great Rhombicuboctahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:56
+msgid "Great Rhombidodecacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:57
+msgid "Great Rhombidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:58
+msgid "Great Rhombihexacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:59
+msgid "Great Rhombihexahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:60
+msgid "Great Snub Dodecicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:61
+msgid "Great Snub Icosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:62
+msgid "Great Stellapentakisdodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:63
+msgid "Great Stellated Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:64
+msgid "Great Stellated Truncated Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:65
+msgid "Great Triakisicosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:66
+msgid "Great Triakisoctahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:67
+msgid "Great Triambic Icosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:68
+msgid "Great Truncated Cuboctahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:69
+msgid "Great Truncated Icosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:70
+msgid "Great Truncated Icosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:71
+msgid "Hexahemioctacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:72 hacks/config/sballs.xml.h:5
+msgid "Icosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:73
+msgid "Icosidodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:74
+msgid "Icosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:75
+msgid "Icositruncated Dodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:76
+msgid "Inverted Snub Dodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:77
+msgid "Medial Deltoidal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:78
+msgid "Medial Disdyakistriacontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:79
+msgid "Medial Hexagonal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:80
+msgid "Medial Icosacronic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:81
+msgid "Medial Inverted Pentagonal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:82
+msgid "Medial Pentagonal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:83
+msgid "Medial Rhombic Triacontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:84
+msgid "Medial Triambic Icosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:86 hacks/config/sballs.xml.h:7
+msgid "Octahedron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:87
+#, fuzzy
+msgid "Octahemioctacron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:88
+#, fuzzy
+msgid "Octahemioctahedron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:89
+msgid "Pentagonal Antiprism"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:90
+msgid "Pentagonal Deltohedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:91
+msgid "Pentagonal Dipyramid"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:92
+msgid "Pentagonal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:93
+msgid "Pentagonal Icositetrahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:94
+msgid "Pentagonal Prism"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:95
+msgid "Pentagrammic Antiprism"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:96
+msgid "Pentagrammic Concave Deltohedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:97
+msgid "Pentagrammic Crossed Antiprism"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:98
+msgid "Pentagrammic Deltohedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:99
+msgid "Pentagrammic Dipyramid"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:100
+msgid "Pentagrammic Prism"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:101
+msgid "Pentakisdodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:102
+msgid "Polyhedra"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:103
+msgid "Rhombic Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:104
+msgid "Rhombic Triacontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:105
+msgid "Rhombicosacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:106
+#, fuzzy
+msgid "Rhombicosahedron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:107
+msgid "Rhombicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:108
+#, fuzzy
+msgid "Rhombicuboctahedron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:109
+msgid "Rhombidodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:117
+#, fuzzy
+msgid "Show Description"
+msgstr "Beskrivelse"
+
+#: hacks/config/polyhedra.xml.h:120
+msgid "Small Cubicuboctahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:121
+msgid "Small Ditrigonal Dodecacronic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:122
+msgid "Small Ditrigonal Dodecicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:123
+msgid "Small Ditrigonal Icosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:124
+msgid "Small Dodecacronic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:125
+msgid "Small Dodecahemicosacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:126
+msgid "Small Dodecahemicosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:127
+msgid "Small Dodecahemidodecacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:128
+msgid "Small Dodecahemidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:129
+msgid "Small Dodecicosacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:130
+msgid "Small Dodecicosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:131
+msgid "Small Dodecicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:132
+msgid "Small Hexacronic Icositetrahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:133
+msgid "Small Hexagonal Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:134
+msgid "Small Hexagrammic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:135
+msgid "Small Icosacronic Hexecontahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:136
+msgid "Small Icosicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:137
+msgid "Small Icosihemidodecacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:138
+msgid "Small Icosihemidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:139
+msgid "Small Retrosnub Icosicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:140
+msgid "Small Rhombidodecacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:141
+msgid "Small Rhombidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:142
+msgid "Small Rhombihexacron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:143
+msgid "Small Rhombihexahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:144
+msgid "Small Snub Icosicosidodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:145
+msgid "Small Stellapentakisdodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:146
+msgid "Small Stellated Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:147
+msgid "Small Stellated Truncated Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:148
+msgid "Small Triambic Icosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:149
+#, fuzzy
+msgid "Snub Cube"
+msgstr "Kube"
+
+#: hacks/config/polyhedra.xml.h:150
+msgid "Snub Dodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:151
+msgid "Snub Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:152
+msgid "Snub Icosidodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:153
+msgid "Stellated Truncated Hexahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:154
+#, fuzzy
+msgid "Tetradyakishexahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyhedra.xml.h:156
+#, fuzzy
+msgid "Tetrahemihexacron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyhedra.xml.h:157
+#, fuzzy
+msgid "Tetrahemihexahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyhedra.xml.h:158
+#, fuzzy
+msgid "Tetrakishexahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyhedra.xml.h:159
+#, fuzzy
+msgid "Triakisicosahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyhedra.xml.h:160
+#, fuzzy
+msgid "Triakisoctahedron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:161
+#, fuzzy
+msgid "Triakistetrahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyhedra.xml.h:162
+msgid "Tridyakisicosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:163
+msgid "Truncated Cube"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:164
+msgid "Truncated Cuboctahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:165
+msgid "Truncated Dodecadodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:166
+msgid "Truncated Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:167
+msgid "Truncated Great Dodecahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:168
+msgid "Truncated Icosahedron"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:169
+msgid "Truncated Icosidodechedon"
+msgstr ""
+
+#: hacks/config/polyhedra.xml.h:170
+#, fuzzy
+msgid "Truncated Octahedron"
+msgstr "Oktahedron"
+
+#: hacks/config/polyhedra.xml.h:171
+#, fuzzy
+msgid "Truncated Tetrahedron"
+msgstr "Tetrahedron"
+
+#: hacks/config/polyominoes.xml.h:3
+msgid "Identical Pieces"
+msgstr "Identiske deler"
+
+#: hacks/config/polyominoes.xml.h:7
+msgid "Polyominoes"
+msgstr "Polyminoer"
+
+#: hacks/config/polyominoes.xml.h:8
+msgid ""
+"Repeatedly attempts to completely fill a rectangle with irregularly-shaped "
+"puzzle pieces. Written by Stephen Montgomery-Smith."
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:2
+msgid "120-Cell"
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:3
+msgid "16-Cell (Hyper-Octahedron)"
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:4
+msgid "24-Cell"
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:6
+msgid "5-Cell (Hyper-Tetrahedron)"
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:7
+msgid "600-Cell"
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:8
+msgid "8-Cell (Hypercube / Tesseract)"
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:9
+msgid "Colors By 4D Depth"
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:17
+msgid "Regular 4D Polytopes"
+msgstr ""
+
+#: hacks/config/polytopes.xml.h:19
+#, fuzzy
+msgid "Single Color"
+msgstr "Veksle mellom farger."
+
+#: hacks/config/polytopes.xml.h:22
+msgid ""
+"This program shows one of the six regular 4D polytopes rotating in 4D. "
+"Written by Carsten Steger, inspired by H.S.M Coxeter's book \"Regular "
+"Polytopes\", 3rd Edition, Dover Publications, Inc., 1973, and Thomas "
+"Banchoff's book \"Beyond the Third Dimension: Geometry, Computer Graphics, "
+"and Higher Dimensions\", Scientific American Library, 1990."
+msgstr ""
+
+#: hacks/config/pong.xml.h:2
+#, fuzzy
+msgid "Pong"
+msgstr "Langt"
+
+#: hacks/config/pong.xml.h:6
+msgid ""
+"The pong program simulates an ancient Pong home video game, as well as "
+"various artifacts from displaying it on a color TV set. Written by Jeremy "
+"English and Trevor Blackwell."
+msgstr ""
+
+#: hacks/config/popsquares.xml.h:2
+msgid "End color"
+msgstr ""
+
+#: hacks/config/popsquares.xml.h:7
+#, fuzzy
+msgid "Start color"
+msgstr "Skremmende farger"
+
+#: hacks/config/popsquares.xml.h:8
+msgid "Subdivision"
+msgstr ""
+
+#: hacks/config/popsquares.xml.h:9
+msgid ""
+"This draws a pop-art-ish looking grid of pulsing colors. By Levi Burton."
+msgstr ""
+
+#: hacks/config/popsquares.xml.h:10
+msgid "Twitch"
+msgstr ""
+
+#: hacks/config/popsquares.xml.h:11
+#, fuzzy
+msgid "popsquares"
+msgstr "Firkantet"
+
+#: hacks/config/providence.xml.h:1
+#, fuzzy
+msgid "Draw Eye"
+msgstr "Tegn etiketter"
+
+#: hacks/config/providence.xml.h:3
+msgid "Providence"
+msgstr ""
+
+#: hacks/config/providence.xml.h:7
+msgid ""
+"The providence code displays an eye, shrouded in glory, set upon the base of "
+"a pyramid. Written by Blair Tennessy."
+msgstr ""
+
+#: hacks/config/pulsar.xml.h:1
+msgid "Anti-alias Lines"
+msgstr ""
+
+#: hacks/config/pulsar.xml.h:3
+msgid ""
+"Draws some intersecting planes, making use of alpha blending, fog, textures, "
+"and mipmaps, plus a ``frames per second'' meter so that you can tell how "
+"fast your graphics card is... Requires OpenGL. Written by David Konerding."
+msgstr ""
+
+#: hacks/config/pulsar.xml.h:4
+msgid "Enable Blending"
+msgstr "Bruk blanding"
+
+#: hacks/config/pulsar.xml.h:5
+msgid "Enable Depth Buffer"
+msgstr ""
+
+#: hacks/config/pulsar.xml.h:6
+msgid "Enable Fog"
+msgstr "Aktiver tke"
+
+#: hacks/config/pulsar.xml.h:7
+msgid "Enable Lighting"
+msgstr "Aktiver lyn"
+
+#: hacks/config/pulsar.xml.h:8
+msgid "Enable Texture Filtering"
+msgstr ""
+
+#: hacks/config/pulsar.xml.h:9
+msgid "Enable Texture Mipmaps"
+msgstr ""
+
+#: hacks/config/pulsar.xml.h:10
+msgid "Enable Texturing"
+msgstr "Aktiver teksturer"
+
+#: hacks/config/pulsar.xml.h:12
+msgid "Pulsar"
+msgstr "Pulsar"
+
+#: hacks/config/pulsar.xml.h:13
+#, fuzzy
+msgid "Quad Count"
+msgstr "Antall:"
+
+#: hacks/config/pulsar.xml.h:18
+msgid "Texture PPM File"
+msgstr "PPM-fil for tekstur"
+
+#: hacks/config/pyro.xml.h:3
+msgid "Explosive Yield"
+msgstr ""
+
+#: hacks/config/pyro.xml.h:6
+msgid "Launch Frequency"
+msgstr ""
+
+#: hacks/config/pyro.xml.h:9
+msgid "Particle Density"
+msgstr "Partikkeltetthet"
+
+#: hacks/config/pyro.xml.h:10
+msgid "Pyro"
+msgstr "Pyro"
+
+#: hacks/config/pyro.xml.h:11
+msgid ""
+"Pyro draws exploding fireworks. Blah blah blah. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/qix.xml.h:1
+msgid "Additive Colors"
+msgstr "Additive farger"
+
+#: hacks/config/qix.xml.h:3
+msgid "Corners"
+msgstr "Hjrner"
+
+#: hacks/config/qix.xml.h:11
+msgid "Line Segments"
+msgstr "Linjesegmenter"
+
+#: hacks/config/qix.xml.h:12
+msgid "Linear Motion"
+msgstr "Liner bevegelse"
+
+#: hacks/config/qix.xml.h:15
+msgid "Max Size"
+msgstr "Maks strrelse"
+
+#: hacks/config/qix.xml.h:16
+msgid "Qix"
+msgstr "Qix"
+
+#: hacks/config/qix.xml.h:17
+msgid "Random Motion"
+msgstr "Tilfeldig bevegelse"
+
+#: hacks/config/qix.xml.h:23
+msgid "Subtractive Colors"
+msgstr ""
+
+#: hacks/config/qix.xml.h:24
+msgid ""
+"This is the swiss army chainsaw of qix programs. It bounces a series of line "
+"segments around the screen, and uses variations on this basic motion pattern "
+"to produce all sorts of different presentations: line segments, filled "
+"polygons, overlapping translucent areas... Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/qix.xml.h:25
+msgid "Transparent"
+msgstr "Gjennomsiktig"
+
+#: hacks/config/queens.xml.h:2
+msgid "Queens"
+msgstr "Dronninger"
+
+#: hacks/config/queens.xml.h:5
+msgid ""
+"Solves the N-Queens problem (where, in this program, N is between 5 and 10 "
+"queens.) The problem is: how may one place N queens on an NxN chessboard "
+"such that no queen can attack a sister? Written by Blair Tennessy."
+msgstr ""
+
+#: hacks/config/rd-bomb.xml.h:1
+msgid "/"
+msgstr "/"
+
+#: hacks/config/rd-bomb.xml.h:3
+#, no-c-format
+msgid "1%"
+msgstr "1%"
+
+#: hacks/config/rd-bomb.xml.h:7
+msgid ""
+"Another variation of the `Bomb' program by Scott Draves. This draws a grid "
+"of growing square-like shapes that, once they overtake each other, react in "
+"unpredictable ways. ``RD'' stands for reaction-diffusion."
+msgstr ""
+
+#: hacks/config/rd-bomb.xml.h:8
+msgid "Epoch"
+msgstr "Epoke"
+
+#: hacks/config/rd-bomb.xml.h:10
+msgid "Fill Screen"
+msgstr "Fyll skjermen"
+
+#: hacks/config/rd-bomb.xml.h:14
+msgid "RD-Bomb"
+msgstr "RD-bombe"
+
+#: hacks/config/rd-bomb.xml.h:15
+msgid "Reaction/Difusion"
+msgstr ""
+
+#: hacks/config/rd-bomb.xml.h:16
+#, fuzzy
+msgid "Seed Radius"
+msgstr "Utgangsverdier"
+
+#: hacks/config/rd-bomb.xml.h:19 hacks/config/twang.xml.h:12
+msgid "Tile Size"
+msgstr "Flisstrrelse"
+
+#: hacks/config/rd-bomb.xml.h:22
+msgid "Wander Speed"
+msgstr "Vandrehastighet"
+
+#: hacks/config/ripples.xml.h:1
+msgid "Big Drops"
+msgstr "Store drper"
+
+#: hacks/config/ripples.xml.h:2
+msgid "Colors    Two"
+msgstr "Farger    To"
+
+#: hacks/config/ripples.xml.h:3
+msgid "Drizzle"
+msgstr ""
+
+#: hacks/config/ripples.xml.h:5
+msgid "Grab Screen Image"
+msgstr ""
+
+#: hacks/config/ripples.xml.h:6
+msgid "Lighting Effect"
+msgstr "Lyneffekt"
+
+#: hacks/config/ripples.xml.h:8
+msgid "Moving Splashes"
+msgstr ""
+
+#: hacks/config/ripples.xml.h:9
+msgid "Psychedelic Colors"
+msgstr "Psykedeliske farger"
+
+#: hacks/config/ripples.xml.h:10
+msgid "Ripples"
+msgstr "Blger"
+
+#: hacks/config/ripples.xml.h:12
+msgid "Small Drops"
+msgstr "Sm drper"
+
+#: hacks/config/ripples.xml.h:13
+msgid "Storm"
+msgstr "Storm"
+
+#: hacks/config/ripples.xml.h:14
+msgid ""
+"This draws rippling interference patterns like splashing water. With the -"
+"water option, it manipulates your desktop image to look like something is "
+"dripping into it. Written by Tom Hammersley."
+msgstr ""
+
+#: hacks/config/rocks.xml.h:7
+msgid "Rocks"
+msgstr "Steiner"
+
+#: hacks/config/rocks.xml.h:8
+msgid "Rotation"
+msgstr "Rotasjon"
+
+#: hacks/config/rocks.xml.h:10
+msgid "Steering"
+msgstr "Styring"
+
+#: hacks/config/rocks.xml.h:11
+msgid ""
+"This draws an animation of flight through an asteroid field, with changes in "
+"rotation and direction. It can also display 3D separations for red/blue "
+"glasses! Mostly written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/rocks.xml.h:13
+msgid "Velocity"
+msgstr ""
+
+#: hacks/config/rorschach.xml.h:7
+msgid "Rorschach"
+msgstr "Rorschach"
+
+#: hacks/config/rorschach.xml.h:9
+msgid ""
+"This generates random inkblot patterns. The algorithm is deceptively simple "
+"for how well it works; it merely walks a dot around the screen randomly, and "
+"then reflects the image horizontally, vertically, or both. Any deep-seated "
+"neurotic tendencies which this program reveals are your own problem. Written "
+"by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/rorschach.xml.h:10
+msgid "With X Symmetry"
+msgstr "Med symmetri om X-aksen"
+
+#: hacks/config/rorschach.xml.h:11
+msgid "With Y Symmetry"
+msgstr "Med symmetri om Y-aksen"
+
+#: hacks/config/rotor.xml.h:1
+msgid ""
+"Another ancient xlock demo, this one by Tom Lawrence. It draws a line "
+"segment moving along a complex spiraling curve."
+msgstr ""
+
+#: hacks/config/rotor.xml.h:4 hacks/config/wander.xml.h:9
+msgid "Length"
+msgstr "Lengde"
+
+#: hacks/config/rotor.xml.h:8
+msgid "Rotor"
+msgstr "Rotor"
+
+#: hacks/config/rotzoomer.xml.h:3
+msgid "Animate"
+msgstr "Animer"
+
+#: hacks/config/rotzoomer.xml.h:4
+msgid ""
+"Creates a collage of rotated and scaled portions of the screen. Written by "
+"Claudio Matsuoka."
+msgstr ""
+
+#: hacks/config/rotzoomer.xml.h:6
+msgid "Rectangle Count"
+msgstr "Antall rektangler"
+
+#: hacks/config/rotzoomer.xml.h:7
+msgid "RotZoomer"
+msgstr "RotZoomer"
+
+#: hacks/config/rotzoomer.xml.h:8
+msgid "Stationary Rectangles"
+msgstr ""
+
+#: hacks/config/rotzoomer.xml.h:9
+msgid "Sweeping Arcs"
+msgstr ""
+
+#: hacks/config/rotzoomer.xml.h:11
+msgid "Wandering Rectangles"
+msgstr "Vandrende rektangler"
+
+#: hacks/config/rubik.xml.h:2
+msgid ""
+"Draws a Rubik's Cube that rotates in three dimensions and repeatedly "
+"shuffles and solves itself. Another fine GL hack by Marcelo Vianna."
+msgstr ""
+
+#: hacks/config/rubik.xml.h:5
+msgid "Rubik"
+msgstr "Rubik"
+
+#: hacks/config/rubik.xml.h:7
+msgid "Show Shuffling"
+msgstr "Vis stokking"
+
+#: hacks/config/sballs.xml.h:3
+msgid ""
+"Draws an animation of textured balls spinning like crazy in GL. Requires "
+"OpenGL, and a machine with fast hardware support for texture maps. Written "
+"by Eric Lassauge &lt;lassauge@users.sourceforge.net&gt;."
+msgstr ""
+
+#: hacks/config/sballs.xml.h:8
+msgid "Plane"
+msgstr "Plan"
+
+#: hacks/config/sballs.xml.h:9
+msgid "Pyramid"
+msgstr "Pyramide"
+
+#: hacks/config/sballs.xml.h:11
+msgid "Sballs"
+msgstr "Sballer"
+
+#: hacks/config/sballs.xml.h:15
+msgid "Star"
+msgstr "Stjerne"
+
+#: hacks/config/shadebobs.xml.h:7
+msgid "ShadeBobs"
+msgstr ""
+
+#: hacks/config/shadebobs.xml.h:11
+msgid ""
+"This draws smoothly-shaded oscillating oval patterns, that look something "
+"like vapor trails or neon tubes. Written by Shane Smit."
+msgstr ""
+
+#: hacks/config/sierpinski3d.xml.h:7
+msgid "Sierpinski3D"
+msgstr "Sierpinski3D"
+
+#: hacks/config/sierpinski3d.xml.h:11
+msgid ""
+"This draws the three-dimensional variant of the recursive Sierpinski "
+"triangle fractal, using GL. Written by Tim Robinson and Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/sierpinski.xml.h:6
+msgid "Sierpinski"
+msgstr "Sierpinski"
+
+#: hacks/config/sierpinski.xml.h:10
+msgid ""
+"This draws the two-dimensional variant of the recursive Sierpinski triangle "
+"fractal. Written by Desmond Daignault."
+msgstr ""
+
+#: hacks/config/slidescreen.xml.h:1 hacks/config/twang.xml.h:1
+#: hacks/config/zoom.xml.h:1
+msgid "Border Width"
+msgstr "Kantbredde"
+
+#: hacks/config/slidescreen.xml.h:4
+msgid "Slide Speed"
+msgstr "Lysbildehastighet"
+
+#: hacks/config/slidescreen.xml.h:5
+msgid "SlideScreen"
+msgstr "Lysbildeskjerm"
+
+#: hacks/config/slidescreen.xml.h:8
+msgid ""
+"This takes an image, divides it into a grid, and then randomly shuffles the "
+"squares around as if it was one of those annoying ``16-puzzle'' games, where "
+"there is a grid of squares, one of which is missing. I hate trying to solve "
+"those puzzles, but watching one permute itself is more amusing. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/slip.xml.h:6
+msgid "Slip"
+msgstr "Skli"
+
+#: hacks/config/slip.xml.h:10
+msgid ""
+"This program throws some random bits on the screen, then sucks them through "
+"a jet engine and spews them out the other side. To avoid turning the image "
+"completely to mush, every now and then it will and then it interjects some "
+"splashes of color into the scene, or go into a spin cycle, or stretch the "
+"image like taffy, or (this is my addition) grab an image of your current "
+"desktop to chew on. Originally written by Scott Draves; whacked on by Jamie "
+"Zawinski."
+msgstr ""
+
+#: hacks/config/sonar.xml.h:1
+msgid "Ping known hosts"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:2
+msgid "Ping mode..."
+msgstr ""
+
+#: hacks/config/sonar.xml.h:3
+msgid "Ping subnet/24 (254 hosts)"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:4
+msgid "Ping subnet/25 (126 hosts)"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:5
+msgid "Ping subnet/26 (62 hosts)"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:6
+msgid "Ping subnet/27 (31 hosts)"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:7
+msgid "Ping subnet/28 (14 hosts)"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:8
+msgid "Ping subnet/29 (6 hosts)"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:9
+msgid "Ping subnet/30 (2 hosts)"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:10
+msgid "Resolve Host Names"
+msgstr ""
+
+#: hacks/config/sonar.xml.h:11
+#, fuzzy
+msgid "Show Ping Times"
+msgstr "Vis etiketter"
+
+#: hacks/config/sonar.xml.h:12
+msgid "Simulation Team Members"
+msgstr "Lagmedlemmer i simulasjonen"
+
+#: hacks/config/sonar.xml.h:13
+msgid "Sonar"
+msgstr "Sonar"
+
+#: hacks/config/sonar.xml.h:14
+msgid "Team A Name"
+msgstr "Navn p lag A"
+
+#: hacks/config/sonar.xml.h:15
+msgid "Team B Name"
+msgstr "Navn p lag B"
+
+#: hacks/config/sonar.xml.h:16
+msgid ""
+"This program draws a simulation of a sonar screen. By default, it displays a "
+"random assortment of ``bogies'' on the screen, but if installed as \"setuid "
+"root\", it can ping (pun intended) your local network, and actually plot the "
+"proximity of the other hosts on your network to you. Written by Stephen "
+"Martin and Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/sonar.xml.h:17
+msgid "vs."
+msgstr "mot"
+
+#: hacks/config/speedmine.xml.h:1
+msgid "Allow Wall Collisions"
+msgstr "Tillat kollisjoner med vegg"
+
+#: hacks/config/speedmine.xml.h:2
+msgid "Display Crosshair"
+msgstr ""
+
+#: hacks/config/speedmine.xml.h:7
+msgid "Max Velocity"
+msgstr "Maks fart"
+
+#: hacks/config/speedmine.xml.h:8
+msgid "Mine Shaft"
+msgstr ""
+
+#: hacks/config/speedmine.xml.h:9
+msgid "Present Bonuses"
+msgstr ""
+
+#: hacks/config/speedmine.xml.h:10
+msgid "Rocky Walls"
+msgstr "Steinete vegger"
+
+#: hacks/config/speedmine.xml.h:12
+msgid ""
+"Simulates speeding down a rocky mineshaft, or a funky dancing worm. Written "
+"by Conrad Parker."
+msgstr ""
+
+#: hacks/config/speedmine.xml.h:16
+msgid "SpeedMine"
+msgstr "HurtigMine"
+
+#: hacks/config/speedmine.xml.h:17
+msgid "Thrust"
+msgstr ""
+
+#: hacks/config/speedmine.xml.h:19 hacks/config/worm.xml.h:10
+msgid "Worm"
+msgstr "Orm"
+
+#: hacks/config/sphereeversion.xml.h:1
+msgid "SphereEversion"
+msgstr ""
+
+#: hacks/config/sphereeversion.xml.h:2
+msgid ""
+"SphereEversion draws an animation of a sphere being turned inside out. A "
+"sphere can be turned inside out, without any tears, sharp creases or "
+"discontinuities, if the surface of the sphere is allowed to intersect "
+"itself. This program animates what is known as the Thurston Eversion. "
+"Written by Nathaniel Thurston and Michael McGuffin. This program is not "
+"included with the XScreenSaver package, but if you don't have it already, "
+"you can find it at &lt;http://www.dgp.utoronto.ca/~mjmcguff/eversion/&gt;."
+msgstr ""
+
+#: hacks/config/spheremonics.xml.h:20
+msgid "Smoothed Lines"
+msgstr "Myke linjer"
+
+#: hacks/config/spheremonics.xml.h:23
+msgid "Spheremonics"
+msgstr ""
+
+#: hacks/config/spheremonics.xml.h:24
+msgid ""
+"These closed objects are commonly called spherical harmonics, although they "
+"are only remotely related to the mathematical definition found in the "
+"solution to certain wave functions, most notable the eigenfunctions of "
+"angular momentum operators. Written by Paul Bourke and Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/sphere.xml.h:1
+msgid ""
+"Another of the classic screenhacks of the distant past, this one draws "
+"shaded spheres in multiple colors. This hack traces its lineage back to Tom "
+"Duff in 1982."
+msgstr ""
+
+#: hacks/config/spiral.xml.h:2 hacks/config/superquadrics.xml.h:2
+msgid "Cycles"
+msgstr "Omganger"
+
+#: hacks/config/spiral.xml.h:7
+msgid ""
+"Moving circular patterns, by Peter Schmitzberger. Moving circular patterns "
+"means moire; interference patterns, of course."
+msgstr ""
+
+#: hacks/config/spiral.xml.h:11
+msgid "Spiral"
+msgstr "Spiral"
+
+#: hacks/config/spotlight.xml.h:1
+msgid ""
+"Draws a spotlight scanning across a black screen, illuminating the "
+"underlying desktop when it passes. Written by Rick Schultz."
+msgstr ""
+
+#: hacks/config/spotlight.xml.h:6
+msgid "Spotlight"
+msgstr "Flgelys"
+
+#: hacks/config/sproingies.xml.h:3
+msgid "Q-Bert meets Marble Madness! Written by Ed Mackey."
+msgstr ""
+
+#: hacks/config/sproingies.xml.h:9
+msgid "Sproingies"
+msgstr "Sproingies"
+
+#: hacks/config/squiral.xml.h:3
+msgid ""
+"Draws a set of interacting, square-spiral-producing automata. The spirals "
+"grow outward until they hit something, then they go around it. Written by "
+"Jeff Epler."
+msgstr ""
+
+#: hacks/config/squiral.xml.h:5
+msgid "Handedness"
+msgstr ""
+
+#: hacks/config/squiral.xml.h:7
+msgid "Left"
+msgstr "Venstre"
+
+#: hacks/config/squiral.xml.h:11 hacks/config/twang.xml.h:8
+msgid "Randomness"
+msgstr "Tilfeldighet"
+
+#: hacks/config/squiral.xml.h:12
+msgid "Right"
+msgstr "Hyre"
+
+#: hacks/config/squiral.xml.h:17
+msgid "Squiral"
+msgstr "Squiral"
+
+#: hacks/config/ssystem.xml.h:1
+msgid "SSystem"
+msgstr "SSystem"
+
+#: hacks/config/ssystem.xml.h:2
+msgid ""
+"SSystem is a GL Solar System simulator. It simulates flybys of Sun, the nine "
+"planets and a few major satellites, with four camera modes. Written by Raul "
+"Alonso. This is not included with the XScreenSaver package, but is packaged "
+"separately. Note: SSystem does not work as a screen saver on all systems, "
+"because it doesn't communicate with xscreensaver properly. It happens to "
+"work with some window managers, but not with others, so your mileage may "
+"vary. SSystem was once available at &lt;http://www1.las.es/~amil/ssystem/"
+"&gt;, but is now gone. You may still be able to find copies elsewhere. "
+"SSystem has since evolved into Celestia, found at &lt;http://www.shatters."
+"net/celestia/&gt;. Sadly, Celestia does not work with xscreensaver at all. "
+"You are encouraged to nag the authors into adding xscreensaver support!"
+msgstr ""
+
+#: hacks/config/stairs.xml.h:6
+msgid "Stairs"
+msgstr "Trapper"
+
+#: hacks/config/stairs.xml.h:8
+msgid ""
+"by Marcelo Vianna's third Escher GL hack, this one draws an ``infinite'' "
+"staircase."
+msgstr ""
+
+#: hacks/config/starfish.xml.h:1
+msgid "Color Gradients"
+msgstr "Fargegradienter"
+
+#: hacks/config/starfish.xml.h:7
+msgid "Pulsating Blob"
+msgstr "Pulserende blubbe"
+
+#: hacks/config/starfish.xml.h:10
+msgid "Starfish"
+msgstr "Stjernefisk"
+
+#: hacks/config/starfish.xml.h:13
+msgid ""
+"This generates a sequence of undulating, throbbing, star-like patterns which "
+"pulsate, rotate, and turn inside out. Another display mode uses these shapes "
+"to lay down a field of colors, which are then cycled. The motion is very "
+"organic. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/starwars.xml.h:2
+msgid "Anti-aliased Lines"
+msgstr "Linjer med antialiasing"
+
+#: hacks/config/starwars.xml.h:3
+msgid "Centered Text"
+msgstr "Sentrert tekst"
+
+#: hacks/config/starwars.xml.h:4
+msgid ""
+"Draws a stream of text slowly scrolling into the distance at an angle, over "
+"a star field, like at the beginning of the movie of the same name. Written "
+"by Jamie Zawinski and Claudio Matauoka."
+msgstr ""
+
+#: hacks/config/starwars.xml.h:5
+#, fuzzy
+msgid "Fade Out"
+msgstr "FadePlot"
+
+#: hacks/config/starwars.xml.h:7
+msgid "Flush Left Text"
+msgstr ""
+
+#: hacks/config/starwars.xml.h:8
+msgid "Flush Right Text"
+msgstr ""
+
+#: hacks/config/starwars.xml.h:9
+msgid "Font Point Size"
+msgstr ""
+
+#: hacks/config/starwars.xml.h:10
+msgid "Scroll Speed"
+msgstr "Rullehastighet"
+
+#: hacks/config/starwars.xml.h:13
+msgid "Star Rotation Speed"
+msgstr ""
+
+#: hacks/config/starwars.xml.h:14
+msgid "StarWars"
+msgstr "Stjernekrig"
+
+#: hacks/config/starwars.xml.h:15
+msgid "Text Columns"
+msgstr "Tekstkolonner"
+
+#: hacks/config/starwars.xml.h:16
+msgid "Text Lines"
+msgstr "Tekstlinjer"
+
+#: hacks/config/starwars.xml.h:18
+#, fuzzy
+msgid "Texture-Mapped Font"
+msgstr "Tetrahedron"
+
+#: hacks/config/starwars.xml.h:19
+msgid "Thick Lines"
+msgstr "Tykke linjer"
+
+#: hacks/config/starwars.xml.h:20
+msgid "Wrap Long Lines"
+msgstr "Bryt lange linjer"
+
+#: hacks/config/stonerview.xml.h:1
+msgid ""
+"Chains of colorful squares dance around each other in complex spiral "
+"patterns. Written by Andrew Plotkin, based on SGI's `electropaint' "
+"screensaver."
+msgstr ""
+
+#: hacks/config/stonerview.xml.h:3
+msgid "StonerView"
+msgstr "Steinvisning"
+
+#: hacks/config/strange.xml.h:6
+msgid "Strange"
+msgstr "Rar"
+
+#: hacks/config/strange.xml.h:7
+msgid ""
+"This draws strange attractors: it's a colorful, unpredictably-animating "
+"field of dots that swoops and twists around. The motion is very nice. "
+"Written by Massimino Pascal."
+msgstr ""
+
+#: hacks/config/substrate.xml.h:2 hacks/config/xplanet.xml.h:2
+#, fuzzy, no-c-format
+msgid "0%"
+msgstr "100%"
+
+#: hacks/config/substrate.xml.h:5
+msgid "Circle Percentage"
+msgstr ""
+
+#: hacks/config/substrate.xml.h:9
+#, fuzzy
+msgid "Initial Cracks"
+msgstr "Partikkeltetthet"
+
+#: hacks/config/substrate.xml.h:10
+msgid ""
+"Lines like crystals grow on a computational substrate. A simple "
+"perpendicular growth rule creates intricate city-like structures. By J. "
+"Tarbell and Mike Kershaw."
+msgstr ""
+
+#: hacks/config/substrate.xml.h:13
+#, fuzzy
+msgid "Sandgrains"
+msgstr "Forvalg"
+
+#: hacks/config/substrate.xml.h:17
+#, fuzzy
+msgid "Substrate"
+msgstr "Stater"
+
+#: hacks/config/substrate.xml.h:18
+msgid "Wireframe only"
+msgstr ""
+
+#: hacks/config/superquadrics.xml.h:3
+msgid ""
+"Ed Mackey reports that he wrote the first version of this program in BASIC "
+"on a Commodore 64 in 1987, as a 320x200 black and white wireframe. Now it is "
+"GL and has specular reflections."
+msgstr ""
+
+#: hacks/config/superquadrics.xml.h:11
+msgid "Superquadrics"
+msgstr "Superkvadratisk"
+
+#: hacks/config/swirl.xml.h:4
+msgid ""
+"More flowing, swirly patterns. This version is by M. Dobie and R. Taylor, "
+"but you might have seen a Mac program similar to this called FlowFazer. "
+"There is also a cool Java applet of a similar concept."
+msgstr ""
+
+#: hacks/config/swirl.xml.h:8
+msgid "Swirl"
+msgstr "Swirl"
+
+#: hacks/config/t3d.xml.h:1
+msgid "0 deg"
+msgstr ""
+
+#: hacks/config/t3d.xml.h:2
+msgid "5 Minute Tick Marks"
+msgstr ""
+
+#: hacks/config/t3d.xml.h:3
+msgid "90 deg"
+msgstr ""
+
+#: hacks/config/t3d.xml.h:4
+msgid "Bigger"
+msgstr ""
+
+#: hacks/config/t3d.xml.h:5
+#, fuzzy
+msgid "Cycle Seconds"
+msgstr "Sekunder"
+
+#: hacks/config/t3d.xml.h:10
+msgid "Minute Tick Marks"
+msgstr ""
+
+#: hacks/config/t3d.xml.h:12
+msgid "Smaller"
+msgstr "Mindre"
+
+#: hacks/config/t3d.xml.h:14
+msgid "T3D"
+msgstr "T3D"
+
+#: hacks/config/t3d.xml.h:15
+msgid ""
+"This draws a working analog clock composed of floating, throbbing bubbles. "
+"Written by Bernd Paysan."
+msgstr ""
+
+#: hacks/config/t3d.xml.h:16
+msgid "Turn Side-to-Side"
+msgstr ""
+
+#: hacks/config/t3d.xml.h:17
+msgid "Wobbliness"
+msgstr "Skjelvenhet"
+
+#: hacks/config/thornbird.xml.h:1
+msgid ""
+"Displays a view of the ``Bird in a Thornbush'' fractal. Written by Tim "
+"Auckland."
+msgstr ""
+
+#: hacks/config/thornbird.xml.h:6
+msgid "Points"
+msgstr "Punkter"
+
+#: hacks/config/thornbird.xml.h:12
+msgid "Thornbird"
+msgstr ""
+
+#: hacks/config/triangle.xml.h:2
+msgid ""
+"Generates random mountain ranges using iterative subdivision of triangles. "
+"Written by Tobias Gloth."
+msgstr ""
+
+#: hacks/config/triangle.xml.h:7
+msgid "Triangle"
+msgstr "Triangel"
+
+#: hacks/config/truchet.xml.h:4
+msgid ""
+"This draws line- and arc-based Truchet patterns that tile the screen. "
+"Written by Adrian Likins."
+msgstr ""
+
+#: hacks/config/truchet.xml.h:5
+msgid "Truchet"
+msgstr "Truchet"
+
+#: hacks/config/twang.xml.h:2
+msgid ""
+"Divides the screen into a grid, and plucks them. Written by Dan Bornstein."
+msgstr ""
+
+#: hacks/config/twang.xml.h:6
+msgid "Jumpy"
+msgstr "Spretten"
+
+#: hacks/config/twang.xml.h:11
+msgid "Springiness"
+msgstr "Fjrethet"
+
+#: hacks/config/twang.xml.h:13
+msgid "Transference"
+msgstr ""
+
+#: hacks/config/twang.xml.h:14
+msgid "Twang"
+msgstr "Spjoing"
+
+#: hacks/config/vermiculate.xml.h:1
+msgid "Draws squiggly worm-like paths. Written by Tyler Pierce."
+msgstr ""
+
+#: hacks/config/vermiculate.xml.h:2
+msgid "Vermiculate"
+msgstr ""
+
+#: hacks/config/vidwhacker.xml.h:2
+msgid "2 seconds"
+msgstr "2 sekunder"
+
+#: hacks/config/vidwhacker.xml.h:4
+msgid "Image Directory"
+msgstr "Bildekatalog"
+
+#: hacks/config/vidwhacker.xml.h:5
+msgid ""
+"This is actually just a shell script that grabs a frame of video from the "
+"system's video input, and then uses some PBM filters (chosen at random) to "
+"manipulate and recombine the video frame in various ways (edge detection, "
+"subtracting the image from a rotated version of itself, etc.) Then it "
+"displays that image for a few seconds, and does it again. This works really "
+"well if you just feed broadcast television into it."
+msgstr ""
+
+#: hacks/config/vidwhacker.xml.h:6
+msgid "VidWhacker"
+msgstr ""
+
+#: hacks/config/vines.xml.h:6
+msgid ""
+"This one generates a continuous sequence of small, curvy geometric patterns. "
+"It scatters them around your screen until it fills up, then it clears the "
+"screen and starts over. Written by Tracy Camp and David Hansen."
+msgstr ""
+
+#: hacks/config/vines.xml.h:8
+msgid "Vines"
+msgstr "Lianer"
+
+#: hacks/config/wander.xml.h:5
+msgid "Draw Spots"
+msgstr "Tegn flekker"
+
+#: hacks/config/wander.xml.h:6
+msgid ""
+"Draws a colorful random-walk, in various forms. Written by Rick Campbell."
+msgstr ""
+
+#: hacks/config/wander.xml.h:14
+msgid "Sustain"
+msgstr ""
+
+#: hacks/config/webcollage.xml.h:1
+#, fuzzy
+msgid "2 min"
+msgstr "2 minutter"
+
+#: hacks/config/webcollage.xml.h:2
+#, fuzzy
+msgid "30 secs"
+msgstr "0 sekunder"
+
+#: hacks/config/webcollage.xml.h:3
+msgid "Delay:                    None"
+msgstr ""
+
+#: hacks/config/webcollage.xml.h:4
+msgid "Dictionary File"
+msgstr "Ordbokfil"
+
+#: hacks/config/webcollage.xml.h:5
+#, fuzzy
+msgid "Opacity:      Transparent"
+msgstr "Gjennomsiktig"
+
+#: hacks/config/webcollage.xml.h:6
+msgid "Overall Filter Program"
+msgstr ""
+
+#: hacks/config/webcollage.xml.h:7
+msgid "Per-Image Filter Program"
+msgstr ""
+
+#: hacks/config/webcollage.xml.h:9
+msgid ""
+"This program makes collages out of random images pulled off of the World "
+"Wide Web. It finds these images by doing random web searches, and then "
+"extracting images from the returned pages. It can also be set up to filter "
+"the images through the `VidWhacker' program. WARNING: THE INTERNET SOMETIMES "
+"CONTAINS PORNOGRAPHY. The Internet being what it is, absolutely anything "
+"might show up in the collage including -- quite possibly -- pornography, or "
+"even nudity. Please act accordingly. Written by Jamie Zawinski."
+msgstr ""
+
+#: hacks/config/webcollage.xml.h:10
+#, fuzzy
+msgid "URL Timeout:     2 secs"
+msgstr "Tidsavbrudd for URL"
+
+#: hacks/config/webcollage.xml.h:11
+msgid "WebCollage"
+msgstr "WebCollage"
+
+#: hacks/config/whirlwindwarp.xml.h:2
+msgid ""
+"Floating stars are acted upon by a mixture of simple 2D forcefields. The "
+"strength of each forcefield changes continuously, and it is also switched on "
+"and off at random. By Paul 'Joey' Clark."
+msgstr ""
+
+#: hacks/config/whirlwindwarp.xml.h:7
+msgid "Trail Size"
+msgstr "Strrelse p spor"
+
+#: hacks/config/whirlwindwarp.xml.h:8
+msgid "WhirlwindWarp"
+msgstr ""
+
+#: hacks/config/whirlygig.xml.h:1
+msgid "Amplitude"
+msgstr "Amplityde"
+
+#: hacks/config/whirlygig.xml.h:2
+#, fuzzy
+msgid "Circle"
+msgstr "Omganger"
+
+#: hacks/config/whirlygig.xml.h:3
+msgid "Draws zooming chains of sinusoidal spots. Written by Ashton Trey Belew."
+msgstr ""
+
+#: hacks/config/whirlygig.xml.h:4
+#, fuzzy
+msgid "Explain modes"
+msgstr "Visningsmodi"
+
+#: hacks/config/whirlygig.xml.h:5
+msgid "Fun"
+msgstr ""
+
+#: hacks/config/whirlygig.xml.h:6
+msgid "Funky"
+msgstr ""
+
+#: hacks/config/whirlygig.xml.h:7
+msgid "Innie"
+msgstr ""
+
+#: hacks/config/whirlygig.xml.h:8
+#, fuzzy
+msgid "Leave a trail"
+msgstr "Etterlat spor"
+
+#: hacks/config/whirlygig.xml.h:9
+#, fuzzy
+msgid "Linear"
+msgstr "Linjer"
+
+#: hacks/config/whirlygig.xml.h:11
+#, fuzzy
+msgid "Lissajous"
+msgstr "Lisa"
+
+#: hacks/config/whirlygig.xml.h:15
+#, fuzzy
+msgid "Test"
+msgstr "Best"
+
+#: hacks/config/whirlygig.xml.h:16
+#, fuzzy
+msgid "Use Double Buffering"
+msgstr "Double buffer"
+
+#: hacks/config/whirlygig.xml.h:17
+msgid "Whirlies"
+msgstr ""
+
+#: hacks/config/whirlygig.xml.h:18
+msgid "WhirlyGig"
+msgstr "WhirlyGig"
+
+#: hacks/config/whirlygig.xml.h:19
+#, fuzzy
+msgid "Wrap the screen"
+msgstr "Hent skjerm"
+
+#: hacks/config/wormhole.xml.h:6
+#, fuzzy
+msgid "Star speed"
+msgstr "Haiens hastighet"
+
+#: hacks/config/wormhole.xml.h:7
+msgid "Stars Created"
+msgstr ""
+
+#: hacks/config/wormhole.xml.h:8
+#, fuzzy
+msgid "Wormhole"
+msgstr "Orm"
+
+#: hacks/config/wormhole.xml.h:9
+msgid ""
+"Wormhole simulates flying through a colored wormhole in space. Written by "
+"Jon Rafkind."
+msgstr ""
+
+#: hacks/config/worm.xml.h:1
+msgid ""
+"An ancient xlock hack that draws multicolored worms that crawl around the "
+"screen. Written by Brad Taylor, Dave Lemke, Boris Putanec, and Henrik "
+"Theiling."
+msgstr ""
+
+#: hacks/config/xanalogtv.xml.h:1
+msgid "XAnalogTV"
+msgstr ""
+
+#: hacks/config/xanalogtv.xml.h:2
+msgid ""
+"XAnalogTV shows a detailed simulation of an old TV set showing various test "
+"patterns, with various picture artifacts like snow, bloom, distortion, "
+"ghosting, and hash noise. It also simulates the TV warming up. It will cycle "
+"through 12 channels, some with images you give it, and some with color bars "
+"or nothing but static. By Trevor Blackwell."
+msgstr ""
+
+#: hacks/config/xaos.xml.h:1
+msgid "XaoS"
+msgstr "XaoS"
+
+#: hacks/config/xaos.xml.h:2
+msgid ""
+"XaoS generates fast fly-through animations of the Mandelbrot and other "
+"fractal sets. Written by Thomas Marsh and Jan Hubicka. This is not included "
+"with the XScreenSaver package, but if you don't have it already, you can "
+"find it at &lt;http://xaos.theory.org/&gt;."
+msgstr ""
+
+#: hacks/config/xdaliclock.xml.h:1
+msgid "12-Hour Time"
+msgstr "12-timers klokke"
+
+#: hacks/config/xdaliclock.xml.h:2
+msgid "24-Hour Time"
+msgstr "24-timers klokke"
+
+#: hacks/config/xdaliclock.xml.h:3
+#, fuzzy
+msgid "Cycle Colors"
+msgstr "Veksle mellom farger."
+
+#: hacks/config/xdaliclock.xml.h:4
+#, fuzzy
+msgid "Display Seconds"
+msgstr "Stil"
+
+#: hacks/config/xdaliclock.xml.h:5
+msgid "Huge Font"
+msgstr "Enorm skrift"
+
+#: hacks/config/xdaliclock.xml.h:6 hacks/config/xmatrix.xml.h:10
+msgid "Large Font"
+msgstr "Stor skrift"
+
+#: hacks/config/xdaliclock.xml.h:7
+msgid "Medium Font"
+msgstr "Middels skrift"
+
+#: hacks/config/xdaliclock.xml.h:8 hacks/config/xmatrix.xml.h:16
+msgid "Small Font"
+msgstr "Liten skrift"
+
+#: hacks/config/xdaliclock.xml.h:9
+msgid "XDaliClock"
+msgstr "XDaliKlokke"
+
+#: hacks/config/xdaliclock.xml.h:10
+msgid ""
+"XDaliClock draws a large digital clock, the numbers of which change by "
+"``melting'' into their new shapes. Written by Jamie Zawinski. This is not "
+"included with the XScreenSaver package, but if you don't have it already, "
+"you can find it at &lt;http://www.jwz.org/xdaliclock/&gt;."
+msgstr ""
+
+#: hacks/config/xearth.xml.h:1
+msgid "Bright"
+msgstr "Lys"
+
+#: hacks/config/xearth.xml.h:2 hacks/config/xplanet.xml.h:7
+msgid "Date/Time Stamp"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:3
+msgid "Day  Dim"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:5
+msgid "Display Stars"
+msgstr "Vis stjerner"
+
+#: hacks/config/xearth.xml.h:8
+msgid "Label Cities"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:9 hacks/config/xplanet.xml.h:49
+msgid "Lower Left"
+msgstr "Nedre venstre"
+
+#: hacks/config/xearth.xml.h:10 hacks/config/xplanet.xml.h:50
+msgid "Lower Right"
+msgstr "Nedre hyre"
+
+#: hacks/config/xearth.xml.h:13 hacks/config/xplanet.xml.h:51
+msgid "Mercator Projection"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:14
+msgid "Night   Dim"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:15
+msgid "No Stars"
+msgstr "Ingen stjerner"
+
+#: hacks/config/xearth.xml.h:16
+msgid "North/South Rotation"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:18 hacks/config/xplanet.xml.h:53
+msgid "Orthographic Projection"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:19 hacks/config/xplanet.xml.h:56
+msgid "Real Time"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:20
+msgid "Shaded Image"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:21
+msgid "Sharp"
+msgstr "Skarp"
+
+#: hacks/config/xearth.xml.h:26
+msgid "Terminator   Blurry"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:27 hacks/config/xplanet.xml.h:61
+msgid "Time Warp"
+msgstr ""
+
+#: hacks/config/xearth.xml.h:29 hacks/config/xplanet.xml.h:62
+msgid "Upper Left"
+msgstr "vre venstre"
+
+#: hacks/config/xearth.xml.h:30 hacks/config/xplanet.xml.h:63
+msgid "Upper Right"
+msgstr "vre hyre"
+
+#: hacks/config/xearth.xml.h:31
+msgid ""
+"XEarth draws an image of the Earth, as seen from your favorite vantage point "
+"in space, correctly shaded for the current position of the Sun. Written by "
+"Kirk Johnson. This is not included with the XScreenSaver package, but if you "
+"don't have it already, you can find it at &lt;http://www.cs.colorado.edu/"
+"~tuna/xearth/&gt;. There is also a similar (but more recent) program called "
+"xplanet to be found at &lt;http://xplanet.sourceforge.net/&gt;."
+msgstr ""
+
+#: hacks/config/xearth.xml.h:32
+msgid "Xearth"
+msgstr "Xklode"
+
+#: hacks/config/xfishtank.xml.h:5
+msgid "Fish"
+msgstr "Fisk"
+
+#: hacks/config/xfishtank.xml.h:6
+msgid "Fish Speed"
+msgstr "Hastighet p fisk"
+
+#: hacks/config/xfishtank.xml.h:7
+msgid ""
+"Fish! This is not included with the XScreenSaver package, but if you don't "
+"have it already, you can find it at &lt;http://metalab.unc.edu/pub/Linux/X11/"
+"demos/&gt;."
+msgstr ""
+
+#: hacks/config/xfishtank.xml.h:12
+msgid "XFishTank"
+msgstr "Xakvarie"
+
+#: hacks/config/xflame.xml.h:1
+msgid "Bitmap File"
+msgstr "Bildefil"
+
+#: hacks/config/xflame.xml.h:2
+msgid ""
+"Draws a simulation of pulsing fire. It can also take an arbitrary image and "
+"set it on fire too. Written by Carsten Haitzler, hacked on by many others."
+msgstr ""
+
+#: hacks/config/xflame.xml.h:3
+msgid "Enable Blooming"
+msgstr ""
+
+#: hacks/config/xflame.xml.h:8
+msgid "Xflame"
+msgstr "Xflamme"
+
+#: hacks/config/xjack.xml.h:4
+msgid ""
+"This program behaves schizophrenically and makes a lot of typos. Written by "
+"Jamie Zawinski. If you haven't seen Stanley Kubrick's masterpiece, ``The "
+"Shining,'' you won't get it. Those who have describe this hack as "
+"``inspired.''"
+msgstr ""
+
+#: hacks/config/xjack.xml.h:5
+msgid "Xjack"
+msgstr "Xjack"
+
+#: hacks/config/xlyap.xml.h:1
+msgid ""
+"This generates pretty fractal pictures by doing funky math involving the "
+"``Lyapunov exponent.'' It has a cool interactive mode, too. Written by Ron "
+"Record."
+msgstr ""
+
+#: hacks/config/xlyap.xml.h:2
+msgid "Xlyap"
+msgstr "Xlyap"
+
+#: hacks/config/xmatrix.xml.h:3
+msgid ""
+"Draws dropping characters similar to what is seen on the computer monitors "
+"in \"The Matrix\". See also \"glmatrix\" for a 3D rendering of the similar "
+"effect that appeared in the title sequence of the movie. Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: hacks/config/xmatrix.xml.h:4
+msgid "Expansion Algorithm"
+msgstr ""
+
+#: hacks/config/xmatrix.xml.h:6
+msgid "Full"
+msgstr ""
+
+#: hacks/config/xmatrix.xml.h:9
+msgid "Knock Knock"
+msgstr ""
+
+#: hacks/config/xmatrix.xml.h:12
+msgid "Phone Number"
+msgstr "Telefonnummer"
+
+#: hacks/config/xmatrix.xml.h:13
+msgid "Run Trace Program"
+msgstr ""
+
+#: hacks/config/xmatrix.xml.h:14
+msgid "Slider Algorithm"
+msgstr ""
+
+#: hacks/config/xmatrix.xml.h:19
+msgid "Synergistic Algorithm"
+msgstr ""
+
+#: hacks/config/xmatrix.xml.h:20
+msgid "Xmatrix"
+msgstr "Xmatrise"
+
+#: hacks/config/xmountains.xml.h:1
+msgid "1.0"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:3
+#, fuzzy
+msgid "14"
+msgstr "1"
+
+#: hacks/config/xmountains.xml.h:4
+msgid "7"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:5
+#, fuzzy
+msgid "Altitude  Low"
+msgstr "Amplityde"
+
+#: hacks/config/xmountains.xml.h:6
+msgid "Ambient  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:7
+#, fuzzy
+msgid "Angle of Light"
+msgstr "Aktiver lyn"
+
+#: hacks/config/xmountains.xml.h:8
+msgid "Contour  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:9
+msgid "Contrast  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:10
+#, fuzzy
+msgid "Craggy"
+msgstr "Pause"
+
+#: hacks/config/xmountains.xml.h:11
+msgid "Cross Update"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:12
+msgid "Distance  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:14
+msgid "Foreground"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:15
+#, fuzzy
+msgid "Fractal Options"
+msgstr "Fraktal vekst"
+
+#: hacks/config/xmountains.xml.h:16
+msgid "Height  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:18
+#, fuzzy
+msgid "Horizontal  Low"
+msgstr "Horisontal symmetri"
+
+#: hacks/config/xmountains.xml.h:19
+#, fuzzy
+msgid "Iteration  0"
+msgstr "Gjennomganger"
+
+#: hacks/config/xmountains.xml.h:20
+msgid "Light Level"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:21
+msgid "Recursion  0"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:22
+msgid "Reflections"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:23
+msgid "Sea Level  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:24
+msgid "Side View"
+msgstr "Sidevisning"
+
+#: hacks/config/xmountains.xml.h:26
+#, fuzzy
+msgid "Smoothing  0"
+msgstr "Myk"
+
+#: hacks/config/xmountains.xml.h:27
+#, fuzzy
+msgid "Speed  Slow"
+msgstr "Hastighet"
+
+#: hacks/config/xmountains.xml.h:28
+#, fuzzy
+msgid "Terrain"
+msgstr "Spor"
+
+#: hacks/config/xmountains.xml.h:29
+msgid "Top View"
+msgstr "Toppvisning"
+
+#: hacks/config/xmountains.xml.h:30
+msgid "V. Shift  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:31
+msgid "V. Stretch  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:32
+msgid "Variance  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:33
+msgid "Vertical  Low"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:34
+#, fuzzy
+msgid "Viewpoint"
+msgstr "Liner bevegelse"
+
+#: hacks/config/xmountains.xml.h:35
+msgid ""
+"XMountains generates realistic-looking fractal terrains of snow-capped "
+"mountains near water, with either a top view or a side view. Written by "
+"Stephen Booth. This is not included with the XScreenSaver package, but if "
+"you don't have it already, you can find it at &lt;http://www.epcc.ed.ac.uk/"
+"~spb/xmountains/&gt;. (Make sure you have version 2.7 or newer!)"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:36
+msgid "Xf  0.0"
+msgstr ""
+
+#: hacks/config/xmountains.xml.h:37
+msgid "Xmountains"
+msgstr "Xfjell"
+
+#: hacks/config/xmountains.xml.h:38
+msgid "Yf  0.0"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:5
+msgid "Ancient Projection"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:6
+msgid "Azimuthal Projection"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:9
+msgid "From Ariel"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:10
+msgid "From Callisto"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:11
+msgid "From Charon"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:12
+msgid "From Deimos"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:13
+msgid "From Dione"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:14
+msgid "From Earth"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:15
+msgid "From Enceladus"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:16
+msgid "From Europa"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:17
+msgid "From Ganymede"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:18
+msgid "From Hyperion"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:19
+msgid "From Iapetus"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:20
+msgid "From Io"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:21
+#, fuzzy
+msgid "From Jupiter"
+msgstr "Jupiter"
+
+#: hacks/config/xplanet.xml.h:22
+msgid "From Major"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:23
+msgid "From Mars"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:24
+msgid "From Mercury"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:25
+msgid "From Mimas"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:26
+msgid "From Miranda"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:27
+#, fuzzy
+msgid "From Moon"
+msgstr "Tilfeldig bevegelse"
+
+#: hacks/config/xplanet.xml.h:28
+msgid "From Neptune"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:29
+msgid "From Nereid"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:30
+msgid "From Oberon"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:31
+msgid "From Phobos"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:32
+msgid "From Phoebe"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:33
+msgid "From Pluto"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:34
+#, fuzzy
+msgid "From Random"
+msgstr "Tilfeldig"
+
+#: hacks/config/xplanet.xml.h:35
+msgid "From Rhea"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:36
+msgid "From Saturn"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:37
+msgid "From Sun"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:38
+msgid "From Tethys"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:39
+msgid "From Titan"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:40
+msgid "From Titania"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:41
+#, fuzzy
+msgid "From Triton"
+msgstr "Friksjon"
+
+#: hacks/config/xplanet.xml.h:42
+msgid "From Umbriel"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:43
+msgid "From Uranus"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:44
+msgid "From Venus"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:45
+msgid "Hemisphere Projection"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:46
+msgid "Lambert Projection"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:47
+msgid "Latitude"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:48
+#, fuzzy
+msgid "Longitude"
+msgstr "Langt"
+
+#: hacks/config/xplanet.xml.h:52
+msgid "Mollweide Projection"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:54
+msgid "Peters Projection"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:57
+msgid "Rectangular Projection"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:58
+msgid "Render as a Globe"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:64
+msgid "View Ariel"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:65
+msgid "View Callisto"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:66
+msgid "View Charon"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:67
+msgid "View Deimos"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:68
+msgid "View Dione"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:69
+#, fuzzy
+msgid "View Earth"
+msgstr "Xklode"
+
+#: hacks/config/xplanet.xml.h:70
+msgid "View Enceladus"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:71
+msgid "View Europa"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:72
+msgid "View Ganymede"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:73
+msgid "View Hyperion"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:74
+msgid "View Iapetus"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:75
+msgid "View Io"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:76
+#, fuzzy
+msgid "View Jupiter"
+msgstr "Jupiter"
+
+#: hacks/config/xplanet.xml.h:77
+msgid "View Major"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:78
+msgid "View Mars"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:79
+msgid "View Mercury"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:80
+msgid "View Mimas"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:81
+msgid "View Miranda"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:82
+#, fuzzy
+msgid "View Moon"
+msgstr "Liner bevegelse"
+
+#: hacks/config/xplanet.xml.h:83
+msgid "View Neptune"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:84
+msgid "View Nereid"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:85
+msgid "View Oberon"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:86
+msgid "View Phobos"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:87
+msgid "View Phoebe"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:88
+msgid "View Pluto"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:89
+#, fuzzy
+msgid "View Random"
+msgstr "Tilfeldig"
+
+#: hacks/config/xplanet.xml.h:90
+msgid "View Rhea"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:91
+msgid "View Saturn"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:92
+msgid "View Sun"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:93
+msgid "View Tethys"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:94
+msgid "View Titan"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:95
+msgid "View Titania"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:96
+msgid "View Triton"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:97
+msgid "View Umbriel"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:98
+msgid "View Uranus"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:99
+msgid "View Venus"
+msgstr ""
+
+#: hacks/config/xplanet.xml.h:100
+#, fuzzy
+msgid "Xplanet"
+msgstr "Plan"
+
+#: hacks/config/xplanet.xml.h:101
+msgid ""
+"Xplanet draws an image of the Earth, as seen from your favorite vantage "
+"point in space, correctly shaded for the current position of the Sun. "
+"Written by Hari Nair. This is not included with the XScreenSaver package, "
+"but if you don't have it already, you can find it at &lt;http://xplanet."
+"sourceforge.net/&gt;."
+msgstr ""
+
+#: hacks/config/xrayswarm.xml.h:1
+msgid ""
+"Draws a few swarms of critters flying around the screen, with nicely faded "
+"color trails behind them. Written by Chris Leger."
+msgstr ""
+
+#: hacks/config/xrayswarm.xml.h:5
+msgid "XRaySwarm"
+msgstr "XStrleSverm"
+
+#: hacks/config/xsnow.xml.h:1
+msgid ""
+"Draws falling snow and the occasional tiny Santa. By Rick Jansen. You can "
+"find it at &lt;http://www.euronet.nl/~rja/Xsnow/&gt;."
+msgstr ""
+
+#: hacks/config/xsnow.xml.h:2
+msgid "Xsnow"
+msgstr "Xsn"
+
+#: hacks/config/xspirograph.xml.h:5
+msgid ""
+"Simulates that pen-in-nested-plastic-gears toy from your childhood. By Rohit "
+"Singh."
+msgstr ""
+
+#: hacks/config/xspirograph.xml.h:6
+msgid "XSpiroGraph"
+msgstr ""
+
+#: hacks/config/xteevee.xml.h:1
+msgid "Color Bars Enabled"
+msgstr ""
+
+#: hacks/config/xteevee.xml.h:2
+#, fuzzy
+msgid "Cycle Through Modes"
+msgstr "Veksle mellom farger."
+
+#: hacks/config/xteevee.xml.h:3
+msgid "Rolling Enabled"
+msgstr "Rulling aktivert"
+
+#: hacks/config/xteevee.xml.h:4
+msgid "Static Enabled"
+msgstr ""
+
+#: hacks/config/xteevee.xml.h:5
+msgid "XTeeVee"
+msgstr "XTeeVee"
+
+#: hacks/config/xteevee.xml.h:6
+msgid ""
+"XTeeVee simulates various television problems, including static, loss of "
+"vertical hold, and a test pattern. By Greg Knauss."
+msgstr ""
+
+#: hacks/config/zoom.xml.h:3
+msgid "Lens Offset"
+msgstr "Linseavstand"
+
+#: hacks/config/zoom.xml.h:4
+msgid "Lenses"
+msgstr "Linser"
+
+#: hacks/config/zoom.xml.h:9
+msgid ""
+"Zooms in on a part of the screen and then moves around. With the -lenses "
+"option the result is like looking through many overlapping lenses rather "
+"than just a simple zoom. Written by James Macnicol."
+msgstr ""
+
+#, fuzzy
+#~ msgid "Linux"
+#~ msgstr "Sparc Linux"
+
+#~ msgid "Sparc Linux"
+#~ msgstr "Sparc Linux"
+
+#~ msgid "Checkered Balls"
+#~ msgstr "Rutete baller"
+
+#~ msgid "Ping Subnet"
+#~ msgstr "Ping subnett"
+
+#~ msgid "Scary Colors"
+#~ msgstr "Skremmende farger"
+
+#~ msgid "Y Rotation"
+#~ msgstr "Y-rotasjon"
+
+#~ msgid "Z Rotation"
+#~ msgstr "Z-rotasjon"
+
+#~ msgid "Curviness"
+#~ msgstr "Kurvethet"

=== added file 'po/xscreensaver.pot'
--- po/xscreensaver.pot	1970-01-01 00:00:00 +0000
+++ po/xscreensaver.pot	2006-07-29 23:00:43 +0000
@@ -0,0 +1,8956 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2006-07-29 21:58+0000\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: ../driver/demo-Gtk-conf.c:818
+msgid "Browse..."
+msgstr ""
+
+#: ../driver/demo-Gtk-conf.c:1110
+msgid "Select file."
+msgstr ""
+
+#: ../driver/demo-Gtk-support.c:135
+#, c-format
+msgid "Couldn't find pixmap file: %s"
+msgstr ""
+
+#: ../driver/demo-Gtk-support.c:147 ../driver/demo-Gtk-support.c:179
+#, c-format
+msgid "Error loading pixmap file: %s"
+msgstr ""
+
+#: ../driver/demo-Gtk-support.c:182
+#, c-format
+msgid "reason: %s\n"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:161 ../driver/xscreensaver-demo.glade2.h:71
+msgid "XScreenSaver"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:182 ../driver/xscreensaver-demo.glade2.h:84
+msgid "_File"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:202 ../driver/xscreensaver-demo.glade2.h:76
+msgid "_Blank Screen Now"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:211
+msgid ""
+"Activate the XScreenSaver daemon now (locking the screen if so configured.)"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:215 ../driver/xscreensaver-demo.glade2.h:89
+msgid "_Lock Screen Now"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:224
+msgid "Lock the screen now (even if \"Lock Screen\" is unchecked.)"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:228 ../driver/xscreensaver-demo.glade2.h:87
+msgid "_Kill Daemon"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:237
+msgid "Tell the running XScreenSaver daemon to exit."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:241 ../driver/xscreensaver-demo.glade2.h:98
+msgid "_Restart Daemon"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:250
+msgid "Kill and re-launch the XScreenSaver daemon."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:263
+msgid "_Exit"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:272
+msgid ""
+"Exit the xscreensaver-demo program (but leave the XScreenSaver daemon "
+"running in the background.)"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:276 ../driver/xscreensaver-demo.glade2.h:85
+msgid "_Help"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:296 ../driver/xscreensaver-demo.glade2.h:72
+msgid "_About..."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:305
+msgid "Display version information."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:309 ../driver/xscreensaver-demo.glade2.h:83
+msgid "_Documentation..."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:318
+msgid "Go to the documentation on the XScreenSaver web page."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:348
+msgid "Cycle After"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:370 ../driver/xscreensaver-demo.glade2.h:63
+msgid "Whether a password should be required to un-blank the screen."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:372
+msgid "Lock Screen After"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:380
+msgid "Blank After"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:403 ../driver/demo-Gtk-widgets.c:453
+#: ../driver/demo-Gtk-widgets.c:467 ../driver/demo-Gtk-widgets.c:1016
+msgid "How long before the monitor goes completely black."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:407 ../driver/demo-Gtk-widgets.c:419
+#: ../driver/demo-Gtk-widgets.c:431 ../driver/demo-Gtk-widgets.c:1020
+#: ../driver/demo-Gtk-widgets.c:1032 ../driver/demo-Gtk-widgets.c:1044
+#: ../driver/xscreensaver-demo.glade2.h:106
+msgid "minutes"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:482 ../driver/demo-Gtk.c:3196
+msgid "Preview"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:490 ../driver/xscreensaver-demo.glade2.h:10
+msgid ""
+"Demo the selected screen saver in full-screen mode (click the mouse to "
+"return.)"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:492
+msgid "Settings..."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:500 ../driver/xscreensaver-demo.glade2.h:7
+msgid "Customization and explanation of the selected screen saver."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:521
+msgid "Mode:"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:539
+msgid "Disable Screen Saver"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:542
+msgid "Blank Screen Only"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:545
+msgid "Only One Screen Saver"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:548
+msgid "Random Screen Saver"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:571 ../driver/demo-Gtk.c:2383
+msgid "Use"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:591 ../driver/demo-Gtk.c:2393
+msgid "Screen Saver"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:644
+msgid "\\/"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:652 ../driver/xscreensaver-demo.glade2.h:39
+msgid ""
+"Run the next screen saver in the list in full-screen mode (click the mouse "
+"to return.)"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:654
+msgid "/\\"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:662 ../driver/xscreensaver-demo.glade2.h:40
+msgid ""
+"Run the previous screen saver in the list in full-screen mode (click the "
+"mouse to return.)"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:664 ../driver/demo-Gtk-widgets.c:1607
+#: ../driver/xscreensaver-demo.glade2.h:11
+msgid "Description"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:691
+msgid "Display Modes"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:707
+msgid "Diagnostics"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:751
+msgid "Whether the daemon should print lots of debugging information."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:753
+msgid "Verbose Diagnostics"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:768
+msgid ""
+"Whether any error output of the display modes should be redirected to the "
+"screen."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:770
+msgid "Display Subprocess Errors"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:785
+msgid ""
+"Whether the splash screen (with the version number and `Help' button) should "
+"be momentarily displayed when the daemon first starts up."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:787
+msgid "Display Splash Screen at Startup"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:796
+msgid "Colormaps"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:840 ../driver/xscreensaver-demo.glade2.h:70
+msgid ""
+"Whether to install a private colormap when running in 8-bit mode on the "
+"default Visual."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:842
+msgid "Install Colormap"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:865 ../driver/xscreensaver-demo.glade2.h:69
+msgid ""
+"Whether the screen should slowly fade to black when the screen saver "
+"activates."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:867
+msgid "Fade To Black When Blanking"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:882 ../driver/xscreensaver-demo.glade2.h:68
+msgid ""
+"Whether the screen should slowly fade in from black when the screen saver "
+"deactivates."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:884
+msgid "Fade From Black When Unblanking"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:910
+msgid "Fade Duration"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:928 ../driver/xscreensaver-demo.glade2.h:26
+msgid "How long it should take for the screen to fade in and out."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:932 ../driver/xscreensaver-demo.glade2.h:111
+msgid "seconds"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:942 ../driver/xscreensaver-demo.glade2.h:13
+msgid "Display Power Management"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:986 ../driver/xscreensaver-demo.glade2.h:67
+msgid "Whether the monitor should be powered down after a while."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:988
+msgid "Power Management Enabled"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1056
+msgid "Off After"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1069
+msgid "Suspend After"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1082
+msgid "Standby After"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1105 ../driver/xscreensaver-demo.glade2.h:28
+msgid "How long until the monitor goes into power-saving mode."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1119 ../driver/xscreensaver-demo.glade2.h:29
+msgid "How long until the monitor powers down."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1123 ../driver/xscreensaver-demo.glade2.h:30
+msgid "Image Manipulation"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1167 ../driver/xscreensaver-demo.glade2.h:64
+msgid ""
+"Whether the image-manipulating modes should be allowed to operate on an "
+"image of your desktop."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1169
+msgid "Grab Desktop Images"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1184
+msgid ""
+"Whether the image-manipulating modes should operate on images captured from "
+"the system's video input (if there is one)."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1186
+msgid "Grab Video Frames"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1201 ../driver/xscreensaver-demo.glade2.h:66
+msgid ""
+"Whether the image-manipulating modes should operate on random images loaded "
+"from disk."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1203
+msgid "Choose Random Image:"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1236 ../driver/xscreensaver-demo.glade2.h:53
+msgid "The directory from which images will be randomly chosen."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1238
+msgid "Browse"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1246 ../driver/demo-Gtk-widgets.c:1599
+#: ../driver/xscreensaver-demo.glade2.h:2
+msgid "Advanced"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1444
+msgid "XScreenSaver: Mode-Specific Settings"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1466 ../driver/xscreensaver-demo.glade2.h:41
+msgid "Settings"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1495 ../driver/xscreensaver-demo.glade2.h:43
+msgid "Standard"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1532
+msgid "Visual:"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1550 ../driver/demo-Gtk-widgets.c:1573
+#: ../driver/demo-Gtk.c:1660 ../driver/demo-Gtk.c:3215
+#: ../driver/xscreensaver-demo.glade2.h:3
+msgid "Any"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1551 ../driver/xscreensaver-demo.glade2.h:4
+msgid "Best"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1552 ../driver/xscreensaver-demo.glade2.h:8
+msgid "Default"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1553 ../driver/xscreensaver-demo.glade2.h:9
+msgid "Default-N"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1554 ../driver/xscreensaver-demo.glade2.h:18
+msgid "GL"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1555 ../driver/xscreensaver-demo.glade2.h:54
+msgid "TrueColor"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1556 ../driver/xscreensaver-demo.glade2.h:38
+msgid "PseudoColor"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1557 ../driver/xscreensaver-demo.glade2.h:44
+msgid "StaticGray"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1558 ../driver/xscreensaver-demo.glade2.h:22
+msgid "GrayScale"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1559 ../driver/xscreensaver-demo.glade2.h:12
+msgid "DirectColor"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1560 ../driver/xscreensaver-demo.glade2.h:6
+#: ../hacks/config/fuzzyflakes.xml.h:3
+msgid "Color"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1561 ../driver/xscreensaver-demo.glade2.h:21
+msgid "Gray"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1562 ../driver/xscreensaver-demo.glade2.h:32
+msgid "Mono"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1572
+msgid ""
+"The X visual type that this demo will require.  If that visual is available "
+"it will be used, otherwise, this demo will not be run."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1575
+msgid "Command Line:"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1647
+msgid "Documentation..."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1655
+msgid "Click here to read the manual for this display mode, if it has one."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1680
+msgid "Advanced >>"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1688
+msgid "Edit the command line directly."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1690
+msgid "Standard <<"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1698
+msgid "Back to the graphical configuration options."
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1709 ../driver/demo-Gtk.c:799
+msgid "OK"
+msgstr ""
+
+#: ../driver/demo-Gtk-widgets.c:1718
+msgid "Cancel"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:659 ../driver/demo-Gtk.c:4243
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"The XScreenSaver daemon doesn't seem to be running\n"
+"on display \"%s\".  Launch it now?"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:707
+msgid "For updates, check http://www.jwz.org/xscreensaver/"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:837
+msgid ""
+"Error:\n"
+"\n"
+"No Help URL has been specified.\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:934
+msgid ""
+"Error:\n"
+"\n"
+"The xscreensaver daemon did not start up properly.\n"
+"\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:946
+msgid ""
+"You are running as root.  This usually means that xscreensaver\n"
+"was unable to contact your X server because access control is\n"
+"turned on.  Try running this command:\n"
+"\n"
+"                        xhost +localhost\n"
+"\n"
+"and then selecting `File / Restart Daemon'.\n"
+"\n"
+"Note that turning off access control will allow anyone logged\n"
+"on to this machine to access your screen, which might be\n"
+"considered a security problem.  Please read the xscreensaver\n"
+"manual and FAQ for more information.\n"
+"\n"
+"You shouldn't run X as root. Instead, you should log in as a\n"
+"normal user, and `su' as necessary."
+msgstr ""
+
+#: ../driver/demo-Gtk.c:962
+msgid "Please check your $PATH and permissions."
+msgstr ""
+
+#: ../driver/demo-Gtk.c:999
+msgid ""
+"Error:\n"
+"\n"
+"Couldn't determine init file name!\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:1004
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Couldn't write %s\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:1066
+msgid ""
+"Error:\n"
+"\n"
+"no `manualCommand' resource set."
+msgstr ""
+
+#: ../driver/demo-Gtk.c:1249
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Unparsable time format: \"%s\"\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:1956
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"Directory does not exist: \"%s\"\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:1986 ../driver/demo-Gtk.c:2017
+#, c-format
+msgid ""
+"Error:\n"
+"\n"
+"File does not exist: \"%s\"\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:2841
+msgid "Descriptions not available: no XML support compiled in."
+msgstr ""
+
+#: ../driver/demo-Gtk.c:2846
+msgid "No description available."
+msgstr ""
+
+#: ../driver/demo-Gtk.c:3167
+msgid "Blank Screen"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:3173
+msgid "Screen Saver Disabled"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:3206
+#, c-format
+msgid "%s: %.100s Settings"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:3368
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"file \"%s\" has changed, reloading.\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:3453
+msgid "No Preview"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:3453
+msgid "Available"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:3454
+msgid "Not"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:3454
+msgid "Installed"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:4253
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"%s is running as user \"%s\" on host \"%s\".\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is running as user \"%s\" on host \"%s\".\n"
+"\n"
+"Since they are different users, they won't be reading/writing\n"
+"the same ~/.xscreensaver file, so %s isn't\n"
+"going to work right.\n"
+"\n"
+"You should either re-run %s as \"%s\", or re-run\n"
+"xscreensaver as \"%s\".\n"
+"\n"
+"Restart the xscreensaver daemon now?\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:4278
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"%s is running as user \"%s\" on host \"%s\".\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is running as user \"%s\" on host \"%s\".\n"
+"\n"
+"If those two machines don't share a file system (that is,\n"
+"if they don't see the same ~%s/.xscreensaver file) then\n"
+"%s won't work right.\n"
+"\n"
+"Restart the daemon on \"%s\" as \"%s\" now?\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:4300
+#, c-format
+msgid ""
+"Warning:\n"
+"\n"
+"This is %s version %s.\n"
+"But the xscreensaver managing display \"%s\"\n"
+"is version %s.  This could cause problems.\n"
+"\n"
+"Restart the xscreensaver daemon now?\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:4761
+#, c-format
+msgid "%s: unknown option: %s\n"
+msgstr ""
+
+#: ../driver/demo-Gtk.c:4826
+msgid "Screensaver Preferences"
+msgstr ""
+
+#: ../driver/screensaver-properties.desktop.in.h:1
+msgid "Change screensaver properties"
+msgstr ""
+
+#: ../driver/screensaver-properties.desktop.in.h:2
+msgid "Screensaver"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:1
+msgid "*"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:5
+msgid "Choose _Random Image:"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:14
+msgid "F_ade Duration"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:15
+msgid "Fade from Black When _Unblanking"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:16
+msgid "Fade to Black when _Blanking"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:17
+msgid "Fading and Colormaps"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:19
+msgid "Grab Desktop _Images"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:20
+msgid "Grab _Video Frames"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:23
+msgid "How long after the screen blanks until a password will be required."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:24
+msgid "How long before the screen saver activates."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:25
+msgid ""
+"How long each display mode should run before choosing a new one (in Random "
+"mode.)"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:27
+msgid "How long until the monitor goes completely black."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:31
+msgid "Install _Colormap"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:33
+msgid "Never blank the screen or power down the monitor."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:34
+msgid ""
+"No Preview\n"
+"Available"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:36
+msgid ""
+"Not\n"
+"Installed"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:42
+msgid "Stand_by After"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:45
+msgid "Sus_pend After"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:46
+msgid "Text Manipulation"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:47
+msgid "Text _file"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:48
+msgid ""
+"Text-displaying modes will display the contents of this URL (HTML or RSS)."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:49
+msgid "Text-displaying modes will display the contents of this file."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:50
+msgid "Text-displaying modes will display the local host name, date, and time."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:51
+msgid "Text-displaying modes will display the output of this program."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:52
+msgid "Text-displaying modes will display the text typed here."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:55
+msgid ""
+"Very few (or no) screen savers appear to be available.\n"
+"\n"
+"This probably means that the \"xscreensaver-extras\" and\n"
+"\"xscreensaver-gl-extras\" packages are not installed."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:59
+msgid "When idle or locked, blacken the screen only."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:60
+msgid ""
+"When idle or locked, choose a random display mode from among the checked "
+"items in the list below."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:61
+msgid ""
+"When idle or locked, choose a random display mode from among the checked "
+"items in the list below.  Run that same mode on each monitor."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:62
+msgid "When idle or locked, run the display mode selected below."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:65
+msgid ""
+"Whether the image-manipulating modes should operate on images captured from "
+"the system's video input (if there is one.)"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:73
+msgid "_Advanced"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:74
+msgid "_Advanced >>"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:75
+msgid "_Blank After"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:77
+msgid "_Blank Screen Only"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:78
+msgid "_Browse"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:79
+msgid "_Command Line:"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:80
+msgid "_Cycle After"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:81
+msgid "_Disable Screen Saver"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:82
+msgid "_Display Modes"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:86
+msgid "_Host Name and Time"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:88
+msgid "_Lock Screen After  "
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:90
+msgid "_Mode:"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:91
+msgid "_Off After"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:92
+msgid "_Only One Screen Saver"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:93
+msgid "_Power Management Enabled"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:94
+msgid "_Preview"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:95
+msgid "_Program"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:96
+msgid "_Quit"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:97
+msgid "_Random Screen Saver"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:99
+msgid "_Same Random Savers"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:100
+msgid "_Settings..."
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:101
+msgid "_Standard <<"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:102
+msgid "_Text"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:103
+msgid "_URL"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:104
+msgid "_Visual:"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:105
+msgid "dialog1"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:107
+msgid "no preview"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:108
+msgid "not installed"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:109
+msgid "nothing"
+msgstr ""
+
+#: ../driver/xscreensaver-demo.glade2.h:110
+msgid "preview"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:1
+msgid "Anemone"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:2 ../hacks/config/fuzzyflakes.xml.h:1
+msgid "Arms"
+msgstr ""
+
+#.
+#. -withdraw 1200
+#. -turnspeed 50
+#.
+#. #### -colorcount [64]
+#. #### -box [0]
+#. #### -delay2 [1000000]
+#: ../hacks/config/anemone.xml.h:7 ../hacks/config/anemotaxis.xml.h:5
+#: ../hacks/config/ant.xml.h:6 ../hacks/config/antinspect.xml.h:4
+#: ../hacks/config/antmaze.xml.h:3 ../hacks/config/antspotlight.xml.h:3
+#: ../hacks/config/apollonian.xml.h:7 ../hacks/config/atlantis.xml.h:4
+#: ../hacks/config/attraction.xml.h:8 ../hacks/config/atunnel.xml.h:3
+#: ../hacks/config/barcode.xml.h:4 ../hacks/config/blaster.xml.h:4
+#: ../hacks/config/blinkbox.xml.h:5 ../hacks/config/blitspin.xml.h:4
+#: ../hacks/config/blocktube.xml.h:4 ../hacks/config/boing.xml.h:2
+#: ../hacks/config/bouboule.xml.h:3 ../hacks/config/bouncingcow.xml.h:6
+#: ../hacks/config/boxed.xml.h:6 ../hacks/config/boxfit.xml.h:8
+#: ../hacks/config/braid.xml.h:4 ../hacks/config/bubble3d.xml.h:4
+#: ../hacks/config/bubbles.xml.h:8 ../hacks/config/bumps.xml.h:5
+#: ../hacks/config/cage.xml.h:2 ../hacks/config/carousel.xml.h:5
+#: ../hacks/config/celtic.xml.h:3 ../hacks/config/circuit.xml.h:4
+#: ../hacks/config/cloudlife.xml.h:3 ../hacks/config/compass.xml.h:3
+#: ../hacks/config/coral.xml.h:7 ../hacks/config/critical.xml.h:4
+#: ../hacks/config/crystal.xml.h:7 ../hacks/config/cube21.xml.h:6
+#: ../hacks/config/cubenetic.xml.h:8 ../hacks/config/cubestorm.xml.h:4
+#: ../hacks/config/cynosure.xml.h:4 ../hacks/config/dangerball.xml.h:3
+#: ../hacks/config/decayscreen.xml.h:2 ../hacks/config/deluxe.xml.h:4
+#: ../hacks/config/demon.xml.h:4 ../hacks/config/discrete.xml.h:2
+#: ../hacks/config/distort.xml.h:4 ../hacks/config/drift.xml.h:3
+#: ../hacks/config/endgame.xml.h:3 ../hacks/config/engine.xml.h:8
+#: ../hacks/config/epicycle.xml.h:5 ../hacks/config/eruption.xml.h:5
+#: ../hacks/config/euler2d.xml.h:8 ../hacks/config/extrusion.xml.h:3
+#: ../hacks/config/fadeplot.xml.h:4 ../hacks/config/fireworkx.xml.h:3
+#: ../hacks/config/flag.xml.h:2 ../hacks/config/flame.xml.h:6
+#: ../hacks/config/flipflop.xml.h:1 ../hacks/config/flipscreen3d.xml.h:1
+#: ../hacks/config/fliptext.xml.h:3 ../hacks/config/flow.xml.h:2
+#: ../hacks/config/fluidballs.xml.h:5 ../hacks/config/flyingtoasters.xml.h:5
+#: ../hacks/config/fontglide.xml.h:4 ../hacks/config/forest.xml.h:1
+#: ../hacks/config/fuzzyflakes.xml.h:7 ../hacks/config/galaxy.xml.h:3
+#: ../hacks/config/gears.xml.h:2 ../hacks/config/gflux.xml.h:7
+#: ../hacks/config/glblur.xml.h:4 ../hacks/config/glforestfire.xml.h:4
+#: ../hacks/config/glhanoi.xml.h:3 ../hacks/config/glknots.xml.h:3
+#: ../hacks/config/glmatrix.xml.h:8 ../hacks/config/glplanet.xml.h:2
+#: ../hacks/config/glsnake.xml.h:6 ../hacks/config/gltext.xml.h:4
+#: ../hacks/config/goop.xml.h:4 ../hacks/config/grav.xml.h:2
+#: ../hacks/config/greynetic.xml.h:1 ../hacks/config/halo.xml.h:2
+#: ../hacks/config/hopalong.xml.h:9 ../hacks/config/hyperball.xml.h:1
+#: ../hacks/config/hypercube.xml.h:2 ../hacks/config/hypertorus.xml.h:6
+#: ../hacks/config/ifs.xml.h:4 ../hacks/config/interaggregate.xml.h:1
+#: ../hacks/config/interference.xml.h:8 ../hacks/config/intermomentary.xml.h:1
+#: ../hacks/config/jigglypuff.xml.h:6 ../hacks/config/jigsaw.xml.h:3
+#: ../hacks/config/juggle.xml.h:2 ../hacks/config/juggler3d.xml.h:2
+#: ../hacks/config/julia.xml.h:3 ../hacks/config/kaleidescope.xml.h:3
+#: ../hacks/config/klein.xml.h:2 ../hacks/config/kumppa.xml.h:3
+#: ../hacks/config/lament.xml.h:2 ../hacks/config/laser.xml.h:3
+#: ../hacks/config/lavalite.xml.h:10 ../hacks/config/lightning.xml.h:1
+#: ../hacks/config/lisa.xml.h:3 ../hacks/config/lissie.xml.h:3
+#: ../hacks/config/lmorph.xml.h:3 ../hacks/config/loop.xml.h:1
+#: ../hacks/config/maze.xml.h:4 ../hacks/config/memscroller.xml.h:5
+#: ../hacks/config/menger.xml.h:3 ../hacks/config/metaballs.xml.h:4
+#: ../hacks/config/mirrorblob.xml.h:11 ../hacks/config/mismunch.xml.h:2
+#: ../hacks/config/moebius.xml.h:3 ../hacks/config/moire2.xml.h:2
+#: ../hacks/config/molecule.xml.h:11 ../hacks/config/morph3d.xml.h:3
+#: ../hacks/config/mountain.xml.h:2 ../hacks/config/munch.xml.h:4
+#: ../hacks/config/nerverot.xml.h:10 ../hacks/config/noof.xml.h:2
+#: ../hacks/config/pacman.xml.h:1 ../hacks/config/penetrate.xml.h:3
+#: ../hacks/config/penrose.xml.h:3 ../hacks/config/petri.xml.h:5
+#: ../hacks/config/phosphor.xml.h:5 ../hacks/config/piecewise.xml.h:4
+#: ../hacks/config/pinion.xml.h:5 ../hacks/config/pipes.xml.h:5
+#: ../hacks/config/polyhedra.xml.h:17 ../hacks/config/polyominoes.xml.h:2
+#: ../hacks/config/polytopes.xml.h:11 ../hacks/config/pong.xml.h:1
+#: ../hacks/config/popsquares.xml.h:3 ../hacks/config/providence.xml.h:2
+#: ../hacks/config/pulsar.xml.h:11 ../hacks/config/pyro.xml.h:4
+#: ../hacks/config/qix.xml.h:7 ../hacks/config/queens.xml.h:1
+#: ../hacks/config/rd-bomb.xml.h:9 ../hacks/config/ripples.xml.h:5
+#: ../hacks/config/rocks.xml.h:4 ../hacks/config/rotor.xml.h:3
+#: ../hacks/config/rubik.xml.h:3 ../hacks/config/sballs.xml.h:4
+#: ../hacks/config/shadebobs.xml.h:3 ../hacks/config/sierpinski.xml.h:2
+#: ../hacks/config/sierpinski3d.xml.h:2 ../hacks/config/slidescreen.xml.h:3
+#: ../hacks/config/slip.xml.h:2 ../hacks/config/speedmine.xml.h:3
+#: ../hacks/config/sphere.xml.h:2 ../hacks/config/spheremonics.xml.h:5
+#: ../hacks/config/spiral.xml.h:3 ../hacks/config/spotlight.xml.h:2
+#: ../hacks/config/sproingies.xml.h:2 ../hacks/config/squiral.xml.h:5
+#: ../hacks/config/stairs.xml.h:1 ../hacks/config/starfish.xml.h:3
+#: ../hacks/config/starwars.xml.h:6 ../hacks/config/strange.xml.h:1
+#: ../hacks/config/substrate.xml.h:7 ../hacks/config/superquadrics.xml.h:4
+#: ../hacks/config/swirl.xml.h:2 ../hacks/config/t3d.xml.h:6
+#: ../hacks/config/tangram.xml.h:2 ../hacks/config/thornbird.xml.h:2
+#: ../hacks/config/triangle.xml.h:1 ../hacks/config/truchet.xml.h:1
+#: ../hacks/config/twang.xml.h:3 ../hacks/config/vines.xml.h:1
+#: ../hacks/config/worm.xml.h:4 ../hacks/config/wormhole.xml.h:2
+#: ../hacks/config/xearth.xml.h:7 ../hacks/config/xfishtank.xml.h:3
+#: ../hacks/config/xflame.xml.h:5 ../hacks/config/xjack.xml.h:1
+#: ../hacks/config/xmatrix.xml.h:5 ../hacks/config/xmountains.xml.h:13
+#: ../hacks/config/xplanet.xml.h:8 ../hacks/config/xrayswarm.xml.h:2
+#: ../hacks/config/zoom.xml.h:2
+msgid "Fast"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:8 ../hacks/config/anemotaxis.xml.h:6
+#: ../hacks/config/blaster.xml.h:5 ../hacks/config/bouboule.xml.h:4
+#: ../hacks/config/boxed.xml.h:7 ../hacks/config/coral.xml.h:8
+#: ../hacks/config/cubenetic.xml.h:9 ../hacks/config/eruption.xml.h:6
+#: ../hacks/config/euler2d.xml.h:9 ../hacks/config/fiberlamp.xml.h:2
+#: ../hacks/config/flame.xml.h:7 ../hacks/config/fluidballs.xml.h:6
+#: ../hacks/config/fuzzyflakes.xml.h:8 ../hacks/config/kaleidescope.xml.h:4
+#: ../hacks/config/lisa.xml.h:4 ../hacks/config/pedal.xml.h:4
+#: ../hacks/config/petri.xml.h:7 ../hacks/config/qix.xml.h:8
+#: ../hacks/config/substrate.xml.h:8 ../hacks/config/thornbird.xml.h:3
+#: ../hacks/config/whirlwindwarp.xml.h:1 ../hacks/config/wormhole.xml.h:3
+#: ../hacks/config/xfishtank.xml.h:4
+msgid "Few"
+msgstr ""
+
+#. #### -color [random]
+#. #### -max-radius [25]
+#. #### -color [random]
+#: ../hacks/config/anemone.xml.h:9 ../hacks/config/anemotaxis.xml.h:7
+#: ../hacks/config/ant.xml.h:9 ../hacks/config/apollonian.xml.h:9
+#: ../hacks/config/attraction.xml.h:19 ../hacks/config/blaster.xml.h:7
+#: ../hacks/config/bouboule.xml.h:5 ../hacks/config/braid.xml.h:7
+#: ../hacks/config/coral.xml.h:9 ../hacks/config/critical.xml.h:5
+#: ../hacks/config/crystal.xml.h:9 ../hacks/config/cubenetic.xml.h:13
+#: ../hacks/config/cynosure.xml.h:6 ../hacks/config/deco.xml.h:5
+#: ../hacks/config/deluxe.xml.h:6 ../hacks/config/demon.xml.h:6
+#: ../hacks/config/discrete.xml.h:4 ../hacks/config/drift.xml.h:9
+#: ../hacks/config/epicycle.xml.h:8 ../hacks/config/eruption.xml.h:12
+#: ../hacks/config/euler2d.xml.h:16 ../hacks/config/fadeplot.xml.h:6
+#: ../hacks/config/fiberlamp.xml.h:6 ../hacks/config/flag.xml.h:5
+#: ../hacks/config/flame.xml.h:11 ../hacks/config/flow.xml.h:7
+#: ../hacks/config/fluidballs.xml.h:13 ../hacks/config/forest.xml.h:3
+#: ../hacks/config/fuzzyflakes.xml.h:12 ../hacks/config/galaxy.xml.h:6
+#: ../hacks/config/grav.xml.h:4 ../hacks/config/halo.xml.h:4
+#: ../hacks/config/hopalong.xml.h:15 ../hacks/config/ifs.xml.h:8
+#: ../hacks/config/imsmap.xml.h:9 ../hacks/config/interference.xml.h:15
+#: ../hacks/config/julia.xml.h:7 ../hacks/config/kaleidescope.xml.h:6
+#: ../hacks/config/laser.xml.h:6 ../hacks/config/lightning.xml.h:3
+#: ../hacks/config/lisa.xml.h:6 ../hacks/config/lissie.xml.h:6
+#: ../hacks/config/loop.xml.h:4 ../hacks/config/metaballs.xml.h:7
+#: ../hacks/config/mismunch.xml.h:4 ../hacks/config/moire.xml.h:5
+#: ../hacks/config/moire2.xml.h:3 ../hacks/config/mountain.xml.h:4
+#: ../hacks/config/nerverot.xml.h:17 ../hacks/config/pedal.xml.h:6
+#: ../hacks/config/penrose.xml.h:4 ../hacks/config/petri.xml.h:11
+#: ../hacks/config/polyominoes.xml.h:5 ../hacks/config/qix.xml.h:14
+#: ../hacks/config/rd-bomb.xml.h:12 ../hacks/config/ripples.xml.h:9
+#: ../hacks/config/rocks.xml.h:5 ../hacks/config/rotor.xml.h:6
+#: ../hacks/config/shadebobs.xml.h:6 ../hacks/config/sierpinski.xml.h:4
+#: ../hacks/config/slip.xml.h:4 ../hacks/config/sphere.xml.h:3
+#: ../hacks/config/spiral.xml.h:6 ../hacks/config/squiral.xml.h:10
+#: ../hacks/config/starfish.xml.h:5 ../hacks/config/strange.xml.h:2
+#: ../hacks/config/swirl.xml.h:3 ../hacks/config/thornbird.xml.h:4
+#: ../hacks/config/triangle.xml.h:3 ../hacks/config/vines.xml.h:2
+#: ../hacks/config/whirlwindwarp.xml.h:4 ../hacks/config/worm.xml.h:5
+#: ../hacks/config/xearth.xml.h:12 ../hacks/config/xfishtank.xml.h:8
+msgid "Many"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:10 ../hacks/config/fireflies.xml.h:32
+#: ../hacks/config/pyro.xml.h:8
+msgid "Often"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:11
+msgid "Rarely"
+msgstr ""
+
+#.
+#. -withdraw 1200
+#. -turnspeed 50
+#.
+#. #### -colorcount [64]
+#. #### -box [0]
+#. #### -delay2 [1000000]
+#: ../hacks/config/anemone.xml.h:16 ../hacks/config/anemotaxis.xml.h:10
+#: ../hacks/config/ant.xml.h:15 ../hacks/config/antinspect.xml.h:6
+#: ../hacks/config/antmaze.xml.h:5 ../hacks/config/antspotlight.xml.h:5
+#: ../hacks/config/apollonian.xml.h:14 ../hacks/config/atlantis.xml.h:13
+#: ../hacks/config/attraction.xml.h:27 ../hacks/config/atunnel.xml.h:6
+#: ../hacks/config/barcode.xml.h:6 ../hacks/config/blaster.xml.h:9
+#: ../hacks/config/blinkbox.xml.h:8 ../hacks/config/blitspin.xml.h:7
+#: ../hacks/config/blocktube.xml.h:9 ../hacks/config/boing.xml.h:10
+#: ../hacks/config/bouboule.xml.h:8 ../hacks/config/bouncingcow.xml.h:10
+#: ../hacks/config/boxed.xml.h:15 ../hacks/config/boxfit.xml.h:12
+#: ../hacks/config/braid.xml.h:11 ../hacks/config/bubble3d.xml.h:6
+#: ../hacks/config/bubbles.xml.h:10 ../hacks/config/bumps.xml.h:7
+#: ../hacks/config/cage.xml.h:4 ../hacks/config/carousel.xml.h:14
+#: ../hacks/config/celtic.xml.h:8 ../hacks/config/circuit.xml.h:10
+#: ../hacks/config/cloudlife.xml.h:11 ../hacks/config/compass.xml.h:4
+#: ../hacks/config/coral.xml.h:12 ../hacks/config/critical.xml.h:7
+#: ../hacks/config/crystal.xml.h:12 ../hacks/config/cube21.xml.h:16
+#: ../hacks/config/cubenetic.xml.h:22 ../hacks/config/cubestorm.xml.h:8
+#: ../hacks/config/cynosure.xml.h:9 ../hacks/config/dangerball.xml.h:5
+#: ../hacks/config/decayscreen.xml.h:17 ../hacks/config/deluxe.xml.h:8
+#: ../hacks/config/demon.xml.h:8 ../hacks/config/discrete.xml.h:7
+#: ../hacks/config/distort.xml.h:13 ../hacks/config/drift.xml.h:12
+#: ../hacks/config/endgame.xml.h:5 ../hacks/config/engine.xml.h:15
+#: ../hacks/config/epicycle.xml.h:10 ../hacks/config/eruption.xml.h:19
+#: ../hacks/config/euler2d.xml.h:26 ../hacks/config/extrusion.xml.h:11
+#: ../hacks/config/fadeplot.xml.h:8 ../hacks/config/fireworkx.xml.h:9
+#: ../hacks/config/flag.xml.h:7 ../hacks/config/flame.xml.h:14
+#: ../hacks/config/flipflop.xml.h:5 ../hacks/config/flipscreen3d.xml.h:6
+#: ../hacks/config/fliptext.xml.h:13 ../hacks/config/flow.xml.h:10
+#: ../hacks/config/fluidballs.xml.h:18 ../hacks/config/flyingtoasters.xml.h:11
+#: ../hacks/config/fontglide.xml.h:13 ../hacks/config/forest.xml.h:5
+#: ../hacks/config/fuzzyflakes.xml.h:15 ../hacks/config/galaxy.xml.h:11
+#: ../hacks/config/gears.xml.h:7 ../hacks/config/gflux.xml.h:13
+#: ../hacks/config/glblur.xml.h:14 ../hacks/config/glforestfire.xml.h:14
+#: ../hacks/config/glhanoi.xml.h:8 ../hacks/config/glknots.xml.h:17
+#: ../hacks/config/glmatrix.xml.h:18 ../hacks/config/glplanet.xml.h:8
+#: ../hacks/config/glsnake.xml.h:12 ../hacks/config/gltext.xml.h:15
+#: ../hacks/config/goop.xml.h:10 ../hacks/config/grav.xml.h:8
+#: ../hacks/config/greynetic.xml.h:3 ../hacks/config/halo.xml.h:10
+#: ../hacks/config/hopalong.xml.h:21 ../hacks/config/hyperball.xml.h:6
+#: ../hacks/config/hypercube.xml.h:7 ../hacks/config/hypertorus.xml.h:18
+#: ../hacks/config/ifs.xml.h:13 ../hacks/config/interaggregate.xml.h:4
+#: ../hacks/config/interference.xml.h:18
+#: ../hacks/config/intermomentary.xml.h:4 ../hacks/config/jigglypuff.xml.h:16
+#: ../hacks/config/jigsaw.xml.h:5 ../hacks/config/juggle.xml.h:8
+#: ../hacks/config/juggler3d.xml.h:12 ../hacks/config/julia.xml.h:9
+#: ../hacks/config/kaleidescope.xml.h:8 ../hacks/config/klein.xml.h:7
+#: ../hacks/config/kumppa.xml.h:8 ../hacks/config/lament.xml.h:6
+#: ../hacks/config/laser.xml.h:10 ../hacks/config/lavalite.xml.h:27
+#: ../hacks/config/lightning.xml.h:5 ../hacks/config/lisa.xml.h:9
+#: ../hacks/config/lissie.xml.h:9 ../hacks/config/lmorph.xml.h:11
+#: ../hacks/config/loop.xml.h:7 ../hacks/config/maze.xml.h:14
+#: ../hacks/config/memscroller.xml.h:7 ../hacks/config/menger.xml.h:16
+#: ../hacks/config/metaballs.xml.h:15 ../hacks/config/mirrorblob.xml.h:17
+#: ../hacks/config/mismunch.xml.h:10 ../hacks/config/moebius.xml.h:7
+#: ../hacks/config/moire2.xml.h:6 ../hacks/config/molecule.xml.h:23
+#: ../hacks/config/morph3d.xml.h:6 ../hacks/config/mountain.xml.h:7
+#: ../hacks/config/munch.xml.h:8 ../hacks/config/nerverot.xml.h:22
+#: ../hacks/config/noof.xml.h:5 ../hacks/config/pacman.xml.h:5
+#: ../hacks/config/penetrate.xml.h:6 ../hacks/config/penrose.xml.h:8
+#: ../hacks/config/petri.xml.h:23 ../hacks/config/phosphor.xml.h:8
+#: ../hacks/config/piecewise.xml.h:9 ../hacks/config/pinion.xml.h:13
+#: ../hacks/config/pipes.xml.h:19 ../hacks/config/polyhedra.xml.h:111
+#: ../hacks/config/polyominoes.xml.h:10 ../hacks/config/polytopes.xml.h:20
+#: ../hacks/config/pong.xml.h:4 ../hacks/config/popsquares.xml.h:5
+#: ../hacks/config/providence.xml.h:5 ../hacks/config/pulsar.xml.h:15
+#: ../hacks/config/pyro.xml.h:13 ../hacks/config/qix.xml.h:19
+#: ../hacks/config/queens.xml.h:4 ../hacks/config/rd-bomb.xml.h:18
+#: ../hacks/config/ripples.xml.h:14 ../hacks/config/rocks.xml.h:9
+#: ../hacks/config/rotor.xml.h:11 ../hacks/config/rubik.xml.h:9
+#: ../hacks/config/sballs.xml.h:13 ../hacks/config/shadebobs.xml.h:11
+#: ../hacks/config/sierpinski.xml.h:7 ../hacks/config/sierpinski3d.xml.h:8
+#: ../hacks/config/slidescreen.xml.h:9 ../hacks/config/slip.xml.h:7
+#: ../hacks/config/speedmine.xml.h:14 ../hacks/config/sphere.xml.h:5
+#: ../hacks/config/spheremonics.xml.h:19 ../hacks/config/spiral.xml.h:9
+#: ../hacks/config/spotlight.xml.h:4 ../hacks/config/sproingies.xml.h:6
+#: ../hacks/config/squiral.xml.h:15 ../hacks/config/stairs.xml.h:3
+#: ../hacks/config/starfish.xml.h:8 ../hacks/config/starwars.xml.h:12
+#: ../hacks/config/strange.xml.h:4 ../hacks/config/substrate.xml.h:15
+#: ../hacks/config/superquadrics.xml.h:8 ../hacks/config/swirl.xml.h:6
+#: ../hacks/config/t3d.xml.h:11 ../hacks/config/tangram.xml.h:4
+#: ../hacks/config/thornbird.xml.h:7 ../hacks/config/triangle.xml.h:5
+#: ../hacks/config/truchet.xml.h:2 ../hacks/config/twang.xml.h:9
+#: ../hacks/config/vines.xml.h:4 ../hacks/config/worm.xml.h:8
+#: ../hacks/config/wormhole.xml.h:5 ../hacks/config/xearth.xml.h:22
+#: ../hacks/config/xfishtank.xml.h:10 ../hacks/config/xflame.xml.h:6
+#: ../hacks/config/xjack.xml.h:2 ../hacks/config/xmatrix.xml.h:15
+#: ../hacks/config/xplanet.xml.h:59 ../hacks/config/xrayswarm.xml.h:3
+#: ../hacks/config/zoom.xml.h:6
+msgid "Slow"
+msgstr ""
+
+#.
+#. -withdraw 1200
+#. -turnspeed 50
+#.
+#. #### -colorcount [64]
+#: ../hacks/config/anemone.xml.h:21 ../hacks/config/anemotaxis.xml.h:12
+#: ../hacks/config/ant.xml.h:17 ../hacks/config/antinspect.xml.h:7
+#: ../hacks/config/antmaze.xml.h:6 ../hacks/config/antspotlight.xml.h:6
+#: ../hacks/config/apollonian.xml.h:15 ../hacks/config/attraction.xml.h:29
+#: ../hacks/config/atunnel.xml.h:7 ../hacks/config/barcode.xml.h:7
+#: ../hacks/config/blaster.xml.h:10 ../hacks/config/blinkbox.xml.h:9
+#: ../hacks/config/blocktube.xml.h:11 ../hacks/config/boing.xml.h:12
+#: ../hacks/config/bouboule.xml.h:9 ../hacks/config/boxfit.xml.h:14
+#: ../hacks/config/braid.xml.h:12 ../hacks/config/bubble3d.xml.h:7
+#: ../hacks/config/bubbles.xml.h:11 ../hacks/config/bumps.xml.h:9
+#: ../hacks/config/cage.xml.h:6 ../hacks/config/celtic.xml.h:9
+#: ../hacks/config/circuit.xml.h:11 ../hacks/config/cloudlife.xml.h:13
+#: ../hacks/config/compass.xml.h:5 ../hacks/config/coral.xml.h:14
+#: ../hacks/config/critical.xml.h:8 ../hacks/config/crystal.xml.h:13
+#: ../hacks/config/cubenetic.xml.h:24 ../hacks/config/cynosure.xml.h:10
+#: ../hacks/config/dangerball.xml.h:6 ../hacks/config/decayscreen.xml.h:18
+#: ../hacks/config/deluxe.xml.h:9 ../hacks/config/demon.xml.h:10
+#: ../hacks/config/discrete.xml.h:9 ../hacks/config/distort.xml.h:16
+#: ../hacks/config/drift.xml.h:13 ../hacks/config/endgame.xml.h:6
+#: ../hacks/config/engine.xml.h:16 ../hacks/config/epicycle.xml.h:11
+#: ../hacks/config/eruption.xml.h:20 ../hacks/config/euler2d.xml.h:27
+#: ../hacks/config/extrusion.xml.h:13 ../hacks/config/fadeplot.xml.h:10
+#: ../hacks/config/fireworkx.xml.h:11 ../hacks/config/flag.xml.h:9
+#: ../hacks/config/flame.xml.h:15 ../hacks/config/flipflop.xml.h:7
+#: ../hacks/config/flipscreen3d.xml.h:7 ../hacks/config/fliptext.xml.h:14
+#: ../hacks/config/flow.xml.h:12 ../hacks/config/fluidballs.xml.h:20
+#: ../hacks/config/forest.xml.h:6 ../hacks/config/fuzzyflakes.xml.h:17
+#: ../hacks/config/galaxy.xml.h:12 ../hacks/config/glblur.xml.h:16
+#: ../hacks/config/glforestfire.xml.h:15 ../hacks/config/glplanet.xml.h:10
+#: ../hacks/config/gltext.xml.h:17 ../hacks/config/goop.xml.h:11
+#: ../hacks/config/grav.xml.h:9 ../hacks/config/greynetic.xml.h:4
+#: ../hacks/config/halo.xml.h:11 ../hacks/config/hopalong.xml.h:23
+#: ../hacks/config/hyperball.xml.h:7 ../hacks/config/hypercube.xml.h:8
+#: ../hacks/config/ifs.xml.h:14 ../hacks/config/interaggregate.xml.h:5
+#: ../hacks/config/intermomentary.xml.h:5 ../hacks/config/jigsaw.xml.h:7
+#: ../hacks/config/juggle.xml.h:9 ../hacks/config/julia.xml.h:11
+#: ../hacks/config/kaleidescope.xml.h:9 ../hacks/config/klein.xml.h:8
+#: ../hacks/config/kumppa.xml.h:9 ../hacks/config/lament.xml.h:7
+#: ../hacks/config/laser.xml.h:11 ../hacks/config/lavalite.xml.h:30
+#: ../hacks/config/lightning.xml.h:6 ../hacks/config/lisa.xml.h:10
+#: ../hacks/config/lissie.xml.h:11 ../hacks/config/lmorph.xml.h:12
+#: ../hacks/config/loop.xml.h:9 ../hacks/config/memscroller.xml.h:8
+#: ../hacks/config/menger.xml.h:18 ../hacks/config/metaballs.xml.h:17
+#: ../hacks/config/mirrorblob.xml.h:19 ../hacks/config/mismunch.xml.h:12
+#: ../hacks/config/moebius.xml.h:10 ../hacks/config/moire2.xml.h:7
+#: ../hacks/config/molecule.xml.h:25 ../hacks/config/morph3d.xml.h:7
+#: ../hacks/config/mountain.xml.h:8 ../hacks/config/munch.xml.h:10
+#: ../hacks/config/nerverot.xml.h:24 ../hacks/config/noof.xml.h:6
+#: ../hacks/config/pacman.xml.h:6 ../hacks/config/penrose.xml.h:9
+#: ../hacks/config/petri.xml.h:25 ../hacks/config/phosphor.xml.h:9
+#: ../hacks/config/piecewise.xml.h:11 ../hacks/config/pipes.xml.h:20
+#: ../hacks/config/polyominoes.xml.h:11 ../hacks/config/pong.xml.h:5
+#: ../hacks/config/popsquares.xml.h:6 ../hacks/config/providence.xml.h:7
+#: ../hacks/config/pulsar.xml.h:17 ../hacks/config/qix.xml.h:22
+#: ../hacks/config/queens.xml.h:6 ../hacks/config/rotor.xml.h:12
+#: ../hacks/config/rubik.xml.h:11 ../hacks/config/sballs.xml.h:14
+#: ../hacks/config/shadebobs.xml.h:12 ../hacks/config/sierpinski.xml.h:9
+#: ../hacks/config/sierpinski3d.xml.h:10 ../hacks/config/slidescreen.xml.h:10
+#: ../hacks/config/slip.xml.h:9 ../hacks/config/speedmine.xml.h:16
+#: ../hacks/config/sphere.xml.h:6 ../hacks/config/spheremonics.xml.h:22
+#: ../hacks/config/spiral.xml.h:10 ../hacks/config/spotlight.xml.h:5
+#: ../hacks/config/sproingies.xml.h:8 ../hacks/config/squiral.xml.h:17
+#: ../hacks/config/stairs.xml.h:5 ../hacks/config/starfish.xml.h:9
+#: ../hacks/config/strange.xml.h:5 ../hacks/config/substrate.xml.h:16
+#: ../hacks/config/superquadrics.xml.h:10 ../hacks/config/swirl.xml.h:7
+#: ../hacks/config/t3d.xml.h:13 ../hacks/config/tangram.xml.h:5
+#: ../hacks/config/thornbird.xml.h:8 ../hacks/config/triangle.xml.h:6
+#: ../hacks/config/truchet.xml.h:3 ../hacks/config/twang.xml.h:10
+#: ../hacks/config/vines.xml.h:5 ../hacks/config/whirlygig.xml.h:13
+#: ../hacks/config/worm.xml.h:9 ../hacks/config/xearth.xml.h:25
+#: ../hacks/config/xflame.xml.h:7 ../hacks/config/xjack.xml.h:3
+#: ../hacks/config/xmatrix.xml.h:18 ../hacks/config/xplanet.xml.h:60
+#: ../hacks/config/xrayswarm.xml.h:4 ../hacks/config/zoom.xml.h:7
+msgid "Speed"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:22
+msgid "Tentacles"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:23 ../hacks/config/cubestorm.xml.h:11
+#: ../hacks/config/deluxe.xml.h:10 ../hacks/config/fuzzyflakes.xml.h:18
+#: ../hacks/config/glknots.xml.h:19 ../hacks/config/lmorph.xml.h:13
+#: ../hacks/config/pong.xml.h:7 ../hacks/config/starfish.xml.h:11
+#: ../hacks/config/thornbird.xml.h:9
+msgid "Thick"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:24 ../hacks/config/fuzzyflakes.xml.h:19
+#: ../hacks/config/glknots.xml.h:20 ../hacks/config/moire2.xml.h:8
+#: ../hacks/config/thornbird.xml.h:10
+msgid "Thickness"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:25 ../hacks/config/cubestorm.xml.h:12
+#: ../hacks/config/deluxe.xml.h:11 ../hacks/config/fuzzyflakes.xml.h:20
+#: ../hacks/config/glknots.xml.h:21 ../hacks/config/lmorph.xml.h:14
+#: ../hacks/config/pong.xml.h:8 ../hacks/config/starfish.xml.h:12
+#: ../hacks/config/thornbird.xml.h:11
+msgid "Thin"
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:26
+msgid "Turn speed"
+msgstr ""
+
+#.
+#. <number id="ncolors" type="slider" arg="-ncolors %"
+#. _label="Number of Colors" _low-label="Two" _high-label="Many"
+#. low="2" high="255" default="64"/>
+#.
+#: ../hacks/config/anemone.xml.h:32
+msgid "Wiggling tentacles. By Gabriel Finch."
+msgstr ""
+
+#: ../hacks/config/anemone.xml.h:33
+msgid "Withdraw freqency"
+msgstr ""
+
+#: ../hacks/config/anemotaxis.xml.h:1
+msgid "Anemotaxis"
+msgstr ""
+
+#: ../hacks/config/anemotaxis.xml.h:2
+msgid ""
+"Anemotaxis demonstrates a search algorithm designed for locating a source of "
+"odor in turbulent atmosphere. The searcher is able to sense the odor and "
+"determine local instantaneous wind direction. The goal is to find the source "
+"in the shortest mean time. Written by Eugene Balkovsky."
+msgstr ""
+
+#: ../hacks/config/anemotaxis.xml.h:3
+msgid "Distance"
+msgstr ""
+
+#: ../hacks/config/anemotaxis.xml.h:4 ../hacks/config/hypercube.xml.h:1
+msgid "Far"
+msgstr ""
+
+#: ../hacks/config/anemotaxis.xml.h:8 ../hacks/config/hypercube.xml.h:6
+msgid "Near"
+msgstr ""
+
+#: ../hacks/config/anemotaxis.xml.h:9
+msgid "Searchers"
+msgstr ""
+
+#: ../hacks/config/anemotaxis.xml.h:11
+msgid "Sources"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:1
+msgid ""
+"A cellular automaton that is really a two-dimensional Turing machine: as the "
+"heads (``ants'') walk along the screen, they change pixel values in their "
+"path. Then, as they pass over changed pixels, their behavior is influenced. "
+"Written by David Bagley."
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:2
+msgid "Ant"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:3
+msgid "Ant Size"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:4
+msgid "Ants Count"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:5
+msgid "Draw Eyes"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:7
+msgid "Four Sided Cells"
+msgstr ""
+
+#. #### -slow
+#: ../hacks/config/ant.xml.h:8 ../hacks/config/attraction.xml.h:13
+#: ../hacks/config/cloudlife.xml.h:7 ../hacks/config/cube21.xml.h:8
+#: ../hacks/config/cubenetic.xml.h:11 ../hacks/config/demon.xml.h:5
+#: ../hacks/config/discrete.xml.h:3 ../hacks/config/distort.xml.h:6
+#: ../hacks/config/fadeplot.xml.h:5 ../hacks/config/flag.xml.h:4
+#: ../hacks/config/flow.xml.h:4 ../hacks/config/fluidballs.xml.h:12
+#: ../hacks/config/fuzzyflakes.xml.h:10 ../hacks/config/gleidescope.xml.h:7
+#: ../hacks/config/halftone.xml.h:8 ../hacks/config/hopalong.xml.h:13
+#: ../hacks/config/interference.xml.h:12 ../hacks/config/julia.xml.h:6
+#: ../hacks/config/lissie.xml.h:4 ../hacks/config/loop.xml.h:2
+#: ../hacks/config/moire.xml.h:4 ../hacks/config/piecewise.xml.h:5
+#: ../hacks/config/rd-bomb.xml.h:11 ../hacks/config/rorschach.xml.h:5
+#: ../hacks/config/rubik.xml.h:4 ../hacks/config/sierpinski.xml.h:3
+#: ../hacks/config/slip.xml.h:3
+msgid "Large"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:10
+msgid "Nine Sided Cells"
+msgstr ""
+
+#. #### -color [random]
+#: ../hacks/config/ant.xml.h:11 ../hacks/config/apollonian.xml.h:10
+#: ../hacks/config/attraction.xml.h:20 ../hacks/config/bouboule.xml.h:6
+#: ../hacks/config/braid.xml.h:9 ../hacks/config/critical.xml.h:6
+#: ../hacks/config/crystal.xml.h:11 ../hacks/config/cynosure.xml.h:7
+#: ../hacks/config/deco.xml.h:8 ../hacks/config/deluxe.xml.h:7
+#: ../hacks/config/demon.xml.h:7 ../hacks/config/discrete.xml.h:6
+#: ../hacks/config/drift.xml.h:10 ../hacks/config/epicycle.xml.h:9
+#: ../hacks/config/eruption.xml.h:14 ../hacks/config/euler2d.xml.h:17
+#: ../hacks/config/fadeplot.xml.h:7 ../hacks/config/flag.xml.h:6
+#: ../hacks/config/flame.xml.h:12 ../hacks/config/flow.xml.h:8
+#: ../hacks/config/forest.xml.h:4 ../hacks/config/galaxy.xml.h:7
+#: ../hacks/config/grav.xml.h:5 ../hacks/config/halo.xml.h:6
+#: ../hacks/config/hopalong.xml.h:17 ../hacks/config/imsmap.xml.h:10
+#: ../hacks/config/interference.xml.h:16 ../hacks/config/julia.xml.h:8
+#: ../hacks/config/laser.xml.h:8 ../hacks/config/lightning.xml.h:4
+#: ../hacks/config/lisa.xml.h:7 ../hacks/config/lissie.xml.h:7
+#: ../hacks/config/loop.xml.h:5 ../hacks/config/metaballs.xml.h:12
+#: ../hacks/config/moire.xml.h:7 ../hacks/config/moire2.xml.h:5
+#: ../hacks/config/mountain.xml.h:6 ../hacks/config/penrose.xml.h:5
+#: ../hacks/config/polyominoes.xml.h:6 ../hacks/config/popsquares.xml.h:4
+#: ../hacks/config/rd-bomb.xml.h:13 ../hacks/config/rocks.xml.h:6
+#: ../hacks/config/rotor.xml.h:7 ../hacks/config/shadebobs.xml.h:8
+#: ../hacks/config/sierpinski.xml.h:5 ../hacks/config/slip.xml.h:5
+#: ../hacks/config/sphere.xml.h:4 ../hacks/config/spiral.xml.h:8
+#: ../hacks/config/squiral.xml.h:11 ../hacks/config/starfish.xml.h:6
+#: ../hacks/config/strange.xml.h:3 ../hacks/config/swirl.xml.h:5
+#: ../hacks/config/thornbird.xml.h:5 ../hacks/config/triangle.xml.h:4
+#: ../hacks/config/vines.xml.h:3 ../hacks/config/worm.xml.h:6
+#: ../hacks/config/xearth.xml.h:17 ../hacks/config/xfishtank.xml.h:9
+msgid "Number of Colors"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:12
+msgid "Random Cell Shape"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:13 ../hacks/config/speedmine.xml.h:11
+msgid "Sharp Turns"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:14
+msgid "Six Sided Cells"
+msgstr ""
+
+#. #### -slow
+#: ../hacks/config/ant.xml.h:16 ../hacks/config/attraction.xml.h:28
+#: ../hacks/config/cloudlife.xml.h:12 ../hacks/config/cube21.xml.h:17
+#: ../hacks/config/cubenetic.xml.h:23 ../hacks/config/demon.xml.h:9
+#: ../hacks/config/discrete.xml.h:8 ../hacks/config/distort.xml.h:15
+#: ../hacks/config/fadeplot.xml.h:9 ../hacks/config/flag.xml.h:8
+#: ../hacks/config/flow.xml.h:11 ../hacks/config/fluidballs.xml.h:19
+#: ../hacks/config/fuzzyflakes.xml.h:16 ../hacks/config/gleidescope.xml.h:12
+#: ../hacks/config/halftone.xml.h:14 ../hacks/config/hopalong.xml.h:22
+#: ../hacks/config/interference.xml.h:19 ../hacks/config/julia.xml.h:10
+#: ../hacks/config/lissie.xml.h:10 ../hacks/config/loop.xml.h:8
+#: ../hacks/config/metaballs.xml.h:16 ../hacks/config/moire.xml.h:9
+#: ../hacks/config/piecewise.xml.h:10 ../hacks/config/rd-bomb.xml.h:19
+#: ../hacks/config/rorschach.xml.h:8 ../hacks/config/rubik.xml.h:10
+#: ../hacks/config/sierpinski.xml.h:8 ../hacks/config/slip.xml.h:8
+msgid "Small"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:18
+msgid "Three Sided Cells"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:19 ../hacks/config/demon.xml.h:12
+#: ../hacks/config/discrete.xml.h:10 ../hacks/config/fadeplot.xml.h:11
+#: ../hacks/config/flag.xml.h:13 ../hacks/config/flow.xml.h:14
+#: ../hacks/config/lissie.xml.h:12 ../hacks/config/loop.xml.h:11
+#: ../hacks/config/rubik.xml.h:12 ../hacks/config/sierpinski.xml.h:11
+#: ../hacks/config/slip.xml.h:11
+msgid "Timeout"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:20
+msgid "Truchet Lines"
+msgstr ""
+
+#: ../hacks/config/ant.xml.h:21
+msgid "Twelve Sided Cells"
+msgstr ""
+
+#. #### -color [random]
+#. #### -max-radius [25]
+#. #### -color [random]
+#: ../hacks/config/ant.xml.h:22 ../hacks/config/apollonian.xml.h:16
+#: ../hacks/config/attraction.xml.h:33 ../hacks/config/bouboule.xml.h:11
+#: ../hacks/config/braid.xml.h:13 ../hacks/config/critical.xml.h:9
+#: ../hacks/config/crystal.xml.h:14 ../hacks/config/cynosure.xml.h:11
+#: ../hacks/config/deco.xml.h:11 ../hacks/config/deluxe.xml.h:15
+#: ../hacks/config/demon.xml.h:13 ../hacks/config/discrete.xml.h:11
+#: ../hacks/config/drift.xml.h:14 ../hacks/config/epicycle.xml.h:14
+#: ../hacks/config/euler2d.xml.h:29 ../hacks/config/fadeplot.xml.h:12
+#: ../hacks/config/flag.xml.h:14 ../hacks/config/flame.xml.h:16
+#: ../hacks/config/flow.xml.h:15 ../hacks/config/forest.xml.h:8
+#: ../hacks/config/galaxy.xml.h:14 ../hacks/config/grav.xml.h:11
+#: ../hacks/config/halo.xml.h:14 ../hacks/config/hopalong.xml.h:25
+#: ../hacks/config/imsmap.xml.h:15 ../hacks/config/interference.xml.h:20
+#: ../hacks/config/julia.xml.h:13 ../hacks/config/laser.xml.h:12
+#: ../hacks/config/lightning.xml.h:8 ../hacks/config/lisa.xml.h:13
+#: ../hacks/config/lissie.xml.h:13 ../hacks/config/loop.xml.h:12
+#: ../hacks/config/metaballs.xml.h:19 ../hacks/config/moire.xml.h:11
+#: ../hacks/config/moire2.xml.h:9 ../hacks/config/mountain.xml.h:9
+#: ../hacks/config/nerverot.xml.h:26 ../hacks/config/penrose.xml.h:10
+#: ../hacks/config/polyominoes.xml.h:12 ../hacks/config/rd-bomb.xml.h:22
+#: ../hacks/config/rocks.xml.h:13 ../hacks/config/rotor.xml.h:13
+#: ../hacks/config/shadebobs.xml.h:15 ../hacks/config/sierpinski.xml.h:12
+#: ../hacks/config/slip.xml.h:12 ../hacks/config/sphere.xml.h:8
+#: ../hacks/config/spiral.xml.h:12 ../hacks/config/squiral.xml.h:19
+#: ../hacks/config/starfish.xml.h:15 ../hacks/config/strange.xml.h:8
+#: ../hacks/config/swirl.xml.h:9 ../hacks/config/thornbird.xml.h:13
+#: ../hacks/config/triangle.xml.h:8 ../hacks/config/vines.xml.h:7
+#: ../hacks/config/worm.xml.h:10 ../hacks/config/xearth.xml.h:28
+#: ../hacks/config/xfishtank.xml.h:11
+msgid "Two"
+msgstr ""
+
+#: ../hacks/config/antinspect.xml.h:1
+msgid "AntInspect"
+msgstr ""
+
+#: ../hacks/config/antinspect.xml.h:2
+msgid "Draw Shadows"
+msgstr ""
+
+#: ../hacks/config/antinspect.xml.h:3
+msgid ""
+"Draws a trio of ants moving their spheres around a circle. Written by Blair "
+"Tennessy."
+msgstr ""
+
+#: ../hacks/config/antinspect.xml.h:5 ../hacks/config/antmaze.xml.h:4
+#: ../hacks/config/antspotlight.xml.h:4 ../hacks/config/atlantis.xml.h:11
+#: ../hacks/config/atunnel.xml.h:5 ../hacks/config/blocktube.xml.h:8
+#: ../hacks/config/boing.xml.h:8 ../hacks/config/boxed.xml.h:14
+#: ../hacks/config/bubble3d.xml.h:5 ../hacks/config/cage.xml.h:3
+#: ../hacks/config/carousel.xml.h:12 ../hacks/config/circuit.xml.h:9
+#: ../hacks/config/cube21.xml.h:13 ../hacks/config/cubenetic.xml.h:21
+#: ../hacks/config/cubestorm.xml.h:7 ../hacks/config/dangerball.xml.h:4
+#: ../hacks/config/endgame.xml.h:4 ../hacks/config/engine.xml.h:14
+#: ../hacks/config/extrusion.xml.h:10 ../hacks/config/flipflop.xml.h:4
+#: ../hacks/config/flipscreen3d.xml.h:5 ../hacks/config/fliptext.xml.h:12
+#: ../hacks/config/fluidballs.xml.h:17 ../hacks/config/flurry.xml.h:9
+#: ../hacks/config/flyingtoasters.xml.h:10 ../hacks/config/gears.xml.h:6
+#: ../hacks/config/gflux.xml.h:12 ../hacks/config/glblur.xml.h:13
+#: ../hacks/config/gleidescope.xml.h:10 ../hacks/config/glforestfire.xml.h:13
+#: ../hacks/config/glhanoi.xml.h:7 ../hacks/config/glknots.xml.h:16
+#: ../hacks/config/glmatrix.xml.h:17 ../hacks/config/glplanet.xml.h:7
+#: ../hacks/config/glslideshow.xml.h:19 ../hacks/config/glsnake.xml.h:10
+#: ../hacks/config/gltext.xml.h:14 ../hacks/config/hypertorus.xml.h:17
+#: ../hacks/config/jigglypuff.xml.h:15 ../hacks/config/juggler3d.xml.h:11
+#: ../hacks/config/klein.xml.h:6 ../hacks/config/lament.xml.h:5
+#: ../hacks/config/lavalite.xml.h:26 ../hacks/config/menger.xml.h:15
+#: ../hacks/config/mirrorblob.xml.h:16 ../hacks/config/moebius.xml.h:6
+#: ../hacks/config/molecule.xml.h:22 ../hacks/config/morph3d.xml.h:5
+#: ../hacks/config/noof.xml.h:4 ../hacks/config/pinion.xml.h:12
+#: ../hacks/config/pipes.xml.h:18 ../hacks/config/polyhedra.xml.h:110
+#: ../hacks/config/polytopes.xml.h:18 ../hacks/config/providence.xml.h:4
+#: ../hacks/config/pulsar.xml.h:14 ../hacks/config/queens.xml.h:3
+#: ../hacks/config/rubik.xml.h:6 ../hacks/config/sballs.xml.h:12
+#: ../hacks/config/sierpinski3d.xml.h:6 ../hacks/config/spheremonics.xml.h:18
+#: ../hacks/config/sproingies.xml.h:4 ../hacks/config/stairs.xml.h:2
+#: ../hacks/config/starwars.xml.h:11 ../hacks/config/superquadrics.xml.h:7
+#: ../hacks/config/timetunnel.xml.h:9
+msgid "Show Frames-per-Second"
+msgstr ""
+
+#: ../hacks/config/antmaze.xml.h:1
+msgid "AntMaze"
+msgstr ""
+
+#: ../hacks/config/antmaze.xml.h:2
+msgid ""
+"Antmaze draws a few views of a few ants walking around in a simple maze. "
+"Written by Blair Tennessy."
+msgstr ""
+
+#: ../hacks/config/antspotlight.xml.h:1
+msgid "AntSpotlight"
+msgstr ""
+
+#: ../hacks/config/antspotlight.xml.h:2
+msgid ""
+"Antspotlight draws an ant (with a headlight) who walks on top of an image of "
+"your desktop or other image. Written by Blair Tennessy."
+msgstr ""
+
+#: ../hacks/config/apollonian.xml.h:1
+msgid "Apollonian"
+msgstr ""
+
+#. don't know what -count does
+#: ../hacks/config/apollonian.xml.h:3
+msgid "Deep"
+msgstr ""
+
+#. don't know what -count does
+#: ../hacks/config/apollonian.xml.h:5
+msgid "Depth"
+msgstr ""
+
+#: ../hacks/config/apollonian.xml.h:6
+msgid "Draw Labels"
+msgstr ""
+
+#: ../hacks/config/apollonian.xml.h:8
+msgid "Include Alternate Geometries"
+msgstr ""
+
+#: ../hacks/config/apollonian.xml.h:11
+msgid ""
+"Packs a large circle with smaller circles, demonstrating the Descartes "
+"Circle Theorem. Written by Allan R. Wilks and David Bagley."
+msgstr ""
+
+#. don't know what -count does
+#: ../hacks/config/apollonian.xml.h:13
+msgid "Shallow"
+msgstr ""
+
+#: ../hacks/config/apple2.xml.h:1
+msgid "Apple ]["
+msgstr ""
+
+#: ../hacks/config/apple2.xml.h:2
+msgid "Basic Programming Mode"
+msgstr ""
+
+#: ../hacks/config/apple2.xml.h:3 ../hacks/config/halo.xml.h:8
+#: ../hacks/config/imsmap.xml.h:11
+msgid "Random Mode"
+msgstr ""
+
+#: ../hacks/config/apple2.xml.h:4
+msgid ""
+"Simulates an original Apple ][ Plus computer in all its 1979 glory. It also "
+"reproduces the appearance of display on a color television set of the "
+"period. In \"Text Mode\", it displays the output of a program, or the "
+"contents of a file or URL, as configured on the \"Advanced\" tab of the main "
+"Screensaver Preferences window. In \"Slideshow Mode\", it chooses a number "
+"of images from the image source you configured into XScreenSaver and "
+"displays them within the limitations of the Apple ][ display hardware. (Six "
+"available colors in hi-res mode!) In \"Basic Programming Mode\", a simulated "
+"user types in a BASIC program and runs it. By Trevor Blackwell."
+msgstr ""
+
+#: ../hacks/config/apple2.xml.h:5
+msgid "Slideshow Mode"
+msgstr ""
+
+#: ../hacks/config/apple2.xml.h:6
+msgid "Text Mode"
+msgstr ""
+
+#: ../hacks/config/apple2.xml.h:7 ../hacks/config/fliptext.xml.h:17
+#: ../hacks/config/fontglide.xml.h:15 ../hacks/config/noseguy.xml.h:8
+#: ../hacks/config/phosphor.xml.h:10 ../hacks/config/starwars.xml.h:17
+msgid "Text Program"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:1
+msgid "Agressive"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:2
+msgid "Atlantis"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:3
+msgid "Clear Water"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:5
+msgid "Flat Background"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:6
+msgid "Gradient Background"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:7
+msgid "Number of Sharks"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:8
+msgid "Shark Proximity"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:9
+msgid "Shark Speed"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:10
+msgid "Shimmering Water"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:12
+msgid "Shy"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:14 ../hacks/config/cage.xml.h:5
+#: ../hacks/config/extrusion.xml.h:12 ../hacks/config/gears.xml.h:8
+#: ../hacks/config/glplanet.xml.h:9 ../hacks/config/glsnake.xml.h:13
+#: ../hacks/config/gltext.xml.h:16 ../hacks/config/menger.xml.h:17
+#: ../hacks/config/mismunch.xml.h:11 ../hacks/config/molecule.xml.h:24
+#: ../hacks/config/munch.xml.h:9 ../hacks/config/providence.xml.h:6
+#: ../hacks/config/sierpinski3d.xml.h:9 ../hacks/config/speedmine.xml.h:15
+#: ../hacks/config/spheremonics.xml.h:21 ../hacks/config/sproingies.xml.h:7
+#: ../hacks/config/stairs.xml.h:4 ../hacks/config/stonerview.xml.h:2
+#: ../hacks/config/superquadrics.xml.h:9 ../hacks/config/webcollage.xml.h:7
+msgid "Solid"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:15
+msgid ""
+"This is xfishtank writ large: a GL animation of a number of sharks, "
+"dolphins, and whales. The swimming motions are great. Originally written by "
+"Mark Kilgard."
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:16
+msgid "Whale Speed"
+msgstr ""
+
+#: ../hacks/config/atlantis.xml.h:17 ../hacks/config/atunnel.xml.h:10
+#: ../hacks/config/blinkbox.xml.h:10 ../hacks/config/blocktube.xml.h:13
+#: ../hacks/config/boing.xml.h:15 ../hacks/config/boxed.xml.h:17
+#: ../hacks/config/cage.xml.h:9 ../hacks/config/crackberg.xml.h:23
+#: ../hacks/config/cube21.xml.h:28 ../hacks/config/cubestorm.xml.h:14
+#: ../hacks/config/dangerball.xml.h:11 ../hacks/config/extrusion.xml.h:20
+#: ../hacks/config/flipflop.xml.h:8 ../hacks/config/flyingtoasters.xml.h:14
+#: ../hacks/config/gears.xml.h:11 ../hacks/config/glforestfire.xml.h:20
+#: ../hacks/config/glhanoi.xml.h:10 ../hacks/config/glknots.xml.h:23
+#: ../hacks/config/glplanet.xml.h:15 ../hacks/config/glsnake.xml.h:15
+#: ../hacks/config/gltext.xml.h:21 ../hacks/config/jigglypuff.xml.h:25
+#: ../hacks/config/juggler3d.xml.h:13 ../hacks/config/lament.xml.h:9
+#: ../hacks/config/lavalite.xml.h:32 ../hacks/config/menger.xml.h:22
+#: ../hacks/config/mirrorblob.xml.h:22 ../hacks/config/moebius.xml.h:11
+#: ../hacks/config/molecule.xml.h:27 ../hacks/config/pinion.xml.h:15
+#: ../hacks/config/polyhedra.xml.h:166 ../hacks/config/providence.xml.h:9
+#: ../hacks/config/pulsar.xml.h:20 ../hacks/config/queens.xml.h:7
+#: ../hacks/config/sballs.xml.h:18 ../hacks/config/sierpinski3d.xml.h:12
+#: ../hacks/config/speedmine.xml.h:19 ../hacks/config/spheremonics.xml.h:26
+#: ../hacks/config/sproingies.xml.h:10 ../hacks/config/stairs.xml.h:7
+#: ../hacks/config/stonerview.xml.h:4 ../hacks/config/superquadrics.xml.h:12
+#: ../hacks/config/tangram.xml.h:8
+msgid "Wireframe"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:1
+msgid "Attraction"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:2
+msgid "Ball Count"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:3
+msgid "Ball Mass"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:4 ../hacks/config/fluidballs.xml.h:3
+msgid "Balls"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:5
+msgid "Bounce Off Walls"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:6 ../hacks/config/hopalong.xml.h:1
+#: ../hacks/config/interference.xml.h:5 ../hacks/config/qix.xml.h:2
+#: ../hacks/config/wander.xml.h:3
+msgid "Color Contrast"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:7
+msgid "Environmental Viscosity"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:9
+msgid "Filled Splines"
+msgstr ""
+
+#. #### -n int   [245] # number of colours
+#: ../hacks/config/attraction.xml.h:10 ../hacks/config/carousel.xml.h:7
+#: ../hacks/config/ccurve.xml.h:9 ../hacks/config/cloudlife.xml.h:5
+#: ../hacks/config/cubenetic.xml.h:10 ../hacks/config/flame.xml.h:9
+#: ../hacks/config/fliptext.xml.h:9 ../hacks/config/glslideshow.xml.h:13
+#: ../hacks/config/goop.xml.h:6 ../hacks/config/halftone.xml.h:7
+#: ../hacks/config/hopalong.xml.h:10 ../hacks/config/hyperball.xml.h:2
+#: ../hacks/config/hypercube.xml.h:3 ../hacks/config/interference.xml.h:9
+#: ../hacks/config/jigglypuff.xml.h:8 ../hacks/config/kumppa.xml.h:4
+#: ../hacks/config/lavalite.xml.h:12 ../hacks/config/nerverot.xml.h:12
+#: ../hacks/config/petri.xml.h:8 ../hacks/config/pyro.xml.h:5
+#: ../hacks/config/qix.xml.h:10 ../hacks/config/speedmine.xml.h:5
+#: ../hacks/config/spheremonics.xml.h:6 ../hacks/config/spiral.xml.h:4
+#: ../hacks/config/squiral.xml.h:7 ../hacks/config/superquadrics.xml.h:5
+#: ../hacks/config/t3d.xml.h:7 ../hacks/config/twang.xml.h:5
+#: ../hacks/config/wander.xml.h:8 ../hacks/config/xmountains.xml.h:18
+msgid "High"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:11
+msgid "Ignore Screen Edges"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:12
+msgid "Inward"
+msgstr ""
+
+#. #### -graphmode [none]
+#: ../hacks/config/attraction.xml.h:15
+msgid ""
+"Like qix, this uses a simple simple motion model to generate many different "
+"display modes. The control points attract each other up to a certain "
+"distance, and then begin to repel each other. The attraction/repulsion is "
+"proportional to the distance between any two particles, similar to the "
+"strong and weak nuclear forces. One of the most interesting ways to watch "
+"this hack is simply as bouncing balls, because their motions and "
+"interactions with each other are so odd. Sometimes two balls will get into a "
+"tight orbit around each other, to be interrupted later by a third, or by the "
+"edge of the screen. It looks quite chaotic. Written by Jamie Zawinski, based "
+"on Lisp code by John Pezaris."
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:16 ../hacks/config/deluxe.xml.h:5
+#: ../hacks/config/lmorph.xml.h:7 ../hacks/config/pedal.xml.h:5
+#: ../hacks/config/starfish.xml.h:4 ../hacks/config/whirlygig.xml.h:10
+msgid "Lines"
+msgstr ""
+
+#.
+#. <number id="eulerpower" type="slider" arg="-eulerpower %"
+#. _label="Power" _low-label="Low" _high-label="High"
+#. low="0.5" high="3.0" default="1.0"/>
+#.
+#: ../hacks/config/attraction.xml.h:17 ../hacks/config/blocktube.xml.h:5
+#: ../hacks/config/braid.xml.h:6 ../hacks/config/celtic.xml.h:4
+#: ../hacks/config/crackberg.xml.h:13 ../hacks/config/cube21.xml.h:9
+#: ../hacks/config/cynosure.xml.h:5 ../hacks/config/drift.xml.h:8
+#: ../hacks/config/eruption.xml.h:11 ../hacks/config/euler2d.xml.h:15
+#: ../hacks/config/fiberlamp.xml.h:5 ../hacks/config/fireflies.xml.h:21
+#: ../hacks/config/flow.xml.h:6 ../hacks/config/fontglide.xml.h:8
+#: ../hacks/config/galaxy.xml.h:5 ../hacks/config/juggle.xml.h:4
+#: ../hacks/config/klein.xml.h:4 ../hacks/config/laser.xml.h:5
+#: ../hacks/config/menger.xml.h:4 ../hacks/config/metaballs.xml.h:5
+#: ../hacks/config/mismunch.xml.h:3 ../hacks/config/munch.xml.h:5
+#: ../hacks/config/nerverot.xml.h:14 ../hacks/config/petri.xml.h:9
+#: ../hacks/config/polyominoes.xml.h:4 ../hacks/config/rotor.xml.h:5
+#: ../hacks/config/shadebobs.xml.h:4 ../hacks/config/sierpinski3d.xml.h:3
+#: ../hacks/config/spheremonics.xml.h:7 ../hacks/config/substrate.xml.h:11
+#: ../hacks/config/timetunnel.xml.h:6 ../hacks/config/wander.xml.h:10
+#: ../hacks/config/whirlwindwarp.xml.h:3
+msgid "Long"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:18 ../hacks/config/carousel.xml.h:9
+#: ../hacks/config/ccurve.xml.h:10 ../hacks/config/cloudlife.xml.h:8
+#: ../hacks/config/cubenetic.xml.h:12 ../hacks/config/flame.xml.h:10
+#: ../hacks/config/fliptext.xml.h:10 ../hacks/config/glslideshow.xml.h:16
+#: ../hacks/config/goop.xml.h:7 ../hacks/config/halftone.xml.h:9
+#: ../hacks/config/hopalong.xml.h:14 ../hacks/config/hyperball.xml.h:5
+#: ../hacks/config/hypercube.xml.h:5 ../hacks/config/interference.xml.h:13
+#: ../hacks/config/jigglypuff.xml.h:11 ../hacks/config/kumppa.xml.h:6
+#: ../hacks/config/lavalite.xml.h:14 ../hacks/config/nerverot.xml.h:15
+#: ../hacks/config/petri.xml.h:10 ../hacks/config/pyro.xml.h:7
+#: ../hacks/config/qix.xml.h:13 ../hacks/config/speedmine.xml.h:6
+#: ../hacks/config/spheremonics.xml.h:8 ../hacks/config/spiral.xml.h:5
+#: ../hacks/config/squiral.xml.h:9 ../hacks/config/superquadrics.xml.h:6
+#: ../hacks/config/t3d.xml.h:8 ../hacks/config/twang.xml.h:7
+#: ../hacks/config/wander.xml.h:11
+msgid "Low"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:21
+msgid "Orbital Mode"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:22
+msgid "Outward"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:23
+msgid "Polygons"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:24 ../hacks/config/fuzzyflakes.xml.h:13
+#: ../hacks/config/spotlight.xml.h:3 ../hacks/config/xplanet.xml.h:55
+msgid "Radius"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:25
+msgid "Repulsion Threshold"
+msgstr ""
+
+#.
+#. <number id="eulerpower" type="slider" arg="-eulerpower %"
+#. _label="Power" _low-label="Low" _high-label="High"
+#. low="0.5" high="3.0" default="1.0"/>
+#.
+#: ../hacks/config/attraction.xml.h:26 ../hacks/config/blocktube.xml.h:7
+#: ../hacks/config/braid.xml.h:10 ../hacks/config/celtic.xml.h:7
+#: ../hacks/config/crackberg.xml.h:17 ../hacks/config/cube21.xml.h:12
+#: ../hacks/config/cynosure.xml.h:8 ../hacks/config/drift.xml.h:11
+#: ../hacks/config/eruption.xml.h:18 ../hacks/config/euler2d.xml.h:24
+#: ../hacks/config/fiberlamp.xml.h:7 ../hacks/config/fireflies.xml.h:34
+#: ../hacks/config/flow.xml.h:9 ../hacks/config/galaxy.xml.h:9
+#: ../hacks/config/juggle.xml.h:7 ../hacks/config/klein.xml.h:5
+#: ../hacks/config/laser.xml.h:9 ../hacks/config/menger.xml.h:14
+#: ../hacks/config/metaballs.xml.h:14 ../hacks/config/mismunch.xml.h:8
+#: ../hacks/config/munch.xml.h:7 ../hacks/config/nerverot.xml.h:21
+#: ../hacks/config/petri.xml.h:22 ../hacks/config/polyominoes.xml.h:9
+#: ../hacks/config/rotor.xml.h:9 ../hacks/config/shadebobs.xml.h:10
+#: ../hacks/config/sierpinski3d.xml.h:5 ../hacks/config/spheremonics.xml.h:17
+#: ../hacks/config/substrate.xml.h:14 ../hacks/config/timetunnel.xml.h:8
+#: ../hacks/config/wander.xml.h:12 ../hacks/config/whirlwindwarp.xml.h:6
+msgid "Short"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:30
+msgid "Splines"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:31 ../hacks/config/fireflies.xml.h:42
+msgid "Tails"
+msgstr ""
+
+#: ../hacks/config/attraction.xml.h:32 ../hacks/config/euler2d.xml.h:28
+#: ../hacks/config/juggle.xml.h:10
+msgid "Trail Length"
+msgstr ""
+
+#: ../hacks/config/atunnel.xml.h:1
+msgid "Atunnel"
+msgstr ""
+
+#: ../hacks/config/atunnel.xml.h:2
+msgid ""
+"Draws an animation of a textured tunnel in GL. Requires OpenGL, and a "
+"machine with fast hardware support for texture maps. Written by Eric "
+"Lassauge and Roman Podobedov."
+msgstr ""
+
+#: ../hacks/config/atunnel.xml.h:4 ../hacks/config/distort.xml.h:11
+#: ../hacks/config/glforestfire.xml.h:10 ../hacks/config/lament.xml.h:4
+#: ../hacks/config/sballs.xml.h:6
+msgid "Normal"
+msgstr ""
+
+#: ../hacks/config/atunnel.xml.h:8 ../hacks/config/cube21.xml.h:24
+#: ../hacks/config/glforestfire.xml.h:18 ../hacks/config/lament.xml.h:8
+#: ../hacks/config/sballs.xml.h:17
+msgid "Untextured"
+msgstr ""
+
+#: ../hacks/config/atunnel.xml.h:9
+msgid "Use light"
+msgstr ""
+
+#: ../hacks/config/barcode.xml.h:1
+msgid "Barcode"
+msgstr ""
+
+#: ../hacks/config/barcode.xml.h:2
+msgid "Barcode Clock (24 Hour)"
+msgstr ""
+
+#: ../hacks/config/barcode.xml.h:3
+msgid "Barcode Clock (AM/PM)"
+msgstr ""
+
+#: ../hacks/config/barcode.xml.h:5
+msgid "Scrolling Barcodes"
+msgstr ""
+
+#: ../hacks/config/barcode.xml.h:8
+msgid ""
+"This draws a random sequence of colorful barcodes scrolling across your "
+"screen. CONSUME! By Dan Bornstein."
+msgstr ""
+
+#: ../hacks/config/blaster.xml.h:1
+msgid "Blaster"
+msgstr ""
+
+#. #### -mother_ship_color1 [white]
+#: ../hacks/config/blaster.xml.h:3
+msgid ""
+"Draws a simulation of flying space-combat robots (cleverly disguised as "
+"colored circles) doing battle in front of a moving star field. Written by "
+"Jonathan Lin."
+msgstr ""
+
+#: ../hacks/config/blaster.xml.h:6 ../hacks/config/penetrate.xml.h:4
+msgid "Lasers"
+msgstr ""
+
+#: ../hacks/config/blaster.xml.h:8
+msgid "Robots"
+msgstr ""
+
+#: ../hacks/config/blaster.xml.h:11 ../hacks/config/glplanet.xml.h:11
+msgid "Stars"
+msgstr ""
+
+#: ../hacks/config/blinkbox.xml.h:1
+msgid "BlinkBox"
+msgstr ""
+
+#: ../hacks/config/blinkbox.xml.h:2
+msgid "Box Size"
+msgstr ""
+
+#: ../hacks/config/blinkbox.xml.h:3
+msgid "Dissolve"
+msgstr ""
+
+#: ../hacks/config/blinkbox.xml.h:4 ../hacks/config/phosphor.xml.h:4
+msgid "Fade"
+msgstr ""
+
+#: ../hacks/config/blinkbox.xml.h:6
+msgid "Motion Blur"
+msgstr ""
+
+#: ../hacks/config/blinkbox.xml.h:7
+msgid ""
+"Shows a ball contained inside of a bounding box. Colored blocks blink in "
+"when the ball hits the edges. Written by Jeremy English."
+msgstr ""
+
+#: ../hacks/config/blitspin.xml.h:1
+msgid "90 deg Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/blitspin.xml.h:2
+msgid "Bitmap to rotate"
+msgstr ""
+
+#: ../hacks/config/blitspin.xml.h:3
+msgid "BlitSpin"
+msgstr ""
+
+#: ../hacks/config/blitspin.xml.h:5
+msgid "Fuzzy Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/blitspin.xml.h:6
+msgid "Grab Screen"
+msgstr ""
+
+#: ../hacks/config/blitspin.xml.h:8
+msgid ""
+"The ``blitspin'' hack repeatedly rotates a bitmap by 90 degrees by using "
+"logical operations: the bitmap is divided into quadrants, and the quadrants "
+"are shifted clockwise. Then the same thing is done again with progressively "
+"smaller quadrants, except that all sub-quadrants of a given size are rotated "
+"in parallel. Written by Jamie Zawinski based on some cool SmallTalk code "
+"seen in in Byte Magazine in 1981. As you watch it, the image appears to "
+"dissolve into static and then reconstitute itself, but rotated. You can "
+"provide the image to use, as an XBM or XPM file, or tell it to grab a screen "
+"image and rotate that."
+msgstr ""
+
+#: ../hacks/config/blocktube.xml.h:1
+msgid "BlockTube"
+msgstr ""
+
+#: ../hacks/config/blocktube.xml.h:2 ../hacks/config/timetunnel.xml.h:3
+msgid "Color Change Time"
+msgstr ""
+
+#: ../hacks/config/blocktube.xml.h:3
+msgid "Color Hold Time"
+msgstr ""
+
+#: ../hacks/config/blocktube.xml.h:6
+msgid "Reflective Blocks"
+msgstr ""
+
+#: ../hacks/config/blocktube.xml.h:10
+msgid "Solid Blocks"
+msgstr ""
+
+#: ../hacks/config/blocktube.xml.h:12
+msgid ""
+"This hack draws a swirling, falling tunnel of reflective slabs. They fade "
+"from hue to hue. Written by Lars R. Damerow."
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:1
+msgid "Boing"
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:3 ../hacks/config/boxed.xml.h:8
+#: ../hacks/config/fireflies.xml.h:17 ../hacks/config/pinion.xml.h:7
+msgid "Huge"
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:4 ../hacks/config/crackberg.xml.h:12
+msgid "Lighting"
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:5
+msgid "Meridians"
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:6
+msgid "Parallels"
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:7
+msgid "Scanlines"
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:9 ../hacks/config/galaxy.xml.h:10
+#: ../hacks/config/lisa.xml.h:8 ../hacks/config/lissie.xml.h:8
+#: ../hacks/config/loop.xml.h:6 ../hacks/config/penrose.xml.h:7
+#: ../hacks/config/pong.xml.h:3 ../hacks/config/rotor.xml.h:10
+#: ../hacks/config/rubik.xml.h:8 ../hacks/config/sproingies.xml.h:5
+#: ../hacks/config/wander.xml.h:13 ../hacks/config/worm.xml.h:7
+msgid "Size"
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:11
+msgid "Smoothing"
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:13
+msgid ""
+"This bouncing ball is a clone of the first graphics demo for the Amiga 1000, "
+"which was written by Dale Luck and RJ Mical during a break at the 1984 "
+"Consumer Electronics Show (or so the legend goes.) This looks like the "
+"original Amiga demo if you turn off \"smoothing\" and \"lighting\" and turn "
+"on \"scanlines\". Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/boing.xml.h:14 ../hacks/config/boxed.xml.h:16
+#: ../hacks/config/fireflies.xml.h:43 ../hacks/config/pinion.xml.h:14
+msgid "Tiny"
+msgstr ""
+
+#: ../hacks/config/bouboule.xml.h:1
+msgid "Bouboule"
+msgstr ""
+
+#: ../hacks/config/bouboule.xml.h:2 ../hacks/config/rocks.xml.h:3
+msgid "Do Red/Blue 3D seperation"
+msgstr ""
+
+#: ../hacks/config/bouboule.xml.h:7
+msgid "Number of Spots"
+msgstr ""
+
+#: ../hacks/config/bouboule.xml.h:10
+msgid ""
+"This draws what looks like a spinning, deforming balloon with varying-sized "
+"spots painted on its invisible surface. Written by Jeremie Petit."
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:1
+msgid "A Cow. A Trampoline. Together, they fight crime. By Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:2 ../hacks/config/boxed.xml.h:1
+#: ../hacks/config/carousel.xml.h:3 ../hacks/config/cubestorm.xml.h:1
+#: ../hacks/config/flyingtoasters.xml.h:3 ../hacks/config/fontglide.xml.h:1
+#: ../hacks/config/gears.xml.h:1 ../hacks/config/gflux.xml.h:1
+#: ../hacks/config/glknots.xml.h:1 ../hacks/config/glmatrix.xml.h:1
+#: ../hacks/config/jigglypuff.xml.h:1 ../hacks/config/pinion.xml.h:3
+#: ../hacks/config/polyhedra.xml.h:3 ../hacks/config/pyro.xml.h:1
+#: ../hacks/config/rd-bomb.xml.h:6 ../hacks/config/rocks.xml.h:1
+#: ../hacks/config/starwars.xml.h:1 ../hacks/config/wormhole.xml.h:1
+#: ../hacks/config/xfishtank.xml.h:1
+msgid "Animation Speed"
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:3
+msgid "Beefy Cow"
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:4
+msgid "Bounce Speed"
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:5
+msgid "BouncingCow"
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:7
+msgid "Herd"
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:8
+msgid "Moo"
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:9
+msgid "Number of Cows"
+msgstr ""
+
+#: ../hacks/config/bouncingcow.xml.h:11
+msgid "Wireframe Cow"
+msgstr ""
+
+#: ../hacks/config/boxed.xml.h:2 ../hacks/config/fluidballs.xml.h:2
+msgid "Ball Size"
+msgstr ""
+
+#: ../hacks/config/boxed.xml.h:3
+msgid "Boxed"
+msgstr ""
+
+#: ../hacks/config/boxed.xml.h:4
+msgid ""
+"Draws a box full of 3D bouncing balls that explode. Written by Sander van "
+"Grieken."
+msgstr ""
+
+#: ../hacks/config/boxed.xml.h:5
+msgid "Explosion Force"
+msgstr ""
+
+#. #### -factory [2]
+#: ../hacks/config/boxed.xml.h:9 ../hacks/config/pipes.xml.h:12
+#: ../hacks/config/substrate.xml.h:12 ../hacks/config/wormhole.xml.h:4
+msgid "Lots"
+msgstr ""
+
+#: ../hacks/config/boxed.xml.h:10 ../hacks/config/cubestorm.xml.h:5
+#: ../hacks/config/fontglide.xml.h:9 ../hacks/config/glknots.xml.h:6
+#: ../hacks/config/polyhedra.xml.h:84
+msgid "Motion Speed"
+msgstr ""
+
+#: ../hacks/config/boxed.xml.h:11
+msgid "Nuke"
+msgstr ""
+
+#: ../hacks/config/boxed.xml.h:12
+msgid "Number of Balls"
+msgstr ""
+
+#: ../hacks/config/boxed.xml.h:13 ../hacks/config/hopalong.xml.h:18
+msgid "Popcorn"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:1 ../hacks/config/popsquares.xml.h:1
+msgid "Border"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:2
+msgid "BoxFit"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:3 ../hacks/config/cubenetic.xml.h:1
+msgid "Boxes"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:4
+msgid "Boxes Only"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:5
+msgid "Boxes or Circles"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:6
+msgid "Circles Only"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:7
+msgid "Color Gradient"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:9
+msgid "Grab Images"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:10
+msgid "Grow By"
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:11
+msgid ""
+"Packs the screen with growing squares or circles, colored according to a "
+"horizontal or vertical gradient, or according to the colors of the desktop "
+"or a loaded image file. The objects grow until they touch, then stop. When "
+"the screen is full, they shrink away and the process restarts. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/boxfit.xml.h:13 ../hacks/config/xearth.xml.h:23
+msgid "Spacing"
+msgstr ""
+
+#: ../hacks/config/braid.xml.h:1
+msgid "Braid"
+msgstr ""
+
+#: ../hacks/config/braid.xml.h:2
+msgid ""
+"Draws random color-cycling inter-braided concentric circles. Written by John "
+"Neil."
+msgstr ""
+
+#.
+#. <number id="eulerpower" type="slider" arg="-eulerpower %"
+#. _label="Power" _low-label="Low" _high-label="High"
+#. low="0.5" high="3.0" default="1.0"/>
+#.
+#: ../hacks/config/braid.xml.h:3 ../hacks/config/bsod.xml.h:9
+#: ../hacks/config/ccurve.xml.h:7 ../hacks/config/coral.xml.h:6
+#: ../hacks/config/cynosure.xml.h:3 ../hacks/config/deco.xml.h:4
+#: ../hacks/config/drift.xml.h:2 ../hacks/config/epicycle.xml.h:3
+#: ../hacks/config/eruption.xml.h:3 ../hacks/config/euler2d.xml.h:6
+#: ../hacks/config/flame.xml.h:5 ../hacks/config/galaxy.xml.h:2
+#: ../hacks/config/glsnake.xml.h:5 ../hacks/config/helix.xml.h:3
+#: ../hacks/config/hopalong.xml.h:2 ../hacks/config/imsmap.xml.h:6
+#: ../hacks/config/klein.xml.h:1 ../hacks/config/laser.xml.h:2
+#: ../hacks/config/menger.xml.h:2 ../hacks/config/metaballs.xml.h:3
+#: ../hacks/config/mismunch.xml.h:1 ../hacks/config/moire.xml.h:3
+#: ../hacks/config/molecule.xml.h:10 ../hacks/config/munch.xml.h:3
+#: ../hacks/config/nerverot.xml.h:9 ../hacks/config/pedal.xml.h:3
+#: ../hacks/config/polyhedra.xml.h:16 ../hacks/config/polyominoes.xml.h:1
+#: ../hacks/config/rorschach.xml.h:3 ../hacks/config/rotzoomer.xml.h:5
+#: ../hacks/config/shadebobs.xml.h:2 ../hacks/config/sierpinski3d.xml.h:1
+#: ../hacks/config/spheremonics.xml.h:4 ../hacks/config/starfish.xml.h:2
+#: ../hacks/config/substrate.xml.h:6 ../hacks/config/vidwhacker.xml.h:3
+#: ../hacks/config/wander.xml.h:7 ../hacks/config/xspirograph.xml.h:3
+msgid "Duration"
+msgstr ""
+
+#: ../hacks/config/braid.xml.h:5 ../hacks/config/epicycle.xml.h:7
+#: ../hacks/config/nerverot.xml.h:13
+msgid "Line Thickness"
+msgstr ""
+
+#: ../hacks/config/braid.xml.h:8
+msgid "Max Rings"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:1 ../hacks/config/molecule.xml.h:1
+#: ../hacks/config/vidwhacker.xml.h:1
+msgid "2 minutes"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:2 ../hacks/config/molecule.xml.h:2
+msgid "5 seconds"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:3
+msgid "AmigaDOS"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:4
+msgid "Apple II"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:5
+msgid "Atari"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:6
+msgid "BSD"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:7
+msgid "BSOD"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:8
+msgid ""
+"BSOD stands for ``Blue Screen of Death.'' The finest in personal computer "
+"emulation, this hack simulates popular screen savers from a number of less "
+"robust operating systems. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:10
+msgid "HPUX"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:11
+msgid "HVX/GCOS6"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:12
+msgid "Linux (fsck)"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:13
+msgid "Linux (hppa)"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:14
+msgid "Linux (sparc)"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:15
+msgid "MS-DOS"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:16
+msgid "Mac Bomb"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:17
+msgid "MacOS X"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:18
+msgid "MacsBug"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:19
+msgid "NCD X Terminal  "
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:20
+msgid "Nvidia"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:21
+msgid "OS/2"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:22
+msgid "OS/390"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:23
+msgid "SCO"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:24
+msgid "Sad Mac"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:25
+msgid "Solaris"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:26
+msgid "Tru64"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:27
+msgid "VMS"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:28
+msgid "Windows 2000  "
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:29
+msgid "Windows 3.1"
+msgstr ""
+
+#: ../hacks/config/bsod.xml.h:30
+msgid "Windows NT"
+msgstr ""
+
+#: ../hacks/config/bubble3d.xml.h:1
+msgid "Bubble Color"
+msgstr ""
+
+#: ../hacks/config/bubble3d.xml.h:2
+msgid "Bubble3D"
+msgstr ""
+
+#: ../hacks/config/bubble3d.xml.h:3
+msgid ""
+"Draws a stream of rising, undulating 3D bubbles, rising toward the top of "
+"the screen, with nice specular reflections. Written by Richard Jones."
+msgstr ""
+
+#: ../hacks/config/bubble3d.xml.h:8
+msgid "Transparent Bubbles"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:1 ../hacks/config/xfishtank.xml.h:2
+msgid "Bubbles"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:2
+msgid "Bubbles Fall"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:3
+msgid "Bubbles Float"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:4
+msgid "Bubbles Rise"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:5
+msgid "Bubbles exist in three dimensions"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:6
+msgid "Don't hide bubbles when they pop"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:7
+msgid "Draw circles instead of pixmap bubbles"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:9
+msgid "Leave Trails"
+msgstr ""
+
+#: ../hacks/config/bubbles.xml.h:12
+msgid ""
+"This simulates the kind of bubble formation that happens when water boils:"
+"small bubbles appear, and as they get closer to each other, they combine to "
+"form larger bubbles, which eventually pop. Written by James Macnicol."
+msgstr ""
+
+#. #### -invert
+#: ../hacks/config/bumps.xml.h:2
+msgid ""
+"A bit like `Spotlight', except that instead of merely exposing part of your "
+"desktop, it creates a bump map from it. Basically, it 3D-izes a roaming "
+"section of your desktop, based on color intensity. Written by Shane Smit."
+msgstr ""
+
+#: ../hacks/config/bumps.xml.h:3
+msgid "Bumps"
+msgstr ""
+
+#: ../hacks/config/cage.xml.h:1
+msgid "Cage"
+msgstr ""
+
+#: ../hacks/config/cage.xml.h:7 ../hacks/config/cube21.xml.h:22
+msgid "Textured"
+msgstr ""
+
+#: ../hacks/config/cage.xml.h:8
+msgid ""
+"This draws Escher's ``Impossible Cage,'' a 3d analog of a moebius strip, and "
+"rotates it in three dimensions. Written by Marcelo Vianna."
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:1 ../hacks/config/coral.xml.h:1
+#: ../hacks/config/deco.xml.h:1 ../hacks/config/helix.xml.h:1
+#: ../hacks/config/imsmap.xml.h:1 ../hacks/config/jigsaw.xml.h:2
+#: ../hacks/config/moire.xml.h:1 ../hacks/config/pedal.xml.h:1
+#: ../hacks/config/rorschach.xml.h:1 ../hacks/config/wander.xml.h:2
+#: ../hacks/config/xspirograph.xml.h:1
+msgid "1 Minute"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:2
+msgid "5 Seconds"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:4
+msgid "Carousel"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:6 ../hacks/config/electricsheep.xml.h:7
+#: ../hacks/config/fliptext.xml.h:8
+msgid "Frame Rate"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:8
+msgid ""
+"Loads several random images, and displays them flying in a circular "
+"formation. The circle changes speed and direction randomly, tilts on its "
+"axis, and the images move in and out. To tell it where to find the images to "
+"display, go to the \"Advanced\" tab on the Screensaver Preferences window. "
+"Select \"Choose Random Images\", and enter your image directory in the text "
+"field right below that. (Note: not the the \"Advanced\" button at the bottom "
+"of this window: the tab at the top of the *other* window.) This program "
+"requires a good video card capable of supporting large textures. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:10
+msgid "No Tilting"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:11
+msgid "Number of Images:"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:13 ../hacks/config/glslideshow.xml.h:20
+msgid "Show Image Titles"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:15
+msgid "Tilt In/Out Only"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:16
+msgid "Tilt In/Out and Left/Right"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:17
+msgid "Tilt Left/Right Only"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:18 ../hacks/config/glslideshow.xml.h:21
+#: ../hacks/config/mirrorblob.xml.h:20
+msgid "Time until loading a new image:"
+msgstr ""
+
+#: ../hacks/config/carousel.xml.h:19
+msgid "Zoom In/Out"
+msgstr ""
+
+#: ../hacks/config/ccurve.xml.h:1
+msgid "0 seconds"
+msgstr ""
+
+#: ../hacks/config/ccurve.xml.h:2 ../hacks/config/epicycle.xml.h:1
+msgid "1 minute"
+msgstr ""
+
+#: ../hacks/config/ccurve.xml.h:3 ../hacks/config/epicycle.xml.h:2
+#: ../hacks/config/polyhedra.xml.h:1
+msgid "1 second"
+msgstr ""
+
+#: ../hacks/config/ccurve.xml.h:4
+msgid "C Curve"
+msgstr ""
+
+#: ../hacks/config/ccurve.xml.h:5 ../hacks/config/fuzzyflakes.xml.h:4
+msgid "Delay"
+msgstr ""
+
+#: ../hacks/config/ccurve.xml.h:6 ../hacks/config/coral.xml.h:5
+#: ../hacks/config/imsmap.xml.h:5 ../hacks/config/kumppa.xml.h:1
+#: ../hacks/config/qix.xml.h:6 ../hacks/config/squiral.xml.h:2
+#: ../hacks/config/wander.xml.h:4 ../hacks/config/xmatrix.xml.h:2
+msgid "Density"
+msgstr ""
+
+#: ../hacks/config/ccurve.xml.h:8
+msgid ""
+"Generates self-similar linear fractals, including the classic ``C Curve.'' "
+"Written by Rick Campbell."
+msgstr ""
+
+#: ../hacks/config/celtic.xml.h:1
+msgid "Celtic"
+msgstr ""
+
+#: ../hacks/config/celtic.xml.h:2
+msgid "Draw Graph"
+msgstr ""
+
+#: ../hacks/config/celtic.xml.h:5
+msgid "Pause"
+msgstr ""
+
+#: ../hacks/config/celtic.xml.h:6
+msgid ""
+"Repeatedly draws random Celtic cross-stitch patterns. By Max Froumentin."
+msgstr ""
+
+#: ../hacks/config/circuit.xml.h:1
+msgid "Animates a number of 3D electronic components. Written by Ben Buxton."
+msgstr ""
+
+#: ../hacks/config/circuit.xml.h:2
+msgid "Circuit"
+msgstr ""
+
+#: ../hacks/config/circuit.xml.h:3 ../hacks/config/gflux.xml.h:4
+#: ../hacks/config/pulsar.xml.h:2
+msgid "Directional Lighting"
+msgstr ""
+
+#: ../hacks/config/circuit.xml.h:5
+msgid "Flat Coloring"
+msgstr ""
+
+#: ../hacks/config/circuit.xml.h:6
+msgid "Parts"
+msgstr ""
+
+#: ../hacks/config/circuit.xml.h:7 ../hacks/config/flipscreen3d.xml.h:4
+#: ../hacks/config/gleidescope.xml.h:9 ../hacks/config/glplanet.xml.h:6
+#: ../hacks/config/ifs.xml.h:10
+msgid "Rotate"
+msgstr ""
+
+#: ../hacks/config/circuit.xml.h:8 ../hacks/config/pinion.xml.h:10
+msgid "Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/circuit.xml.h:12 ../hacks/config/cube21.xml.h:18
+#: ../hacks/config/cubestorm.xml.h:9 ../hacks/config/dangerball.xml.h:9
+#: ../hacks/config/engine.xml.h:17 ../hacks/config/klein.xml.h:9
+#: ../hacks/config/polyhedra.xml.h:145 ../hacks/config/whirlygig.xml.h:14
+msgid "Spin"
+msgstr ""
+
+#: ../hacks/config/cloudlife.xml.h:1 ../hacks/config/demon.xml.h:2
+#: ../hacks/config/petri.xml.h:1
+msgid "Cell Size"
+msgstr ""
+
+#: ../hacks/config/cloudlife.xml.h:2
+msgid "CloudLife"
+msgstr ""
+
+#: ../hacks/config/cloudlife.xml.h:4
+msgid ""
+"Generates cloud-like formations based on a variant of Conway's Life. The "
+"difference is that cells have a maximum age, after which they count as 3 for "
+"populating the next generation. This makes long-lived formations explode "
+"instead of just sitting there burning a hole in your screen. Written by Don "
+"Marti."
+msgstr ""
+
+#: ../hacks/config/cloudlife.xml.h:6
+msgid "Initial Density"
+msgstr ""
+
+#: ../hacks/config/cloudlife.xml.h:9
+msgid "Max Age"
+msgstr ""
+
+#: ../hacks/config/cloudlife.xml.h:10
+msgid "Old"
+msgstr ""
+
+#: ../hacks/config/cloudlife.xml.h:14
+msgid "Young"
+msgstr ""
+
+#: ../hacks/config/compass.xml.h:1
+msgid "Compass"
+msgstr ""
+
+#. #### -gray
+#: ../hacks/config/compass.xml.h:2 ../hacks/config/deluxe.xml.h:3
+#: ../hacks/config/fontglide.xml.h:3 ../hacks/config/fuzzyflakes.xml.h:5
+#: ../hacks/config/interference.xml.h:7 ../hacks/config/kumppa.xml.h:2
+#: ../hacks/config/nerverot.xml.h:7 ../hacks/config/piecewise.xml.h:3
+#: ../hacks/config/pipes.xml.h:4
+msgid "Double Buffer"
+msgstr ""
+
+#: ../hacks/config/compass.xml.h:6
+msgid ""
+"This draws a compass, with all elements spinning about randomly, for that "
+"``lost and nauseous'' feeling. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/coral.xml.h:2 ../hacks/config/deco.xml.h:2
+#: ../hacks/config/glslideshow.xml.h:1 ../hacks/config/helix.xml.h:2
+#: ../hacks/config/imsmap.xml.h:2 ../hacks/config/moire.xml.h:2
+#: ../hacks/config/pedal.xml.h:2 ../hacks/config/rorschach.xml.h:2
+#: ../hacks/config/xspirograph.xml.h:2
+msgid "1 Second"
+msgstr ""
+
+#: ../hacks/config/coral.xml.h:3
+msgid "Coral"
+msgstr ""
+
+#: ../hacks/config/coral.xml.h:4 ../hacks/config/fireworkx.xml.h:2
+#: ../hacks/config/gflux.xml.h:3 ../hacks/config/glblur.xml.h:2
+#: ../hacks/config/glmatrix.xml.h:3 ../hacks/config/imsmap.xml.h:4
+#: ../hacks/config/lavalite.xml.h:6 ../hacks/config/pyro.xml.h:2
+#: ../hacks/config/qix.xml.h:5 ../hacks/config/squiral.xml.h:1
+#: ../hacks/config/xearth.xml.h:4
+msgid "Dense"
+msgstr ""
+
+#: ../hacks/config/coral.xml.h:10 ../hacks/config/squiral.xml.h:14
+msgid "Seeds"
+msgstr ""
+
+#: ../hacks/config/coral.xml.h:11
+msgid ""
+"Simulates coral growth, albeit somewhat slowly. Written by Frederick Roeber."
+msgstr ""
+
+#: ../hacks/config/coral.xml.h:13 ../hacks/config/fireworkx.xml.h:10
+#: ../hacks/config/gflux.xml.h:14 ../hacks/config/glblur.xml.h:15
+#: ../hacks/config/glmatrix.xml.h:19 ../hacks/config/imsmap.xml.h:13
+#: ../hacks/config/lavalite.xml.h:29 ../hacks/config/pyro.xml.h:14
+#: ../hacks/config/qix.xml.h:21 ../hacks/config/squiral.xml.h:16
+#: ../hacks/config/xearth.xml.h:24 ../hacks/config/xmatrix.xml.h:17
+msgid "Sparse"
+msgstr ""
+
+#: ../hacks/config/cosmos.xml.h:1
+msgid "Cosmos"
+msgstr ""
+
+#: ../hacks/config/cosmos.xml.h:2
+msgid ""
+"Draws fireworks and zooming, fading flares. By Tom Campbell. You can find it "
+"at &lt;http://www.cosmosx.org/&gt;"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:1
+msgid "Confused"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:2
+msgid "Crackberg"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:3
+msgid "Display FPS"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:4
+msgid "Eagle Nest"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:5
+msgid "Flat Shading"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:6
+msgid ""
+"Flies through height maps, optionally animating the creation and destruction "
+"of generated tiles; tiles `grow' into place."
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:7
+msgid "Frame Delay"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:8
+msgid "Growing"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:9
+msgid "Ice"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:10
+msgid "Immediate"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:11 ../hacks/config/glslideshow.xml.h:14
+msgid "Letterbox"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:14
+msgid "Mouse Hole"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:15
+msgid "Plain"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:16 ../hacks/config/flurry.xml.h:8
+#: ../hacks/config/fontglide.xml.h:12 ../hacks/config/jigglypuff.xml.h:13
+#: ../hacks/config/sballs.xml.h:10 ../hacks/config/whirlygig.xml.h:12
+msgid "Random"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:18
+msgid "Subdivisions"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:19
+msgid "Swampy"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:20
+msgid "Visibility"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:21
+msgid "Vomit"
+msgstr ""
+
+#: ../hacks/config/crackberg.xml.h:22 ../hacks/config/flurry.xml.h:11
+msgid "Water"
+msgstr ""
+
+#: ../hacks/config/critical.xml.h:1
+msgid "Critical"
+msgstr ""
+
+#. #### -trail [50]
+#: ../hacks/config/critical.xml.h:3
+msgid ""
+"Draws a system of self-organizing lines. It starts out as random squiggles, "
+"but after a few iterations, order begins to appear. Written by Martin Pool."
+msgstr ""
+
+#: ../hacks/config/crystal.xml.h:1
+msgid "Center on Screen"
+msgstr ""
+
+#. #### -mouse
+#. #### -no-additive
+#: ../hacks/config/crystal.xml.h:2 ../hacks/config/deluxe.xml.h:1
+#: ../hacks/config/fadeplot.xml.h:1 ../hacks/config/flow.xml.h:1
+#: ../hacks/config/galaxy.xml.h:1 ../hacks/config/glforestfire.xml.h:1
+#: ../hacks/config/grav.xml.h:1 ../hacks/config/julia.xml.h:2
+#: ../hacks/config/laser.xml.h:1 ../hacks/config/lisa.xml.h:2
+#: ../hacks/config/lissie.xml.h:2 ../hacks/config/morph3d.xml.h:2
+#: ../hacks/config/mountain.xml.h:1 ../hacks/config/piecewise.xml.h:2
+#: ../hacks/config/qix.xml.h:4 ../hacks/config/rocks.xml.h:2
+#: ../hacks/config/rotor.xml.h:2 ../hacks/config/rubik.xml.h:1
+#: ../hacks/config/shadebobs.xml.h:1 ../hacks/config/sierpinski.xml.h:1
+#: ../hacks/config/slip.xml.h:1 ../hacks/config/spiral.xml.h:1
+#: ../hacks/config/sproingies.xml.h:1 ../hacks/config/superquadrics.xml.h:1
+#: ../hacks/config/swirl.xml.h:1 ../hacks/config/worm.xml.h:3
+msgid "Count"
+msgstr ""
+
+#: ../hacks/config/crystal.xml.h:3
+msgid "Crystal"
+msgstr ""
+
+#: ../hacks/config/crystal.xml.h:4
+msgid "Draw Cell"
+msgstr ""
+
+#. #### -shift (color cycling)
+#: ../hacks/config/crystal.xml.h:6 ../hacks/config/spheremonics.xml.h:3
+#: ../hacks/config/xearth.xml.h:6
+msgid "Draw Grid"
+msgstr ""
+
+#: ../hacks/config/crystal.xml.h:8
+msgid "Horizontal Symmetries"
+msgstr ""
+
+#: ../hacks/config/crystal.xml.h:10
+msgid ""
+"Moving polygons, similar to a kaleidescope (more like a kaleidescope than "
+"the hack called `kaleid,' actually.) This one by Jouk Jansen."
+msgstr ""
+
+#: ../hacks/config/crystal.xml.h:15
+msgid "Vertical Symmetries"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:1
+msgid ""
+"Animates a Rubik-like puzzle known as Cube 21 or Square-1. The rotations are "
+"chosen randomly. Requires OpenGL. Written by Vasek Potocek."
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:2
+msgid "Classic Edition"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:3
+msgid "Cube 21"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:4
+msgid "Cube size"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:5
+msgid "Delay in ending position"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:7
+msgid "Global speed"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:10
+msgid "Random color"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:11 ../hacks/config/rocks.xml.h:8
+msgid "Rotation"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:14
+msgid "Silver Edition"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:15
+msgid "Six random colors"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:19
+msgid "Spinning"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:20
+msgid "Start as cube"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:21
+msgid "Start as random shape"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:23
+msgid "Two random colors"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:25
+msgid "Wander on screen"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:26
+msgid "Wandering"
+msgstr ""
+
+#: ../hacks/config/cube21.xml.h:27
+msgid "White"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:2
+msgid "Cubenetic"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:3
+msgid "Display Solid Colors"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:4
+msgid "Display Surface Patterns"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:5
+msgid "Display Wireframe"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:6 ../hacks/config/glblur.xml.h:3
+#: ../hacks/config/glknots.xml.h:2 ../hacks/config/gltext.xml.h:3
+#: ../hacks/config/lavalite.xml.h:7 ../hacks/config/menger.xml.h:1
+#: ../hacks/config/molecule.xml.h:4 ../hacks/config/spheremonics.xml.h:1
+#: ../hacks/config/tangram.xml.h:1
+msgid "Don't Rotate"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:7
+msgid ""
+"Draws a pulsating set of overlapping boxes with ever-chaning blobby patterns "
+"undulating across their surfaces. It's sort of a cubist Lavalite. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:14 ../hacks/config/glblur.xml.h:6
+#: ../hacks/config/glknots.xml.h:8 ../hacks/config/gltext.xml.h:7
+#: ../hacks/config/lavalite.xml.h:19 ../hacks/config/menger.xml.h:7
+#: ../hacks/config/molecule.xml.h:15 ../hacks/config/spheremonics.xml.h:10
+msgid "Rotate around X and Y axes"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:15 ../hacks/config/glblur.xml.h:7
+#: ../hacks/config/glknots.xml.h:9 ../hacks/config/gltext.xml.h:8
+#: ../hacks/config/lavalite.xml.h:20 ../hacks/config/menger.xml.h:8
+#: ../hacks/config/molecule.xml.h:16 ../hacks/config/spheremonics.xml.h:11
+msgid "Rotate around X and Z axes"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:16 ../hacks/config/glblur.xml.h:8
+#: ../hacks/config/glknots.xml.h:10 ../hacks/config/gltext.xml.h:9
+#: ../hacks/config/lavalite.xml.h:21 ../hacks/config/menger.xml.h:9
+#: ../hacks/config/molecule.xml.h:17 ../hacks/config/spheremonics.xml.h:12
+msgid "Rotate around X axis"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:17 ../hacks/config/glblur.xml.h:9
+#: ../hacks/config/glknots.xml.h:11 ../hacks/config/gltext.xml.h:10
+#: ../hacks/config/lavalite.xml.h:22 ../hacks/config/menger.xml.h:10
+#: ../hacks/config/molecule.xml.h:18 ../hacks/config/spheremonics.xml.h:13
+msgid "Rotate around Y and Z axes"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:18 ../hacks/config/glblur.xml.h:10
+#: ../hacks/config/glknots.xml.h:12 ../hacks/config/gltext.xml.h:11
+#: ../hacks/config/lavalite.xml.h:23 ../hacks/config/menger.xml.h:11
+#: ../hacks/config/molecule.xml.h:19 ../hacks/config/spheremonics.xml.h:14
+msgid "Rotate around Y axis"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:19 ../hacks/config/glblur.xml.h:11
+#: ../hacks/config/glknots.xml.h:13 ../hacks/config/gltext.xml.h:12
+#: ../hacks/config/lavalite.xml.h:24 ../hacks/config/menger.xml.h:12
+#: ../hacks/config/molecule.xml.h:20 ../hacks/config/spheremonics.xml.h:15
+msgid "Rotate around Z axis"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:20 ../hacks/config/glblur.xml.h:12
+#: ../hacks/config/glknots.xml.h:14 ../hacks/config/gltext.xml.h:13
+#: ../hacks/config/lavalite.xml.h:25 ../hacks/config/menger.xml.h:13
+#: ../hacks/config/molecule.xml.h:21 ../hacks/config/spheremonics.xml.h:16
+msgid "Rotate around all three axes"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:25
+msgid "Surface Pattern Complexity"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:26
+msgid "Surface Pattern Overlap"
+msgstr ""
+
+#: ../hacks/config/cubenetic.xml.h:27
+msgid "Surface Pattern Speed"
+msgstr ""
+
+#. #### -no-optimize
+#: ../hacks/config/cubenetic.xml.h:28 ../hacks/config/cubestorm.xml.h:13
+#: ../hacks/config/dangerball.xml.h:10 ../hacks/config/engine.xml.h:20
+#: ../hacks/config/glblur.xml.h:18 ../hacks/config/glforestfire.xml.h:19
+#: ../hacks/config/glknots.xml.h:22 ../hacks/config/glplanet.xml.h:14
+#: ../hacks/config/gltext.xml.h:20 ../hacks/config/lavalite.xml.h:31
+#: ../hacks/config/menger.xml.h:21 ../hacks/config/molecule.xml.h:26
+#: ../hacks/config/polyhedra.xml.h:165 ../hacks/config/spheremonics.xml.h:25
+#: ../hacks/config/wander.xml.h:15
+msgid "Wander"
+msgstr ""
+
+#: ../hacks/config/cubestorm.xml.h:2
+msgid "CubeStorm"
+msgstr ""
+
+#: ../hacks/config/cubestorm.xml.h:3
+msgid ""
+"Draws a series of rotating 3D boxes that intersect each other and eventually "
+"fill space. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/cubestorm.xml.h:6
+msgid "Number of Cubes"
+msgstr ""
+
+#: ../hacks/config/cubestorm.xml.h:10
+msgid "Strut Thickness"
+msgstr ""
+
+#: ../hacks/config/cynosure.xml.h:1
+msgid ""
+"A hack similar to `greynetic', but less frenetic. The first implementation "
+"was by Stephen Linhart; then Ozymandias G. Desiderata wrote a Java applet "
+"clone. That clone was discovered by Jamie Zawinski, and ported to C for "
+"inclusion here."
+msgstr ""
+
+#: ../hacks/config/cynosure.xml.h:2
+msgid "Cynosure"
+msgstr ""
+
+#: ../hacks/config/dangerball.xml.h:1
+msgid "DangerBall"
+msgstr ""
+
+#: ../hacks/config/dangerball.xml.h:2
+msgid ""
+"Draws a ball that periodically extrudes many random spikes. Ouch! Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/dangerball.xml.h:7
+msgid "Spike Count"
+msgstr ""
+
+#: ../hacks/config/dangerball.xml.h:8
+msgid "Spike Growth"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:1
+msgid "DecayScreen"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:3
+msgid "Fuzzy Melt"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:4
+msgid "Melt Away From Center"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:5
+msgid "Melt Down"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:6
+msgid "Melt Down, Left"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:7
+msgid "Melt Down, Right"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:8
+msgid "Melt Left"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:9
+msgid "Melt Right"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:10
+msgid "Melt Towards Center"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:11
+msgid "Melt Up"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:12
+msgid "Melt Up, Left"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:13
+msgid "Melt Up, Right"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:14
+msgid "Melty Melt"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:15
+msgid "Random Melt Style"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:16
+msgid "Shuffle Melt"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:19
+msgid "Stretchy Melt"
+msgstr ""
+
+#: ../hacks/config/decayscreen.xml.h:20
+msgid ""
+"This takes an image and makes it melt. You've no doubt seen this effect "
+"before, but no screensaver would really be complete without it. It works "
+"best if there's something colorful visible. Warning, if the effect continues "
+"after the screen saver is off, seek medical attention. Written by David "
+"Wald, Vivek Khera, Jamie Zawinski, and Vince Levey."
+msgstr ""
+
+#: ../hacks/config/deco.xml.h:3
+msgid "Deco"
+msgstr ""
+
+#: ../hacks/config/deco.xml.h:6 ../hacks/config/menger.xml.h:5
+#: ../hacks/config/sierpinski3d.xml.h:4
+msgid "Max Depth"
+msgstr ""
+
+#: ../hacks/config/deco.xml.h:7
+msgid "Min Size"
+msgstr ""
+
+#. #### -cycle-delay [1000000]
+#: ../hacks/config/deco.xml.h:10
+msgid ""
+"This one subdivides and colors rectangles randomly. It looks kind of like "
+"Brady-Bunch-era rec-room wall paneling. (Raven says: ``this screensaver is "
+"ugly enough to peel paint.'') Written by Jamie Zawinski, inspired by Java "
+"code by Michael Bayne."
+msgstr ""
+
+#: ../hacks/config/deco.xml.h:12 ../hacks/config/rd-bomb.xml.h:25
+#: ../hacks/config/whirlygig.xml.h:20 ../hacks/config/xearth.xml.h:33
+#: ../hacks/config/zoom.xml.h:10
+msgid "x"
+msgstr ""
+
+#: ../hacks/config/deluxe.xml.h:2
+msgid "Deluxe"
+msgstr ""
+
+#: ../hacks/config/deluxe.xml.h:12
+msgid ""
+"This draws a pulsing sequence of stars, circles, and lines. It would look "
+"better if it was faster, but as far as I can tell, there is no way to make "
+"this be both: fast, and flicker-free. Yet another reason X sucks. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#. #### -speed [15]
+#: ../hacks/config/deluxe.xml.h:14
+msgid "Transparency"
+msgstr ""
+
+#: ../hacks/config/demon.xml.h:1
+msgid ""
+"A cellular automaton that starts with a random field, and organizes it into "
+"stripes and spirals. Written by David Bagley."
+msgstr ""
+
+#: ../hacks/config/demon.xml.h:3
+msgid "Demon"
+msgstr ""
+
+#: ../hacks/config/demon.xml.h:11
+msgid "States"
+msgstr ""
+
+#: ../hacks/config/discrete.xml.h:1
+msgid "Discrete"
+msgstr ""
+
+#: ../hacks/config/discrete.xml.h:5
+msgid ""
+"More ``discrete map'' systems, including new variants of Hopalong and Julia, "
+"and a few others. Written by Tim Auckland."
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:1
+msgid "Black Hole"
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:2
+msgid "Bounce"
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:3
+msgid "Distort"
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:7
+msgid "Lens Count"
+msgstr ""
+
+#. #### -slow
+#: ../hacks/config/distort.xml.h:9
+msgid "Lens Size"
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:10
+msgid "Magnify"
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:12
+msgid "Reflect"
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:17
+msgid "Swamp Thing"
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:18
+msgid ""
+"This hack grabs an image of the screen, and then lets a transparent lens "
+"wander around the screen, magnifying whatever is underneath. Written by "
+"Jonas Munsin."
+msgstr ""
+
+#. #### -no-random
+#: ../hacks/config/distort.xml.h:19 ../hacks/config/moire.xml.h:13
+#: ../hacks/config/rd-bomb.xml.h:23 ../hacks/config/ripples.xml.h:18
+#: ../hacks/config/rotzoomer.xml.h:10 ../hacks/config/swirl.xml.h:10
+#: ../hacks/config/twang.xml.h:15 ../hacks/config/xflame.xml.h:8
+msgid "Use Shared Memory"
+msgstr ""
+
+#: ../hacks/config/distort.xml.h:20
+msgid "Vortex"
+msgstr ""
+
+#: ../hacks/config/drift.xml.h:1
+msgid "Drift"
+msgstr ""
+
+#: ../hacks/config/drift.xml.h:4
+msgid "Fractal Growth"
+msgstr ""
+
+#: ../hacks/config/drift.xml.h:5
+msgid "High Dimensional Sphere"
+msgstr ""
+
+#: ../hacks/config/drift.xml.h:6
+msgid ""
+"How could one possibly describe this except as ``drifting recursive fractal "
+"cosmic flames?'' Another fine hack from the Scott Draves collection of fine "
+"hacks."
+msgstr ""
+
+#: ../hacks/config/drift.xml.h:7
+msgid "Lissojous Figures"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:1
+msgid "1 Gbyte cache"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:2
+msgid "100 Mbyte cache"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:3
+msgid "3 Gbyte cache"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:4
+msgid "300 Mbyte cache"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:5
+msgid "ElectricSheep"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:6
+msgid ""
+"ElectricSheep is an xscreensaver module that displays mpeg video of an "
+"animated fractal flame. In the background, it contributes render cycles to "
+"the next animation. Periodically it uploades completed frames to the server, "
+"where they are compressed for distribution to all clients. This program is "
+"recommended only if you have a high bandwidth, always-on connection to the "
+"Internet. By Scott Draves. You can find it at &lt;http://www.electricsheep."
+"org/&gt;."
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:8
+msgid "Nickname"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:9
+msgid "No Animation"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:10
+msgid "No Network"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:11
+msgid "Repititions of each Sheep"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:12
+msgid "URL"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:13
+msgid "Unlimited"
+msgstr ""
+
+#: ../hacks/config/electricsheep.xml.h:14 ../hacks/config/gleidescope.xml.h:13
+#: ../hacks/config/hypercube.xml.h:17 ../hacks/config/zoom.xml.h:8
+msgid "Zoom"
+msgstr ""
+
+#: ../hacks/config/endgame.xml.h:1
+msgid ""
+"Black slips out of three mating nets, but the fourth one holds him tight! A "
+"brilliant composition! Written by Blair Tennessy."
+msgstr ""
+
+#: ../hacks/config/endgame.xml.h:2
+msgid "Endgame"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:1
+msgid "Audi Quattro (5 cylinders)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:2
+msgid "BMW M3 (4 cylinders)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:3
+msgid "BMW M5 (6 cylinders)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:4
+msgid "Corvette Z06 (8 cylinders, V)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:5
+msgid "Dodge Viper (10 cylinders, V)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:6
+msgid ""
+"Draws a simple model of an engine that floats around the screen. Written by "
+"Ben Buxton and Ed Beroset."
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:7
+msgid "Engine"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:9
+msgid "Honda Insight (3 cylinders)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:10
+msgid "Jaguar XKE (12 cylinders, V)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:11
+msgid "Porsche 911 (6 cylinders, flat)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:12
+msgid "Random Engine"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:13
+msgid "Show Engine Name"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:18
+msgid "Subaru XT (6 cylinders, V)"
+msgstr ""
+
+#: ../hacks/config/engine.xml.h:19
+msgid "VW Beetle (4 cylinders, flat)"
+msgstr ""
+
+#: ../hacks/config/epicycle.xml.h:4
+msgid "Epicycle"
+msgstr ""
+
+#: ../hacks/config/epicycle.xml.h:6
+msgid "Harmonics"
+msgstr ""
+
+#. #### -size_factor_max [2.05]
+#: ../hacks/config/epicycle.xml.h:13
+msgid ""
+"This program draws the path traced out by a point on the edge of a circle. "
+"That circle rotates around a point on the rim of another circle, and so on, "
+"several times. These were the basis for the pre-heliocentric model of "
+"planetary motion. Written by James Youngman."
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:1
+msgid "An exposive version of XFlame. By W.P. van Paassen."
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:2
+msgid "Cooling factor"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:4
+msgid "Eruption"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:7 ../hacks/config/fluidballs.xml.h:9
+#: ../hacks/config/qix.xml.h:9 ../hacks/config/speedmine.xml.h:4
+msgid "Gravity"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:8
+msgid "Heat"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:9
+msgid "Inferno"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:10
+msgid "Little"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:13
+msgid "Negative"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:15
+msgid "Number of Particles"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:16
+msgid "Pleasant"
+msgstr ""
+
+#: ../hacks/config/eruption.xml.h:17
+msgid "Positive"
+msgstr ""
+
+#: ../hacks/config/euler2d.xml.h:7
+msgid "Euler2d"
+msgstr ""
+
+#: ../hacks/config/euler2d.xml.h:18 ../hacks/config/whirlwindwarp.xml.h:5
+msgid "Particles"
+msgstr ""
+
+#: ../hacks/config/euler2d.xml.h:25
+msgid ""
+"Simulates two dimensional Incompressible Inviscid Fluid Flow. Written by "
+"Stephen Montgomery-Smith."
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:1
+msgid ""
+"Draws various rotating extruded shapes that twist around, lengthen, and turn "
+"inside out. Created by David Konerding from the samples that come with the "
+"GL Extrusion library by Linas Vepstas."
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:2
+msgid "Extrusion"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:4
+msgid "Helix 2"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:5
+msgid "Helix 3"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:6
+msgid "Helix 4"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:7
+msgid "Join Offset"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:8 ../hacks/config/polytopes.xml.h:16
+msgid "Random Object"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:9
+msgid "Screw"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:14
+msgid "Taper"
+msgstr ""
+
+#. #### -mipmap
+#: ../hacks/config/extrusion.xml.h:16
+msgid "Texture Image"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:17
+msgid "Twistoid"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:18 ../hacks/config/glplanet.xml.h:12
+#: ../hacks/config/pulsar.xml.h:19
+msgid "Use Flat Coloring"
+msgstr ""
+
+#: ../hacks/config/extrusion.xml.h:19 ../hacks/config/glplanet.xml.h:13
+msgid "Use Lighting"
+msgstr ""
+
+#: ../hacks/config/fadeplot.xml.h:2
+msgid ""
+"Draws what looks like a waving ribbon following a sinusoidal path. Written "
+"by Bas van Gaalen and Charles Vidal."
+msgstr ""
+
+#: ../hacks/config/fadeplot.xml.h:3
+msgid "FadePlot"
+msgstr ""
+
+#: ../hacks/config/fiberlamp.xml.h:1
+msgid "Draws a groovy rotating fiber optic lamp. Written by Tim Auckland."
+msgstr ""
+
+#: ../hacks/config/fiberlamp.xml.h:3
+msgid "Fiberlamp"
+msgstr ""
+
+#: ../hacks/config/fiberlamp.xml.h:4
+msgid "Fibers"
+msgstr ""
+
+#: ../hacks/config/fiberlamp.xml.h:8
+msgid "Time between Knocks"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:1
+msgid "10 times"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:2
+msgid ""
+"A bunch of fireflies chase a few baits around the screen, leaving colorful "
+"tails which get blown around by the wind. Written by Matt Perry. This "
+"program is not included with the XScreenSaver package, but if you don't have "
+"it already, you can find it at &lt;http://somewhere.fscked.org/fireflies/"
+"&gt;."
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:3
+msgid "Add some fireflies"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:4
+msgid "Bait accel"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:5
+msgid "Bait speed"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:6
+msgid "Color cycle speed"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:7
+msgid "Draw baits"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:8
+msgid "Faded colors"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:9
+msgid "Fast Forward speed"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:10
+msgid "Fireflies"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:11
+msgid "Firefly accel"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:12
+msgid "Firefly size"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:13
+msgid "Firefly speed"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:14
+msgid "Frames per sec"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:15
+msgid "Glow factor"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:16
+msgid "Half"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:18 ../hacks/config/fluidballs.xml.h:10
+msgid "Hurricane"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:19
+msgid "Invisible"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:20
+msgid "Kill some fireflies"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:22
+msgid "Make all swarms do something"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:23
+msgid "Matrix (pause and rotate)"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:24
+msgid "Maximum baits"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:25
+msgid "Maximum flies"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:26
+msgid "Merge two swarms"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:27
+msgid "Minimum baits"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:28
+msgid "Minimum flies"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:29
+msgid "Narrow"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:30
+msgid "Never"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:31
+msgid "Normal swarm motion"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:33
+msgid "Opaque"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:35
+msgid "Split a swarm"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:36 ../hacks/config/fluidballs.xml.h:21
+#: ../hacks/config/glforestfire.xml.h:16
+msgid "Still"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:37
+msgid "Swarm bursts into rainbow               "
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:38
+msgid "Swarm comes to a halt"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:39
+msgid "Swarm does loops"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:40
+msgid "Swarm hyperspeed"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:41
+msgid "Swarm tails glow"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:44
+msgid "Wide"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:45 ../hacks/config/fluidballs.xml.h:23
+msgid "Wind"
+msgstr ""
+
+#: ../hacks/config/fireflies.xml.h:46
+msgid "Wind picks up"
+msgstr ""
+
+#: ../hacks/config/fireworkx.xml.h:1 ../hacks/config/lavalite.xml.h:3
+msgid "Activity"
+msgstr ""
+
+#: ../hacks/config/fireworkx.xml.h:4
+msgid "Fireworkx"
+msgstr ""
+
+#: ../hacks/config/fireworkx.xml.h:5
+msgid "Light Flash"
+msgstr ""
+
+#: ../hacks/config/fireworkx.xml.h:6
+msgid ""
+"Pyrotechnics simulation eye-candy, MMX optimized. Turn off Light for speed. "
+"Clicks on the preview window Explodes..! Written by Rony B Chandran. http://"
+"www.ronybc.8k.com"
+msgstr ""
+
+#: ../hacks/config/fireworkx.xml.h:7
+msgid "Self Glowing Smoke!"
+msgstr ""
+
+#: ../hacks/config/fireworkx.xml.h:8
+msgid "Shoot The Shells up"
+msgstr ""
+
+#: ../hacks/config/flag.xml.h:1
+msgid "Bitmap for Flag"
+msgstr ""
+
+#: ../hacks/config/flag.xml.h:3
+msgid "Flag"
+msgstr ""
+
+#: ../hacks/config/flag.xml.h:10
+msgid "Text for Flag"
+msgstr ""
+
+#. #### -size [-7]
+#: ../hacks/config/flag.xml.h:12
+msgid ""
+"This draws a waving colored flag, that undulates its way around the screen. "
+"The trick is the flag can contain arbitrary text and images. By default, it "
+"displays either the current system name and OS type, or a picture of "
+"``Bob,'' but you can replace the text or the image with a command-line "
+"option. Written by Charles Vidal and Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/flame.xml.h:1 ../hacks/config/jigsaw.xml.h:1
+#: ../hacks/config/maze.xml.h:1 ../hacks/config/wander.xml.h:1
+msgid "0 Seconds"
+msgstr ""
+
+#: ../hacks/config/flame.xml.h:2 ../hacks/config/gleidescope.xml.h:1
+#: ../hacks/config/glslideshow.xml.h:2 ../hacks/config/maze.xml.h:2
+#: ../hacks/config/mirrorblob.xml.h:1
+msgid "10 Seconds"
+msgstr ""
+
+#: ../hacks/config/flame.xml.h:3
+msgid "Another iterative fractal generator. Written by Scott Draves."
+msgstr ""
+
+#: ../hacks/config/flame.xml.h:4 ../hacks/config/jigglypuff.xml.h:4
+msgid "Complexity"
+msgstr ""
+
+#: ../hacks/config/flame.xml.h:8
+msgid "Flame"
+msgstr ""
+
+#: ../hacks/config/flame.xml.h:13
+msgid "Number of Fractals"
+msgstr ""
+
+#: ../hacks/config/flipflop.xml.h:2
+msgid "FlipFlop"
+msgstr ""
+
+#: ../hacks/config/flipflop.xml.h:3
+msgid ""
+"Flipflop draws a grid of 3D colored tiles that change positions with each "
+"other. Written by Kevin Ogden."
+msgstr ""
+
+#: ../hacks/config/flipflop.xml.h:6
+msgid "Solid Tiles"
+msgstr ""
+
+#: ../hacks/config/flipscreen3d.xml.h:2
+msgid "Flipscreen3d"
+msgstr ""
+
+#: ../hacks/config/flipscreen3d.xml.h:3
+msgid ""
+"Grabs an image of the desktop, turns it into a GL texture map, and spins it "
+"around and deforms it in various ways. Written by Ben Buxton."
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:1 ../hacks/config/starwars.xml.h:3
+msgid "Centered Text"
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:2
+msgid ""
+"Draws successive pages of text. The lines flip in and out in a soothing 3D "
+"pattern. The text can be the output of a program or the contents of a file "
+"or URL, as configured on the \"Advanced\" tab of the main Screensaver "
+"Preferences window. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:4
+msgid "FlipText"
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:5 ../hacks/config/starwars.xml.h:7
+msgid "Flush Left Text"
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:6 ../hacks/config/starwars.xml.h:8
+msgid "Flush Right Text"
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:7 ../hacks/config/starwars.xml.h:9
+msgid "Font Point Size"
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:11
+msgid "Random Text Alignment"
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:15 ../hacks/config/starwars.xml.h:15
+msgid "Text Columns"
+msgstr ""
+
+#: ../hacks/config/fliptext.xml.h:16 ../hacks/config/starwars.xml.h:16
+msgid "Text Lines"
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:3
+msgid "Flow"
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:5
+msgid "Length of trails"
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:13
+msgid ""
+"Strange attractors formed of flows in a 3D differential equation phase "
+"space. Written by Tim Auckland."
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:16
+msgid "turn on/off bounding box."
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:17
+msgid "turn on/off double buffering."
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:18
+msgid "turn on/off periodic attractors."
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:19
+msgid "turn on/off ride in the flow."
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:20
+msgid "turn on/off rotating around attractor."
+msgstr ""
+
+#: ../hacks/config/flow.xml.h:21
+msgid "turn on/off search for new attractors."
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:1
+msgid "      Freefall"
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:4
+msgid "Clay"
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:7
+msgid "FluidBalls"
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:8 ../hacks/config/twang.xml.h:4
+msgid "Friction"
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:11
+msgid "Jupiter"
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:14
+msgid ""
+"Models the physics of bouncing balls, or of particles in a gas or fluid, "
+"depending on the settings. If \"Shake Box\" is selected, then every now and "
+"then, the box will be rotated, changing which direction is down (in order to "
+"keep the settled balls in motion.) By Peter Birtles and Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:15
+msgid "Rubber"
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:16
+msgid "Shake Box"
+msgstr ""
+
+#: ../hacks/config/fluidballs.xml.h:22
+msgid "Various Ball Sizes"
+msgstr ""
+
+#: ../hacks/config/flurry.xml.h:1
+msgid "Binary"
+msgstr ""
+
+#: ../hacks/config/flurry.xml.h:2
+msgid "Classic"
+msgstr ""
+
+#: ../hacks/config/flurry.xml.h:3
+msgid "Fire"
+msgstr ""
+
+#: ../hacks/config/flurry.xml.h:4
+msgid "Flurry"
+msgstr ""
+
+#: ../hacks/config/flurry.xml.h:5
+msgid "Insane"
+msgstr ""
+
+#: ../hacks/config/flurry.xml.h:6
+msgid "Psychedelic"
+msgstr ""
+
+#: ../hacks/config/flurry.xml.h:7
+msgid "RGB"
+msgstr ""
+
+#: ../hacks/config/flurry.xml.h:10
+msgid ""
+"This port of the OSX screensaver of the same name draws a colourful star"
+"(fish)like flurry of particles. xscreensaver port by Tobias Sargeant &lt;"
+"tobias.sargeant@bigpond.com&gt; Original Mac version by Calum Robinson &lt;"
+"calumr@mac.com&gt; http://homepage.mac.com/calumr"
+msgstr ""
+
+#: ../hacks/config/flyingtoasters.xml.h:1
+msgid ""
+"A fleet of 3d space-age jet-powered flying toasters (and toast!) Inspired by "
+"the ancient Berkeley Systems After Dark flying toasters. By Jamie Zawinski "
+"and Baconmonkey."
+msgstr ""
+
+#: ../hacks/config/flyingtoasters.xml.h:2
+msgid "Air Speed"
+msgstr ""
+
+#: ../hacks/config/flyingtoasters.xml.h:4
+msgid "Chrome Toasters"
+msgstr ""
+
+#: ../hacks/config/flyingtoasters.xml.h:6
+msgid "Flying Toasters"
+msgstr ""
+
+#. #### -factory [2]
+#: ../hacks/config/flyingtoasters.xml.h:7 ../hacks/config/glslideshow.xml.h:17
+#: ../hacks/config/jigglypuff.xml.h:12 ../hacks/config/juggle.xml.h:5
+#: ../hacks/config/mirrorblob.xml.h:14 ../hacks/config/pipes.xml.h:14
+msgid "None"
+msgstr ""
+
+#: ../hacks/config/flyingtoasters.xml.h:8
+msgid "Number of Slices"
+msgstr ""
+
+#: ../hacks/config/flyingtoasters.xml.h:9
+msgid "Number of Toasters"
+msgstr ""
+
+#: ../hacks/config/flyingtoasters.xml.h:12
+msgid "Solid Colors"
+msgstr ""
+
+#: ../hacks/config/flyingtoasters.xml.h:13
+msgid "Swarm"
+msgstr ""
+
+#: ../hacks/config/fontglide.xml.h:2
+msgid "Brief"
+msgstr ""
+
+#: ../hacks/config/fontglide.xml.h:5
+msgid "Font Border Thickness"
+msgstr ""
+
+#: ../hacks/config/fontglide.xml.h:6
+msgid "FontGlide"
+msgstr ""
+
+#: ../hacks/config/fontglide.xml.h:7
+msgid "Horizontally scrolling text"
+msgstr ""
+
+#: ../hacks/config/fontglide.xml.h:10
+msgid "Pages of text"
+msgstr ""
+
+#: ../hacks/config/fontglide.xml.h:11
+msgid ""
+"Puts text on the screen using large characters that glide in from the edges, "
+"assemble, then disperse. Alternately, it can simply scroll whole sentences "
+"from right to left. The text can be the output of a program or the contents "
+"of a file or URL, as configured on the \"Advanced\" tab of the main "
+"Screensaver Preferences window. Written Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/fontglide.xml.h:14
+msgid "Text Linger"
+msgstr ""
+
+#: ../hacks/config/fontglide.xml.h:16
+msgid "Vapor Trails"
+msgstr ""
+
+#: ../hacks/config/forest.xml.h:2 ../hacks/config/glforestfire.xml.h:6
+msgid "Forest"
+msgstr ""
+
+#: ../hacks/config/forest.xml.h:7
+msgid ""
+"This draws fractal trees. Written by Peter Baumung. Everybody loves "
+"fractals, right?"
+msgstr ""
+
+#: ../hacks/config/fuzzyflakes.xml.h:2
+msgid "Border Thickness"
+msgstr ""
+
+#: ../hacks/config/fuzzyflakes.xml.h:6
+msgid "Falling colored snowflake/flower shapes. Written by Barry Dmytro."
+msgstr ""
+
+#: ../hacks/config/fuzzyflakes.xml.h:9
+msgid "FuzzyFlakes"
+msgstr ""
+
+#: ../hacks/config/fuzzyflakes.xml.h:11 ../hacks/config/xspirograph.xml.h:4
+msgid "Layers"
+msgstr ""
+
+#: ../hacks/config/fuzzyflakes.xml.h:14
+msgid "Random Colors"
+msgstr ""
+
+#: ../hacks/config/galaxy.xml.h:4
+msgid "Galaxy"
+msgstr ""
+
+#: ../hacks/config/galaxy.xml.h:8
+msgid "Rotate Viewpoint"
+msgstr ""
+
+#: ../hacks/config/galaxy.xml.h:13
+msgid ""
+"This draws spinning galaxies, which then collide and scatter their stars to "
+"the, uh, four winds or something. Originally an Amiga program by Uli "
+"Siegmund."
+msgstr ""
+
+#: ../hacks/config/gears.xml.h:3
+msgid "Gears"
+msgstr ""
+
+#: ../hacks/config/gears.xml.h:4
+msgid "Planetary Gear System"
+msgstr ""
+
+#: ../hacks/config/gears.xml.h:5 ../hacks/config/goop.xml.h:9
+msgid "Rotational Speed"
+msgstr ""
+
+#: ../hacks/config/gears.xml.h:9
+msgid ""
+"This draws sets of turning, interlocking gears, rotating in three "
+"dimensions. Another GL hack, by Danny Sung, Brian Paul, Ed Mackey, and Jamie "
+"Zawinski."
+msgstr ""
+
+#: ../hacks/config/gears.xml.h:10
+msgid "Three Gear System"
+msgstr ""
+
+#: ../hacks/config/gflux.xml.h:2
+msgid "Checkerboard"
+msgstr ""
+
+#. #### -zoom [1.0]
+#: ../hacks/config/gflux.xml.h:6
+msgid ""
+"Draws a rippling waves on a rotating wireframe grid, using GL. Written by "
+"Josiah Pease."
+msgstr ""
+
+#: ../hacks/config/gflux.xml.h:8
+msgid "Flat Lighting"
+msgstr ""
+
+#: ../hacks/config/gflux.xml.h:9
+msgid "GFlux"
+msgstr ""
+
+#: ../hacks/config/gflux.xml.h:10
+msgid "Mesh Density"
+msgstr ""
+
+#: ../hacks/config/gflux.xml.h:11
+msgid "Screen Image"
+msgstr ""
+
+#: ../hacks/config/gflux.xml.h:15 ../hacks/config/interference.xml.h:22
+msgid "Wave Speed"
+msgstr ""
+
+#: ../hacks/config/gflux.xml.h:16 ../hacks/config/glmatrix.xml.h:20
+msgid "Waves"
+msgstr ""
+
+#: ../hacks/config/gflux.xml.h:17
+msgid "Wire Mesh"
+msgstr ""
+
+#: ../hacks/config/glblur.xml.h:1
+msgid "Blur Smoothness"
+msgstr ""
+
+#: ../hacks/config/glblur.xml.h:5
+msgid "GLBlur"
+msgstr ""
+
+#: ../hacks/config/glblur.xml.h:17
+msgid ""
+"This program draws a box and a few line segments, and generates a radial "
+"blur outward from it. This creates flowing field effects. This is done by "
+"rendering the scene into a small texture, then repeatedly rendering "
+"increasingly-enlarged and increasingly-transparent versions of that texture "
+"onto the frame buffer. As such, it's quite graphics intensive: don't bother "
+"trying to run this if you don't have hardware-accelerated OpenGL texture "
+"support. It will hurt your machine bad."
+msgstr ""
+
+#: ../hacks/config/gleidescope.xml.h:2 ../hacks/config/glslideshow.xml.h:6
+#: ../hacks/config/mirrorblob.xml.h:3
+msgid "5 Minutes"
+msgstr ""
+
+#: ../hacks/config/gleidescope.xml.h:3
+msgid ""
+"An OpenGL kaleidescope that operates on your desktop image, or on image "
+"files loaded from disk. Written by andrew dean."
+msgstr ""
+
+#: ../hacks/config/gleidescope.xml.h:4
+msgid "Gleidescope"
+msgstr ""
+
+#: ../hacks/config/gleidescope.xml.h:5
+msgid "Image Duration"
+msgstr ""
+
+#: ../hacks/config/gleidescope.xml.h:6
+msgid "Image file"
+msgstr ""
+
+#: ../hacks/config/gleidescope.xml.h:8
+msgid "Move"
+msgstr ""
+
+#: ../hacks/config/gleidescope.xml.h:11
+msgid "Size of tube"
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:2
+msgid "Desert"
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:3
+msgid ""
+"Draws an animation of sprinkling fire-like 3D triangles in a landscape "
+"filled with trees. Requires OpenGL, and a machine with fast hardware support "
+"for texture maps. Written by Eric Lassauge &lt;lassauge@users.sourceforge."
+"net&gt;."
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:5 ../hacks/config/glmatrix.xml.h:9
+msgid "Fog"
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:7
+msgid "GLForestFire"
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:8
+msgid "Huge Fire"
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:9
+msgid "No shadow"
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:11
+msgid "Number of trees"
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:12
+msgid "Rain"
+msgstr ""
+
+#: ../hacks/config/glforestfire.xml.h:17
+msgid "Track mouse"
+msgstr ""
+
+#: ../hacks/config/glhanoi.xml.h:1
+msgid "Enable fog"
+msgstr ""
+
+#: ../hacks/config/glhanoi.xml.h:2
+msgid "Enable lighting"
+msgstr ""
+
+#: ../hacks/config/glhanoi.xml.h:4
+msgid "Frame Delay (us)"
+msgstr ""
+
+#: ../hacks/config/glhanoi.xml.h:5
+msgid "GLHanoi"
+msgstr ""
+
+#: ../hacks/config/glhanoi.xml.h:6
+msgid "Number of Disks"
+msgstr ""
+
+#: ../hacks/config/glhanoi.xml.h:9
+msgid ""
+"Solves the Towers of Hanoi puzzle. Move N disks from one pole to another, "
+"one disk at a time, with no disk ever resting on a disk smaller than itself. "
+"Written by Dave Atkinson."
+msgstr ""
+
+#: ../hacks/config/glknots.xml.h:4
+msgid "GLKnots"
+msgstr ""
+
+#: ../hacks/config/glknots.xml.h:5
+msgid ""
+"Generates some twisting 3d knot patterns. Spins 'em around. Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: ../hacks/config/glknots.xml.h:7 ../hacks/config/lavalite.xml.h:17
+#: ../hacks/config/spheremonics.xml.h:9
+msgid "Resolution"
+msgstr ""
+
+#: ../hacks/config/glknots.xml.h:15
+msgid "Segmented"
+msgstr ""
+
+#: ../hacks/config/glknots.xml.h:18 ../hacks/config/lavalite.xml.h:28
+#: ../hacks/config/xmountains.xml.h:26
+msgid "Smooth"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:2 ../hacks/config/xmatrix.xml.h:1
+msgid "Binary Encoding"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:4
+msgid "Draw Glyphs"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:5
+msgid "Draw Outlines"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:6
+msgid "Draw Solid Boxes"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:7
+msgid ""
+"Draws 3D dropping characters similar to what is seen in the title sequence "
+"of \"The Matrix\". See also \"xmatrix\" for a 2D rendering of the similar "
+"effect that appeared on the computer monitors actually *in* the movie. "
+"Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:10
+msgid "GLMatrix"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:11 ../hacks/config/xmatrix.xml.h:7
+msgid "Genetic Encoding"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:12
+msgid "Glyph Density"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:13
+msgid "Glyph Speed"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:14 ../hacks/config/xmatrix.xml.h:8
+msgid "Hexadecimal Encoding"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:15 ../hacks/config/xmatrix.xml.h:11
+msgid "Matrix Encoding"
+msgstr ""
+
+#: ../hacks/config/glmatrix.xml.h:16
+msgid "Panning"
+msgstr ""
+
+#: ../hacks/config/glplanet.xml.h:1
+msgid ""
+"Draws a planet bouncing around in space. Written by David Konerding. The "
+"built-in image is a map of the earth (extracted from `xearth'), but you can "
+"wrap any texture around the sphere, e.g., the planetary textures that come "
+"with `ssystem'."
+msgstr ""
+
+#: ../hacks/config/glplanet.xml.h:3
+msgid "GLPlanet"
+msgstr ""
+
+#: ../hacks/config/glplanet.xml.h:4
+msgid "Image File"
+msgstr ""
+
+#: ../hacks/config/glplanet.xml.h:5
+msgid "Roll"
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:4 ../hacks/config/rd-bomb.xml.h:5
+#: ../hacks/config/substrate.xml.h:4 ../hacks/config/xplanet.xml.h:4
+#, no-c-format
+msgid "100%"
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:5 ../hacks/config/glsnake.xml.h:2
+#: ../hacks/config/mirrorblob.xml.h:2
+msgid "30 Seconds"
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:8
+#, no-c-format
+msgid "50%"
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:9
+msgid "Always show at least this much of the image:"
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:10 ../hacks/config/mirrorblob.xml.h:6
+msgid "Crossfade Duration:"
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:11
+msgid "Frame Rate:"
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:12
+msgid "GLSlideshow"
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:15
+msgid ""
+"Loads a random sequence of images and smoothly scans and zooms around in "
+"each, fading from pan to pan. To tell it where to find the images to "
+"display, go to the \"Advanced\" tab on the Screensaver Preferences window. "
+"Select \"Choose Random Images\", and enter your image directory in the text "
+"field right below that. (Note: not the the \"Advanced\" button at the bottom "
+"of this window: the tab at the top of the *other* window.) This program "
+"requires a good video card capable of supporting large textures. Written by "
+"Jamie Zawinski and Mike Oliphant."
+msgstr ""
+
+#: ../hacks/config/glslideshow.xml.h:18
+msgid "Pan/Zoom Duration:"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:1 ../hacks/config/lavalite.xml.h:1
+msgid "1"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:3
+msgid "Angular Velocity"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:4
+msgid ""
+"Draws a simulation of the Rubik's Snake puzzle. Written by Jamie Wilkinson, "
+"Andrew Bennetts, and Peter Aylett."
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:7
+msgid "GlSnake"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:8
+msgid "Loose"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:9
+msgid "Packing"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:11
+msgid "Show Titles"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:14
+msgid "Tight"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:16
+msgid "Y Angular Velocity"
+msgstr ""
+
+#: ../hacks/config/glsnake.xml.h:17
+msgid "Z Angular Velocity"
+msgstr ""
+
+#: ../hacks/config/gltext.xml.h:1
+msgid "Always face front"
+msgstr ""
+
+#: ../hacks/config/gltext.xml.h:2
+msgid ""
+"Displays a few lines of text spinning around in a solid 3D font. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/gltext.xml.h:5
+msgid "GLText"
+msgstr ""
+
+#: ../hacks/config/gltext.xml.h:6
+msgid "Program"
+msgstr ""
+
+#: ../hacks/config/gltext.xml.h:18
+msgid "Spin all the way around"
+msgstr ""
+
+#: ../hacks/config/gltext.xml.h:19 ../hacks/config/noseguy.xml.h:6
+msgid "Text"
+msgstr ""
+
+#: ../hacks/config/goban.xml.h:1
+msgid "Goban"
+msgstr ""
+
+#. #### write me
+#: ../hacks/config/goban.xml.h:3
+msgid ""
+"Replays historical games of go (aka wei-chi and baduk) on the screen. By "
+"Scott Draves. You can find it at &lt;http://www.draves.org/goban/&gt;."
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:1
+msgid "Additive Colors (reflected light)"
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:2
+msgid "Blob Count"
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:3
+msgid "Elasticity"
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:5
+msgid "Goop"
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:8
+msgid "Opaque Blobs"
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:12
+msgid "Speed Limit"
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:13
+msgid "Subtractive Colors (transmitted light)"
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:14
+msgid ""
+"This draws set of animating, transparent, amoeba-like blobs. The blobs "
+"change shape as they wander around the screen, and they are translucent, so "
+"you can see the lower blobs through the higher ones, and when one passes "
+"over another, their colors merge. I got the idea for this from a cool mouse "
+"pad I have, which achieves the same kind of effect in real life by having "
+"several layers plastic with colored oil between them. Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:15
+msgid "Transparent Blobs"
+msgstr ""
+
+#: ../hacks/config/goop.xml.h:16
+msgid "XOR Blobs"
+msgstr ""
+
+#: ../hacks/config/grav.xml.h:3
+msgid "Grav"
+msgstr ""
+
+#: ../hacks/config/grav.xml.h:6
+msgid "Object Trails"
+msgstr ""
+
+#: ../hacks/config/grav.xml.h:7
+msgid "Orbital Decay"
+msgstr ""
+
+#: ../hacks/config/grav.xml.h:10
+msgid ""
+"This program draws a simple orbital simulation. If you turn on trails, it "
+"looks kind of like a cloud-chamber photograph. Written by Greg Bowering."
+msgstr ""
+
+#: ../hacks/config/greynetic.xml.h:2
+msgid "Greynetic"
+msgstr ""
+
+#: ../hacks/config/greynetic.xml.h:5
+msgid ""
+"This draws random colored and stippled rectangles. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:1
+msgid "Delay (Large = low cpu load)"
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:2
+msgid "Dot fill factor"
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:3
+msgid "Dot size"
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:4
+msgid ""
+"Draws the gravity force in each point on the screen seen through a halftone "
+"dot pattern. The gravity force is calculated from a set of moving mass "
+"points. View it from a distance for best effect. Written by Peter Jaric &lt;"
+"peter@jaric.org&gt;."
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:5
+msgid "Gravity points"
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:6
+msgid "Halftone"
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:10
+msgid "Maximum mass"
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:11
+msgid "Maximum speed"
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:12
+msgid "Minimum mass"
+msgstr ""
+
+#: ../hacks/config/halftone.xml.h:13
+msgid "Minimum speed"
+msgstr ""
+
+#: ../hacks/config/halo.xml.h:1
+msgid "Animate Circles"
+msgstr ""
+
+#: ../hacks/config/halo.xml.h:3
+msgid "Halo"
+msgstr ""
+
+#: ../hacks/config/halo.xml.h:5
+msgid "Number of Circles"
+msgstr ""
+
+#: ../hacks/config/halo.xml.h:7
+msgid "Ramp Mode"
+msgstr ""
+
+#: ../hacks/config/halo.xml.h:9
+msgid "Seuss Mode"
+msgstr ""
+
+#. #### -no-cycle
+#: ../hacks/config/halo.xml.h:13
+msgid ""
+"This draws trippy psychedelic circular patterns that hurt to look at. It can "
+"also animate the control-points, but that takes a lot of CPU and bandwidth. "
+"Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/helix.xml.h:4
+msgid "Helix"
+msgstr ""
+
+#: ../hacks/config/helix.xml.h:5
+msgid ""
+"This repeatedly generates spirally string-art-ish patterns. Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:3
+msgid "EJK1"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:4
+msgid "EJK2"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:5
+msgid "EJK3"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:6
+msgid "EJK4"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:7
+msgid "EJK5"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:8
+msgid "EJK6"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:11
+msgid "Hopalong"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:12
+msgid "Jong"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:16
+msgid "Martin"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:19
+msgid "RR"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:20
+msgid "Sine"
+msgstr ""
+
+#: ../hacks/config/hopalong.xml.h:24
+msgid ""
+"This draws lacy fractal patterns, based on iteration in the imaginary plane, "
+"from a 1986 Scientific American article. Mostly written by Patrick Naughton."
+msgstr ""
+
+#: ../hacks/config/hyperball.xml.h:3
+msgid "Hyperball"
+msgstr ""
+
+#: ../hacks/config/hyperball.xml.h:4
+msgid ""
+"Hyperball is to hypercube as dodecahedron is to cube: this displays a 2D "
+"projection of the sequence of 3D objects which are the projections of the 4D "
+"analog to the dodecahedron. Technically, it is a \"120 cell polytope.\" "
+"Written by Joe Keane. See also the \"polytopes\" hack for a more general "
+"version of this using OpenGL."
+msgstr ""
+
+#: ../hacks/config/hyperball.xml.h:8 ../hacks/config/hypercube.xml.h:11
+msgid "XW Rotation"
+msgstr ""
+
+#: ../hacks/config/hyperball.xml.h:9 ../hacks/config/hypercube.xml.h:12
+msgid "XY Rotation"
+msgstr ""
+
+#: ../hacks/config/hyperball.xml.h:10 ../hacks/config/hypercube.xml.h:13
+msgid "XZ Rotation"
+msgstr ""
+
+#: ../hacks/config/hyperball.xml.h:11 ../hacks/config/hypercube.xml.h:14
+msgid "YW Rotation"
+msgstr ""
+
+#: ../hacks/config/hyperball.xml.h:12 ../hacks/config/hypercube.xml.h:15
+msgid "YZ Rotation"
+msgstr ""
+
+#: ../hacks/config/hyperball.xml.h:13 ../hacks/config/hypercube.xml.h:16
+msgid "ZW Rotation"
+msgstr ""
+
+#: ../hacks/config/hypercube.xml.h:4
+msgid "Hypercube"
+msgstr ""
+
+#. #### -color7 [#00FFD0]
+#: ../hacks/config/hypercube.xml.h:10
+msgid ""
+"This displays 2D projections of the sequence of 3D objects which are the "
+"projections of the 4D analog to the cube: as a square is composed of four "
+"lines, each touching two others; and a cube is composed of six squares, each "
+"touching four others; a hypercube is composed of eight cubes, each touching "
+"six others. To make it easier to visualize the rotation, it uses a different "
+"color for the edges of each face. Don't think about it too long, or your "
+"brain will melt. Written by Joe Keane, Fritz Mueller, and Jamie Zawinski. "
+"See also the \"polytopes\" hack for a more general version of this using "
+"OpenGL."
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:1 ../hacks/config/polytopes.xml.h:1
+msgid "-4.0"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:2 ../hacks/config/polytopes.xml.h:5
+msgid "4.0"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:3
+msgid "4D Hypertorus"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:4
+msgid "Color Wheel"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:5 ../hacks/config/polytopes.xml.h:10
+msgid "Display Speed"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:7 ../hacks/config/polytopes.xml.h:12
+msgid "Orthographic 3d"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:8 ../hacks/config/polytopes.xml.h:13
+msgid "Orthographic 4d"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:9 ../hacks/config/polytopes.xml.h:14
+msgid "Perspective 3d"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:10 ../hacks/config/polytopes.xml.h:15
+msgid "Perspective 4d"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:11
+msgid "See-Through Bands"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:12
+msgid "See-Through Spirals (1 Spiral)"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:13
+msgid "See-Through Spirals (16 Spirals)"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:14
+msgid "See-Through Spirals (2 Spirals)"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:15
+msgid "See-Through Spirals (4 Spirals)"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:16
+msgid "See-Through Spirals (8 Spirals)"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:19
+msgid "Solid Object"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:20 ../hacks/config/mirrorblob.xml.h:18
+#: ../hacks/config/polytopes.xml.h:21 ../hacks/config/pulsar.xml.h:16
+msgid "Solid Surface"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:21
+msgid ""
+"This program shows a rotating Clifford Torus: a torus lying on the \"surface"
+"\" of a 4D hypersphere. Written by Carsten Steger, inspired by Thomas "
+"Banchoff's book \"Beyond the Third Dimension: Geometry, Computer Graphics, "
+"and Higher Dimensions\", Scientific American Library, 1990."
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:22 ../hacks/config/polytopes.xml.h:23
+msgid "Transparent Surface"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:23
+msgid "Two-Sided"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:24 ../hacks/config/polytopes.xml.h:24
+msgid "WX Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:25 ../hacks/config/polytopes.xml.h:25
+msgid "WY Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:26 ../hacks/config/polytopes.xml.h:26
+msgid "WZ Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:27 ../hacks/config/polytopes.xml.h:27
+msgid "Wireframe Mesh"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:28 ../hacks/config/polytopes.xml.h:28
+msgid "XY Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:29 ../hacks/config/polytopes.xml.h:29
+msgid "XZ Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/hypertorus.xml.h:30 ../hacks/config/polytopes.xml.h:30
+msgid "YZ Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:1
+msgid "2"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:2
+msgid "Blend"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:3
+msgid "Detail"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:5
+msgid "Function"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:6
+msgid "Functions"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:7
+msgid "IFS"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:9
+msgid "Number of Colours"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:11 ../hacks/config/phosphor.xml.h:7
+msgid "Scale"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:12
+msgid "Single"
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:15
+msgid ""
+"This one draws spinning, colliding iterated-function-system images. Note "
+"that the \"quality\" parameter is exponential. Number of points drawn is "
+"functions^detail. The number of colours is only used in Blend mode to "
+"provide a palette to create the base colours. These are then blended "
+"together in a non-colourmap friendly fashion. Written by Chris Le Sueur."
+msgstr ""
+
+#: ../hacks/config/ifs.xml.h:16
+msgid "Translate"
+msgstr ""
+
+#: ../hacks/config/imsmap.xml.h:3
+msgid "Brightness Gradients"
+msgstr ""
+
+#: ../hacks/config/imsmap.xml.h:7
+msgid "Hue Gradients"
+msgstr ""
+
+#: ../hacks/config/imsmap.xml.h:8
+msgid "IMSmap"
+msgstr ""
+
+#: ../hacks/config/imsmap.xml.h:12
+msgid "Saturation Gradients"
+msgstr ""
+
+#: ../hacks/config/imsmap.xml.h:14
+msgid ""
+"This generates random cloud-like patterns. It looks quite different in "
+"monochrome and color. The basic idea is to take four points on the edge of "
+"the image, and assign each a random ``elevation''. Then find the point "
+"between them, and give it a value which is the average of the other four, "
+"plus some small random offset. Then coloration is done based on elevation. "
+"The color selection is done by binding the elevation to either hue, "
+"saturation, or brightness, and assigning random values to the others. The "
+"``brightness'' mode tends to yield cloudlike patterns, and the others tend "
+"to generate images that look like heat-maps or CAT-scans. Written by Juergen "
+"Nickelsen and Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/interaggregate.xml.h:2
+msgid "Interaggregate"
+msgstr ""
+
+#: ../hacks/config/interaggregate.xml.h:3
+#: ../hacks/config/intermomentary.xml.h:3
+msgid "Number of Discs"
+msgstr ""
+
+#: ../hacks/config/interaggregate.xml.h:6
+msgid ""
+"The Intersection Aggregate is a fun visualization defining the relationships "
+"between objects with Casey Reas, William Ngan, and Robert Hodgin. "
+"Commissioned for display at the Whitney Museum of American Art. A surface "
+"filled with 100 medium to small sized circles. Each circle has a different "
+"size and direction, but moves at the same slow rate. Display: A. The "
+"instantaneous intersections of the circles. B. The aggregate intersections "
+"of the circles. Ported to XScreensaver from the art project \"InterAggregate"
+"\" at http://www.complexification.net"
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:1 ../hacks/config/rotzoomer.xml.h:1
+msgid "0"
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:2
+msgid "360"
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:3
+msgid "Anim Speed"
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:4
+msgid ""
+"Another color-field hack, this one works by computing decaying sinusoidal "
+"waves, and allowing them to interfere with each other as their origins move. "
+"Written by Hannu Mallat."
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:10
+msgid "Hue"
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:11
+msgid "Interference"
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:14 ../hacks/config/t3d.xml.h:9
+#: ../hacks/config/xearth.xml.h:11 ../hacks/config/zoom.xml.h:5
+msgid "Magnification"
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:17
+msgid "Number of Waves"
+msgstr ""
+
+#: ../hacks/config/interference.xml.h:21
+msgid "Wave Size"
+msgstr ""
+
+#: ../hacks/config/intermomentary.xml.h:2
+msgid "Intermomentary"
+msgstr ""
+
+#: ../hacks/config/intermomentary.xml.h:6
+msgid ""
+"The Intersection Momentary is a fun visualization defining the relationships "
+"between objects with Casey Reas, William Ngan, and Robert Hodgin. "
+"Commissioned for display at the Whitney Museum of American Art. A surface "
+"filled with 100 medium to small sized circles. Each circle has a different "
+"size and direction, but moves at the same slow rate. Display: A. The "
+"instantaneous intersections of the circles. B. The aggregate intersections "
+"of the circles. Ported to XScreensaver from the art project \"InterMomentary"
+"\" at http://www.complexification.net"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:2
+msgid "Chrome"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:3
+msgid "Clown barf"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:5
+msgid "Cycle"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:7
+msgid "Flower box"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:9
+msgid "Inertial damping"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:10
+msgid "JigglyPuff"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:14
+msgid "Rotation speed"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:17 ../hacks/config/sphere.xml.h:7
+msgid "Sphere"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:18
+msgid "Sphere strength"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:19
+msgid "Spookiness"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:20
+msgid "Spoooooky"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:21 ../hacks/config/polyhedra.xml.h:148
+#: ../hacks/config/sballs.xml.h:16
+msgid "Tetrahedron"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:22
+msgid ""
+"This little gem does bad things with quasi-spherical objects. The gist of it "
+"is that you have what is, structurally, a tetrahedron with tesselated faces. "
+"the vertices on these faces have forces on them in the form of one "
+"proportional to their distance from the surface of a sphere, and one which "
+"is proportional to how far they differ from some ideal distance from their "
+"neighbors. They also have inertia. The forces and distance are parameters "
+"and there are also a couple of visual parameters. The resulting effect can "
+"range from a shape that does nothing, to a frenetic polygon storm. Somewhere "
+"in between there it usually manifests as a blob that jiggles in a kind of "
+"disturbing manner. woo. It doesn't matter, however. You should just pick "
+"'random'. It overrides all the other options, except for fps, delay and "
+"complexity. By Keith Macleod"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:23
+msgid "Vertex-vertex behavior"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:24
+msgid "Vertex-vertex force"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:26
+msgid "collapse"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:27
+msgid "expand"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:28
+msgid "none"
+msgstr ""
+
+#: ../hacks/config/jigglypuff.xml.h:29
+msgid "strong"
+msgstr ""
+
+#: ../hacks/config/jigsaw.xml.h:4
+msgid "Jigsaw"
+msgstr ""
+
+#: ../hacks/config/jigsaw.xml.h:6
+msgid "Solved Duration"
+msgstr ""
+
+#: ../hacks/config/jigsaw.xml.h:8
+msgid ""
+"This grabs a screen image, carves it up into a jigsaw puzzle, shuffles it, "
+"and then solves the puzzle. This works especially well when you feed it an "
+"external video signal instead of letting it grab the screen image (actually, "
+"I guess this is generally true...) When it is grabbing a video image, it is "
+"sometimes pretty hard to guess what the image is going to look like once the "
+"puzzle is solved. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:1
+msgid "Draws a juggling stick-man. Written by Tim Auckland."
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:3
+msgid "Juggle"
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:6
+msgid "Performance Length"
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:11
+msgid "Use Pattern "
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:12
+msgid "turn on/off Balls."
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:13
+msgid "turn on/off Bowling Balls."
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:14
+msgid "turn on/off Clubs."
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:15
+msgid "turn on/off Flaming Torches."
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:16
+msgid "turn on/off Knives."
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:17
+msgid "turn on/off Rings."
+msgstr ""
+
+#: ../hacks/config/juggle.xml.h:18
+msgid "turn on/off pattern descriptions."
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:1
+msgid ""
+"3D simulation of a juggler performing with balls, clubs and rings. Written "
+"by Brian Apps and partially based on his Win32 Juggle Saver program."
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:3
+msgid "Juggler Horizontal Speed"
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:4
+msgid "Juggler Spin Speed"
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:5
+msgid "Juggler3D"
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:6
+msgid "Juggling Speed"
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:7
+msgid "Max Height"
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:8
+msgid "Max Objects"
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:9
+msgid "Min Height"
+msgstr ""
+
+#: ../hacks/config/juggler3d.xml.h:10
+msgid "Min Objects"
+msgstr ""
+
+#: ../hacks/config/julia.xml.h:4 ../hacks/config/rorschach.xml.h:4
+msgid "Iterations"
+msgstr ""
+
+#: ../hacks/config/julia.xml.h:5
+msgid "Julia"
+msgstr ""
+
+#: ../hacks/config/julia.xml.h:12
+msgid ""
+"This one draws spinning, animating (are you detecting a pattern here yet?) "
+"explorations of the Julia set. You've probably seen static images of this "
+"fractal form before, but it's a lot of fun to watch in motion as well. One "
+"interesting thing is that there is a small swinging dot passing in front of "
+"the image, which indicates the control point from which the rest of the "
+"image was generated. Written by Sean McCullough."
+msgstr ""
+
+#. #### -spring_constant [5]
+#: ../hacks/config/kaleidescope.xml.h:2
+msgid ""
+"Another clone of an ancient meme, consisting largely of frenetic rotational "
+"motion of colored lines. This one is by Ron Tapia. The motion is nice, but I "
+"think it needs more solids, or perhaps just brighter colors. More variations "
+"in the rotational speed might help, too."
+msgstr ""
+
+#: ../hacks/config/kaleidescope.xml.h:5
+msgid "Kaleidescope"
+msgstr ""
+
+#: ../hacks/config/kaleidescope.xml.h:7 ../hacks/config/qix.xml.h:18
+msgid "Segments"
+msgstr ""
+
+#: ../hacks/config/kaleidescope.xml.h:10
+msgid "Symmetry"
+msgstr ""
+
+#: ../hacks/config/kaleidescope.xml.h:11
+msgid "Trails"
+msgstr ""
+
+#: ../hacks/config/klein.xml.h:3
+msgid "Klein"
+msgstr ""
+
+#: ../hacks/config/klein.xml.h:10
+msgid ""
+"This draws a visualization of a Klein bottle or some other interesting "
+"parametric surfaces. Written by Andrey Mirtchovski."
+msgstr ""
+
+#: ../hacks/config/klein.xml.h:11
+msgid "Use Randomized Surfaces and Primitives"
+msgstr ""
+
+#: ../hacks/config/klein.xml.h:12
+msgid "Wander Around the Screen"
+msgstr ""
+
+#: ../hacks/config/kumppa.xml.h:5
+msgid "Kumppa"
+msgstr ""
+
+#: ../hacks/config/kumppa.xml.h:7
+msgid "Randomize"
+msgstr ""
+
+#: ../hacks/config/kumppa.xml.h:10
+msgid ""
+"Spiraling, spinning, and very, very fast splashes of color rush toward the "
+"screen. Written by Teemu Suutari."
+msgstr ""
+
+#: ../hacks/config/lament.xml.h:1
+msgid ""
+"Animates a simulation of Lemarchand's Box, repeatedly solving itself. "
+"Requires OpenGL, and a machine with fast hardware support for texture maps. "
+"Warning: occasionally opens doors. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/lament.xml.h:3
+msgid "Lament"
+msgstr ""
+
+#: ../hacks/config/laser.xml.h:4
+msgid "Laser"
+msgstr ""
+
+#: ../hacks/config/laser.xml.h:7
+msgid ""
+"Moving radiating lines, that look vaguely like scanning laser beams. Written "
+"by Pascal Pensa. (Frankie say: relax.)"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:2 ../hacks/config/xmountains.xml.h:2
+msgid "10"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:4
+msgid "Classic Lavalite"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:5
+msgid "Cone Lavalite"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:8
+msgid ""
+"Draws a 3D Simulation a Lava Lite(r): odd-shaped blobs of a mysterious "
+"substance are heated, slowly rise to the top of the bottle, and then drop "
+"back down as they cool. This program requires OpenGL and a fairly fast "
+"machine (both CPU and 3D performance.) Written by Jamie Zawinski. \"LAVA LITE"
+"(r) and the configuration of the LAVA(r) brand motion lamp are registered "
+"trademarks of Haggerty Enterprises, Inc. The configuration of the globe and "
+"base of the motion lamp are registered trademarks of Haggerty Enterprises, "
+"Inc. in the U.S.A. and in other countries around the world.\""
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:9
+msgid "Faceted"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:11
+msgid "Giant Lavalite"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:13
+msgid "LavaLite"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:15
+msgid "Max Blobs"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:16
+msgid "Random Lamp Style"
+msgstr ""
+
+#: ../hacks/config/lavalite.xml.h:18
+msgid "Rocket Lavalite"
+msgstr ""
+
+#: ../hacks/config/lightning.xml.h:2
+msgid "Lightning"
+msgstr ""
+
+#: ../hacks/config/lightning.xml.h:7
+msgid ""
+"This one draws crackling fractal lightning bolts. It's simple, direct, and "
+"to the point. If only it had sound... Written by Keith Romberg."
+msgstr ""
+
+#: ../hacks/config/lisa.xml.h:5
+msgid "Lisa"
+msgstr ""
+
+#: ../hacks/config/lisa.xml.h:11
+msgid "Steps"
+msgstr ""
+
+#: ../hacks/config/lisa.xml.h:12
+msgid ""
+"This draws Lisajous loops, by Caleb Cullen. Remember that device they had "
+"the Phantom Zone prisoners in during their trial in Superman? I think that "
+"was one of these."
+msgstr ""
+
+#: ../hacks/config/lissie.xml.h:1
+msgid ""
+"Another Lissajous figure. This one draws the progress of circular shapes "
+"along a path. Written by Alexander Jolk."
+msgstr ""
+
+#: ../hacks/config/lissie.xml.h:5
+msgid "Lissie"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:1
+msgid "Closed Figures"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:2
+msgid "Control Points"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:4
+msgid "Interpolation Steps"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:5
+msgid "LMorph"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:6
+msgid "Less"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:8
+msgid "More"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:9
+msgid "Open Figures"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:10
+msgid "Open and Closed Figures"
+msgstr ""
+
+#: ../hacks/config/lmorph.xml.h:15
+msgid ""
+"This generates random spline-ish line drawings and morphs between them. "
+"Written by Sverre H. Huseby and Glenn T. Lines."
+msgstr ""
+
+#: ../hacks/config/loop.xml.h:3
+msgid "Loop"
+msgstr ""
+
+#: ../hacks/config/loop.xml.h:10
+msgid ""
+"This one produces loop-shaped colonies that spawn, age, and eventually die. "
+"Written by David Bagley."
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:3
+msgid "Backtracking Generator"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:5 ../hacks/config/slidescreen.xml.h:4
+msgid "Grid Size"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:6
+msgid "Head Toward Exit"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:7
+msgid "Ignorant of Exit Direction"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:8
+msgid "Joining Generator"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:9
+msgid "Maze"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:10
+msgid "Post-Solve Delay"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:11
+msgid "Pre-Solve Delay"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:12
+msgid "Random Generator"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:13
+msgid "Seeding Generator"
+msgstr ""
+
+#: ../hacks/config/maze.xml.h:15
+msgid "Solve Speed"
+msgstr ""
+
+#. #### -surround-color [slateblue]
+#: ../hacks/config/maze.xml.h:17
+msgid ""
+"This is the ancient X maze demo, modified to work with xscreensaver. It "
+"generates a random maze, then solves it with visual feedback. Originally by "
+"Jim Randell; modified by a cast of thousands."
+msgstr ""
+
+#: ../hacks/config/memscroller.xml.h:1
+msgid "Draw Green"
+msgstr ""
+
+#: ../hacks/config/memscroller.xml.h:2
+msgid "Draw Random Numbers"
+msgstr ""
+
+#: ../hacks/config/memscroller.xml.h:3
+msgid "Draw in RGB"
+msgstr ""
+
+#: ../hacks/config/memscroller.xml.h:4
+msgid "Dump Memory"
+msgstr ""
+
+#: ../hacks/config/memscroller.xml.h:6
+msgid "MemScroller"
+msgstr ""
+
+#: ../hacks/config/memscroller.xml.h:9
+msgid ""
+"This draws a dump of its own process memory scrolling across the screen in "
+"three windows at three different rates. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/menger.xml.h:6
+msgid "Menger"
+msgstr ""
+
+#: ../hacks/config/menger.xml.h:19
+msgid ""
+"This draws the three-dimensional variant of the recursive Menger Gasket, a "
+"cube-based fractal object analagous to the Sierpinski Tetrahedron. Written "
+"by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/metaballs.xml.h:1
+msgid "Big"
+msgstr ""
+
+#: ../hacks/config/metaballs.xml.h:2
+msgid ""
+"Draws two dimensional metaballs: overlapping and merging balls with fuzzy "
+"edges. By W.P. van Paassen."
+msgstr ""
+
+#: ../hacks/config/metaballs.xml.h:8
+msgid "MetaBall Movement"
+msgstr ""
+
+#: ../hacks/config/metaballs.xml.h:9
+msgid "MetaBall Radius"
+msgstr ""
+
+#: ../hacks/config/metaballs.xml.h:10
+msgid "MetaBalls"
+msgstr ""
+
+#: ../hacks/config/metaballs.xml.h:13
+msgid "Number of MetaBalls"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:4
+msgid "Blobby"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:5 ../hacks/config/nerverot.xml.h:2
+msgid "Calm"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:7
+msgid ""
+"Draws a wobbly blob that distorts the image behind it. Requires OpenGL "
+"hardware acceleration for nice animation. Written by Jon Dowdall."
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:8
+msgid "Enable Colouring"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:9
+msgid "Enable Reflected Image"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:10
+msgid "Enable Walls"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:12
+msgid "Freaky"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:13
+msgid "MirrorBlob"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:15
+msgid "Offset Texture Coordinates"
+msgstr ""
+
+#: ../hacks/config/mirrorblob.xml.h:21
+msgid "Very Freaky"
+msgstr ""
+
+#: ../hacks/config/mismunch.xml.h:5
+msgid "Mismunch"
+msgstr ""
+
+#: ../hacks/config/mismunch.xml.h:6
+msgid ""
+"Munching errors! This is a creatively broken misimplementation of the "
+"classic munching squares graphics hack. Written by Steven Hazel."
+msgstr ""
+
+#: ../hacks/config/mismunch.xml.h:7
+msgid "One"
+msgstr ""
+
+#: ../hacks/config/mismunch.xml.h:9
+msgid "Simultaneous Squares"
+msgstr ""
+
+#: ../hacks/config/mismunch.xml.h:13 ../hacks/config/munch.xml.h:11
+#: ../hacks/config/qix.xml.h:26
+msgid "XOR"
+msgstr ""
+
+#: ../hacks/config/moebius.xml.h:1
+msgid ""
+"Another M. C. Escher hack by Marcelo Vianna, this one draws ``Moebius Strip "
+"II,'' a GL image of ants walking along the surface of a moebius strip."
+msgstr ""
+
+#: ../hacks/config/moebius.xml.h:2
+msgid "Draw Ants"
+msgstr ""
+
+#: ../hacks/config/moebius.xml.h:4
+msgid "Mesh Floor"
+msgstr ""
+
+#: ../hacks/config/moebius.xml.h:5
+msgid "Moebius"
+msgstr ""
+
+#: ../hacks/config/moebius.xml.h:8
+msgid "Solid Floor"
+msgstr ""
+
+#: ../hacks/config/moebius.xml.h:9 ../hacks/config/qix.xml.h:20
+msgid "Solid Objects"
+msgstr ""
+
+#: ../hacks/config/moire.xml.h:6
+msgid "Moire"
+msgstr ""
+
+#: ../hacks/config/moire.xml.h:8 ../hacks/config/rorschach.xml.h:6
+msgid "Offset"
+msgstr ""
+
+#: ../hacks/config/moire.xml.h:10
+msgid ""
+"This one draws cool circular interference patterns. Most of the circles you "
+"see aren't explicitly rendered, but show up as a result of interactions "
+"between the other pixels that were drawn. Written by Jamie Zawinski, "
+"inspired by Java code by Michael Bayne. As he pointed out, the beauty of "
+"this one is that the heart of the display algorithm can be expressed with "
+"just a pair of loops and a handful of arithmetic, giving it a high ``display "
+"hack metric''."
+msgstr ""
+
+#: ../hacks/config/moire2.xml.h:1
+msgid ""
+"Another example of the fun you can have with moire interference patterns; "
+"this hack generates fields of concentric circles or ovals, and combines the "
+"planes with various operations. The planes are moving independently of one "
+"another, causing the interference lines to ``spray.'' Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: ../hacks/config/moire2.xml.h:4
+msgid "Moire2"
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:3
+msgid "Describe Molecule"
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:5
+msgid "Draw Atomic Bonds"
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:6
+msgid "Draw Atomic Nuclei"
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:7 ../hacks/config/spheremonics.xml.h:2
+msgid "Draw Bounding Box"
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:8
+msgid "Draw Electron Shells"
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:9
+msgid ""
+"Draws several different representations of molecules. Some common molecules "
+"are built in, and it can also read PDB (Protein Data Base) files as input. "
+"Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:12
+msgid "Label Atoms"
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:13
+msgid "Molecule"
+msgstr ""
+
+#: ../hacks/config/molecule.xml.h:14
+msgid "PDB File or Directory"
+msgstr ""
+
+#: ../hacks/config/morph3d.xml.h:1
+msgid ""
+"Another 3d shape-changing GL hack, by Marcelo Vianna. It has the same shiny-"
+"plastic feel as Superquadrics, as many computer-generated objects do..."
+msgstr ""
+
+#: ../hacks/config/morph3d.xml.h:4
+msgid "Morph3D"
+msgstr ""
+
+#: ../hacks/config/mountain.xml.h:3
+msgid ""
+"Generates random 3d plots that look vaguely mountainous. Written by Pascal "
+"Pensa."
+msgstr ""
+
+#: ../hacks/config/mountain.xml.h:5
+msgid "Mountain"
+msgstr ""
+
+#. #### -logminwidth [7]
+#: ../hacks/config/munch.xml.h:2
+msgid ""
+"DATAI 2 ADDB 1,2 ROTC 2,-22 XOR 1,2 JRST .-4 As reported by HAKMEM, in 1962, "
+"Jackson Wright wrote the above PDP-1 code. That code still lives on in this "
+"screenhack, some 35 years later. The number of lines of enclosing code has "
+"increased substantially, however. This version is by Tim Showalter."
+msgstr ""
+
+#: ../hacks/config/munch.xml.h:6
+msgid "Munch"
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:1
+msgid "Blot Count"
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:3
+msgid "Changes"
+msgstr ""
+
+#. #### -max-radius [25]
+#: ../hacks/config/nerverot.xml.h:5
+msgid "Colors"
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:6
+msgid "Crunchiness"
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:8
+msgid ""
+"Draws different shapes composed of nervously vibrating squiggles, as if seen "
+"through a camera operated by a monkey on crack. By Dan Bornstein."
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:11
+msgid "Frequent"
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:18
+msgid "NerveRot"
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:19
+msgid "Nervousness"
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:20 ../hacks/config/pyro.xml.h:12
+msgid "Seldom"
+msgstr ""
+
+#: ../hacks/config/nerverot.xml.h:23
+msgid "Spastic"
+msgstr ""
+
+#: ../hacks/config/noof.xml.h:1
+msgid "Draws some rotatey patterns, using OpenGL. Written by Mark Kilgard."
+msgstr ""
+
+#: ../hacks/config/noof.xml.h:3
+msgid "Noof"
+msgstr ""
+
+#. #### -text-background [?]
+#: ../hacks/config/noseguy.xml.h:2
+msgid ""
+"A little man with a big nose wanders around your screen saying things. The "
+"things which he says are the output of a program or the contents of a file "
+"or URL, as configured on the \"Advanced\" tab of the main Screensaver "
+"Preferences window. By Dan Heller and Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/noseguy.xml.h:3
+msgid "Get Text from File"
+msgstr ""
+
+#: ../hacks/config/noseguy.xml.h:4
+msgid "Get Text from Program"
+msgstr ""
+
+#: ../hacks/config/noseguy.xml.h:5
+msgid "Noseguy"
+msgstr ""
+
+#: ../hacks/config/noseguy.xml.h:7
+msgid "Text File"
+msgstr ""
+
+#: ../hacks/config/noseguy.xml.h:9
+msgid "Use Text Below"
+msgstr ""
+
+#: ../hacks/config/pacman.xml.h:2
+msgid "Pacman"
+msgstr ""
+
+#: ../hacks/config/pacman.xml.h:3
+msgid "Player Size"
+msgstr ""
+
+#: ../hacks/config/pacman.xml.h:4
+msgid ""
+"Simulates a game of Pac-Man on a randomly-created level. Written by Edwin de "
+"Jong."
+msgstr ""
+
+#: ../hacks/config/pedal.xml.h:7
+msgid "Pedal"
+msgstr ""
+
+#. #### -background [black]
+#: ../hacks/config/pedal.xml.h:9
+msgid ""
+"This is sort of a combination spirograph/string-art. It generates a large, "
+"complex polygon, and lets the X server do the bulk of the work by giving it "
+"an even/odd winding rule. Written by Dale Moore, based on some ancient PDP-"
+"11 code."
+msgstr ""
+
+#: ../hacks/config/penetrate.xml.h:1
+msgid "Always play well"
+msgstr ""
+
+#: ../hacks/config/penetrate.xml.h:2
+msgid "Explosions"
+msgstr ""
+
+#: ../hacks/config/penetrate.xml.h:5
+msgid "Penetrate"
+msgstr ""
+
+#: ../hacks/config/penetrate.xml.h:7
+msgid "Start badly, but learn"
+msgstr ""
+
+#: ../hacks/config/penetrate.xml.h:8
+msgid ""
+"This hack simulates the classic arcade game Missile Command. Written by Adam "
+"Miller."
+msgstr ""
+
+#: ../hacks/config/penrose.xml.h:1
+msgid "Draw Ammann Lines"
+msgstr ""
+
+#: ../hacks/config/penrose.xml.h:2
+msgid ""
+"Draws quasiperiodic tilings; think of the implications on modern formica "
+"technology. Written by Timo Korvola. In April 1997, Sir Roger Penrose, a "
+"British math professor who has worked with Stephen Hawking on such topics as "
+"relativity, black holes, and whether time has a beginning, filed a copyright-"
+"infringement lawsuit against the Kimberly-Clark Corporation, which Penrose "
+"said copied a pattern he created (a pattern demonstrating that ``a "
+"nonrepeating pattern could exist in nature'') for its Kleenex quilted toilet "
+"paper. Penrose said he doesn't like litigation but, ``When it comes to the "
+"population of Great Britain being invited by a multinational to wipe their "
+"bottoms on what appears to be the work of a Knight of the Realm, then a last "
+"stand must be taken.'' As reported by News of the Weird #491, 4-jul-1997."
+msgstr ""
+
+#: ../hacks/config/penrose.xml.h:6
+msgid "Penrose"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:2
+msgid "Colony Shape"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:3
+msgid "Death Comes"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:4
+msgid "Diamond"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:6
+msgid "Fertility"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:12
+msgid "Maxium Lifespan"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:13
+msgid "Maxium Rate of Death"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:14
+msgid "Maxium Rate of Growth"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:15
+msgid "Minium Lifespan"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:16
+msgid "Minium Rate of Death"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:17
+msgid "Minium Rate of Growth"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:18
+msgid "Mold Varieties"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:19
+msgid "Offspring"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:20
+msgid "Petri"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:21
+msgid "Quickly"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:24
+msgid "Slowly"
+msgstr ""
+
+#: ../hacks/config/petri.xml.h:26
+msgid "Square"
+msgstr ""
+
+#. #### -mem-throttle [22M]
+#: ../hacks/config/petri.xml.h:28
+msgid ""
+"This simulates colonies of mold growing in a petri dish. Growing colored "
+"circles overlap and leave spiral interference in their wake. Written by Dan "
+"Bornstein."
+msgstr ""
+
+#. #### -font [fixed]
+#: ../hacks/config/phosphor.xml.h:2
+msgid ""
+"Draws a simulation of an old terminal, with large pixels and long-sustain "
+"phosphor. This program is also a fully-functional VT100 emulator! The text "
+"can be the output of a program or the contents of a file or URL, as "
+"configured on the \"Advanced\" tab of the main Screensaver Preferences "
+"window. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/phosphor.xml.h:3
+msgid "Dump pipe"
+msgstr ""
+
+#: ../hacks/config/phosphor.xml.h:6
+msgid "Phosphor"
+msgstr ""
+
+#: ../hacks/config/phosphor.xml.h:11
+msgid "Use PTY"
+msgstr ""
+
+#: ../hacks/config/piecewise.xml.h:1
+msgid "Color shifting speed"
+msgstr ""
+
+#: ../hacks/config/piecewise.xml.h:6
+msgid "Maximum radius"
+msgstr ""
+
+#: ../hacks/config/piecewise.xml.h:7
+msgid "Minimum radius"
+msgstr ""
+
+#: ../hacks/config/piecewise.xml.h:8
+msgid "Piecewise"
+msgstr ""
+
+#: ../hacks/config/piecewise.xml.h:12
+msgid ""
+"This draws a bunch of moving circles which switch from visibility to "
+"invisibility at intersection points. Written by Geoffrey Irving."
+msgstr ""
+
+#: ../hacks/config/pinion.xml.h:1
+msgid "100"
+msgstr ""
+
+#: ../hacks/config/pinion.xml.h:2
+msgid "2000"
+msgstr ""
+
+#: ../hacks/config/pinion.xml.h:4
+msgid ""
+"Draws an interconnected set of gears moving across the screen. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/pinion.xml.h:6
+msgid "Gear Size"
+msgstr ""
+
+#: ../hacks/config/pinion.xml.h:8
+msgid "Max RPM"
+msgstr ""
+
+#: ../hacks/config/pinion.xml.h:9
+msgid "Pinion"
+msgstr ""
+
+#: ../hacks/config/pinion.xml.h:11
+msgid "Scrolling Speed"
+msgstr ""
+
+#: ../hacks/config/pipes.xml.h:1
+msgid "Allow Tight Turns"
+msgstr ""
+
+#: ../hacks/config/pipes.xml.h:2
+msgid "Ball Joints"
+msgstr ""
+
+#: ../hacks/config/pipes.xml.h:3
+msgid "Curved Pipes"
+msgstr ""
+
+#: ../hacks/config/pipes.xml.h:6
+msgid "Fisheye Lens"
+msgstr ""
+
+#. #### -factory [2]
+#: ../hacks/config/pipes.xml.h:8
+msgid "Gadgetry"
+msgstr ""
+
+#. #### -no-rotatepipes
+#: ../hacks/config/pipes.xml.h:10
+msgid ""
+"If you've ever been in the same room with a Windows NT machine, you've "
+"probably seen this GL hack. This version is by Marcelo Vianna."
+msgstr ""
+
+#: ../hacks/config/pipes.xml.h:15
+msgid "Number of Pipe Systems"
+msgstr ""
+
+#: ../hacks/config/pipes.xml.h:16
+msgid "Pipe Fittings"
+msgstr ""
+
+#: ../hacks/config/pipes.xml.h:17
+msgid "Pipes"
+msgstr ""
+
+#: ../hacks/config/pipes.xml.h:21
+msgid "System Length"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:2
+msgid "30 seconds"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:4 ../hacks/config/sballs.xml.h:1
+msgid "Cube"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:5
+msgid "Cubitruncated Cuboctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:6
+msgid "Cuboctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:7
+msgid "Cubohemioctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:8
+msgid "Deltoidal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:9
+msgid "Deltoidal Icositetrahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:10
+msgid "Disdyakisdodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:11
+msgid "Disdyakistriacontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:12
+msgid "Display Random Polyhedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:13
+msgid ""
+"Displays different 3D solids and some information about each. A new solid is "
+"chosen every few seconds. There are 75 uniform polyhedra, plus 5 infinite "
+"sets of prisms and antiprisms; including their duals brings the total to "
+"160. Written by Dr. Zvi Har'El and Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:14
+msgid "Ditrigonal Dodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:15 ../hacks/config/sballs.xml.h:2
+msgid "Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:18
+msgid "Great Cubicuboctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:19
+msgid "Great Deltoidal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:20
+msgid "Great Deltoidal Icositetrahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:21
+msgid "Great Dirhombicosidodecacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:22
+msgid "Great Dirhombicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:23
+msgid "Great Disdyakisdodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:24
+msgid "Great Disdyakistriacontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:25
+msgid "Great Ditrigonal Dodecacronic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:26
+msgid "Great Ditrigonal Dodecicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:27
+msgid "Great Ditrigonal Icosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:28
+msgid "Great Dodecacronic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:29
+msgid "Great Dodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:30
+msgid "Great Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:31
+msgid "Great Dodecahemicosacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:32
+msgid "Great Dodecahemicosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:33
+msgid "Great Dodecahemidodecacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:34
+msgid "Great Dodecahemidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:35
+msgid "Great Dodecicosacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:36
+msgid "Great Dodecicosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:37
+msgid "Great Dodecicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:38
+msgid "Great Hexacronic Icositetrahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:39
+msgid "Great Hexagonal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:40
+msgid "Great Icosacronic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:41
+msgid "Great Icosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:42
+msgid "Great Icosicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:43
+msgid "Great Icosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:44
+msgid "Great Icosihemidodecacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:45
+msgid "Great Icosihemidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:46
+msgid "Great Inverted Pentagonal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:47
+msgid "Great Inverted Snub Icosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:48
+msgid "Great Pentagonal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:49
+msgid "Great Pentagrammic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:50
+msgid "Great Pentakisdodekahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:51
+msgid "Great Retrosnub Icosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:52
+msgid "Great Rhombic Triacontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:53
+msgid "Great Rhombicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:54
+msgid "Great Rhombicuboctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:55
+msgid "Great Rhombidodecacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:56
+msgid "Great Rhombidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:57
+msgid "Great Rhombihexacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:58
+msgid "Great Rhombihexahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:59
+msgid "Great Snub Dodecicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:60
+msgid "Great Snub Icosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:61
+msgid "Great Stellapentakisdodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:62
+msgid "Great Stellated Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:63
+msgid "Great Stellated Truncated Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:64
+msgid "Great Triakisicosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:65
+msgid "Great Triakisoctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:66
+msgid "Great Triambic Icosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:67
+msgid "Great Truncated Cuboctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:68
+msgid "Great Truncated Icosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:69
+msgid "Great Truncated Icosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:70
+msgid "Hexahemioctacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:71 ../hacks/config/sballs.xml.h:5
+msgid "Icosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:72
+msgid "Icosidodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:73
+msgid "Icosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:74
+msgid "Icositruncated Dodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:75
+msgid "Inverted Snub Dodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:76
+msgid "Medial Deltoidal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:77
+msgid "Medial Disdyakistriacontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:78
+msgid "Medial Hexagonal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:79
+msgid "Medial Icosacronic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:80
+msgid "Medial Inverted Pentagonal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:81
+msgid "Medial Pentagonal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:82
+msgid "Medial Rhombic Triacontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:83
+msgid "Medial Triambic Icosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:85 ../hacks/config/sballs.xml.h:7
+msgid "Octahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:86
+msgid "Octahemioctacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:87
+msgid "Octahemioctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:88
+msgid "Pentagonal Antiprism"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:89
+msgid "Pentagonal Deltohedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:90
+msgid "Pentagonal Dipyramid"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:91
+msgid "Pentagonal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:92
+msgid "Pentagonal Icositetrahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:93
+msgid "Pentagonal Prism"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:94
+msgid "Pentagrammic Antiprism"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:95
+msgid "Pentagrammic Concave Deltohedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:96
+msgid "Pentagrammic Crossed Antiprism"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:97
+msgid "Pentagrammic Deltohedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:98
+msgid "Pentagrammic Dipyramid"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:99
+msgid "Pentagrammic Prism"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:100
+msgid "Pentakisdodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:101
+msgid "Polyhedra"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:102
+msgid "Rhombic Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:103
+msgid "Rhombic Triacontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:104
+msgid "Rhombicosacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:105
+msgid "Rhombicosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:106
+msgid "Rhombicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:107
+msgid "Rhombicuboctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:108
+msgid "Rhombidodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:109
+msgid "Show Description"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:112
+msgid "Small Cubicuboctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:113
+msgid "Small Ditrigonal Dodecacronic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:114
+msgid "Small Ditrigonal Dodecicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:115
+msgid "Small Ditrigonal Icosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:116
+msgid "Small Dodecacronic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:117
+msgid "Small Dodecahemicosacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:118
+msgid "Small Dodecahemicosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:119
+msgid "Small Dodecahemidodecacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:120
+msgid "Small Dodecahemidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:121
+msgid "Small Dodecicosacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:122
+msgid "Small Dodecicosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:123
+msgid "Small Dodecicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:124
+msgid "Small Hexacronic Icositetrahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:125
+msgid "Small Hexagonal Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:126
+msgid "Small Hexagrammic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:127
+msgid "Small Icosacronic Hexecontahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:128
+msgid "Small Icosicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:129
+msgid "Small Icosihemidodecacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:130
+msgid "Small Icosihemidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:131
+msgid "Small Retrosnub Icosicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:132
+msgid "Small Rhombidodecacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:133
+msgid "Small Rhombidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:134
+msgid "Small Rhombihexacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:135
+msgid "Small Rhombihexahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:136
+msgid "Small Snub Icosicosidodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:137
+msgid "Small Stellapentakisdodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:138
+msgid "Small Stellated Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:139
+msgid "Small Stellated Truncated Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:140
+msgid "Small Triambic Icosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:141
+msgid "Snub Cube"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:142
+msgid "Snub Dodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:143
+msgid "Snub Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:144
+msgid "Snub Icosidodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:146
+msgid "Stellated Truncated Hexahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:147
+msgid "Tetradyakishexahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:149
+msgid "Tetrahemihexacron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:150
+msgid "Tetrahemihexahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:151
+msgid "Tetrakishexahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:152
+msgid "Triakisicosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:153
+msgid "Triakisoctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:154
+msgid "Triakistetrahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:155
+msgid "Tridyakisicosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:156
+msgid "Truncated Cube"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:157
+msgid "Truncated Cuboctahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:158
+msgid "Truncated Dodecadodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:159
+msgid "Truncated Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:160
+msgid "Truncated Great Dodecahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:161
+msgid "Truncated Icosahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:162
+msgid "Truncated Icosidodechedon"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:163
+msgid "Truncated Octahedron"
+msgstr ""
+
+#: ../hacks/config/polyhedra.xml.h:164
+msgid "Truncated Tetrahedron"
+msgstr ""
+
+#: ../hacks/config/polyominoes.xml.h:3
+msgid "Identical Pieces"
+msgstr ""
+
+#: ../hacks/config/polyominoes.xml.h:7
+msgid "Polyominoes"
+msgstr ""
+
+#: ../hacks/config/polyominoes.xml.h:8
+msgid ""
+"Repeatedly attempts to completely fill a rectangle with irregularly-shaped "
+"puzzle pieces. Written by Stephen Montgomery-Smith."
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:2
+msgid "120-Cell"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:3
+msgid "16-Cell (Hyper-Octahedron)"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:4
+msgid "24-Cell"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:6
+msgid "5-Cell (Hyper-Tetrahedron)"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:7
+msgid "600-Cell"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:8
+msgid "8-Cell (Hypercube / Tesseract)"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:9
+msgid "Colors By 4D Depth"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:17
+msgid "Regular 4D Polytopes"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:19
+msgid "Single Color"
+msgstr ""
+
+#: ../hacks/config/polytopes.xml.h:22
+msgid ""
+"This program shows one of the six regular 4D polytopes rotating in 4D. "
+"Written by Carsten Steger, inspired by H.S.M Coxeter's book \"Regular "
+"Polytopes\", 3rd Edition, Dover Publications, Inc., 1973, and Thomas "
+"Banchoff's book \"Beyond the Third Dimension: Geometry, Computer Graphics, "
+"and Higher Dimensions\", Scientific American Library, 1990."
+msgstr ""
+
+#: ../hacks/config/pong.xml.h:2
+msgid "Pong"
+msgstr ""
+
+#: ../hacks/config/pong.xml.h:6
+msgid ""
+"The pong program simulates an ancient Pong home video game, as well as "
+"various artifacts from displaying it on a color TV set. Written by Jeremy "
+"English and Trevor Blackwell."
+msgstr ""
+
+#: ../hacks/config/popsquares.xml.h:2
+msgid "End color"
+msgstr ""
+
+#: ../hacks/config/popsquares.xml.h:7
+msgid "Start color"
+msgstr ""
+
+#: ../hacks/config/popsquares.xml.h:8
+msgid "Subdivision"
+msgstr ""
+
+#: ../hacks/config/popsquares.xml.h:9
+msgid ""
+"This draws a pop-art-ish looking grid of pulsing colors. By Levi Burton."
+msgstr ""
+
+#: ../hacks/config/popsquares.xml.h:10
+msgid "Twitch"
+msgstr ""
+
+#: ../hacks/config/popsquares.xml.h:11
+msgid "popsquares"
+msgstr ""
+
+#: ../hacks/config/providence.xml.h:1
+msgid "Draw Eye"
+msgstr ""
+
+#: ../hacks/config/providence.xml.h:3
+msgid "Providence"
+msgstr ""
+
+#: ../hacks/config/providence.xml.h:8
+msgid ""
+"The providence code displays an eye, shrouded in glory, set upon the base of "
+"a pyramid. Written by Blair Tennessy."
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:1
+msgid "Anti-alias Lines"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:3
+msgid ""
+"Draws some intersecting planes, making use of alpha blending, fog, textures, "
+"and mipmaps, plus a ``frames per second'' meter so that you can tell how "
+"fast your graphics card is... Requires OpenGL. Written by David Konerding."
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:4
+msgid "Enable Blending"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:5
+msgid "Enable Depth Buffer"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:6
+msgid "Enable Fog"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:7
+msgid "Enable Lighting"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:8
+msgid "Enable Texture Filtering"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:9
+msgid "Enable Texture Mipmaps"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:10
+msgid "Enable Texturing"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:12
+msgid "Pulsar"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:13
+msgid "Quad Count"
+msgstr ""
+
+#: ../hacks/config/pulsar.xml.h:18
+msgid "Texture PPM File"
+msgstr ""
+
+#: ../hacks/config/pyro.xml.h:3
+msgid "Explosive Yield"
+msgstr ""
+
+#: ../hacks/config/pyro.xml.h:6
+msgid "Launch Frequency"
+msgstr ""
+
+#: ../hacks/config/pyro.xml.h:9
+msgid "Particle Density"
+msgstr ""
+
+#: ../hacks/config/pyro.xml.h:10
+msgid "Pyro"
+msgstr ""
+
+#: ../hacks/config/pyro.xml.h:11
+msgid ""
+"Pyro draws exploding fireworks. Blah blah blah. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:1
+msgid "Additive Colors"
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:3
+msgid "Corners"
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:11
+msgid "Line Segments"
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:12
+msgid "Linear Motion"
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:15
+msgid "Max Size"
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:16
+msgid "Qix"
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:17
+msgid "Random Motion"
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:23
+msgid "Subtractive Colors"
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:24
+msgid ""
+"This is the swiss army chainsaw of qix programs. It bounces a series of line "
+"segments around the screen, and uses variations on this basic motion pattern "
+"to produce all sorts of different presentations: line segments, filled "
+"polygons, overlapping translucent areas... Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/qix.xml.h:25
+msgid "Transparent"
+msgstr ""
+
+#: ../hacks/config/queens.xml.h:2
+msgid "Queens"
+msgstr ""
+
+#: ../hacks/config/queens.xml.h:5
+msgid ""
+"Solves the N-Queens problem (where, in this program, N is between 5 and 10 "
+"queens.) The problem is: how may one place N queens on an NxN chessboard "
+"such that no queen can attack a sister? Written by Blair Tennessy."
+msgstr ""
+
+#: ../hacks/config/rd-bomb.xml.h:1
+msgid "/"
+msgstr ""
+
+#: ../hacks/config/rd-bomb.xml.h:3
+#, no-c-format
+msgid "1%"
+msgstr ""
+
+#: ../hacks/config/rd-bomb.xml.h:7
+msgid ""
+"Another variation of the `Bomb' program by Scott Draves. This draws a grid "
+"of growing square-like shapes that, once they overtake each other, react in "
+"unpredictable ways. ``RD'' stands for reaction-diffusion."
+msgstr ""
+
+#: ../hacks/config/rd-bomb.xml.h:8
+msgid "Epoch"
+msgstr ""
+
+#: ../hacks/config/rd-bomb.xml.h:10
+msgid "Fill Screen"
+msgstr ""
+
+#: ../hacks/config/rd-bomb.xml.h:14
+msgid "RD-Bomb"
+msgstr ""
+
+#: ../hacks/config/rd-bomb.xml.h:15
+msgid "Reaction/Difusion"
+msgstr ""
+
+#. #### default is wrong
+#: ../hacks/config/rd-bomb.xml.h:17
+msgid "Seed Radius"
+msgstr ""
+
+#. #### defaults are wrong
+#: ../hacks/config/rd-bomb.xml.h:21 ../hacks/config/twang.xml.h:12
+msgid "Tile Size"
+msgstr ""
+
+#: ../hacks/config/rd-bomb.xml.h:24
+msgid "Wander Speed"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:1
+msgid "Big Drops"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:2
+msgid "Colors    Two"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:3
+msgid "Drizzle"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:6
+msgid "Grab Screen Image"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:7
+msgid "Grayscale"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:8
+msgid "Lighting Effect"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:10
+msgid "Moving Splashes"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:11
+msgid "Psychedelic Colors"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:12
+msgid "Ripples"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:15
+msgid "Small Drops"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:16
+msgid "Storm"
+msgstr ""
+
+#: ../hacks/config/ripples.xml.h:17
+msgid ""
+"This draws rippling interference patterns like splashing water. With the -"
+"water option, it manipulates your desktop image to look like something is "
+"dripping into it. Written by Tom Hammersley."
+msgstr ""
+
+#: ../hacks/config/rocks.xml.h:7
+msgid "Rocks"
+msgstr ""
+
+#: ../hacks/config/rocks.xml.h:10
+msgid "Steering"
+msgstr ""
+
+#. #### -right3d [Red]
+#: ../hacks/config/rocks.xml.h:12
+msgid ""
+"This draws an animation of flight through an asteroid field, with changes in "
+"rotation and direction. It can also display 3D separations for red/blue "
+"glasses! Mostly written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/rocks.xml.h:14
+msgid "Velocity"
+msgstr ""
+
+#: ../hacks/config/rorschach.xml.h:7
+msgid "Rorschach"
+msgstr ""
+
+#: ../hacks/config/rorschach.xml.h:9
+msgid ""
+"This generates random inkblot patterns. The algorithm is deceptively simple "
+"for how well it works; it merely walks a dot around the screen randomly, and "
+"then reflects the image horizontally, vertically, or both. Any deep-seated "
+"neurotic tendencies which this program reveals are your own problem. Written "
+"by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/rorschach.xml.h:10
+msgid "With X Symmetry"
+msgstr ""
+
+#: ../hacks/config/rorschach.xml.h:11
+msgid "With Y Symmetry"
+msgstr ""
+
+#: ../hacks/config/rotor.xml.h:1
+msgid ""
+"Another ancient xlock demo, this one by Tom Lawrence. It draws a line "
+"segment moving along a complex spiraling curve."
+msgstr ""
+
+#: ../hacks/config/rotor.xml.h:4 ../hacks/config/wander.xml.h:9
+msgid "Length"
+msgstr ""
+
+#: ../hacks/config/rotor.xml.h:8
+msgid "Rotor"
+msgstr ""
+
+#: ../hacks/config/rotzoomer.xml.h:2
+msgid "60"
+msgstr ""
+
+#: ../hacks/config/rotzoomer.xml.h:3
+msgid "Animate"
+msgstr ""
+
+#: ../hacks/config/rotzoomer.xml.h:4
+msgid ""
+"Creates a collage of rotated and scaled portions of the screen. Written by "
+"Claudio Matsuoka."
+msgstr ""
+
+#: ../hacks/config/rotzoomer.xml.h:6
+msgid "Rectangle Count"
+msgstr ""
+
+#: ../hacks/config/rotzoomer.xml.h:7
+msgid "RotZoomer"
+msgstr ""
+
+#: ../hacks/config/rotzoomer.xml.h:8
+msgid "Stationary Rectangles"
+msgstr ""
+
+#: ../hacks/config/rotzoomer.xml.h:9
+msgid "Sweeping Arcs"
+msgstr ""
+
+#: ../hacks/config/rotzoomer.xml.h:11
+msgid "Wandering Rectangles"
+msgstr ""
+
+#: ../hacks/config/rubik.xml.h:2
+msgid ""
+"Draws a Rubik's Cube that rotates in three dimensions and repeatedly "
+"shuffles and solves itself. Another fine GL hack by Marcelo Vianna."
+msgstr ""
+
+#: ../hacks/config/rubik.xml.h:5
+msgid "Rubik"
+msgstr ""
+
+#: ../hacks/config/rubik.xml.h:7
+msgid "Show Shuffling"
+msgstr ""
+
+#: ../hacks/config/sballs.xml.h:3
+msgid ""
+"Draws an animation of textured balls spinning like crazy in GL. Requires "
+"OpenGL, and a machine with fast hardware support for texture maps. Written "
+"by Eric Lassauge &lt;lassauge@users.sourceforge.net&gt;."
+msgstr ""
+
+#: ../hacks/config/sballs.xml.h:8
+msgid "Plane"
+msgstr ""
+
+#: ../hacks/config/sballs.xml.h:9
+msgid "Pyramid"
+msgstr ""
+
+#: ../hacks/config/sballs.xml.h:11
+msgid "Sballs"
+msgstr ""
+
+#: ../hacks/config/sballs.xml.h:15
+msgid "Star"
+msgstr ""
+
+#: ../hacks/config/shadebobs.xml.h:9
+msgid "ShadeBobs"
+msgstr ""
+
+#: ../hacks/config/shadebobs.xml.h:13
+msgid ""
+"This draws smoothly-shaded oscillating oval patterns, that look something "
+"like vapor trails or neon tubes. Written by Shane Smit."
+msgstr ""
+
+#: ../hacks/config/sierpinski.xml.h:6
+msgid "Sierpinski"
+msgstr ""
+
+#: ../hacks/config/sierpinski.xml.h:10
+msgid ""
+"This draws the two-dimensional variant of the recursive Sierpinski triangle "
+"fractal. Written by Desmond Daignault."
+msgstr ""
+
+#: ../hacks/config/sierpinski3d.xml.h:7
+msgid "Sierpinski3D"
+msgstr ""
+
+#: ../hacks/config/sierpinski3d.xml.h:11
+msgid ""
+"This draws the three-dimensional variant of the recursive Sierpinski "
+"triangle fractal, using GL. Written by Tim Robinson and Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/slidescreen.xml.h:1 ../hacks/config/twang.xml.h:1
+#: ../hacks/config/zoom.xml.h:1
+msgid "Border Width"
+msgstr ""
+
+#. #### -delay2 [1000000]
+#: ../hacks/config/slidescreen.xml.h:6
+msgid "Slide Speed"
+msgstr ""
+
+#: ../hacks/config/slidescreen.xml.h:7
+msgid "SlideScreen"
+msgstr ""
+
+#: ../hacks/config/slidescreen.xml.h:11
+msgid ""
+"This takes an image, divides it into a grid, and then randomly shuffles the "
+"squares around as if it was one of those annoying ``16-puzzle'' games, where "
+"there is a grid of squares, one of which is missing. I hate trying to solve "
+"those puzzles, but watching one permute itself is more amusing. Written by "
+"Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/slip.xml.h:6
+msgid "Slip"
+msgstr ""
+
+#: ../hacks/config/slip.xml.h:10
+msgid ""
+"This program throws some random bits on the screen, then sucks them through "
+"a jet engine and spews them out the other side. To avoid turning the image "
+"completely to mush, every now and then it will and then it interjects some "
+"splashes of color into the scene, or go into a spin cycle, or stretch the "
+"image like taffy, or (this is my addition) grab an image of your current "
+"desktop to chew on. Originally written by Scott Draves; whacked on by Jamie "
+"Zawinski."
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:1
+msgid "Ping known hosts"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:2
+msgid "Ping mode..."
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:3
+msgid "Ping subnet/24 (254 hosts)"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:4
+msgid "Ping subnet/25 (126 hosts)"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:5
+msgid "Ping subnet/26 (62 hosts)"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:6
+msgid "Ping subnet/27 (31 hosts)"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:7
+msgid "Ping subnet/28 (14 hosts)"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:8
+msgid "Ping subnet/29 (6 hosts)"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:9
+msgid "Ping subnet/30 (2 hosts)"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:10
+msgid "Resolve Host Names"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:11
+msgid "Show Ping Times"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:12
+msgid "Simulation Team Members"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:13
+msgid "Sonar"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:14
+msgid "Team A Name"
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:15
+msgid "Team B Name"
+msgstr ""
+
+#. #### -ttl [90]
+#: ../hacks/config/sonar.xml.h:17
+msgid ""
+"This program draws a simulation of a sonar screen. By default, it displays a "
+"random assortment of ``bogies'' on the screen, but if installed as \"setuid "
+"root\", it can ping (pun intended) your local network, and actually plot the "
+"proximity of the other hosts on your network to you. Written by Stephen "
+"Martin and Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/sonar.xml.h:18
+msgid "vs."
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:1
+msgid "Allow Wall Collisions"
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:2
+msgid "Display Crosshair"
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:7
+msgid "Max Velocity"
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:8
+msgid "Mine Shaft"
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:9
+msgid "Present Bonuses"
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:10
+msgid "Rocky Walls"
+msgstr ""
+
+#. #### -psychedelic
+#: ../hacks/config/speedmine.xml.h:13
+msgid ""
+"Simulates speeding down a rocky mineshaft, or a funky dancing worm. Written "
+"by Conrad Parker."
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:17
+msgid "SpeedMine"
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:18
+msgid "Thrust"
+msgstr ""
+
+#: ../hacks/config/speedmine.xml.h:20 ../hacks/config/worm.xml.h:11
+msgid "Worm"
+msgstr ""
+
+#: ../hacks/config/sphere.xml.h:1
+msgid ""
+"Another of the classic screenhacks of the distant past, this one draws "
+"shaded spheres in multiple colors. This hack traces its lineage back to Tom "
+"Duff in 1982."
+msgstr ""
+
+#: ../hacks/config/sphereeversion.xml.h:1
+msgid "SphereEversion"
+msgstr ""
+
+#: ../hacks/config/sphereeversion.xml.h:2
+msgid ""
+"SphereEversion draws an animation of a sphere being turned inside out. A "
+"sphere can be turned inside out, without any tears, sharp creases or "
+"discontinuities, if the surface of the sphere is allowed to intersect "
+"itself. This program animates what is known as the Thurston Eversion. "
+"Written by Nathaniel Thurston and Michael McGuffin. This program is not "
+"included with the XScreenSaver package, but if you don't have it already, "
+"you can find it at &lt;http://www.dgp.utoronto.ca/~mjmcguff/eversion/&gt;."
+msgstr ""
+
+#: ../hacks/config/spheremonics.xml.h:20
+msgid "Smoothed Lines"
+msgstr ""
+
+#: ../hacks/config/spheremonics.xml.h:23
+msgid "Spheremonics"
+msgstr ""
+
+#: ../hacks/config/spheremonics.xml.h:24
+msgid ""
+"These closed objects are commonly called spherical harmonics, although they "
+"are only remotely related to the mathematical definition found in the "
+"solution to certain wave functions, most notable the eigenfunctions of "
+"angular momentum operators. Written by Paul Bourke and Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/spiral.xml.h:2 ../hacks/config/superquadrics.xml.h:2
+msgid "Cycles"
+msgstr ""
+
+#: ../hacks/config/spiral.xml.h:7
+msgid ""
+"Moving circular patterns, by Peter Schmitzberger. Moving circular patterns "
+"means moire; interference patterns, of course."
+msgstr ""
+
+#: ../hacks/config/spiral.xml.h:11
+msgid "Spiral"
+msgstr ""
+
+#: ../hacks/config/spotlight.xml.h:1
+msgid ""
+"Draws a spotlight scanning across a black screen, illuminating the "
+"underlying desktop when it passes. Written by Rick Schultz."
+msgstr ""
+
+#: ../hacks/config/spotlight.xml.h:6
+msgid "Spotlight"
+msgstr ""
+
+#: ../hacks/config/sproingies.xml.h:3
+msgid "Q-Bert meets Marble Madness! Written by Ed Mackey."
+msgstr ""
+
+#: ../hacks/config/sproingies.xml.h:9
+msgid "Sproingies"
+msgstr ""
+
+#. #### -cycle
+#: ../hacks/config/squiral.xml.h:4
+msgid ""
+"Draws a set of interacting, square-spiral-producing automata. The spirals "
+"grow outward until they hit something, then they go around it. Written by "
+"Jeff Epler."
+msgstr ""
+
+#: ../hacks/config/squiral.xml.h:6
+msgid "Handedness"
+msgstr ""
+
+#: ../hacks/config/squiral.xml.h:8
+msgid "Left"
+msgstr ""
+
+#: ../hacks/config/squiral.xml.h:12 ../hacks/config/twang.xml.h:8
+msgid "Randomness"
+msgstr ""
+
+#: ../hacks/config/squiral.xml.h:13
+msgid "Right"
+msgstr ""
+
+#: ../hacks/config/squiral.xml.h:18
+msgid "Squiral"
+msgstr ""
+
+#: ../hacks/config/ssystem.xml.h:1
+msgid "SSystem"
+msgstr ""
+
+#: ../hacks/config/ssystem.xml.h:2
+msgid ""
+"SSystem is a GL Solar System simulator. It simulates flybys of Sun, the nine "
+"planets and a few major satellites, with four camera modes. Written by Raul "
+"Alonso. This is not included with the XScreenSaver package, but is packaged "
+"separately. Note: SSystem does not work as a screen saver on all systems, "
+"because it doesn't communicate with xscreensaver properly. It happens to "
+"work with some window managers, but not with others, so your mileage may "
+"vary. SSystem was once available at &lt;http://www1.las.es/~amil/ssystem/"
+"&gt;, but is now gone. You may still be able to find copies elsewhere. "
+"SSystem has since evolved into Celestia, found at &lt;http://www.shatters."
+"net/celestia/&gt;. Sadly, Celestia does not work with xscreensaver at all. "
+"You are encouraged to nag the authors into adding xscreensaver support!"
+msgstr ""
+
+#: ../hacks/config/stairs.xml.h:6
+msgid "Stairs"
+msgstr ""
+
+#: ../hacks/config/stairs.xml.h:8
+msgid ""
+"by Marcelo Vianna's third Escher GL hack, this one draws an ``infinite'' "
+"staircase."
+msgstr ""
+
+#: ../hacks/config/starfish.xml.h:1
+msgid "Color Gradients"
+msgstr ""
+
+#: ../hacks/config/starfish.xml.h:7
+msgid "Pulsating Blob"
+msgstr ""
+
+#: ../hacks/config/starfish.xml.h:10
+msgid "Starfish"
+msgstr ""
+
+#. #### -no-cycle
+#: ../hacks/config/starfish.xml.h:14
+msgid ""
+"This generates a sequence of undulating, throbbing, star-like patterns which "
+"pulsate, rotate, and turn inside out. Another display mode uses these shapes "
+"to lay down a field of colors, which are then cycled. The motion is very "
+"organic. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:2
+msgid "Anti-aliased Lines"
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:4
+msgid ""
+"Draws a stream of text slowly scrolling into the distance at an angle, over "
+"a star field, like at the beginning of the movie of the same name. The text "
+"can be the output of a program or the contents of a file or URL, as "
+"configured on the \"Advanced\" tab of the main Screensaver Preferences "
+"window. Written by Jamie Zawinski and Claudio Matauoka."
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:5
+msgid "Fade Out"
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:10
+msgid "Scroll Speed"
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:13
+msgid "Star Rotation Speed"
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:14
+msgid "StarWars"
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:18
+msgid "Texture-Mapped Font"
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:19
+msgid "Thick Lines"
+msgstr ""
+
+#: ../hacks/config/starwars.xml.h:20
+msgid "Wrap Long Lines"
+msgstr ""
+
+#: ../hacks/config/stonerview.xml.h:1
+msgid ""
+"Chains of colorful squares dance around each other in complex spiral "
+"patterns. Written by Andrew Plotkin, based on SGI's `electropaint' "
+"screensaver."
+msgstr ""
+
+#: ../hacks/config/stonerview.xml.h:3
+msgid "StonerView"
+msgstr ""
+
+#: ../hacks/config/strange.xml.h:6
+msgid "Strange"
+msgstr ""
+
+#: ../hacks/config/strange.xml.h:7
+msgid ""
+"This draws strange attractors: it's a colorful, unpredictably-animating "
+"field of dots that swoops and twists around. The motion is very nice. "
+"Written by Massimino Pascal."
+msgstr ""
+
+#: ../hacks/config/substrate.xml.h:2 ../hacks/config/xplanet.xml.h:2
+#, no-c-format
+msgid "0%"
+msgstr ""
+
+#: ../hacks/config/substrate.xml.h:5
+msgid "Circle Percentage"
+msgstr ""
+
+#: ../hacks/config/substrate.xml.h:9
+msgid "Initial Cracks"
+msgstr ""
+
+#: ../hacks/config/substrate.xml.h:10
+msgid ""
+"Lines like crystals grow on a computational substrate. A simple "
+"perpendicular growth rule creates intricate city-like structures. By J. "
+"Tarbell and Mike Kershaw."
+msgstr ""
+
+#: ../hacks/config/substrate.xml.h:13
+msgid "Sandgrains"
+msgstr ""
+
+#: ../hacks/config/substrate.xml.h:17
+msgid "Substrate"
+msgstr ""
+
+#: ../hacks/config/substrate.xml.h:18
+msgid "Wireframe only"
+msgstr ""
+
+#: ../hacks/config/superquadrics.xml.h:3
+msgid ""
+"Ed Mackey reports that he wrote the first version of this program in BASIC "
+"on a Commodore 64 in 1987, as a 320x200 black and white wireframe. Now it is "
+"GL and has specular reflections."
+msgstr ""
+
+#: ../hacks/config/superquadrics.xml.h:11
+msgid "Superquadrics"
+msgstr ""
+
+#: ../hacks/config/swirl.xml.h:4
+msgid ""
+"More flowing, swirly patterns. This version is by M. Dobie and R. Taylor, "
+"but you might have seen a Mac program similar to this called FlowFazer. "
+"There is also a cool Java applet of a similar concept."
+msgstr ""
+
+#: ../hacks/config/swirl.xml.h:8
+msgid "Swirl"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:1
+msgid "0 deg"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:2
+msgid "5 Minute Tick Marks"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:3
+msgid "90 deg"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:4
+msgid "Bigger"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:5
+msgid "Cycle Seconds"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:10
+msgid "Minute Tick Marks"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:12
+msgid "Smaller"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:14
+msgid "T3D"
+msgstr ""
+
+#. #### -hsv [?]
+#: ../hacks/config/t3d.xml.h:16
+msgid ""
+"This draws a working analog clock composed of floating, throbbing bubbles. "
+"Written by Bernd Paysan."
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:17
+msgid "Turn Side-to-Side"
+msgstr ""
+
+#: ../hacks/config/t3d.xml.h:18
+msgid "Wobbliness"
+msgstr ""
+
+#: ../hacks/config/tangram.xml.h:3
+msgid ""
+"Lets you watch the computer solve Tangram puzzles Written by Jeremy English."
+msgstr ""
+
+#: ../hacks/config/tangram.xml.h:6
+msgid "Tangram"
+msgstr ""
+
+#: ../hacks/config/tangram.xml.h:7
+msgid "Viewing Time"
+msgstr ""
+
+#: ../hacks/config/tangram.xml.h:9
+msgid "X Camera Rotate"
+msgstr ""
+
+#: ../hacks/config/tangram.xml.h:10
+msgid "Y Camera Rotate"
+msgstr ""
+
+#: ../hacks/config/tangram.xml.h:11
+msgid "Z Camera Rotate"
+msgstr ""
+
+#: ../hacks/config/thornbird.xml.h:1
+msgid ""
+"Displays a view of the ``Bird in a Thornbush'' fractal. Written by Tim "
+"Auckland."
+msgstr ""
+
+#: ../hacks/config/thornbird.xml.h:6
+msgid "Points"
+msgstr ""
+
+#: ../hacks/config/thornbird.xml.h:12
+msgid "Thornbird"
+msgstr ""
+
+#: ../hacks/config/timetunnel.xml.h:1
+msgid "0 sec"
+msgstr ""
+
+#: ../hacks/config/timetunnel.xml.h:2
+msgid "30 sec"
+msgstr ""
+
+#: ../hacks/config/timetunnel.xml.h:4
+msgid "Draw Logo"
+msgstr ""
+
+#: ../hacks/config/timetunnel.xml.h:5
+msgid ""
+"Draws an animation similar to the opening and closing effects on the Dr. Who "
+"television show. Written by Sean P. Brennan."
+msgstr ""
+
+#: ../hacks/config/timetunnel.xml.h:7
+msgid "Run Backward"
+msgstr ""
+
+#: ../hacks/config/timetunnel.xml.h:10
+msgid "Start sequence time"
+msgstr ""
+
+#: ../hacks/config/timetunnel.xml.h:11
+msgid "Timetunnel"
+msgstr ""
+
+#: ../hacks/config/triangle.xml.h:2
+msgid ""
+"Generates random mountain ranges using iterative subdivision of triangles. "
+"Written by Tobias Gloth."
+msgstr ""
+
+#: ../hacks/config/triangle.xml.h:7
+msgid "Triangle"
+msgstr ""
+
+#. #### -anim-step-size [3]
+#: ../hacks/config/truchet.xml.h:5
+msgid ""
+"This draws line- and arc-based Truchet patterns that tile the screen. "
+"Written by Adrian Likins."
+msgstr ""
+
+#: ../hacks/config/truchet.xml.h:6
+msgid "Truchet"
+msgstr ""
+
+#: ../hacks/config/twang.xml.h:2
+msgid ""
+"Divides the screen into a grid, and plucks them. Written by Dan Bornstein."
+msgstr ""
+
+#: ../hacks/config/twang.xml.h:6
+msgid "Jumpy"
+msgstr ""
+
+#: ../hacks/config/twang.xml.h:11
+msgid "Springiness"
+msgstr ""
+
+#: ../hacks/config/twang.xml.h:13
+msgid "Transference"
+msgstr ""
+
+#: ../hacks/config/twang.xml.h:14
+msgid "Twang"
+msgstr ""
+
+#. #### -instring [?]
+#: ../hacks/config/vermiculate.xml.h:2
+msgid "Draws squiggly worm-like paths. Written by Tyler Pierce."
+msgstr ""
+
+#: ../hacks/config/vermiculate.xml.h:3
+msgid "Vermiculate"
+msgstr ""
+
+#: ../hacks/config/vidwhacker.xml.h:2
+msgid "2 seconds"
+msgstr ""
+
+#: ../hacks/config/vidwhacker.xml.h:4
+msgid "Image Directory"
+msgstr ""
+
+#: ../hacks/config/vidwhacker.xml.h:5
+msgid ""
+"This is actually just a shell script that grabs a frame of video from the "
+"system's video input, and then uses some PBM filters (chosen at random) to "
+"manipulate and recombine the video frame in various ways (edge detection, "
+"subtracting the image from a rotated version of itself, etc.) Then it "
+"displays that image for a few seconds, and does it again. This works really "
+"well if you just feed broadcast television into it."
+msgstr ""
+
+#: ../hacks/config/vidwhacker.xml.h:6
+msgid "VidWhacker"
+msgstr ""
+
+#: ../hacks/config/vines.xml.h:6
+msgid ""
+"This one generates a continuous sequence of small, curvy geometric patterns. "
+"It scatters them around your screen until it fills up, then it clears the "
+"screen and starts over. Written by Tracy Camp and David Hansen."
+msgstr ""
+
+#: ../hacks/config/vines.xml.h:8
+msgid "Vines"
+msgstr ""
+
+#: ../hacks/config/wander.xml.h:5
+msgid "Draw Spots"
+msgstr ""
+
+#: ../hacks/config/wander.xml.h:6
+msgid ""
+"Draws a colorful random-walk, in various forms. Written by Rick Campbell."
+msgstr ""
+
+#: ../hacks/config/wander.xml.h:14
+msgid "Sustain"
+msgstr ""
+
+#: ../hacks/config/webcollage.xml.h:1
+msgid "2 min"
+msgstr ""
+
+#: ../hacks/config/webcollage.xml.h:2
+msgid "30 secs"
+msgstr ""
+
+#: ../hacks/config/webcollage.xml.h:3
+msgid "Delay:                    None"
+msgstr ""
+
+#: ../hacks/config/webcollage.xml.h:4
+msgid "Opacity:      Transparent"
+msgstr ""
+
+#: ../hacks/config/webcollage.xml.h:5
+msgid "Overall Filter Program"
+msgstr ""
+
+#: ../hacks/config/webcollage.xml.h:6
+msgid "Per-Image Filter Program"
+msgstr ""
+
+#. <file id="dictionary" _label="Dictionary File" arg="-dictionary %"/>
+#: ../hacks/config/webcollage.xml.h:9
+msgid ""
+"This program makes collages out of random images pulled off of the World "
+"Wide Web. It finds these images by doing random web searches, and then "
+"extracting images from the returned pages. It can also be set up to filter "
+"the images through the `VidWhacker' program. WARNING: THE INTERNET SOMETIMES "
+"CONTAINS PORNOGRAPHY. The Internet being what it is, absolutely anything "
+"might show up in the collage including -- quite possibly -- pornography, or "
+"even nudity. Please act accordingly. Written by Jamie Zawinski."
+msgstr ""
+
+#: ../hacks/config/webcollage.xml.h:10
+msgid "URL Timeout:     2 secs"
+msgstr ""
+
+#: ../hacks/config/webcollage.xml.h:11
+msgid "WebCollage"
+msgstr ""
+
+#: ../hacks/config/whirlwindwarp.xml.h:2
+msgid ""
+"Floating stars are acted upon by a mixture of simple 2D forcefields. The "
+"strength of each forcefield changes continuously, and it is also switched on "
+"and off at random. By Paul 'Joey' Clark."
+msgstr ""
+
+#: ../hacks/config/whirlwindwarp.xml.h:7
+msgid "Trail Size"
+msgstr ""
+
+#: ../hacks/config/whirlwindwarp.xml.h:8
+msgid "WhirlwindWarp"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:1
+msgid "Amplitude"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:2
+msgid "Circle"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:3
+msgid "Draws zooming chains of sinusoidal spots. Written by Ashton Trey Belew."
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:4
+msgid "Explain modes"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:5
+msgid "Fun"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:6
+msgid "Funky"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:7
+msgid "Innie"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:8
+msgid "Leave a trail"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:9
+msgid "Linear"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:11
+msgid "Lissajous"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:15
+msgid "Test"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:16
+msgid "Use Double Buffering"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:17
+msgid "Whirlies"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:18
+msgid "WhirlyGig"
+msgstr ""
+
+#: ../hacks/config/whirlygig.xml.h:19
+msgid "Wrap the screen"
+msgstr ""
+
+#. #### -3d
+#: ../hacks/config/worm.xml.h:2
+msgid ""
+"An ancient xlock hack that draws multicolored worms that crawl around the "
+"screen. Written by Brad Taylor, Dave Lemke, Boris Putanec, and Henrik "
+"Theiling."
+msgstr ""
+
+#: ../hacks/config/wormhole.xml.h:6
+msgid "Star speed"
+msgstr ""
+
+#: ../hacks/config/wormhole.xml.h:7
+msgid "Stars Created"
+msgstr ""
+
+#: ../hacks/config/wormhole.xml.h:8
+msgid "Wormhole"
+msgstr ""
+
+#: ../hacks/config/wormhole.xml.h:9
+msgid ""
+"Wormhole simulates flying through a colored wormhole in space. Written by "
+"Jon Rafkind."
+msgstr ""
+
+#: ../hacks/config/xanalogtv.xml.h:1
+msgid "XAnalogTV"
+msgstr ""
+
+#: ../hacks/config/xanalogtv.xml.h:2
+msgid ""
+"XAnalogTV shows a detailed simulation of an old TV set showing various test "
+"patterns, with various picture artifacts like snow, bloom, distortion, "
+"ghosting, and hash noise. It also simulates the TV warming up. It will cycle "
+"through 12 channels, some with images you give it, and some with color bars "
+"or nothing but static. By Trevor Blackwell."
+msgstr ""
+
+#: ../hacks/config/xaos.xml.h:1
+msgid "XaoS"
+msgstr ""
+
+#: ../hacks/config/xaos.xml.h:2
+msgid ""
+"XaoS generates fast fly-through animations of the Mandelbrot and other "
+"fractal sets. Written by Thomas Marsh and Jan Hubicka. This is not included "
+"with the XScreenSaver package, but if you don't have it already, you can "
+"find it at &lt;http://xaos.theory.org/&gt;."
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:1
+msgid "12-Hour Time"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:2
+msgid "24-Hour Time"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:3
+msgid "Cycle Colors"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:4
+msgid "Display Seconds"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:5
+msgid "Huge Font"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:6 ../hacks/config/xmatrix.xml.h:10
+msgid "Large Font"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:7
+msgid "Medium Font"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:8 ../hacks/config/xmatrix.xml.h:16
+msgid "Small Font"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:9
+msgid "XDaliClock"
+msgstr ""
+
+#: ../hacks/config/xdaliclock.xml.h:10
+msgid ""
+"XDaliClock draws a large digital clock, the numbers of which change by "
+"``melting'' into their new shapes. Written by Jamie Zawinski. This is not "
+"included with the XScreenSaver package, but if you don't have it already, "
+"you can find it at &lt;http://www.jwz.org/xdaliclock/&gt;."
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:1
+msgid "Bright"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:2 ../hacks/config/xplanet.xml.h:7
+msgid "Date/Time Stamp"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:3
+msgid "Day  Dim"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:5
+msgid "Display Stars"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:8
+msgid "Label Cities"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:9 ../hacks/config/xplanet.xml.h:49
+msgid "Lower Left"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:10 ../hacks/config/xplanet.xml.h:50
+msgid "Lower Right"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:13 ../hacks/config/xplanet.xml.h:51
+msgid "Mercator Projection"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:14
+msgid "Night   Dim"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:15
+msgid "No Stars"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:16
+msgid "North/South Rotation"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:18 ../hacks/config/xplanet.xml.h:53
+msgid "Orthographic Projection"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:19 ../hacks/config/xplanet.xml.h:56
+msgid "Real Time"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:20
+msgid "Shaded Image"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:21
+msgid "Sharp"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:26
+msgid "Terminator   Blurry"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:27 ../hacks/config/xplanet.xml.h:61
+msgid "Time Warp"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:29 ../hacks/config/xplanet.xml.h:62
+msgid "Upper Left"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:30 ../hacks/config/xplanet.xml.h:63
+msgid "Upper Right"
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:31
+msgid ""
+"XEarth draws an image of the Earth, as seen from your favorite vantage point "
+"in space, correctly shaded for the current position of the Sun. Written by "
+"Kirk Johnson. This is not included with the XScreenSaver package, but if you "
+"don't have it already, you can find it at &lt;http://www.cs.colorado.edu/"
+"~tuna/xearth/&gt;. There is also a similar (but more recent) program called "
+"xplanet to be found at &lt;http://xplanet.sourceforge.net/&gt;."
+msgstr ""
+
+#: ../hacks/config/xearth.xml.h:32
+msgid "Xearth"
+msgstr ""
+
+#: ../hacks/config/xfishtank.xml.h:5
+msgid "Fish"
+msgstr ""
+
+#: ../hacks/config/xfishtank.xml.h:6
+msgid "Fish Speed"
+msgstr ""
+
+#: ../hacks/config/xfishtank.xml.h:7
+msgid ""
+"Fish! This is not included with the XScreenSaver package, but if you don't "
+"have it already, you can find it at &lt;http://metalab.unc.edu/pub/Linux/X11/"
+"demos/&gt;."
+msgstr ""
+
+#: ../hacks/config/xfishtank.xml.h:12
+msgid "XFishTank"
+msgstr ""
+
+#: ../hacks/config/xflame.xml.h:1
+msgid "Bitmap File"
+msgstr ""
+
+#: ../hacks/config/xflame.xml.h:2
+msgid ""
+"Draws a simulation of pulsing fire. It can also take an arbitrary image and "
+"set it on fire too. Written by Carsten Haitzler, hacked on by many others."
+msgstr ""
+
+#. #### -vartrend [20]
+#: ../hacks/config/xflame.xml.h:4
+msgid "Enable Blooming"
+msgstr ""
+
+#: ../hacks/config/xflame.xml.h:9
+msgid "Xflame"
+msgstr ""
+
+#. #### -font []
+#: ../hacks/config/xjack.xml.h:5
+msgid ""
+"This program behaves schizophrenically and makes a lot of typos. Written by "
+"Jamie Zawinski. If you haven't seen Stanley Kubrick's masterpiece, ``The "
+"Shining,'' you won't get it. Those who have describe this hack as "
+"``inspired.''"
+msgstr ""
+
+#: ../hacks/config/xjack.xml.h:6
+msgid "Xjack"
+msgstr ""
+
+#. #### -w []
+#: ../hacks/config/xlyap.xml.h:2
+msgid ""
+"This generates pretty fractal pictures by doing funky math involving the "
+"``Lyapunov exponent.'' It has a cool interactive mode, too. Written by Ron "
+"Record."
+msgstr ""
+
+#: ../hacks/config/xlyap.xml.h:3
+msgid "Xlyap"
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:3
+msgid ""
+"Draws dropping characters similar to what is seen on the computer monitors "
+"in \"The Matrix\". See also \"glmatrix\" for a 3D rendering of the similar "
+"effect that appeared in the title sequence of the movie. Written by Jamie "
+"Zawinski."
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:4
+msgid "Expansion Algorithm"
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:6
+msgid "Full"
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:9
+msgid "Knock Knock"
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:12
+msgid "Phone Number"
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:13
+msgid "Run Trace Program"
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:14
+msgid "Slider Algorithm"
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:19
+msgid "Synergistic Algorithm"
+msgstr ""
+
+#: ../hacks/config/xmatrix.xml.h:20
+msgid "Xmatrix"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:1
+msgid "1.0"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:3
+msgid "14"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:4
+msgid "7"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:5
+msgid "Altitude  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:6
+msgid "Ambient  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:7
+msgid "Angle of Light"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:8
+msgid "Contour  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:9
+msgid "Contrast  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:10
+msgid "Craggy"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:11
+msgid "Cross Update"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:12
+msgid "Distance  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:14
+msgid "Foreground"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:15
+msgid "Fractal Options"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:16
+msgid "Height  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:19
+msgid "Horizontal  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:20
+msgid "Iteration  0"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:21
+msgid "Light Level"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:22
+msgid "Recursion  0"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:23
+msgid "Reflections"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:24
+msgid "Sea Level  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:25
+msgid "Side View"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:27
+msgid "Smoothing  0"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:28
+msgid "Speed  Slow"
+msgstr ""
+
+#. #### -n int   [245] # number of colours
+#: ../hacks/config/xmountains.xml.h:30
+msgid "Terrain"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:31
+msgid "Top View"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:32
+msgid "V. Shift  Low"
+msgstr ""
+
+#. #### -n int   [245] # number of colours
+#: ../hacks/config/xmountains.xml.h:34
+msgid "V. Stretch  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:35
+msgid "Variance  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:36
+msgid "Vertical  Low"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:37
+msgid "Viewpoint"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:38
+msgid ""
+"XMountains generates realistic-looking fractal terrains of snow-capped "
+"mountains near water, with either a top view or a side view. Written by "
+"Stephen Booth. This is not included with the XScreenSaver package, but if "
+"you don't have it already, you can find it at &lt;http://www.epcc.ed.ac.uk/"
+"~spb/xmountains/&gt;. (Make sure you have version 2.7 or newer!)"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:39
+msgid "Xf  0.0"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:40
+msgid "Xmountains"
+msgstr ""
+
+#: ../hacks/config/xmountains.xml.h:41
+msgid "Yf  0.0"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:5
+msgid "Ancient Projection"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:6
+msgid "Azimuthal Projection"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:9
+msgid "From Ariel"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:10
+msgid "From Callisto"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:11
+msgid "From Charon"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:12
+msgid "From Deimos"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:13
+msgid "From Dione"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:14
+msgid "From Earth"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:15
+msgid "From Enceladus"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:16
+msgid "From Europa"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:17
+msgid "From Ganymede"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:18
+msgid "From Hyperion"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:19
+msgid "From Iapetus"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:20
+msgid "From Io"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:21
+msgid "From Jupiter"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:22
+msgid "From Major"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:23
+msgid "From Mars"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:24
+msgid "From Mercury"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:25
+msgid "From Mimas"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:26
+msgid "From Miranda"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:27
+msgid "From Moon"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:28
+msgid "From Neptune"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:29
+msgid "From Nereid"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:30
+msgid "From Oberon"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:31
+msgid "From Phobos"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:32
+msgid "From Phoebe"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:33
+msgid "From Pluto"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:34
+msgid "From Random"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:35
+msgid "From Rhea"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:36
+msgid "From Saturn"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:37
+msgid "From Sun"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:38
+msgid "From Tethys"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:39
+msgid "From Titan"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:40
+msgid "From Titania"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:41
+msgid "From Triton"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:42
+msgid "From Umbriel"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:43
+msgid "From Uranus"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:44
+msgid "From Venus"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:45
+msgid "Hemisphere Projection"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:46
+msgid "Lambert Projection"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:47
+msgid "Latitude"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:48
+msgid "Longitude"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:52
+msgid "Mollweide Projection"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:54
+msgid "Peters Projection"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:57
+msgid "Rectangular Projection"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:58
+msgid "Render as a Globe"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:64
+msgid "View Ariel"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:65
+msgid "View Callisto"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:66
+msgid "View Charon"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:67
+msgid "View Deimos"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:68
+msgid "View Dione"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:69
+msgid "View Earth"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:70
+msgid "View Enceladus"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:71
+msgid "View Europa"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:72
+msgid "View Ganymede"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:73
+msgid "View Hyperion"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:74
+msgid "View Iapetus"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:75
+msgid "View Io"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:76
+msgid "View Jupiter"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:77
+msgid "View Major"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:78
+msgid "View Mars"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:79
+msgid "View Mercury"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:80
+msgid "View Mimas"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:81
+msgid "View Miranda"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:82
+msgid "View Moon"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:83
+msgid "View Neptune"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:84
+msgid "View Nereid"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:85
+msgid "View Oberon"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:86
+msgid "View Phobos"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:87
+msgid "View Phoebe"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:88
+msgid "View Pluto"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:89
+msgid "View Random"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:90
+msgid "View Rhea"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:91
+msgid "View Saturn"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:92
+msgid "View Sun"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:93
+msgid "View Tethys"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:94
+msgid "View Titan"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:95
+msgid "View Titania"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:96
+msgid "View Triton"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:97
+msgid "View Umbriel"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:98
+msgid "View Uranus"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:99
+msgid "View Venus"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:100
+msgid "Xplanet"
+msgstr ""
+
+#: ../hacks/config/xplanet.xml.h:101
+msgid ""
+"Xplanet draws an image of the Earth, as seen from your favorite vantage "
+"point in space, correctly shaded for the current position of the Sun. "
+"Written by Hari Nair. This is not included with the XScreenSaver package, "
+"but if you don't have it already, you can find it at &lt;http://xplanet."
+"sourceforge.net/&gt;."
+msgstr ""
+
+#: ../hacks/config/xrayswarm.xml.h:1
+msgid ""
+"Draws a few swarms of critters flying around the screen, with nicely faded "
+"color trails behind them. Written by Chris Leger."
+msgstr ""
+
+#: ../hacks/config/xrayswarm.xml.h:5
+msgid "XRaySwarm"
+msgstr ""
+
+#. #### -nonopopup
+#: ../hacks/config/xsnow.xml.h:2
+msgid ""
+"Draws falling snow and the occasional tiny Santa. By Rick Jansen. You can "
+"find it at &lt;http://www.euronet.nl/~rja/Xsnow/&gt;."
+msgstr ""
+
+#: ../hacks/config/xsnow.xml.h:3
+msgid "Xsnow"
+msgstr ""
+
+#: ../hacks/config/xspirograph.xml.h:5
+msgid ""
+"Simulates that pen-in-nested-plastic-gears toy from your childhood. By Rohit "
+"Singh."
+msgstr ""
+
+#: ../hacks/config/xspirograph.xml.h:6
+msgid "XSpiroGraph"
+msgstr ""
+
+#: ../hacks/config/xteevee.xml.h:1
+msgid "Color Bars Enabled"
+msgstr ""
+
+#: ../hacks/config/xteevee.xml.h:2
+msgid "Cycle Through Modes"
+msgstr ""
+
+#: ../hacks/config/xteevee.xml.h:3
+msgid "Rolling Enabled"
+msgstr ""
+
+#: ../hacks/config/xteevee.xml.h:4
+msgid "Static Enabled"
+msgstr ""
+
+#: ../hacks/config/xteevee.xml.h:5
+msgid "XTeeVee"
+msgstr ""
+
+#: ../hacks/config/xteevee.xml.h:6
+msgid ""
+"XTeeVee simulates various television problems, including static, loss of "
+"vertical hold, and a test pattern. By Greg Knauss."
+msgstr ""
+
+#: ../hacks/config/zoom.xml.h:3
+msgid "Lens Offset"
+msgstr ""
+
+#: ../hacks/config/zoom.xml.h:4
+msgid "Lenses"
+msgstr ""
+
+#: ../hacks/config/zoom.xml.h:9
+msgid ""
+"Zooms in on a part of the screen and then moves around. With the -lenses "
+"option the result is like looking through many overlapping lenses rather "
+"than just a simple zoom. Written by James Macnicol."
+msgstr ""

=== modified file 'setup.com'
--- setup.com	2005-04-09 00:06:43 +0000
+++ setup.com	2005-12-08 16:00:22 +0000
@@ -5,7 +5,6 @@
 $ mydir  = mydisk+f$directory()
 $ anemone	:== $'mydir'anemone
 $ anemotaxis	:== $'mydir'anemotaxis
-$ ant		:== $'mydir'ant
 $ apollonian	:== $'mydir'apollonian
 $ apple2	:== $'mydir'apple2
 $ attraction	:== $'mydir'attraction
@@ -19,6 +18,7 @@
 $ bubbles	:== $'mydir'bubbles
 $ bumps		:== $'mydir'bumps
 $ ccurve	:== $'mydir'ccurve
+$ celtic	:== $'mydir'celtic
 $ cloudlife	:== $'mydir'cloudlife
 $ compass	:== $'mydir'compass
 $ coral		:== $'mydir'coral
@@ -57,6 +57,7 @@
 $ hypercube	:== $'mydir'hypercube
 $ ifs		:== $'mydir'ifs
 $ imsmap	:== $'mydir'imsmap
+$ interaggregate	:== $'mydir'interaggregate
 $ interference	:== $'mydir'interference
 $ intermomentary	:== $'mydir'intermomentary
 $ jigsaw	:== $'mydir'jigsaw
@@ -74,8 +75,8 @@
 $ memscroller	:== $'mydir'memscroller
 $ metaballs	:== $'mydir'metaballs
 $ mismunch	:== $'mydir'mismunch
+$ moire		:== $'mydir'moire
 $ moire2	:== $'mydir'moire2
-$ moire		:== $'mydir'moire
 $ mountain	:== $'mydir'mountain
 $ munch		:== $'mydir'munch
 $ nerverot	:== $'mydir'nerverot
@@ -123,8 +124,8 @@
 $ webcollage-helper	:== $'mydir'webcollage-helper
 $ whirlwindwarp	:== $'mydir'whirlwindwarp
 $ whirlygig	:== $'mydir'whirlygig
+$ worm		:== $'mydir'worm
 $ wormhole	:== $'mydir'wormhole
-$ worm		:== $'mydir'worm
 $ xanalogtv	:== $'mydir'xanalogtv
 $ xflame	:== $'mydir'xflame
 $ xjack		:== $'mydir'xjack

=== modified file 'utils/ad2c' (properties changed: +x to -x)
=== modified file 'utils/fade.c'
--- utils/fade.c	2005-04-09 00:06:43 +0000
+++ utils/fade.c	2005-12-08 16:00:22 +0000
@@ -159,7 +159,7 @@
 
 /* The business with `cmaps_per_screen' is to fake out the SGI 8-bit video
    hardware, which is capable of installing multiple (4) colormaps
-   simultaniously.  We have to install multiple copies of the same set of
+   simultaneously.  We have to install multiple copies of the same set of
    colors in order to fill up all the available slots in the hardware color
    lookup table, so we install an extra N colormaps per screen to make sure
    that all screens really go black.

=== added file 'utils/images/logo-50-bad.xpm'
--- utils/images/logo-50-bad.xpm	1970-01-01 00:00:00 +0000
+++ utils/images/logo-50-bad.xpm	2006-07-29 23:00:43 +0000
@@ -0,0 +1,118 @@
+/* XPM */
+static char * logo_50_bad_xpm[] = {
+"50 50 65 1",
+" 	c None",
+".	c #070800",
+"+	c #440000",
+"@	c #5A0200",
+"#	c #3B1C01",
+"$	c #551113",
+"%	c #303019",
+"&	c #353402",
+"*	c #323433",
+"=	c #D10400",
+"-	c #DC0003",
+";	c #474624",
+">	c #E60000",
+",	c #464745",
+"'	c #4F5000",
+")	c #EF0000",
+"!	c #C71516",
+"~	c #FF0000",
+"{	c #535452",
+"]	c #C62C02",
+"^	c #B52E26",
+"/	c #8C4444",
+"(	c #6A6601",
+"_	c #60615F",
+":	c #FF2500",
+"<	c #855D5B",
+"[	c #C84D00",
+"}	c #A56000",
+"|	c #C64344",
+"1	c #E83534",
+"2	c #965959",
+"3	c #6D6D6E",
+"4	c #F43E01",
+"5	c #868500",
+"6	c #EC5803",
+"7	c #7A7C79",
+"8	c #A66E6E",
+"9	c #81848A",
+"0	c #EE7200",
+"a	c #8D8E8B",
+"b	c #A99C00",
+"c	c #D48D00",
+"d	c #93929F",
+"e	c #99979B",
+"f	c #F08B00",
+"g	c #EC7B79",
+"h	c #A2A0B2",
+"i	c #BB9B9B",
+"j	c #A7A9A6",
+"k	c #F7A400",
+"l	c #C6B52F",
+"m	c #ACABBD",
+"n	c #ECB800",
+"o	c #D5C800",
+"p	c #C8B2C2",
+"q	c #EAC700",
+"r	c #BFC1BE",
+"s	c #FBA8AB",
+"t	c #BFC0D0",
+"u	c #C6CADA",
+"v	c #CED1CD",
+"w	c #D3D3DE",
+"x	c #DEDFE9",
+"y	c #E1E3DF",
+"z	c #F5F6F3",
+"                                                  ",
+"                         ~k5                      ",
+"                         ~4q.                     ",
+"                         ~~fb.                    ",
+"                          ~:q&.                   ",
+"                          ~~f5.                   ",
+"                         ~~~0o.                   ",
+"                        ~:~~0o.                   ",
+"                       ~~~~~k(.                   ",
+"                      ~~~~~6q..~:n(.              ",
+"                      )~:~:n(+~:fb.               ",
+"                     ~~:~~k5@~~0o..               ",
+"                    ~~~~~0q+:~:n&.                ",
+"                   ~)~~~6q#~~~0q.                 ",
+"                  ~~:~~:n'>~~:k(.                 ",
+"     _____________^~)~~0o$~~~0o._____________     ",
+"   __9mmmmmmmmhmhi~~~~:n'|~~~fb{hdddddddddd93_    ",
+"   _hxxxyyyyxwxvxg)~:~6q*1)~~k(duuwuuuuttttth9_   ",
+"  {3wxuttttttpgld1~~~~4q,>~~)k(jxwxxwxxxxxxxth_   ",
+"  _dxwpmd9dad|1n%1~~)::n&)>:>f53dedddedeeemxwm3_  ",
+"  _axwtd,3337-4n;^~~~):k())~)0o*737337373{_wwm3_  ",
+"  _9wutd,zzzz::k's)))~)0l>)))-n;zzzzzzzzze_xwm3_  ",
+"  _9xupd{zzzs~)f5i)):))4q-)):)0bezzzzzzzze_xwm3_  ",
+"  39xutd,zxzg):6n3>)):)>f=~>>>4n;zxzzzzzze_xwm3_  ",
+"  _9xutd,yxy1))4n;g)))~>66>)>>>f5jxxxxxxyd_xum3_  ",
+"  _9xwtd{yyx1))>f5i)))>)-6>)-)=4n;yyyyyyyd_xwm3_  ",
+"  _9xutd{xvx>)))4n;1>)>>>4-)>->-05avvvvvve{xwm3_  ",
+"  39xwtd{vvv-)>>-6l2>>)>>>-)>>--=n;wvwvwva3xwm3_  ",
+"  _9xwpd{trv1)>)>>6b!>>>->-->>>--0b_rtrrt7_xwm3_  ",
+"  _9xute{rpr->)>->-40>>>>>>>---=-=c'jrrje3_xwm3_  ",
+"  _dxutd{jjr1--)>>--->---->-------[l*,****_xwm3_  ",
+"  _9xwtd_jmj|>)->->-->->->--------=n%*****_xwm3_  ",
+"  _9xttd_jej8>>-)->-->----------===c'*****_xum3_  ",
+"  _exutd{eeee>->--------------===-=c(*****3xwm3_  ",
+"  _9xutd_aaaa^>-------=---=========c'*****3xum3_  ",
+"  _9xutd{99998-----=---==--=-=====]l.,,,**3xwm3_  ",
+"  _9xwpd_33_3_^>----=========-===]}5*,,,,*_xwm3_  ",
+"  39xuud_*,,,,,!-====-=-==-=====-[n.{{,,,*3xwm3_  ",
+"  _9xttd_;,,,{{{!====-==========[b%,{{{,,*<xum3_  ",
+"  _9xwtd_*,,,{{{_/=-==!=======]}(*{{<{{,,,3xwm3_  ",
+"  _dxupd_,,,{{___33<^]!=]=]]!}(%_33_{{{,,*3xwm3_  ",
+"  _9xwth{,,,{{{___733777933__939333{3{{{{,3xwm3_  ",
+"  _9xutd_,,{{{_33_377999ae9aa993333_3{{{,,3xwm3_  ",
+"  _9xuphd99999999999997a99a9979999999d9999exwm3_  ",
+"  3axuttppptptttwutwwuwtwwwwwwwwxwwwwwwpwwxxwm3_  ",
+"  _9xwttttututwtutwtuwuwwwwwwwwwxwwxwxxwxwxxwm3_  ",
+"  _3xwtttttttttwuwwtwwwwuwwwwwwwwwxxwxwuuwxxuh3   ",
+"   3mxxxwxxxxxwwwwwwxuwwwwwuwwwwwwwpwuuwwuutm9_   ",
+"   _3dptttttttttmttmmmmmtmmpmmphhhhmhphhhhhd9{_   ",
+"    {_______{____{___________{___3___{____{{_     "};

=== modified file 'utils/version.h'
--- utils/version.h	2005-04-09 00:06:43 +0000
+++ utils/version.h	2006-06-30 16:27:21 +0000
@@ -1,2 +1,2 @@
 static const char screensaver_id[] =
-	"@(#)xscreensaver 4.21 (01-Mar-2005), by Jamie Zawinski (jwz@jwz.org)";
+	"@(#)xscreensaver 4.24 (21-Oct-2005), by Jamie Zawinski (jwz@jwz.org)";

=== modified file 'xscreensaver.spec'
--- xscreensaver.spec	2005-04-09 00:06:43 +0000
+++ xscreensaver.spec	2006-06-30 16:27:21 +0000
@@ -1,5 +1,5 @@
 %define	name xscreensaver
-%define	version 4.21
+%define	version 4.24
 
 Summary:	X screen saver and locker
 Name:		%{name}
@@ -16,9 +16,21 @@
 %package base
 Summary: A minimal installation of xscreensaver.
 Group: Amusements/Graphics
-BuildPrereq: bc, pam-devel, xorg-x11-devel
-BuildPrereq: gtk2-devel libglade2-devel
-Requires: /etc/pam.d/system-auth, htmlview, desktop-backgrounds-basic
+BuildRequires:	bc
+BuildRequires:	gettext
+BuildRequires:	pam-devel
+BuildRequires:	gtk2-devel
+BuildRequires:	desktop-file-utils
+# Red Hat:
+BuildRequires:	xorg-x11-devel
+BuildRequires:	libglade2-devel
+# Mandrake:
+#BuildRequires:	libxorg-x11-devel
+#BuildRequires:	libglade2.0_0-devel
+Requires: SysVinit
+Requires: /etc/pam.d/system-auth
+Requires: htmlview
+Requires: desktop-backgrounds-basic
 Provides: xscreensaver
 Provides: xscreensaver-base
 Obsoletes: xscreensaver
@@ -36,7 +48,7 @@
 
 %description
 A modular screen saver and locker for the X Window System.
-More than 190 display modes are included in this package.
+More than 200 display modes are included in this package.
 
 %description base
 A modular screen saver and locker for the X Window System.
@@ -126,11 +138,11 @@
 (  cd hacks     ; list_files install ) >  $dd/extras.files
 (  cd hacks/glx ; list_files install ) >  $dd/gl-extras.files
 (  cd driver    ; list_files install ) >  $dd/base.files
-(  cd po        ; list_files install ) >> $dd/base.files
-
-# jwz: I get "find-lang.sh: No translations found for xscreensaver" on FC3
-#%find_lang %{name}
-#cat %{name}.lang >> $dd/base.files
+#( cd po        ; list_files install ) >> $dd/base.files
+
+%find_lang %{name}
+cat %{name}.lang >> $dd/base.files
+
 
 # Make sure all files are readable by all, and writable only by owner.
 #

